#include <qtscript_includes.h>

#include <smoke.h>
#include <qtscript_smoke.h>

namespace __smokeqtscript {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QDateTime
      switch(to) {
        case 3: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QFactoryInterface
      switch(to) {
        case 5: return (void*)(QFactoryInterface*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QFactoryInterface*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 7:   //QLatin1String
      switch(to) {
        case 7: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 8:   //QMetaObject
      switch(to) {
        case 8: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 9:   //QObject
      switch(to) {
        case 9: return (void*)(QObject*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QObject*)xptr;
        case 17: return (void*)(QScriptEngine*)(QObject*)xptr;
        default: return xptr;
      }
    case 10:   //QRegExp
      switch(to) {
        case 10: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 11:   //QScriptClass
      switch(to) {
        case 11: return (void*)(QScriptClass*)xptr;
        default: return xptr;
      }
    case 12:   //QScriptClassPrivate
      switch(to) {
        case 12: return (void*)(QScriptClassPrivate*)xptr;
        default: return xptr;
      }
    case 13:   //QScriptClassPropertyIterator
      switch(to) {
        case 13: return (void*)(QScriptClassPropertyIterator*)xptr;
        default: return xptr;
      }
    case 14:   //QScriptClassPropertyIteratorPrivate
      switch(to) {
        case 14: return (void*)(QScriptClassPropertyIteratorPrivate*)xptr;
        default: return xptr;
      }
    case 15:   //QScriptContext
      switch(to) {
        case 15: return (void*)(QScriptContext*)xptr;
        default: return xptr;
      }
    case 16:   //QScriptContextInfo
      switch(to) {
        case 16: return (void*)(QScriptContextInfo*)xptr;
        default: return xptr;
      }
    case 17:   //QScriptEngine
      switch(to) {
        case 9: return (void*)(QObject*)(QScriptEngine*)xptr;
        case 17: return (void*)(QScriptEngine*)xptr;
        default: return xptr;
      }
    case 18:   //QScriptEngineAgent
      switch(to) {
        case 18: return (void*)(QScriptEngineAgent*)xptr;
        default: return xptr;
      }
    case 19:   //QScriptEngineAgentPrivate
      switch(to) {
        case 19: return (void*)(QScriptEngineAgentPrivate*)xptr;
        default: return xptr;
      }
    case 20:   //QScriptEnginePrivate
      switch(to) {
        case 20: return (void*)(QScriptEnginePrivate*)xptr;
        default: return xptr;
      }
    case 21:   //QScriptExtensionInterface
      switch(to) {
        case 5: return (void*)(QFactoryInterface*)(QScriptExtensionInterface*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QScriptExtensionInterface*)xptr;
        default: return xptr;
      }
    case 22:   //QScriptExtensionPlugin
      switch(to) {
        case 9: return (void*)(QObject*)(QScriptExtensionPlugin*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)(QScriptExtensionPlugin*)xptr;
        case 5: return (void*)(QFactoryInterface*)(QScriptExtensionPlugin*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)xptr;
        default: return xptr;
      }
    case 23:   //QScriptProgram
      switch(to) {
        case 23: return (void*)(QScriptProgram*)xptr;
        default: return xptr;
      }
    case 24:   //QScriptString
      switch(to) {
        case 24: return (void*)(QScriptString*)xptr;
        default: return xptr;
      }
    case 25:   //QScriptSyntaxCheckResult
      switch(to) {
        case 25: return (void*)(QScriptSyntaxCheckResult*)xptr;
        default: return xptr;
      }
    case 26:   //QScriptValue
      switch(to) {
        case 26: return (void*)(QScriptValue*)xptr;
        default: return xptr;
      }
    case 27:   //QScriptValueIterator
      switch(to) {
        case 27: return (void*)(QScriptValueIterator*)xptr;
        default: return xptr;
      }
    case 28:   //QScriptable
      switch(to) {
        case 28: return (void*)(QScriptable*)xptr;
        default: return xptr;
      }
    case 29:   //QTimerEvent
      switch(to) {
        case 29: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QVariant
      switch(to) {
        case 30: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    9, 0,	// 1: QObject
    5, 0,	// 3: QFactoryInterface
    9, 21, 0,	// 5: QObject, QScriptExtensionInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_QScriptValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptClass(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptSyntaxCheckResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptContextInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptEngineAgent(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptClass(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptClassPropertyIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptContextInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptEngineAgent(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptExtensionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptExtensionPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptString(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptSyntaxCheckResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptValue(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptValueIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptable(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//5
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//6
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//7
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//8
    { "QObject", true, 0, 0, 0, 0, 0 },	//9
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//10
    { "QScriptClass", false, 0, xcall_QScriptClass, xenum_QScriptClass, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptClass) },	//11
    { "QScriptClassPrivate", true, 0, 0, 0, 0, 0 },	//12
    { "QScriptClassPropertyIterator", false, 0, xcall_QScriptClassPropertyIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptClassPropertyIterator) },	//13
    { "QScriptClassPropertyIteratorPrivate", true, 0, 0, 0, 0, 0 },	//14
    { "QScriptContext", false, 0, xcall_QScriptContext, xenum_QScriptContext, 0, sizeof(QScriptContext) },	//15
    { "QScriptContextInfo", false, 0, xcall_QScriptContextInfo, xenum_QScriptContextInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptContextInfo) },	//16
    { "QScriptEngine", false, 1, xcall_QScriptEngine, xenum_QScriptEngine, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptEngine) },	//17
    { "QScriptEngineAgent", false, 0, xcall_QScriptEngineAgent, xenum_QScriptEngineAgent, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptEngineAgent) },	//18
    { "QScriptEngineAgentPrivate", true, 0, 0, 0, 0, 0 },	//19
    { "QScriptEnginePrivate", true, 0, 0, 0, 0, 0 },	//20
    { "QScriptExtensionInterface", false, 3, xcall_QScriptExtensionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QScriptExtensionInterface) },	//21
    { "QScriptExtensionPlugin", false, 5, xcall_QScriptExtensionPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptExtensionPlugin) },	//22
    { "QScriptProgram", true, 0, 0, 0, 0, 0 },	//23
    { "QScriptString", false, 0, xcall_QScriptString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptString) },	//24
    { "QScriptSyntaxCheckResult", false, 0, xcall_QScriptSyntaxCheckResult, xenum_QScriptSyntaxCheckResult, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptSyntaxCheckResult) },	//25
    { "QScriptValue", false, 0, xcall_QScriptValue, xenum_QScriptValue, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptValue) },	//26
    { "QScriptValueIterator", false, 0, xcall_QScriptValueIterator, 0, Smoke::cf_constructor, sizeof(QScriptValueIterator) },	//27
    { "QScriptable", false, 0, xcall_QScriptable, 0, Smoke::cf_constructor, sizeof(QScriptable) },	//28
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QVariant", true, 0, 0, 0, 0, 0 },	//30
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QDateTime", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QFlags<QScriptClass::QueryFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<QScriptValue::PropertyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QList<QScriptValue>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "QMetaObject::Call", 8, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QObject*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QRegExp", 10, Smoke::t_class|Smoke::tf_stack },	//10
    { "QRegExp&", 10, Smoke::t_class|Smoke::tf_ref },	//11
    { "QScriptClass*", 11, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QScriptClass::Extension", 11, Smoke::t_enum|Smoke::tf_stack },	//13
    { "QScriptClass::QueryFlag", 11, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QScriptClassPrivate&", 12, Smoke::t_class|Smoke::tf_ref },	//15
    { "QScriptClassPropertyIterator*", 13, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QScriptClassPropertyIteratorPrivate&", 14, Smoke::t_class|Smoke::tf_ref },	//17
    { "QScriptContext*", 15, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QScriptContext::Error", 15, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QScriptContext::ExecutionState", 15, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QScriptContextInfo&", 16, Smoke::t_class|Smoke::tf_ref },	//21
    { "QScriptContextInfo*", 16, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QScriptContextInfo::FunctionType", 16, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QScriptEngine*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QScriptEngine::QObjectWrapOption", 17, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QScriptEngine::ValueOwnership", 17, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QScriptEngineAgent*", 18, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QScriptEngineAgent::Extension", 18, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QScriptEngineAgentPrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//29
    { "QScriptEnginePrivate&", 20, Smoke::t_class|Smoke::tf_ref },	//30
    { "QScriptExtensionInterface*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QScriptExtensionPlugin*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QScriptString", 24, Smoke::t_class|Smoke::tf_stack },	//33
    { "QScriptString&", 24, Smoke::t_class|Smoke::tf_ref },	//34
    { "QScriptString*", 24, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QScriptSyntaxCheckResult", 25, Smoke::t_class|Smoke::tf_stack },	//36
    { "QScriptSyntaxCheckResult&", 25, Smoke::t_class|Smoke::tf_ref },	//37
    { "QScriptSyntaxCheckResult*", 25, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QScriptSyntaxCheckResult::State", 25, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QScriptValue", 26, Smoke::t_class|Smoke::tf_stack },	//40
    { "QScriptValue&", 26, Smoke::t_class|Smoke::tf_ref },	//41
    { "QScriptValue(*)(QScriptContext*,QScriptEngine*)", 26, Smoke::t_class|Smoke::tf_stack },	//42
    { "QScriptValue(*)(QScriptContext*,QScriptEngine*,void*)", 26, Smoke::t_class|Smoke::tf_stack },	//43
    { "QScriptValue*", 26, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QScriptValue::PropertyFlag", 26, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QScriptValue::ResolveFlag", 26, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QScriptValue::SpecialValue", 26, Smoke::t_enum|Smoke::tf_stack },	//47
    { "QScriptValueIterator&", 27, Smoke::t_class|Smoke::tf_ref },	//48
    { "QScriptValueIterator*", 27, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QScriptable*", 28, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//51
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//52
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//53
    { "QTimerEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QVariant", 30, Smoke::t_class|Smoke::tf_stack },	//55
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QtMsgType", 6, Smoke::t_enum|Smoke::tf_stack },	//128
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//129
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//130
    { "const QDateTime&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//131
    { "const QFlags<QScriptEngine::QObjectWrapOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//132
    { "const QFlags<QScriptValue::PropertyFlag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//133
    { "const QFlags<QScriptValue::ResolveFlag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const QLatin1String&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//135
    { "const QList<QScriptValue>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QMetaObject&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//137
    { "const QMetaObject*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//138
    { "const QRegExp&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const QScriptContext*", 15, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//140
    { "const QScriptContextInfo&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//141
    { "const QScriptExtensionInterface&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const QScriptProgram&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//143
    { "const QScriptString&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//144
    { "const QScriptSyntaxCheckResult&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//145
    { "const QScriptValue&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//146
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//147
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//148
    { "const QVariant&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//149
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//150
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//151
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//152
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//153
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//154
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//155
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//156
    { "unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//157
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//158
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//159
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//160
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//161
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    9, 150, 146, 146, 0,	//1  QObject*, const char*, const QScriptValue&, const QScriptValue&
    4, 0,	//6  QEvent*
    9, 4, 0,	//8  QObject*, QEvent*
    54, 0,	//11  QTimerEvent*
    2, 0,	//13  QChildEvent*
    150, 0,	//15  const char*
    24, 0,	//17  QScriptEngine*
    146, 144, 5, 157, 0,	//19  const QScriptValue&, const QScriptString&, QFlags<QScriptClass::QueryFlag>, unsigned int*
    146, 144, 156, 0,	//24  const QScriptValue&, const QScriptString&, unsigned int
    41, 144, 156, 146, 0,	//28  QScriptValue&, const QScriptString&, unsigned int, const QScriptValue&
    146, 0,	//33  const QScriptValue&
    13, 0,	//35  QScriptClass::Extension
    13, 149, 0,	//37  QScriptClass::Extension, const QVariant&
    24, 15, 0,	//40  QScriptEngine*, QScriptClassPrivate&
    146, 17, 0,	//43  const QScriptValue&, QScriptClassPropertyIteratorPrivate&
    153, 0,	//46  int
    19, 147, 0,	//48  QScriptContext::Error, const QString&
    147, 0,	//51  const QString&
    140, 0,	//53  const QScriptContext*
    141, 0,	//55  const QScriptContextInfo&
    150, 150, 0,	//57  const char*, const char*
    150, 150, 153, 0,	//60  const char*, const char*, int
    8, 153, 160, 0,	//64  QMetaObject::Call, int, void**
    9, 0,	//68  QObject*
    147, 147, 153, 0,	//70  const QString&, const QString&, int
    143, 0,	//74  const QScriptProgram&
    42, 153, 0,	//76  QScriptValue(*)(QScriptContext*,QScriptEngine*), int
    42, 146, 153, 0,	//79  QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&, int
    43, 159, 0,	//83  QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*
    149, 0,	//86  const QVariant&
    146, 149, 0,	//88  const QScriptValue&, const QVariant&
    139, 0,	//91  const QRegExp&
    12, 146, 0,	//93  QScriptClass*, const QScriptValue&
    156, 0,	//96  unsigned int
    147, 147, 0,	//98  const QString&, const QString&
    152, 0,	//101  double
    131, 0,	//103  const QDateTime&
    9, 26, 132, 0,	//105  QObject*, QScriptEngine::ValueOwnership, const QFlags<QScriptEngine::QObjectWrapOption>&
    146, 9, 26, 132, 0,	//109  const QScriptValue&, QObject*, QScriptEngine::ValueOwnership, const QFlags<QScriptEngine::QObjectWrapOption>&
    138, 146, 0,	//114  const QMetaObject*, const QScriptValue&
    153, 146, 0,	//117  int, const QScriptValue&
    27, 0,	//120  QScriptEngineAgent*
    155, 0,	//122  long long
    30, 9, 0,	//124  QScriptEnginePrivate&, QObject*
    42, 0,	//127  QScriptValue(*)(QScriptContext*,QScriptEngine*)
    42, 146, 0,	//129  QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&
    12, 0,	//132  QScriptClass*
    9, 26, 0,	//134  QObject*, QScriptEngine::ValueOwnership
    146, 9, 0,	//137  const QScriptValue&, QObject*
    146, 9, 26, 0,	//140  const QScriptValue&, QObject*, QScriptEngine::ValueOwnership
    138, 0,	//144  const QMetaObject*
    30, 0,	//146  QScriptEnginePrivate&
    155, 147, 147, 153, 0,	//148  long long, const QString&, const QString&, int
    155, 146, 0,	//153  long long, const QScriptValue&
    155, 153, 153, 0,	//156  long long, int, int
    155, 146, 129, 0,	//160  long long, const QScriptValue&, bool
    28, 0,	//164  QScriptEngineAgent::Extension
    28, 149, 0,	//166  QScriptEngineAgent::Extension, const QVariant&
    29, 24, 0,	//169  QScriptEngineAgentPrivate&, QScriptEngine*
    147, 24, 0,	//172  const QString&, QScriptEngine*
    142, 0,	//175  const QScriptExtensionInterface&
    144, 0,	//177  const QScriptString&
    130, 0,	//179  bool*
    145, 0,	//181  const QScriptSyntaxCheckResult&
    24, 47, 0,	//183  QScriptEngine*, QScriptValue::SpecialValue
    24, 129, 0,	//186  QScriptEngine*, bool
    24, 153, 0,	//189  QScriptEngine*, int
    24, 156, 0,	//192  QScriptEngine*, unsigned int
    24, 152, 0,	//195  QScriptEngine*, double
    24, 147, 0,	//198  QScriptEngine*, const QString&
    47, 0,	//201  QScriptValue::SpecialValue
    129, 0,	//203  bool
    135, 0,	//205  const QLatin1String&
    147, 134, 0,	//207  const QString&, const QFlags<QScriptValue::ResolveFlag>&
    147, 146, 133, 0,	//210  const QString&, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&
    156, 134, 0,	//214  unsigned int, const QFlags<QScriptValue::ResolveFlag>&
    156, 146, 133, 0,	//217  unsigned int, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&
    144, 134, 0,	//221  const QScriptString&, const QFlags<QScriptValue::ResolveFlag>&
    144, 146, 133, 0,	//224  const QScriptString&, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&
    146, 136, 0,	//228  const QScriptValue&, const QList<QScriptValue>&
    146, 146, 0,	//231  const QScriptValue&, const QScriptValue&
    136, 0,	//234  const QList<QScriptValue>&
    147, 146, 0,	//236  const QString&, const QScriptValue&
    156, 146, 0,	//239  unsigned int, const QScriptValue&
    144, 146, 0,	//242  const QScriptString&, const QScriptValue&
    41, 0,	//245  QScriptValue&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AutoCreateDynamicProperties",	//1
    "AutoOwnership",	//2
    "Callable",	//3
    "DebuggerInvocationRequest",	//4
    "Error",	//5
    "ExceptionState",	//6
    "ExcludeChildObjects",	//7
    "ExcludeDeleteLater",	//8
    "ExcludeSlots",	//9
    "ExcludeSuperClassContents",	//10
    "ExcludeSuperClassMethods",	//11
    "ExcludeSuperClassProperties",	//12
    "HandlesReadAccess",	//13
    "HandlesWriteAccess",	//14
    "HasInstance",	//15
    "Intermediate",	//16
    "KeepExistingFlags",	//17
    "NativeFunction",	//18
    "NormalState",	//19
    "NullValue",	//20
    "PreferExistingWrapperObject",	//21
    "PropertyGetter",	//22
    "PropertySetter",	//23
    "QObjectMember",	//24
    "QScriptClass",	//25
    "QScriptClass#",	//26
    "QScriptClass##",	//27
    "QScriptClassPropertyIterator",	//28
    "QScriptClassPropertyIterator#",	//29
    "QScriptClassPropertyIterator##",	//30
    "QScriptContextInfo",	//31
    "QScriptContextInfo#",	//32
    "QScriptEngine",	//33
    "QScriptEngine#",	//34
    "QScriptEngine##",	//35
    "QScriptEngineAgent",	//36
    "QScriptEngineAgent#",	//37
    "QScriptEngineAgent##",	//38
    "QScriptExtensionInterface",	//39
    "QScriptExtensionInterface#",	//40
    "QScriptExtensionPlugin",	//41
    "QScriptExtensionPlugin#",	//42
    "QScriptString",	//43
    "QScriptString#",	//44
    "QScriptSyntaxCheckResult",	//45
    "QScriptSyntaxCheckResult#",	//46
    "QScriptValue",	//47
    "QScriptValue#",	//48
    "QScriptValue#$",	//49
    "QScriptValue$",	//50
    "QScriptValueIterator",	//51
    "QScriptValueIterator#",	//52
    "QScriptable",	//53
    "Q_COMPLEX_TYPE",	//54
    "Q_DUMMY_TYPE",	//55
    "Q_MOVABLE_TYPE",	//56
    "Q_PRIMITIVE_TYPE",	//57
    "Q_STATIC_TYPE",	//58
    "QtCriticalMsg",	//59
    "QtDebugMsg",	//60
    "QtFatalMsg",	//61
    "QtFunction",	//62
    "QtOwnership",	//63
    "QtPropertyFunction",	//64
    "QtSystemMsg",	//65
    "QtWarningMsg",	//66
    "RangeError",	//67
    "ReadOnly",	//68
    "ReferenceError",	//69
    "ResolveFull",	//70
    "ResolveLocal",	//71
    "ResolvePrototype",	//72
    "ResolveScope",	//73
    "ScriptFunction",	//74
    "ScriptOwnership",	//75
    "SkipInEnumeration",	//76
    "SkipMethodsInEnumeration",	//77
    "SyntaxError",	//78
    "TypeError",	//79
    "URIError",	//80
    "UndefinedValue",	//81
    "Undeletable",	//82
    "UnknownError",	//83
    "UserRange",	//84
    "Valid",	//85
    "abortEvaluation",	//86
    "abortEvaluation#",	//87
    "activationObject",	//88
    "agent",	//89
    "argument",	//90
    "argument$",	//91
    "argumentCount",	//92
    "argumentsObject",	//93
    "availableExtensions",	//94
    "backtrace",	//95
    "call",	//96
    "call#",	//97
    "call##",	//98
    "call#?",	//99
    "callee",	//100
    "canEvaluate",	//101
    "canEvaluate$",	//102
    "checkSyntax",	//103
    "checkSyntax$",	//104
    "childEvent",	//105
    "clearExceptions",	//106
    "collectGarbage",	//107
    "columnNumber",	//108
    "connectNotify",	//109
    "construct",	//110
    "construct#",	//111
    "construct?",	//112
    "context",	//113
    "contextPop",	//114
    "contextPush",	//115
    "currentContext",	//116
    "customEvent",	//117
    "data",	//118
    "defaultPrototype",	//119
    "defaultPrototype$",	//120
    "disconnectNotify",	//121
    "engine",	//122
    "equals",	//123
    "equals#",	//124
    "errorColumnNumber",	//125
    "errorLineNumber",	//126
    "errorMessage",	//127
    "evaluate",	//128
    "evaluate#",	//129
    "evaluate$",	//130
    "evaluate$$",	//131
    "evaluate$$$",	//132
    "event",	//133
    "eventFilter",	//134
    "exceptionCatch",	//135
    "exceptionCatch$#",	//136
    "exceptionThrow",	//137
    "exceptionThrow$#$",	//138
    "extension",	//139
    "extension$",	//140
    "extension$#",	//141
    "fileName",	//142
    "flags",	//143
    "functionEndLineNumber",	//144
    "functionEntry",	//145
    "functionEntry$",	//146
    "functionExit",	//147
    "functionExit$#",	//148
    "functionMetaIndex",	//149
    "functionName",	//150
    "functionParameterNames",	//151
    "functionStartLineNumber",	//152
    "functionType",	//153
    "globalObject",	//154
    "hasNext",	//155
    "hasPrevious",	//156
    "hasUncaughtException",	//157
    "id",	//158
    "importExtension",	//159
    "importExtension$",	//160
    "importedExtensions",	//161
    "initialize",	//162
    "initialize$#",	//163
    "installTranslatorFunctions",	//164
    "installTranslatorFunctions#",	//165
    "instanceOf",	//166
    "instanceOf#",	//167
    "isArray",	//168
    "isBool",	//169
    "isBoolean",	//170
    "isCalledAsConstructor",	//171
    "isDate",	//172
    "isError",	//173
    "isEvaluating",	//174
    "isFunction",	//175
    "isNull",	//176
    "isNumber",	//177
    "isObject",	//178
    "isQMetaObject",	//179
    "isQObject",	//180
    "isRegExp",	//181
    "isString",	//182
    "isUndefined",	//183
    "isValid",	//184
    "isVariant",	//185
    "keys",	//186
    "lessThan",	//187
    "lessThan#",	//188
    "lineNumber",	//189
    "metaObject",	//190
    "name",	//191
    "newActivationObject",	//192
    "newArray",	//193
    "newArray$",	//194
    "newDate",	//195
    "newDate#",	//196
    "newDate$",	//197
    "newFunction",	//198
    "newFunction#",	//199
    "newFunction##",	//200
    "newFunction##$",	//201
    "newFunction#$",	//202
    "newIterator",	//203
    "newIterator#",	//204
    "newObject",	//205
    "newObject#",	//206
    "newObject##",	//207
    "newQMetaObject",	//208
    "newQMetaObject#",	//209
    "newQMetaObject##",	//210
    "newQObject",	//211
    "newQObject#",	//212
    "newQObject##",	//213
    "newQObject##$",	//214
    "newQObject##$#",	//215
    "newQObject#$",	//216
    "newQObject#$#",	//217
    "newRegExp",	//218
    "newRegExp#",	//219
    "newRegExp$$",	//220
    "newVariant",	//221
    "newVariant#",	//222
    "newVariant##",	//223
    "next",	//224
    "nullValue",	//225
    "object",	//226
    "objectById",	//227
    "objectById$",	//228
    "objectId",	//229
    "operator QString",	//230
    "operator!=",	//231
    "operator!=#",	//232
    "operator=",	//233
    "operator=#",	//234
    "operator==",	//235
    "operator==#",	//236
    "parentContext",	//237
    "popContext",	//238
    "popScope",	//239
    "positionChange",	//240
    "positionChange$$$",	//241
    "previous",	//242
    "processEventsInterval",	//243
    "property",	//244
    "property#",	//245
    "property##",	//246
    "property##$",	//247
    "property$",	//248
    "property$#",	//249
    "propertyFlags",	//250
    "propertyFlags#",	//251
    "propertyFlags##",	//252
    "propertyFlags##$",	//253
    "propertyFlags$",	//254
    "propertyFlags$#",	//255
    "prototype",	//256
    "pushContext",	//257
    "pushScope",	//258
    "pushScope#",	//259
    "qScriptConnect",	//260
    "qScriptConnect#$##",	//261
    "qt_metacall",	//262
    "qt_metacall$$?",	//263
    "qt_metacast",	//264
    "qt_metacast$",	//265
    "queryProperty",	//266
    "queryProperty##$$",	//267
    "remove",	//268
    "reportAdditionalMemoryCost",	//269
    "reportAdditionalMemoryCost$",	//270
    "returnValue",	//271
    "scope",	//272
    "scopeChain",	//273
    "scriptClass",	//274
    "scriptId",	//275
    "scriptLoad",	//276
    "scriptLoad$$$$",	//277
    "scriptName",	//278
    "scriptUnload",	//279
    "scriptUnload$",	//280
    "setActivationObject",	//281
    "setActivationObject#",	//282
    "setAgent",	//283
    "setAgent#",	//284
    "setData",	//285
    "setData#",	//286
    "setDefaultPrototype",	//287
    "setDefaultPrototype$#",	//288
    "setGlobalObject",	//289
    "setGlobalObject#",	//290
    "setProcessEventsInterval",	//291
    "setProcessEventsInterval$",	//292
    "setProperty",	//293
    "setProperty##",	//294
    "setProperty###",	//295
    "setProperty##$#",	//296
    "setProperty$#",	//297
    "setProperty$##",	//298
    "setPrototype",	//299
    "setPrototype#",	//300
    "setReturnValue",	//301
    "setReturnValue#",	//302
    "setScope",	//303
    "setScope#",	//304
    "setScriptClass",	//305
    "setScriptClass#",	//306
    "setThisObject",	//307
    "setThisObject#",	//308
    "setValue",	//309
    "setValue#",	//310
    "setupPackage",	//311
    "setupPackage$#",	//312
    "signalHandlerException",	//313
    "signalHandlerException#",	//314
    "state",	//315
    "staticMetaObject",	//316
    "strictlyEquals",	//317
    "strictlyEquals#",	//318
    "supportsExtension",	//319
    "supportsExtension$",	//320
    "thisObject",	//321
    "throwError",	//322
    "throwError$",	//323
    "throwError$$",	//324
    "throwValue",	//325
    "throwValue#",	//326
    "timerEvent",	//327
    "toArrayIndex",	//328
    "toArrayIndex$",	//329
    "toBack",	//330
    "toBool",	//331
    "toBoolean",	//332
    "toDateTime",	//333
    "toFront",	//334
    "toInt32",	//335
    "toInteger",	//336
    "toNumber",	//337
    "toObject",	//338
    "toObject#",	//339
    "toQMetaObject",	//340
    "toQObject",	//341
    "toRegExp",	//342
    "toString",	//343
    "toStringHandle",	//344
    "toStringHandle$",	//345
    "toUInt16",	//346
    "toUInt32",	//347
    "toVariant",	//348
    "tr",	//349
    "tr$",	//350
    "tr$$",	//351
    "tr$$$",	//352
    "trUtf8",	//353
    "trUtf8$",	//354
    "trUtf8$$",	//355
    "trUtf8$$$",	//356
    "uncaughtException",	//357
    "uncaughtExceptionBacktrace",	//358
    "uncaughtExceptionLineNumber",	//359
    "undefinedValue",	//360
    "value",	//361
    "~QScriptClass",	//362
    "~QScriptClassPropertyIterator",	//363
    "~QScriptContext",	//364
    "~QScriptContextInfo",	//365
    "~QScriptEngine",	//366
    "~QScriptEngineAgent",	//367
    "~QScriptExtensionInterface",	//368
    "~QScriptExtensionPlugin",	//369
    "~QScriptString",	//370
    "~QScriptSyntaxCheckResult",	//371
    "~QScriptValue",	//372
    "~QScriptValueIterator",	//373
    "~QScriptable",	//374
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 186, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 0},	//1 QFactoryInterface::keys() const [pure virtual]
    {6, 260, 1, 4, Smoke::mf_static, 129, 1},	//2 QGlobalSpace::qScriptConnect(QObject*, const char*, const QScriptValue&, const QScriptValue&)
    {6, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 2},	//3 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {6, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 3},	//4 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {6, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 4},	//5 QGlobalSpace::Q_STATIC_TYPE (enum)
    {6, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 5},	//6 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {6, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 6},	//7 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {6, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 7},	//8 QGlobalSpace::QtDebugMsg (enum)
    {6, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 8},	//9 QGlobalSpace::QtWarningMsg (enum)
    {6, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 9},	//10 QGlobalSpace::QtCriticalMsg (enum)
    {6, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 10},	//11 QGlobalSpace::QtFatalMsg (enum)
    {6, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 11},	//12 QGlobalSpace::QtSystemMsg (enum)
    {9, 133, 6, 1, Smoke::mf_virtual, 129, 0},	//13 QObject::event(QEvent*)
    {9, 134, 8, 2, Smoke::mf_virtual, 129, 0},	//14 QObject::eventFilter(QObject*, QEvent*)
    {9, 327, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//15 QObject::timerEvent(QTimerEvent*)
    {9, 105, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//16 QObject::childEvent(QChildEvent*)
    {9, 117, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::customEvent(QEvent*)
    {9, 109, 15, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::connectNotify(const char*)
    {9, 121, 15, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::disconnectNotify(const char*)
    {11, 25, 17, 1, Smoke::mf_ctor, 12, 1},	//20 QScriptClass::QScriptClass(QScriptEngine*)
    {11, 122, 0, 0, Smoke::mf_const, 24, 2},	//21 QScriptClass::engine() const
    {11, 266, 19, 4, Smoke::mf_virtual, 5, 3},	//22 QScriptClass::queryProperty(const QScriptValue&, const QScriptString&, QFlags<QScriptClass::QueryFlag>, unsigned int*)
    {11, 244, 24, 3, Smoke::mf_virtual, 40, 4},	//23 QScriptClass::property(const QScriptValue&, const QScriptString&, unsigned int)
    {11, 293, 28, 4, Smoke::mf_virtual, 0, 5},	//24 QScriptClass::setProperty(QScriptValue&, const QScriptString&, unsigned int, const QScriptValue&)
    {11, 250, 24, 3, Smoke::mf_virtual, 6, 6},	//25 QScriptClass::propertyFlags(const QScriptValue&, const QScriptString&, unsigned int)
    {11, 203, 33, 1, Smoke::mf_virtual, 16, 7},	//26 QScriptClass::newIterator(const QScriptValue&)
    {11, 256, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 8},	//27 QScriptClass::prototype() const
    {11, 191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 9},	//28 QScriptClass::name() const
    {11, 319, 35, 1, Smoke::mf_const|Smoke::mf_virtual, 129, 10},	//29 QScriptClass::supportsExtension(QScriptClass::Extension) const
    {11, 139, 37, 2, Smoke::mf_virtual, 55, 11},	//30 QScriptClass::extension(QScriptClass::Extension, const QVariant&)
    {11, 25, 40, 2, Smoke::mf_ctor|Smoke::mf_protected, 12, 12},	//31 QScriptClass::QScriptClass(QScriptEngine*, QScriptClassPrivate&)
    {11, 139, 35, 1, 0, 55, 13},	//32 QScriptClass::extension(QScriptClass::Extension)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 14},	//33 QScriptClass::HandlesReadAccess (enum)
    {11, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 15},	//34 QScriptClass::HandlesWriteAccess (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 16},	//35 QScriptClass::Callable (enum)
    {11, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 17},	//36 QScriptClass::HasInstance (enum)
    {11, 362, 0, 0, Smoke::mf_dtor, 0, 18 },	//37 QScriptClass::~QScriptClass()
    {13, 28, 33, 1, Smoke::mf_ctor|Smoke::mf_protected, 16, 1},	//38 QScriptClassPropertyIterator::QScriptClassPropertyIterator(const QScriptValue&)
    {13, 226, 0, 0, Smoke::mf_const, 40, 2},	//39 QScriptClassPropertyIterator::object() const
    {13, 155, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 129, 3},	//40 QScriptClassPropertyIterator::hasNext() const [pure virtual]
    {13, 224, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//41 QScriptClassPropertyIterator::next() [pure virtual]
    {13, 156, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 129, 5},	//42 QScriptClassPropertyIterator::hasPrevious() const [pure virtual]
    {13, 242, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//43 QScriptClassPropertyIterator::previous() [pure virtual]
    {13, 334, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//44 QScriptClassPropertyIterator::toFront() [pure virtual]
    {13, 330, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//45 QScriptClassPropertyIterator::toBack() [pure virtual]
    {13, 191, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 33, 9},	//46 QScriptClassPropertyIterator::name() const [pure virtual]
    {13, 158, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 156, 10},	//47 QScriptClassPropertyIterator::id() const
    {13, 143, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//48 QScriptClassPropertyIterator::flags() const
    {13, 28, 43, 2, Smoke::mf_ctor|Smoke::mf_protected, 16, 12},	//49 QScriptClassPropertyIterator::QScriptClassPropertyIterator(const QScriptValue&, QScriptClassPropertyIteratorPrivate&)
    {13, 363, 0, 0, Smoke::mf_dtor, 0, 13 },	//50 QScriptClassPropertyIterator::~QScriptClassPropertyIterator()
    {15, 237, 0, 0, Smoke::mf_const, 18, 1},	//51 QScriptContext::parentContext() const
    {15, 122, 0, 0, Smoke::mf_const, 24, 2},	//52 QScriptContext::engine() const
    {15, 315, 0, 0, Smoke::mf_const, 20, 3},	//53 QScriptContext::state() const
    {15, 100, 0, 0, Smoke::mf_const, 40, 4},	//54 QScriptContext::callee() const
    {15, 92, 0, 0, Smoke::mf_const, 153, 5},	//55 QScriptContext::argumentCount() const
    {15, 90, 46, 1, Smoke::mf_const, 40, 6},	//56 QScriptContext::argument(int) const
    {15, 93, 0, 0, Smoke::mf_const, 40, 7},	//57 QScriptContext::argumentsObject() const
    {15, 273, 0, 0, Smoke::mf_const, 7, 8},	//58 QScriptContext::scopeChain() const
    {15, 258, 33, 1, 0, 0, 9},	//59 QScriptContext::pushScope(const QScriptValue&)
    {15, 239, 0, 0, 0, 40, 10},	//60 QScriptContext::popScope()
    {15, 271, 0, 0, Smoke::mf_const, 40, 11},	//61 QScriptContext::returnValue() const
    {15, 301, 33, 1, 0, 0, 12},	//62 QScriptContext::setReturnValue(const QScriptValue&)
    {15, 88, 0, 0, Smoke::mf_const, 40, 13},	//63 QScriptContext::activationObject() const
    {15, 281, 33, 1, 0, 0, 14},	//64 QScriptContext::setActivationObject(const QScriptValue&)
    {15, 321, 0, 0, Smoke::mf_const, 40, 15},	//65 QScriptContext::thisObject() const
    {15, 307, 33, 1, 0, 0, 16},	//66 QScriptContext::setThisObject(const QScriptValue&)
    {15, 171, 0, 0, Smoke::mf_const, 129, 17},	//67 QScriptContext::isCalledAsConstructor() const
    {15, 325, 33, 1, 0, 40, 18},	//68 QScriptContext::throwValue(const QScriptValue&)
    {15, 322, 48, 2, 0, 40, 19},	//69 QScriptContext::throwError(QScriptContext::Error, const QString&)
    {15, 322, 51, 1, 0, 40, 20},	//70 QScriptContext::throwError(const QString&)
    {15, 95, 0, 0, Smoke::mf_const, 52, 21},	//71 QScriptContext::backtrace() const
    {15, 343, 0, 0, Smoke::mf_const, 51, 22},	//72 QScriptContext::toString() const
    {15, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 23},	//73 QScriptContext::NormalState (enum)
    {15, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 24},	//74 QScriptContext::ExceptionState (enum)
    {15, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 25},	//75 QScriptContext::UnknownError (enum)
    {15, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 26},	//76 QScriptContext::ReferenceError (enum)
    {15, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 27},	//77 QScriptContext::SyntaxError (enum)
    {15, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 28},	//78 QScriptContext::TypeError (enum)
    {15, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 29},	//79 QScriptContext::RangeError (enum)
    {15, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 30},	//80 QScriptContext::URIError (enum)
    {15, 364, 0, 0, Smoke::mf_dtor, 0, 31 },	//81 QScriptContext::~QScriptContext()
    {16, 31, 53, 1, Smoke::mf_ctor, 22, 1},	//82 QScriptContextInfo::QScriptContextInfo(const QScriptContext*)
    {16, 31, 55, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//83 QScriptContextInfo::QScriptContextInfo(const QScriptContextInfo&)
    {16, 31, 0, 0, Smoke::mf_ctor, 22, 3},	//84 QScriptContextInfo::QScriptContextInfo()
    {16, 233, 55, 1, 0, 21, 4},	//85 QScriptContextInfo::operator=(const QScriptContextInfo&)
    {16, 176, 0, 0, Smoke::mf_const, 129, 5},	//86 QScriptContextInfo::isNull() const
    {16, 275, 0, 0, Smoke::mf_const, 155, 6},	//87 QScriptContextInfo::scriptId() const
    {16, 142, 0, 0, Smoke::mf_const, 51, 7},	//88 QScriptContextInfo::fileName() const
    {16, 189, 0, 0, Smoke::mf_const, 153, 8},	//89 QScriptContextInfo::lineNumber() const
    {16, 108, 0, 0, Smoke::mf_const, 153, 9},	//90 QScriptContextInfo::columnNumber() const
    {16, 150, 0, 0, Smoke::mf_const, 51, 10},	//91 QScriptContextInfo::functionName() const
    {16, 153, 0, 0, Smoke::mf_const, 23, 11},	//92 QScriptContextInfo::functionType() const
    {16, 151, 0, 0, Smoke::mf_const, 52, 12},	//93 QScriptContextInfo::functionParameterNames() const
    {16, 152, 0, 0, Smoke::mf_const, 153, 13},	//94 QScriptContextInfo::functionStartLineNumber() const
    {16, 144, 0, 0, Smoke::mf_const, 153, 14},	//95 QScriptContextInfo::functionEndLineNumber() const
    {16, 149, 0, 0, Smoke::mf_const, 153, 15},	//96 QScriptContextInfo::functionMetaIndex() const
    {16, 235, 55, 1, Smoke::mf_const, 129, 16},	//97 QScriptContextInfo::operator==(const QScriptContextInfo&) const
    {16, 231, 55, 1, Smoke::mf_const, 129, 17},	//98 QScriptContextInfo::operator!=(const QScriptContextInfo&) const
    {16, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 18},	//99 QScriptContextInfo::ScriptFunction (enum)
    {16, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 19},	//100 QScriptContextInfo::QtFunction (enum)
    {16, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 20},	//101 QScriptContextInfo::QtPropertyFunction (enum)
    {16, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 21},	//102 QScriptContextInfo::NativeFunction (enum)
    {16, 365, 0, 0, Smoke::mf_dtor, 0, 22 },	//103 QScriptContextInfo::~QScriptContextInfo()
    {17, 190, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 138, 1},	//104 QScriptEngine::metaObject() const
    {17, 264, 15, 1, Smoke::mf_virtual, 159, 2},	//105 QScriptEngine::qt_metacast(const char*)
    {17, 349, 57, 2, Smoke::mf_static, 51, 3},	//106 QScriptEngine::tr(const char*, const char*)
    {17, 353, 57, 2, Smoke::mf_static, 51, 4},	//107 QScriptEngine::trUtf8(const char*, const char*)
    {17, 349, 60, 3, Smoke::mf_static, 51, 5},	//108 QScriptEngine::tr(const char*, const char*, int)
    {17, 353, 60, 3, Smoke::mf_static, 51, 6},	//109 QScriptEngine::trUtf8(const char*, const char*, int)
    {17, 262, 64, 3, Smoke::mf_virtual, 153, 7},	//110 QScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
    {17, 33, 0, 0, Smoke::mf_ctor, 24, 8},	//111 QScriptEngine::QScriptEngine()
    {17, 33, 68, 1, Smoke::mf_ctor, 24, 9},	//112 QScriptEngine::QScriptEngine(QObject*)
    {17, 154, 0, 0, Smoke::mf_const, 40, 10},	//113 QScriptEngine::globalObject() const
    {17, 289, 33, 1, 0, 0, 11},	//114 QScriptEngine::setGlobalObject(const QScriptValue&)
    {17, 116, 0, 0, Smoke::mf_const, 18, 12},	//115 QScriptEngine::currentContext() const
    {17, 257, 0, 0, 0, 18, 13},	//116 QScriptEngine::pushContext()
    {17, 238, 0, 0, 0, 0, 14},	//117 QScriptEngine::popContext()
    {17, 101, 51, 1, Smoke::mf_const, 129, 15},	//118 QScriptEngine::canEvaluate(const QString&) const
    {17, 103, 51, 1, Smoke::mf_static, 36, 16},	//119 QScriptEngine::checkSyntax(const QString&)
    {17, 128, 70, 3, 0, 40, 17},	//120 QScriptEngine::evaluate(const QString&, const QString&, int)
    {17, 128, 74, 1, 0, 40, 18},	//121 QScriptEngine::evaluate(const QScriptProgram&)
    {17, 174, 0, 0, Smoke::mf_const, 129, 19},	//122 QScriptEngine::isEvaluating() const
    {17, 86, 33, 1, 0, 0, 20},	//123 QScriptEngine::abortEvaluation(const QScriptValue&)
    {17, 157, 0, 0, Smoke::mf_const, 129, 21},	//124 QScriptEngine::hasUncaughtException() const
    {17, 357, 0, 0, Smoke::mf_const, 40, 22},	//125 QScriptEngine::uncaughtException() const
    {17, 359, 0, 0, Smoke::mf_const, 153, 23},	//126 QScriptEngine::uncaughtExceptionLineNumber() const
    {17, 358, 0, 0, Smoke::mf_const, 52, 24},	//127 QScriptEngine::uncaughtExceptionBacktrace() const
    {17, 106, 0, 0, 0, 0, 25},	//128 QScriptEngine::clearExceptions()
    {17, 225, 0, 0, 0, 40, 26},	//129 QScriptEngine::nullValue()
    {17, 360, 0, 0, 0, 40, 27},	//130 QScriptEngine::undefinedValue()
    {17, 198, 76, 2, 0, 40, 28},	//131 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), int)
    {17, 198, 79, 3, 0, 40, 29},	//132 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&, int)
    {17, 198, 83, 2, 0, 40, 30},	//133 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*)
    {17, 221, 86, 1, 0, 40, 31},	//134 QScriptEngine::newVariant(const QVariant&)
    {17, 221, 88, 2, 0, 40, 32},	//135 QScriptEngine::newVariant(const QScriptValue&, const QVariant&)
    {17, 218, 91, 1, 0, 40, 33},	//136 QScriptEngine::newRegExp(const QRegExp&)
    {17, 205, 0, 0, 0, 40, 34},	//137 QScriptEngine::newObject()
    {17, 205, 93, 2, 0, 40, 35},	//138 QScriptEngine::newObject(QScriptClass*, const QScriptValue&)
    {17, 193, 96, 1, 0, 40, 36},	//139 QScriptEngine::newArray(unsigned int)
    {17, 218, 98, 2, 0, 40, 37},	//140 QScriptEngine::newRegExp(const QString&, const QString&)
    {17, 195, 101, 1, 0, 40, 38},	//141 QScriptEngine::newDate(double)
    {17, 195, 103, 1, 0, 40, 39},	//142 QScriptEngine::newDate(const QDateTime&)
    {17, 192, 0, 0, 0, 40, 40},	//143 QScriptEngine::newActivationObject()
    {17, 211, 105, 3, 0, 40, 41},	//144 QScriptEngine::newQObject(QObject*, QScriptEngine::ValueOwnership, const QFlags<QScriptEngine::QObjectWrapOption>&)
    {17, 211, 109, 4, 0, 40, 42},	//145 QScriptEngine::newQObject(const QScriptValue&, QObject*, QScriptEngine::ValueOwnership, const QFlags<QScriptEngine::QObjectWrapOption>&)
    {17, 208, 114, 2, 0, 40, 43},	//146 QScriptEngine::newQMetaObject(const QMetaObject*, const QScriptValue&)
    {17, 119, 46, 1, Smoke::mf_const, 40, 44},	//147 QScriptEngine::defaultPrototype(int) const
    {17, 287, 117, 2, 0, 0, 45},	//148 QScriptEngine::setDefaultPrototype(int, const QScriptValue&)
    {17, 164, 33, 1, 0, 0, 46},	//149 QScriptEngine::installTranslatorFunctions(const QScriptValue&)
    {17, 159, 51, 1, 0, 40, 47},	//150 QScriptEngine::importExtension(const QString&)
    {17, 94, 0, 0, Smoke::mf_const, 52, 48},	//151 QScriptEngine::availableExtensions() const
    {17, 161, 0, 0, Smoke::mf_const, 52, 49},	//152 QScriptEngine::importedExtensions() const
    {17, 107, 0, 0, 0, 0, 50},	//153 QScriptEngine::collectGarbage()
    {17, 269, 46, 1, 0, 0, 51},	//154 QScriptEngine::reportAdditionalMemoryCost(int)
    {17, 291, 46, 1, 0, 0, 52},	//155 QScriptEngine::setProcessEventsInterval(int)
    {17, 243, 0, 0, Smoke::mf_const, 153, 53},	//156 QScriptEngine::processEventsInterval() const
    {17, 283, 120, 1, 0, 0, 54},	//157 QScriptEngine::setAgent(QScriptEngineAgent*)
    {17, 89, 0, 0, Smoke::mf_const, 27, 55},	//158 QScriptEngine::agent() const
    {17, 344, 51, 1, 0, 33, 56},	//159 QScriptEngine::toStringHandle(const QString&)
    {17, 338, 33, 1, 0, 40, 57},	//160 QScriptEngine::toObject(const QScriptValue&)
    {17, 227, 122, 1, Smoke::mf_const, 40, 58},	//161 QScriptEngine::objectById(long long) const
    {17, 313, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//162 QScriptEngine::signalHandlerException(const QScriptValue&)
    {17, 33, 124, 2, Smoke::mf_ctor|Smoke::mf_protected, 24, 60},	//163 QScriptEngine::QScriptEngine(QScriptEnginePrivate&, QObject*)
    {17, 349, 15, 1, Smoke::mf_static, 51, 61},	//164 QScriptEngine::tr(const char*)
    {17, 353, 15, 1, Smoke::mf_static, 51, 62},	//165 QScriptEngine::trUtf8(const char*)
    {17, 128, 51, 1, 0, 40, 63},	//166 QScriptEngine::evaluate(const QString&)
    {17, 128, 98, 2, 0, 40, 64},	//167 QScriptEngine::evaluate(const QString&, const QString&)
    {17, 86, 0, 0, 0, 0, 65},	//168 QScriptEngine::abortEvaluation()
    {17, 198, 127, 1, 0, 40, 66},	//169 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*))
    {17, 198, 129, 2, 0, 40, 67},	//170 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&)
    {17, 205, 132, 1, 0, 40, 68},	//171 QScriptEngine::newObject(QScriptClass*)
    {17, 193, 0, 0, 0, 40, 69},	//172 QScriptEngine::newArray()
    {17, 211, 68, 1, 0, 40, 70},	//173 QScriptEngine::newQObject(QObject*)
    {17, 211, 134, 2, 0, 40, 71},	//174 QScriptEngine::newQObject(QObject*, QScriptEngine::ValueOwnership)
    {17, 211, 137, 2, 0, 40, 72},	//175 QScriptEngine::newQObject(const QScriptValue&, QObject*)
    {17, 211, 140, 3, 0, 40, 73},	//176 QScriptEngine::newQObject(const QScriptValue&, QObject*, QScriptEngine::ValueOwnership)
    {17, 208, 144, 1, 0, 40, 74},	//177 QScriptEngine::newQMetaObject(const QMetaObject*)
    {17, 164, 0, 0, 0, 0, 75},	//178 QScriptEngine::installTranslatorFunctions()
    {17, 33, 146, 1, Smoke::mf_ctor|Smoke::mf_protected, 24, 76},	//179 QScriptEngine::QScriptEngine(QScriptEnginePrivate&)
    {17, 316, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 137, 77},	//180 QScriptEngine::staticMetaObject() const
    {17, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 78},	//181 QScriptEngine::QtOwnership (enum)
    {17, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 79},	//182 QScriptEngine::ScriptOwnership (enum)
    {17, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 80},	//183 QScriptEngine::AutoOwnership (enum)
    {17, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 81},	//184 QScriptEngine::ExcludeChildObjects (enum)
    {17, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 82},	//185 QScriptEngine::ExcludeSuperClassMethods (enum)
    {17, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 83},	//186 QScriptEngine::ExcludeSuperClassProperties (enum)
    {17, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 84},	//187 QScriptEngine::ExcludeSuperClassContents (enum)
    {17, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 85},	//188 QScriptEngine::SkipMethodsInEnumeration (enum)
    {17, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 86},	//189 QScriptEngine::ExcludeDeleteLater (enum)
    {17, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 87},	//190 QScriptEngine::ExcludeSlots (enum)
    {17, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 88},	//191 QScriptEngine::AutoCreateDynamicProperties (enum)
    {17, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 89},	//192 QScriptEngine::PreferExistingWrapperObject (enum)
    {17, 366, 0, 0, Smoke::mf_dtor, 0, 90 },	//193 QScriptEngine::~QScriptEngine()
    {18, 36, 17, 1, Smoke::mf_ctor, 27, 1},	//194 QScriptEngineAgent::QScriptEngineAgent(QScriptEngine*)
    {18, 276, 148, 4, Smoke::mf_virtual, 0, 2},	//195 QScriptEngineAgent::scriptLoad(long long, const QString&, const QString&, int)
    {18, 279, 122, 1, Smoke::mf_virtual, 0, 3},	//196 QScriptEngineAgent::scriptUnload(long long)
    {18, 115, 0, 0, Smoke::mf_virtual, 0, 4},	//197 QScriptEngineAgent::contextPush()
    {18, 114, 0, 0, Smoke::mf_virtual, 0, 5},	//198 QScriptEngineAgent::contextPop()
    {18, 145, 122, 1, Smoke::mf_virtual, 0, 6},	//199 QScriptEngineAgent::functionEntry(long long)
    {18, 147, 153, 2, Smoke::mf_virtual, 0, 7},	//200 QScriptEngineAgent::functionExit(long long, const QScriptValue&)
    {18, 240, 156, 3, Smoke::mf_virtual, 0, 8},	//201 QScriptEngineAgent::positionChange(long long, int, int)
    {18, 137, 160, 3, Smoke::mf_virtual, 0, 9},	//202 QScriptEngineAgent::exceptionThrow(long long, const QScriptValue&, bool)
    {18, 135, 153, 2, Smoke::mf_virtual, 0, 10},	//203 QScriptEngineAgent::exceptionCatch(long long, const QScriptValue&)
    {18, 319, 164, 1, Smoke::mf_const|Smoke::mf_virtual, 129, 11},	//204 QScriptEngineAgent::supportsExtension(QScriptEngineAgent::Extension) const
    {18, 139, 166, 2, Smoke::mf_virtual, 55, 12},	//205 QScriptEngineAgent::extension(QScriptEngineAgent::Extension, const QVariant&)
    {18, 122, 0, 0, Smoke::mf_const, 24, 13},	//206 QScriptEngineAgent::engine() const
    {18, 36, 169, 2, Smoke::mf_ctor|Smoke::mf_protected, 27, 14},	//207 QScriptEngineAgent::QScriptEngineAgent(QScriptEngineAgentPrivate&, QScriptEngine*)
    {18, 139, 164, 1, 0, 55, 15},	//208 QScriptEngineAgent::extension(QScriptEngineAgent::Extension)
    {18, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 16},	//209 QScriptEngineAgent::DebuggerInvocationRequest (enum)
    {18, 367, 0, 0, Smoke::mf_dtor, 0, 17 },	//210 QScriptEngineAgent::~QScriptEngineAgent()
    {21, 162, 172, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//211 QScriptExtensionInterface::initialize(const QString&, QScriptEngine*) [pure virtual]
    {21, 39, 0, 0, Smoke::mf_ctor, 31, 2},	//212 QScriptExtensionInterface::QScriptExtensionInterface()
    {21, 39, 175, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//213 QScriptExtensionInterface::QScriptExtensionInterface(const QScriptExtensionInterface&)
    {21, 368, 0, 0, Smoke::mf_dtor, 0, 4 },	//214 QScriptExtensionInterface::~QScriptExtensionInterface()
    {22, 190, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 138, 1},	//215 QScriptExtensionPlugin::metaObject() const
    {22, 264, 15, 1, Smoke::mf_virtual, 159, 2},	//216 QScriptExtensionPlugin::qt_metacast(const char*)
    {22, 349, 57, 2, Smoke::mf_static, 51, 3},	//217 QScriptExtensionPlugin::tr(const char*, const char*)
    {22, 353, 57, 2, Smoke::mf_static, 51, 4},	//218 QScriptExtensionPlugin::trUtf8(const char*, const char*)
    {22, 349, 60, 3, Smoke::mf_static, 51, 5},	//219 QScriptExtensionPlugin::tr(const char*, const char*, int)
    {22, 353, 60, 3, Smoke::mf_static, 51, 6},	//220 QScriptExtensionPlugin::trUtf8(const char*, const char*, int)
    {22, 262, 64, 3, Smoke::mf_virtual, 153, 7},	//221 QScriptExtensionPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {22, 41, 68, 1, Smoke::mf_ctor, 32, 8},	//222 QScriptExtensionPlugin::QScriptExtensionPlugin(QObject*)
    {22, 186, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 9},	//223 QScriptExtensionPlugin::keys() const [pure virtual]
    {22, 162, 172, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//224 QScriptExtensionPlugin::initialize(const QString&, QScriptEngine*) [pure virtual]
    {22, 311, 172, 2, Smoke::mf_const, 40, 11},	//225 QScriptExtensionPlugin::setupPackage(const QString&, QScriptEngine*) const
    {22, 349, 15, 1, Smoke::mf_static, 51, 12},	//226 QScriptExtensionPlugin::tr(const char*)
    {22, 353, 15, 1, Smoke::mf_static, 51, 13},	//227 QScriptExtensionPlugin::trUtf8(const char*)
    {22, 41, 0, 0, Smoke::mf_ctor, 32, 14},	//228 QScriptExtensionPlugin::QScriptExtensionPlugin()
    {22, 316, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 137, 15},	//229 QScriptExtensionPlugin::staticMetaObject() const
    {22, 369, 0, 0, Smoke::mf_dtor, 0, 16 },	//230 QScriptExtensionPlugin::~QScriptExtensionPlugin()
    {24, 43, 0, 0, Smoke::mf_ctor, 35, 1},	//231 QScriptString::QScriptString()
    {24, 43, 177, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 2},	//232 QScriptString::QScriptString(const QScriptString&)
    {24, 233, 177, 1, 0, 34, 3},	//233 QScriptString::operator=(const QScriptString&)
    {24, 184, 0, 0, Smoke::mf_const, 129, 4},	//234 QScriptString::isValid() const
    {24, 235, 177, 1, Smoke::mf_const, 129, 5},	//235 QScriptString::operator==(const QScriptString&) const
    {24, 231, 177, 1, Smoke::mf_const, 129, 6},	//236 QScriptString::operator!=(const QScriptString&) const
    {24, 328, 179, 1, Smoke::mf_const, 156, 7},	//237 QScriptString::toArrayIndex(bool*) const
    {24, 343, 0, 0, Smoke::mf_const, 51, 8},	//238 QScriptString::toString() const
    {24, 230, 0, 0, Smoke::mf_const, 51, 9},	//239 QScriptString::operator QString() const
    {24, 328, 0, 0, Smoke::mf_const, 156, 10},	//240 QScriptString::toArrayIndex() const
    {24, 370, 0, 0, Smoke::mf_dtor, 0, 11 },	//241 QScriptString::~QScriptString()
    {25, 45, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 1},	//242 QScriptSyntaxCheckResult::QScriptSyntaxCheckResult(const QScriptSyntaxCheckResult&)
    {25, 315, 0, 0, Smoke::mf_const, 39, 2},	//243 QScriptSyntaxCheckResult::state() const
    {25, 126, 0, 0, Smoke::mf_const, 153, 3},	//244 QScriptSyntaxCheckResult::errorLineNumber() const
    {25, 125, 0, 0, Smoke::mf_const, 153, 4},	//245 QScriptSyntaxCheckResult::errorColumnNumber() const
    {25, 127, 0, 0, Smoke::mf_const, 51, 5},	//246 QScriptSyntaxCheckResult::errorMessage() const
    {25, 233, 181, 1, 0, 37, 6},	//247 QScriptSyntaxCheckResult::operator=(const QScriptSyntaxCheckResult&)
    {25, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 7},	//248 QScriptSyntaxCheckResult::Error (enum)
    {25, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 8},	//249 QScriptSyntaxCheckResult::Intermediate (enum)
    {25, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 9},	//250 QScriptSyntaxCheckResult::Valid (enum)
    {25, 371, 0, 0, Smoke::mf_dtor, 0, 10 },	//251 QScriptSyntaxCheckResult::~QScriptSyntaxCheckResult()
    {26, 47, 0, 0, Smoke::mf_ctor, 44, 1},	//252 QScriptValue::QScriptValue()
    {26, 47, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 2},	//253 QScriptValue::QScriptValue(const QScriptValue&)
    {26, 47, 183, 2, Smoke::mf_ctor, 44, 3},	//254 QScriptValue::QScriptValue(QScriptEngine*, QScriptValue::SpecialValue)
    {26, 47, 186, 2, Smoke::mf_ctor, 44, 4},	//255 QScriptValue::QScriptValue(QScriptEngine*, bool)
    {26, 47, 189, 2, Smoke::mf_ctor, 44, 5},	//256 QScriptValue::QScriptValue(QScriptEngine*, int)
    {26, 47, 192, 2, Smoke::mf_ctor, 44, 6},	//257 QScriptValue::QScriptValue(QScriptEngine*, unsigned int)
    {26, 47, 195, 2, Smoke::mf_ctor, 44, 7},	//258 QScriptValue::QScriptValue(QScriptEngine*, double)
    {26, 47, 198, 2, Smoke::mf_ctor, 44, 8},	//259 QScriptValue::QScriptValue(QScriptEngine*, const QString&)
    {26, 47, 201, 1, Smoke::mf_ctor, 44, 9},	//260 QScriptValue::QScriptValue(QScriptValue::SpecialValue)
    {26, 47, 203, 1, Smoke::mf_ctor, 44, 10},	//261 QScriptValue::QScriptValue(bool)
    {26, 47, 46, 1, Smoke::mf_ctor, 44, 11},	//262 QScriptValue::QScriptValue(int)
    {26, 47, 96, 1, Smoke::mf_ctor, 44, 12},	//263 QScriptValue::QScriptValue(unsigned int)
    {26, 47, 101, 1, Smoke::mf_ctor, 44, 13},	//264 QScriptValue::QScriptValue(double)
    {26, 47, 51, 1, Smoke::mf_ctor, 44, 14},	//265 QScriptValue::QScriptValue(const QString&)
    {26, 47, 205, 1, Smoke::mf_ctor, 44, 15},	//266 QScriptValue::QScriptValue(const QLatin1String&)
    {26, 233, 33, 1, 0, 41, 16},	//267 QScriptValue::operator=(const QScriptValue&)
    {26, 122, 0, 0, Smoke::mf_const, 24, 17},	//268 QScriptValue::engine() const
    {26, 184, 0, 0, Smoke::mf_const, 129, 18},	//269 QScriptValue::isValid() const
    {26, 169, 0, 0, Smoke::mf_const, 129, 19},	//270 QScriptValue::isBool() const
    {26, 170, 0, 0, Smoke::mf_const, 129, 20},	//271 QScriptValue::isBoolean() const
    {26, 177, 0, 0, Smoke::mf_const, 129, 21},	//272 QScriptValue::isNumber() const
    {26, 175, 0, 0, Smoke::mf_const, 129, 22},	//273 QScriptValue::isFunction() const
    {26, 176, 0, 0, Smoke::mf_const, 129, 23},	//274 QScriptValue::isNull() const
    {26, 182, 0, 0, Smoke::mf_const, 129, 24},	//275 QScriptValue::isString() const
    {26, 183, 0, 0, Smoke::mf_const, 129, 25},	//276 QScriptValue::isUndefined() const
    {26, 185, 0, 0, Smoke::mf_const, 129, 26},	//277 QScriptValue::isVariant() const
    {26, 180, 0, 0, Smoke::mf_const, 129, 27},	//278 QScriptValue::isQObject() const
    {26, 179, 0, 0, Smoke::mf_const, 129, 28},	//279 QScriptValue::isQMetaObject() const
    {26, 178, 0, 0, Smoke::mf_const, 129, 29},	//280 QScriptValue::isObject() const
    {26, 172, 0, 0, Smoke::mf_const, 129, 30},	//281 QScriptValue::isDate() const
    {26, 181, 0, 0, Smoke::mf_const, 129, 31},	//282 QScriptValue::isRegExp() const
    {26, 168, 0, 0, Smoke::mf_const, 129, 32},	//283 QScriptValue::isArray() const
    {26, 173, 0, 0, Smoke::mf_const, 129, 33},	//284 QScriptValue::isError() const
    {26, 343, 0, 0, Smoke::mf_const, 51, 34},	//285 QScriptValue::toString() const
    {26, 337, 0, 0, Smoke::mf_const, 152, 35},	//286 QScriptValue::toNumber() const
    {26, 331, 0, 0, Smoke::mf_const, 129, 36},	//287 QScriptValue::toBool() const
    {26, 332, 0, 0, Smoke::mf_const, 129, 37},	//288 QScriptValue::toBoolean() const
    {26, 336, 0, 0, Smoke::mf_const, 152, 38},	//289 QScriptValue::toInteger() const
    {26, 335, 0, 0, Smoke::mf_const, 153, 39},	//290 QScriptValue::toInt32() const
    {26, 347, 0, 0, Smoke::mf_const, 156, 40},	//291 QScriptValue::toUInt32() const
    {26, 346, 0, 0, Smoke::mf_const, 158, 41},	//292 QScriptValue::toUInt16() const
    {26, 348, 0, 0, Smoke::mf_const, 55, 42},	//293 QScriptValue::toVariant() const
    {26, 341, 0, 0, Smoke::mf_const, 9, 43},	//294 QScriptValue::toQObject() const
    {26, 340, 0, 0, Smoke::mf_const, 138, 44},	//295 QScriptValue::toQMetaObject() const
    {26, 338, 0, 0, Smoke::mf_const, 40, 45},	//296 QScriptValue::toObject() const
    {26, 333, 0, 0, Smoke::mf_const, 3, 46},	//297 QScriptValue::toDateTime() const
    {26, 342, 0, 0, Smoke::mf_const, 10, 47},	//298 QScriptValue::toRegExp() const
    {26, 166, 33, 1, Smoke::mf_const, 129, 48},	//299 QScriptValue::instanceOf(const QScriptValue&) const
    {26, 187, 33, 1, Smoke::mf_const, 129, 49},	//300 QScriptValue::lessThan(const QScriptValue&) const
    {26, 123, 33, 1, Smoke::mf_const, 129, 50},	//301 QScriptValue::equals(const QScriptValue&) const
    {26, 317, 33, 1, Smoke::mf_const, 129, 51},	//302 QScriptValue::strictlyEquals(const QScriptValue&) const
    {26, 256, 0, 0, Smoke::mf_const, 40, 52},	//303 QScriptValue::prototype() const
    {26, 299, 33, 1, 0, 0, 53},	//304 QScriptValue::setPrototype(const QScriptValue&)
    {26, 272, 0, 0, Smoke::mf_const, 40, 54},	//305 QScriptValue::scope() const
    {26, 303, 33, 1, 0, 0, 55},	//306 QScriptValue::setScope(const QScriptValue&)
    {26, 244, 207, 2, Smoke::mf_const, 40, 56},	//307 QScriptValue::property(const QString&, const QFlags<QScriptValue::ResolveFlag>&) const
    {26, 293, 210, 3, 0, 0, 57},	//308 QScriptValue::setProperty(const QString&, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&)
    {26, 244, 214, 2, Smoke::mf_const, 40, 58},	//309 QScriptValue::property(unsigned int, const QFlags<QScriptValue::ResolveFlag>&) const
    {26, 293, 217, 3, 0, 0, 59},	//310 QScriptValue::setProperty(unsigned int, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&)
    {26, 244, 221, 2, Smoke::mf_const, 40, 60},	//311 QScriptValue::property(const QScriptString&, const QFlags<QScriptValue::ResolveFlag>&) const
    {26, 293, 224, 3, 0, 0, 61},	//312 QScriptValue::setProperty(const QScriptString&, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&)
    {26, 250, 207, 2, Smoke::mf_const, 6, 62},	//313 QScriptValue::propertyFlags(const QString&, const QFlags<QScriptValue::ResolveFlag>&) const
    {26, 250, 221, 2, Smoke::mf_const, 6, 63},	//314 QScriptValue::propertyFlags(const QScriptString&, const QFlags<QScriptValue::ResolveFlag>&) const
    {26, 96, 228, 2, 0, 40, 64},	//315 QScriptValue::call(const QScriptValue&, const QList<QScriptValue>&)
    {26, 96, 231, 2, 0, 40, 65},	//316 QScriptValue::call(const QScriptValue&, const QScriptValue&)
    {26, 110, 234, 1, 0, 40, 66},	//317 QScriptValue::construct(const QList<QScriptValue>&)
    {26, 110, 33, 1, 0, 40, 67},	//318 QScriptValue::construct(const QScriptValue&)
    {26, 118, 0, 0, Smoke::mf_const, 40, 68},	//319 QScriptValue::data() const
    {26, 285, 33, 1, 0, 0, 69},	//320 QScriptValue::setData(const QScriptValue&)
    {26, 274, 0, 0, Smoke::mf_const, 12, 70},	//321 QScriptValue::scriptClass() const
    {26, 305, 132, 1, 0, 0, 71},	//322 QScriptValue::setScriptClass(QScriptClass*)
    {26, 229, 0, 0, Smoke::mf_const, 155, 72},	//323 QScriptValue::objectId() const
    {26, 244, 51, 1, Smoke::mf_const, 40, 73},	//324 QScriptValue::property(const QString&) const
    {26, 293, 236, 2, 0, 0, 74},	//325 QScriptValue::setProperty(const QString&, const QScriptValue&)
    {26, 244, 96, 1, Smoke::mf_const, 40, 75},	//326 QScriptValue::property(unsigned int) const
    {26, 293, 239, 2, 0, 0, 76},	//327 QScriptValue::setProperty(unsigned int, const QScriptValue&)
    {26, 244, 177, 1, Smoke::mf_const, 40, 77},	//328 QScriptValue::property(const QScriptString&) const
    {26, 293, 242, 2, 0, 0, 78},	//329 QScriptValue::setProperty(const QScriptString&, const QScriptValue&)
    {26, 250, 51, 1, Smoke::mf_const, 6, 79},	//330 QScriptValue::propertyFlags(const QString&) const
    {26, 250, 177, 1, Smoke::mf_const, 6, 80},	//331 QScriptValue::propertyFlags(const QScriptString&) const
    {26, 96, 0, 0, 0, 40, 81},	//332 QScriptValue::call()
    {26, 96, 33, 1, 0, 40, 82},	//333 QScriptValue::call(const QScriptValue&)
    {26, 110, 0, 0, 0, 40, 83},	//334 QScriptValue::construct()
    {26, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 84},	//335 QScriptValue::ResolveLocal (enum)
    {26, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 85},	//336 QScriptValue::ResolvePrototype (enum)
    {26, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 86},	//337 QScriptValue::ResolveScope (enum)
    {26, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 87},	//338 QScriptValue::ResolveFull (enum)
    {26, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 88},	//339 QScriptValue::ReadOnly (enum)
    {26, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 89},	//340 QScriptValue::Undeletable (enum)
    {26, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 90},	//341 QScriptValue::SkipInEnumeration (enum)
    {26, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 91},	//342 QScriptValue::PropertyGetter (enum)
    {26, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 92},	//343 QScriptValue::PropertySetter (enum)
    {26, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 93},	//344 QScriptValue::QObjectMember (enum)
    {26, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 94},	//345 QScriptValue::KeepExistingFlags (enum)
    {26, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 95},	//346 QScriptValue::UserRange (enum)
    {26, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 96},	//347 QScriptValue::NullValue (enum)
    {26, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 97},	//348 QScriptValue::UndefinedValue (enum)
    {26, 372, 0, 0, Smoke::mf_dtor, 0, 98 },	//349 QScriptValue::~QScriptValue()
    {27, 51, 33, 1, Smoke::mf_ctor, 49, 1},	//350 QScriptValueIterator::QScriptValueIterator(const QScriptValue&)
    {27, 155, 0, 0, Smoke::mf_const, 129, 2},	//351 QScriptValueIterator::hasNext() const
    {27, 224, 0, 0, 0, 0, 3},	//352 QScriptValueIterator::next()
    {27, 156, 0, 0, Smoke::mf_const, 129, 4},	//353 QScriptValueIterator::hasPrevious() const
    {27, 242, 0, 0, 0, 0, 5},	//354 QScriptValueIterator::previous()
    {27, 191, 0, 0, Smoke::mf_const, 51, 6},	//355 QScriptValueIterator::name() const
    {27, 278, 0, 0, Smoke::mf_const, 33, 7},	//356 QScriptValueIterator::scriptName() const
    {27, 361, 0, 0, Smoke::mf_const, 40, 8},	//357 QScriptValueIterator::value() const
    {27, 309, 33, 1, 0, 0, 9},	//358 QScriptValueIterator::setValue(const QScriptValue&)
    {27, 143, 0, 0, Smoke::mf_const, 6, 10},	//359 QScriptValueIterator::flags() const
    {27, 268, 0, 0, 0, 0, 11},	//360 QScriptValueIterator::remove()
    {27, 334, 0, 0, 0, 0, 12},	//361 QScriptValueIterator::toFront()
    {27, 330, 0, 0, 0, 0, 13},	//362 QScriptValueIterator::toBack()
    {27, 233, 245, 1, 0, 48, 14},	//363 QScriptValueIterator::operator=(QScriptValue&)
    {27, 373, 0, 0, Smoke::mf_dtor, 0, 15 },	//364 QScriptValueIterator::~QScriptValueIterator()
    {28, 53, 0, 0, Smoke::mf_ctor, 50, 1},	//365 QScriptable::QScriptable()
    {28, 122, 0, 0, Smoke::mf_const, 24, 2},	//366 QScriptable::engine() const
    {28, 113, 0, 0, Smoke::mf_const, 18, 3},	//367 QScriptable::context() const
    {28, 321, 0, 0, Smoke::mf_const, 40, 4},	//368 QScriptable::thisObject() const
    {28, 92, 0, 0, Smoke::mf_const, 153, 5},	//369 QScriptable::argumentCount() const
    {28, 90, 46, 1, Smoke::mf_const, 40, 6},	//370 QScriptable::argument(int) const
    {28, 374, 0, 0, Smoke::mf_dtor, 0, 7 },	//371 QScriptable::~QScriptable()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    112,  // QScriptEngine::QScriptEngine(QObject*)
    179,  // QScriptEngine::QScriptEngine(QScriptEnginePrivate&)
    0,
    131,  // QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), int)
    133,  // QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*)
    0,
    82,  // QScriptContextInfo::QScriptContextInfo(const QScriptContext*)
    83,  // QScriptContextInfo::QScriptContextInfo(const QScriptContextInfo&)
    0,
    253,  // QScriptValue::QScriptValue(const QScriptValue&)
    266,  // QScriptValue::QScriptValue(const QLatin1String&)
    0,
    254,  // QScriptValue::QScriptValue(QScriptEngine*, QScriptValue::SpecialValue)
    255,  // QScriptValue::QScriptValue(QScriptEngine*, bool)
    256,  // QScriptValue::QScriptValue(QScriptEngine*, int)
    257,  // QScriptValue::QScriptValue(QScriptEngine*, unsigned int)
    258,  // QScriptValue::QScriptValue(QScriptEngine*, double)
    259,  // QScriptValue::QScriptValue(QScriptEngine*, const QString&)
    0,
    260,  // QScriptValue::QScriptValue(QScriptValue::SpecialValue)
    261,  // QScriptValue::QScriptValue(bool)
    262,  // QScriptValue::QScriptValue(int)
    263,  // QScriptValue::QScriptValue(unsigned int)
    264,  // QScriptValue::QScriptValue(double)
    265,  // QScriptValue::QScriptValue(const QString&)
    0,
    324,  // QScriptValue::property(const QString&) const
    326,  // QScriptValue::property(unsigned int) const
    0,
    307,  // QScriptValue::property(const QString&, const QFlags<QScriptValue::ResolveFlag>&) const
    309,  // QScriptValue::property(unsigned int, const QFlags<QScriptValue::ResolveFlag>&) const
    0,
    325,  // QScriptValue::setProperty(const QString&, const QScriptValue&)
    327,  // QScriptValue::setProperty(unsigned int, const QScriptValue&)
    0,
    308,  // QScriptValue::setProperty(const QString&, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&)
    310,  // QScriptValue::setProperty(unsigned int, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 54, 3},	// QGlobalSpace::Q_COMPLEX_TYPE
    {6, 55, 7},	// QGlobalSpace::Q_DUMMY_TYPE
    {6, 56, 6},	// QGlobalSpace::Q_MOVABLE_TYPE
    {6, 57, 4},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {6, 58, 5},	// QGlobalSpace::Q_STATIC_TYPE
    {6, 59, 10},	// QGlobalSpace::QtCriticalMsg
    {6, 60, 8},	// QGlobalSpace::QtDebugMsg
    {6, 61, 11},	// QGlobalSpace::QtFatalMsg
    {6, 65, 12},	// QGlobalSpace::QtSystemMsg
    {6, 66, 9},	// QGlobalSpace::QtWarningMsg
    {6, 261, 2},	// QGlobalSpace::qScriptConnect#$##
    {11, 3, 35},	// QScriptClass::Callable
    {11, 13, 33},	// QScriptClass::HandlesReadAccess
    {11, 14, 34},	// QScriptClass::HandlesWriteAccess
    {11, 15, 36},	// QScriptClass::HasInstance
    {11, 26, 20},	// QScriptClass::QScriptClass#
    {11, 27, 31},	// QScriptClass::QScriptClass##
    {11, 122, 21},	// QScriptClass::engine
    {11, 140, 32},	// QScriptClass::extension$
    {11, 141, 30},	// QScriptClass::extension$#
    {11, 191, 28},	// QScriptClass::name
    {11, 204, 26},	// QScriptClass::newIterator#
    {11, 247, 23},	// QScriptClass::property##$
    {11, 253, 25},	// QScriptClass::propertyFlags##$
    {11, 256, 27},	// QScriptClass::prototype
    {11, 267, 22},	// QScriptClass::queryProperty##$$
    {11, 296, 24},	// QScriptClass::setProperty##$#
    {11, 320, 29},	// QScriptClass::supportsExtension$
    {11, 362, 37},	// QScriptClass::~QScriptClass
    {13, 29, 38},	// QScriptClassPropertyIterator::QScriptClassPropertyIterator#
    {13, 30, 49},	// QScriptClassPropertyIterator::QScriptClassPropertyIterator##
    {13, 143, 48},	// QScriptClassPropertyIterator::flags
    {13, 155, 40},	// QScriptClassPropertyIterator::hasNext
    {13, 156, 42},	// QScriptClassPropertyIterator::hasPrevious
    {13, 158, 47},	// QScriptClassPropertyIterator::id
    {13, 191, 46},	// QScriptClassPropertyIterator::name
    {13, 224, 41},	// QScriptClassPropertyIterator::next
    {13, 226, 39},	// QScriptClassPropertyIterator::object
    {13, 242, 43},	// QScriptClassPropertyIterator::previous
    {13, 330, 45},	// QScriptClassPropertyIterator::toBack
    {13, 334, 44},	// QScriptClassPropertyIterator::toFront
    {13, 363, 50},	// QScriptClassPropertyIterator::~QScriptClassPropertyIterator
    {15, 6, 74},	// QScriptContext::ExceptionState
    {15, 19, 73},	// QScriptContext::NormalState
    {15, 67, 79},	// QScriptContext::RangeError
    {15, 69, 76},	// QScriptContext::ReferenceError
    {15, 78, 77},	// QScriptContext::SyntaxError
    {15, 79, 78},	// QScriptContext::TypeError
    {15, 80, 80},	// QScriptContext::URIError
    {15, 83, 75},	// QScriptContext::UnknownError
    {15, 88, 63},	// QScriptContext::activationObject
    {15, 91, 56},	// QScriptContext::argument$
    {15, 92, 55},	// QScriptContext::argumentCount
    {15, 93, 57},	// QScriptContext::argumentsObject
    {15, 95, 71},	// QScriptContext::backtrace
    {15, 100, 54},	// QScriptContext::callee
    {15, 122, 52},	// QScriptContext::engine
    {15, 171, 67},	// QScriptContext::isCalledAsConstructor
    {15, 237, 51},	// QScriptContext::parentContext
    {15, 239, 60},	// QScriptContext::popScope
    {15, 259, 59},	// QScriptContext::pushScope#
    {15, 271, 61},	// QScriptContext::returnValue
    {15, 273, 58},	// QScriptContext::scopeChain
    {15, 282, 64},	// QScriptContext::setActivationObject#
    {15, 302, 62},	// QScriptContext::setReturnValue#
    {15, 308, 66},	// QScriptContext::setThisObject#
    {15, 315, 53},	// QScriptContext::state
    {15, 321, 65},	// QScriptContext::thisObject
    {15, 323, 70},	// QScriptContext::throwError$
    {15, 324, 69},	// QScriptContext::throwError$$
    {15, 326, 68},	// QScriptContext::throwValue#
    {15, 343, 72},	// QScriptContext::toString
    {15, 364, 81},	// QScriptContext::~QScriptContext
    {16, 18, 102},	// QScriptContextInfo::NativeFunction
    {16, 31, 84},	// QScriptContextInfo::QScriptContextInfo
    {16, 32, -7},	// QScriptContextInfo::QScriptContextInfo#
    {16, 62, 100},	// QScriptContextInfo::QtFunction
    {16, 64, 101},	// QScriptContextInfo::QtPropertyFunction
    {16, 74, 99},	// QScriptContextInfo::ScriptFunction
    {16, 108, 90},	// QScriptContextInfo::columnNumber
    {16, 142, 88},	// QScriptContextInfo::fileName
    {16, 144, 95},	// QScriptContextInfo::functionEndLineNumber
    {16, 149, 96},	// QScriptContextInfo::functionMetaIndex
    {16, 150, 91},	// QScriptContextInfo::functionName
    {16, 151, 93},	// QScriptContextInfo::functionParameterNames
    {16, 152, 94},	// QScriptContextInfo::functionStartLineNumber
    {16, 153, 92},	// QScriptContextInfo::functionType
    {16, 176, 86},	// QScriptContextInfo::isNull
    {16, 189, 89},	// QScriptContextInfo::lineNumber
    {16, 232, 98},	// QScriptContextInfo::operator!=#
    {16, 234, 85},	// QScriptContextInfo::operator=#
    {16, 236, 97},	// QScriptContextInfo::operator==#
    {16, 275, 87},	// QScriptContextInfo::scriptId
    {16, 365, 103},	// QScriptContextInfo::~QScriptContextInfo
    {17, 1, 191},	// QScriptEngine::AutoCreateDynamicProperties
    {17, 2, 183},	// QScriptEngine::AutoOwnership
    {17, 7, 184},	// QScriptEngine::ExcludeChildObjects
    {17, 8, 189},	// QScriptEngine::ExcludeDeleteLater
    {17, 9, 190},	// QScriptEngine::ExcludeSlots
    {17, 10, 187},	// QScriptEngine::ExcludeSuperClassContents
    {17, 11, 185},	// QScriptEngine::ExcludeSuperClassMethods
    {17, 12, 186},	// QScriptEngine::ExcludeSuperClassProperties
    {17, 21, 192},	// QScriptEngine::PreferExistingWrapperObject
    {17, 33, 111},	// QScriptEngine::QScriptEngine
    {17, 34, -1},	// QScriptEngine::QScriptEngine#
    {17, 35, 163},	// QScriptEngine::QScriptEngine##
    {17, 63, 181},	// QScriptEngine::QtOwnership
    {17, 75, 182},	// QScriptEngine::ScriptOwnership
    {17, 77, 188},	// QScriptEngine::SkipMethodsInEnumeration
    {17, 86, 168},	// QScriptEngine::abortEvaluation
    {17, 87, 123},	// QScriptEngine::abortEvaluation#
    {17, 89, 158},	// QScriptEngine::agent
    {17, 94, 151},	// QScriptEngine::availableExtensions
    {17, 102, 118},	// QScriptEngine::canEvaluate$
    {17, 104, 119},	// QScriptEngine::checkSyntax$
    {17, 106, 128},	// QScriptEngine::clearExceptions
    {17, 107, 153},	// QScriptEngine::collectGarbage
    {17, 116, 115},	// QScriptEngine::currentContext
    {17, 120, 147},	// QScriptEngine::defaultPrototype$
    {17, 129, 121},	// QScriptEngine::evaluate#
    {17, 130, 166},	// QScriptEngine::evaluate$
    {17, 131, 167},	// QScriptEngine::evaluate$$
    {17, 132, 120},	// QScriptEngine::evaluate$$$
    {17, 154, 113},	// QScriptEngine::globalObject
    {17, 157, 124},	// QScriptEngine::hasUncaughtException
    {17, 160, 150},	// QScriptEngine::importExtension$
    {17, 161, 152},	// QScriptEngine::importedExtensions
    {17, 164, 178},	// QScriptEngine::installTranslatorFunctions
    {17, 165, 149},	// QScriptEngine::installTranslatorFunctions#
    {17, 174, 122},	// QScriptEngine::isEvaluating
    {17, 190, 104},	// QScriptEngine::metaObject
    {17, 192, 143},	// QScriptEngine::newActivationObject
    {17, 193, 172},	// QScriptEngine::newArray
    {17, 194, 139},	// QScriptEngine::newArray$
    {17, 196, 142},	// QScriptEngine::newDate#
    {17, 197, 141},	// QScriptEngine::newDate$
    {17, 199, 169},	// QScriptEngine::newFunction#
    {17, 200, 170},	// QScriptEngine::newFunction##
    {17, 201, 132},	// QScriptEngine::newFunction##$
    {17, 202, -4},	// QScriptEngine::newFunction#$
    {17, 205, 137},	// QScriptEngine::newObject
    {17, 206, 171},	// QScriptEngine::newObject#
    {17, 207, 138},	// QScriptEngine::newObject##
    {17, 209, 177},	// QScriptEngine::newQMetaObject#
    {17, 210, 146},	// QScriptEngine::newQMetaObject##
    {17, 212, 173},	// QScriptEngine::newQObject#
    {17, 213, 175},	// QScriptEngine::newQObject##
    {17, 214, 176},	// QScriptEngine::newQObject##$
    {17, 215, 145},	// QScriptEngine::newQObject##$#
    {17, 216, 174},	// QScriptEngine::newQObject#$
    {17, 217, 144},	// QScriptEngine::newQObject#$#
    {17, 219, 136},	// QScriptEngine::newRegExp#
    {17, 220, 140},	// QScriptEngine::newRegExp$$
    {17, 222, 134},	// QScriptEngine::newVariant#
    {17, 223, 135},	// QScriptEngine::newVariant##
    {17, 225, 129},	// QScriptEngine::nullValue
    {17, 228, 161},	// QScriptEngine::objectById$
    {17, 238, 117},	// QScriptEngine::popContext
    {17, 243, 156},	// QScriptEngine::processEventsInterval
    {17, 257, 116},	// QScriptEngine::pushContext
    {17, 263, 110},	// QScriptEngine::qt_metacall$$?
    {17, 265, 105},	// QScriptEngine::qt_metacast$
    {17, 270, 154},	// QScriptEngine::reportAdditionalMemoryCost$
    {17, 284, 157},	// QScriptEngine::setAgent#
    {17, 288, 148},	// QScriptEngine::setDefaultPrototype$#
    {17, 290, 114},	// QScriptEngine::setGlobalObject#
    {17, 292, 155},	// QScriptEngine::setProcessEventsInterval$
    {17, 314, 162},	// QScriptEngine::signalHandlerException#
    {17, 316, 180},	// QScriptEngine::staticMetaObject
    {17, 339, 160},	// QScriptEngine::toObject#
    {17, 345, 159},	// QScriptEngine::toStringHandle$
    {17, 350, 164},	// QScriptEngine::tr$
    {17, 351, 106},	// QScriptEngine::tr$$
    {17, 352, 108},	// QScriptEngine::tr$$$
    {17, 354, 165},	// QScriptEngine::trUtf8$
    {17, 355, 107},	// QScriptEngine::trUtf8$$
    {17, 356, 109},	// QScriptEngine::trUtf8$$$
    {17, 357, 125},	// QScriptEngine::uncaughtException
    {17, 358, 127},	// QScriptEngine::uncaughtExceptionBacktrace
    {17, 359, 126},	// QScriptEngine::uncaughtExceptionLineNumber
    {17, 360, 130},	// QScriptEngine::undefinedValue
    {17, 366, 193},	// QScriptEngine::~QScriptEngine
    {18, 4, 209},	// QScriptEngineAgent::DebuggerInvocationRequest
    {18, 37, 194},	// QScriptEngineAgent::QScriptEngineAgent#
    {18, 38, 207},	// QScriptEngineAgent::QScriptEngineAgent##
    {18, 114, 198},	// QScriptEngineAgent::contextPop
    {18, 115, 197},	// QScriptEngineAgent::contextPush
    {18, 122, 206},	// QScriptEngineAgent::engine
    {18, 136, 203},	// QScriptEngineAgent::exceptionCatch$#
    {18, 138, 202},	// QScriptEngineAgent::exceptionThrow$#$
    {18, 140, 208},	// QScriptEngineAgent::extension$
    {18, 141, 205},	// QScriptEngineAgent::extension$#
    {18, 146, 199},	// QScriptEngineAgent::functionEntry$
    {18, 148, 200},	// QScriptEngineAgent::functionExit$#
    {18, 241, 201},	// QScriptEngineAgent::positionChange$$$
    {18, 277, 195},	// QScriptEngineAgent::scriptLoad$$$$
    {18, 280, 196},	// QScriptEngineAgent::scriptUnload$
    {18, 320, 204},	// QScriptEngineAgent::supportsExtension$
    {18, 367, 210},	// QScriptEngineAgent::~QScriptEngineAgent
    {21, 39, 212},	// QScriptExtensionInterface::QScriptExtensionInterface
    {21, 40, 213},	// QScriptExtensionInterface::QScriptExtensionInterface#
    {21, 163, 211},	// QScriptExtensionInterface::initialize$#
    {21, 368, 214},	// QScriptExtensionInterface::~QScriptExtensionInterface
    {22, 41, 228},	// QScriptExtensionPlugin::QScriptExtensionPlugin
    {22, 42, 222},	// QScriptExtensionPlugin::QScriptExtensionPlugin#
    {22, 163, 224},	// QScriptExtensionPlugin::initialize$#
    {22, 186, 223},	// QScriptExtensionPlugin::keys
    {22, 190, 215},	// QScriptExtensionPlugin::metaObject
    {22, 263, 221},	// QScriptExtensionPlugin::qt_metacall$$?
    {22, 265, 216},	// QScriptExtensionPlugin::qt_metacast$
    {22, 312, 225},	// QScriptExtensionPlugin::setupPackage$#
    {22, 316, 229},	// QScriptExtensionPlugin::staticMetaObject
    {22, 350, 226},	// QScriptExtensionPlugin::tr$
    {22, 351, 217},	// QScriptExtensionPlugin::tr$$
    {22, 352, 219},	// QScriptExtensionPlugin::tr$$$
    {22, 354, 227},	// QScriptExtensionPlugin::trUtf8$
    {22, 355, 218},	// QScriptExtensionPlugin::trUtf8$$
    {22, 356, 220},	// QScriptExtensionPlugin::trUtf8$$$
    {22, 369, 230},	// QScriptExtensionPlugin::~QScriptExtensionPlugin
    {24, 43, 231},	// QScriptString::QScriptString
    {24, 44, 232},	// QScriptString::QScriptString#
    {24, 184, 234},	// QScriptString::isValid
    {24, 230, 239},	// QScriptString::operator QString
    {24, 232, 236},	// QScriptString::operator!=#
    {24, 234, 233},	// QScriptString::operator=#
    {24, 236, 235},	// QScriptString::operator==#
    {24, 328, 240},	// QScriptString::toArrayIndex
    {24, 329, 237},	// QScriptString::toArrayIndex$
    {24, 343, 238},	// QScriptString::toString
    {24, 370, 241},	// QScriptString::~QScriptString
    {25, 5, 248},	// QScriptSyntaxCheckResult::Error
    {25, 16, 249},	// QScriptSyntaxCheckResult::Intermediate
    {25, 46, 242},	// QScriptSyntaxCheckResult::QScriptSyntaxCheckResult#
    {25, 85, 250},	// QScriptSyntaxCheckResult::Valid
    {25, 125, 245},	// QScriptSyntaxCheckResult::errorColumnNumber
    {25, 126, 244},	// QScriptSyntaxCheckResult::errorLineNumber
    {25, 127, 246},	// QScriptSyntaxCheckResult::errorMessage
    {25, 234, 247},	// QScriptSyntaxCheckResult::operator=#
    {25, 315, 243},	// QScriptSyntaxCheckResult::state
    {25, 371, 251},	// QScriptSyntaxCheckResult::~QScriptSyntaxCheckResult
    {26, 17, 345},	// QScriptValue::KeepExistingFlags
    {26, 20, 347},	// QScriptValue::NullValue
    {26, 22, 342},	// QScriptValue::PropertyGetter
    {26, 23, 343},	// QScriptValue::PropertySetter
    {26, 24, 344},	// QScriptValue::QObjectMember
    {26, 47, 252},	// QScriptValue::QScriptValue
    {26, 48, -10},	// QScriptValue::QScriptValue#
    {26, 49, -13},	// QScriptValue::QScriptValue#$
    {26, 50, -20},	// QScriptValue::QScriptValue$
    {26, 68, 339},	// QScriptValue::ReadOnly
    {26, 70, 338},	// QScriptValue::ResolveFull
    {26, 71, 335},	// QScriptValue::ResolveLocal
    {26, 72, 336},	// QScriptValue::ResolvePrototype
    {26, 73, 337},	// QScriptValue::ResolveScope
    {26, 76, 341},	// QScriptValue::SkipInEnumeration
    {26, 81, 348},	// QScriptValue::UndefinedValue
    {26, 82, 340},	// QScriptValue::Undeletable
    {26, 84, 346},	// QScriptValue::UserRange
    {26, 96, 332},	// QScriptValue::call
    {26, 97, 333},	// QScriptValue::call#
    {26, 98, 316},	// QScriptValue::call##
    {26, 99, 315},	// QScriptValue::call#?
    {26, 110, 334},	// QScriptValue::construct
    {26, 111, 318},	// QScriptValue::construct#
    {26, 112, 317},	// QScriptValue::construct?
    {26, 118, 319},	// QScriptValue::data
    {26, 122, 268},	// QScriptValue::engine
    {26, 124, 301},	// QScriptValue::equals#
    {26, 167, 299},	// QScriptValue::instanceOf#
    {26, 168, 283},	// QScriptValue::isArray
    {26, 169, 270},	// QScriptValue::isBool
    {26, 170, 271},	// QScriptValue::isBoolean
    {26, 172, 281},	// QScriptValue::isDate
    {26, 173, 284},	// QScriptValue::isError
    {26, 175, 273},	// QScriptValue::isFunction
    {26, 176, 274},	// QScriptValue::isNull
    {26, 177, 272},	// QScriptValue::isNumber
    {26, 178, 280},	// QScriptValue::isObject
    {26, 179, 279},	// QScriptValue::isQMetaObject
    {26, 180, 278},	// QScriptValue::isQObject
    {26, 181, 282},	// QScriptValue::isRegExp
    {26, 182, 275},	// QScriptValue::isString
    {26, 183, 276},	// QScriptValue::isUndefined
    {26, 184, 269},	// QScriptValue::isValid
    {26, 185, 277},	// QScriptValue::isVariant
    {26, 188, 300},	// QScriptValue::lessThan#
    {26, 229, 323},	// QScriptValue::objectId
    {26, 234, 267},	// QScriptValue::operator=#
    {26, 245, 328},	// QScriptValue::property#
    {26, 246, 311},	// QScriptValue::property##
    {26, 248, -27},	// QScriptValue::property$
    {26, 249, -30},	// QScriptValue::property$#
    {26, 251, 331},	// QScriptValue::propertyFlags#
    {26, 252, 314},	// QScriptValue::propertyFlags##
    {26, 254, 330},	// QScriptValue::propertyFlags$
    {26, 255, 313},	// QScriptValue::propertyFlags$#
    {26, 256, 303},	// QScriptValue::prototype
    {26, 272, 305},	// QScriptValue::scope
    {26, 274, 321},	// QScriptValue::scriptClass
    {26, 286, 320},	// QScriptValue::setData#
    {26, 294, 329},	// QScriptValue::setProperty##
    {26, 295, 312},	// QScriptValue::setProperty###
    {26, 297, -33},	// QScriptValue::setProperty$#
    {26, 298, -36},	// QScriptValue::setProperty$##
    {26, 300, 304},	// QScriptValue::setPrototype#
    {26, 304, 306},	// QScriptValue::setScope#
    {26, 306, 322},	// QScriptValue::setScriptClass#
    {26, 318, 302},	// QScriptValue::strictlyEquals#
    {26, 331, 287},	// QScriptValue::toBool
    {26, 332, 288},	// QScriptValue::toBoolean
    {26, 333, 297},	// QScriptValue::toDateTime
    {26, 335, 290},	// QScriptValue::toInt32
    {26, 336, 289},	// QScriptValue::toInteger
    {26, 337, 286},	// QScriptValue::toNumber
    {26, 338, 296},	// QScriptValue::toObject
    {26, 340, 295},	// QScriptValue::toQMetaObject
    {26, 341, 294},	// QScriptValue::toQObject
    {26, 342, 298},	// QScriptValue::toRegExp
    {26, 343, 285},	// QScriptValue::toString
    {26, 346, 292},	// QScriptValue::toUInt16
    {26, 347, 291},	// QScriptValue::toUInt32
    {26, 348, 293},	// QScriptValue::toVariant
    {26, 372, 349},	// QScriptValue::~QScriptValue
    {27, 52, 350},	// QScriptValueIterator::QScriptValueIterator#
    {27, 143, 359},	// QScriptValueIterator::flags
    {27, 155, 351},	// QScriptValueIterator::hasNext
    {27, 156, 353},	// QScriptValueIterator::hasPrevious
    {27, 191, 355},	// QScriptValueIterator::name
    {27, 224, 352},	// QScriptValueIterator::next
    {27, 234, 363},	// QScriptValueIterator::operator=#
    {27, 242, 354},	// QScriptValueIterator::previous
    {27, 268, 360},	// QScriptValueIterator::remove
    {27, 278, 356},	// QScriptValueIterator::scriptName
    {27, 310, 358},	// QScriptValueIterator::setValue#
    {27, 330, 362},	// QScriptValueIterator::toBack
    {27, 334, 361},	// QScriptValueIterator::toFront
    {27, 361, 357},	// QScriptValueIterator::value
    {27, 373, 364},	// QScriptValueIterator::~QScriptValueIterator
    {28, 53, 365},	// QScriptable::QScriptable
    {28, 91, 370},	// QScriptable::argument$
    {28, 92, 369},	// QScriptable::argumentCount
    {28, 113, 367},	// QScriptable::context
    {28, 122, 366},	// QScriptable::engine
    {28, 321, 368},	// QScriptable::thisObject
    {28, 374, 371},	// QScriptable::~QScriptable
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtscript_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtscript_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtscript_Smoke = new Smoke(
        "qtscript",
        __smokeqtscript::classes, 30,
        __smokeqtscript::methods, 372,
        __smokeqtscript::methodMaps, 346,
        __smokeqtscript::methodNames, 374,
        __smokeqtscript::types, 161,
        __smokeqtscript::inheritanceList,
        __smokeqtscript::argumentList,
        __smokeqtscript::ambiguousMethodList,
        __smokeqtscript::cast );
    initialized = true;
}

void delete_qtscript_Smoke() { delete qtscript_Smoke; }

}
