#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 16: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 47: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 28: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 86: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QColor
      switch(to) {
        case 7: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 8:   //QContextMenuEvent
      switch(to) {
        case 8: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 16:   //QFrame
      switch(to) {
        case 47: return (void*)(QWidget*)(QFrame*)xptr;
        case 28: return (void*)(QObject*)(QFrame*)xptr;
        case 16: return (void*)(QFrame*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 86: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 18:   //QHideEvent
      switch(to) {
        case 18: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QIODevice
      switch(to) {
        case 28: return (void*)(QObject*)(QIODevice*)xptr;
        case 19: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 20:   //QImage
      switch(to) {
        case 20: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 21:   //QInputMethodEvent
      switch(to) {
        case 21: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QKeyEvent
      switch(to) {
        case 22: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QMenu
      switch(to) {
        case 23: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QMouseEvent
      switch(to) {
        case 26: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QMoveEvent
      switch(to) {
        case 27: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QObject
      switch(to) {
        case 28: return (void*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 48: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 53: return (void*)(QsciLexer*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 86: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 84: return (void*)(QsciMacro*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEngine
      switch(to) {
        case 29: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEvent
      switch(to) {
        case 30: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QPainter
      switch(to) {
        case 31: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 32:   //QPalette
      switch(to) {
        case 32: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 33:   //QPixmap
      switch(to) {
        case 33: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 34:   //QPoint
      switch(to) {
        case 34: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 35:   //QPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 36:   //QRect
      switch(to) {
        case 36: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 37:   //QRegExp
      switch(to) {
        case 37: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 38:   //QResizeEvent
      switch(to) {
        case 38: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QSettings
      switch(to) {
        case 39: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 40:   //QShowEvent
      switch(to) {
        case 40: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QSize
      switch(to) {
        case 41: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 42:   //QStyle
      switch(to) {
        case 42: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 43:   //QTabletEvent
      switch(to) {
        case 43: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QTimerEvent
      switch(to) {
        case 44: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QVariant
      switch(to) {
        case 45: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 46:   //QWheelEvent
      switch(to) {
        case 46: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QWidget
      switch(to) {
        case 28: return (void*)(QObject*)(QWidget*)xptr;
        case 47: return (void*)(QWidget*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 86: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 48:   //QsciAPIs
      switch(to) {
        case 49: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 28: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 49:   //QsciAbstractAPIs
      switch(to) {
        case 28: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 50:   //QsciCommand
      switch(to) {
        case 50: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 51:   //QsciCommandSet
      switch(to) {
        case 51: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 52:   //QsciDocument
      switch(to) {
        case 52: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexer
      switch(to) {
        case 28: return (void*)(QObject*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerBash
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 54: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerBatch
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 55: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCMake
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 56: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCPP
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 57: return (void*)(QsciLexerCPP*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerCSS
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 58: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerCSharp
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerCustom
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 60: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerD
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 61: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerDiff
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 62: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerFortran
      switch(to) {
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 63: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerFortran77
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerHTML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 65: return (void*)(QsciLexerHTML*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerIDL
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 66: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerJava
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 67: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerJavaScript
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerLua
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 69: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerMakefile
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPOV
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 71: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPascal
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 72: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPerl
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 73: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerPostScript
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerProperties
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 75: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerPython
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 76: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerRuby
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 77: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerSQL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 78: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerTCL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 79: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerTeX
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 80: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 81:   //QsciLexerVHDL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 82:   //QsciLexerXML
      switch(to) {
        case 65: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 82: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 83:   //QsciLexerYAML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 83: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 84:   //QsciMacro
      switch(to) {
        case 28: return (void*)(QObject*)(QsciMacro*)xptr;
        case 84: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 85:   //QsciPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 86:   //QsciScintilla
      switch(to) {
        case 87: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 28: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 86: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 87:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 28: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 87: return (void*)(QsciScintillaBase*)xptr;
        case 86: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 88:   //QsciStyle
      switch(to) {
        case 88: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 89:   //QsciStyledText
      switch(to) {
        case 89: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: QsciAbstractAPIs
    28, 0,	// 3: QObject
    53, 0,	// 5: QsciLexer
    57, 0,	// 7: QsciLexerCPP
    64, 0,	// 9: QsciLexerFortran77
    65, 0,	// 11: QsciLexerHTML
    35, 0,	// 13: QPrinter
    87, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciCommand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QColor", true, 0, 0, 0, 0, 0 },	//7
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QFrame", true, 0, 0, 0, 0, 0 },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//19
    { "QImage", true, 0, 0, 0, 0, 0 },	//20
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QMenu", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QObject", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QPainter", true, 0, 0, 0, 0, 0 },	//31
    { "QPalette", true, 0, 0, 0, 0, 0 },	//32
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//33
    { "QPoint", true, 0, 0, 0, 0, 0 },	//34
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//35
    { "QRect", true, 0, 0, 0, 0, 0 },	//36
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//37
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QSettings", true, 0, 0, 0, 0, 0 },	//39
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QSize", true, 0, 0, 0, 0, 0 },	//41
    { "QStyle", true, 0, 0, 0, 0, 0 },	//42
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QVariant", true, 0, 0, 0, 0, 0 },	//45
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QWidget", true, 0, 0, 0, 0, 0 },	//47
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//48
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//49
    { "QsciCommand", false, 0, xcall_QsciCommand, xenum_QsciCommand, 0, sizeof(QsciCommand) },	//50
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//51
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//52
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//53
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//54
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//55
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//56
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//57
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//58
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//59
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//60
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//61
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//62
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//63
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//64
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//65
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//66
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//67
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//68
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//69
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//70
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//71
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//72
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//73
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//74
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//75
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//76
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//77
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//78
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//79
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//80
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//81
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//82
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//83
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//84
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//85
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//86
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//87
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//88
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//89
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QColor", 7, Smoke::t_class|Smoke::tf_stack },	//6
    { "QContextMenuEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QFont", 15, Smoke::t_class|Smoke::tf_stack },	//14
    { "QHideEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QIODevice*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QInputMethodEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QKeyEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//21
    { "QMenu*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QMouseEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QMoveEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QPaintEngine*", 29, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPaintEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QPainter&", 31, Smoke::t_class|Smoke::tf_ref },	//31
    { "QPainter*", 31, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QPrinter::PrinterMode", 35, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QRect&", 36, Smoke::t_class|Smoke::tf_ref },	//34
    { "QRegExp&", 37, Smoke::t_class|Smoke::tf_ref },	//35
    { "QResizeEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QSettings&", 39, Smoke::t_class|Smoke::tf_ref },	//37
    { "QShowEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QSize", 41, Smoke::t_class|Smoke::tf_stack },	//39
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//42
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//43
    { "QStyle&", 42, Smoke::t_class|Smoke::tf_ref },	//44
    { "QTabletEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QTimerEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QVariant", 45, Smoke::t_class|Smoke::tf_stack },	//47
    { "QWheelEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QWidget*", 47, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciAPIs*", 48, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QsciAbstractAPIs*", 49, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciCommand*", 50, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciCommand::Command", 50, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QsciCommandSet*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciDocument", 52, Smoke::t_class|Smoke::tf_stack },	//55
    { "QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref },	//56
    { "QsciDocument*", 52, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexer*", 53, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerBash*", 54, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerBatch*", 55, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerCMake*", 56, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerCPP*", 57, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerCSS*", 58, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerCSharp*", 59, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerCustom*", 60, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerD*", 61, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerDiff*", 62, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerFortran*", 63, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerFortran77*", 64, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerHTML*", 65, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerIDL*", 66, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerJava*", 67, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerJavaScript*", 68, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerLua*", 69, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerMakefile*", 70, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPOV*", 71, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPascal*", 72, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerPerl*", 73, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerPostScript*", 74, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerProperties*", 75, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerPython*", 76, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerPython::IndentationWarning", 76, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QsciLexerRuby*", 77, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerSQL*", 78, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciLexerTCL*", 79, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciLexerTeX*", 80, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciLexerVHDL*", 81, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciLexerXML*", 82, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QsciLexerYAML*", 83, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QsciMacro*", 84, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QsciPrinter*", 85, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QsciScintilla*", 86, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QsciScintilla::AnnotationDisplay", 86, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::AutoCompletionSource", 86, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::AutoCompletionUseSingle", 86, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::BraceMatch", 86, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::CallTipsStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::EdgeMode", 86, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::EolMode", 86, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::FoldStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::IndentState", 86, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintilla::IndicatorStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciScintilla::MarginType", 86, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciScintilla::MarkerSymbol", 86, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciScintilla::WhitespaceVisibility", 86, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QsciScintilla::WrapIndentMode", 86, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QsciScintilla::WrapMode", 86, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QsciScintilla::WrapVisualFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QsciScintillaBase*", 87, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QsciStyle*", 88, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QsciStyle::TextCase", 88, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QsciStyledText", 89, Smoke::t_class|Smoke::tf_stack },	//112
    { "QsciStyledText*", 89, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//154
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//187
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//188
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//189
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//190
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//191
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//192
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QColor&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QImage&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//200
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//201
    { "const QPalette&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QPixmap&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QPoint&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QRect&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QRegExp&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//209
    { "const QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QsciStyle&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QsciStyledText&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//213
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//214
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//215
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//216
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//217
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//218
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//219
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//220
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//221
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//223
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  QEvent*
    48, 0,	//3  QWheelEvent*
    27, 12, 0,	//5  QObject*, QEvent*
    46, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    213, 0,	//12  const char*
    28, 0,	//14  QPaintDevice::PaintDeviceMetric
    189, 0,	//16  bool
    215, 0,	//18  int
    18, 0,	//20  QKeyEvent*
    26, 0,	//22  QMoveEvent*
    5, 0,	//24  QCloseEvent*
    45, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    38, 0,	//30  QShowEvent*
    15, 0,	//32  QHideEvent*
    188, 0,	//34  _XEvent*
    148, 0,	//36  Qt::InputMethodQuery
    44, 0,	//38  QStyle&
    202, 0,	//40  const QPalette&
    195, 0,	//42  const QFont&
    213, 213, 0,	//44  const char*, const char*
    213, 213, 215, 0,	//47  const char*, const char*, int
    23, 215, 222, 0,	//51  QMetaObject::Call, int, void**
    58, 0,	//55  QsciLexer*
    207, 0,	//57  const QString&
    208, 42, 0,	//59  const QStringList&, QStringList&
    208, 215, 97, 21, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    37, 213, 0,	//67  QSettings&, const char*
    53, 0,	//70  QsciCommand::Command
    37, 0,	//72  QSettings&
    210, 0,	//74  const QsciDocument&
    27, 0,	//76  QObject*
    217, 0,	//78  int*
    51, 0,	//80  QsciAbstractAPIs*
    194, 0,	//82  const QColor&
    92, 0,	//84  QsciScintilla*
    194, 215, 0,	//86  const QColor&, int
    189, 215, 0,	//89  bool, int
    195, 215, 0,	//92  const QFont&, int
    37, 207, 0,	//95  QSettings&, const QString&
    27, 189, 0,	//98  QObject*, bool
    215, 215, 0,	//101  int, int
    215, 211, 0,	//104  int, const QsciStyle&
    82, 0,	//107  QsciLexerPython::IndentationWarning
    207, 92, 0,	//109  const QString&, QsciScintilla*
    33, 0,	//112  QPrinter::PrinterMode
    31, 189, 34, 215, 0,	//114  QPainter&, bool, QRect&, int
    109, 215, 215, 0,	//119  QsciScintillaBase*, int, int
    107, 0,	//123  QsciScintilla::WrapMode
    109, 0,	//125  QsciScintillaBase*
    109, 215, 0,	//127  QsciScintillaBase*, int
    49, 0,	//130  QWidget*
    215, 216, 216, 0,	//132  int, int&, int&
    215, 207, 215, 0,	//136  int, const QString&, int
    215, 207, 211, 0,	//140  int, const QString&, const QsciStyle&
    215, 212, 0,	//144  int, const QsciStyledText&
    215, 197, 0,	//147  int, const QList<QsciStyledText>&
    215, 215, 215, 215, 215, 0,	//150  int, int, int, int, int
    99, 0,	//156  QsciScintilla::EolMode
    207, 189, 189, 189, 189, 189, 215, 215, 189, 189, 0,	//158  const QString&, bool, bool, bool, bool, bool, int, int, bool, bool
    217, 217, 0,	//169  int*, int*
    217, 217, 217, 217, 0,	//172  int*, int*, int*, int*
    102, 215, 0,	//177  QsciScintilla::IndicatorStyle, int
    191, 0,	//180  char
    204, 0,	//182  const QPoint&
    215, 217, 217, 0,	//184  int, int*, int*
    104, 215, 0,	//188  QsciScintilla::MarkerSymbol, int
    191, 215, 0,	//191  char, int
    203, 215, 0,	//194  const QPixmap&, int
    196, 215, 0,	//197  const QImage&, int
    215, 219, 0,	//200  int, unsigned int
    16, 0,	//203  QIODevice*
    215, 203, 0,	//205  int, const QPixmap&
    215, 196, 0,	//208  int, const QImage&
    194, 194, 0,	//211  const QColor&, const QColor&
    93, 0,	//214  QsciScintilla::AnnotationDisplay
    208, 0,	//216  const QStringList&
    97, 0,	//218  QsciScintilla::CallTipsStyle
    198, 0,	//220  const QList<int>&
    98, 0,	//222  QsciScintilla::EdgeMode
    215, 103, 0,	//224  int, QsciScintilla::MarginType
    108, 108, 215, 0,	//227  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    106, 0,	//231  QsciScintilla::WrapIndentMode
    215, 208, 0,	//233  int, const QStringList&
    207, 215, 215, 0,	//236  const QString&, int, int
    94, 0,	//240  QsciScintilla::AutoCompletionSource
    95, 0,	//242  QsciScintilla::AutoCompletionUseSingle
    96, 0,	//244  QsciScintilla::BraceMatch
    100, 215, 0,	//246  QsciScintilla::FoldStyle, int
    215, 189, 0,	//249  int, bool
    215, 207, 0,	//252  int, const QString&
    215, 215, 215, 215, 0,	//255  int, int, int, int
    105, 0,	//260  QsciScintilla::WhitespaceVisibility
    215, 215, 154, 0,	//262  int, int, Qt::KeyboardModifiers
    7, 0,	//266  QContextMenuEvent*
    207, 189, 189, 189, 189, 0,	//268  const QString&, bool, bool, bool, bool
    207, 189, 189, 189, 189, 189, 0,	//274  const QString&, bool, bool, bool, bool, bool
    207, 189, 189, 189, 189, 189, 215, 0,	//281  const QString&, bool, bool, bool, bool, bool, int
    207, 189, 189, 189, 189, 189, 215, 215, 0,	//289  const QString&, bool, bool, bool, bool, bool, int, int
    207, 189, 189, 189, 189, 189, 215, 215, 189, 0,	//298  const QString&, bool, bool, bool, bool, bool, int, int, bool
    102, 0,	//308  QsciScintilla::IndicatorStyle
    104, 0,	//310  QsciScintilla::MarkerSymbol
    203, 0,	//312  const QPixmap&
    196, 0,	//314  const QImage&
    108, 0,	//316  QsciScintilla::WrapVisualFlag
    108, 108, 0,	//318  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    100, 0,	//321  QsciScintilla::FoldStyle
    219, 220, 218, 0,	//323  unsigned int, unsigned long, long
    219, 220, 221, 0,	//327  unsigned int, unsigned long, void*
    219, 220, 213, 0,	//331  unsigned int, unsigned long, const char*
    219, 213, 0,	//335  unsigned int, const char*
    219, 213, 213, 0,	//338  unsigned int, const char*, const char*
    219, 218, 0,	//342  unsigned int, long
    219, 215, 0,	//345  unsigned int, int
    219, 218, 218, 192, 0,	//348  unsigned int, long, long, char*
    219, 220, 194, 0,	//353  unsigned int, unsigned long, const QColor&
    219, 194, 0,	//357  unsigned int, const QColor&
    219, 220, 32, 205, 218, 218, 0,	//360  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    219, 220, 203, 0,	//367  unsigned int, unsigned long, const QPixmap&
    219, 220, 196, 0,	//371  unsigned int, unsigned long, const QImage&
    219, 0,	//375  unsigned int
    213, 215, 0,	//377  const char*, int
    215, 215, 215, 0,	//380  int, int, int
    215, 215, 213, 215, 215, 215, 215, 215, 215, 215, 0,	//384  int, int, const char*, int, int, int, int, int, int, int
    201, 0,	//395  const QMimeData*
    201, 190, 0,	//397  const QMimeData*, bool&
    193, 189, 0,	//400  const QByteArray&, bool
    8, 0,	//403  QDragEnterEvent*
    9, 0,	//405  QDragLeaveEvent*
    10, 0,	//407  QDragMoveEvent*
    11, 0,	//409  QDropEvent*
    13, 0,	//411  QFocusEvent*
    17, 0,	//413  QInputMethodEvent*
    25, 0,	//415  QMouseEvent*
    30, 0,	//417  QPaintEvent*
    36, 0,	//419  QResizeEvent*
    219, 220, 0,	//421  unsigned int, unsigned long
    215, 207, 194, 194, 195, 189, 0,	//424  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    111, 0,	//431  QsciStyle::TextCase
    211, 0,	//433  const QsciStyle&
    215, 207, 194, 194, 195, 0,	//435  int, const QString&, const QColor&, const QColor&, const QFont&
    207, 215, 0,	//441  const QString&, int
    207, 211, 0,	//444  const QString&, const QsciStyle&
    212, 0,	//447  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AcusAlways",	//54
    "AcusExplicit",	//55
    "AcusNever",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "ArrayParenthesis",	//62
    "Asm",	//63
    "Assignment",	//64
    "AtRule",	//65
    "Attribute",	//66
    "Auto",	//67
    "B0",	//68
    "B1",	//69
    "B10",	//70
    "B2",	//71
    "B3",	//72
    "B4",	//73
    "B5",	//74
    "B6",	//75
    "B7",	//76
    "B8",	//77
    "B9",	//78
    "Background",	//79
    "BackquoteString",	//80
    "Backtab",	//81
    "BacktickHereDocument",	//82
    "BacktickHereDocumentVar",	//83
    "Backticks",	//84
    "BackticksVar",	//85
    "BadDirective",	//86
    "BadStringCharacter",	//87
    "Base85String",	//88
    "BasicFunctions",	//89
    "BlockForeach",	//90
    "BlockIf",	//91
    "BlockMacro",	//92
    "BlockWhile",	//93
    "BottomLeftCorner",	//94
    "Box",	//95
    "BoxIndicator",	//96
    "BoxedFoldStyle",	//97
    "BoxedMinus",	//98
    "BoxedMinusConnected",	//99
    "BoxedPlus",	//100
    "BoxedPlusConnected",	//101
    "BoxedTreeFoldStyle",	//102
    "C5E",	//103
    "CDATA",	//104
    "CSS1Property",	//105
    "CSS2Property",	//106
    "CSS3Property",	//107
    "CallTipsContext",	//108
    "CallTipsNoAutoCompletionContext",	//109
    "CallTipsNoContext",	//110
    "CallTipsNone",	//111
    "Cancel",	//112
    "Cassette",	//113
    "CharLeft",	//114
    "CharLeftExtend",	//115
    "CharLeftRectExtend",	//116
    "CharRight",	//117
    "CharRightExtend",	//118
    "CharRightRectExtend",	//119
    "Character",	//120
    "Cicero",	//121
    "Circle",	//122
    "CircledFoldStyle",	//123
    "CircledMinus",	//124
    "CircledMinusConnected",	//125
    "CircledPlus",	//126
    "CircledPlusConnected",	//127
    "CircledTreeFoldStyle",	//128
    "ClassName",	//129
    "ClassSelector",	//130
    "ClassVariable",	//131
    "Color",	//132
    "Comm10E",	//133
    "Command",	//134
    "Comment",	//135
    "CommentBlock",	//136
    "CommentBox",	//137
    "CommentDoc",	//138
    "CommentDocKeyword",	//139
    "CommentDocKeywordError",	//140
    "CommentLine",	//141
    "CommentLineDoc",	//142
    "CommentLineHash",	//143
    "CommentNested",	//144
    "CommentParenthesis",	//145
    "Continuation",	//146
    "CoroutinesIOSystemFacilities",	//147
    "CurrentPage",	//148
    "Custom",	//149
    "DLE",	//150
    "DSCComment",	//151
    "DSCCommentValue",	//152
    "DashesIndicator",	//153
    "DataSection",	//154
    "Decorator",	//155
    "Default",	//156
    "DefaultValue",	//157
    "Delete",	//158
    "DeleteBack",	//159
    "DeleteBackNotLine",	//160
    "DeleteLineLeft",	//161
    "DeleteLineRight",	//162
    "DeleteWordLeft",	//163
    "DeleteWordRight",	//164
    "DeleteWordRightEnd",	//165
    "DemotedKeyword",	//166
    "DevicePixel",	//167
    "DiagonalIndicator",	//168
    "DictionaryParenthesis",	//169
    "Didot",	//170
    "Directive",	//171
    "DocumentDelimiter",	//172
    "DocumentEnd",	//173
    "DocumentEndExtend",	//174
    "DocumentStart",	//175
    "DocumentStartExtend",	//176
    "DotBoxIndicator",	//177
    "DotsIndicator",	//178
    "DottedOperator",	//179
    "DoubleQuotedHereDocument",	//180
    "DoubleQuotedHereDocumentVar",	//181
    "DoubleQuotedString",	//182
    "DoubleQuotedStringVar",	//183
    "DownTriangle",	//184
    "DrawChildren",	//185
    "DrawWindowBackground",	//186
    "DuplexAuto",	//187
    "DuplexLongSide",	//188
    "DuplexNone",	//189
    "DuplexShortSide",	//190
    "EdgeBackground",	//191
    "EdgeLine",	//192
    "EdgeNone",	//193
    "EditToggleOvertype",	//194
    "Entity",	//195
    "Envelope",	//196
    "EnvelopeManual",	//197
    "EolMac",	//198
    "EolUnix",	//199
    "EolWindows",	//200
    "Error",	//201
    "Executive",	//202
    "ExpandKeyword",	//203
    "ExtendedCSSProperty",	//204
    "ExtendedFunction",	//205
    "ExtendedPseudoClass",	//206
    "ExtendedPseudoElement",	//207
    "ExternalCommand",	//208
    "FirstPageFirst",	//209
    "Folio",	//210
    "FormSource",	//211
    "FormatBody",	//212
    "FormatIdentifier",	//213
    "Formfeed",	//214
    "FullRectangle",	//215
    "Function",	//216
    "FunctionMethodName",	//217
    "Global",	//218
    "GlobalClass",	//219
    "GrayScale",	//220
    "Group",	//221
    "HLine",	//222
    "HTMLComment",	//223
    "HTMLDoubleQuotedString",	//224
    "HTMLNumber",	//225
    "HTMLSingleQuotedString",	//226
    "HTMLValue",	//227
    "Hash",	//228
    "Header",	//229
    "HereDocument",	//230
    "HereDocumentDelimiter",	//231
    "HexNumber",	//232
    "HexString",	//233
    "HiddenIndicator",	//234
    "HideCommandChar",	//235
    "HighResolution",	//236
    "HighlightedIdentifier",	//237
    "Home",	//238
    "HomeDisplay",	//239
    "HomeDisplayExtend",	//240
    "HomeExtend",	//241
    "HomeRectExtend",	//242
    "HomeWrap",	//243
    "HomeWrapExtend",	//244
    "IDSelector",	//245
    "ITCLKeyword",	//246
    "Identifier",	//247
    "Idle",	//248
    "IgnoreMask",	//249
    "ImmediateEvalLiteral",	//250
    "Important",	//251
    "InactiveComment",	//252
    "InactiveCommentDoc",	//253
    "InactiveCommentDocKeyword",	//254
    "InactiveCommentDocKeywordError",	//255
    "InactiveCommentLine",	//256
    "InactiveCommentLineDoc",	//257
    "InactiveDefault",	//258
    "InactiveDoubleQuotedString",	//259
    "InactiveGlobalClass",	//260
    "InactiveIdentifier",	//261
    "InactiveKeyword",	//262
    "InactiveKeywordSet2",	//263
    "InactiveNumber",	//264
    "InactiveOperator",	//265
    "InactivePreProcessor",	//266
    "InactiveRawString",	//267
    "InactiveRegex",	//268
    "InactiveSingleQuotedString",	//269
    "InactiveUUID",	//270
    "InactiveUnclosedString",	//271
    "InactiveVerbatimString",	//272
    "Inch",	//273
    "Inconsistent",	//274
    "InstanceVariable",	//275
    "IntrinsicFunction",	//276
    "Invisible",	//277
    "JavaScriptComment",	//278
    "JavaScriptCommentDoc",	//279
    "JavaScriptCommentLine",	//280
    "JavaScriptDefault",	//281
    "JavaScriptDoubleQuotedString",	//282
    "JavaScriptKeyword",	//283
    "JavaScriptNumber",	//284
    "JavaScriptRegex",	//285
    "JavaScriptSingleQuotedString",	//286
    "JavaScriptStart",	//287
    "JavaScriptSymbol",	//288
    "JavaScriptUnclosedString",	//289
    "JavaScriptWord",	//290
    "Key",	//291
    "Keyword",	//292
    "KeywordDoc",	//293
    "KeywordSecondary",	//294
    "KeywordSet2",	//295
    "KeywordSet3",	//296
    "KeywordSet5",	//297
    "KeywordSet6",	//298
    "KeywordSet7",	//299
    "KeywordSet8",	//300
    "KeywordSet9",	//301
    "Label",	//302
    "Landscape",	//303
    "LargeCapacity",	//304
    "LargeFormat",	//305
    "LastPageFirst",	//306
    "Ledger",	//307
    "LeftRectangle",	//308
    "LeftSideRoundedSplitter",	//309
    "LeftSideSplitter",	//310
    "Legal",	//311
    "Letter",	//312
    "LineAdded",	//313
    "LineChanged",	//314
    "LineComment",	//315
    "LineCopy",	//316
    "LineCut",	//317
    "LineDelete",	//318
    "LineDown",	//319
    "LineDownExtend",	//320
    "LineDownRectExtend",	//321
    "LineDuplicate",	//322
    "LineEnd",	//323
    "LineEndDisplay",	//324
    "LineEndDisplayExtend",	//325
    "LineEndExtend",	//326
    "LineEndRectExtend",	//327
    "LineEndWrap",	//328
    "LineEndWrapExtend",	//329
    "LineRemoved",	//330
    "LineScrollDown",	//331
    "LineScrollUp",	//332
    "LineTranspose",	//333
    "LineUp",	//334
    "LineUpExtend",	//335
    "LineUpRectExtend",	//336
    "Literal",	//337
    "LiteralString",	//338
    "Lower",	//339
    "LowerCase",	//340
    "Manual",	//341
    "MaxPageSource",	//342
    "MediaRule",	//343
    "Middle",	//344
    "Millimeter",	//345
    "Minus",	//346
    "MoNone",	//347
    "MoSublineSelect",	//348
    "Modifier",	//349
    "ModuleName",	//350
    "MoveSelectedLinesDown",	//351
    "MoveSelectedLinesUp",	//352
    "NPageSize",	//353
    "NPaperSize",	//354
    "Name",	//355
    "NativeFormat",	//356
    "Newline",	//357
    "NoBraceMatch",	//358
    "NoFoldStyle",	//359
    "NoFrame",	//360
    "NoWarning",	//361
    "Number",	//362
    "NumberMargin",	//363
    "ObjectsCSGAppearance",	//364
    "OnlyOne",	//365
    "Operator",	//366
    "OriginalCase",	//367
    "OtherInTag",	//368
    "PHPComment",	//369
    "PHPCommentLine",	//370
    "PHPDefault",	//371
    "PHPDoubleQuotedString",	//372
    "PHPDoubleQuotedVariable",	//373
    "PHPKeyword",	//374
    "PHPNumber",	//375
    "PHPOperator",	//376
    "PHPSingleQuotedString",	//377
    "PHPStart",	//378
    "PHPVariable",	//379
    "POD",	//380
    "PODVerbatim",	//381
    "PageDown",	//382
    "PageDownExtend",	//383
    "PageDownRectExtend",	//384
    "PageRange",	//385
    "PageUp",	//386
    "PageUpExtend",	//387
    "PageUpRectExtend",	//388
    "Panel",	//389
    "ParaDown",	//390
    "ParaDownExtend",	//391
    "ParaUp",	//392
    "ParaUpExtend",	//393
    "ParameterExpansion",	//394
    "Paste",	//395
    "PdfFormat",	//396
    "PercentStringQ",	//397
    "PercentStringq",	//398
    "PercentStringr",	//399
    "PercentStringw",	//400
    "PercentStringx",	//401
    "Pica",	//402
    "Plain",	//403
    "PlainFoldStyle",	//404
    "PlainIndicator",	//405
    "Plus",	//406
    "PlusComment",	//407
    "PlusKeyword",	//408
    "PlusPrompt",	//409
    "Point",	//410
    "Portrait",	//411
    "Position",	//412
    "PostScriptFormat",	//413
    "PreProcessor",	//414
    "PreProcessorParenthesis",	//415
    "PredefinedFunctions",	//416
    "PredefinedIdentifiers",	//417
    "Preprocessor",	//418
    "PrinterResolution",	//419
    "ProcedureParenthesis",	//420
    "PseudoClass",	//421
    "PseudoElement",	//422
    "PythonClassName",	//423
    "PythonComment",	//424
    "PythonDefault",	//425
    "PythonDoubleQuotedString",	//426
    "PythonFunctionMethodName",	//427
    "PythonIdentifier",	//428
    "PythonKeyword",	//429
    "PythonNumber",	//430
    "PythonOperator",	//431
    "PythonSingleQuotedString",	//432
    "PythonStart",	//433
    "PythonTripleDoubleQuotedString",	//434
    "PythonTripleSingleQuotedString",	//435
    "QSCN_SELCHANGED",	//436
    "QSCN_SELCHANGED$",	//437
    "Q_COMPLEX_TYPE",	//438
    "Q_DUMMY_TYPE",	//439
    "Q_MOVABLE_TYPE",	//440
    "Q_PRIMITIVE_TYPE",	//441
    "Q_STATIC_TYPE",	//442
    "QsciAPIs",	//443
    "QsciAPIs#",	//444
    "QsciAbstractAPIs",	//445
    "QsciAbstractAPIs#",	//446
    "QsciDocument",	//447
    "QsciDocument#",	//448
    "QsciLexer",	//449
    "QsciLexer#",	//450
    "QsciLexerBash",	//451
    "QsciLexerBash#",	//452
    "QsciLexerBatch",	//453
    "QsciLexerBatch#",	//454
    "QsciLexerCMake",	//455
    "QsciLexerCMake#",	//456
    "QsciLexerCPP",	//457
    "QsciLexerCPP#",	//458
    "QsciLexerCPP#$",	//459
    "QsciLexerCSS",	//460
    "QsciLexerCSS#",	//461
    "QsciLexerCSharp",	//462
    "QsciLexerCSharp#",	//463
    "QsciLexerCustom",	//464
    "QsciLexerCustom#",	//465
    "QsciLexerD",	//466
    "QsciLexerD#",	//467
    "QsciLexerDiff",	//468
    "QsciLexerDiff#",	//469
    "QsciLexerFortran",	//470
    "QsciLexerFortran#",	//471
    "QsciLexerFortran77",	//472
    "QsciLexerFortran77#",	//473
    "QsciLexerHTML",	//474
    "QsciLexerHTML#",	//475
    "QsciLexerIDL",	//476
    "QsciLexerIDL#",	//477
    "QsciLexerJava",	//478
    "QsciLexerJava#",	//479
    "QsciLexerJavaScript",	//480
    "QsciLexerJavaScript#",	//481
    "QsciLexerLua",	//482
    "QsciLexerLua#",	//483
    "QsciLexerMakefile",	//484
    "QsciLexerMakefile#",	//485
    "QsciLexerPOV",	//486
    "QsciLexerPOV#",	//487
    "QsciLexerPascal",	//488
    "QsciLexerPascal#",	//489
    "QsciLexerPerl",	//490
    "QsciLexerPerl#",	//491
    "QsciLexerPostScript",	//492
    "QsciLexerPostScript#",	//493
    "QsciLexerProperties",	//494
    "QsciLexerProperties#",	//495
    "QsciLexerPython",	//496
    "QsciLexerPython#",	//497
    "QsciLexerRuby",	//498
    "QsciLexerRuby#",	//499
    "QsciLexerSQL",	//500
    "QsciLexerSQL#",	//501
    "QsciLexerTCL",	//502
    "QsciLexerTCL#",	//503
    "QsciLexerTeX",	//504
    "QsciLexerTeX#",	//505
    "QsciLexerVHDL",	//506
    "QsciLexerVHDL#",	//507
    "QsciLexerXML",	//508
    "QsciLexerXML#",	//509
    "QsciLexerYAML",	//510
    "QsciLexerYAML#",	//511
    "QsciMacro",	//512
    "QsciMacro#",	//513
    "QsciMacro$#",	//514
    "QsciPrinter",	//515
    "QsciPrinter$",	//516
    "QsciScintilla",	//517
    "QsciScintilla#",	//518
    "QsciScintillaBase",	//519
    "QsciScintillaBase#",	//520
    "QsciStyle",	//521
    "QsciStyle#",	//522
    "QsciStyle$",	//523
    "QsciStyle$$###",	//524
    "QsciStyle$$###$",	//525
    "QsciStyledText",	//526
    "QsciStyledText#",	//527
    "QsciStyledText$#",	//528
    "QsciStyledText$$",	//529
    "QtCriticalMsg",	//530
    "QtDebugMsg",	//531
    "QtFatalMsg",	//532
    "QtSystemMsg",	//533
    "QtWarningMsg",	//534
    "QuotedIdentifier",	//535
    "QuotedKeyword",	//536
    "QuotedString",	//537
    "QuotedStringQ",	//538
    "QuotedStringQQ",	//539
    "QuotedStringQQVar",	//540
    "QuotedStringQR",	//541
    "QuotedStringQRVar",	//542
    "QuotedStringQW",	//543
    "QuotedStringQX",	//544
    "QuotedStringQXVar",	//545
    "Raised",	//546
    "RawString",	//547
    "Rectangle",	//548
    "Redo",	//549
    "Reference",	//550
    "Regex",	//551
    "RegexVar",	//552
    "RightArrow",	//553
    "RightTriangle",	//554
    "RoundBoxIndicator",	//555
    "RoundedBottomLeftCorner",	//556
    "SCEN_CHANGE",	//557
    "SCLEX_A68K",	//558
    "SCLEX_ABAQUS",	//559
    "SCLEX_ADA",	//560
    "SCLEX_APDL",	//561
    "SCLEX_ASM",	//562
    "SCLEX_ASN1",	//563
    "SCLEX_ASP",	//564
    "SCLEX_ASYMPTOTE",	//565
    "SCLEX_AU3",	//566
    "SCLEX_AVE",	//567
    "SCLEX_BAAN",	//568
    "SCLEX_BASH",	//569
    "SCLEX_BATCH",	//570
    "SCLEX_BLITZBASIC",	//571
    "SCLEX_BULLANT",	//572
    "SCLEX_CAML",	//573
    "SCLEX_CLW",	//574
    "SCLEX_CLWNOCASE",	//575
    "SCLEX_CMAKE",	//576
    "SCLEX_COBOL",	//577
    "SCLEX_CONF",	//578
    "SCLEX_CONTAINER",	//579
    "SCLEX_CPP",	//580
    "SCLEX_CPPNOCASE",	//581
    "SCLEX_CSOUND",	//582
    "SCLEX_CSS",	//583
    "SCLEX_D",	//584
    "SCLEX_DIFF",	//585
    "SCLEX_EIFFEL",	//586
    "SCLEX_EIFFELKW",	//587
    "SCLEX_ERLANG",	//588
    "SCLEX_ERRORLIST",	//589
    "SCLEX_ESCRIPT",	//590
    "SCLEX_F77",	//591
    "SCLEX_FLAGSHIP",	//592
    "SCLEX_FORTH",	//593
    "SCLEX_FORTRAN",	//594
    "SCLEX_FREEBASIC",	//595
    "SCLEX_GAP",	//596
    "SCLEX_GUI4CLI",	//597
    "SCLEX_HASKELL",	//598
    "SCLEX_HTML",	//599
    "SCLEX_INNOSETUP",	//600
    "SCLEX_KIX",	//601
    "SCLEX_LATEX",	//602
    "SCLEX_LISP",	//603
    "SCLEX_LOT",	//604
    "SCLEX_LOUT",	//605
    "SCLEX_LUA",	//606
    "SCLEX_MAGIK",	//607
    "SCLEX_MAKEFILE",	//608
    "SCLEX_MARKDOWN",	//609
    "SCLEX_MATLAB",	//610
    "SCLEX_METAPOST",	//611
    "SCLEX_MMIXAL",	//612
    "SCLEX_MODULA",	//613
    "SCLEX_MSSQL",	//614
    "SCLEX_MYSQL",	//615
    "SCLEX_NIMROD",	//616
    "SCLEX_NNCRONTAB",	//617
    "SCLEX_NSIS",	//618
    "SCLEX_NULL",	//619
    "SCLEX_OCTAVE",	//620
    "SCLEX_OPAL",	//621
    "SCLEX_PASCAL",	//622
    "SCLEX_PERL",	//623
    "SCLEX_PHP",	//624
    "SCLEX_PHPSCRIPT",	//625
    "SCLEX_PLM",	//626
    "SCLEX_PO",	//627
    "SCLEX_POV",	//628
    "SCLEX_POWERBASIC",	//629
    "SCLEX_POWERPRO",	//630
    "SCLEX_POWERSHELL",	//631
    "SCLEX_PROGRESS",	//632
    "SCLEX_PROPERTIES",	//633
    "SCLEX_PS",	//634
    "SCLEX_PUREBASIC",	//635
    "SCLEX_PYTHON",	//636
    "SCLEX_R",	//637
    "SCLEX_REBOL",	//638
    "SCLEX_RUBY",	//639
    "SCLEX_SCRIPTOL",	//640
    "SCLEX_SMALLTALK",	//641
    "SCLEX_SML",	//642
    "SCLEX_SORCUS",	//643
    "SCLEX_SPECMAN",	//644
    "SCLEX_SPICE",	//645
    "SCLEX_SQL",	//646
    "SCLEX_TACL",	//647
    "SCLEX_TADS3",	//648
    "SCLEX_TAL",	//649
    "SCLEX_TCL",	//650
    "SCLEX_TEX",	//651
    "SCLEX_TXT2TAGS",	//652
    "SCLEX_VB",	//653
    "SCLEX_VBSCRIPT",	//654
    "SCLEX_VERILOG",	//655
    "SCLEX_VHDL",	//656
    "SCLEX_XML",	//657
    "SCLEX_YAML",	//658
    "SCN_AUTOCCANCELLED",	//659
    "SCN_AUTOCCHARDELETED",	//660
    "SCN_AUTOCSELECTION",	//661
    "SCN_AUTOCSELECTION$$",	//662
    "SCN_CALLTIPCLICK",	//663
    "SCN_CALLTIPCLICK$",	//664
    "SCN_CHARADDED",	//665
    "SCN_CHARADDED$",	//666
    "SCN_DOUBLECLICK",	//667
    "SCN_DOUBLECLICK$$$",	//668
    "SCN_DWELLEND",	//669
    "SCN_DWELLEND$$$",	//670
    "SCN_DWELLSTART",	//671
    "SCN_DWELLSTART$$$",	//672
    "SCN_HOTSPOTCLICK",	//673
    "SCN_HOTSPOTCLICK$$",	//674
    "SCN_HOTSPOTDOUBLECLICK",	//675
    "SCN_HOTSPOTDOUBLECLICK$$",	//676
    "SCN_HOTSPOTRELEASECLICK",	//677
    "SCN_HOTSPOTRELEASECLICK$$",	//678
    "SCN_INDICATORCLICK",	//679
    "SCN_INDICATORCLICK$$",	//680
    "SCN_INDICATORRELEASE",	//681
    "SCN_INDICATORRELEASE$$",	//682
    "SCN_MACRORECORD",	//683
    "SCN_MACRORECORD$$$",	//684
    "SCN_MARGINCLICK",	//685
    "SCN_MARGINCLICK$$$",	//686
    "SCN_MODIFIED",	//687
    "SCN_MODIFIED$$$$$$$$$$",	//688
    "SCN_MODIFYATTEMPTRO",	//689
    "SCN_NEEDSHOWN",	//690
    "SCN_NEEDSHOWN$$",	//691
    "SCN_PAINTED",	//692
    "SCN_SAVEPOINTLEFT",	//693
    "SCN_SAVEPOINTREACHED",	//694
    "SCN_STYLENEEDED",	//695
    "SCN_STYLENEEDED$",	//696
    "SCN_UPDATEUI",	//697
    "SCN_UPDATEUI$",	//698
    "SCN_USERLISTSELECTION",	//699
    "SCN_USERLISTSELECTION$$",	//700
    "SCN_ZOOM",	//701
    "SGMLBlockDefault",	//702
    "SGMLCommand",	//703
    "SGMLComment",	//704
    "SGMLDefault",	//705
    "SGMLDoubleQuotedString",	//706
    "SGMLEntity",	//707
    "SGMLError",	//708
    "SGMLParameter",	//709
    "SGMLParameterComment",	//710
    "SGMLSingleQuotedString",	//711
    "SGMLSpecial",	//712
    "Scalar",	//713
    "ScreenResolution",	//714
    "Script",	//715
    "ScrollToEnd",	//716
    "ScrollToStart",	//717
    "Section",	//718
    "SelectAll",	//719
    "Selection",	//720
    "SelectionCopy",	//721
    "SelectionCut",	//722
    "SelectionDuplicate",	//723
    "SelectionLowerCase",	//724
    "SelectionUpperCase",	//725
    "SendScintilla",	//726
    "SendScintilla$",	//727
    "SendScintilla$#",	//728
    "SendScintilla$$",	//729
    "SendScintilla$$#",	//730
    "SendScintilla$$##$$",	//731
    "SendScintilla$$$",	//732
    "SendScintilla$$$$",	//733
    "SendScintillaPtrResult",	//734
    "SendScintillaPtrResult$",	//735
    "Shadow_Mask",	//736
    "Shape_Mask",	//737
    "SingleQuotedHereDocument",	//738
    "SingleQuotedString",	//739
    "SloppyBraceMatch",	//740
    "SmallFormat",	//741
    "SmallRectangle",	//742
    "Spaces",	//743
    "Special",	//744
    "SquiggleIndicator",	//745
    "SquiggleLowIndicator",	//746
    "StandardFunction",	//747
    "StandardOperator",	//748
    "StandardPackage",	//749
    "StandardType",	//750
    "Stderr",	//751
    "Stdin",	//752
    "Stdout",	//753
    "StraightBoxIndicator",	//754
    "StrictBraceMatch",	//755
    "StrikeIndicator",	//756
    "String",	//757
    "StringLeftQuote",	//758
    "StringRightQuote",	//759
    "StringTableMathsFunctions",	//760
    "StringVariable",	//761
    "StutteredPageDown",	//762
    "StutteredPageDownExtend",	//763
    "StutteredPageUp",	//764
    "StutteredPageUpExtend",	//765
    "StyledPanel",	//766
    "SubroutinePrototype",	//767
    "Substitution",	//768
    "SubstitutionBrace",	//769
    "SubstitutionVar",	//770
    "Sunken",	//771
    "Symbol",	//772
    "SymbolMargin",	//773
    "SymbolMarginDefaultBackgroundColor",	//774
    "SymbolMarginDefaultForegroundColor",	//775
    "SymbolTable",	//776
    "SyntaxErrorMarker",	//777
    "TCLKeyword",	//778
    "TTIndicator",	//779
    "Tab",	//780
    "Tabloid",	//781
    "Tabs",	//782
    "TabsAfterSpaces",	//783
    "Tag",	//784
    "Target",	//785
    "Text",	//786
    "TextBlockMarker",	//787
    "TextMargin",	//788
    "TextMarginRightJustified",	//789
    "ThreeDots",	//790
    "ThreeRightArrows",	//791
    "TkCommand",	//792
    "TkKeyword",	//793
    "Tractor",	//794
    "Translation",	//795
    "TripleDoubleQuotedString",	//796
    "TripleSingleQuotedString",	//797
    "Typedefs",	//798
    "TypesModifiersItems",	//799
    "UUID",	//800
    "UnclosedString",	//801
    "Underline",	//802
    "Undo",	//803
    "UnknownAttribute",	//804
    "UnknownProperty",	//805
    "UnknownPseudoClass",	//806
    "UnknownTag",	//807
    "UpperCase",	//808
    "VBScriptComment",	//809
    "VBScriptDefault",	//810
    "VBScriptIdentifier",	//811
    "VBScriptKeyword",	//812
    "VBScriptNumber",	//813
    "VBScriptStart",	//814
    "VBScriptString",	//815
    "VBScriptUnclosedString",	//816
    "VCHome",	//817
    "VCHomeExtend",	//818
    "VCHomeRectExtend",	//819
    "VCHomeWrap",	//820
    "VCHomeWrapExtend",	//821
    "VLine",	//822
    "Value",	//823
    "Variable",	//824
    "VerbatimString",	//825
    "VerticalCentreCaret",	//826
    "VerticalLine",	//827
    "WinPanel",	//828
    "WordLeft",	//829
    "WordLeftEnd",	//830
    "WordLeftEndExtend",	//831
    "WordLeftExtend",	//832
    "WordPartLeft",	//833
    "WordPartLeftExtend",	//834
    "WordPartRight",	//835
    "WordPartRightExtend",	//836
    "WordRight",	//837
    "WordRightEnd",	//838
    "WordRightEndExtend",	//839
    "WordRightExtend",	//840
    "WrapCharacter",	//841
    "WrapFlagByBorder",	//842
    "WrapFlagByText",	//843
    "WrapFlagNone",	//844
    "WrapIndentFixed",	//845
    "WrapIndentIndented",	//846
    "WrapIndentSame",	//847
    "WrapNone",	//848
    "WrapWord",	//849
    "WsInvisible",	//850
    "WsVisible",	//851
    "WsVisibleAfterIndent",	//852
    "XMLEnd",	//853
    "XMLStart",	//854
    "XMLTagEnd",	//855
    "ZoomIn",	//856
    "ZoomOut",	//857
    "actionEvent",	//858
    "add",	//859
    "add$",	//860
    "alternateKey",	//861
    "annotate",	//862
    "annotate$#",	//863
    "annotate$$#",	//864
    "annotate$$$",	//865
    "annotate$?",	//866
    "annotation",	//867
    "annotation$",	//868
    "annotationDisplay",	//869
    "apiContext",	//870
    "apiContext$$$",	//871
    "apiPreparationCancelled",	//872
    "apiPreparationFinished",	//873
    "apiPreparationStarted",	//874
    "apis",	//875
    "append",	//876
    "append$",	//877
    "apply",	//878
    "apply#",	//879
    "autoCompleteFromAPIs",	//880
    "autoCompleteFromAll",	//881
    "autoCompleteFromDocument",	//882
    "autoCompletionCaseSensitivity",	//883
    "autoCompletionFillups",	//884
    "autoCompletionFillupsEnabled",	//885
    "autoCompletionReplaceWord",	//886
    "autoCompletionSelected",	//887
    "autoCompletionSelected$",	//888
    "autoCompletionShowSingle",	//889
    "autoCompletionSource",	//890
    "autoCompletionThreshold",	//891
    "autoCompletionUseSingle",	//892
    "autoCompletionWordSeparators",	//893
    "autoIndent",	//894
    "autoIndentStyle",	//895
    "backslashEscapes",	//896
    "backspaceUnindents",	//897
    "beginUndoAction",	//898
    "blockEnd",	//899
    "blockEnd$",	//900
    "blockLookback",	//901
    "blockStart",	//902
    "blockStart$",	//903
    "blockStartKeyword",	//904
    "blockStartKeyword$",	//905
    "boundTo",	//906
    "boundTo$",	//907
    "braceMatching",	//908
    "braceStyle",	//909
    "callTip",	//910
    "callTips",	//911
    "callTips?$$?",	//912
    "callTipsStyle",	//913
    "callTipsVisible",	//914
    "canInsertFromMimeData",	//915
    "canInsertFromMimeData#",	//916
    "cancelList",	//917
    "cancelPreparation",	//918
    "caseSensitive",	//919
    "caseSensitiveTags",	//920
    "changeEvent",	//921
    "changeable",	//922
    "childEvent",	//923
    "clear",	//924
    "clearAlternateKeys",	//925
    "clearAnnotations",	//926
    "clearAnnotations$",	//927
    "clearFolds",	//928
    "clearIndicatorRange",	//929
    "clearIndicatorRange$$$$$",	//930
    "clearKeys",	//931
    "clearMarginText",	//932
    "clearMarginText$",	//933
    "clearRegisteredImages",	//934
    "closeEvent",	//935
    "color",	//936
    "color$",	//937
    "colorChanged",	//938
    "colorChanged#$",	//939
    "command",	//940
    "commands",	//941
    "connectNotify",	//942
    "contextMenuEvent",	//943
    "contextMenuEvent#",	//944
    "contractedFolds",	//945
    "convertEols",	//946
    "convertEols$",	//947
    "copy",	//948
    "copyAvailable",	//949
    "copyAvailable$",	//950
    "createStandardContextMenu",	//951
    "cursorPositionChanged",	//952
    "cursorPositionChanged$$",	//953
    "customEvent",	//954
    "cut",	//955
    "defaultColor",	//956
    "defaultColor$",	//957
    "defaultEolFill",	//958
    "defaultEolFill$",	//959
    "defaultFont",	//960
    "defaultFont$",	//961
    "defaultPaper",	//962
    "defaultPaper$",	//963
    "defaultPreparedName",	//964
    "defaultStyle",	//965
    "description",	//966
    "description$",	//967
    "devType",	//968
    "disconnectNotify",	//969
    "djangoTemplates",	//970
    "document",	//971
    "dollarsAllowed",	//972
    "dottedWords",	//973
    "dragEnterEvent",	//974
    "dragEnterEvent#",	//975
    "dragLeaveEvent",	//976
    "dragLeaveEvent#",	//977
    "dragMoveEvent",	//978
    "dragMoveEvent#",	//979
    "dropEvent",	//980
    "dropEvent#",	//981
    "edgeColor",	//982
    "edgeColumn",	//983
    "edgeMode",	//984
    "editor",	//985
    "enabledChange",	//986
    "endRecording",	//987
    "endUndoAction",	//988
    "ensureCursorVisible",	//989
    "ensureLineVisible",	//990
    "ensureLineVisible$",	//991
    "enterEvent",	//992
    "eolFill",	//993
    "eolFill$",	//994
    "eolFillChanged",	//995
    "eolFillChanged$$",	//996
    "eolMode",	//997
    "eolVisibility",	//998
    "event",	//999
    "event#",	//1000
    "eventFilter",	//1001
    "execute",	//1002
    "extraAscent",	//1003
    "extraDescent",	//1004
    "fillIndicatorRange",	//1005
    "fillIndicatorRange$$$$$",	//1006
    "find",	//1007
    "find$",	//1008
    "findFirst",	//1009
    "findFirst$$$$$",	//1010
    "findFirst$$$$$$",	//1011
    "findFirst$$$$$$$",	//1012
    "findFirst$$$$$$$$",	//1013
    "findFirst$$$$$$$$$",	//1014
    "findFirst$$$$$$$$$$",	//1015
    "findNext",	//1016
    "firstVisibleLine",	//1017
    "focusInEvent",	//1018
    "focusInEvent#",	//1019
    "focusNextPrevChild",	//1020
    "focusNextPrevChild$",	//1021
    "focusOutEvent",	//1022
    "focusOutEvent#",	//1023
    "foldAll",	//1024
    "foldAll$",	//1025
    "foldAtBegin",	//1026
    "foldAtElse",	//1027
    "foldAtParenthesis",	//1028
    "foldComments",	//1029
    "foldCompact",	//1030
    "foldDirectives",	//1031
    "foldLine",	//1032
    "foldLine$",	//1033
    "foldOnlyBegin",	//1034
    "foldPODBlocks",	//1035
    "foldPackages",	//1036
    "foldPreprocessor",	//1037
    "foldQuotes",	//1038
    "foldScriptComments",	//1039
    "foldScriptHeredocs",	//1040
    "folding",	//1041
    "font",	//1042
    "font$",	//1043
    "fontChange",	//1044
    "fontChanged",	//1045
    "fontChanged#$",	//1046
    "formatPage",	//1047
    "formatPage#$#$",	//1048
    "fromMimeData",	//1049
    "fromMimeData#$",	//1050
    "getCursorPosition",	//1051
    "getCursorPosition$$",	//1052
    "getSelection",	//1053
    "getSelection$$$$",	//1054
    "hasSelectedText",	//1055
    "hashComments",	//1056
    "heightForWidth",	//1057
    "hideEvent",	//1058
    "highlightSubidentifiers",	//1059
    "highlightTripleQuotedStrings",	//1060
    "hotspot",	//1061
    "indent",	//1062
    "indent$",	//1063
    "indentation",	//1064
    "indentation$",	//1065
    "indentationGuideView",	//1066
    "indentationGuides",	//1067
    "indentationWarning",	//1068
    "indentationWidth",	//1069
    "indentationsUseTabs",	//1070
    "indicatorClicked",	//1071
    "indicatorClicked$$$",	//1072
    "indicatorDefine",	//1073
    "indicatorDefine$",	//1074
    "indicatorDefine$$",	//1075
    "indicatorDrawUnder",	//1076
    "indicatorDrawUnder$",	//1077
    "indicatorReleased",	//1078
    "indicatorReleased$$$",	//1079
    "initialSpaces",	//1080
    "inputMethodEvent",	//1081
    "inputMethodEvent#",	//1082
    "inputMethodQuery",	//1083
    "insert",	//1084
    "insert$",	//1085
    "insertAt",	//1086
    "insertAt$$$",	//1087
    "installedAPIFiles",	//1088
    "isCallTipActive",	//1089
    "isListActive",	//1090
    "isModified",	//1091
    "isPrepared",	//1092
    "isPrepared$",	//1093
    "isReadOnly",	//1094
    "isRedoAvailable",	//1095
    "isUndoAvailable",	//1096
    "isUtf8",	//1097
    "isWordCharacter",	//1098
    "isWordCharacter$",	//1099
    "key",	//1100
    "keyPressEvent",	//1101
    "keyPressEvent#",	//1102
    "keyReleaseEvent",	//1103
    "keywords",	//1104
    "keywords$",	//1105
    "language",	//1106
    "languageChange",	//1107
    "leaveEvent",	//1108
    "length",	//1109
    "level",	//1110
    "lexer",	//1111
    "lexerId",	//1112
    "lineAt",	//1113
    "lineAt#",	//1114
    "lineIndexFromPosition",	//1115
    "lineIndexFromPosition$$$",	//1116
    "lineLength",	//1117
    "lineLength$",	//1118
    "lines",	//1119
    "linesChanged",	//1120
    "load",	//1121
    "load$",	//1122
    "loadPrepared",	//1123
    "loadPrepared$",	//1124
    "magnification",	//1125
    "makoTemplates",	//1126
    "marginClicked",	//1127
    "marginClicked$$$",	//1128
    "marginLineNumbers",	//1129
    "marginLineNumbers$",	//1130
    "marginMarkerMask",	//1131
    "marginMarkerMask$",	//1132
    "marginOptions",	//1133
    "marginSensitivity",	//1134
    "marginSensitivity$",	//1135
    "marginType",	//1136
    "marginType$",	//1137
    "marginWidth",	//1138
    "marginWidth$",	//1139
    "markerAdd",	//1140
    "markerAdd$$",	//1141
    "markerDefine",	//1142
    "markerDefine#",	//1143
    "markerDefine#$",	//1144
    "markerDefine$",	//1145
    "markerDefine$$",	//1146
    "markerDelete",	//1147
    "markerDelete$",	//1148
    "markerDelete$$",	//1149
    "markerDeleteAll",	//1150
    "markerDeleteAll$",	//1151
    "markerDeleteHandle",	//1152
    "markerDeleteHandle$",	//1153
    "markerFindNext",	//1154
    "markerFindNext$$",	//1155
    "markerFindPrevious",	//1156
    "markerFindPrevious$$",	//1157
    "markerLine",	//1158
    "markerLine$",	//1159
    "markersAtLine",	//1160
    "markersAtLine$",	//1161
    "metaObject",	//1162
    "metric",	//1163
    "minimumSizeHint",	//1164
    "modificationAttempted",	//1165
    "modificationChanged",	//1166
    "modificationChanged$",	//1167
    "mouseDoubleClickEvent",	//1168
    "mouseDoubleClickEvent#",	//1169
    "mouseMoveEvent",	//1170
    "mouseMoveEvent#",	//1171
    "mousePressEvent",	//1172
    "mousePressEvent#",	//1173
    "mouseReleaseEvent",	//1174
    "mouseReleaseEvent#",	//1175
    "moveEvent",	//1176
    "moveToMatchingBrace",	//1177
    "operator=",	//1178
    "operator=#",	//1179
    "paintEngine",	//1180
    "paintEvent",	//1181
    "paintEvent#",	//1182
    "paletteChange",	//1183
    "paper",	//1184
    "paper$",	//1185
    "paperChanged",	//1186
    "paperChanged#$",	//1187
    "paste",	//1188
    "play",	//1189
    "pool",	//1190
    "positionFromLineIndex",	//1191
    "positionFromLineIndex$$",	//1192
    "prepare",	//1193
    "printRange",	//1194
    "printRange#",	//1195
    "printRange#$",	//1196
    "printRange#$$",	//1197
    "processComments",	//1198
    "processIf",	//1199
    "propertyChanged",	//1200
    "propertyChanged$$",	//1201
    "qt_metacall",	//1202
    "qt_metacall$$?",	//1203
    "qt_metacast",	//1204
    "qt_metacast$",	//1205
    "quotedIdentifiers",	//1206
    "read",	//1207
    "read#",	//1208
    "readProperties",	//1209
    "readProperties#$",	//1210
    "readSettings",	//1211
    "readSettings#",	//1212
    "readSettings#$",	//1213
    "recolor",	//1214
    "recolor$",	//1215
    "recolor$$",	//1216
    "redo",	//1217
    "refresh",	//1218
    "refreshProperties",	//1219
    "registerImage",	//1220
    "registerImage$#",	//1221
    "remove",	//1222
    "remove$",	//1223
    "removeSelectedText",	//1224
    "replace",	//1225
    "replace$",	//1226
    "replaceSelectedText",	//1227
    "replaceSelectedText$",	//1228
    "resetFoldMarginColors",	//1229
    "resetMatchedBraceIndicator",	//1230
    "resetSelectionBackgroundColor",	//1231
    "resetSelectionForegroundColor",	//1232
    "resetUnmatchedBraceIndicator",	//1233
    "resizeEvent",	//1234
    "resizeEvent#",	//1235
    "save",	//1236
    "savePrepared",	//1237
    "savePrepared$",	//1238
    "scriptsStyled",	//1239
    "scrollContentsBy",	//1240
    "scrollContentsBy$$",	//1241
    "selectAll",	//1242
    "selectAll$",	//1243
    "selectToMatchingBrace",	//1244
    "selectedText",	//1245
    "selectionChanged",	//1246
    "selectionToEol",	//1247
    "setAPIs",	//1248
    "setAPIs#",	//1249
    "setAlternateKey",	//1250
    "setAlternateKey$",	//1251
    "setAnnotationDisplay",	//1252
    "setAnnotationDisplay$",	//1253
    "setAutoCompletionCaseSensitivity",	//1254
    "setAutoCompletionCaseSensitivity$",	//1255
    "setAutoCompletionFillups",	//1256
    "setAutoCompletionFillups$",	//1257
    "setAutoCompletionFillupsEnabled",	//1258
    "setAutoCompletionFillupsEnabled$",	//1259
    "setAutoCompletionReplaceWord",	//1260
    "setAutoCompletionReplaceWord$",	//1261
    "setAutoCompletionShowSingle",	//1262
    "setAutoCompletionShowSingle$",	//1263
    "setAutoCompletionSource",	//1264
    "setAutoCompletionSource$",	//1265
    "setAutoCompletionThreshold",	//1266
    "setAutoCompletionThreshold$",	//1267
    "setAutoCompletionUseSingle",	//1268
    "setAutoCompletionUseSingle$",	//1269
    "setAutoCompletionWordSeparators",	//1270
    "setAutoCompletionWordSeparators?",	//1271
    "setAutoIndent",	//1272
    "setAutoIndent$",	//1273
    "setAutoIndentStyle",	//1274
    "setAutoIndentStyle$",	//1275
    "setBackslashEscapes",	//1276
    "setBackslashEscapes$",	//1277
    "setBackspaceUnindents",	//1278
    "setBackspaceUnindents$",	//1279
    "setBraceMatching",	//1280
    "setBraceMatching$",	//1281
    "setCallTipsBackgroundColor",	//1282
    "setCallTipsBackgroundColor#",	//1283
    "setCallTipsForegroundColor",	//1284
    "setCallTipsForegroundColor#",	//1285
    "setCallTipsHighlightColor",	//1286
    "setCallTipsHighlightColor#",	//1287
    "setCallTipsStyle",	//1288
    "setCallTipsStyle$",	//1289
    "setCallTipsVisible",	//1290
    "setCallTipsVisible$",	//1291
    "setCaretForegroundColor",	//1292
    "setCaretForegroundColor#",	//1293
    "setCaretLineBackgroundColor",	//1294
    "setCaretLineBackgroundColor#",	//1295
    "setCaretLineVisible",	//1296
    "setCaretLineVisible$",	//1297
    "setCaretWidth",	//1298
    "setCaretWidth$",	//1299
    "setCaseSensitiveTags",	//1300
    "setCaseSensitiveTags$",	//1301
    "setChangeable",	//1302
    "setChangeable$",	//1303
    "setColor",	//1304
    "setColor#",	//1305
    "setColor#$",	//1306
    "setContractedFolds",	//1307
    "setContractedFolds?",	//1308
    "setCursorPosition",	//1309
    "setCursorPosition$$",	//1310
    "setDefaultColor",	//1311
    "setDefaultColor#",	//1312
    "setDefaultFont",	//1313
    "setDefaultFont#",	//1314
    "setDefaultPaper",	//1315
    "setDefaultPaper#",	//1316
    "setDescription",	//1317
    "setDescription$",	//1318
    "setDjangoTemplates",	//1319
    "setDjangoTemplates$",	//1320
    "setDocument",	//1321
    "setDocument#",	//1322
    "setDollarsAllowed",	//1323
    "setDollarsAllowed$",	//1324
    "setDottedWords",	//1325
    "setDottedWords$",	//1326
    "setEdgeColor",	//1327
    "setEdgeColor#",	//1328
    "setEdgeColumn",	//1329
    "setEdgeColumn$",	//1330
    "setEdgeMode",	//1331
    "setEdgeMode$",	//1332
    "setEditor",	//1333
    "setEditor#",	//1334
    "setEolFill",	//1335
    "setEolFill$",	//1336
    "setEolFill$$",	//1337
    "setEolMode",	//1338
    "setEolMode$",	//1339
    "setEolVisibility",	//1340
    "setEolVisibility$",	//1341
    "setExtraAscent",	//1342
    "setExtraAscent$",	//1343
    "setExtraDescent",	//1344
    "setExtraDescent$",	//1345
    "setFirstVisibleLine",	//1346
    "setFirstVisibleLine$",	//1347
    "setFoldAtBegin",	//1348
    "setFoldAtBegin$",	//1349
    "setFoldAtElse",	//1350
    "setFoldAtElse$",	//1351
    "setFoldAtParenthesis",	//1352
    "setFoldAtParenthesis$",	//1353
    "setFoldComments",	//1354
    "setFoldComments$",	//1355
    "setFoldCompact",	//1356
    "setFoldCompact$",	//1357
    "setFoldDirectives",	//1358
    "setFoldDirectives$",	//1359
    "setFoldMarginColors",	//1360
    "setFoldMarginColors##",	//1361
    "setFoldOnlyBegin",	//1362
    "setFoldOnlyBegin$",	//1363
    "setFoldPODBlocks",	//1364
    "setFoldPODBlocks$",	//1365
    "setFoldPackages",	//1366
    "setFoldPackages$",	//1367
    "setFoldPreprocessor",	//1368
    "setFoldPreprocessor$",	//1369
    "setFoldQuotes",	//1370
    "setFoldQuotes$",	//1371
    "setFoldScriptComments",	//1372
    "setFoldScriptComments$",	//1373
    "setFoldScriptHeredocs",	//1374
    "setFoldScriptHeredocs$",	//1375
    "setFolding",	//1376
    "setFolding$",	//1377
    "setFolding$$",	//1378
    "setFont",	//1379
    "setFont#",	//1380
    "setFont#$",	//1381
    "setHashComments",	//1382
    "setHashComments$",	//1383
    "setHighlightSubidentifiers",	//1384
    "setHighlightSubidentifiers$",	//1385
    "setHighlightTripleQuotedStrings",	//1386
    "setHighlightTripleQuotedStrings$",	//1387
    "setHotspot",	//1388
    "setHotspot$",	//1389
    "setIndentation",	//1390
    "setIndentation$$",	//1391
    "setIndentationGuides",	//1392
    "setIndentationGuides$",	//1393
    "setIndentationGuidesBackgroundColor",	//1394
    "setIndentationGuidesBackgroundColor#",	//1395
    "setIndentationGuidesForegroundColor",	//1396
    "setIndentationGuidesForegroundColor#",	//1397
    "setIndentationWarning",	//1398
    "setIndentationWarning$",	//1399
    "setIndentationWidth",	//1400
    "setIndentationWidth$",	//1401
    "setIndentationsUseTabs",	//1402
    "setIndentationsUseTabs$",	//1403
    "setIndicatorDrawUnder",	//1404
    "setIndicatorDrawUnder$",	//1405
    "setIndicatorDrawUnder$$",	//1406
    "setIndicatorForegroundColor",	//1407
    "setIndicatorForegroundColor#",	//1408
    "setIndicatorForegroundColor#$",	//1409
    "setIndicatorOutlineColor",	//1410
    "setIndicatorOutlineColor#",	//1411
    "setIndicatorOutlineColor#$",	//1412
    "setInitialSpaces",	//1413
    "setInitialSpaces$",	//1414
    "setKey",	//1415
    "setKey$",	//1416
    "setLevel",	//1417
    "setLevel$",	//1418
    "setLexer",	//1419
    "setLexer#",	//1420
    "setMagnification",	//1421
    "setMagnification$",	//1422
    "setMakoTemplates",	//1423
    "setMakoTemplates$",	//1424
    "setMarginLineNumbers",	//1425
    "setMarginLineNumbers$$",	//1426
    "setMarginMarkerMask",	//1427
    "setMarginMarkerMask$$",	//1428
    "setMarginOptions",	//1429
    "setMarginOptions$",	//1430
    "setMarginSensitivity",	//1431
    "setMarginSensitivity$$",	//1432
    "setMarginText",	//1433
    "setMarginText$#",	//1434
    "setMarginText$$#",	//1435
    "setMarginText$$$",	//1436
    "setMarginText$?",	//1437
    "setMarginType",	//1438
    "setMarginType$$",	//1439
    "setMarginWidth",	//1440
    "setMarginWidth$$",	//1441
    "setMarginsBackgroundColor",	//1442
    "setMarginsBackgroundColor#",	//1443
    "setMarginsFont",	//1444
    "setMarginsFont#",	//1445
    "setMarginsForegroundColor",	//1446
    "setMarginsForegroundColor#",	//1447
    "setMarkerBackgroundColor",	//1448
    "setMarkerBackgroundColor#",	//1449
    "setMarkerBackgroundColor#$",	//1450
    "setMarkerForegroundColor",	//1451
    "setMarkerForegroundColor#",	//1452
    "setMarkerForegroundColor#$",	//1453
    "setMatchedBraceBackgroundColor",	//1454
    "setMatchedBraceBackgroundColor#",	//1455
    "setMatchedBraceForegroundColor",	//1456
    "setMatchedBraceForegroundColor#",	//1457
    "setMatchedBraceIndicator",	//1458
    "setMatchedBraceIndicator$",	//1459
    "setModified",	//1460
    "setModified$",	//1461
    "setPaper",	//1462
    "setPaper#",	//1463
    "setPaper#$",	//1464
    "setProcessComments",	//1465
    "setProcessComments$",	//1466
    "setProcessIf",	//1467
    "setProcessIf$",	//1468
    "setQuotedIdentifiers",	//1469
    "setQuotedIdentifiers$",	//1470
    "setReadOnly",	//1471
    "setReadOnly$",	//1472
    "setScriptsStyled",	//1473
    "setScriptsStyled$",	//1474
    "setSelection",	//1475
    "setSelection$$$$",	//1476
    "setSelectionBackgroundColor",	//1477
    "setSelectionBackgroundColor#",	//1478
    "setSelectionForegroundColor",	//1479
    "setSelectionForegroundColor#",	//1480
    "setSelectionToEol",	//1481
    "setSelectionToEol$",	//1482
    "setSmartHighlighting",	//1483
    "setSmartHighlighting$",	//1484
    "setStringsOverNewlineAllowed",	//1485
    "setStringsOverNewlineAllowed$",	//1486
    "setStylePreprocessor",	//1487
    "setStylePreprocessor$",	//1488
    "setStyling",	//1489
    "setStyling$#",	//1490
    "setStyling$$",	//1491
    "setTabIndents",	//1492
    "setTabIndents$",	//1493
    "setTabWidth",	//1494
    "setTabWidth$",	//1495
    "setText",	//1496
    "setText$",	//1497
    "setTextCase",	//1498
    "setTextCase$",	//1499
    "setTokenize",	//1500
    "setTokenize$",	//1501
    "setUnmatchedBraceBackgroundColor",	//1502
    "setUnmatchedBraceBackgroundColor#",	//1503
    "setUnmatchedBraceForegroundColor",	//1504
    "setUnmatchedBraceForegroundColor#",	//1505
    "setUnmatchedBraceIndicator",	//1506
    "setUnmatchedBraceIndicator$",	//1507
    "setUtf8",	//1508
    "setUtf8$",	//1509
    "setV2UnicodeAllowed",	//1510
    "setV2UnicodeAllowed$",	//1511
    "setV3BinaryOctalAllowed",	//1512
    "setV3BinaryOctalAllowed$",	//1513
    "setV3BytesAllowed",	//1514
    "setV3BytesAllowed$",	//1515
    "setVisible",	//1516
    "setVisible$",	//1517
    "setWhitespaceBackgroundColor",	//1518
    "setWhitespaceBackgroundColor#",	//1519
    "setWhitespaceForegroundColor",	//1520
    "setWhitespaceForegroundColor#",	//1521
    "setWhitespaceSize",	//1522
    "setWhitespaceSize$",	//1523
    "setWhitespaceVisibility",	//1524
    "setWhitespaceVisibility$",	//1525
    "setWrapIndentMode",	//1526
    "setWrapIndentMode$",	//1527
    "setWrapMode",	//1528
    "setWrapMode$",	//1529
    "setWrapVisualFlags",	//1530
    "setWrapVisualFlags$",	//1531
    "setWrapVisualFlags$$",	//1532
    "setWrapVisualFlags$$$",	//1533
    "showEvent",	//1534
    "showUserList",	//1535
    "showUserList$?",	//1536
    "sizeHint",	//1537
    "smartHighlighting",	//1538
    "standardCommands",	//1539
    "startRecording",	//1540
    "startStyling",	//1541
    "startStyling$",	//1542
    "startStyling$$",	//1543
    "staticMetaObject",	//1544
    "stringsOverNewlineAllowed",	//1545
    "style",	//1546
    "styleBitsNeeded",	//1547
    "styleChange",	//1548
    "stylePreprocessor",	//1549
    "styleText",	//1550
    "styleText$$",	//1551
    "tabIndents",	//1552
    "tabWidth",	//1553
    "tabletEvent",	//1554
    "text",	//1555
    "text$",	//1556
    "textCase",	//1557
    "textChanged",	//1558
    "textHeight",	//1559
    "textHeight$",	//1560
    "timerEvent",	//1561
    "toMimeData",	//1562
    "toMimeData#$",	//1563
    "tokenize",	//1564
    "tr",	//1565
    "tr$",	//1566
    "tr$$",	//1567
    "tr$$$",	//1568
    "trUtf8",	//1569
    "trUtf8$",	//1570
    "trUtf8$$",	//1571
    "trUtf8$$$",	//1572
    "undo",	//1573
    "unindent",	//1574
    "unindent$",	//1575
    "updateAutoCompletionList",	//1576
    "updateAutoCompletionList??",	//1577
    "userListActivated",	//1578
    "userListActivated$$",	//1579
    "v2UnicodeAllowed",	//1580
    "v3BinaryOctalAllowed",	//1581
    "v3BytesAllowed",	//1582
    "validKey",	//1583
    "validKey$",	//1584
    "viewportEvent",	//1585
    "visible",	//1586
    "wheelEvent",	//1587
    "whitespaceSize",	//1588
    "whitespaceVisibility",	//1589
    "windowActivationChange",	//1590
    "wordAtPoint",	//1591
    "wordAtPoint#",	//1592
    "wordCharacters",	//1593
    "wrapIndentMode",	//1594
    "wrapMode",	//1595
    "write",	//1596
    "write#",	//1597
    "writeProperties",	//1598
    "writeProperties#$",	//1599
    "writeSettings",	//1600
    "writeSettings#",	//1601
    "writeSettings#$",	//1602
    "x11Event",	//1603
    "zoomIn",	//1604
    "zoomIn$",	//1605
    "zoomOut",	//1606
    "zoomOut$",	//1607
    "zoomTo",	//1608
    "zoomTo$",	//1609
    "~QsciAPIs",	//1610
    "~QsciAbstractAPIs",	//1611
    "~QsciCommand",	//1612
    "~QsciDocument",	//1613
    "~QsciLexer",	//1614
    "~QsciLexerBash",	//1615
    "~QsciLexerBatch",	//1616
    "~QsciLexerCMake",	//1617
    "~QsciLexerCPP",	//1618
    "~QsciLexerCSS",	//1619
    "~QsciLexerCSharp",	//1620
    "~QsciLexerCustom",	//1621
    "~QsciLexerD",	//1622
    "~QsciLexerDiff",	//1623
    "~QsciLexerFortran",	//1624
    "~QsciLexerFortran77",	//1625
    "~QsciLexerHTML",	//1626
    "~QsciLexerIDL",	//1627
    "~QsciLexerJava",	//1628
    "~QsciLexerJavaScript",	//1629
    "~QsciLexerLua",	//1630
    "~QsciLexerMakefile",	//1631
    "~QsciLexerPOV",	//1632
    "~QsciLexerPascal",	//1633
    "~QsciLexerPerl",	//1634
    "~QsciLexerPostScript",	//1635
    "~QsciLexerProperties",	//1636
    "~QsciLexerPython",	//1637
    "~QsciLexerRuby",	//1638
    "~QsciLexerSQL",	//1639
    "~QsciLexerTCL",	//1640
    "~QsciLexerTeX",	//1641
    "~QsciLexerVHDL",	//1642
    "~QsciLexerXML",	//1643
    "~QsciLexerYAML",	//1644
    "~QsciMacro",	//1645
    "~QsciPrinter",	//1646
    "~QsciScintilla",	//1647
    "~QsciScintillaBase",	//1648
    "~QsciStyle",	//1649
    "~QsciStyledText",	//1650
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1164, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1537, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 999, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1585, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1587, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {16, 921, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {17, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {17, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 6},	//12 QGlobalSpace::QtDebugMsg (enum)
    {17, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 7},	//13 QGlobalSpace::QtWarningMsg (enum)
    {17, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 8},	//14 QGlobalSpace::QtCriticalMsg (enum)
    {17, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 9},	//15 QGlobalSpace::QtFatalMsg (enum)
    {17, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 10},	//16 QGlobalSpace::QtSystemMsg (enum)
    {28, 999, 1, 1, Smoke::mf_virtual, 189, 0},	//17 QObject::event(QEvent*)
    {28, 1001, 5, 2, Smoke::mf_virtual, 189, 0},	//18 QObject::eventFilter(QObject*, QEvent*)
    {28, 1561, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::timerEvent(QTimerEvent*)
    {28, 923, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::childEvent(QChildEvent*)
    {28, 954, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::customEvent(QEvent*)
    {28, 942, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//22 QObject::connectNotify(const char*)
    {28, 969, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 QObject::disconnectNotify(const char*)
    {35, 968, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//24 QPrinter::devType() const
    {35, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//25 QPrinter::paintEngine() const
    {35, 1163, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 215, 0},	//26 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {35, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 4},	//27 QPrinter::ScreenResolution (enum)
    {35, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 5},	//28 QPrinter::PrinterResolution (enum)
    {35, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 6},	//29 QPrinter::HighResolution (enum)
    {47, 968, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//30 QWidget::devType() const
    {47, 1516, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//31 QWidget::setVisible(bool)
    {47, 1057, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//32 QWidget::heightForWidth(int) const
    {47, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//33 QWidget::paintEngine() const
    {47, 1103, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QWidget::keyReleaseEvent(QKeyEvent*)
    {47, 992, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QWidget::enterEvent(QEvent*)
    {47, 1108, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QWidget::leaveEvent(QEvent*)
    {47, 1176, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QWidget::moveEvent(QMoveEvent*)
    {47, 935, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QWidget::closeEvent(QCloseEvent*)
    {47, 1554, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QWidget::tabletEvent(QTabletEvent*)
    {47, 858, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QWidget::actionEvent(QActionEvent*)
    {47, 1534, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QWidget::showEvent(QShowEvent*)
    {47, 1058, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QWidget::hideEvent(QHideEvent*)
    {47, 1603, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//43 QWidget::x11Event(_XEvent*)
    {47, 1163, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 215, 0},	//44 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {47, 1083, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 0},	//45 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {47, 1548, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//46 QWidget::styleChange(QStyle&)
    {47, 986, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//47 QWidget::enabledChange(bool)
    {47, 1183, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//48 QWidget::paletteChange(const QPalette&)
    {47, 1044, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//49 QWidget::fontChange(const QFont&)
    {47, 1590, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//50 QWidget::windowActivationChange(bool)
    {47, 1107, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//51 QWidget::languageChange()
    {48, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//52 QsciAPIs::metaObject() const
    {48, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//53 QsciAPIs::qt_metacast(const char*)
    {48, 1565, 44, 2, Smoke::mf_static, 40, 3},	//54 QsciAPIs::tr(const char*, const char*)
    {48, 1569, 44, 2, Smoke::mf_static, 40, 4},	//55 QsciAPIs::trUtf8(const char*, const char*)
    {48, 1565, 47, 3, Smoke::mf_static, 40, 5},	//56 QsciAPIs::tr(const char*, const char*, int)
    {48, 1569, 47, 3, Smoke::mf_static, 40, 6},	//57 QsciAPIs::trUtf8(const char*, const char*, int)
    {48, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//58 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {48, 443, 55, 1, Smoke::mf_ctor, 50, 8},	//59 QsciAPIs::QsciAPIs(QsciLexer*)
    {48, 859, 57, 1, 0, 0, 9},	//60 QsciAPIs::add(const QString&)
    {48, 924, 0, 0, 0, 0, 10},	//61 QsciAPIs::clear()
    {48, 1121, 57, 1, 0, 189, 11},	//62 QsciAPIs::load(const QString&)
    {48, 1222, 57, 1, 0, 0, 12},	//63 QsciAPIs::remove(const QString&)
    {48, 1193, 0, 0, 0, 0, 13},	//64 QsciAPIs::prepare()
    {48, 918, 0, 0, 0, 0, 14},	//65 QsciAPIs::cancelPreparation()
    {48, 964, 0, 0, Smoke::mf_const, 40, 15},	//66 QsciAPIs::defaultPreparedName() const
    {48, 1092, 57, 1, Smoke::mf_const, 189, 16},	//67 QsciAPIs::isPrepared(const QString&) const
    {48, 1123, 57, 1, 0, 189, 17},	//68 QsciAPIs::loadPrepared(const QString&)
    {48, 1237, 57, 1, Smoke::mf_const, 189, 18},	//69 QsciAPIs::savePrepared(const QString&) const
    {48, 1576, 59, 2, Smoke::mf_virtual, 0, 19},	//70 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {48, 887, 57, 1, Smoke::mf_virtual, 0, 20},	//71 QsciAPIs::autoCompletionSelected(const QString&)
    {48, 911, 62, 4, Smoke::mf_virtual, 41, 21},	//72 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {48, 999, 1, 1, Smoke::mf_virtual, 189, 22},	//73 QsciAPIs::event(QEvent*)
    {48, 1088, 0, 0, Smoke::mf_const, 41, 23},	//74 QsciAPIs::installedAPIFiles() const
    {48, 872, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//75 QsciAPIs::apiPreparationCancelled()
    {48, 874, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//76 QsciAPIs::apiPreparationStarted()
    {48, 873, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//77 QsciAPIs::apiPreparationFinished()
    {48, 1565, 12, 1, Smoke::mf_static, 40, 27},	//78 QsciAPIs::tr(const char*)
    {48, 1569, 12, 1, Smoke::mf_static, 40, 28},	//79 QsciAPIs::trUtf8(const char*)
    {48, 1092, 0, 0, Smoke::mf_const, 189, 29},	//80 QsciAPIs::isPrepared() const
    {48, 1123, 0, 0, 0, 189, 30},	//81 QsciAPIs::loadPrepared()
    {48, 1237, 0, 0, Smoke::mf_const, 189, 31},	//82 QsciAPIs::savePrepared() const
    {48, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 32},	//83 QsciAPIs::staticMetaObject() const
    {48, 1610, 0, 0, Smoke::mf_dtor, 0, 33 },	//84 QsciAPIs::~QsciAPIs()
    {49, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//85 QsciAbstractAPIs::metaObject() const
    {49, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//86 QsciAbstractAPIs::qt_metacast(const char*)
    {49, 1565, 44, 2, Smoke::mf_static, 40, 3},	//87 QsciAbstractAPIs::tr(const char*, const char*)
    {49, 1569, 44, 2, Smoke::mf_static, 40, 4},	//88 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {49, 1565, 47, 3, Smoke::mf_static, 40, 5},	//89 QsciAbstractAPIs::tr(const char*, const char*, int)
    {49, 1569, 47, 3, Smoke::mf_static, 40, 6},	//90 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {49, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//91 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {49, 445, 55, 1, Smoke::mf_ctor, 51, 8},	//92 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {49, 1111, 0, 0, Smoke::mf_const, 58, 9},	//93 QsciAbstractAPIs::lexer() const
    {49, 1576, 59, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//94 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {49, 887, 57, 1, Smoke::mf_virtual, 0, 11},	//95 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {49, 911, 62, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 41, 12},	//96 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {49, 1565, 12, 1, Smoke::mf_static, 40, 13},	//97 QsciAbstractAPIs::tr(const char*)
    {49, 1569, 12, 1, Smoke::mf_static, 40, 14},	//98 QsciAbstractAPIs::trUtf8(const char*)
    {49, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 15},	//99 QsciAbstractAPIs::staticMetaObject() const
    {49, 1611, 0, 0, Smoke::mf_dtor, 0, 16 },	//100 QsciAbstractAPIs::~QsciAbstractAPIs()
    {50, 940, 0, 0, Smoke::mf_const, 53, 1},	//101 QsciCommand::command() const
    {50, 1002, 0, 0, 0, 0, 2},	//102 QsciCommand::execute()
    {50, 1415, 18, 1, 0, 0, 3},	//103 QsciCommand::setKey(int)
    {50, 1250, 18, 1, 0, 0, 4},	//104 QsciCommand::setAlternateKey(int)
    {50, 1100, 0, 0, Smoke::mf_const, 215, 5},	//105 QsciCommand::key() const
    {50, 861, 0, 0, Smoke::mf_const, 215, 6},	//106 QsciCommand::alternateKey() const
    {50, 1583, 18, 1, Smoke::mf_static, 189, 7},	//107 QsciCommand::validKey(int)
    {50, 966, 0, 0, Smoke::mf_const, 40, 8},	//108 QsciCommand::description() const
    {50, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 9},	//109 QsciCommand::LineDown (enum)
    {50, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 10},	//110 QsciCommand::LineDownExtend (enum)
    {50, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 11},	//111 QsciCommand::LineDownRectExtend (enum)
    {50, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 12},	//112 QsciCommand::LineScrollDown (enum)
    {50, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 13},	//113 QsciCommand::LineUp (enum)
    {50, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 14},	//114 QsciCommand::LineUpExtend (enum)
    {50, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 15},	//115 QsciCommand::LineUpRectExtend (enum)
    {50, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 16},	//116 QsciCommand::LineScrollUp (enum)
    {50, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 17},	//117 QsciCommand::ScrollToStart (enum)
    {50, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 18},	//118 QsciCommand::ScrollToEnd (enum)
    {50, 826, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 19},	//119 QsciCommand::VerticalCentreCaret (enum)
    {50, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 20},	//120 QsciCommand::ParaDown (enum)
    {50, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 21},	//121 QsciCommand::ParaDownExtend (enum)
    {50, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 22},	//122 QsciCommand::ParaUp (enum)
    {50, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 23},	//123 QsciCommand::ParaUpExtend (enum)
    {50, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 24},	//124 QsciCommand::CharLeft (enum)
    {50, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 25},	//125 QsciCommand::CharLeftExtend (enum)
    {50, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 26},	//126 QsciCommand::CharLeftRectExtend (enum)
    {50, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 27},	//127 QsciCommand::CharRight (enum)
    {50, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 28},	//128 QsciCommand::CharRightExtend (enum)
    {50, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 29},	//129 QsciCommand::CharRightRectExtend (enum)
    {50, 829, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 30},	//130 QsciCommand::WordLeft (enum)
    {50, 832, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 31},	//131 QsciCommand::WordLeftExtend (enum)
    {50, 837, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 32},	//132 QsciCommand::WordRight (enum)
    {50, 840, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 33},	//133 QsciCommand::WordRightExtend (enum)
    {50, 830, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 34},	//134 QsciCommand::WordLeftEnd (enum)
    {50, 831, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 35},	//135 QsciCommand::WordLeftEndExtend (enum)
    {50, 838, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 36},	//136 QsciCommand::WordRightEnd (enum)
    {50, 839, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 37},	//137 QsciCommand::WordRightEndExtend (enum)
    {50, 833, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 38},	//138 QsciCommand::WordPartLeft (enum)
    {50, 834, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 39},	//139 QsciCommand::WordPartLeftExtend (enum)
    {50, 835, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 40},	//140 QsciCommand::WordPartRight (enum)
    {50, 836, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 41},	//141 QsciCommand::WordPartRightExtend (enum)
    {50, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 42},	//142 QsciCommand::Home (enum)
    {50, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 43},	//143 QsciCommand::HomeExtend (enum)
    {50, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 44},	//144 QsciCommand::HomeRectExtend (enum)
    {50, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 45},	//145 QsciCommand::HomeDisplay (enum)
    {50, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 46},	//146 QsciCommand::HomeDisplayExtend (enum)
    {50, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 47},	//147 QsciCommand::HomeWrap (enum)
    {50, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 48},	//148 QsciCommand::HomeWrapExtend (enum)
    {50, 817, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 49},	//149 QsciCommand::VCHome (enum)
    {50, 818, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 50},	//150 QsciCommand::VCHomeExtend (enum)
    {50, 819, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 51},	//151 QsciCommand::VCHomeRectExtend (enum)
    {50, 820, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 52},	//152 QsciCommand::VCHomeWrap (enum)
    {50, 821, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 53},	//153 QsciCommand::VCHomeWrapExtend (enum)
    {50, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 54},	//154 QsciCommand::LineEnd (enum)
    {50, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 55},	//155 QsciCommand::LineEndExtend (enum)
    {50, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 56},	//156 QsciCommand::LineEndRectExtend (enum)
    {50, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 57},	//157 QsciCommand::LineEndDisplay (enum)
    {50, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 58},	//158 QsciCommand::LineEndDisplayExtend (enum)
    {50, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 59},	//159 QsciCommand::LineEndWrap (enum)
    {50, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 60},	//160 QsciCommand::LineEndWrapExtend (enum)
    {50, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 61},	//161 QsciCommand::DocumentStart (enum)
    {50, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 62},	//162 QsciCommand::DocumentStartExtend (enum)
    {50, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 63},	//163 QsciCommand::DocumentEnd (enum)
    {50, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 64},	//164 QsciCommand::DocumentEndExtend (enum)
    {50, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 65},	//165 QsciCommand::PageUp (enum)
    {50, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 66},	//166 QsciCommand::PageUpExtend (enum)
    {50, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 67},	//167 QsciCommand::PageUpRectExtend (enum)
    {50, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 68},	//168 QsciCommand::PageDown (enum)
    {50, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 69},	//169 QsciCommand::PageDownExtend (enum)
    {50, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 70},	//170 QsciCommand::PageDownRectExtend (enum)
    {50, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 71},	//171 QsciCommand::StutteredPageUp (enum)
    {50, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 72},	//172 QsciCommand::StutteredPageUpExtend (enum)
    {50, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 73},	//173 QsciCommand::StutteredPageDown (enum)
    {50, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 74},	//174 QsciCommand::StutteredPageDownExtend (enum)
    {50, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 75},	//175 QsciCommand::Delete (enum)
    {50, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 76},	//176 QsciCommand::DeleteBack (enum)
    {50, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 77},	//177 QsciCommand::DeleteBackNotLine (enum)
    {50, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 78},	//178 QsciCommand::DeleteWordLeft (enum)
    {50, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 79},	//179 QsciCommand::DeleteWordRight (enum)
    {50, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 80},	//180 QsciCommand::DeleteWordRightEnd (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 81},	//181 QsciCommand::DeleteLineLeft (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 82},	//182 QsciCommand::DeleteLineRight (enum)
    {50, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 83},	//183 QsciCommand::LineDelete (enum)
    {50, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 84},	//184 QsciCommand::LineCut (enum)
    {50, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 85},	//185 QsciCommand::LineCopy (enum)
    {50, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 86},	//186 QsciCommand::LineTranspose (enum)
    {50, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 87},	//187 QsciCommand::LineDuplicate (enum)
    {50, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 88},	//188 QsciCommand::SelectAll (enum)
    {50, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 89},	//189 QsciCommand::MoveSelectedLinesUp (enum)
    {50, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 90},	//190 QsciCommand::MoveSelectedLinesDown (enum)
    {50, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 91},	//191 QsciCommand::SelectionDuplicate (enum)
    {50, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 92},	//192 QsciCommand::SelectionLowerCase (enum)
    {50, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 93},	//193 QsciCommand::SelectionUpperCase (enum)
    {50, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 94},	//194 QsciCommand::SelectionCut (enum)
    {50, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 95},	//195 QsciCommand::SelectionCopy (enum)
    {50, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 96},	//196 QsciCommand::Paste (enum)
    {50, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 97},	//197 QsciCommand::EditToggleOvertype (enum)
    {50, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 98},	//198 QsciCommand::Newline (enum)
    {50, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 99},	//199 QsciCommand::Formfeed (enum)
    {50, 780, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 100},	//200 QsciCommand::Tab (enum)
    {50, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 101},	//201 QsciCommand::Backtab (enum)
    {50, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 102},	//202 QsciCommand::Cancel (enum)
    {50, 803, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 103},	//203 QsciCommand::Undo (enum)
    {50, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 104},	//204 QsciCommand::Redo (enum)
    {50, 856, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 105},	//205 QsciCommand::ZoomIn (enum)
    {50, 857, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 106},	//206 QsciCommand::ZoomOut (enum)
    {50, 1612, 0, 0, Smoke::mf_dtor, 0, 107 },	//207 QsciCommand::~QsciCommand()
    {51, 1211, 67, 2, 0, 189, 1},	//208 QsciCommandSet::readSettings(QSettings&, const char*)
    {51, 1600, 67, 2, 0, 189, 2},	//209 QsciCommandSet::writeSettings(QSettings&, const char*)
    {51, 941, 0, 0, 0, 19, 3},	//210 QsciCommandSet::commands()
    {51, 931, 0, 0, 0, 0, 4},	//211 QsciCommandSet::clearKeys()
    {51, 925, 0, 0, 0, 0, 5},	//212 QsciCommandSet::clearAlternateKeys()
    {51, 906, 18, 1, Smoke::mf_const, 52, 6},	//213 QsciCommandSet::boundTo(int) const
    {51, 1007, 70, 1, Smoke::mf_const, 52, 7},	//214 QsciCommandSet::find(QsciCommand::Command) const
    {51, 1211, 72, 1, 0, 189, 8},	//215 QsciCommandSet::readSettings(QSettings&)
    {51, 1600, 72, 1, 0, 189, 9},	//216 QsciCommandSet::writeSettings(QSettings&)
    {52, 447, 0, 0, Smoke::mf_ctor, 57, 1},	//217 QsciDocument::QsciDocument()
    {52, 447, 74, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//218 QsciDocument::QsciDocument(const QsciDocument&)
    {52, 1178, 74, 1, 0, 56, 3},	//219 QsciDocument::operator=(const QsciDocument&)
    {52, 1613, 0, 0, Smoke::mf_dtor, 0, 4 },	//220 QsciDocument::~QsciDocument()
    {53, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//221 QsciLexer::metaObject() const
    {53, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//222 QsciLexer::qt_metacast(const char*)
    {53, 1565, 44, 2, Smoke::mf_static, 40, 3},	//223 QsciLexer::tr(const char*, const char*)
    {53, 1569, 44, 2, Smoke::mf_static, 40, 4},	//224 QsciLexer::trUtf8(const char*, const char*)
    {53, 1565, 47, 3, Smoke::mf_static, 40, 5},	//225 QsciLexer::tr(const char*, const char*, int)
    {53, 1569, 47, 3, Smoke::mf_static, 40, 6},	//226 QsciLexer::trUtf8(const char*, const char*, int)
    {53, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//227 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {53, 449, 76, 1, Smoke::mf_ctor, 58, 8},	//228 QsciLexer::QsciLexer(QObject*)
    {53, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 213, 9},	//229 QsciLexer::language() const [pure virtual]
    {53, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//230 QsciLexer::lexer() const
    {53, 1112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//231 QsciLexer::lexerId() const
    {53, 875, 0, 0, Smoke::mf_const, 51, 12},	//232 QsciLexer::apis() const
    {53, 884, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//233 QsciLexer::autoCompletionFillups() const
    {53, 893, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 14},	//234 QsciLexer::autoCompletionWordSeparators() const
    {53, 895, 0, 0, 0, 215, 15},	//235 QsciLexer::autoIndentStyle()
    {53, 899, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//236 QsciLexer::blockEnd(int*) const
    {53, 901, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//237 QsciLexer::blockLookback() const
    {53, 902, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 18},	//238 QsciLexer::blockStart(int*) const
    {53, 904, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 19},	//239 QsciLexer::blockStartKeyword(int*) const
    {53, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 20},	//240 QsciLexer::braceStyle() const
    {53, 919, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 189, 21},	//241 QsciLexer::caseSensitive() const
    {53, 936, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 22},	//242 QsciLexer::color(int) const
    {53, 993, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 23},	//243 QsciLexer::eolFill(int) const
    {53, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 24},	//244 QsciLexer::font(int) const
    {53, 1066, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 25},	//245 QsciLexer::indentationGuideView() const
    {53, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 26},	//246 QsciLexer::keywords(int) const
    {53, 965, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 27},	//247 QsciLexer::defaultStyle() const
    {53, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 28},	//248 QsciLexer::description(int) const [pure virtual]
    {53, 1184, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 29},	//249 QsciLexer::paper(int) const
    {53, 956, 0, 0, Smoke::mf_const, 6, 30},	//250 QsciLexer::defaultColor() const
    {53, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 31},	//251 QsciLexer::defaultColor(int) const
    {53, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 32},	//252 QsciLexer::defaultEolFill(int) const
    {53, 960, 0, 0, Smoke::mf_const, 14, 33},	//253 QsciLexer::defaultFont() const
    {53, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 34},	//254 QsciLexer::defaultFont(int) const
    {53, 962, 0, 0, Smoke::mf_const, 6, 35},	//255 QsciLexer::defaultPaper() const
    {53, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 36},	//256 QsciLexer::defaultPaper(int) const
    {53, 985, 0, 0, Smoke::mf_const, 92, 37},	//257 QsciLexer::editor() const
    {53, 1248, 80, 1, 0, 0, 38},	//258 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {53, 1311, 82, 1, 0, 0, 39},	//259 QsciLexer::setDefaultColor(const QColor&)
    {53, 1313, 42, 1, 0, 0, 40},	//260 QsciLexer::setDefaultFont(const QFont&)
    {53, 1315, 82, 1, 0, 0, 41},	//261 QsciLexer::setDefaultPaper(const QColor&)
    {53, 1333, 84, 1, Smoke::mf_virtual, 0, 42},	//262 QsciLexer::setEditor(QsciScintilla*)
    {53, 1211, 67, 2, 0, 189, 43},	//263 QsciLexer::readSettings(QSettings&, const char*)
    {53, 1219, 0, 0, Smoke::mf_virtual, 0, 44},	//264 QsciLexer::refreshProperties()
    {53, 1547, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 45},	//265 QsciLexer::styleBitsNeeded() const
    {53, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 46},	//266 QsciLexer::wordCharacters() const
    {53, 1600, 67, 2, Smoke::mf_const, 189, 47},	//267 QsciLexer::writeSettings(QSettings&, const char*) const
    {53, 1274, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//268 QsciLexer::setAutoIndentStyle(int)
    {53, 1304, 86, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//269 QsciLexer::setColor(const QColor&, int)
    {53, 1335, 89, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//270 QsciLexer::setEolFill(bool, int)
    {53, 1379, 92, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//271 QsciLexer::setFont(const QFont&, int)
    {53, 1462, 86, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//272 QsciLexer::setPaper(const QColor&, int)
    {53, 938, 86, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//273 QsciLexer::colorChanged(const QColor&, int)
    {53, 995, 89, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//274 QsciLexer::eolFillChanged(bool, int)
    {53, 1045, 92, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//275 QsciLexer::fontChanged(const QFont&, int)
    {53, 1186, 86, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//276 QsciLexer::paperChanged(const QColor&, int)
    {53, 1200, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//277 QsciLexer::propertyChanged(const char*, const char*)
    {53, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 58},	//278 QsciLexer::readProperties(QSettings&, const QString&)
    {53, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 59},	//279 QsciLexer::writeProperties(QSettings&, const QString&) const
    {53, 1565, 12, 1, Smoke::mf_static, 40, 60},	//280 QsciLexer::tr(const char*)
    {53, 1569, 12, 1, Smoke::mf_static, 40, 61},	//281 QsciLexer::trUtf8(const char*)
    {53, 449, 0, 0, Smoke::mf_ctor, 58, 62},	//282 QsciLexer::QsciLexer()
    {53, 899, 0, 0, Smoke::mf_const, 213, 63},	//283 QsciLexer::blockEnd() const
    {53, 902, 0, 0, Smoke::mf_const, 213, 64},	//284 QsciLexer::blockStart() const
    {53, 904, 0, 0, Smoke::mf_const, 213, 65},	//285 QsciLexer::blockStartKeyword() const
    {53, 1211, 72, 1, 0, 189, 66},	//286 QsciLexer::readSettings(QSettings&)
    {53, 1600, 72, 1, Smoke::mf_const, 189, 67},	//287 QsciLexer::writeSettings(QSettings&) const
    {53, 1304, 82, 1, Smoke::mf_slot, 0, 68},	//288 QsciLexer::setColor(const QColor&)
    {53, 1335, 16, 1, Smoke::mf_slot, 0, 69},	//289 QsciLexer::setEolFill(bool)
    {53, 1379, 42, 1, Smoke::mf_slot, 0, 70},	//290 QsciLexer::setFont(const QFont&)
    {53, 1462, 82, 1, Smoke::mf_slot, 0, 71},	//291 QsciLexer::setPaper(const QColor&)
    {53, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 72},	//292 QsciLexer::staticMetaObject() const
    {53, 1614, 0, 0, Smoke::mf_dtor, 0, 73 },	//293 QsciLexer::~QsciLexer()
    {54, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//294 QsciLexerBash::metaObject() const
    {54, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//295 QsciLexerBash::qt_metacast(const char*)
    {54, 1565, 44, 2, Smoke::mf_static, 40, 3},	//296 QsciLexerBash::tr(const char*, const char*)
    {54, 1569, 44, 2, Smoke::mf_static, 40, 4},	//297 QsciLexerBash::trUtf8(const char*, const char*)
    {54, 1565, 47, 3, Smoke::mf_static, 40, 5},	//298 QsciLexerBash::tr(const char*, const char*, int)
    {54, 1569, 47, 3, Smoke::mf_static, 40, 6},	//299 QsciLexerBash::trUtf8(const char*, const char*, int)
    {54, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//300 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {54, 451, 76, 1, Smoke::mf_ctor, 59, 8},	//301 QsciLexerBash::QsciLexerBash(QObject*)
    {54, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//302 QsciLexerBash::language() const
    {54, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//303 QsciLexerBash::lexer() const
    {54, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//304 QsciLexerBash::braceStyle() const
    {54, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//305 QsciLexerBash::wordCharacters() const
    {54, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//306 QsciLexerBash::defaultColor(int) const
    {54, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//307 QsciLexerBash::defaultEolFill(int) const
    {54, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//308 QsciLexerBash::defaultFont(int) const
    {54, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//309 QsciLexerBash::defaultPaper(int) const
    {54, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//310 QsciLexerBash::keywords(int) const
    {54, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//311 QsciLexerBash::description(int) const
    {54, 1219, 0, 0, Smoke::mf_virtual, 0, 19},	//312 QsciLexerBash::refreshProperties()
    {54, 1029, 0, 0, Smoke::mf_const, 189, 20},	//313 QsciLexerBash::foldComments() const
    {54, 1030, 0, 0, Smoke::mf_const, 189, 21},	//314 QsciLexerBash::foldCompact() const
    {54, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//315 QsciLexerBash::setFoldComments(bool)
    {54, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//316 QsciLexerBash::setFoldCompact(bool)
    {54, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//317 QsciLexerBash::readProperties(QSettings&, const QString&)
    {54, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 25},	//318 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {54, 1565, 12, 1, Smoke::mf_static, 40, 26},	//319 QsciLexerBash::tr(const char*)
    {54, 1569, 12, 1, Smoke::mf_static, 40, 27},	//320 QsciLexerBash::trUtf8(const char*)
    {54, 451, 0, 0, Smoke::mf_ctor, 59, 28},	//321 QsciLexerBash::QsciLexerBash()
    {54, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//322 QsciLexerBash::staticMetaObject() const
    {54, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//323 QsciLexerBash::Default (enum)
    {54, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//324 QsciLexerBash::Error (enum)
    {54, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//325 QsciLexerBash::Comment (enum)
    {54, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//326 QsciLexerBash::Number (enum)
    {54, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//327 QsciLexerBash::Keyword (enum)
    {54, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//328 QsciLexerBash::DoubleQuotedString (enum)
    {54, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//329 QsciLexerBash::SingleQuotedString (enum)
    {54, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//330 QsciLexerBash::Operator (enum)
    {54, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//331 QsciLexerBash::Identifier (enum)
    {54, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//332 QsciLexerBash::Scalar (enum)
    {54, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//333 QsciLexerBash::ParameterExpansion (enum)
    {54, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//334 QsciLexerBash::Backticks (enum)
    {54, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//335 QsciLexerBash::HereDocumentDelimiter (enum)
    {54, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//336 QsciLexerBash::SingleQuotedHereDocument (enum)
    {54, 1615, 0, 0, Smoke::mf_dtor, 0, 44 },	//337 QsciLexerBash::~QsciLexerBash()
    {55, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//338 QsciLexerBatch::metaObject() const
    {55, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//339 QsciLexerBatch::qt_metacast(const char*)
    {55, 1565, 44, 2, Smoke::mf_static, 40, 3},	//340 QsciLexerBatch::tr(const char*, const char*)
    {55, 1569, 44, 2, Smoke::mf_static, 40, 4},	//341 QsciLexerBatch::trUtf8(const char*, const char*)
    {55, 1565, 47, 3, Smoke::mf_static, 40, 5},	//342 QsciLexerBatch::tr(const char*, const char*, int)
    {55, 1569, 47, 3, Smoke::mf_static, 40, 6},	//343 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {55, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//344 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {55, 453, 76, 1, Smoke::mf_ctor, 60, 8},	//345 QsciLexerBatch::QsciLexerBatch(QObject*)
    {55, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//346 QsciLexerBatch::language() const
    {55, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//347 QsciLexerBatch::lexer() const
    {55, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//348 QsciLexerBatch::wordCharacters() const
    {55, 919, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//349 QsciLexerBatch::caseSensitive() const
    {55, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//350 QsciLexerBatch::defaultColor(int) const
    {55, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//351 QsciLexerBatch::defaultEolFill(int) const
    {55, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//352 QsciLexerBatch::defaultFont(int) const
    {55, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//353 QsciLexerBatch::defaultPaper(int) const
    {55, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//354 QsciLexerBatch::keywords(int) const
    {55, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//355 QsciLexerBatch::description(int) const
    {55, 1565, 12, 1, Smoke::mf_static, 40, 19},	//356 QsciLexerBatch::tr(const char*)
    {55, 1569, 12, 1, Smoke::mf_static, 40, 20},	//357 QsciLexerBatch::trUtf8(const char*)
    {55, 453, 0, 0, Smoke::mf_ctor, 60, 21},	//358 QsciLexerBatch::QsciLexerBatch()
    {55, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 22},	//359 QsciLexerBatch::staticMetaObject() const
    {55, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//360 QsciLexerBatch::Default (enum)
    {55, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//361 QsciLexerBatch::Comment (enum)
    {55, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//362 QsciLexerBatch::Keyword (enum)
    {55, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//363 QsciLexerBatch::Label (enum)
    {55, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//364 QsciLexerBatch::HideCommandChar (enum)
    {55, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//365 QsciLexerBatch::ExternalCommand (enum)
    {55, 824, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//366 QsciLexerBatch::Variable (enum)
    {55, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//367 QsciLexerBatch::Operator (enum)
    {55, 1616, 0, 0, Smoke::mf_dtor, 0, 31 },	//368 QsciLexerBatch::~QsciLexerBatch()
    {56, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//369 QsciLexerCMake::metaObject() const
    {56, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//370 QsciLexerCMake::qt_metacast(const char*)
    {56, 1565, 44, 2, Smoke::mf_static, 40, 3},	//371 QsciLexerCMake::tr(const char*, const char*)
    {56, 1569, 44, 2, Smoke::mf_static, 40, 4},	//372 QsciLexerCMake::trUtf8(const char*, const char*)
    {56, 1565, 47, 3, Smoke::mf_static, 40, 5},	//373 QsciLexerCMake::tr(const char*, const char*, int)
    {56, 1569, 47, 3, Smoke::mf_static, 40, 6},	//374 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {56, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//375 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {56, 455, 76, 1, Smoke::mf_ctor, 61, 8},	//376 QsciLexerCMake::QsciLexerCMake(QObject*)
    {56, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//377 QsciLexerCMake::language() const
    {56, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//378 QsciLexerCMake::lexer() const
    {56, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//379 QsciLexerCMake::defaultColor(int) const
    {56, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//380 QsciLexerCMake::defaultFont(int) const
    {56, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//381 QsciLexerCMake::defaultPaper(int) const
    {56, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//382 QsciLexerCMake::keywords(int) const
    {56, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//383 QsciLexerCMake::description(int) const
    {56, 1219, 0, 0, Smoke::mf_virtual, 0, 16},	//384 QsciLexerCMake::refreshProperties()
    {56, 1027, 0, 0, Smoke::mf_const, 189, 17},	//385 QsciLexerCMake::foldAtElse() const
    {56, 1350, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//386 QsciLexerCMake::setFoldAtElse(bool)
    {56, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 19},	//387 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {56, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//388 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {56, 1565, 12, 1, Smoke::mf_static, 40, 21},	//389 QsciLexerCMake::tr(const char*)
    {56, 1569, 12, 1, Smoke::mf_static, 40, 22},	//390 QsciLexerCMake::trUtf8(const char*)
    {56, 455, 0, 0, Smoke::mf_ctor, 61, 23},	//391 QsciLexerCMake::QsciLexerCMake()
    {56, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 24},	//392 QsciLexerCMake::staticMetaObject() const
    {56, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//393 QsciLexerCMake::Default (enum)
    {56, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//394 QsciLexerCMake::Comment (enum)
    {56, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//395 QsciLexerCMake::String (enum)
    {56, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//396 QsciLexerCMake::StringLeftQuote (enum)
    {56, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//397 QsciLexerCMake::StringRightQuote (enum)
    {56, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//398 QsciLexerCMake::Function (enum)
    {56, 824, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//399 QsciLexerCMake::Variable (enum)
    {56, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//400 QsciLexerCMake::Label (enum)
    {56, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//401 QsciLexerCMake::KeywordSet3 (enum)
    {56, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//402 QsciLexerCMake::BlockWhile (enum)
    {56, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//403 QsciLexerCMake::BlockForeach (enum)
    {56, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//404 QsciLexerCMake::BlockIf (enum)
    {56, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//405 QsciLexerCMake::BlockMacro (enum)
    {56, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//406 QsciLexerCMake::StringVariable (enum)
    {56, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//407 QsciLexerCMake::Number (enum)
    {56, 1617, 0, 0, Smoke::mf_dtor, 0, 40 },	//408 QsciLexerCMake::~QsciLexerCMake()
    {57, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//409 QsciLexerCPP::metaObject() const
    {57, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//410 QsciLexerCPP::qt_metacast(const char*)
    {57, 1565, 44, 2, Smoke::mf_static, 40, 3},	//411 QsciLexerCPP::tr(const char*, const char*)
    {57, 1569, 44, 2, Smoke::mf_static, 40, 4},	//412 QsciLexerCPP::trUtf8(const char*, const char*)
    {57, 1565, 47, 3, Smoke::mf_static, 40, 5},	//413 QsciLexerCPP::tr(const char*, const char*, int)
    {57, 1569, 47, 3, Smoke::mf_static, 40, 6},	//414 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {57, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//415 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {57, 457, 98, 2, Smoke::mf_ctor, 62, 8},	//416 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {57, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//417 QsciLexerCPP::language() const
    {57, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//418 QsciLexerCPP::lexer() const
    {57, 893, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//419 QsciLexerCPP::autoCompletionWordSeparators() const
    {57, 899, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//420 QsciLexerCPP::blockEnd(int*) const
    {57, 902, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//421 QsciLexerCPP::blockStart(int*) const
    {57, 904, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//422 QsciLexerCPP::blockStartKeyword(int*) const
    {57, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//423 QsciLexerCPP::braceStyle() const
    {57, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//424 QsciLexerCPP::wordCharacters() const
    {57, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//425 QsciLexerCPP::defaultColor(int) const
    {57, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 18},	//426 QsciLexerCPP::defaultEolFill(int) const
    {57, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//427 QsciLexerCPP::defaultFont(int) const
    {57, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//428 QsciLexerCPP::defaultPaper(int) const
    {57, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 21},	//429 QsciLexerCPP::keywords(int) const
    {57, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//430 QsciLexerCPP::description(int) const
    {57, 1219, 0, 0, Smoke::mf_virtual, 0, 23},	//431 QsciLexerCPP::refreshProperties()
    {57, 1027, 0, 0, Smoke::mf_const, 189, 24},	//432 QsciLexerCPP::foldAtElse() const
    {57, 1029, 0, 0, Smoke::mf_const, 189, 25},	//433 QsciLexerCPP::foldComments() const
    {57, 1030, 0, 0, Smoke::mf_const, 189, 26},	//434 QsciLexerCPP::foldCompact() const
    {57, 1037, 0, 0, Smoke::mf_const, 189, 27},	//435 QsciLexerCPP::foldPreprocessor() const
    {57, 1549, 0, 0, Smoke::mf_const, 189, 28},	//436 QsciLexerCPP::stylePreprocessor() const
    {57, 1323, 16, 1, 0, 0, 29},	//437 QsciLexerCPP::setDollarsAllowed(bool)
    {57, 972, 0, 0, Smoke::mf_const, 189, 30},	//438 QsciLexerCPP::dollarsAllowed() const
    {57, 1386, 16, 1, 0, 0, 31},	//439 QsciLexerCPP::setHighlightTripleQuotedStrings(bool)
    {57, 1060, 0, 0, Smoke::mf_const, 189, 32},	//440 QsciLexerCPP::highlightTripleQuotedStrings() const
    {57, 1350, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//441 QsciLexerCPP::setFoldAtElse(bool)
    {57, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//442 QsciLexerCPP::setFoldComments(bool)
    {57, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//443 QsciLexerCPP::setFoldCompact(bool)
    {57, 1368, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//444 QsciLexerCPP::setFoldPreprocessor(bool)
    {57, 1487, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 37},	//445 QsciLexerCPP::setStylePreprocessor(bool)
    {57, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 38},	//446 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {57, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 39},	//447 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {57, 1565, 12, 1, Smoke::mf_static, 40, 40},	//448 QsciLexerCPP::tr(const char*)
    {57, 1569, 12, 1, Smoke::mf_static, 40, 41},	//449 QsciLexerCPP::trUtf8(const char*)
    {57, 457, 0, 0, Smoke::mf_ctor, 62, 42},	//450 QsciLexerCPP::QsciLexerCPP()
    {57, 457, 76, 1, Smoke::mf_ctor, 62, 43},	//451 QsciLexerCPP::QsciLexerCPP(QObject*)
    {57, 899, 0, 0, Smoke::mf_const, 213, 44},	//452 QsciLexerCPP::blockEnd() const
    {57, 902, 0, 0, Smoke::mf_const, 213, 45},	//453 QsciLexerCPP::blockStart() const
    {57, 904, 0, 0, Smoke::mf_const, 213, 46},	//454 QsciLexerCPP::blockStartKeyword() const
    {57, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 47},	//455 QsciLexerCPP::staticMetaObject() const
    {57, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//456 QsciLexerCPP::Default (enum)
    {57, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//457 QsciLexerCPP::InactiveDefault (enum)
    {57, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//458 QsciLexerCPP::Comment (enum)
    {57, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//459 QsciLexerCPP::InactiveComment (enum)
    {57, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//460 QsciLexerCPP::CommentLine (enum)
    {57, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//461 QsciLexerCPP::InactiveCommentLine (enum)
    {57, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//462 QsciLexerCPP::CommentDoc (enum)
    {57, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//463 QsciLexerCPP::InactiveCommentDoc (enum)
    {57, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//464 QsciLexerCPP::Number (enum)
    {57, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//465 QsciLexerCPP::InactiveNumber (enum)
    {57, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//466 QsciLexerCPP::Keyword (enum)
    {57, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//467 QsciLexerCPP::InactiveKeyword (enum)
    {57, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//468 QsciLexerCPP::DoubleQuotedString (enum)
    {57, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//469 QsciLexerCPP::InactiveDoubleQuotedString (enum)
    {57, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//470 QsciLexerCPP::SingleQuotedString (enum)
    {57, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//471 QsciLexerCPP::InactiveSingleQuotedString (enum)
    {57, 800, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//472 QsciLexerCPP::UUID (enum)
    {57, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//473 QsciLexerCPP::InactiveUUID (enum)
    {57, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//474 QsciLexerCPP::PreProcessor (enum)
    {57, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//475 QsciLexerCPP::InactivePreProcessor (enum)
    {57, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//476 QsciLexerCPP::Operator (enum)
    {57, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//477 QsciLexerCPP::InactiveOperator (enum)
    {57, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//478 QsciLexerCPP::Identifier (enum)
    {57, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//479 QsciLexerCPP::InactiveIdentifier (enum)
    {57, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//480 QsciLexerCPP::UnclosedString (enum)
    {57, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//481 QsciLexerCPP::InactiveUnclosedString (enum)
    {57, 825, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//482 QsciLexerCPP::VerbatimString (enum)
    {57, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//483 QsciLexerCPP::InactiveVerbatimString (enum)
    {57, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//484 QsciLexerCPP::Regex (enum)
    {57, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//485 QsciLexerCPP::InactiveRegex (enum)
    {57, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//486 QsciLexerCPP::CommentLineDoc (enum)
    {57, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//487 QsciLexerCPP::InactiveCommentLineDoc (enum)
    {57, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//488 QsciLexerCPP::KeywordSet2 (enum)
    {57, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//489 QsciLexerCPP::InactiveKeywordSet2 (enum)
    {57, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 82},	//490 QsciLexerCPP::CommentDocKeyword (enum)
    {57, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//491 QsciLexerCPP::InactiveCommentDocKeyword (enum)
    {57, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//492 QsciLexerCPP::CommentDocKeywordError (enum)
    {57, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//493 QsciLexerCPP::InactiveCommentDocKeywordError (enum)
    {57, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//494 QsciLexerCPP::GlobalClass (enum)
    {57, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//495 QsciLexerCPP::InactiveGlobalClass (enum)
    {57, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//496 QsciLexerCPP::RawString (enum)
    {57, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//497 QsciLexerCPP::InactiveRawString (enum)
    {57, 1618, 0, 0, Smoke::mf_dtor, 0, 90 },	//498 QsciLexerCPP::~QsciLexerCPP()
    {58, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//499 QsciLexerCSS::metaObject() const
    {58, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//500 QsciLexerCSS::qt_metacast(const char*)
    {58, 1565, 44, 2, Smoke::mf_static, 40, 3},	//501 QsciLexerCSS::tr(const char*, const char*)
    {58, 1569, 44, 2, Smoke::mf_static, 40, 4},	//502 QsciLexerCSS::trUtf8(const char*, const char*)
    {58, 1565, 47, 3, Smoke::mf_static, 40, 5},	//503 QsciLexerCSS::tr(const char*, const char*, int)
    {58, 1569, 47, 3, Smoke::mf_static, 40, 6},	//504 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {58, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//505 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {58, 460, 76, 1, Smoke::mf_ctor, 63, 8},	//506 QsciLexerCSS::QsciLexerCSS(QObject*)
    {58, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//507 QsciLexerCSS::language() const
    {58, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//508 QsciLexerCSS::lexer() const
    {58, 899, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//509 QsciLexerCSS::blockEnd(int*) const
    {58, 902, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//510 QsciLexerCSS::blockStart(int*) const
    {58, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//511 QsciLexerCSS::wordCharacters() const
    {58, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//512 QsciLexerCSS::defaultColor(int) const
    {58, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//513 QsciLexerCSS::defaultFont(int) const
    {58, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//514 QsciLexerCSS::keywords(int) const
    {58, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//515 QsciLexerCSS::description(int) const
    {58, 1219, 0, 0, Smoke::mf_virtual, 0, 18},	//516 QsciLexerCSS::refreshProperties()
    {58, 1029, 0, 0, Smoke::mf_const, 189, 19},	//517 QsciLexerCSS::foldComments() const
    {58, 1030, 0, 0, Smoke::mf_const, 189, 20},	//518 QsciLexerCSS::foldCompact() const
    {58, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//519 QsciLexerCSS::setFoldComments(bool)
    {58, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//520 QsciLexerCSS::setFoldCompact(bool)
    {58, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 23},	//521 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {58, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//522 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {58, 1565, 12, 1, Smoke::mf_static, 40, 25},	//523 QsciLexerCSS::tr(const char*)
    {58, 1569, 12, 1, Smoke::mf_static, 40, 26},	//524 QsciLexerCSS::trUtf8(const char*)
    {58, 460, 0, 0, Smoke::mf_ctor, 63, 27},	//525 QsciLexerCSS::QsciLexerCSS()
    {58, 899, 0, 0, Smoke::mf_const, 213, 28},	//526 QsciLexerCSS::blockEnd() const
    {58, 902, 0, 0, Smoke::mf_const, 213, 29},	//527 QsciLexerCSS::blockStart() const
    {58, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 30},	//528 QsciLexerCSS::staticMetaObject() const
    {58, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//529 QsciLexerCSS::Default (enum)
    {58, 784, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//530 QsciLexerCSS::Tag (enum)
    {58, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//531 QsciLexerCSS::ClassSelector (enum)
    {58, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//532 QsciLexerCSS::PseudoClass (enum)
    {58, 806, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//533 QsciLexerCSS::UnknownPseudoClass (enum)
    {58, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//534 QsciLexerCSS::Operator (enum)
    {58, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//535 QsciLexerCSS::CSS1Property (enum)
    {58, 805, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//536 QsciLexerCSS::UnknownProperty (enum)
    {58, 823, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//537 QsciLexerCSS::Value (enum)
    {58, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//538 QsciLexerCSS::Comment (enum)
    {58, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//539 QsciLexerCSS::IDSelector (enum)
    {58, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//540 QsciLexerCSS::Important (enum)
    {58, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//541 QsciLexerCSS::AtRule (enum)
    {58, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//542 QsciLexerCSS::DoubleQuotedString (enum)
    {58, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//543 QsciLexerCSS::SingleQuotedString (enum)
    {58, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//544 QsciLexerCSS::CSS2Property (enum)
    {58, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//545 QsciLexerCSS::Attribute (enum)
    {58, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//546 QsciLexerCSS::CSS3Property (enum)
    {58, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//547 QsciLexerCSS::PseudoElement (enum)
    {58, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//548 QsciLexerCSS::ExtendedCSSProperty (enum)
    {58, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//549 QsciLexerCSS::ExtendedPseudoClass (enum)
    {58, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//550 QsciLexerCSS::ExtendedPseudoElement (enum)
    {58, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//551 QsciLexerCSS::MediaRule (enum)
    {58, 1619, 0, 0, Smoke::mf_dtor, 0, 54 },	//552 QsciLexerCSS::~QsciLexerCSS()
    {59, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//553 QsciLexerCSharp::metaObject() const
    {59, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//554 QsciLexerCSharp::qt_metacast(const char*)
    {59, 1565, 44, 2, Smoke::mf_static, 40, 3},	//555 QsciLexerCSharp::tr(const char*, const char*)
    {59, 1569, 44, 2, Smoke::mf_static, 40, 4},	//556 QsciLexerCSharp::trUtf8(const char*, const char*)
    {59, 1565, 47, 3, Smoke::mf_static, 40, 5},	//557 QsciLexerCSharp::tr(const char*, const char*, int)
    {59, 1569, 47, 3, Smoke::mf_static, 40, 6},	//558 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {59, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//559 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {59, 462, 76, 1, Smoke::mf_ctor, 64, 8},	//560 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {59, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//561 QsciLexerCSharp::language() const
    {59, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//562 QsciLexerCSharp::defaultColor(int) const
    {59, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 11},	//563 QsciLexerCSharp::defaultEolFill(int) const
    {59, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//564 QsciLexerCSharp::defaultFont(int) const
    {59, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//565 QsciLexerCSharp::defaultPaper(int) const
    {59, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//566 QsciLexerCSharp::keywords(int) const
    {59, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//567 QsciLexerCSharp::description(int) const
    {59, 1565, 12, 1, Smoke::mf_static, 40, 16},	//568 QsciLexerCSharp::tr(const char*)
    {59, 1569, 12, 1, Smoke::mf_static, 40, 17},	//569 QsciLexerCSharp::trUtf8(const char*)
    {59, 462, 0, 0, Smoke::mf_ctor, 64, 18},	//570 QsciLexerCSharp::QsciLexerCSharp()
    {59, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//571 QsciLexerCSharp::staticMetaObject() const
    {59, 1620, 0, 0, Smoke::mf_dtor, 0, 20 },	//572 QsciLexerCSharp::~QsciLexerCSharp()
    {60, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//573 QsciLexerCustom::metaObject() const
    {60, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//574 QsciLexerCustom::qt_metacast(const char*)
    {60, 1565, 44, 2, Smoke::mf_static, 40, 3},	//575 QsciLexerCustom::tr(const char*, const char*)
    {60, 1569, 44, 2, Smoke::mf_static, 40, 4},	//576 QsciLexerCustom::trUtf8(const char*, const char*)
    {60, 1565, 47, 3, Smoke::mf_static, 40, 5},	//577 QsciLexerCustom::tr(const char*, const char*, int)
    {60, 1569, 47, 3, Smoke::mf_static, 40, 6},	//578 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {60, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//579 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {60, 464, 76, 1, Smoke::mf_ctor, 65, 8},	//580 QsciLexerCustom::QsciLexerCustom(QObject*)
    {60, 1489, 101, 2, 0, 0, 9},	//581 QsciLexerCustom::setStyling(int, int)
    {60, 1489, 104, 2, 0, 0, 10},	//582 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {60, 1541, 101, 2, 0, 0, 11},	//583 QsciLexerCustom::startStyling(int, int)
    {60, 1550, 101, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//584 QsciLexerCustom::styleText(int, int) [pure virtual]
    {60, 1333, 84, 1, Smoke::mf_virtual, 0, 13},	//585 QsciLexerCustom::setEditor(QsciScintilla*)
    {60, 1547, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//586 QsciLexerCustom::styleBitsNeeded() const
    {60, 1565, 12, 1, Smoke::mf_static, 40, 15},	//587 QsciLexerCustom::tr(const char*)
    {60, 1569, 12, 1, Smoke::mf_static, 40, 16},	//588 QsciLexerCustom::trUtf8(const char*)
    {60, 464, 0, 0, Smoke::mf_ctor, 65, 17},	//589 QsciLexerCustom::QsciLexerCustom()
    {60, 1541, 18, 1, 0, 0, 18},	//590 QsciLexerCustom::startStyling(int)
    {60, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//591 QsciLexerCustom::staticMetaObject() const
    {60, 1621, 0, 0, Smoke::mf_dtor, 0, 20 },	//592 QsciLexerCustom::~QsciLexerCustom()
    {61, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//593 QsciLexerD::metaObject() const
    {61, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//594 QsciLexerD::qt_metacast(const char*)
    {61, 1565, 44, 2, Smoke::mf_static, 40, 3},	//595 QsciLexerD::tr(const char*, const char*)
    {61, 1569, 44, 2, Smoke::mf_static, 40, 4},	//596 QsciLexerD::trUtf8(const char*, const char*)
    {61, 1565, 47, 3, Smoke::mf_static, 40, 5},	//597 QsciLexerD::tr(const char*, const char*, int)
    {61, 1569, 47, 3, Smoke::mf_static, 40, 6},	//598 QsciLexerD::trUtf8(const char*, const char*, int)
    {61, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//599 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {61, 466, 76, 1, Smoke::mf_ctor, 66, 8},	//600 QsciLexerD::QsciLexerD(QObject*)
    {61, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//601 QsciLexerD::language() const
    {61, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//602 QsciLexerD::lexer() const
    {61, 893, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//603 QsciLexerD::autoCompletionWordSeparators() const
    {61, 899, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//604 QsciLexerD::blockEnd(int*) const
    {61, 902, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//605 QsciLexerD::blockStart(int*) const
    {61, 904, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//606 QsciLexerD::blockStartKeyword(int*) const
    {61, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//607 QsciLexerD::braceStyle() const
    {61, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//608 QsciLexerD::wordCharacters() const
    {61, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//609 QsciLexerD::defaultColor(int) const
    {61, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 18},	//610 QsciLexerD::defaultEolFill(int) const
    {61, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//611 QsciLexerD::defaultFont(int) const
    {61, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//612 QsciLexerD::defaultPaper(int) const
    {61, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 21},	//613 QsciLexerD::keywords(int) const
    {61, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//614 QsciLexerD::description(int) const
    {61, 1219, 0, 0, Smoke::mf_virtual, 0, 23},	//615 QsciLexerD::refreshProperties()
    {61, 1027, 0, 0, Smoke::mf_const, 189, 24},	//616 QsciLexerD::foldAtElse() const
    {61, 1029, 0, 0, Smoke::mf_const, 189, 25},	//617 QsciLexerD::foldComments() const
    {61, 1030, 0, 0, Smoke::mf_const, 189, 26},	//618 QsciLexerD::foldCompact() const
    {61, 1350, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//619 QsciLexerD::setFoldAtElse(bool)
    {61, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//620 QsciLexerD::setFoldComments(bool)
    {61, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//621 QsciLexerD::setFoldCompact(bool)
    {61, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 30},	//622 QsciLexerD::readProperties(QSettings&, const QString&)
    {61, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 31},	//623 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {61, 1565, 12, 1, Smoke::mf_static, 40, 32},	//624 QsciLexerD::tr(const char*)
    {61, 1569, 12, 1, Smoke::mf_static, 40, 33},	//625 QsciLexerD::trUtf8(const char*)
    {61, 466, 0, 0, Smoke::mf_ctor, 66, 34},	//626 QsciLexerD::QsciLexerD()
    {61, 899, 0, 0, Smoke::mf_const, 213, 35},	//627 QsciLexerD::blockEnd() const
    {61, 902, 0, 0, Smoke::mf_const, 213, 36},	//628 QsciLexerD::blockStart() const
    {61, 904, 0, 0, Smoke::mf_const, 213, 37},	//629 QsciLexerD::blockStartKeyword() const
    {61, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 38},	//630 QsciLexerD::staticMetaObject() const
    {61, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//631 QsciLexerD::Default (enum)
    {61, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//632 QsciLexerD::Comment (enum)
    {61, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//633 QsciLexerD::CommentLine (enum)
    {61, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//634 QsciLexerD::CommentDoc (enum)
    {61, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//635 QsciLexerD::CommentNested (enum)
    {61, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//636 QsciLexerD::Number (enum)
    {61, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//637 QsciLexerD::Keyword (enum)
    {61, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//638 QsciLexerD::KeywordSecondary (enum)
    {61, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//639 QsciLexerD::KeywordDoc (enum)
    {61, 798, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//640 QsciLexerD::Typedefs (enum)
    {61, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//641 QsciLexerD::String (enum)
    {61, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//642 QsciLexerD::UnclosedString (enum)
    {61, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//643 QsciLexerD::Character (enum)
    {61, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//644 QsciLexerD::Operator (enum)
    {61, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//645 QsciLexerD::Identifier (enum)
    {61, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//646 QsciLexerD::CommentLineDoc (enum)
    {61, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//647 QsciLexerD::CommentDocKeyword (enum)
    {61, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//648 QsciLexerD::CommentDocKeywordError (enum)
    {61, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//649 QsciLexerD::BackquoteString (enum)
    {61, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//650 QsciLexerD::RawString (enum)
    {61, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//651 QsciLexerD::KeywordSet5 (enum)
    {61, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//652 QsciLexerD::KeywordSet6 (enum)
    {61, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//653 QsciLexerD::KeywordSet7 (enum)
    {61, 1622, 0, 0, Smoke::mf_dtor, 0, 62 },	//654 QsciLexerD::~QsciLexerD()
    {62, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//655 QsciLexerDiff::metaObject() const
    {62, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//656 QsciLexerDiff::qt_metacast(const char*)
    {62, 1565, 44, 2, Smoke::mf_static, 40, 3},	//657 QsciLexerDiff::tr(const char*, const char*)
    {62, 1569, 44, 2, Smoke::mf_static, 40, 4},	//658 QsciLexerDiff::trUtf8(const char*, const char*)
    {62, 1565, 47, 3, Smoke::mf_static, 40, 5},	//659 QsciLexerDiff::tr(const char*, const char*, int)
    {62, 1569, 47, 3, Smoke::mf_static, 40, 6},	//660 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {62, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//661 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {62, 468, 76, 1, Smoke::mf_ctor, 67, 8},	//662 QsciLexerDiff::QsciLexerDiff(QObject*)
    {62, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//663 QsciLexerDiff::language() const
    {62, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//664 QsciLexerDiff::lexer() const
    {62, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//665 QsciLexerDiff::wordCharacters() const
    {62, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//666 QsciLexerDiff::defaultColor(int) const
    {62, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 13},	//667 QsciLexerDiff::description(int) const
    {62, 1565, 12, 1, Smoke::mf_static, 40, 14},	//668 QsciLexerDiff::tr(const char*)
    {62, 1569, 12, 1, Smoke::mf_static, 40, 15},	//669 QsciLexerDiff::trUtf8(const char*)
    {62, 468, 0, 0, Smoke::mf_ctor, 67, 16},	//670 QsciLexerDiff::QsciLexerDiff()
    {62, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 17},	//671 QsciLexerDiff::staticMetaObject() const
    {62, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 18},	//672 QsciLexerDiff::Default (enum)
    {62, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 19},	//673 QsciLexerDiff::Comment (enum)
    {62, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 20},	//674 QsciLexerDiff::Command (enum)
    {62, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 21},	//675 QsciLexerDiff::Header (enum)
    {62, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 22},	//676 QsciLexerDiff::Position (enum)
    {62, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//677 QsciLexerDiff::LineRemoved (enum)
    {62, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//678 QsciLexerDiff::LineAdded (enum)
    {62, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//679 QsciLexerDiff::LineChanged (enum)
    {62, 1623, 0, 0, Smoke::mf_dtor, 0, 26 },	//680 QsciLexerDiff::~QsciLexerDiff()
    {63, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//681 QsciLexerFortran::metaObject() const
    {63, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//682 QsciLexerFortran::qt_metacast(const char*)
    {63, 1565, 44, 2, Smoke::mf_static, 40, 3},	//683 QsciLexerFortran::tr(const char*, const char*)
    {63, 1569, 44, 2, Smoke::mf_static, 40, 4},	//684 QsciLexerFortran::trUtf8(const char*, const char*)
    {63, 1565, 47, 3, Smoke::mf_static, 40, 5},	//685 QsciLexerFortran::tr(const char*, const char*, int)
    {63, 1569, 47, 3, Smoke::mf_static, 40, 6},	//686 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {63, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//687 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {63, 470, 76, 1, Smoke::mf_ctor, 68, 8},	//688 QsciLexerFortran::QsciLexerFortran(QObject*)
    {63, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//689 QsciLexerFortran::language() const
    {63, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//690 QsciLexerFortran::lexer() const
    {63, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//691 QsciLexerFortran::keywords(int) const
    {63, 1565, 12, 1, Smoke::mf_static, 40, 12},	//692 QsciLexerFortran::tr(const char*)
    {63, 1569, 12, 1, Smoke::mf_static, 40, 13},	//693 QsciLexerFortran::trUtf8(const char*)
    {63, 470, 0, 0, Smoke::mf_ctor, 68, 14},	//694 QsciLexerFortran::QsciLexerFortran()
    {63, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 15},	//695 QsciLexerFortran::staticMetaObject() const
    {63, 1624, 0, 0, Smoke::mf_dtor, 0, 16 },	//696 QsciLexerFortran::~QsciLexerFortran()
    {64, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//697 QsciLexerFortran77::metaObject() const
    {64, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//698 QsciLexerFortran77::qt_metacast(const char*)
    {64, 1565, 44, 2, Smoke::mf_static, 40, 3},	//699 QsciLexerFortran77::tr(const char*, const char*)
    {64, 1569, 44, 2, Smoke::mf_static, 40, 4},	//700 QsciLexerFortran77::trUtf8(const char*, const char*)
    {64, 1565, 47, 3, Smoke::mf_static, 40, 5},	//701 QsciLexerFortran77::tr(const char*, const char*, int)
    {64, 1569, 47, 3, Smoke::mf_static, 40, 6},	//702 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {64, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//703 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {64, 472, 76, 1, Smoke::mf_ctor, 69, 8},	//704 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {64, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//705 QsciLexerFortran77::language() const
    {64, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//706 QsciLexerFortran77::lexer() const
    {64, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//707 QsciLexerFortran77::braceStyle() const
    {64, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//708 QsciLexerFortran77::defaultColor(int) const
    {64, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//709 QsciLexerFortran77::defaultEolFill(int) const
    {64, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//710 QsciLexerFortran77::defaultFont(int) const
    {64, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//711 QsciLexerFortran77::defaultPaper(int) const
    {64, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//712 QsciLexerFortran77::keywords(int) const
    {64, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//713 QsciLexerFortran77::description(int) const
    {64, 1219, 0, 0, Smoke::mf_virtual, 0, 18},	//714 QsciLexerFortran77::refreshProperties()
    {64, 1030, 0, 0, Smoke::mf_const, 189, 19},	//715 QsciLexerFortran77::foldCompact() const
    {64, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//716 QsciLexerFortran77::setFoldCompact(bool)
    {64, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//717 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {64, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//718 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {64, 1565, 12, 1, Smoke::mf_static, 40, 23},	//719 QsciLexerFortran77::tr(const char*)
    {64, 1569, 12, 1, Smoke::mf_static, 40, 24},	//720 QsciLexerFortran77::trUtf8(const char*)
    {64, 472, 0, 0, Smoke::mf_ctor, 69, 25},	//721 QsciLexerFortran77::QsciLexerFortran77()
    {64, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 26},	//722 QsciLexerFortran77::staticMetaObject() const
    {64, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//723 QsciLexerFortran77::Default (enum)
    {64, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//724 QsciLexerFortran77::Comment (enum)
    {64, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//725 QsciLexerFortran77::Number (enum)
    {64, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//726 QsciLexerFortran77::SingleQuotedString (enum)
    {64, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//727 QsciLexerFortran77::DoubleQuotedString (enum)
    {64, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//728 QsciLexerFortran77::UnclosedString (enum)
    {64, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//729 QsciLexerFortran77::Operator (enum)
    {64, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//730 QsciLexerFortran77::Identifier (enum)
    {64, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//731 QsciLexerFortran77::Keyword (enum)
    {64, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//732 QsciLexerFortran77::IntrinsicFunction (enum)
    {64, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//733 QsciLexerFortran77::ExtendedFunction (enum)
    {64, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//734 QsciLexerFortran77::PreProcessor (enum)
    {64, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//735 QsciLexerFortran77::DottedOperator (enum)
    {64, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//736 QsciLexerFortran77::Label (enum)
    {64, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//737 QsciLexerFortran77::Continuation (enum)
    {64, 1625, 0, 0, Smoke::mf_dtor, 0, 42 },	//738 QsciLexerFortran77::~QsciLexerFortran77()
    {65, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//739 QsciLexerHTML::metaObject() const
    {65, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//740 QsciLexerHTML::qt_metacast(const char*)
    {65, 1565, 44, 2, Smoke::mf_static, 40, 3},	//741 QsciLexerHTML::tr(const char*, const char*)
    {65, 1569, 44, 2, Smoke::mf_static, 40, 4},	//742 QsciLexerHTML::trUtf8(const char*, const char*)
    {65, 1565, 47, 3, Smoke::mf_static, 40, 5},	//743 QsciLexerHTML::tr(const char*, const char*, int)
    {65, 1569, 47, 3, Smoke::mf_static, 40, 6},	//744 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {65, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//745 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {65, 474, 76, 1, Smoke::mf_ctor, 70, 8},	//746 QsciLexerHTML::QsciLexerHTML(QObject*)
    {65, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//747 QsciLexerHTML::language() const
    {65, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//748 QsciLexerHTML::lexer() const
    {65, 884, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//749 QsciLexerHTML::autoCompletionFillups() const
    {65, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//750 QsciLexerHTML::wordCharacters() const
    {65, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//751 QsciLexerHTML::defaultColor(int) const
    {65, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//752 QsciLexerHTML::defaultEolFill(int) const
    {65, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//753 QsciLexerHTML::defaultFont(int) const
    {65, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//754 QsciLexerHTML::defaultPaper(int) const
    {65, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//755 QsciLexerHTML::keywords(int) const
    {65, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//756 QsciLexerHTML::description(int) const
    {65, 1219, 0, 0, Smoke::mf_virtual, 0, 19},	//757 QsciLexerHTML::refreshProperties()
    {65, 920, 0, 0, Smoke::mf_const, 189, 20},	//758 QsciLexerHTML::caseSensitiveTags() const
    {65, 1319, 16, 1, 0, 0, 21},	//759 QsciLexerHTML::setDjangoTemplates(bool)
    {65, 970, 0, 0, Smoke::mf_const, 189, 22},	//760 QsciLexerHTML::djangoTemplates() const
    {65, 1030, 0, 0, Smoke::mf_const, 189, 23},	//761 QsciLexerHTML::foldCompact() const
    {65, 1037, 0, 0, Smoke::mf_const, 189, 24},	//762 QsciLexerHTML::foldPreprocessor() const
    {65, 1372, 16, 1, 0, 0, 25},	//763 QsciLexerHTML::setFoldScriptComments(bool)
    {65, 1039, 0, 0, Smoke::mf_const, 189, 26},	//764 QsciLexerHTML::foldScriptComments() const
    {65, 1374, 16, 1, 0, 0, 27},	//765 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {65, 1040, 0, 0, Smoke::mf_const, 189, 28},	//766 QsciLexerHTML::foldScriptHeredocs() const
    {65, 1423, 16, 1, 0, 0, 29},	//767 QsciLexerHTML::setMakoTemplates(bool)
    {65, 1126, 0, 0, Smoke::mf_const, 189, 30},	//768 QsciLexerHTML::makoTemplates() const
    {65, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//769 QsciLexerHTML::setFoldCompact(bool)
    {65, 1368, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//770 QsciLexerHTML::setFoldPreprocessor(bool)
    {65, 1300, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//771 QsciLexerHTML::setCaseSensitiveTags(bool)
    {65, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 34},	//772 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {65, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 35},	//773 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {65, 1565, 12, 1, Smoke::mf_static, 40, 36},	//774 QsciLexerHTML::tr(const char*)
    {65, 1569, 12, 1, Smoke::mf_static, 40, 37},	//775 QsciLexerHTML::trUtf8(const char*)
    {65, 474, 0, 0, Smoke::mf_ctor, 70, 38},	//776 QsciLexerHTML::QsciLexerHTML()
    {65, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 39},	//777 QsciLexerHTML::staticMetaObject() const
    {65, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//778 QsciLexerHTML::Default (enum)
    {65, 784, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//779 QsciLexerHTML::Tag (enum)
    {65, 807, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//780 QsciLexerHTML::UnknownTag (enum)
    {65, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//781 QsciLexerHTML::Attribute (enum)
    {65, 804, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//782 QsciLexerHTML::UnknownAttribute (enum)
    {65, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//783 QsciLexerHTML::HTMLNumber (enum)
    {65, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//784 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {65, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//785 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {65, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//786 QsciLexerHTML::OtherInTag (enum)
    {65, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//787 QsciLexerHTML::HTMLComment (enum)
    {65, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//788 QsciLexerHTML::Entity (enum)
    {65, 855, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//789 QsciLexerHTML::XMLTagEnd (enum)
    {65, 854, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//790 QsciLexerHTML::XMLStart (enum)
    {65, 853, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//791 QsciLexerHTML::XMLEnd (enum)
    {65, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//792 QsciLexerHTML::Script (enum)
    {65, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//793 QsciLexerHTML::ASPAtStart (enum)
    {65, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//794 QsciLexerHTML::ASPStart (enum)
    {65, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//795 QsciLexerHTML::CDATA (enum)
    {65, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//796 QsciLexerHTML::PHPStart (enum)
    {65, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//797 QsciLexerHTML::HTMLValue (enum)
    {65, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//798 QsciLexerHTML::ASPXCComment (enum)
    {65, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//799 QsciLexerHTML::SGMLDefault (enum)
    {65, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//800 QsciLexerHTML::SGMLCommand (enum)
    {65, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//801 QsciLexerHTML::SGMLParameter (enum)
    {65, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//802 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {65, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//803 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {65, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//804 QsciLexerHTML::SGMLError (enum)
    {65, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//805 QsciLexerHTML::SGMLSpecial (enum)
    {65, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//806 QsciLexerHTML::SGMLEntity (enum)
    {65, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//807 QsciLexerHTML::SGMLComment (enum)
    {65, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//808 QsciLexerHTML::SGMLParameterComment (enum)
    {65, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//809 QsciLexerHTML::SGMLBlockDefault (enum)
    {65, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//810 QsciLexerHTML::JavaScriptStart (enum)
    {65, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//811 QsciLexerHTML::JavaScriptDefault (enum)
    {65, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//812 QsciLexerHTML::JavaScriptComment (enum)
    {65, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//813 QsciLexerHTML::JavaScriptCommentLine (enum)
    {65, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//814 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {65, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//815 QsciLexerHTML::JavaScriptNumber (enum)
    {65, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//816 QsciLexerHTML::JavaScriptWord (enum)
    {65, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//817 QsciLexerHTML::JavaScriptKeyword (enum)
    {65, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//818 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {65, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//819 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {65, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 82},	//820 QsciLexerHTML::JavaScriptSymbol (enum)
    {65, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//821 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {65, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//822 QsciLexerHTML::JavaScriptRegex (enum)
    {65, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//823 QsciLexerHTML::ASPJavaScriptStart (enum)
    {65, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//824 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {65, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//825 QsciLexerHTML::ASPJavaScriptComment (enum)
    {65, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//826 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {65, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//827 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {65, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 90},	//828 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {65, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 91},	//829 QsciLexerHTML::ASPJavaScriptWord (enum)
    {65, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 92},	//830 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {65, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 93},	//831 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {65, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 94},	//832 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {65, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 95},	//833 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {65, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 96},	//834 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {65, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 97},	//835 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {65, 814, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 98},	//836 QsciLexerHTML::VBScriptStart (enum)
    {65, 810, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 99},	//837 QsciLexerHTML::VBScriptDefault (enum)
    {65, 809, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 100},	//838 QsciLexerHTML::VBScriptComment (enum)
    {65, 813, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 101},	//839 QsciLexerHTML::VBScriptNumber (enum)
    {65, 812, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 102},	//840 QsciLexerHTML::VBScriptKeyword (enum)
    {65, 815, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 103},	//841 QsciLexerHTML::VBScriptString (enum)
    {65, 811, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 104},	//842 QsciLexerHTML::VBScriptIdentifier (enum)
    {65, 816, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 105},	//843 QsciLexerHTML::VBScriptUnclosedString (enum)
    {65, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 106},	//844 QsciLexerHTML::ASPVBScriptStart (enum)
    {65, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 107},	//845 QsciLexerHTML::ASPVBScriptDefault (enum)
    {65, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 108},	//846 QsciLexerHTML::ASPVBScriptComment (enum)
    {65, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 109},	//847 QsciLexerHTML::ASPVBScriptNumber (enum)
    {65, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 110},	//848 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {65, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 111},	//849 QsciLexerHTML::ASPVBScriptString (enum)
    {65, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 112},	//850 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {65, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 113},	//851 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {65, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 114},	//852 QsciLexerHTML::PythonStart (enum)
    {65, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 115},	//853 QsciLexerHTML::PythonDefault (enum)
    {65, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 116},	//854 QsciLexerHTML::PythonComment (enum)
    {65, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 117},	//855 QsciLexerHTML::PythonNumber (enum)
    {65, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 118},	//856 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {65, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 119},	//857 QsciLexerHTML::PythonSingleQuotedString (enum)
    {65, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 120},	//858 QsciLexerHTML::PythonKeyword (enum)
    {65, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 121},	//859 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {65, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 122},	//860 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {65, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 123},	//861 QsciLexerHTML::PythonClassName (enum)
    {65, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 124},	//862 QsciLexerHTML::PythonFunctionMethodName (enum)
    {65, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 125},	//863 QsciLexerHTML::PythonOperator (enum)
    {65, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 126},	//864 QsciLexerHTML::PythonIdentifier (enum)
    {65, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 127},	//865 QsciLexerHTML::ASPPythonStart (enum)
    {65, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 128},	//866 QsciLexerHTML::ASPPythonDefault (enum)
    {65, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 129},	//867 QsciLexerHTML::ASPPythonComment (enum)
    {65, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 130},	//868 QsciLexerHTML::ASPPythonNumber (enum)
    {65, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 131},	//869 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {65, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 132},	//870 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {65, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 133},	//871 QsciLexerHTML::ASPPythonKeyword (enum)
    {65, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 134},	//872 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {65, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 135},	//873 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {65, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 136},	//874 QsciLexerHTML::ASPPythonClassName (enum)
    {65, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 137},	//875 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {65, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 138},	//876 QsciLexerHTML::ASPPythonOperator (enum)
    {65, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 139},	//877 QsciLexerHTML::ASPPythonIdentifier (enum)
    {65, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 140},	//878 QsciLexerHTML::PHPDefault (enum)
    {65, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 141},	//879 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {65, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 142},	//880 QsciLexerHTML::PHPSingleQuotedString (enum)
    {65, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 143},	//881 QsciLexerHTML::PHPKeyword (enum)
    {65, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 144},	//882 QsciLexerHTML::PHPNumber (enum)
    {65, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 145},	//883 QsciLexerHTML::PHPVariable (enum)
    {65, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 146},	//884 QsciLexerHTML::PHPComment (enum)
    {65, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 147},	//885 QsciLexerHTML::PHPCommentLine (enum)
    {65, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 148},	//886 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {65, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 149},	//887 QsciLexerHTML::PHPOperator (enum)
    {65, 1626, 0, 0, Smoke::mf_dtor, 0, 150 },	//888 QsciLexerHTML::~QsciLexerHTML()
    {66, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//889 QsciLexerIDL::metaObject() const
    {66, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//890 QsciLexerIDL::qt_metacast(const char*)
    {66, 1565, 44, 2, Smoke::mf_static, 40, 3},	//891 QsciLexerIDL::tr(const char*, const char*)
    {66, 1569, 44, 2, Smoke::mf_static, 40, 4},	//892 QsciLexerIDL::trUtf8(const char*, const char*)
    {66, 1565, 47, 3, Smoke::mf_static, 40, 5},	//893 QsciLexerIDL::tr(const char*, const char*, int)
    {66, 1569, 47, 3, Smoke::mf_static, 40, 6},	//894 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {66, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//895 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {66, 476, 76, 1, Smoke::mf_ctor, 71, 8},	//896 QsciLexerIDL::QsciLexerIDL(QObject*)
    {66, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//897 QsciLexerIDL::language() const
    {66, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//898 QsciLexerIDL::defaultColor(int) const
    {66, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//899 QsciLexerIDL::keywords(int) const
    {66, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 12},	//900 QsciLexerIDL::description(int) const
    {66, 1565, 12, 1, Smoke::mf_static, 40, 13},	//901 QsciLexerIDL::tr(const char*)
    {66, 1569, 12, 1, Smoke::mf_static, 40, 14},	//902 QsciLexerIDL::trUtf8(const char*)
    {66, 476, 0, 0, Smoke::mf_ctor, 71, 15},	//903 QsciLexerIDL::QsciLexerIDL()
    {66, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 16},	//904 QsciLexerIDL::staticMetaObject() const
    {66, 1627, 0, 0, Smoke::mf_dtor, 0, 17 },	//905 QsciLexerIDL::~QsciLexerIDL()
    {67, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//906 QsciLexerJava::metaObject() const
    {67, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//907 QsciLexerJava::qt_metacast(const char*)
    {67, 1565, 44, 2, Smoke::mf_static, 40, 3},	//908 QsciLexerJava::tr(const char*, const char*)
    {67, 1569, 44, 2, Smoke::mf_static, 40, 4},	//909 QsciLexerJava::trUtf8(const char*, const char*)
    {67, 1565, 47, 3, Smoke::mf_static, 40, 5},	//910 QsciLexerJava::tr(const char*, const char*, int)
    {67, 1569, 47, 3, Smoke::mf_static, 40, 6},	//911 QsciLexerJava::trUtf8(const char*, const char*, int)
    {67, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//912 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {67, 478, 76, 1, Smoke::mf_ctor, 72, 8},	//913 QsciLexerJava::QsciLexerJava(QObject*)
    {67, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//914 QsciLexerJava::language() const
    {67, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//915 QsciLexerJava::keywords(int) const
    {67, 1565, 12, 1, Smoke::mf_static, 40, 11},	//916 QsciLexerJava::tr(const char*)
    {67, 1569, 12, 1, Smoke::mf_static, 40, 12},	//917 QsciLexerJava::trUtf8(const char*)
    {67, 478, 0, 0, Smoke::mf_ctor, 72, 13},	//918 QsciLexerJava::QsciLexerJava()
    {67, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 14},	//919 QsciLexerJava::staticMetaObject() const
    {67, 1628, 0, 0, Smoke::mf_dtor, 0, 15 },	//920 QsciLexerJava::~QsciLexerJava()
    {68, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//921 QsciLexerJavaScript::metaObject() const
    {68, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//922 QsciLexerJavaScript::qt_metacast(const char*)
    {68, 1565, 44, 2, Smoke::mf_static, 40, 3},	//923 QsciLexerJavaScript::tr(const char*, const char*)
    {68, 1569, 44, 2, Smoke::mf_static, 40, 4},	//924 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {68, 1565, 47, 3, Smoke::mf_static, 40, 5},	//925 QsciLexerJavaScript::tr(const char*, const char*, int)
    {68, 1569, 47, 3, Smoke::mf_static, 40, 6},	//926 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {68, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//927 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {68, 480, 76, 1, Smoke::mf_ctor, 73, 8},	//928 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {68, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//929 QsciLexerJavaScript::language() const
    {68, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//930 QsciLexerJavaScript::defaultColor(int) const
    {68, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 11},	//931 QsciLexerJavaScript::defaultEolFill(int) const
    {68, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//932 QsciLexerJavaScript::defaultFont(int) const
    {68, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//933 QsciLexerJavaScript::defaultPaper(int) const
    {68, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//934 QsciLexerJavaScript::keywords(int) const
    {68, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//935 QsciLexerJavaScript::description(int) const
    {68, 1565, 12, 1, Smoke::mf_static, 40, 16},	//936 QsciLexerJavaScript::tr(const char*)
    {68, 1569, 12, 1, Smoke::mf_static, 40, 17},	//937 QsciLexerJavaScript::trUtf8(const char*)
    {68, 480, 0, 0, Smoke::mf_ctor, 73, 18},	//938 QsciLexerJavaScript::QsciLexerJavaScript()
    {68, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//939 QsciLexerJavaScript::staticMetaObject() const
    {68, 1629, 0, 0, Smoke::mf_dtor, 0, 20 },	//940 QsciLexerJavaScript::~QsciLexerJavaScript()
    {69, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//941 QsciLexerLua::metaObject() const
    {69, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//942 QsciLexerLua::qt_metacast(const char*)
    {69, 1565, 44, 2, Smoke::mf_static, 40, 3},	//943 QsciLexerLua::tr(const char*, const char*)
    {69, 1569, 44, 2, Smoke::mf_static, 40, 4},	//944 QsciLexerLua::trUtf8(const char*, const char*)
    {69, 1565, 47, 3, Smoke::mf_static, 40, 5},	//945 QsciLexerLua::tr(const char*, const char*, int)
    {69, 1569, 47, 3, Smoke::mf_static, 40, 6},	//946 QsciLexerLua::trUtf8(const char*, const char*, int)
    {69, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//947 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {69, 482, 76, 1, Smoke::mf_ctor, 74, 8},	//948 QsciLexerLua::QsciLexerLua(QObject*)
    {69, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//949 QsciLexerLua::language() const
    {69, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//950 QsciLexerLua::lexer() const
    {69, 893, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//951 QsciLexerLua::autoCompletionWordSeparators() const
    {69, 902, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//952 QsciLexerLua::blockStart(int*) const
    {69, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//953 QsciLexerLua::braceStyle() const
    {69, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//954 QsciLexerLua::defaultColor(int) const
    {69, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 15},	//955 QsciLexerLua::defaultEolFill(int) const
    {69, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//956 QsciLexerLua::defaultFont(int) const
    {69, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//957 QsciLexerLua::defaultPaper(int) const
    {69, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 18},	//958 QsciLexerLua::keywords(int) const
    {69, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 19},	//959 QsciLexerLua::description(int) const
    {69, 1219, 0, 0, Smoke::mf_virtual, 0, 20},	//960 QsciLexerLua::refreshProperties()
    {69, 1030, 0, 0, Smoke::mf_const, 189, 21},	//961 QsciLexerLua::foldCompact() const
    {69, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//962 QsciLexerLua::setFoldCompact(bool)
    {69, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 23},	//963 QsciLexerLua::readProperties(QSettings&, const QString&)
    {69, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//964 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {69, 1565, 12, 1, Smoke::mf_static, 40, 25},	//965 QsciLexerLua::tr(const char*)
    {69, 1569, 12, 1, Smoke::mf_static, 40, 26},	//966 QsciLexerLua::trUtf8(const char*)
    {69, 482, 0, 0, Smoke::mf_ctor, 74, 27},	//967 QsciLexerLua::QsciLexerLua()
    {69, 902, 0, 0, Smoke::mf_const, 213, 28},	//968 QsciLexerLua::blockStart() const
    {69, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//969 QsciLexerLua::staticMetaObject() const
    {69, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//970 QsciLexerLua::Default (enum)
    {69, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//971 QsciLexerLua::Comment (enum)
    {69, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//972 QsciLexerLua::LineComment (enum)
    {69, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//973 QsciLexerLua::Number (enum)
    {69, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//974 QsciLexerLua::Keyword (enum)
    {69, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//975 QsciLexerLua::String (enum)
    {69, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//976 QsciLexerLua::Character (enum)
    {69, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//977 QsciLexerLua::LiteralString (enum)
    {69, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//978 QsciLexerLua::Preprocessor (enum)
    {69, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//979 QsciLexerLua::Operator (enum)
    {69, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//980 QsciLexerLua::Identifier (enum)
    {69, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//981 QsciLexerLua::UnclosedString (enum)
    {69, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//982 QsciLexerLua::BasicFunctions (enum)
    {69, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//983 QsciLexerLua::StringTableMathsFunctions (enum)
    {69, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//984 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {69, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//985 QsciLexerLua::KeywordSet5 (enum)
    {69, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//986 QsciLexerLua::KeywordSet6 (enum)
    {69, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//987 QsciLexerLua::KeywordSet7 (enum)
    {69, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//988 QsciLexerLua::KeywordSet8 (enum)
    {69, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//989 QsciLexerLua::Label (enum)
    {69, 1630, 0, 0, Smoke::mf_dtor, 0, 50 },	//990 QsciLexerLua::~QsciLexerLua()
    {70, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//991 QsciLexerMakefile::metaObject() const
    {70, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//992 QsciLexerMakefile::qt_metacast(const char*)
    {70, 1565, 44, 2, Smoke::mf_static, 40, 3},	//993 QsciLexerMakefile::tr(const char*, const char*)
    {70, 1569, 44, 2, Smoke::mf_static, 40, 4},	//994 QsciLexerMakefile::trUtf8(const char*, const char*)
    {70, 1565, 47, 3, Smoke::mf_static, 40, 5},	//995 QsciLexerMakefile::tr(const char*, const char*, int)
    {70, 1569, 47, 3, Smoke::mf_static, 40, 6},	//996 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {70, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//997 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {70, 484, 76, 1, Smoke::mf_ctor, 75, 8},	//998 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {70, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//999 QsciLexerMakefile::language() const
    {70, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1000 QsciLexerMakefile::lexer() const
    {70, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1001 QsciLexerMakefile::wordCharacters() const
    {70, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1002 QsciLexerMakefile::defaultColor(int) const
    {70, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1003 QsciLexerMakefile::defaultEolFill(int) const
    {70, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1004 QsciLexerMakefile::defaultFont(int) const
    {70, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1005 QsciLexerMakefile::defaultPaper(int) const
    {70, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1006 QsciLexerMakefile::description(int) const
    {70, 1565, 12, 1, Smoke::mf_static, 40, 17},	//1007 QsciLexerMakefile::tr(const char*)
    {70, 1569, 12, 1, Smoke::mf_static, 40, 18},	//1008 QsciLexerMakefile::trUtf8(const char*)
    {70, 484, 0, 0, Smoke::mf_ctor, 75, 19},	//1009 QsciLexerMakefile::QsciLexerMakefile()
    {70, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 20},	//1010 QsciLexerMakefile::staticMetaObject() const
    {70, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 21},	//1011 QsciLexerMakefile::Default (enum)
    {70, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 22},	//1012 QsciLexerMakefile::Comment (enum)
    {70, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//1013 QsciLexerMakefile::Preprocessor (enum)
    {70, 824, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//1014 QsciLexerMakefile::Variable (enum)
    {70, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//1015 QsciLexerMakefile::Operator (enum)
    {70, 785, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//1016 QsciLexerMakefile::Target (enum)
    {70, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1017 QsciLexerMakefile::Error (enum)
    {70, 1631, 0, 0, Smoke::mf_dtor, 0, 28 },	//1018 QsciLexerMakefile::~QsciLexerMakefile()
    {71, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1019 QsciLexerPOV::metaObject() const
    {71, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1020 QsciLexerPOV::qt_metacast(const char*)
    {71, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1021 QsciLexerPOV::tr(const char*, const char*)
    {71, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1022 QsciLexerPOV::trUtf8(const char*, const char*)
    {71, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1023 QsciLexerPOV::tr(const char*, const char*, int)
    {71, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1024 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {71, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1025 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {71, 486, 76, 1, Smoke::mf_ctor, 76, 8},	//1026 QsciLexerPOV::QsciLexerPOV(QObject*)
    {71, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1027 QsciLexerPOV::language() const
    {71, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1028 QsciLexerPOV::lexer() const
    {71, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1029 QsciLexerPOV::braceStyle() const
    {71, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1030 QsciLexerPOV::wordCharacters() const
    {71, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//1031 QsciLexerPOV::defaultColor(int) const
    {71, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//1032 QsciLexerPOV::defaultEolFill(int) const
    {71, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//1033 QsciLexerPOV::defaultFont(int) const
    {71, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1034 QsciLexerPOV::defaultPaper(int) const
    {71, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//1035 QsciLexerPOV::keywords(int) const
    {71, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//1036 QsciLexerPOV::description(int) const
    {71, 1219, 0, 0, Smoke::mf_virtual, 0, 19},	//1037 QsciLexerPOV::refreshProperties()
    {71, 1029, 0, 0, Smoke::mf_const, 189, 20},	//1038 QsciLexerPOV::foldComments() const
    {71, 1030, 0, 0, Smoke::mf_const, 189, 21},	//1039 QsciLexerPOV::foldCompact() const
    {71, 1031, 0, 0, Smoke::mf_const, 189, 22},	//1040 QsciLexerPOV::foldDirectives() const
    {71, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1041 QsciLexerPOV::setFoldComments(bool)
    {71, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1042 QsciLexerPOV::setFoldCompact(bool)
    {71, 1358, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1043 QsciLexerPOV::setFoldDirectives(bool)
    {71, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1044 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {71, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1045 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {71, 1565, 12, 1, Smoke::mf_static, 40, 28},	//1046 QsciLexerPOV::tr(const char*)
    {71, 1569, 12, 1, Smoke::mf_static, 40, 29},	//1047 QsciLexerPOV::trUtf8(const char*)
    {71, 486, 0, 0, Smoke::mf_ctor, 76, 30},	//1048 QsciLexerPOV::QsciLexerPOV()
    {71, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 31},	//1049 QsciLexerPOV::staticMetaObject() const
    {71, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1050 QsciLexerPOV::Default (enum)
    {71, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1051 QsciLexerPOV::Comment (enum)
    {71, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1052 QsciLexerPOV::CommentLine (enum)
    {71, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1053 QsciLexerPOV::Number (enum)
    {71, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1054 QsciLexerPOV::Operator (enum)
    {71, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1055 QsciLexerPOV::Identifier (enum)
    {71, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1056 QsciLexerPOV::String (enum)
    {71, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1057 QsciLexerPOV::UnclosedString (enum)
    {71, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1058 QsciLexerPOV::Directive (enum)
    {71, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1059 QsciLexerPOV::BadDirective (enum)
    {71, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1060 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {71, 799, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1061 QsciLexerPOV::TypesModifiersItems (enum)
    {71, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1062 QsciLexerPOV::PredefinedIdentifiers (enum)
    {71, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1063 QsciLexerPOV::PredefinedFunctions (enum)
    {71, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1064 QsciLexerPOV::KeywordSet6 (enum)
    {71, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1065 QsciLexerPOV::KeywordSet7 (enum)
    {71, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1066 QsciLexerPOV::KeywordSet8 (enum)
    {71, 1632, 0, 0, Smoke::mf_dtor, 0, 49 },	//1067 QsciLexerPOV::~QsciLexerPOV()
    {72, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1068 QsciLexerPascal::metaObject() const
    {72, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1069 QsciLexerPascal::qt_metacast(const char*)
    {72, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1070 QsciLexerPascal::tr(const char*, const char*)
    {72, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1071 QsciLexerPascal::trUtf8(const char*, const char*)
    {72, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1072 QsciLexerPascal::tr(const char*, const char*, int)
    {72, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1073 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {72, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1074 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {72, 488, 76, 1, Smoke::mf_ctor, 77, 8},	//1075 QsciLexerPascal::QsciLexerPascal(QObject*)
    {72, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1076 QsciLexerPascal::language() const
    {72, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1077 QsciLexerPascal::lexer() const
    {72, 893, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1078 QsciLexerPascal::autoCompletionWordSeparators() const
    {72, 899, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1079 QsciLexerPascal::blockEnd(int*) const
    {72, 902, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1080 QsciLexerPascal::blockStart(int*) const
    {72, 904, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//1081 QsciLexerPascal::blockStartKeyword(int*) const
    {72, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1082 QsciLexerPascal::braceStyle() const
    {72, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1083 QsciLexerPascal::defaultColor(int) const
    {72, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 17},	//1084 QsciLexerPascal::defaultEolFill(int) const
    {72, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1085 QsciLexerPascal::defaultFont(int) const
    {72, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1086 QsciLexerPascal::defaultPaper(int) const
    {72, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 20},	//1087 QsciLexerPascal::keywords(int) const
    {72, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1088 QsciLexerPascal::description(int) const
    {72, 1219, 0, 0, Smoke::mf_virtual, 0, 22},	//1089 QsciLexerPascal::refreshProperties()
    {72, 1029, 0, 0, Smoke::mf_const, 189, 23},	//1090 QsciLexerPascal::foldComments() const
    {72, 1030, 0, 0, Smoke::mf_const, 189, 24},	//1091 QsciLexerPascal::foldCompact() const
    {72, 1037, 0, 0, Smoke::mf_const, 189, 25},	//1092 QsciLexerPascal::foldPreprocessor() const
    {72, 1483, 16, 1, 0, 0, 26},	//1093 QsciLexerPascal::setSmartHighlighting(bool)
    {72, 1538, 0, 0, Smoke::mf_const, 189, 27},	//1094 QsciLexerPascal::smartHighlighting() const
    {72, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1095 QsciLexerPascal::setFoldComments(bool)
    {72, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1096 QsciLexerPascal::setFoldCompact(bool)
    {72, 1368, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//1097 QsciLexerPascal::setFoldPreprocessor(bool)
    {72, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 31},	//1098 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {72, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 32},	//1099 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {72, 1565, 12, 1, Smoke::mf_static, 40, 33},	//1100 QsciLexerPascal::tr(const char*)
    {72, 1569, 12, 1, Smoke::mf_static, 40, 34},	//1101 QsciLexerPascal::trUtf8(const char*)
    {72, 488, 0, 0, Smoke::mf_ctor, 77, 35},	//1102 QsciLexerPascal::QsciLexerPascal()
    {72, 899, 0, 0, Smoke::mf_const, 213, 36},	//1103 QsciLexerPascal::blockEnd() const
    {72, 902, 0, 0, Smoke::mf_const, 213, 37},	//1104 QsciLexerPascal::blockStart() const
    {72, 904, 0, 0, Smoke::mf_const, 213, 38},	//1105 QsciLexerPascal::blockStartKeyword() const
    {72, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 39},	//1106 QsciLexerPascal::staticMetaObject() const
    {72, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1107 QsciLexerPascal::Default (enum)
    {72, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1108 QsciLexerPascal::Identifier (enum)
    {72, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1109 QsciLexerPascal::Comment (enum)
    {72, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1110 QsciLexerPascal::CommentParenthesis (enum)
    {72, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1111 QsciLexerPascal::CommentLine (enum)
    {72, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1112 QsciLexerPascal::PreProcessor (enum)
    {72, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1113 QsciLexerPascal::PreProcessorParenthesis (enum)
    {72, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1114 QsciLexerPascal::Number (enum)
    {72, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1115 QsciLexerPascal::HexNumber (enum)
    {72, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1116 QsciLexerPascal::Keyword (enum)
    {72, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1117 QsciLexerPascal::SingleQuotedString (enum)
    {72, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1118 QsciLexerPascal::UnclosedString (enum)
    {72, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1119 QsciLexerPascal::Character (enum)
    {72, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1120 QsciLexerPascal::Operator (enum)
    {72, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1121 QsciLexerPascal::Asm (enum)
    {72, 1633, 0, 0, Smoke::mf_dtor, 0, 55 },	//1122 QsciLexerPascal::~QsciLexerPascal()
    {73, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1123 QsciLexerPerl::metaObject() const
    {73, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1124 QsciLexerPerl::qt_metacast(const char*)
    {73, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1125 QsciLexerPerl::tr(const char*, const char*)
    {73, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1126 QsciLexerPerl::trUtf8(const char*, const char*)
    {73, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1127 QsciLexerPerl::tr(const char*, const char*, int)
    {73, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1128 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {73, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1129 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {73, 490, 76, 1, Smoke::mf_ctor, 78, 8},	//1130 QsciLexerPerl::QsciLexerPerl(QObject*)
    {73, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1131 QsciLexerPerl::language() const
    {73, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1132 QsciLexerPerl::lexer() const
    {73, 893, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1133 QsciLexerPerl::autoCompletionWordSeparators() const
    {73, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1134 QsciLexerPerl::braceStyle() const
    {73, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1135 QsciLexerPerl::wordCharacters() const
    {73, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1136 QsciLexerPerl::defaultColor(int) const
    {73, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 15},	//1137 QsciLexerPerl::defaultEolFill(int) const
    {73, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//1138 QsciLexerPerl::defaultFont(int) const
    {73, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//1139 QsciLexerPerl::defaultPaper(int) const
    {73, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 18},	//1140 QsciLexerPerl::keywords(int) const
    {73, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 19},	//1141 QsciLexerPerl::description(int) const
    {73, 1219, 0, 0, Smoke::mf_virtual, 0, 20},	//1142 QsciLexerPerl::refreshProperties()
    {73, 1350, 16, 1, 0, 0, 21},	//1143 QsciLexerPerl::setFoldAtElse(bool)
    {73, 1027, 0, 0, Smoke::mf_const, 189, 22},	//1144 QsciLexerPerl::foldAtElse() const
    {73, 1029, 0, 0, Smoke::mf_const, 189, 23},	//1145 QsciLexerPerl::foldComments() const
    {73, 1030, 0, 0, Smoke::mf_const, 189, 24},	//1146 QsciLexerPerl::foldCompact() const
    {73, 1366, 16, 1, 0, 0, 25},	//1147 QsciLexerPerl::setFoldPackages(bool)
    {73, 1036, 0, 0, Smoke::mf_const, 189, 26},	//1148 QsciLexerPerl::foldPackages() const
    {73, 1364, 16, 1, 0, 0, 27},	//1149 QsciLexerPerl::setFoldPODBlocks(bool)
    {73, 1035, 0, 0, Smoke::mf_const, 189, 28},	//1150 QsciLexerPerl::foldPODBlocks() const
    {73, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1151 QsciLexerPerl::setFoldComments(bool)
    {73, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//1152 QsciLexerPerl::setFoldCompact(bool)
    {73, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 31},	//1153 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {73, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 32},	//1154 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {73, 1565, 12, 1, Smoke::mf_static, 40, 33},	//1155 QsciLexerPerl::tr(const char*)
    {73, 1569, 12, 1, Smoke::mf_static, 40, 34},	//1156 QsciLexerPerl::trUtf8(const char*)
    {73, 490, 0, 0, Smoke::mf_ctor, 78, 35},	//1157 QsciLexerPerl::QsciLexerPerl()
    {73, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 36},	//1158 QsciLexerPerl::staticMetaObject() const
    {73, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1159 QsciLexerPerl::Default (enum)
    {73, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1160 QsciLexerPerl::Error (enum)
    {73, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1161 QsciLexerPerl::Comment (enum)
    {73, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1162 QsciLexerPerl::POD (enum)
    {73, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1163 QsciLexerPerl::Number (enum)
    {73, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1164 QsciLexerPerl::Keyword (enum)
    {73, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1165 QsciLexerPerl::DoubleQuotedString (enum)
    {73, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1166 QsciLexerPerl::SingleQuotedString (enum)
    {73, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1167 QsciLexerPerl::Operator (enum)
    {73, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1168 QsciLexerPerl::Identifier (enum)
    {73, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1169 QsciLexerPerl::Scalar (enum)
    {73, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1170 QsciLexerPerl::Array (enum)
    {73, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1171 QsciLexerPerl::Hash (enum)
    {73, 776, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1172 QsciLexerPerl::SymbolTable (enum)
    {73, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1173 QsciLexerPerl::Regex (enum)
    {73, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1174 QsciLexerPerl::Substitution (enum)
    {73, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1175 QsciLexerPerl::Backticks (enum)
    {73, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1176 QsciLexerPerl::DataSection (enum)
    {73, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1177 QsciLexerPerl::HereDocumentDelimiter (enum)
    {73, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1178 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {73, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1179 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {73, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1180 QsciLexerPerl::BacktickHereDocument (enum)
    {73, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1181 QsciLexerPerl::QuotedStringQ (enum)
    {73, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1182 QsciLexerPerl::QuotedStringQQ (enum)
    {73, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1183 QsciLexerPerl::QuotedStringQX (enum)
    {73, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1184 QsciLexerPerl::QuotedStringQR (enum)
    {73, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1185 QsciLexerPerl::QuotedStringQW (enum)
    {73, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//1186 QsciLexerPerl::PODVerbatim (enum)
    {73, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//1187 QsciLexerPerl::SubroutinePrototype (enum)
    {73, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//1188 QsciLexerPerl::FormatIdentifier (enum)
    {73, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//1189 QsciLexerPerl::FormatBody (enum)
    {73, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//1190 QsciLexerPerl::DoubleQuotedStringVar (enum)
    {73, 795, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//1191 QsciLexerPerl::Translation (enum)
    {73, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//1192 QsciLexerPerl::RegexVar (enum)
    {73, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//1193 QsciLexerPerl::SubstitutionVar (enum)
    {73, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//1194 QsciLexerPerl::BackticksVar (enum)
    {73, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//1195 QsciLexerPerl::DoubleQuotedHereDocumentVar (enum)
    {73, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//1196 QsciLexerPerl::BacktickHereDocumentVar (enum)
    {73, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//1197 QsciLexerPerl::QuotedStringQQVar (enum)
    {73, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//1198 QsciLexerPerl::QuotedStringQXVar (enum)
    {73, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//1199 QsciLexerPerl::QuotedStringQRVar (enum)
    {73, 1634, 0, 0, Smoke::mf_dtor, 0, 78 },	//1200 QsciLexerPerl::~QsciLexerPerl()
    {74, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1201 QsciLexerPostScript::metaObject() const
    {74, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1202 QsciLexerPostScript::qt_metacast(const char*)
    {74, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1203 QsciLexerPostScript::tr(const char*, const char*)
    {74, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1204 QsciLexerPostScript::trUtf8(const char*, const char*)
    {74, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1205 QsciLexerPostScript::tr(const char*, const char*, int)
    {74, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1206 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {74, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1207 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {74, 492, 76, 1, Smoke::mf_ctor, 79, 8},	//1208 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {74, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1209 QsciLexerPostScript::language() const
    {74, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1210 QsciLexerPostScript::lexer() const
    {74, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1211 QsciLexerPostScript::braceStyle() const
    {74, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1212 QsciLexerPostScript::defaultColor(int) const
    {74, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1213 QsciLexerPostScript::defaultFont(int) const
    {74, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1214 QsciLexerPostScript::defaultPaper(int) const
    {74, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1215 QsciLexerPostScript::keywords(int) const
    {74, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1216 QsciLexerPostScript::description(int) const
    {74, 1219, 0, 0, Smoke::mf_virtual, 0, 17},	//1217 QsciLexerPostScript::refreshProperties()
    {74, 1564, 0, 0, Smoke::mf_const, 189, 18},	//1218 QsciLexerPostScript::tokenize() const
    {74, 1110, 0, 0, Smoke::mf_const, 215, 19},	//1219 QsciLexerPostScript::level() const
    {74, 1030, 0, 0, Smoke::mf_const, 189, 20},	//1220 QsciLexerPostScript::foldCompact() const
    {74, 1027, 0, 0, Smoke::mf_const, 189, 21},	//1221 QsciLexerPostScript::foldAtElse() const
    {74, 1500, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1222 QsciLexerPostScript::setTokenize(bool)
    {74, 1417, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1223 QsciLexerPostScript::setLevel(int)
    {74, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1224 QsciLexerPostScript::setFoldCompact(bool)
    {74, 1350, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1225 QsciLexerPostScript::setFoldAtElse(bool)
    {74, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1226 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {74, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1227 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {74, 1565, 12, 1, Smoke::mf_static, 40, 28},	//1228 QsciLexerPostScript::tr(const char*)
    {74, 1569, 12, 1, Smoke::mf_static, 40, 29},	//1229 QsciLexerPostScript::trUtf8(const char*)
    {74, 492, 0, 0, Smoke::mf_ctor, 79, 30},	//1230 QsciLexerPostScript::QsciLexerPostScript()
    {74, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 31},	//1231 QsciLexerPostScript::staticMetaObject() const
    {74, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1232 QsciLexerPostScript::Default (enum)
    {74, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1233 QsciLexerPostScript::Comment (enum)
    {74, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1234 QsciLexerPostScript::DSCComment (enum)
    {74, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1235 QsciLexerPostScript::DSCCommentValue (enum)
    {74, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1236 QsciLexerPostScript::Number (enum)
    {74, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1237 QsciLexerPostScript::Name (enum)
    {74, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1238 QsciLexerPostScript::Keyword (enum)
    {74, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1239 QsciLexerPostScript::Literal (enum)
    {74, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1240 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {74, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1241 QsciLexerPostScript::ArrayParenthesis (enum)
    {74, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1242 QsciLexerPostScript::DictionaryParenthesis (enum)
    {74, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1243 QsciLexerPostScript::ProcedureParenthesis (enum)
    {74, 786, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1244 QsciLexerPostScript::Text (enum)
    {74, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1245 QsciLexerPostScript::HexString (enum)
    {74, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1246 QsciLexerPostScript::Base85String (enum)
    {74, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1247 QsciLexerPostScript::BadStringCharacter (enum)
    {74, 1635, 0, 0, Smoke::mf_dtor, 0, 48 },	//1248 QsciLexerPostScript::~QsciLexerPostScript()
    {75, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1249 QsciLexerProperties::metaObject() const
    {75, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1250 QsciLexerProperties::qt_metacast(const char*)
    {75, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1251 QsciLexerProperties::tr(const char*, const char*)
    {75, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1252 QsciLexerProperties::trUtf8(const char*, const char*)
    {75, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1253 QsciLexerProperties::tr(const char*, const char*, int)
    {75, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1254 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {75, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1255 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {75, 494, 76, 1, Smoke::mf_ctor, 80, 8},	//1256 QsciLexerProperties::QsciLexerProperties(QObject*)
    {75, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1257 QsciLexerProperties::language() const
    {75, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1258 QsciLexerProperties::lexer() const
    {75, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1259 QsciLexerProperties::wordCharacters() const
    {75, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1260 QsciLexerProperties::defaultColor(int) const
    {75, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1261 QsciLexerProperties::defaultEolFill(int) const
    {75, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1262 QsciLexerProperties::defaultFont(int) const
    {75, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1263 QsciLexerProperties::defaultPaper(int) const
    {75, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1264 QsciLexerProperties::description(int) const
    {75, 1219, 0, 0, Smoke::mf_virtual, 0, 17},	//1265 QsciLexerProperties::refreshProperties()
    {75, 1030, 0, 0, Smoke::mf_const, 189, 18},	//1266 QsciLexerProperties::foldCompact() const
    {75, 1413, 16, 1, 0, 0, 19},	//1267 QsciLexerProperties::setInitialSpaces(bool)
    {75, 1080, 0, 0, Smoke::mf_const, 189, 20},	//1268 QsciLexerProperties::initialSpaces() const
    {75, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1269 QsciLexerProperties::setFoldCompact(bool)
    {75, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//1270 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {75, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 23},	//1271 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {75, 1565, 12, 1, Smoke::mf_static, 40, 24},	//1272 QsciLexerProperties::tr(const char*)
    {75, 1569, 12, 1, Smoke::mf_static, 40, 25},	//1273 QsciLexerProperties::trUtf8(const char*)
    {75, 494, 0, 0, Smoke::mf_ctor, 80, 26},	//1274 QsciLexerProperties::QsciLexerProperties()
    {75, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 27},	//1275 QsciLexerProperties::staticMetaObject() const
    {75, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1276 QsciLexerProperties::Default (enum)
    {75, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1277 QsciLexerProperties::Comment (enum)
    {75, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1278 QsciLexerProperties::Section (enum)
    {75, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1279 QsciLexerProperties::Assignment (enum)
    {75, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1280 QsciLexerProperties::DefaultValue (enum)
    {75, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1281 QsciLexerProperties::Key (enum)
    {75, 1636, 0, 0, Smoke::mf_dtor, 0, 34 },	//1282 QsciLexerProperties::~QsciLexerProperties()
    {76, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1283 QsciLexerPython::metaObject() const
    {76, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1284 QsciLexerPython::qt_metacast(const char*)
    {76, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1285 QsciLexerPython::tr(const char*, const char*)
    {76, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1286 QsciLexerPython::trUtf8(const char*, const char*)
    {76, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1287 QsciLexerPython::tr(const char*, const char*, int)
    {76, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1288 QsciLexerPython::trUtf8(const char*, const char*, int)
    {76, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1289 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {76, 496, 76, 1, Smoke::mf_ctor, 81, 8},	//1290 QsciLexerPython::QsciLexerPython(QObject*)
    {76, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1291 QsciLexerPython::language() const
    {76, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1292 QsciLexerPython::lexer() const
    {76, 893, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1293 QsciLexerPython::autoCompletionWordSeparators() const
    {76, 901, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1294 QsciLexerPython::blockLookback() const
    {76, 902, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1295 QsciLexerPython::blockStart(int*) const
    {76, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1296 QsciLexerPython::braceStyle() const
    {76, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1297 QsciLexerPython::defaultColor(int) const
    {76, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 16},	//1298 QsciLexerPython::defaultEolFill(int) const
    {76, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1299 QsciLexerPython::defaultFont(int) const
    {76, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1300 QsciLexerPython::defaultPaper(int) const
    {76, 1066, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 19},	//1301 QsciLexerPython::indentationGuideView() const
    {76, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 20},	//1302 QsciLexerPython::keywords(int) const
    {76, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1303 QsciLexerPython::description(int) const
    {76, 1219, 0, 0, Smoke::mf_virtual, 0, 22},	//1304 QsciLexerPython::refreshProperties()
    {76, 1029, 0, 0, Smoke::mf_const, 189, 23},	//1305 QsciLexerPython::foldComments() const
    {76, 1356, 16, 1, 0, 0, 24},	//1306 QsciLexerPython::setFoldCompact(bool)
    {76, 1030, 0, 0, Smoke::mf_const, 189, 25},	//1307 QsciLexerPython::foldCompact() const
    {76, 1038, 0, 0, Smoke::mf_const, 189, 26},	//1308 QsciLexerPython::foldQuotes() const
    {76, 1068, 0, 0, Smoke::mf_const, 82, 27},	//1309 QsciLexerPython::indentationWarning() const
    {76, 1384, 16, 1, 0, 0, 28},	//1310 QsciLexerPython::setHighlightSubidentifiers(bool)
    {76, 1059, 0, 0, Smoke::mf_const, 189, 29},	//1311 QsciLexerPython::highlightSubidentifiers() const
    {76, 1485, 16, 1, 0, 0, 30},	//1312 QsciLexerPython::setStringsOverNewlineAllowed(bool)
    {76, 1545, 0, 0, Smoke::mf_const, 189, 31},	//1313 QsciLexerPython::stringsOverNewlineAllowed() const
    {76, 1510, 16, 1, 0, 0, 32},	//1314 QsciLexerPython::setV2UnicodeAllowed(bool)
    {76, 1580, 0, 0, Smoke::mf_const, 189, 33},	//1315 QsciLexerPython::v2UnicodeAllowed() const
    {76, 1512, 16, 1, 0, 0, 34},	//1316 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {76, 1581, 0, 0, Smoke::mf_const, 189, 35},	//1317 QsciLexerPython::v3BinaryOctalAllowed() const
    {76, 1514, 16, 1, 0, 0, 36},	//1318 QsciLexerPython::setV3BytesAllowed(bool)
    {76, 1582, 0, 0, Smoke::mf_const, 189, 37},	//1319 QsciLexerPython::v3BytesAllowed() const
    {76, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//1320 QsciLexerPython::setFoldComments(bool)
    {76, 1370, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//1321 QsciLexerPython::setFoldQuotes(bool)
    {76, 1398, 107, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 40},	//1322 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {76, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 41},	//1323 QsciLexerPython::readProperties(QSettings&, const QString&)
    {76, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 42},	//1324 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {76, 1565, 12, 1, Smoke::mf_static, 40, 43},	//1325 QsciLexerPython::tr(const char*)
    {76, 1569, 12, 1, Smoke::mf_static, 40, 44},	//1326 QsciLexerPython::trUtf8(const char*)
    {76, 496, 0, 0, Smoke::mf_ctor, 81, 45},	//1327 QsciLexerPython::QsciLexerPython()
    {76, 902, 0, 0, Smoke::mf_const, 213, 46},	//1328 QsciLexerPython::blockStart() const
    {76, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 47},	//1329 QsciLexerPython::staticMetaObject() const
    {76, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1330 QsciLexerPython::Default (enum)
    {76, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1331 QsciLexerPython::Comment (enum)
    {76, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1332 QsciLexerPython::Number (enum)
    {76, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1333 QsciLexerPython::DoubleQuotedString (enum)
    {76, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1334 QsciLexerPython::SingleQuotedString (enum)
    {76, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1335 QsciLexerPython::Keyword (enum)
    {76, 797, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1336 QsciLexerPython::TripleSingleQuotedString (enum)
    {76, 796, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1337 QsciLexerPython::TripleDoubleQuotedString (enum)
    {76, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1338 QsciLexerPython::ClassName (enum)
    {76, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1339 QsciLexerPython::FunctionMethodName (enum)
    {76, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1340 QsciLexerPython::Operator (enum)
    {76, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1341 QsciLexerPython::Identifier (enum)
    {76, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1342 QsciLexerPython::CommentBlock (enum)
    {76, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1343 QsciLexerPython::UnclosedString (enum)
    {76, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1344 QsciLexerPython::HighlightedIdentifier (enum)
    {76, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1345 QsciLexerPython::Decorator (enum)
    {76, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 64},	//1346 QsciLexerPython::NoWarning (enum)
    {76, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 65},	//1347 QsciLexerPython::Inconsistent (enum)
    {76, 783, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 66},	//1348 QsciLexerPython::TabsAfterSpaces (enum)
    {76, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 67},	//1349 QsciLexerPython::Spaces (enum)
    {76, 782, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 68},	//1350 QsciLexerPython::Tabs (enum)
    {76, 1637, 0, 0, Smoke::mf_dtor, 0, 69 },	//1351 QsciLexerPython::~QsciLexerPython()
    {77, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1352 QsciLexerRuby::metaObject() const
    {77, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1353 QsciLexerRuby::qt_metacast(const char*)
    {77, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1354 QsciLexerRuby::tr(const char*, const char*)
    {77, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1355 QsciLexerRuby::trUtf8(const char*, const char*)
    {77, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1356 QsciLexerRuby::tr(const char*, const char*, int)
    {77, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1357 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {77, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1358 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {77, 498, 76, 1, Smoke::mf_ctor, 83, 8},	//1359 QsciLexerRuby::QsciLexerRuby(QObject*)
    {77, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1360 QsciLexerRuby::language() const
    {77, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1361 QsciLexerRuby::lexer() const
    {77, 899, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1362 QsciLexerRuby::blockEnd(int*) const
    {77, 902, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1363 QsciLexerRuby::blockStart(int*) const
    {77, 904, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1364 QsciLexerRuby::blockStartKeyword(int*) const
    {77, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1365 QsciLexerRuby::braceStyle() const
    {77, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1366 QsciLexerRuby::defaultColor(int) const
    {77, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 16},	//1367 QsciLexerRuby::defaultEolFill(int) const
    {77, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1368 QsciLexerRuby::defaultFont(int) const
    {77, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1369 QsciLexerRuby::defaultPaper(int) const
    {77, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 19},	//1370 QsciLexerRuby::keywords(int) const
    {77, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 20},	//1371 QsciLexerRuby::description(int) const
    {77, 1219, 0, 0, Smoke::mf_virtual, 0, 21},	//1372 QsciLexerRuby::refreshProperties()
    {77, 1354, 16, 1, 0, 0, 22},	//1373 QsciLexerRuby::setFoldComments(bool)
    {77, 1029, 0, 0, Smoke::mf_const, 189, 23},	//1374 QsciLexerRuby::foldComments() const
    {77, 1356, 16, 1, 0, 0, 24},	//1375 QsciLexerRuby::setFoldCompact(bool)
    {77, 1030, 0, 0, Smoke::mf_const, 189, 25},	//1376 QsciLexerRuby::foldCompact() const
    {77, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1377 QsciLexerRuby::readProperties(QSettings&, const QString&)
    {77, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1378 QsciLexerRuby::writeProperties(QSettings&, const QString&) const
    {77, 1565, 12, 1, Smoke::mf_static, 40, 28},	//1379 QsciLexerRuby::tr(const char*)
    {77, 1569, 12, 1, Smoke::mf_static, 40, 29},	//1380 QsciLexerRuby::trUtf8(const char*)
    {77, 498, 0, 0, Smoke::mf_ctor, 83, 30},	//1381 QsciLexerRuby::QsciLexerRuby()
    {77, 899, 0, 0, Smoke::mf_const, 213, 31},	//1382 QsciLexerRuby::blockEnd() const
    {77, 902, 0, 0, Smoke::mf_const, 213, 32},	//1383 QsciLexerRuby::blockStart() const
    {77, 904, 0, 0, Smoke::mf_const, 213, 33},	//1384 QsciLexerRuby::blockStartKeyword() const
    {77, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 34},	//1385 QsciLexerRuby::staticMetaObject() const
    {77, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1386 QsciLexerRuby::Default (enum)
    {77, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1387 QsciLexerRuby::Error (enum)
    {77, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1388 QsciLexerRuby::Comment (enum)
    {77, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1389 QsciLexerRuby::POD (enum)
    {77, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1390 QsciLexerRuby::Number (enum)
    {77, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1391 QsciLexerRuby::Keyword (enum)
    {77, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1392 QsciLexerRuby::DoubleQuotedString (enum)
    {77, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1393 QsciLexerRuby::SingleQuotedString (enum)
    {77, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1394 QsciLexerRuby::ClassName (enum)
    {77, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1395 QsciLexerRuby::FunctionMethodName (enum)
    {77, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1396 QsciLexerRuby::Operator (enum)
    {77, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1397 QsciLexerRuby::Identifier (enum)
    {77, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1398 QsciLexerRuby::Regex (enum)
    {77, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1399 QsciLexerRuby::Global (enum)
    {77, 772, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1400 QsciLexerRuby::Symbol (enum)
    {77, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1401 QsciLexerRuby::ModuleName (enum)
    {77, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1402 QsciLexerRuby::InstanceVariable (enum)
    {77, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1403 QsciLexerRuby::ClassVariable (enum)
    {77, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1404 QsciLexerRuby::Backticks (enum)
    {77, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1405 QsciLexerRuby::DataSection (enum)
    {77, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1406 QsciLexerRuby::HereDocumentDelimiter (enum)
    {77, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1407 QsciLexerRuby::HereDocument (enum)
    {77, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1408 QsciLexerRuby::PercentStringq (enum)
    {77, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1409 QsciLexerRuby::PercentStringQ (enum)
    {77, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1410 QsciLexerRuby::PercentStringx (enum)
    {77, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1411 QsciLexerRuby::PercentStringr (enum)
    {77, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1412 QsciLexerRuby::PercentStringw (enum)
    {77, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1413 QsciLexerRuby::DemotedKeyword (enum)
    {77, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1414 QsciLexerRuby::Stdin (enum)
    {77, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//1415 QsciLexerRuby::Stdout (enum)
    {77, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//1416 QsciLexerRuby::Stderr (enum)
    {77, 1638, 0, 0, Smoke::mf_dtor, 0, 66 },	//1417 QsciLexerRuby::~QsciLexerRuby()
    {78, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1418 QsciLexerSQL::metaObject() const
    {78, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1419 QsciLexerSQL::qt_metacast(const char*)
    {78, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1420 QsciLexerSQL::tr(const char*, const char*)
    {78, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1421 QsciLexerSQL::trUtf8(const char*, const char*)
    {78, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1422 QsciLexerSQL::tr(const char*, const char*, int)
    {78, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1423 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {78, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1424 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {78, 500, 76, 1, Smoke::mf_ctor, 84, 8},	//1425 QsciLexerSQL::QsciLexerSQL(QObject*)
    {78, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1426 QsciLexerSQL::language() const
    {78, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1427 QsciLexerSQL::lexer() const
    {78, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1428 QsciLexerSQL::braceStyle() const
    {78, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1429 QsciLexerSQL::defaultColor(int) const
    {78, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1430 QsciLexerSQL::defaultEolFill(int) const
    {78, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1431 QsciLexerSQL::defaultFont(int) const
    {78, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1432 QsciLexerSQL::defaultPaper(int) const
    {78, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1433 QsciLexerSQL::keywords(int) const
    {78, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1434 QsciLexerSQL::description(int) const
    {78, 1219, 0, 0, Smoke::mf_virtual, 0, 18},	//1435 QsciLexerSQL::refreshProperties()
    {78, 896, 0, 0, Smoke::mf_const, 189, 19},	//1436 QsciLexerSQL::backslashEscapes() const
    {78, 1325, 16, 1, 0, 0, 20},	//1437 QsciLexerSQL::setDottedWords(bool)
    {78, 973, 0, 0, Smoke::mf_const, 189, 21},	//1438 QsciLexerSQL::dottedWords() const
    {78, 1350, 16, 1, 0, 0, 22},	//1439 QsciLexerSQL::setFoldAtElse(bool)
    {78, 1027, 0, 0, Smoke::mf_const, 189, 23},	//1440 QsciLexerSQL::foldAtElse() const
    {78, 1029, 0, 0, Smoke::mf_const, 189, 24},	//1441 QsciLexerSQL::foldComments() const
    {78, 1030, 0, 0, Smoke::mf_const, 189, 25},	//1442 QsciLexerSQL::foldCompact() const
    {78, 1362, 16, 1, 0, 0, 26},	//1443 QsciLexerSQL::setFoldOnlyBegin(bool)
    {78, 1034, 0, 0, Smoke::mf_const, 189, 27},	//1444 QsciLexerSQL::foldOnlyBegin() const
    {78, 1382, 16, 1, 0, 0, 28},	//1445 QsciLexerSQL::setHashComments(bool)
    {78, 1056, 0, 0, Smoke::mf_const, 189, 29},	//1446 QsciLexerSQL::hashComments() const
    {78, 1469, 16, 1, 0, 0, 30},	//1447 QsciLexerSQL::setQuotedIdentifiers(bool)
    {78, 1206, 0, 0, Smoke::mf_const, 189, 31},	//1448 QsciLexerSQL::quotedIdentifiers() const
    {78, 1276, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1449 QsciLexerSQL::setBackslashEscapes(bool)
    {78, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1450 QsciLexerSQL::setFoldComments(bool)
    {78, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1451 QsciLexerSQL::setFoldCompact(bool)
    {78, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 35},	//1452 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {78, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 36},	//1453 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {78, 1565, 12, 1, Smoke::mf_static, 40, 37},	//1454 QsciLexerSQL::tr(const char*)
    {78, 1569, 12, 1, Smoke::mf_static, 40, 38},	//1455 QsciLexerSQL::trUtf8(const char*)
    {78, 500, 0, 0, Smoke::mf_ctor, 84, 39},	//1456 QsciLexerSQL::QsciLexerSQL()
    {78, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 40},	//1457 QsciLexerSQL::staticMetaObject() const
    {78, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1458 QsciLexerSQL::Default (enum)
    {78, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1459 QsciLexerSQL::Comment (enum)
    {78, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1460 QsciLexerSQL::CommentLine (enum)
    {78, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1461 QsciLexerSQL::CommentDoc (enum)
    {78, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1462 QsciLexerSQL::Number (enum)
    {78, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1463 QsciLexerSQL::Keyword (enum)
    {78, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1464 QsciLexerSQL::DoubleQuotedString (enum)
    {78, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1465 QsciLexerSQL::SingleQuotedString (enum)
    {78, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1466 QsciLexerSQL::PlusKeyword (enum)
    {78, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1467 QsciLexerSQL::PlusPrompt (enum)
    {78, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1468 QsciLexerSQL::Operator (enum)
    {78, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1469 QsciLexerSQL::Identifier (enum)
    {78, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1470 QsciLexerSQL::PlusComment (enum)
    {78, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1471 QsciLexerSQL::CommentLineHash (enum)
    {78, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1472 QsciLexerSQL::CommentDocKeyword (enum)
    {78, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1473 QsciLexerSQL::CommentDocKeywordError (enum)
    {78, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1474 QsciLexerSQL::KeywordSet5 (enum)
    {78, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1475 QsciLexerSQL::KeywordSet6 (enum)
    {78, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1476 QsciLexerSQL::KeywordSet7 (enum)
    {78, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1477 QsciLexerSQL::KeywordSet8 (enum)
    {78, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1478 QsciLexerSQL::QuotedIdentifier (enum)
    {78, 1639, 0, 0, Smoke::mf_dtor, 0, 62 },	//1479 QsciLexerSQL::~QsciLexerSQL()
    {79, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1480 QsciLexerTCL::metaObject() const
    {79, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1481 QsciLexerTCL::qt_metacast(const char*)
    {79, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1482 QsciLexerTCL::tr(const char*, const char*)
    {79, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1483 QsciLexerTCL::trUtf8(const char*, const char*)
    {79, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1484 QsciLexerTCL::tr(const char*, const char*, int)
    {79, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1485 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {79, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1486 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {79, 502, 76, 1, Smoke::mf_ctor, 85, 8},	//1487 QsciLexerTCL::QsciLexerTCL(QObject*)
    {79, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1488 QsciLexerTCL::language() const
    {79, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1489 QsciLexerTCL::lexer() const
    {79, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1490 QsciLexerTCL::braceStyle() const
    {79, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1491 QsciLexerTCL::defaultColor(int) const
    {79, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1492 QsciLexerTCL::defaultEolFill(int) const
    {79, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1493 QsciLexerTCL::defaultFont(int) const
    {79, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1494 QsciLexerTCL::defaultPaper(int) const
    {79, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1495 QsciLexerTCL::keywords(int) const
    {79, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1496 QsciLexerTCL::description(int) const
    {79, 1219, 0, 0, Smoke::mf_virtual, 0, 18},	//1497 QsciLexerTCL::refreshProperties()
    {79, 1354, 16, 1, 0, 0, 19},	//1498 QsciLexerTCL::setFoldComments(bool)
    {79, 1029, 0, 0, Smoke::mf_const, 189, 20},	//1499 QsciLexerTCL::foldComments() const
    {79, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//1500 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {79, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//1501 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {79, 1565, 12, 1, Smoke::mf_static, 40, 23},	//1502 QsciLexerTCL::tr(const char*)
    {79, 1569, 12, 1, Smoke::mf_static, 40, 24},	//1503 QsciLexerTCL::trUtf8(const char*)
    {79, 502, 0, 0, Smoke::mf_ctor, 85, 25},	//1504 QsciLexerTCL::QsciLexerTCL()
    {79, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 26},	//1505 QsciLexerTCL::staticMetaObject() const
    {79, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1506 QsciLexerTCL::Default (enum)
    {79, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1507 QsciLexerTCL::Comment (enum)
    {79, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1508 QsciLexerTCL::CommentLine (enum)
    {79, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1509 QsciLexerTCL::Number (enum)
    {79, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1510 QsciLexerTCL::QuotedKeyword (enum)
    {79, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1511 QsciLexerTCL::QuotedString (enum)
    {79, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1512 QsciLexerTCL::Operator (enum)
    {79, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1513 QsciLexerTCL::Identifier (enum)
    {79, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1514 QsciLexerTCL::Substitution (enum)
    {79, 769, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1515 QsciLexerTCL::SubstitutionBrace (enum)
    {79, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1516 QsciLexerTCL::Modifier (enum)
    {79, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1517 QsciLexerTCL::ExpandKeyword (enum)
    {79, 778, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1518 QsciLexerTCL::TCLKeyword (enum)
    {79, 793, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1519 QsciLexerTCL::TkKeyword (enum)
    {79, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1520 QsciLexerTCL::ITCLKeyword (enum)
    {79, 792, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1521 QsciLexerTCL::TkCommand (enum)
    {79, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1522 QsciLexerTCL::KeywordSet6 (enum)
    {79, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1523 QsciLexerTCL::KeywordSet7 (enum)
    {79, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1524 QsciLexerTCL::KeywordSet8 (enum)
    {79, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1525 QsciLexerTCL::KeywordSet9 (enum)
    {79, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1526 QsciLexerTCL::CommentBox (enum)
    {79, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1527 QsciLexerTCL::CommentBlock (enum)
    {79, 1640, 0, 0, Smoke::mf_dtor, 0, 49 },	//1528 QsciLexerTCL::~QsciLexerTCL()
    {80, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1529 QsciLexerTeX::metaObject() const
    {80, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1530 QsciLexerTeX::qt_metacast(const char*)
    {80, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1531 QsciLexerTeX::tr(const char*, const char*)
    {80, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1532 QsciLexerTeX::trUtf8(const char*, const char*)
    {80, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1533 QsciLexerTeX::tr(const char*, const char*, int)
    {80, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1534 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {80, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1535 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {80, 504, 76, 1, Smoke::mf_ctor, 86, 8},	//1536 QsciLexerTeX::QsciLexerTeX(QObject*)
    {80, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1537 QsciLexerTeX::language() const
    {80, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1538 QsciLexerTeX::lexer() const
    {80, 1593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1539 QsciLexerTeX::wordCharacters() const
    {80, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1540 QsciLexerTeX::defaultColor(int) const
    {80, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1541 QsciLexerTeX::keywords(int) const
    {80, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 14},	//1542 QsciLexerTeX::description(int) const
    {80, 1219, 0, 0, Smoke::mf_virtual, 0, 15},	//1543 QsciLexerTeX::refreshProperties()
    {80, 1354, 16, 1, 0, 0, 16},	//1544 QsciLexerTeX::setFoldComments(bool)
    {80, 1029, 0, 0, Smoke::mf_const, 189, 17},	//1545 QsciLexerTeX::foldComments() const
    {80, 1356, 16, 1, 0, 0, 18},	//1546 QsciLexerTeX::setFoldCompact(bool)
    {80, 1030, 0, 0, Smoke::mf_const, 189, 19},	//1547 QsciLexerTeX::foldCompact() const
    {80, 1465, 16, 1, 0, 0, 20},	//1548 QsciLexerTeX::setProcessComments(bool)
    {80, 1198, 0, 0, Smoke::mf_const, 189, 21},	//1549 QsciLexerTeX::processComments() const
    {80, 1467, 16, 1, 0, 0, 22},	//1550 QsciLexerTeX::setProcessIf(bool)
    {80, 1199, 0, 0, Smoke::mf_const, 189, 23},	//1551 QsciLexerTeX::processIf() const
    {80, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//1552 QsciLexerTeX::readProperties(QSettings&, const QString&)
    {80, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 25},	//1553 QsciLexerTeX::writeProperties(QSettings&, const QString&) const
    {80, 1565, 12, 1, Smoke::mf_static, 40, 26},	//1554 QsciLexerTeX::tr(const char*)
    {80, 1569, 12, 1, Smoke::mf_static, 40, 27},	//1555 QsciLexerTeX::trUtf8(const char*)
    {80, 504, 0, 0, Smoke::mf_ctor, 86, 28},	//1556 QsciLexerTeX::QsciLexerTeX()
    {80, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//1557 QsciLexerTeX::staticMetaObject() const
    {80, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1558 QsciLexerTeX::Default (enum)
    {80, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1559 QsciLexerTeX::Special (enum)
    {80, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1560 QsciLexerTeX::Group (enum)
    {80, 772, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1561 QsciLexerTeX::Symbol (enum)
    {80, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1562 QsciLexerTeX::Command (enum)
    {80, 786, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1563 QsciLexerTeX::Text (enum)
    {80, 1641, 0, 0, Smoke::mf_dtor, 0, 36 },	//1564 QsciLexerTeX::~QsciLexerTeX()
    {81, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1565 QsciLexerVHDL::metaObject() const
    {81, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1566 QsciLexerVHDL::qt_metacast(const char*)
    {81, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1567 QsciLexerVHDL::tr(const char*, const char*)
    {81, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1568 QsciLexerVHDL::trUtf8(const char*, const char*)
    {81, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1569 QsciLexerVHDL::tr(const char*, const char*, int)
    {81, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1570 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {81, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1571 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {81, 506, 76, 1, Smoke::mf_ctor, 87, 8},	//1572 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {81, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1573 QsciLexerVHDL::language() const
    {81, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1574 QsciLexerVHDL::lexer() const
    {81, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1575 QsciLexerVHDL::braceStyle() const
    {81, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1576 QsciLexerVHDL::defaultColor(int) const
    {81, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1577 QsciLexerVHDL::defaultEolFill(int) const
    {81, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1578 QsciLexerVHDL::defaultFont(int) const
    {81, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1579 QsciLexerVHDL::defaultPaper(int) const
    {81, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1580 QsciLexerVHDL::keywords(int) const
    {81, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1581 QsciLexerVHDL::description(int) const
    {81, 1219, 0, 0, Smoke::mf_virtual, 0, 18},	//1582 QsciLexerVHDL::refreshProperties()
    {81, 1029, 0, 0, Smoke::mf_const, 189, 19},	//1583 QsciLexerVHDL::foldComments() const
    {81, 1030, 0, 0, Smoke::mf_const, 189, 20},	//1584 QsciLexerVHDL::foldCompact() const
    {81, 1027, 0, 0, Smoke::mf_const, 189, 21},	//1585 QsciLexerVHDL::foldAtElse() const
    {81, 1026, 0, 0, Smoke::mf_const, 189, 22},	//1586 QsciLexerVHDL::foldAtBegin() const
    {81, 1028, 0, 0, Smoke::mf_const, 189, 23},	//1587 QsciLexerVHDL::foldAtParenthesis() const
    {81, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1588 QsciLexerVHDL::setFoldComments(bool)
    {81, 1356, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1589 QsciLexerVHDL::setFoldCompact(bool)
    {81, 1350, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1590 QsciLexerVHDL::setFoldAtElse(bool)
    {81, 1348, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1591 QsciLexerVHDL::setFoldAtBegin(bool)
    {81, 1352, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1592 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {81, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 29},	//1593 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {81, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 30},	//1594 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {81, 1565, 12, 1, Smoke::mf_static, 40, 31},	//1595 QsciLexerVHDL::tr(const char*)
    {81, 1569, 12, 1, Smoke::mf_static, 40, 32},	//1596 QsciLexerVHDL::trUtf8(const char*)
    {81, 506, 0, 0, Smoke::mf_ctor, 87, 33},	//1597 QsciLexerVHDL::QsciLexerVHDL()
    {81, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 34},	//1598 QsciLexerVHDL::staticMetaObject() const
    {81, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1599 QsciLexerVHDL::Default (enum)
    {81, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1600 QsciLexerVHDL::Comment (enum)
    {81, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1601 QsciLexerVHDL::CommentLine (enum)
    {81, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1602 QsciLexerVHDL::Number (enum)
    {81, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1603 QsciLexerVHDL::String (enum)
    {81, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1604 QsciLexerVHDL::Operator (enum)
    {81, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1605 QsciLexerVHDL::Identifier (enum)
    {81, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1606 QsciLexerVHDL::UnclosedString (enum)
    {81, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1607 QsciLexerVHDL::Keyword (enum)
    {81, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1608 QsciLexerVHDL::StandardOperator (enum)
    {81, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1609 QsciLexerVHDL::Attribute (enum)
    {81, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1610 QsciLexerVHDL::StandardFunction (enum)
    {81, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1611 QsciLexerVHDL::StandardPackage (enum)
    {81, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1612 QsciLexerVHDL::StandardType (enum)
    {81, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1613 QsciLexerVHDL::KeywordSet7 (enum)
    {81, 1642, 0, 0, Smoke::mf_dtor, 0, 50 },	//1614 QsciLexerVHDL::~QsciLexerVHDL()
    {82, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1615 QsciLexerXML::metaObject() const
    {82, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1616 QsciLexerXML::qt_metacast(const char*)
    {82, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1617 QsciLexerXML::tr(const char*, const char*)
    {82, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1618 QsciLexerXML::trUtf8(const char*, const char*)
    {82, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1619 QsciLexerXML::tr(const char*, const char*, int)
    {82, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1620 QsciLexerXML::trUtf8(const char*, const char*, int)
    {82, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1621 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {82, 508, 76, 1, Smoke::mf_ctor, 88, 8},	//1622 QsciLexerXML::QsciLexerXML(QObject*)
    {82, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1623 QsciLexerXML::language() const
    {82, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1624 QsciLexerXML::lexer() const
    {82, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1625 QsciLexerXML::defaultColor(int) const
    {82, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//1626 QsciLexerXML::defaultEolFill(int) const
    {82, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1627 QsciLexerXML::defaultFont(int) const
    {82, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1628 QsciLexerXML::defaultPaper(int) const
    {82, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1629 QsciLexerXML::keywords(int) const
    {82, 1219, 0, 0, Smoke::mf_virtual, 0, 16},	//1630 QsciLexerXML::refreshProperties()
    {82, 1473, 16, 1, 0, 0, 17},	//1631 QsciLexerXML::setScriptsStyled(bool)
    {82, 1239, 0, 0, Smoke::mf_const, 189, 18},	//1632 QsciLexerXML::scriptsStyled() const
    {82, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 19},	//1633 QsciLexerXML::readProperties(QSettings&, const QString&)
    {82, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//1634 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {82, 1565, 12, 1, Smoke::mf_static, 40, 21},	//1635 QsciLexerXML::tr(const char*)
    {82, 1569, 12, 1, Smoke::mf_static, 40, 22},	//1636 QsciLexerXML::trUtf8(const char*)
    {82, 508, 0, 0, Smoke::mf_ctor, 88, 23},	//1637 QsciLexerXML::QsciLexerXML()
    {82, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 24},	//1638 QsciLexerXML::staticMetaObject() const
    {82, 1643, 0, 0, Smoke::mf_dtor, 0, 25 },	//1639 QsciLexerXML::~QsciLexerXML()
    {83, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1640 QsciLexerYAML::metaObject() const
    {83, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1641 QsciLexerYAML::qt_metacast(const char*)
    {83, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1642 QsciLexerYAML::tr(const char*, const char*)
    {83, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1643 QsciLexerYAML::trUtf8(const char*, const char*)
    {83, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1644 QsciLexerYAML::tr(const char*, const char*, int)
    {83, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1645 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {83, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1646 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {83, 510, 76, 1, Smoke::mf_ctor, 89, 8},	//1647 QsciLexerYAML::QsciLexerYAML(QObject*)
    {83, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1648 QsciLexerYAML::language() const
    {83, 1111, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1649 QsciLexerYAML::lexer() const
    {83, 956, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1650 QsciLexerYAML::defaultColor(int) const
    {83, 958, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//1651 QsciLexerYAML::defaultEolFill(int) const
    {83, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1652 QsciLexerYAML::defaultFont(int) const
    {83, 962, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1653 QsciLexerYAML::defaultPaper(int) const
    {83, 1104, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1654 QsciLexerYAML::keywords(int) const
    {83, 966, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1655 QsciLexerYAML::description(int) const
    {83, 1219, 0, 0, Smoke::mf_virtual, 0, 17},	//1656 QsciLexerYAML::refreshProperties()
    {83, 1029, 0, 0, Smoke::mf_const, 189, 18},	//1657 QsciLexerYAML::foldComments() const
    {83, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1658 QsciLexerYAML::setFoldComments(bool)
    {83, 1209, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//1659 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {83, 1598, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//1660 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {83, 1565, 12, 1, Smoke::mf_static, 40, 22},	//1661 QsciLexerYAML::tr(const char*)
    {83, 1569, 12, 1, Smoke::mf_static, 40, 23},	//1662 QsciLexerYAML::trUtf8(const char*)
    {83, 510, 0, 0, Smoke::mf_ctor, 89, 24},	//1663 QsciLexerYAML::QsciLexerYAML()
    {83, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 25},	//1664 QsciLexerYAML::staticMetaObject() const
    {83, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//1665 QsciLexerYAML::Default (enum)
    {83, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1666 QsciLexerYAML::Comment (enum)
    {83, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1667 QsciLexerYAML::Identifier (enum)
    {83, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1668 QsciLexerYAML::Keyword (enum)
    {83, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1669 QsciLexerYAML::Number (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1670 QsciLexerYAML::Reference (enum)
    {83, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1671 QsciLexerYAML::DocumentDelimiter (enum)
    {83, 787, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1672 QsciLexerYAML::TextBlockMarker (enum)
    {83, 777, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1673 QsciLexerYAML::SyntaxErrorMarker (enum)
    {83, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1674 QsciLexerYAML::Operator (enum)
    {83, 1644, 0, 0, Smoke::mf_dtor, 0, 36 },	//1675 QsciLexerYAML::~QsciLexerYAML()
    {84, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1676 QsciMacro::metaObject() const
    {84, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1677 QsciMacro::qt_metacast(const char*)
    {84, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1678 QsciMacro::tr(const char*, const char*)
    {84, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1679 QsciMacro::trUtf8(const char*, const char*)
    {84, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1680 QsciMacro::tr(const char*, const char*, int)
    {84, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1681 QsciMacro::trUtf8(const char*, const char*, int)
    {84, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1682 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {84, 512, 84, 1, Smoke::mf_ctor, 90, 8},	//1683 QsciMacro::QsciMacro(QsciScintilla*)
    {84, 512, 109, 2, Smoke::mf_ctor, 90, 9},	//1684 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {84, 924, 0, 0, 0, 0, 10},	//1685 QsciMacro::clear()
    {84, 1121, 57, 1, 0, 189, 11},	//1686 QsciMacro::load(const QString&)
    {84, 1236, 0, 0, Smoke::mf_const, 40, 12},	//1687 QsciMacro::save() const
    {84, 1189, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1688 QsciMacro::play()
    {84, 1540, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1689 QsciMacro::startRecording()
    {84, 987, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1690 QsciMacro::endRecording()
    {84, 1565, 12, 1, Smoke::mf_static, 40, 16},	//1691 QsciMacro::tr(const char*)
    {84, 1569, 12, 1, Smoke::mf_static, 40, 17},	//1692 QsciMacro::trUtf8(const char*)
    {84, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 18},	//1693 QsciMacro::staticMetaObject() const
    {84, 1645, 0, 0, Smoke::mf_dtor, 0, 19 },	//1694 QsciMacro::~QsciMacro()
    {85, 515, 112, 1, Smoke::mf_ctor, 91, 1},	//1695 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {85, 1047, 114, 4, Smoke::mf_virtual, 0, 2},	//1696 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {85, 1125, 0, 0, Smoke::mf_const, 215, 3},	//1697 QsciPrinter::magnification() const
    {85, 1421, 18, 1, Smoke::mf_virtual, 0, 4},	//1698 QsciPrinter::setMagnification(int)
    {85, 1194, 119, 3, Smoke::mf_virtual, 215, 5},	//1699 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {85, 1595, 0, 0, Smoke::mf_const, 107, 6},	//1700 QsciPrinter::wrapMode() const
    {85, 1528, 123, 1, Smoke::mf_virtual, 0, 7},	//1701 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {85, 515, 0, 0, Smoke::mf_ctor, 91, 8},	//1702 QsciPrinter::QsciPrinter()
    {85, 1194, 125, 1, 0, 215, 9},	//1703 QsciPrinter::printRange(QsciScintillaBase*)
    {85, 1194, 127, 2, 0, 215, 10},	//1704 QsciPrinter::printRange(QsciScintillaBase*, int)
    {85, 1646, 0, 0, Smoke::mf_dtor, 0, 11 },	//1705 QsciPrinter::~QsciPrinter()
    {86, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1706 QsciScintilla::metaObject() const
    {86, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//1707 QsciScintilla::qt_metacast(const char*)
    {86, 1565, 44, 2, Smoke::mf_static, 40, 3},	//1708 QsciScintilla::tr(const char*, const char*)
    {86, 1569, 44, 2, Smoke::mf_static, 40, 4},	//1709 QsciScintilla::trUtf8(const char*, const char*)
    {86, 1565, 47, 3, Smoke::mf_static, 40, 5},	//1710 QsciScintilla::tr(const char*, const char*, int)
    {86, 1569, 47, 3, Smoke::mf_static, 40, 6},	//1711 QsciScintilla::trUtf8(const char*, const char*, int)
    {86, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//1712 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {86, 517, 130, 1, Smoke::mf_ctor, 92, 8},	//1713 QsciScintilla::QsciScintilla(QWidget*)
    {86, 870, 132, 3, Smoke::mf_virtual, 41, 9},	//1714 QsciScintilla::apiContext(int, int&, int&)
    {86, 862, 136, 3, 0, 0, 10},	//1715 QsciScintilla::annotate(int, const QString&, int)
    {86, 862, 140, 3, 0, 0, 11},	//1716 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {86, 862, 144, 2, 0, 0, 12},	//1717 QsciScintilla::annotate(int, const QsciStyledText&)
    {86, 862, 147, 2, 0, 0, 13},	//1718 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {86, 867, 18, 1, Smoke::mf_const, 40, 14},	//1719 QsciScintilla::annotation(int) const
    {86, 869, 0, 0, Smoke::mf_const, 93, 15},	//1720 QsciScintilla::annotationDisplay() const
    {86, 926, 18, 1, 0, 0, 16},	//1721 QsciScintilla::clearAnnotations(int)
    {86, 883, 0, 0, Smoke::mf_const, 189, 17},	//1722 QsciScintilla::autoCompletionCaseSensitivity() const
    {86, 885, 0, 0, Smoke::mf_const, 189, 18},	//1723 QsciScintilla::autoCompletionFillupsEnabled() const
    {86, 886, 0, 0, Smoke::mf_const, 189, 19},	//1724 QsciScintilla::autoCompletionReplaceWord() const
    {86, 889, 0, 0, Smoke::mf_const, 189, 20},	//1725 QsciScintilla::autoCompletionShowSingle() const
    {86, 890, 0, 0, Smoke::mf_const, 94, 21},	//1726 QsciScintilla::autoCompletionSource() const
    {86, 891, 0, 0, Smoke::mf_const, 215, 22},	//1727 QsciScintilla::autoCompletionThreshold() const
    {86, 892, 0, 0, Smoke::mf_const, 95, 23},	//1728 QsciScintilla::autoCompletionUseSingle() const
    {86, 894, 0, 0, Smoke::mf_const, 189, 24},	//1729 QsciScintilla::autoIndent() const
    {86, 897, 0, 0, Smoke::mf_const, 189, 25},	//1730 QsciScintilla::backspaceUnindents() const
    {86, 898, 0, 0, 0, 0, 26},	//1731 QsciScintilla::beginUndoAction()
    {86, 908, 0, 0, Smoke::mf_const, 96, 27},	//1732 QsciScintilla::braceMatching() const
    {86, 913, 0, 0, Smoke::mf_const, 97, 28},	//1733 QsciScintilla::callTipsStyle() const
    {86, 914, 0, 0, Smoke::mf_const, 215, 29},	//1734 QsciScintilla::callTipsVisible() const
    {86, 917, 0, 0, 0, 0, 30},	//1735 QsciScintilla::cancelList()
    {86, 919, 0, 0, Smoke::mf_const, 189, 31},	//1736 QsciScintilla::caseSensitive() const
    {86, 928, 0, 0, 0, 0, 32},	//1737 QsciScintilla::clearFolds()
    {86, 929, 150, 5, 0, 0, 33},	//1738 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {86, 934, 0, 0, 0, 0, 34},	//1739 QsciScintilla::clearRegisteredImages()
    {86, 936, 0, 0, Smoke::mf_const, 6, 35},	//1740 QsciScintilla::color() const
    {86, 945, 0, 0, Smoke::mf_const, 20, 36},	//1741 QsciScintilla::contractedFolds() const
    {86, 946, 156, 1, 0, 0, 37},	//1742 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {86, 951, 0, 0, 0, 22, 38},	//1743 QsciScintilla::createStandardContextMenu()
    {86, 971, 0, 0, Smoke::mf_const, 55, 39},	//1744 QsciScintilla::document() const
    {86, 988, 0, 0, 0, 0, 40},	//1745 QsciScintilla::endUndoAction()
    {86, 982, 0, 0, Smoke::mf_const, 6, 41},	//1746 QsciScintilla::edgeColor() const
    {86, 983, 0, 0, Smoke::mf_const, 215, 42},	//1747 QsciScintilla::edgeColumn() const
    {86, 984, 0, 0, Smoke::mf_const, 98, 43},	//1748 QsciScintilla::edgeMode() const
    {86, 1379, 42, 1, 0, 0, 44},	//1749 QsciScintilla::setFont(const QFont&)
    {86, 997, 0, 0, Smoke::mf_const, 99, 45},	//1750 QsciScintilla::eolMode() const
    {86, 998, 0, 0, Smoke::mf_const, 189, 46},	//1751 QsciScintilla::eolVisibility() const
    {86, 1003, 0, 0, Smoke::mf_const, 215, 47},	//1752 QsciScintilla::extraAscent() const
    {86, 1004, 0, 0, Smoke::mf_const, 215, 48},	//1753 QsciScintilla::extraDescent() const
    {86, 1005, 150, 5, 0, 0, 49},	//1754 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {86, 1009, 158, 10, Smoke::mf_virtual, 189, 50},	//1755 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool, bool)
    {86, 1016, 0, 0, Smoke::mf_virtual, 189, 51},	//1756 QsciScintilla::findNext()
    {86, 1017, 0, 0, Smoke::mf_const, 215, 52},	//1757 QsciScintilla::firstVisibleLine() const
    {86, 1041, 0, 0, Smoke::mf_const, 100, 53},	//1758 QsciScintilla::folding() const
    {86, 1051, 169, 2, Smoke::mf_const, 0, 54},	//1759 QsciScintilla::getCursorPosition(int*, int*) const
    {86, 1053, 172, 4, Smoke::mf_const, 0, 55},	//1760 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {86, 1055, 0, 0, Smoke::mf_const, 189, 56},	//1761 QsciScintilla::hasSelectedText() const
    {86, 1064, 18, 1, Smoke::mf_const, 215, 57},	//1762 QsciScintilla::indentation(int) const
    {86, 1067, 0, 0, Smoke::mf_const, 189, 58},	//1763 QsciScintilla::indentationGuides() const
    {86, 1070, 0, 0, Smoke::mf_const, 189, 59},	//1764 QsciScintilla::indentationsUseTabs() const
    {86, 1069, 0, 0, Smoke::mf_const, 215, 60},	//1765 QsciScintilla::indentationWidth() const
    {86, 1073, 177, 2, 0, 215, 61},	//1766 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {86, 1076, 18, 1, Smoke::mf_const, 189, 62},	//1767 QsciScintilla::indicatorDrawUnder(int) const
    {86, 1089, 0, 0, Smoke::mf_const, 189, 63},	//1768 QsciScintilla::isCallTipActive() const
    {86, 1090, 0, 0, Smoke::mf_const, 189, 64},	//1769 QsciScintilla::isListActive() const
    {86, 1091, 0, 0, Smoke::mf_const, 189, 65},	//1770 QsciScintilla::isModified() const
    {86, 1094, 0, 0, Smoke::mf_const, 189, 66},	//1771 QsciScintilla::isReadOnly() const
    {86, 1095, 0, 0, Smoke::mf_const, 189, 67},	//1772 QsciScintilla::isRedoAvailable() const
    {86, 1096, 0, 0, Smoke::mf_const, 189, 68},	//1773 QsciScintilla::isUndoAvailable() const
    {86, 1097, 0, 0, Smoke::mf_const, 189, 69},	//1774 QsciScintilla::isUtf8() const
    {86, 1098, 180, 1, Smoke::mf_const, 189, 70},	//1775 QsciScintilla::isWordCharacter(char) const
    {86, 1113, 182, 1, Smoke::mf_const, 215, 71},	//1776 QsciScintilla::lineAt(const QPoint&) const
    {86, 1115, 184, 3, Smoke::mf_const, 0, 72},	//1777 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {86, 1117, 18, 1, Smoke::mf_const, 215, 73},	//1778 QsciScintilla::lineLength(int) const
    {86, 1119, 0, 0, Smoke::mf_const, 215, 74},	//1779 QsciScintilla::lines() const
    {86, 1109, 0, 0, Smoke::mf_const, 215, 75},	//1780 QsciScintilla::length() const
    {86, 1111, 0, 0, Smoke::mf_const, 58, 76},	//1781 QsciScintilla::lexer() const
    {86, 1129, 18, 1, Smoke::mf_const, 189, 77},	//1782 QsciScintilla::marginLineNumbers(int) const
    {86, 1131, 18, 1, Smoke::mf_const, 215, 78},	//1783 QsciScintilla::marginMarkerMask(int) const
    {86, 1133, 0, 0, Smoke::mf_const, 215, 79},	//1784 QsciScintilla::marginOptions() const
    {86, 1134, 18, 1, Smoke::mf_const, 189, 80},	//1785 QsciScintilla::marginSensitivity(int) const
    {86, 1136, 18, 1, Smoke::mf_const, 103, 81},	//1786 QsciScintilla::marginType(int) const
    {86, 1138, 18, 1, Smoke::mf_const, 215, 82},	//1787 QsciScintilla::marginWidth(int) const
    {86, 1142, 188, 2, 0, 215, 83},	//1788 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {86, 1142, 191, 2, 0, 215, 84},	//1789 QsciScintilla::markerDefine(char, int)
    {86, 1142, 194, 2, 0, 215, 85},	//1790 QsciScintilla::markerDefine(const QPixmap&, int)
    {86, 1142, 197, 2, 0, 215, 86},	//1791 QsciScintilla::markerDefine(const QImage&, int)
    {86, 1140, 101, 2, 0, 215, 87},	//1792 QsciScintilla::markerAdd(int, int)
    {86, 1160, 18, 1, Smoke::mf_const, 219, 88},	//1793 QsciScintilla::markersAtLine(int) const
    {86, 1147, 101, 2, 0, 0, 89},	//1794 QsciScintilla::markerDelete(int, int)
    {86, 1150, 18, 1, 0, 0, 90},	//1795 QsciScintilla::markerDeleteAll(int)
    {86, 1152, 18, 1, 0, 0, 91},	//1796 QsciScintilla::markerDeleteHandle(int)
    {86, 1158, 18, 1, Smoke::mf_const, 215, 92},	//1797 QsciScintilla::markerLine(int) const
    {86, 1154, 200, 2, Smoke::mf_const, 215, 93},	//1798 QsciScintilla::markerFindNext(int, unsigned int) const
    {86, 1156, 200, 2, Smoke::mf_const, 215, 94},	//1799 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {86, 1184, 0, 0, Smoke::mf_const, 6, 95},	//1800 QsciScintilla::paper() const
    {86, 1191, 101, 2, Smoke::mf_const, 215, 96},	//1801 QsciScintilla::positionFromLineIndex(int, int) const
    {86, 1207, 203, 1, 0, 189, 97},	//1802 QsciScintilla::read(QIODevice*)
    {86, 1214, 101, 2, Smoke::mf_virtual, 0, 98},	//1803 QsciScintilla::recolor(int, int)
    {86, 1220, 205, 2, 0, 0, 99},	//1804 QsciScintilla::registerImage(int, const QPixmap&)
    {86, 1220, 208, 2, 0, 0, 100},	//1805 QsciScintilla::registerImage(int, const QImage&)
    {86, 1225, 57, 1, Smoke::mf_virtual, 0, 101},	//1806 QsciScintilla::replace(const QString&)
    {86, 1229, 0, 0, 0, 0, 102},	//1807 QsciScintilla::resetFoldMarginColors()
    {86, 1360, 211, 2, 0, 0, 103},	//1808 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {86, 1252, 214, 1, 0, 0, 104},	//1809 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {86, 1258, 16, 1, 0, 0, 105},	//1810 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {86, 1256, 12, 1, 0, 0, 106},	//1811 QsciScintilla::setAutoCompletionFillups(const char*)
    {86, 1270, 216, 1, 0, 0, 107},	//1812 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {86, 1282, 82, 1, 0, 0, 108},	//1813 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {86, 1284, 82, 1, 0, 0, 109},	//1814 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {86, 1286, 82, 1, 0, 0, 110},	//1815 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {86, 1288, 218, 1, 0, 0, 111},	//1816 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {86, 1290, 18, 1, 0, 0, 112},	//1817 QsciScintilla::setCallTipsVisible(int)
    {86, 1307, 220, 1, 0, 0, 113},	//1818 QsciScintilla::setContractedFolds(const QList<int>&)
    {86, 1321, 74, 1, 0, 0, 114},	//1819 QsciScintilla::setDocument(const QsciDocument&)
    {86, 1327, 82, 1, 0, 0, 115},	//1820 QsciScintilla::setEdgeColor(const QColor&)
    {86, 1329, 18, 1, 0, 0, 116},	//1821 QsciScintilla::setEdgeColumn(int)
    {86, 1331, 222, 1, 0, 0, 117},	//1822 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {86, 1346, 18, 1, 0, 0, 118},	//1823 QsciScintilla::setFirstVisibleLine(int)
    {86, 1404, 89, 2, 0, 0, 119},	//1824 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {86, 1407, 86, 2, 0, 0, 120},	//1825 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {86, 1410, 86, 2, 0, 0, 121},	//1826 QsciScintilla::setIndicatorOutlineColor(const QColor&, int)
    {86, 1429, 18, 1, 0, 0, 122},	//1827 QsciScintilla::setMarginOptions(int)
    {86, 1433, 136, 3, 0, 0, 123},	//1828 QsciScintilla::setMarginText(int, const QString&, int)
    {86, 1433, 140, 3, 0, 0, 124},	//1829 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {86, 1433, 144, 2, 0, 0, 125},	//1830 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {86, 1433, 147, 2, 0, 0, 126},	//1831 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {86, 1438, 224, 2, 0, 0, 127},	//1832 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {86, 932, 18, 1, 0, 0, 128},	//1833 QsciScintilla::clearMarginText(int)
    {86, 1448, 86, 2, 0, 0, 129},	//1834 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {86, 1451, 86, 2, 0, 0, 130},	//1835 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {86, 1454, 82, 1, 0, 0, 131},	//1836 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {86, 1456, 82, 1, 0, 0, 132},	//1837 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {86, 1458, 18, 1, 0, 0, 133},	//1838 QsciScintilla::setMatchedBraceIndicator(int)
    {86, 1230, 0, 0, 0, 0, 134},	//1839 QsciScintilla::resetMatchedBraceIndicator()
    {86, 1502, 82, 1, 0, 0, 135},	//1840 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {86, 1504, 82, 1, 0, 0, 136},	//1841 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {86, 1506, 18, 1, 0, 0, 137},	//1842 QsciScintilla::setUnmatchedBraceIndicator(int)
    {86, 1233, 0, 0, 0, 0, 138},	//1843 QsciScintilla::resetUnmatchedBraceIndicator()
    {86, 1530, 227, 3, 0, 0, 139},	//1844 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {86, 1245, 0, 0, Smoke::mf_const, 40, 140},	//1845 QsciScintilla::selectedText() const
    {86, 1247, 0, 0, Smoke::mf_const, 189, 141},	//1846 QsciScintilla::selectionToEol() const
    {86, 1481, 16, 1, 0, 0, 142},	//1847 QsciScintilla::setSelectionToEol(bool)
    {86, 1342, 18, 1, 0, 0, 143},	//1848 QsciScintilla::setExtraAscent(int)
    {86, 1344, 18, 1, 0, 0, 144},	//1849 QsciScintilla::setExtraDescent(int)
    {86, 1518, 82, 1, 0, 0, 145},	//1850 QsciScintilla::setWhitespaceBackgroundColor(const QColor&)
    {86, 1520, 82, 1, 0, 0, 146},	//1851 QsciScintilla::setWhitespaceForegroundColor(const QColor&)
    {86, 1522, 18, 1, 0, 0, 147},	//1852 QsciScintilla::setWhitespaceSize(int)
    {86, 1526, 231, 1, 0, 0, 148},	//1853 QsciScintilla::setWrapIndentMode(QsciScintilla::WrapIndentMode)
    {86, 1535, 233, 2, 0, 0, 149},	//1854 QsciScintilla::showUserList(int, const QStringList&)
    {86, 1539, 0, 0, Smoke::mf_const, 54, 150},	//1855 QsciScintilla::standardCommands() const
    {86, 1552, 0, 0, Smoke::mf_const, 189, 151},	//1856 QsciScintilla::tabIndents() const
    {86, 1553, 0, 0, Smoke::mf_const, 215, 152},	//1857 QsciScintilla::tabWidth() const
    {86, 1555, 0, 0, Smoke::mf_const, 40, 153},	//1858 QsciScintilla::text() const
    {86, 1555, 18, 1, Smoke::mf_const, 40, 154},	//1859 QsciScintilla::text(int) const
    {86, 1559, 18, 1, Smoke::mf_const, 215, 155},	//1860 QsciScintilla::textHeight(int) const
    {86, 1588, 0, 0, Smoke::mf_const, 215, 156},	//1861 QsciScintilla::whitespaceSize() const
    {86, 1589, 0, 0, Smoke::mf_const, 105, 157},	//1862 QsciScintilla::whitespaceVisibility() const
    {86, 1591, 182, 1, Smoke::mf_const, 40, 158},	//1863 QsciScintilla::wordAtPoint(const QPoint&) const
    {86, 1593, 0, 0, Smoke::mf_const, 213, 159},	//1864 QsciScintilla::wordCharacters() const
    {86, 1595, 0, 0, Smoke::mf_const, 107, 160},	//1865 QsciScintilla::wrapMode() const
    {86, 1594, 0, 0, Smoke::mf_const, 106, 161},	//1866 QsciScintilla::wrapIndentMode() const
    {86, 1596, 203, 1, Smoke::mf_const, 189, 162},	//1867 QsciScintilla::write(QIODevice*) const
    {86, 876, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 163},	//1868 QsciScintilla::append(const QString&)
    {86, 881, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 164},	//1869 QsciScintilla::autoCompleteFromAll()
    {86, 880, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 165},	//1870 QsciScintilla::autoCompleteFromAPIs()
    {86, 882, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 166},	//1871 QsciScintilla::autoCompleteFromDocument()
    {86, 910, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 167},	//1872 QsciScintilla::callTip()
    {86, 924, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 168},	//1873 QsciScintilla::clear()
    {86, 948, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1874 QsciScintilla::copy()
    {86, 955, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1875 QsciScintilla::cut()
    {86, 989, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1876 QsciScintilla::ensureCursorVisible()
    {86, 990, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1877 QsciScintilla::ensureLineVisible(int)
    {86, 1024, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1878 QsciScintilla::foldAll(bool)
    {86, 1032, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1879 QsciScintilla::foldLine(int)
    {86, 1062, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1880 QsciScintilla::indent(int)
    {86, 1084, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1881 QsciScintilla::insert(const QString&)
    {86, 1086, 236, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1882 QsciScintilla::insertAt(const QString&, int, int)
    {86, 1177, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1883 QsciScintilla::moveToMatchingBrace()
    {86, 1188, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1884 QsciScintilla::paste()
    {86, 1217, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1885 QsciScintilla::redo()
    {86, 1224, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1886 QsciScintilla::removeSelectedText()
    {86, 1227, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1887 QsciScintilla::replaceSelectedText(const QString&)
    {86, 1231, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1888 QsciScintilla::resetSelectionBackgroundColor()
    {86, 1232, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1889 QsciScintilla::resetSelectionForegroundColor()
    {86, 1242, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1890 QsciScintilla::selectAll(bool)
    {86, 1244, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1891 QsciScintilla::selectToMatchingBrace()
    {86, 1254, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1892 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {86, 1260, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1893 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {86, 1262, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1894 QsciScintilla::setAutoCompletionShowSingle(bool)
    {86, 1264, 240, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1895 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {86, 1266, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1896 QsciScintilla::setAutoCompletionThreshold(int)
    {86, 1268, 242, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1897 QsciScintilla::setAutoCompletionUseSingle(QsciScintilla::AutoCompletionUseSingle)
    {86, 1272, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1898 QsciScintilla::setAutoIndent(bool)
    {86, 1280, 244, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1899 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {86, 1278, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1900 QsciScintilla::setBackspaceUnindents(bool)
    {86, 1292, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1901 QsciScintilla::setCaretForegroundColor(const QColor&)
    {86, 1294, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1902 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {86, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1903 QsciScintilla::setCaretLineVisible(bool)
    {86, 1298, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1904 QsciScintilla::setCaretWidth(int)
    {86, 1304, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1905 QsciScintilla::setColor(const QColor&)
    {86, 1309, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1906 QsciScintilla::setCursorPosition(int, int)
    {86, 1338, 156, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1907 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {86, 1340, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1908 QsciScintilla::setEolVisibility(bool)
    {86, 1376, 246, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1909 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {86, 1390, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1910 QsciScintilla::setIndentation(int, int)
    {86, 1392, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1911 QsciScintilla::setIndentationGuides(bool)
    {86, 1394, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1912 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {86, 1396, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1913 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {86, 1402, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1914 QsciScintilla::setIndentationsUseTabs(bool)
    {86, 1400, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1915 QsciScintilla::setIndentationWidth(int)
    {86, 1419, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1916 QsciScintilla::setLexer(QsciLexer*)
    {86, 1442, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1917 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {86, 1444, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 213},	//1918 QsciScintilla::setMarginsFont(const QFont&)
    {86, 1446, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 214},	//1919 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {86, 1425, 249, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 215},	//1920 QsciScintilla::setMarginLineNumbers(int, bool)
    {86, 1427, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 216},	//1921 QsciScintilla::setMarginMarkerMask(int, int)
    {86, 1431, 249, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 217},	//1922 QsciScintilla::setMarginSensitivity(int, bool)
    {86, 1440, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 218},	//1923 QsciScintilla::setMarginWidth(int, int)
    {86, 1440, 252, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 219},	//1924 QsciScintilla::setMarginWidth(int, const QString&)
    {86, 1460, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 220},	//1925 QsciScintilla::setModified(bool)
    {86, 1462, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 221},	//1926 QsciScintilla::setPaper(const QColor&)
    {86, 1471, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 222},	//1927 QsciScintilla::setReadOnly(bool)
    {86, 1475, 255, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 223},	//1928 QsciScintilla::setSelection(int, int, int, int)
    {86, 1477, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 224},	//1929 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {86, 1479, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 225},	//1930 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {86, 1492, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 226},	//1931 QsciScintilla::setTabIndents(bool)
    {86, 1494, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 227},	//1932 QsciScintilla::setTabWidth(int)
    {86, 1496, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 228},	//1933 QsciScintilla::setText(const QString&)
    {86, 1508, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 229},	//1934 QsciScintilla::setUtf8(bool)
    {86, 1524, 260, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 230},	//1935 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {86, 1528, 123, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 231},	//1936 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {86, 1573, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 232},	//1937 QsciScintilla::undo()
    {86, 1574, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 233},	//1938 QsciScintilla::unindent(int)
    {86, 1604, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 234},	//1939 QsciScintilla::zoomIn(int)
    {86, 1604, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 235},	//1940 QsciScintilla::zoomIn()
    {86, 1606, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 236},	//1941 QsciScintilla::zoomOut(int)
    {86, 1606, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 237},	//1942 QsciScintilla::zoomOut()
    {86, 1608, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 238},	//1943 QsciScintilla::zoomTo(int)
    {86, 952, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 239},	//1944 QsciScintilla::cursorPositionChanged(int, int)
    {86, 949, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 240},	//1945 QsciScintilla::copyAvailable(bool)
    {86, 1071, 262, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 241},	//1946 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {86, 1078, 262, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 242},	//1947 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {86, 1120, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 243},	//1948 QsciScintilla::linesChanged()
    {86, 1127, 262, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 244},	//1949 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {86, 1165, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 245},	//1950 QsciScintilla::modificationAttempted()
    {86, 1166, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 246},	//1951 QsciScintilla::modificationChanged(bool)
    {86, 1246, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 247},	//1952 QsciScintilla::selectionChanged()
    {86, 1558, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 248},	//1953 QsciScintilla::textChanged()
    {86, 1578, 252, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 249},	//1954 QsciScintilla::userListActivated(int, const QString&)
    {86, 999, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 250},	//1955 QsciScintilla::event(QEvent*)
    {86, 943, 266, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 251},	//1956 QsciScintilla::contextMenuEvent(QContextMenuEvent*)
    {86, 1565, 12, 1, Smoke::mf_static, 40, 252},	//1957 QsciScintilla::tr(const char*)
    {86, 1569, 12, 1, Smoke::mf_static, 40, 253},	//1958 QsciScintilla::trUtf8(const char*)
    {86, 517, 0, 0, Smoke::mf_ctor, 92, 254},	//1959 QsciScintilla::QsciScintilla()
    {86, 926, 0, 0, 0, 0, 255},	//1960 QsciScintilla::clearAnnotations()
    {86, 1009, 268, 5, 0, 189, 256},	//1961 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {86, 1009, 274, 6, 0, 189, 257},	//1962 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {86, 1009, 281, 7, 0, 189, 258},	//1963 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {86, 1009, 289, 8, 0, 189, 259},	//1964 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {86, 1009, 298, 9, 0, 189, 260},	//1965 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {86, 1073, 308, 1, 0, 215, 261},	//1966 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {86, 1142, 310, 1, 0, 215, 262},	//1967 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {86, 1142, 180, 1, 0, 215, 263},	//1968 QsciScintilla::markerDefine(char)
    {86, 1142, 312, 1, 0, 215, 264},	//1969 QsciScintilla::markerDefine(const QPixmap&)
    {86, 1142, 314, 1, 0, 215, 265},	//1970 QsciScintilla::markerDefine(const QImage&)
    {86, 1147, 18, 1, 0, 0, 266},	//1971 QsciScintilla::markerDelete(int)
    {86, 1150, 0, 0, 0, 0, 267},	//1972 QsciScintilla::markerDeleteAll()
    {86, 1214, 0, 0, 0, 0, 268},	//1973 QsciScintilla::recolor()
    {86, 1214, 18, 1, 0, 0, 269},	//1974 QsciScintilla::recolor(int)
    {86, 1404, 16, 1, 0, 0, 270},	//1975 QsciScintilla::setIndicatorDrawUnder(bool)
    {86, 1407, 82, 1, 0, 0, 271},	//1976 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {86, 1410, 82, 1, 0, 0, 272},	//1977 QsciScintilla::setIndicatorOutlineColor(const QColor&)
    {86, 932, 0, 0, 0, 0, 273},	//1978 QsciScintilla::clearMarginText()
    {86, 1448, 82, 1, 0, 0, 274},	//1979 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {86, 1451, 82, 1, 0, 0, 275},	//1980 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {86, 1530, 316, 1, 0, 0, 276},	//1981 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {86, 1530, 318, 2, 0, 0, 277},	//1982 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {86, 1024, 0, 0, Smoke::mf_slot, 0, 278},	//1983 QsciScintilla::foldAll()
    {86, 1242, 0, 0, Smoke::mf_slot, 0, 279},	//1984 QsciScintilla::selectAll()
    {86, 1376, 321, 1, Smoke::mf_slot, 0, 280},	//1985 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {86, 1419, 0, 0, Smoke::mf_slot, 0, 281},	//1986 QsciScintilla::setLexer()
    {86, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 282},	//1987 QsciScintilla::staticMetaObject() const
    {86, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 283},	//1988 QsciScintilla::MoNone (enum)
    {86, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 284},	//1989 QsciScintilla::MoSublineSelect (enum)
    {86, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 285},	//1990 QsciScintilla::AnnotationHidden (enum)
    {86, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 286},	//1991 QsciScintilla::AnnotationStandard (enum)
    {86, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 287},	//1992 QsciScintilla::AnnotationBoxed (enum)
    {86, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 288},	//1993 QsciScintilla::AcusNever (enum)
    {86, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 289},	//1994 QsciScintilla::AcusExplicit (enum)
    {86, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 290},	//1995 QsciScintilla::AcusAlways (enum)
    {86, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 291},	//1996 QsciScintilla::AcsNone (enum)
    {86, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 292},	//1997 QsciScintilla::AcsAll (enum)
    {86, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 293},	//1998 QsciScintilla::AcsDocument (enum)
    {86, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 294},	//1999 QsciScintilla::AcsAPIs (enum)
    {86, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 295},	//2000 QsciScintilla::NoBraceMatch (enum)
    {86, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 296},	//2001 QsciScintilla::StrictBraceMatch (enum)
    {86, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 297},	//2002 QsciScintilla::SloppyBraceMatch (enum)
    {86, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 298},	//2003 QsciScintilla::CallTipsNone (enum)
    {86, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 299},	//2004 QsciScintilla::CallTipsNoContext (enum)
    {86, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 300},	//2005 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {86, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 301},	//2006 QsciScintilla::CallTipsContext (enum)
    {86, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 302},	//2007 QsciScintilla::EdgeNone (enum)
    {86, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 303},	//2008 QsciScintilla::EdgeLine (enum)
    {86, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 304},	//2009 QsciScintilla::EdgeBackground (enum)
    {86, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 305},	//2010 QsciScintilla::EolWindows (enum)
    {86, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 306},	//2011 QsciScintilla::EolUnix (enum)
    {86, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 307},	//2012 QsciScintilla::EolMac (enum)
    {86, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 308},	//2013 QsciScintilla::NoFoldStyle (enum)
    {86, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 309},	//2014 QsciScintilla::PlainFoldStyle (enum)
    {86, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 310},	//2015 QsciScintilla::CircledFoldStyle (enum)
    {86, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 311},	//2016 QsciScintilla::BoxedFoldStyle (enum)
    {86, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 312},	//2017 QsciScintilla::CircledTreeFoldStyle (enum)
    {86, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 313},	//2018 QsciScintilla::BoxedTreeFoldStyle (enum)
    {86, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 314},	//2019 QsciScintilla::PlainIndicator (enum)
    {86, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 315},	//2020 QsciScintilla::SquiggleIndicator (enum)
    {86, 779, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 316},	//2021 QsciScintilla::TTIndicator (enum)
    {86, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 317},	//2022 QsciScintilla::DiagonalIndicator (enum)
    {86, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 318},	//2023 QsciScintilla::StrikeIndicator (enum)
    {86, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 319},	//2024 QsciScintilla::HiddenIndicator (enum)
    {86, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 320},	//2025 QsciScintilla::BoxIndicator (enum)
    {86, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 321},	//2026 QsciScintilla::RoundBoxIndicator (enum)
    {86, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 322},	//2027 QsciScintilla::StraightBoxIndicator (enum)
    {86, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 323},	//2028 QsciScintilla::DashesIndicator (enum)
    {86, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 324},	//2029 QsciScintilla::DotsIndicator (enum)
    {86, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 325},	//2030 QsciScintilla::SquiggleLowIndicator (enum)
    {86, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 326},	//2031 QsciScintilla::DotBoxIndicator (enum)
    {86, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 327},	//2032 QsciScintilla::MoNone (enum)
    {86, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 328},	//2033 QsciScintilla::MoSublineSelect (enum)
    {86, 773, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 329},	//2034 QsciScintilla::SymbolMargin (enum)
    {86, 775, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 330},	//2035 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {86, 774, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 331},	//2036 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {86, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 332},	//2037 QsciScintilla::NumberMargin (enum)
    {86, 788, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 333},	//2038 QsciScintilla::TextMargin (enum)
    {86, 789, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 334},	//2039 QsciScintilla::TextMarginRightJustified (enum)
    {86, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 335},	//2040 QsciScintilla::Circle (enum)
    {86, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 336},	//2041 QsciScintilla::Rectangle (enum)
    {86, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 337},	//2042 QsciScintilla::RightTriangle (enum)
    {86, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 338},	//2043 QsciScintilla::SmallRectangle (enum)
    {86, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 339},	//2044 QsciScintilla::RightArrow (enum)
    {86, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 340},	//2045 QsciScintilla::Invisible (enum)
    {86, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 341},	//2046 QsciScintilla::DownTriangle (enum)
    {86, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 342},	//2047 QsciScintilla::Minus (enum)
    {86, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 343},	//2048 QsciScintilla::Plus (enum)
    {86, 827, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 344},	//2049 QsciScintilla::VerticalLine (enum)
    {86, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 345},	//2050 QsciScintilla::BottomLeftCorner (enum)
    {86, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 346},	//2051 QsciScintilla::LeftSideSplitter (enum)
    {86, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 347},	//2052 QsciScintilla::BoxedPlus (enum)
    {86, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 348},	//2053 QsciScintilla::BoxedPlusConnected (enum)
    {86, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 349},	//2054 QsciScintilla::BoxedMinus (enum)
    {86, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 350},	//2055 QsciScintilla::BoxedMinusConnected (enum)
    {86, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 351},	//2056 QsciScintilla::RoundedBottomLeftCorner (enum)
    {86, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 352},	//2057 QsciScintilla::LeftSideRoundedSplitter (enum)
    {86, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 353},	//2058 QsciScintilla::CircledPlus (enum)
    {86, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 354},	//2059 QsciScintilla::CircledPlusConnected (enum)
    {86, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 355},	//2060 QsciScintilla::CircledMinus (enum)
    {86, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 356},	//2061 QsciScintilla::CircledMinusConnected (enum)
    {86, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 357},	//2062 QsciScintilla::Background (enum)
    {86, 790, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 358},	//2063 QsciScintilla::ThreeDots (enum)
    {86, 791, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 359},	//2064 QsciScintilla::ThreeRightArrows (enum)
    {86, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 360},	//2065 QsciScintilla::FullRectangle (enum)
    {86, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 361},	//2066 QsciScintilla::LeftRectangle (enum)
    {86, 802, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 362},	//2067 QsciScintilla::Underline (enum)
    {86, 850, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 363},	//2068 QsciScintilla::WsInvisible (enum)
    {86, 851, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 364},	//2069 QsciScintilla::WsVisible (enum)
    {86, 852, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 365},	//2070 QsciScintilla::WsVisibleAfterIndent (enum)
    {86, 848, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 366},	//2071 QsciScintilla::WrapNone (enum)
    {86, 849, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 367},	//2072 QsciScintilla::WrapWord (enum)
    {86, 841, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 368},	//2073 QsciScintilla::WrapCharacter (enum)
    {86, 844, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 369},	//2074 QsciScintilla::WrapFlagNone (enum)
    {86, 843, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 370},	//2075 QsciScintilla::WrapFlagByText (enum)
    {86, 842, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 371},	//2076 QsciScintilla::WrapFlagByBorder (enum)
    {86, 845, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 372},	//2077 QsciScintilla::WrapIndentFixed (enum)
    {86, 847, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 373},	//2078 QsciScintilla::WrapIndentSame (enum)
    {86, 846, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 374},	//2079 QsciScintilla::WrapIndentIndented (enum)
    {86, 1647, 0, 0, Smoke::mf_dtor, 0, 375 },	//2080 QsciScintilla::~QsciScintilla()
    {87, 1162, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//2081 QsciScintillaBase::metaObject() const
    {87, 1204, 12, 1, Smoke::mf_virtual, 221, 2},	//2082 QsciScintillaBase::qt_metacast(const char*)
    {87, 1565, 44, 2, Smoke::mf_static, 40, 3},	//2083 QsciScintillaBase::tr(const char*, const char*)
    {87, 1569, 44, 2, Smoke::mf_static, 40, 4},	//2084 QsciScintillaBase::trUtf8(const char*, const char*)
    {87, 1565, 47, 3, Smoke::mf_static, 40, 5},	//2085 QsciScintillaBase::tr(const char*, const char*, int)
    {87, 1569, 47, 3, Smoke::mf_static, 40, 6},	//2086 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {87, 1202, 51, 3, Smoke::mf_virtual, 215, 7},	//2087 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {87, 519, 130, 1, Smoke::mf_ctor, 109, 8},	//2088 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {87, 1190, 0, 0, Smoke::mf_static, 109, 9},	//2089 QsciScintillaBase::pool()
    {87, 726, 323, 3, Smoke::mf_const, 218, 10},	//2090 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {87, 726, 327, 3, Smoke::mf_const, 218, 11},	//2091 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {87, 726, 331, 3, Smoke::mf_const, 218, 12},	//2092 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {87, 726, 335, 2, Smoke::mf_const, 218, 13},	//2093 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {87, 726, 338, 3, Smoke::mf_const, 218, 14},	//2094 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {87, 726, 342, 2, Smoke::mf_const, 218, 15},	//2095 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {87, 726, 345, 2, Smoke::mf_const, 218, 16},	//2096 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {87, 726, 348, 4, Smoke::mf_const, 218, 17},	//2097 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {87, 726, 353, 3, Smoke::mf_const, 218, 18},	//2098 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {87, 726, 357, 2, Smoke::mf_const, 218, 19},	//2099 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {87, 726, 360, 6, Smoke::mf_const, 218, 20},	//2100 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {87, 726, 367, 3, Smoke::mf_const, 218, 21},	//2101 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {87, 726, 371, 3, Smoke::mf_const, 218, 22},	//2102 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    {87, 734, 375, 1, Smoke::mf_const, 221, 23},	//2103 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {87, 436, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2104 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {87, 659, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2105 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {87, 660, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2106 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {87, 661, 377, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2107 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {87, 557, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2108 QsciScintillaBase::SCEN_CHANGE()
    {87, 663, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2109 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {87, 665, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2110 QsciScintillaBase::SCN_CHARADDED(int)
    {87, 667, 380, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2111 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {87, 669, 380, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2112 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {87, 671, 380, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//2113 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {87, 673, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2114 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {87, 675, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2115 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {87, 677, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2116 QsciScintillaBase::SCN_HOTSPOTRELEASECLICK(int, int)
    {87, 679, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//2117 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {87, 681, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//2118 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {87, 683, 327, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2119 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {87, 685, 380, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2120 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {87, 687, 384, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2121 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {87, 689, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2122 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {87, 690, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2123 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {87, 692, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2124 QsciScintillaBase::SCN_PAINTED()
    {87, 693, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2125 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {87, 694, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2126 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {87, 695, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2127 QsciScintillaBase::SCN_STYLENEEDED(int)
    {87, 697, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2128 QsciScintillaBase::SCN_UPDATEUI(int)
    {87, 699, 377, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2129 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {87, 701, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//2130 QsciScintillaBase::SCN_ZOOM()
    {87, 915, 395, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 51},	//2131 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {87, 1049, 397, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 3, 52},	//2132 QsciScintillaBase::fromMimeData(const QMimeData*, bool&) const
    {87, 1562, 400, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 24, 53},	//2133 QsciScintillaBase::toMimeData(const QByteArray&, bool) const
    {87, 943, 266, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//2134 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {87, 974, 403, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//2135 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {87, 976, 405, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//2136 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {87, 978, 407, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//2137 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {87, 980, 409, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//2138 QsciScintillaBase::dropEvent(QDropEvent*)
    {87, 1018, 411, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//2139 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {87, 1022, 411, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//2140 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {87, 1020, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 61},	//2141 QsciScintillaBase::focusNextPrevChild(bool)
    {87, 1101, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//2142 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {87, 1081, 413, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2143 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {87, 1168, 415, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//2144 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {87, 1170, 415, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//2145 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {87, 1172, 415, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//2146 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {87, 1174, 415, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//2147 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {87, 1181, 417, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2148 QsciScintillaBase::paintEvent(QPaintEvent*)
    {87, 1234, 419, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2149 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {87, 1240, 101, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//2150 QsciScintillaBase::scrollContentsBy(int, int)
    {87, 1565, 12, 1, Smoke::mf_static, 40, 71},	//2151 QsciScintillaBase::tr(const char*)
    {87, 1569, 12, 1, Smoke::mf_static, 40, 72},	//2152 QsciScintillaBase::trUtf8(const char*)
    {87, 519, 0, 0, Smoke::mf_ctor, 109, 73},	//2153 QsciScintillaBase::QsciScintillaBase()
    {87, 726, 375, 1, Smoke::mf_const, 218, 74},	//2154 QsciScintillaBase::SendScintilla(unsigned int) const
    {87, 726, 421, 2, Smoke::mf_const, 218, 75},	//2155 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {87, 1544, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 76},	//2156 QsciScintillaBase::staticMetaObject() const
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//2157 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//2158 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//2159 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//2160 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//2161 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 82},	//2162 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//2163 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//2164 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//2165 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//2166 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//2167 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//2168 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//2169 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 90},	//2170 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 91},	//2171 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 92},	//2172 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 93},	//2173 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 94},	//2174 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 95},	//2175 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 96},	//2176 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 97},	//2177 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 98},	//2178 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 99},	//2179 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 100},	//2180 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 101},	//2181 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 102},	//2182 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 103},	//2183 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 104},	//2184 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 105},	//2185 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 106},	//2186 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 107},	//2187 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 108},	//2188 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 109},	//2189 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 110},	//2190 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 111},	//2191 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 112},	//2192 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 113},	//2193 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 114},	//2194 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 115},	//2195 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 116},	//2196 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 117},	//2197 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 118},	//2198 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 119},	//2199 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 120},	//2200 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 121},	//2201 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 122},	//2202 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 123},	//2203 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 124},	//2204 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 125},	//2205 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 126},	//2206 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 127},	//2207 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 128},	//2208 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 129},	//2209 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 130},	//2210 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 131},	//2211 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 132},	//2212 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 133},	//2213 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 134},	//2214 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 135},	//2215 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 136},	//2216 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 137},	//2217 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 138},	//2218 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 139},	//2219 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 140},	//2220 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 141},	//2221 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 142},	//2222 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 143},	//2223 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 144},	//2224 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 145},	//2225 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 146},	//2226 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 147},	//2227 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 148},	//2228 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 149},	//2229 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 150},	//2230 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 151},	//2231 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 152},	//2232 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 153},	//2233 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 154},	//2234 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 155},	//2235 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 156},	//2236 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 157},	//2237 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 158},	//2238 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 159},	//2239 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 160},	//2240 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 161},	//2241 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 162},	//2242 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 163},	//2243 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 164},	//2244 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 165},	//2245 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 166},	//2246 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 167},	//2247 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 168},	//2248 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 169},	//2249 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 170},	//2250 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 171},	//2251 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 172},	//2252 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 173},	//2253 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 174},	//2254 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 175},	//2255 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 176},	//2256 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 177},	//2257 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 178},	//2258 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 179},	//2259 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 180},	//2260 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 181},	//2261 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 182},	//2262 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 183},	//2263 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 184},	//2264 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 185},	//2265 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 186},	//2266 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 187},	//2267 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 188},	//2268 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 189},	//2269 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 190},	//2270 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 191},	//2271 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 192},	//2272 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 193},	//2273 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 194},	//2274 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 195},	//2275 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 196},	//2276 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 197},	//2277 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 198},	//2278 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 199},	//2279 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 200},	//2280 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 201},	//2281 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 202},	//2282 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 203},	//2283 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 204},	//2284 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 205},	//2285 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 206},	//2286 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 207},	//2287 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 208},	//2288 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 209},	//2289 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 210},	//2290 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 211},	//2291 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 212},	//2292 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 213},	//2293 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 214},	//2294 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 215},	//2295 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 216},	//2296 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 217},	//2297 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 218},	//2298 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 219},	//2299 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 220},	//2300 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 221},	//2301 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 222},	//2302 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 223},	//2303 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 224},	//2304 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 225},	//2305 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 226},	//2306 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 227},	//2307 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 228},	//2308 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 229},	//2309 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 230},	//2310 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 231},	//2311 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 232},	//2312 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 233},	//2313 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 234},	//2314 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 235},	//2315 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 236},	//2316 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 237},	//2317 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 238},	//2318 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 239},	//2319 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 240},	//2320 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 241},	//2321 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 242},	//2322 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 243},	//2323 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 244},	//2324 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 245},	//2325 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 246},	//2326 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 247},	//2327 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 248},	//2328 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 249},	//2329 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 250},	//2330 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 251},	//2331 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 252},	//2332 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 253},	//2333 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 254},	//2334 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 255},	//2335 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 256},	//2336 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 257},	//2337 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 258},	//2338 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 259},	//2339 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 260},	//2340 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 261},	//2341 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 262},	//2342 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 263},	//2343 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 264},	//2344 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 265},	//2345 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 266},	//2346 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 267},	//2347 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 268},	//2348 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 269},	//2349 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 270},	//2350 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 271},	//2351 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 272},	//2352 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 273},	//2353 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 274},	//2354 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 275},	//2355 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 276},	//2356 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 277},	//2357 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 278},	//2358 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 279},	//2359 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 280},	//2360 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 281},	//2361 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 282},	//2362 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 283},	//2363 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 284},	//2364 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 285},	//2365 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 286},	//2366 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 287},	//2367 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 288},	//2368 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 289},	//2369 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 290},	//2370 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 291},	//2371 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 292},	//2372 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 293},	//2373 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 294},	//2374 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 295},	//2375 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 296},	//2376 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 297},	//2377 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 298},	//2378 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 299},	//2379 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 300},	//2380 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 301},	//2381 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 302},	//2382 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 303},	//2383 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 304},	//2384 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 305},	//2385 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 306},	//2386 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 307},	//2387 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 308},	//2388 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 309},	//2389 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 310},	//2390 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 311},	//2391 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 312},	//2392 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 313},	//2393 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 314},	//2394 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 315},	//2395 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 316},	//2396 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 317},	//2397 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 318},	//2398 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 319},	//2399 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 320},	//2400 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 321},	//2401 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 322},	//2402 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 323},	//2403 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 324},	//2404 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 325},	//2405 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 326},	//2406 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 327},	//2407 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 328},	//2408 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 329},	//2409 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 330},	//2410 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 331},	//2411 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 332},	//2412 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 333},	//2413 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 334},	//2414 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 335},	//2415 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 336},	//2416 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 337},	//2417 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 338},	//2418 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 339},	//2419 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 340},	//2420 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 341},	//2421 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 342},	//2422 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 343},	//2423 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 344},	//2424 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 345},	//2425 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 346},	//2426 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 347},	//2427 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 348},	//2428 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 349},	//2429 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 350},	//2430 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 351},	//2431 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 352},	//2432 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 353},	//2433 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 354},	//2434 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 355},	//2435 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 356},	//2436 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 357},	//2437 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 358},	//2438 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 359},	//2439 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 360},	//2440 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 361},	//2441 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 362},	//2442 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 363},	//2443 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 364},	//2444 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 365},	//2445 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 366},	//2446 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 367},	//2447 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 368},	//2448 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 369},	//2449 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 370},	//2450 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 371},	//2451 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 372},	//2452 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 373},	//2453 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 374},	//2454 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 375},	//2455 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 376},	//2456 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 377},	//2457 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 378},	//2458 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 379},	//2459 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 380},	//2460 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 381},	//2461 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 382},	//2462 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 383},	//2463 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 384},	//2464 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 385},	//2465 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 386},	//2466 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 387},	//2467 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 388},	//2468 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 389},	//2469 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 390},	//2470 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 391},	//2471 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 392},	//2472 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 393},	//2473 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 394},	//2474 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 395},	//2475 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 396},	//2476 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 397},	//2477 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 398},	//2478 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 399},	//2479 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 400},	//2480 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 401},	//2481 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 402},	//2482 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 403},	//2483 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 404},	//2484 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 405},	//2485 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 406},	//2486 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 407},	//2487 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 408},	//2488 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 409},	//2489 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 410},	//2490 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 411},	//2491 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 412},	//2492 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 413},	//2493 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 414},	//2494 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 415},	//2495 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 416},	//2496 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 417},	//2497 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 418},	//2498 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 419},	//2499 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 420},	//2500 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 421},	//2501 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 422},	//2502 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 423},	//2503 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 424},	//2504 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 425},	//2505 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 426},	//2506 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 427},	//2507 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 428},	//2508 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 429},	//2509 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 430},	//2510 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 431},	//2511 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 432},	//2512 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 433},	//2513 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 434},	//2514 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 435},	//2515 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 436},	//2516 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 437},	//2517 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 438},	//2518 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 439},	//2519 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 440},	//2520 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 441},	//2521 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 442},	//2522 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 443},	//2523 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 444},	//2524 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 445},	//2525 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 446},	//2526 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 447},	//2527 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 448},	//2528 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 449},	//2529 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 450},	//2530 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 451},	//2531 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 452},	//2532 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 453},	//2533 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 454},	//2534 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 455},	//2535 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 456},	//2536 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 457},	//2537 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 458},	//2538 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 459},	//2539 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 460},	//2540 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 461},	//2541 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 462},	//2542 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 463},	//2543 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 464},	//2544 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 465},	//2545 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 466},	//2546 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 467},	//2547 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 468},	//2548 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 469},	//2549 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 470},	//2550 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 471},	//2551 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 472},	//2552 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 473},	//2553 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 474},	//2554 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 475},	//2555 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 476},	//2556 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 477},	//2557 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 478},	//2558 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 479},	//2559 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 480},	//2560 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 481},	//2561 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 482},	//2562 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 483},	//2563 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 484},	//2564 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 485},	//2565 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 486},	//2566 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 487},	//2567 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 488},	//2568 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 489},	//2569 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 490},	//2570 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 491},	//2571 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 492},	//2572 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 493},	//2573 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 494},	//2574 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 495},	//2575 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 496},	//2576 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 497},	//2577 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 498},	//2578 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 499},	//2579 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 500},	//2580 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 501},	//2581 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 502},	//2582 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 503},	//2583 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 504},	//2584 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 505},	//2585 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 506},	//2586 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 507},	//2587 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 508},	//2588 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 509},	//2589 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 510},	//2590 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 511},	//2591 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 512},	//2592 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 513},	//2593 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 514},	//2594 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 515},	//2595 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 516},	//2596 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 517},	//2597 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 518},	//2598 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 519},	//2599 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 520},	//2600 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 521},	//2601 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 522},	//2602 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 523},	//2603 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 524},	//2604 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 525},	//2605 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 526},	//2606 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 527},	//2607 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 528},	//2608 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 529},	//2609 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 530},	//2610 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 531},	//2611 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 532},	//2612 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 533},	//2613 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 534},	//2614 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 535},	//2615 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 536},	//2616 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 537},	//2617 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 538},	//2618 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 539},	//2619 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 540},	//2620 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 541},	//2621 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 542},	//2622 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 543},	//2623 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 544},	//2624 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 545},	//2625 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 546},	//2626 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 547},	//2627 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 548},	//2628 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 549},	//2629 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 550},	//2630 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 551},	//2631 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 552},	//2632 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 553},	//2633 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 554},	//2634 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 555},	//2635 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 556},	//2636 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 557},	//2637 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 558},	//2638 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 559},	//2639 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 560},	//2640 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 561},	//2641 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 562},	//2642 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 563},	//2643 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 564},	//2644 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 565},	//2645 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 566},	//2646 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 567},	//2647 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 568},	//2648 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 569},	//2649 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 570},	//2650 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 571},	//2651 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 572},	//2652 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 573},	//2653 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 574},	//2654 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 575},	//2655 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 576},	//2656 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 577},	//2657 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 578},	//2658 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 579},	//2659 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 580},	//2660 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 581},	//2661 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 582},	//2662 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 583},	//2663 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 584},	//2664 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 585},	//2665 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 586},	//2666 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 587},	//2667 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 588},	//2668 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 589},	//2669 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 590},	//2670 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 591},	//2671 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 592},	//2672 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 593},	//2673 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 594},	//2674 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 595},	//2675 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 596},	//2676 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 597},	//2677 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 598},	//2678 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 599},	//2679 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 600},	//2680 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 601},	//2681 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 602},	//2682 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 603},	//2683 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 604},	//2684 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 605},	//2685 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 606},	//2686 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 607},	//2687 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 608},	//2688 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 609},	//2689 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 610},	//2690 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 611},	//2691 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 612},	//2692 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 613},	//2693 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 614},	//2694 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 615},	//2695 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 616},	//2696 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 617},	//2697 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 618},	//2698 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 619},	//2699 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 620},	//2700 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 621},	//2701 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 622},	//2702 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 623},	//2703 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 624},	//2704 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 625},	//2705 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 626},	//2706 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 627},	//2707 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 628},	//2708 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 629},	//2709 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 630},	//2710 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 631},	//2711 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 632},	//2712 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 633},	//2713 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 634},	//2714 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 635},	//2715 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 636},	//2716 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 637},	//2717 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 638},	//2718 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 639},	//2719 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 640},	//2720 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 641},	//2721 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 642},	//2722 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 643},	//2723 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 644},	//2724 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 645},	//2725 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 646},	//2726 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 647},	//2727 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 648},	//2728 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 649},	//2729 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 650},	//2730 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 651},	//2731 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 652},	//2732 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 653},	//2733 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 654},	//2734 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 655},	//2735 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 656},	//2736 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 657},	//2737 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 658},	//2738 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 659},	//2739 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 660},	//2740 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 661},	//2741 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 662},	//2742 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 663},	//2743 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 664},	//2744 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 665},	//2745 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 666},	//2746 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 667},	//2747 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 668},	//2748 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 669},	//2749 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 670},	//2750 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 671},	//2751 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 672},	//2752 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 673},	//2753 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 674},	//2754 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 675},	//2755 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 676},	//2756 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 677},	//2757 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 678},	//2758 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 679},	//2759 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 680},	//2760 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 681},	//2761 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 682},	//2762 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 683},	//2763 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 684},	//2764 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 685},	//2765 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 686},	//2766 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 687},	//2767 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 688},	//2768 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 689},	//2769 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 690},	//2770 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 691},	//2771 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 692},	//2772 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 693},	//2773 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 694},	//2774 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 695},	//2775 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 696},	//2776 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 697},	//2777 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 698},	//2778 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 699},	//2779 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 700},	//2780 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 701},	//2781 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 702},	//2782 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 703},	//2783 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 704},	//2784 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 705},	//2785 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 706},	//2786 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 707},	//2787 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 708},	//2788 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 709},	//2789 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 710},	//2790 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 711},	//2791 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 712},	//2792 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 713},	//2793 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 714},	//2794 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 715},	//2795 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 716},	//2796 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 717},	//2797 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 718},	//2798 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 719},	//2799 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 720},	//2800 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 721},	//2801 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 722},	//2802 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 723},	//2803 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 724},	//2804 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 725},	//2805 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 726},	//2806 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 727},	//2807 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 728},	//2808 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 729},	//2809 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 730},	//2810 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 731},	//2811 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 732},	//2812 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 733},	//2813 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 734},	//2814 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 735},	//2815 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 736},	//2816 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 737},	//2817 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 738},	//2818 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 739},	//2819 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 740},	//2820 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 741},	//2821 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 742},	//2822 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 743},	//2823 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 744},	//2824 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 745},	//2825 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 746},	//2826 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 747},	//2827 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 748},	//2828 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 749},	//2829 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 750},	//2830 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 751},	//2831 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 752},	//2832 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 753},	//2833 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 754},	//2834 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 755},	//2835 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 756},	//2836 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 757},	//2837 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 758},	//2838 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 759},	//2839 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 760},	//2840 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 761},	//2841 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 762},	//2842 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 763},	//2843 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 764},	//2844 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 765},	//2845 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 766},	//2846 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 767},	//2847 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 768},	//2848 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 769},	//2849 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 770},	//2850 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 771},	//2851 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 772},	//2852 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 773},	//2853 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 774},	//2854 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 775},	//2855 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 776},	//2856 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 777},	//2857 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 778},	//2858 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 779},	//2859 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 780},	//2860 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 781},	//2861 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 782},	//2862 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 783},	//2863 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 784},	//2864 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 785},	//2865 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 786},	//2866 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 787},	//2867 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 788},	//2868 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 789},	//2869 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 790},	//2870 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 791},	//2871 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 792},	//2872 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 793},	//2873 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 794},	//2874 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 795},	//2875 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 796},	//2876 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 797},	//2877 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 798},	//2878 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 799},	//2879 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 800},	//2880 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 801},	//2881 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 802},	//2882 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 803},	//2883 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 804},	//2884 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 805},	//2885 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 806},	//2886 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 807},	//2887 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 808},	//2888 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 809},	//2889 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 810},	//2890 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 811},	//2891 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 812},	//2892 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 813},	//2893 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 814},	//2894 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 815},	//2895 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 816},	//2896 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 817},	//2897 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 818},	//2898 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 819},	//2899 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 820},	//2900 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 821},	//2901 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 822},	//2902 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 823},	//2903 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 824},	//2904 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 825},	//2905 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 826},	//2906 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 827},	//2907 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 828},	//2908 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 829},	//2909 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 830},	//2910 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 831},	//2911 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 832},	//2912 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 833},	//2913 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 834},	//2914 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 835},	//2915 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 836},	//2916 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 837},	//2917 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 838},	//2918 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 839},	//2919 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 840},	//2920 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 841},	//2921 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 842},	//2922 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 843},	//2923 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 844},	//2924 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 845},	//2925 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 846},	//2926 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 847},	//2927 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 848},	//2928 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 849},	//2929 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 850},	//2930 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 851},	//2931 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 852},	//2932 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 853},	//2933 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 854},	//2934 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 855},	//2935 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 856},	//2936 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 857},	//2937 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 858},	//2938 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 859},	//2939 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 860},	//2940 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 861},	//2941 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 862},	//2942 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 863},	//2943 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 864},	//2944 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 865},	//2945 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 866},	//2946 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 867},	//2947 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 868},	//2948 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 869},	//2949 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 870},	//2950 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 871},	//2951 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 872},	//2952 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 873},	//2953 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 874},	//2954 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 875},	//2955 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 876},	//2956 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 877},	//2957 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 878},	//2958 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 879},	//2959 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 880},	//2960 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 881},	//2961 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 882},	//2962 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 883},	//2963 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 884},	//2964 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 885},	//2965 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 886},	//2966 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 887},	//2967 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 888},	//2968 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 889},	//2969 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 890},	//2970 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 891},	//2971 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 892},	//2972 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 893},	//2973 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 894},	//2974 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 895},	//2975 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 896},	//2976 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 897},	//2977 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 898},	//2978 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 899},	//2979 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 900},	//2980 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 901},	//2981 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 902},	//2982 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 903},	//2983 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 904},	//2984 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 905},	//2985 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 906},	//2986 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 907},	//2987 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 908},	//2988 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 909},	//2989 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 910},	//2990 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 911},	//2991 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 912},	//2992 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 913},	//2993 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 914},	//2994 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 915},	//2995 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 916},	//2996 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 917},	//2997 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 918},	//2998 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 919},	//2999 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 920},	//3000 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 921},	//3001 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 922},	//3002 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 923},	//3003 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 924},	//3004 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 925},	//3005 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 926},	//3006 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 927},	//3007 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 928},	//3008 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 929},	//3009 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 930},	//3010 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 931},	//3011 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 932},	//3012 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 933},	//3013 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 934},	//3014 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 935},	//3015 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 936},	//3016 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 937},	//3017 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 938},	//3018 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 939},	//3019 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 940},	//3020 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 941},	//3021 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 942},	//3022 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 943},	//3023 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 944},	//3024 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 945},	//3025 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 946},	//3026 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 947},	//3027 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 948},	//3028 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 949},	//3029 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 950},	//3030 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 951},	//3031 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 952},	//3032 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 953},	//3033 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 954},	//3034 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 955},	//3035 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 956},	//3036 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 957},	//3037 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 958},	//3038 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 959},	//3039 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 960},	//3040 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 961},	//3041 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 962},	//3042 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 963},	//3043 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 964},	//3044 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 965},	//3045 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 966},	//3046 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 967},	//3047 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 968},	//3048 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 969},	//3049 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 970},	//3050 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 971},	//3051 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 972},	//3052 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 973},	//3053 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 974},	//3054 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 975},	//3055 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 976},	//3056 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 977},	//3057 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 978},	//3058 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 979},	//3059 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 980},	//3060 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 981},	//3061 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 982},	//3062 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 983},	//3063 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 984},	//3064 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 985},	//3065 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 986},	//3066 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 987},	//3067 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 988},	//3068 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 989},	//3069 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 990},	//3070 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 991},	//3071 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 992},	//3072 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 993},	//3073 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 994},	//3074 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 995},	//3075 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 996},	//3076 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 997},	//3077 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 998},	//3078 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 999},	//3079 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1000},	//3080 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1001},	//3081 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1002},	//3082 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1003},	//3083 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1004},	//3084 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1005},	//3085 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1006},	//3086 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1007},	//3087 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1008},	//3088 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1009},	//3089 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1010},	//3090 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1011},	//3091 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1012},	//3092 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1013},	//3093 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1014},	//3094 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1015},	//3095 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1016},	//3096 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1017},	//3097 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1018},	//3098 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1019},	//3099 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1020},	//3100 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1021},	//3101 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1022},	//3102 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1023},	//3103 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1024},	//3104 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1025},	//3105 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1026},	//3106 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1027},	//3107 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1028},	//3108 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1029},	//3109 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1030},	//3110 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1031},	//3111 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1032},	//3112 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1033},	//3113 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1034},	//3114 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1035},	//3115 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1036},	//3116 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1037},	//3117 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1038},	//3118 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1039},	//3119 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1040},	//3120 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1041},	//3121 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1042},	//3122 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1043},	//3123 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1044},	//3124 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1045},	//3125 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1046},	//3126 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1047},	//3127 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1048},	//3128 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1049},	//3129 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1050},	//3130 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1051},	//3131 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1052},	//3132 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1053},	//3133 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1054},	//3134 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1055},	//3135 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1056},	//3136 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1057},	//3137 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1058},	//3138 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1059},	//3139 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1060},	//3140 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1061},	//3141 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1062},	//3142 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1063},	//3143 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1064},	//3144 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1065},	//3145 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1066},	//3146 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1067},	//3147 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1068},	//3148 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1069},	//3149 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1070},	//3150 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1071},	//3151 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1072},	//3152 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1073},	//3153 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1074},	//3154 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1075},	//3155 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1076},	//3156 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1077},	//3157 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1078},	//3158 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1079},	//3159 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1080},	//3160 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1081},	//3161 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1082},	//3162 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1083},	//3163 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1084},	//3164 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1085},	//3165 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1086},	//3166 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1087},	//3167 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1088},	//3168 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1089},	//3169 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1090},	//3170 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1091},	//3171 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1092},	//3172 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1093},	//3173 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1094},	//3174 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1095},	//3175 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1096},	//3176 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1097},	//3177 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1098},	//3178 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1099},	//3179 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1100},	//3180 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1101},	//3181 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1102},	//3182 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1103},	//3183 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1104},	//3184 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1105},	//3185 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1106},	//3186 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1107},	//3187 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1108},	//3188 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1109},	//3189 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1110},	//3190 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1111},	//3191 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1112},	//3192 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1113},	//3193 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1114},	//3194 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1115},	//3195 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1116},	//3196 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1117},	//3197 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1118},	//3198 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1119},	//3199 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1120},	//3200 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1121},	//3201 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1122},	//3202 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1123},	//3203 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1124},	//3204 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1125},	//3205 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1126},	//3206 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1127},	//3207 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1128},	//3208 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1129},	//3209 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1130},	//3210 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1131},	//3211 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1132},	//3212 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1133},	//3213 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1134},	//3214 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1135},	//3215 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1136},	//3216 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1137},	//3217 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1138},	//3218 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1139},	//3219 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1140},	//3220 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1141},	//3221 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1142},	//3222 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1143},	//3223 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1144},	//3224 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1145},	//3225 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1146},	//3226 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1147},	//3227 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1148},	//3228 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1149},	//3229 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1150},	//3230 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1151},	//3231 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1152},	//3232 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1153},	//3233 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1154},	//3234 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1155},	//3235 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1156},	//3236 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1157},	//3237 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1158},	//3238 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1159},	//3239 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1160},	//3240 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1161},	//3241 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1162},	//3242 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1163},	//3243 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1164},	//3244 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1165},	//3245 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1166},	//3246 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1167},	//3247 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1168},	//3248 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1169},	//3249 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1170},	//3250 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1171},	//3251 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1172},	//3252 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1173},	//3253 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1174},	//3254 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1175},	//3255 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1176},	//3256 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1177},	//3257 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1178},	//3258 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1179},	//3259 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1180},	//3260 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1181},	//3261 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1182},	//3262 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1183},	//3263 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1184},	//3264 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1185},	//3265 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1186},	//3266 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1187},	//3267 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1188},	//3268 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1189},	//3269 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1190},	//3270 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1191},	//3271 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1192},	//3272 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1193},	//3273 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1194},	//3274 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1195},	//3275 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1196},	//3276 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1197},	//3277 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1198},	//3278 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1199},	//3279 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1200},	//3280 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1201},	//3281 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1202},	//3282 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1203},	//3283 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1204},	//3284 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1205},	//3285 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1206},	//3286 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1207},	//3287 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1208},	//3288 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1209},	//3289 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1210},	//3290 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1211},	//3291 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1212},	//3292 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1213},	//3293 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1214},	//3294 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1215},	//3295 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1216},	//3296 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1217},	//3297 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1218},	//3298 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1219},	//3299 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1220},	//3300 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1221},	//3301 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1222},	//3302 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1223},	//3303 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1224},	//3304 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1225},	//3305 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1226},	//3306 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1227},	//3307 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1228},	//3308 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1229},	//3309 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1230},	//3310 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1231},	//3311 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1232},	//3312 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1233},	//3313 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1234},	//3314 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1235},	//3315 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1236},	//3316 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1237},	//3317 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1238},	//3318 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1239},	//3319 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1240},	//3320 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1241},	//3321 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1242},	//3322 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1243},	//3323 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1244},	//3324 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1245},	//3325 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1246},	//3326 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1247},	//3327 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1248},	//3328 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1249},	//3329 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1250},	//3330 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1251},	//3331 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1252},	//3332 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1253},	//3333 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1254},	//3334 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1255},	//3335 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1256},	//3336 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1257},	//3337 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1258},	//3338 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1259},	//3339 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1260},	//3340 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1261},	//3341 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1262},	//3342 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1263},	//3343 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1264},	//3344 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1265},	//3345 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1266},	//3346 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1267},	//3347 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1268},	//3348 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1269},	//3349 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1270},	//3350 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1271},	//3351 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1272},	//3352 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1273},	//3353 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1274},	//3354 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1275},	//3355 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1276},	//3356 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1277},	//3357 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1278},	//3358 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1279},	//3359 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1280},	//3360 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1281},	//3361 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1282},	//3362 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1283},	//3363 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1284},	//3364 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1285},	//3365 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1286},	//3366 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1287},	//3367 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1288},	//3368 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1289},	//3369 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1290},	//3370 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1291},	//3371 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1292},	//3372 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1293},	//3373 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1294},	//3374 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1295},	//3375 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1296},	//3376 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1297},	//3377 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1298},	//3378 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1299},	//3379 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1300},	//3380 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1301},	//3381 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1302},	//3382 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1303},	//3383 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1304},	//3384 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1305},	//3385 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1306},	//3386 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1307},	//3387 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1308},	//3388 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1309},	//3389 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1310},	//3390 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1311},	//3391 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1312},	//3392 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1313},	//3393 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1314},	//3394 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1315},	//3395 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1316},	//3396 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1317},	//3397 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1318},	//3398 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1319},	//3399 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1320},	//3400 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1321},	//3401 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1322},	//3402 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1323},	//3403 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1324},	//3404 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1325},	//3405 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1326},	//3406 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1327},	//3407 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1328},	//3408 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1329},	//3409 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1330},	//3410 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1331},	//3411 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1332},	//3412 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1333},	//3413 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1334},	//3414 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1335},	//3415 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1336},	//3416 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1337},	//3417 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1338},	//3418 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1339},	//3419 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1340},	//3420 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1341},	//3421 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1342},	//3422 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1343},	//3423 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1344},	//3424 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1345},	//3425 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1346},	//3426 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1347},	//3427 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1348},	//3428 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1349},	//3429 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1350},	//3430 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1351},	//3431 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1352},	//3432 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1353},	//3433 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1354},	//3434 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1355},	//3435 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1356},	//3436 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1357},	//3437 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1358},	//3438 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1359},	//3439 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1360},	//3440 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1361},	//3441 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1362},	//3442 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1363},	//3443 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1364},	//3444 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1365},	//3445 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1366},	//3446 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1367},	//3447 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1368},	//3448 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1369},	//3449 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1370},	//3450 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1371},	//3451 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1372},	//3452 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1373},	//3453 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1374},	//3454 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1375},	//3455 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1376},	//3456 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1377},	//3457 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1378},	//3458 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1379},	//3459 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1380},	//3460 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1381},	//3461 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1382},	//3462 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1383},	//3463 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1384},	//3464 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1385},	//3465 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1386},	//3466 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1387},	//3467 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1388},	//3468 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1389},	//3469 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1390},	//3470 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1391},	//3471 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1392},	//3472 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1393},	//3473 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1394},	//3474 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1395},	//3475 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1396},	//3476 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1397},	//3477 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1398},	//3478 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1399},	//3479 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1400},	//3480 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1401},	//3481 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1402},	//3482 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1403},	//3483 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1404},	//3484 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1405},	//3485 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1406},	//3486 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1407},	//3487 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1408},	//3488 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1409},	//3489 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1410},	//3490 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1411},	//3491 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1412},	//3492 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1413},	//3493 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1414},	//3494 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1415},	//3495 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1416},	//3496 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1417},	//3497 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1418},	//3498 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1419},	//3499 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1420},	//3500 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1421},	//3501 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1422},	//3502 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1423},	//3503 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1424},	//3504 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1425},	//3505 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1426},	//3506 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1427},	//3507 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1428},	//3508 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1429},	//3509 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1430},	//3510 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1431},	//3511 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1432},	//3512 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1433},	//3513 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1434},	//3514 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1435},	//3515 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1436},	//3516 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1437},	//3517 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1438},	//3518 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1439},	//3519 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1440},	//3520 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1441},	//3521 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1442},	//3522 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1443},	//3523 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1444},	//3524 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1445},	//3525 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1446},	//3526 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1447},	//3527 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1448},	//3528 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1449},	//3529 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1450},	//3530 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1451},	//3531 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1452},	//3532 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1453},	//3533 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1454},	//3534 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1455},	//3535 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1456},	//3536 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1457},	//3537 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1458},	//3538 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1459},	//3539 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1460},	//3540 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1461},	//3541 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1462},	//3542 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1463},	//3543 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1464},	//3544 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1465},	//3545 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1466},	//3546 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1467},	//3547 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1468},	//3548 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1469},	//3549 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1470},	//3550 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1471},	//3551 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1472},	//3552 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1473},	//3553 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1474},	//3554 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1475},	//3555 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1476},	//3556 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1477},	//3557 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1478},	//3558 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1479},	//3559 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1480},	//3560 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1481},	//3561 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1482},	//3562 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1483},	//3563 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1484},	//3564 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1485},	//3565 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1486},	//3566 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1487},	//3567 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1488},	//3568 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1489},	//3569 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1490},	//3570 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1491},	//3571 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1492},	//3572 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1493},	//3573 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1494},	//3574 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1495},	//3575 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1496},	//3576 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1497},	//3577 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1498},	//3578 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1499},	//3579 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1500},	//3580 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1501},	//3581 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1502},	//3582 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1503},	//3583 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1504},	//3584 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1505},	//3585 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1506},	//3586 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1507},	//3587 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1508},	//3588 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1509},	//3589 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1510},	//3590 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1511},	//3591 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1512},	//3592 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1513},	//3593 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1514},	//3594 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1515},	//3595 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1516},	//3596 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1517},	//3597 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1518},	//3598 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1519},	//3599 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1520},	//3600 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1521},	//3601 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1522},	//3602 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1523},	//3603 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1524},	//3604 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1525},	//3605 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1526},	//3606 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1527},	//3607 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1528},	//3608 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1529},	//3609 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1530},	//3610 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1531},	//3611 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1532},	//3612 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1533},	//3613 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1534},	//3614 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1535},	//3615 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1536},	//3616 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1537},	//3617 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1538},	//3618 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1539},	//3619 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1540},	//3620 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1541},	//3621 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1542},	//3622 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1543},	//3623 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1544},	//3624 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1545},	//3625 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1546},	//3626 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1547},	//3627 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1548},	//3628 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1549},	//3629 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1550},	//3630 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1551},	//3631 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1552},	//3632 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1553},	//3633 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1554},	//3634 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1555},	//3635 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1556},	//3636 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1557},	//3637 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1558},	//3638 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1559},	//3639 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1560},	//3640 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1561},	//3641 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1562},	//3642 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1563},	//3643 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1564},	//3644 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1565},	//3645 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1566},	//3646 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1567},	//3647 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1568},	//3648 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1569},	//3649 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1570},	//3650 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1571},	//3651 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1572},	//3652 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1573},	//3653 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1574},	//3654 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1575},	//3655 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1576},	//3656 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1577},	//3657 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1578},	//3658 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1579},	//3659 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1580},	//3660 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1581},	//3661 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1582},	//3662 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1583},	//3663 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1584},	//3664 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1585},	//3665 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1586},	//3666 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1587},	//3667 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1588},	//3668 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1589},	//3669 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1590},	//3670 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1591},	//3671 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1592},	//3672 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1593},	//3673 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1594},	//3674 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1595},	//3675 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1596},	//3676 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1597},	//3677 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1598},	//3678 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1599},	//3679 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1600},	//3680 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1601},	//3681 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1602},	//3682 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1603},	//3683 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1604},	//3684 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1605},	//3685 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1606},	//3686 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1607},	//3687 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1608},	//3688 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1609},	//3689 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1610},	//3690 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1611},	//3691 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1612},	//3692 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1613},	//3693 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1614},	//3694 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1615},	//3695 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1616},	//3696 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1617},	//3697 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1618},	//3698 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1619},	//3699 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1620},	//3700 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1621},	//3701 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1622},	//3702 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1623},	//3703 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1624},	//3704 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1625},	//3705 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1626},	//3706 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1627},	//3707 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1628},	//3708 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1629},	//3709 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1630},	//3710 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1631},	//3711 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1632},	//3712 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1633},	//3713 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1634},	//3714 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1635},	//3715 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1636},	//3716 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1637},	//3717 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1638},	//3718 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1639},	//3719 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1640},	//3720 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1641},	//3721 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1642},	//3722 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1643},	//3723 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1644},	//3724 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1645},	//3725 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1646},	//3726 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1647},	//3727 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1648},	//3728 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1649},	//3729 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1650},	//3730 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1651},	//3731 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1652},	//3732 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1653},	//3733 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1654},	//3734 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1655},	//3735 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1656},	//3736 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1657},	//3737 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1658},	//3738 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1659},	//3739 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1660},	//3740 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1661},	//3741 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1662},	//3742 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1663},	//3743 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1664},	//3744 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1665},	//3745 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1666},	//3746 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1667},	//3747 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1668},	//3748 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1669},	//3749 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1670},	//3750 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1671},	//3751 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1672},	//3752 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1673},	//3753 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1674},	//3754 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1675},	//3755 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1676},	//3756 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1677},	//3757 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1678},	//3758 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1679},	//3759 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1680},	//3760 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1681},	//3761 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1682},	//3762 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1683},	//3763 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1684},	//3764 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1685},	//3765 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1686},	//3766 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1687},	//3767 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1688},	//3768 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1689},	//3769 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1690},	//3770 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1691},	//3771 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1692},	//3772 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1693},	//3773 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1694},	//3774 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1695},	//3775 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1696},	//3776 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1697},	//3777 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1698},	//3778 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1699},	//3779 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1700},	//3780 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1701},	//3781 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1702},	//3782 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1703},	//3783 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1704},	//3784 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1705},	//3785 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1706},	//3786 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1707},	//3787 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1708},	//3788 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1709},	//3789 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1710},	//3790 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1711},	//3791 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1712},	//3792 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1713},	//3793 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1714},	//3794 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1715},	//3795 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1716},	//3796 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1717},	//3797 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1718},	//3798 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1719},	//3799 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1720},	//3800 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1721},	//3801 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1722},	//3802 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1723},	//3803 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1724},	//3804 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1725},	//3805 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1726},	//3806 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1727},	//3807 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1728},	//3808 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1729},	//3809 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1730},	//3810 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1731},	//3811 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1732},	//3812 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1733},	//3813 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1734},	//3814 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1735},	//3815 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1736},	//3816 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1737},	//3817 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1738},	//3818 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1739},	//3819 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1740},	//3820 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1741},	//3821 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1742},	//3822 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1743},	//3823 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1744},	//3824 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1745},	//3825 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1746},	//3826 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1747},	//3827 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1748},	//3828 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1749},	//3829 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1750},	//3830 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1751},	//3831 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1752},	//3832 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1753},	//3833 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1754},	//3834 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1755},	//3835 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1756},	//3836 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1757},	//3837 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1758},	//3838 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1759},	//3839 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1760},	//3840 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1761},	//3841 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1762},	//3842 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1763},	//3843 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1764},	//3844 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1765},	//3845 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1766},	//3846 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1767},	//3847 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1768},	//3848 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1769},	//3849 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1770},	//3850 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1771},	//3851 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1772},	//3852 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1773},	//3853 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1774},	//3854 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1775},	//3855 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1776},	//3856 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1777},	//3857 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1778},	//3858 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1779},	//3859 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1780},	//3860 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1781},	//3861 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1782},	//3862 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1783},	//3863 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1784},	//3864 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1785},	//3865 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1786},	//3866 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1787},	//3867 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1788},	//3868 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1789},	//3869 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1790},	//3870 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1791},	//3871 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1792},	//3872 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1793},	//3873 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1794},	//3874 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1795},	//3875 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1796},	//3876 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1797},	//3877 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1798},	//3878 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1799},	//3879 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1800},	//3880 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1801},	//3881 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1802},	//3882 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1803},	//3883 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1804},	//3884 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1805},	//3885 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1806},	//3886 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1807},	//3887 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1808},	//3888 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1809},	//3889 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1810},	//3890 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1811},	//3891 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1812},	//3892 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1813},	//3893 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1814},	//3894 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1815},	//3895 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1816},	//3896 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1817},	//3897 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1818},	//3898 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1819},	//3899 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1820},	//3900 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1821},	//3901 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1822},	//3902 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1823},	//3903 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1824},	//3904 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1825},	//3905 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1826},	//3906 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1827},	//3907 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1828},	//3908 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1829},	//3909 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1830},	//3910 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1831},	//3911 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1832},	//3912 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1833},	//3913 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1834},	//3914 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1835},	//3915 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1836},	//3916 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1837},	//3917 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1838},	//3918 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1839},	//3919 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1840},	//3920 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1841},	//3921 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1842},	//3922 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1843},	//3923 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1844},	//3924 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1845},	//3925 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1846},	//3926 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1847},	//3927 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1848},	//3928 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1849},	//3929 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1850},	//3930 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1851},	//3931 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1852},	//3932 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1853},	//3933 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1854},	//3934 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1855},	//3935 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1856},	//3936 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1857},	//3937 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1858},	//3938 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1859},	//3939 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1860},	//3940 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1861},	//3941 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1862},	//3942 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1863},	//3943 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1864},	//3944 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1865},	//3945 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1866},	//3946 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1867},	//3947 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1868},	//3948 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1869},	//3949 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1870},	//3950 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1871},	//3951 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1872},	//3952 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1873},	//3953 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1874},	//3954 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1875},	//3955 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1876},	//3956 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1877},	//3957 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1878},	//3958 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1879},	//3959 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1880},	//3960 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1881},	//3961 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1882},	//3962 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1883},	//3963 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1884},	//3964 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1885},	//3965 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1886},	//3966 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1887},	//3967 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1888},	//3968 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1889},	//3969 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1890},	//3970 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1891},	//3971 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1892},	//3972 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1893},	//3973 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1894},	//3974 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1895},	//3975 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1896},	//3976 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1897},	//3977 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1898},	//3978 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1899},	//3979 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1900},	//3980 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1901},	//3981 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1902},	//3982 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1903},	//3983 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1904},	//3984 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1905},	//3985 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1906},	//3986 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1907},	//3987 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1908},	//3988 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1909},	//3989 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1910},	//3990 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1911},	//3991 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1912},	//3992 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1913},	//3993 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1914},	//3994 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1915},	//3995 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1916},	//3996 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1917},	//3997 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1918},	//3998 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1919},	//3999 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1920},	//4000 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1921},	//4001 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1922},	//4002 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1923},	//4003 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1924},	//4004 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1925},	//4005 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1926},	//4006 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1927},	//4007 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1928},	//4008 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1929},	//4009 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1930},	//4010 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1931},	//4011 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1932},	//4012 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1933},	//4013 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1934},	//4014 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1935},	//4015 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1936},	//4016 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1937},	//4017 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1938},	//4018 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1939},	//4019 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1940},	//4020 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1941},	//4021 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1942},	//4022 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1943},	//4023 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1944},	//4024 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1945},	//4025 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1946},	//4026 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1947},	//4027 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1948},	//4028 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1949},	//4029 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1950},	//4030 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1951},	//4031 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1952},	//4032 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1953},	//4033 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1954},	//4034 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1955},	//4035 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1956},	//4036 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1957},	//4037 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1958},	//4038 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1959},	//4039 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1960},	//4040 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1961},	//4041 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1962},	//4042 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1963},	//4043 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1964},	//4044 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1965},	//4045 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1966},	//4046 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1967},	//4047 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1968},	//4048 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1969},	//4049 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1970},	//4050 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1971},	//4051 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1972},	//4052 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1973},	//4053 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1974},	//4054 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1975},	//4055 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1976},	//4056 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1977},	//4057 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1978},	//4058 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1979},	//4059 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1980},	//4060 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1981},	//4061 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1982},	//4062 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1983},	//4063 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1984},	//4064 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1985},	//4065 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1986},	//4066 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1987},	//4067 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1988},	//4068 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1989},	//4069 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1990},	//4070 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1991},	//4071 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1992},	//4072 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1993},	//4073 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1994},	//4074 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1995},	//4075 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1996},	//4076 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1997},	//4077 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1998},	//4078 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1999},	//4079 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2000},	//4080 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2001},	//4081 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2002},	//4082 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2003},	//4083 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2004},	//4084 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2005},	//4085 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2006},	//4086 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2007},	//4087 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2008},	//4088 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2009},	//4089 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2010},	//4090 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2011},	//4091 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2012},	//4092 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2013},	//4093 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2014},	//4094 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2015},	//4095 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2016},	//4096 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2017},	//4097 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2018},	//4098 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2019},	//4099 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2020},	//4100 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2021},	//4101 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2022},	//4102 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2023},	//4103 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2024},	//4104 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2025},	//4105 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2026},	//4106 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2027},	//4107 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2028},	//4108 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2029},	//4109 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2030},	//4110 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2031},	//4111 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2032},	//4112 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2033},	//4113 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2034},	//4114 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2035},	//4115 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2036},	//4116 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2037},	//4117 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2038},	//4118 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2039},	//4119 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2040},	//4120 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2041},	//4121 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2042},	//4122 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2043},	//4123 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2044},	//4124 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2045},	//4125 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2046},	//4126 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2047},	//4127 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2048},	//4128 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2049},	//4129 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2050},	//4130 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2051},	//4131 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2052},	//4132 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2053},	//4133 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2054},	//4134 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2055},	//4135 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2056},	//4136 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2057},	//4137 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2058},	//4138 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2059},	//4139 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2060},	//4140 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2061},	//4141 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2062},	//4142 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2063},	//4143 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2064},	//4144 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2065},	//4145 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2066},	//4146 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2067},	//4147 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2068},	//4148 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2069},	//4149 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2070},	//4150 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2071},	//4151 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2072},	//4152 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2073},	//4153 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2074},	//4154 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2075},	//4155 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2076},	//4156 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2077},	//4157 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2078},	//4158 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2079},	//4159 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2080},	//4160 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2081},	//4161 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2082},	//4162 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2083},	//4163 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2084},	//4164 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2085},	//4165 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2086},	//4166 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2087},	//4167 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2088},	//4168 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2089},	//4169 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2090},	//4170 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2091},	//4171 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2092},	//4172 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2093},	//4173 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2094},	//4174 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2095},	//4175 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2096},	//4176 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2097},	//4177 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2098},	//4178 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2099},	//4179 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2100},	//4180 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2101},	//4181 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2102},	//4182 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2103},	//4183 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2104},	//4184 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2105},	//4185 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2106},	//4186 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2107},	//4187 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2108},	//4188 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2109},	//4189 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2110},	//4190 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2111},	//4191 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2112},	//4192 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2113},	//4193 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2114},	//4194 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2115},	//4195 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2116},	//4196 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2117},	//4197 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2118},	//4198 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2119},	//4199 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2120},	//4200 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2121},	//4201 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2122},	//4202 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2123},	//4203 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2124},	//4204 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2125},	//4205 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2126},	//4206 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2127},	//4207 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2128},	//4208 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2129},	//4209 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2130},	//4210 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2131},	//4211 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2132},	//4212 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2133},	//4213 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2134},	//4214 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2135},	//4215 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2136},	//4216 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2137},	//4217 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2138},	//4218 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2139},	//4219 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2140},	//4220 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2141},	//4221 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2142},	//4222 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2143},	//4223 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2144},	//4224 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2145},	//4225 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2146},	//4226 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2147},	//4227 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2148},	//4228 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2149},	//4229 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2150},	//4230 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2151},	//4231 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2152},	//4232 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2153},	//4233 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2154},	//4234 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2155},	//4235 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2156},	//4236 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2157},	//4237 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2158},	//4238 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2159},	//4239 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2160},	//4240 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2161},	//4241 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2162},	//4242 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2163},	//4243 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2164},	//4244 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2165},	//4245 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2166},	//4246 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2167},	//4247 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2168},	//4248 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2169},	//4249 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2170},	//4250 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2171},	//4251 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2172},	//4252 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2173},	//4253 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2174},	//4254 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2175},	//4255 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2176},	//4256 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2177},	//4257 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2178},	//4258 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2179},	//4259 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2180},	//4260 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2181},	//4261 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2182},	//4262 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2183},	//4263 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2184},	//4264 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2185},	//4265 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2186},	//4266 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2187},	//4267 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2188},	//4268 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2189},	//4269 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2190},	//4270 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2191},	//4271 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2192},	//4272 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2193},	//4273 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2194},	//4274 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2195},	//4275 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2196},	//4276 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2197},	//4277 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2198},	//4278 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2199},	//4279 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2200},	//4280 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2201},	//4281 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2202},	//4282 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2203},	//4283 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2204},	//4284 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2205},	//4285 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2206},	//4286 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2207},	//4287 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2208},	//4288 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2209},	//4289 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2210},	//4290 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2211},	//4291 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2212},	//4292 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2213},	//4293 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2214},	//4294 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2215},	//4295 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2216},	//4296 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2217},	//4297 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2218},	//4298 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2219},	//4299 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2220},	//4300 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2221},	//4301 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2222},	//4302 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2223},	//4303 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2224},	//4304 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2225},	//4305 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2226},	//4306 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2227},	//4307 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2228},	//4308 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2229},	//4309 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2230},	//4310 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2231},	//4311 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2232},	//4312 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2233},	//4313 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2234},	//4314 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2235},	//4315 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2236},	//4316 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2237},	//4317 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2238},	//4318 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2239},	//4319 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2240},	//4320 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2241},	//4321 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2242},	//4322 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2243},	//4323 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2244},	//4324 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2245},	//4325 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2246},	//4326 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2247},	//4327 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2248},	//4328 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2249},	//4329 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2250},	//4330 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2251},	//4331 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2252},	//4332 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2253},	//4333 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2254},	//4334 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2255},	//4335 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2256},	//4336 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2257},	//4337 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2258},	//4338 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2259},	//4339 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2260},	//4340 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2261},	//4341 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2262},	//4342 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2263},	//4343 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2264},	//4344 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2265},	//4345 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2266},	//4346 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2267},	//4347 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2268},	//4348 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2269},	//4349 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2270},	//4350 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2271},	//4351 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2272},	//4352 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2273},	//4353 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2274},	//4354 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2275},	//4355 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2276},	//4356 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2277},	//4357 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2278},	//4358 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2279},	//4359 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2280},	//4360 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2281},	//4361 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2282},	//4362 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2283},	//4363 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2284},	//4364 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2285},	//4365 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2286},	//4366 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2287},	//4367 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2288},	//4368 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2289},	//4369 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2290},	//4370 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2291},	//4371 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2292},	//4372 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2293},	//4373 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2294},	//4374 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2295},	//4375 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2296},	//4376 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2297},	//4377 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2298},	//4378 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2299},	//4379 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2300},	//4380 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2301},	//4381 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2302},	//4382 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2303},	//4383 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2304},	//4384 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2305},	//4385 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2306},	//4386 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2307},	//4387 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2308},	//4388 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2309},	//4389 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2310},	//4390 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2311},	//4391 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2312},	//4392 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2313},	//4393 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2314},	//4394 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2315},	//4395 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2316},	//4396 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2317},	//4397 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2318},	//4398 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2319},	//4399 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2320},	//4400 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2321},	//4401 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2322},	//4402 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2323},	//4403 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2324},	//4404 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2325},	//4405 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2326},	//4406 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2327},	//4407 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2328},	//4408 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2329},	//4409 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2330},	//4410 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2331},	//4411 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2332},	//4412 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2333},	//4413 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2334},	//4414 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2335},	//4415 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2336},	//4416 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2337},	//4417 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2338},	//4418 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2339},	//4419 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2340},	//4420 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2341},	//4421 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2342},	//4422 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2343},	//4423 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2344},	//4424 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2345},	//4425 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2346},	//4426 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2347},	//4427 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2348},	//4428 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2349},	//4429 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2350},	//4430 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2351},	//4431 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2352},	//4432 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2353},	//4433 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2354},	//4434 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2355},	//4435 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2356},	//4436 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2357},	//4437 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2358},	//4438 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2359},	//4439 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2360},	//4440 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2361},	//4441 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2362},	//4442 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2363},	//4443 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2364},	//4444 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2365},	//4445 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2366},	//4446 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2367},	//4447 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2368},	//4448 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2369},	//4449 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2370},	//4450 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2371},	//4451 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2372},	//4452 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2373},	//4453 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2374},	//4454 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2375},	//4455 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2376},	//4456 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2377},	//4457 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2378},	//4458 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2379},	//4459 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2380},	//4460 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2381},	//4461 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2382},	//4462 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2383},	//4463 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2384},	//4464 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2385},	//4465 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2386},	//4466 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2387},	//4467 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2388},	//4468 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2389},	//4469 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2390},	//4470 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2391},	//4471 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2392},	//4472 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2393},	//4473 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2394},	//4474 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2395},	//4475 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2396},	//4476 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2397},	//4477 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2398},	//4478 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2399},	//4479 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2400},	//4480 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2401},	//4481 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2402},	//4482 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2403},	//4483 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2404},	//4484 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2405},	//4485 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2406},	//4486 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2407},	//4487 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2408},	//4488 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2409},	//4489 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2410},	//4490 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2411},	//4491 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2412},	//4492 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2413},	//4493 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2414},	//4494 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2415},	//4495 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2416},	//4496 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2417},	//4497 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2418},	//4498 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2419},	//4499 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2420},	//4500 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2421},	//4501 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2422},	//4502 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2423},	//4503 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2424},	//4504 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2425},	//4505 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2426},	//4506 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2427},	//4507 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2428},	//4508 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2429},	//4509 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2430},	//4510 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2431},	//4511 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2432},	//4512 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2433},	//4513 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2434},	//4514 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2435},	//4515 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2436},	//4516 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2437},	//4517 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2438},	//4518 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2439},	//4519 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2440},	//4520 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2441},	//4521 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2442},	//4522 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2443},	//4523 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2444},	//4524 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2445},	//4525 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2446},	//4526 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2447},	//4527 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2448},	//4528 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2449},	//4529 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2450},	//4530 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2451},	//4531 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2452},	//4532 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2453},	//4533 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2454},	//4534 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2455},	//4535 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2456},	//4536 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2457},	//4537 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2458},	//4538 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2459},	//4539 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2460},	//4540 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2461},	//4541 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2462},	//4542 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2463},	//4543 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2464},	//4544 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2465},	//4545 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2466},	//4546 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2467},	//4547 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2468},	//4548 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2469},	//4549 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2470},	//4550 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2471},	//4551 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2472},	//4552 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2473},	//4553 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2474},	//4554 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2475},	//4555 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2476},	//4556 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2477},	//4557 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2478},	//4558 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2479},	//4559 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2480},	//4560 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2481},	//4561 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2482},	//4562 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2483},	//4563 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2484},	//4564 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2485},	//4565 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2486},	//4566 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2487},	//4567 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2488},	//4568 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2489},	//4569 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2490},	//4570 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2491},	//4571 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2492},	//4572 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2493},	//4573 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2494},	//4574 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2495},	//4575 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2496},	//4576 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2497},	//4577 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2498},	//4578 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2499},	//4579 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2500},	//4580 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2501},	//4581 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2502},	//4582 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2503},	//4583 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2504},	//4584 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2505},	//4585 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2506},	//4586 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2507},	//4587 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2508},	//4588 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2509},	//4589 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2510},	//4590 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2511},	//4591 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2512},	//4592 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2513},	//4593 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2514},	//4594 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2515},	//4595 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2516},	//4596 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2517},	//4597 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2518},	//4598 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2519},	//4599 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2520},	//4600 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2521},	//4601 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2522},	//4602 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2523},	//4603 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2524},	//4604 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2525},	//4605 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2526},	//4606 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2527},	//4607 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2528},	//4608 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2529},	//4609 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2530},	//4610 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2531},	//4611 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2532},	//4612 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2533},	//4613 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2534},	//4614 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2535},	//4615 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2536},	//4616 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2537},	//4617 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2538},	//4618 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2539},	//4619 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2540},	//4620 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2541},	//4621 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2542},	//4622 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2543},	//4623 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2544},	//4624 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2545},	//4625 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2546},	//4626 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2547},	//4627 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2548},	//4628 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2549},	//4629 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2550},	//4630 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2551},	//4631 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2552},	//4632 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2553},	//4633 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2554},	//4634 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2555},	//4635 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2556},	//4636 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2557},	//4637 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2558},	//4638 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2559},	//4639 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2560},	//4640 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2561},	//4641 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2562},	//4642 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2563},	//4643 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2564},	//4644 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2565},	//4645 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2566},	//4646 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2567},	//4647 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2568},	//4648 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2569},	//4649 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2570},	//4650 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2571},	//4651 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2572},	//4652 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2573},	//4653 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2574},	//4654 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2575},	//4655 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2576},	//4656 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2577},	//4657 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2578},	//4658 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2579},	//4659 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2580},	//4660 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2581},	//4661 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2582},	//4662 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2583},	//4663 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2584},	//4664 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2585},	//4665 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2586},	//4666 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2587},	//4667 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2588},	//4668 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2589},	//4669 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2590},	//4670 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2591},	//4671 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2592},	//4672 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2593},	//4673 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2594},	//4674 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2595},	//4675 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2596},	//4676 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2597},	//4677 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2598},	//4678 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2599},	//4679 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2600},	//4680 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2601},	//4681 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2602},	//4682 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2603},	//4683 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2604},	//4684 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2605},	//4685 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2606},	//4686 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2607},	//4687 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2608},	//4688 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2609},	//4689 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2610},	//4690 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2611},	//4691 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2612},	//4692 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2613},	//4693 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2614},	//4694 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2615},	//4695 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2616},	//4696 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2617},	//4697 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2618},	//4698 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2619},	//4699 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2620},	//4700 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2621},	//4701 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2622},	//4702 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2623},	//4703 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2624},	//4704 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2625},	//4705 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2626},	//4706 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2627},	//4707 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2628},	//4708 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2629},	//4709 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2630},	//4710 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2631},	//4711 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2632},	//4712 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2633},	//4713 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2634},	//4714 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2635},	//4715 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2636},	//4716 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2637},	//4717 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2638},	//4718 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2639},	//4719 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2640},	//4720 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2641},	//4721 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2642},	//4722 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2643},	//4723 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2644},	//4724 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2645},	//4725 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2646},	//4726 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2647},	//4727 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2648},	//4728 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2649},	//4729 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2650},	//4730 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2651},	//4731 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2652},	//4732 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2653},	//4733 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2654},	//4734 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2655},	//4735 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2656},	//4736 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2657},	//4737 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2658},	//4738 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2659},	//4739 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2660},	//4740 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2661},	//4741 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2662},	//4742 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2663},	//4743 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2664},	//4744 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2665},	//4745 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2666},	//4746 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2667},	//4747 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2668},	//4748 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2669},	//4749 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2670},	//4750 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2671},	//4751 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2672},	//4752 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2673},	//4753 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2674},	//4754 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2675},	//4755 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2676},	//4756 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2677},	//4757 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2678},	//4758 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2679},	//4759 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2680},	//4760 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2681},	//4761 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2682},	//4762 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2683},	//4763 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2684},	//4764 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2685},	//4765 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2686},	//4766 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2687},	//4767 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2688},	//4768 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2689},	//4769 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2690},	//4770 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2691},	//4771 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2692},	//4772 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2693},	//4773 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2694},	//4774 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2695},	//4775 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2696},	//4776 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2697},	//4777 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2698},	//4778 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2699},	//4779 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2700},	//4780 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2701},	//4781 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2702},	//4782 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2703},	//4783 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2704},	//4784 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2705},	//4785 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2706},	//4786 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2707},	//4787 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2708},	//4788 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2709},	//4789 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2710},	//4790 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2711},	//4791 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2712},	//4792 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2713},	//4793 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2714},	//4794 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2715},	//4795 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2716},	//4796 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2717},	//4797 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2718},	//4798 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2719},	//4799 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2720},	//4800 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2721},	//4801 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2722},	//4802 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2723},	//4803 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2724},	//4804 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2725},	//4805 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2726},	//4806 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2727},	//4807 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2728},	//4808 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2729},	//4809 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2730},	//4810 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2731},	//4811 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2732},	//4812 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2733},	//4813 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2734},	//4814 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2735},	//4815 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2736},	//4816 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2737},	//4817 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2738},	//4818 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2739},	//4819 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2740},	//4820 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2741},	//4821 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2742},	//4822 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2743},	//4823 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2744},	//4824 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2745},	//4825 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2746},	//4826 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2747},	//4827 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2748},	//4828 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2749},	//4829 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2750},	//4830 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2751},	//4831 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2752},	//4832 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2753},	//4833 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2754},	//4834 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2755},	//4835 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2756},	//4836 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2757},	//4837 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2758},	//4838 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2759},	//4839 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2760},	//4840 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2761},	//4841 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2762},	//4842 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2763},	//4843 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2764},	//4844 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2765},	//4845 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2766},	//4846 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2767},	//4847 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2768},	//4848 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2769},	//4849 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2770},	//4850 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2771},	//4851 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2772},	//4852 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2773},	//4853 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2774},	//4854 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2775},	//4855 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2776},	//4856 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2777},	//4857 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2778},	//4858 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2779},	//4859 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2780},	//4860 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2781},	//4861 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2782},	//4862 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2783},	//4863 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2784},	//4864 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2785},	//4865 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2786},	//4866 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2787},	//4867 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2788},	//4868 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2789},	//4869 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2790},	//4870 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2791},	//4871 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2792},	//4872 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2793},	//4873 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2794},	//4874 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2795},	//4875 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2796},	//4876 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2797},	//4877 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2798},	//4878 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2799},	//4879 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2800},	//4880 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2801},	//4881 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2802},	//4882 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2803},	//4883 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2804},	//4884 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2805},	//4885 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2806},	//4886 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2807},	//4887 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2808},	//4888 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2809},	//4889 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2810},	//4890 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2811},	//4891 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2812},	//4892 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2813},	//4893 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2814},	//4894 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2815},	//4895 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2816},	//4896 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2817},	//4897 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2818},	//4898 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2819},	//4899 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2820},	//4900 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2821},	//4901 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2822},	//4902 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2823},	//4903 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2824},	//4904 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2825},	//4905 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2826},	//4906 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2827},	//4907 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2828},	//4908 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2829},	//4909 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2830},	//4910 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2831},	//4911 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2832},	//4912 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2833},	//4913 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2834},	//4914 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2835},	//4915 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2836},	//4916 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2837},	//4917 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2838},	//4918 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2839},	//4919 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2840},	//4920 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2841},	//4921 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2842},	//4922 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2843},	//4923 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2844},	//4924 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2845},	//4925 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2846},	//4926 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2847},	//4927 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2848},	//4928 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2849},	//4929 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2850},	//4930 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2851},	//4931 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2852},	//4932 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2853},	//4933 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2854},	//4934 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2855},	//4935 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2856},	//4936 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2857},	//4937 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2858},	//4938 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2859},	//4939 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2860},	//4940 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2861},	//4941 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2862},	//4942 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2863},	//4943 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2864},	//4944 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2865},	//4945 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2866},	//4946 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2867},	//4947 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2868},	//4948 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2869},	//4949 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2870},	//4950 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2871},	//4951 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2872},	//4952 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2873},	//4953 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2874},	//4954 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2875},	//4955 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2876},	//4956 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2877},	//4957 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2878},	//4958 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2879},	//4959 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2880},	//4960 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2881},	//4961 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2882},	//4962 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2883},	//4963 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2884},	//4964 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2885},	//4965 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2886},	//4966 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2887},	//4967 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2888},	//4968 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2889},	//4969 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2890},	//4970 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2891},	//4971 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2892},	//4972 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2893},	//4973 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2894},	//4974 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2895},	//4975 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2896},	//4976 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2897},	//4977 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2898},	//4978 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2899},	//4979 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2900},	//4980 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2901},	//4981 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2902},	//4982 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2903},	//4983 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2904},	//4984 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2905},	//4985 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2906},	//4986 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2907},	//4987 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2908},	//4988 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2909},	//4989 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2910},	//4990 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2911},	//4991 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2912},	//4992 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2913},	//4993 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2914},	//4994 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2915},	//4995 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2916},	//4996 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2917},	//4997 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2918},	//4998 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2919},	//4999 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2920},	//5000 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2921},	//5001 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2922},	//5002 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2923},	//5003 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2924},	//5004 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2925},	//5005 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2926},	//5006 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2927},	//5007 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2928},	//5008 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2929},	//5009 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2930},	//5010 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2931},	//5011 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2932},	//5012 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2933},	//5013 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2934},	//5014 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2935},	//5015 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2936},	//5016 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2937},	//5017 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2938},	//5018 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2939},	//5019 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2940},	//5020 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2941},	//5021 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2942},	//5022 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2943},	//5023 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2944},	//5024 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2945},	//5025 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2946},	//5026 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2947},	//5027 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2948},	//5028 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2949},	//5029 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2950},	//5030 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2951},	//5031 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2952},	//5032 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2953},	//5033 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2954},	//5034 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2955},	//5035 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2956},	//5036 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2957},	//5037 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2958},	//5038 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2959},	//5039 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2960},	//5040 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2961},	//5041 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2962},	//5042 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2963},	//5043 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2964},	//5044 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2965},	//5045 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2966},	//5046 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2967},	//5047 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2968},	//5048 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2969},	//5049 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2970},	//5050 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2971},	//5051 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2972},	//5052 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2973},	//5053 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2974},	//5054 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2975},	//5055 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2976},	//5056 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2977},	//5057 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2978},	//5058 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2979},	//5059 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2980},	//5060 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2981},	//5061 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2982},	//5062 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2983},	//5063 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2984},	//5064 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2985},	//5065 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2986},	//5066 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2987},	//5067 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2988},	//5068 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2989},	//5069 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2990},	//5070 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2991},	//5071 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2992},	//5072 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2993},	//5073 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2994},	//5074 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2995},	//5075 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2996},	//5076 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2997},	//5077 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2998},	//5078 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2999},	//5079 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3000},	//5080 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3001},	//5081 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3002},	//5082 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3003},	//5083 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3004},	//5084 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3005},	//5085 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3006},	//5086 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3007},	//5087 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3008},	//5088 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3009},	//5089 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3010},	//5090 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3011},	//5091 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3012},	//5092 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3013},	//5093 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3014},	//5094 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3015},	//5095 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3016},	//5096 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3017},	//5097 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3018},	//5098 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3019},	//5099 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3020},	//5100 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3021},	//5101 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3022},	//5102 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3023},	//5103 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3024},	//5104 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3025},	//5105 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3026},	//5106 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3027},	//5107 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3028},	//5108 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3029},	//5109 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3030},	//5110 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3031},	//5111 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3032},	//5112 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3033},	//5113 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3034},	//5114 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3035},	//5115 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3036},	//5116 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3037},	//5117 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3038},	//5118 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3039},	//5119 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3040},	//5120 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3041},	//5121 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3042},	//5122 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3043},	//5123 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3044},	//5124 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3045},	//5125 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3046},	//5126 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3047},	//5127 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3048},	//5128 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3049},	//5129 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3050},	//5130 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3051},	//5131 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3052},	//5132 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3053},	//5133 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3054},	//5134 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3055},	//5135 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3056},	//5136 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3057},	//5137 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3058},	//5138 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3059},	//5139 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3060},	//5140 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3061},	//5141 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3062},	//5142 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3063},	//5143 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3064},	//5144 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3065},	//5145 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3066},	//5146 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3067},	//5147 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3068},	//5148 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3069},	//5149 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3070},	//5150 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3071},	//5151 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3072},	//5152 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3073},	//5153 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3074},	//5154 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3075},	//5155 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3076},	//5156 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3077},	//5157 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3078},	//5158 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3079},	//5159 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3080},	//5160 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3081},	//5161 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3082},	//5162 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3083},	//5163 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3084},	//5164 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3085},	//5165 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3086},	//5166 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3087},	//5167 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3088},	//5168 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3089},	//5169 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3090},	//5170 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3091},	//5171 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3092},	//5172 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3093},	//5173 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3094},	//5174 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3095},	//5175 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3096},	//5176 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3097},	//5177 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3098},	//5178 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3099},	//5179 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3100},	//5180 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3101},	//5181 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3102},	//5182 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3103},	//5183 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3104},	//5184 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3105},	//5185 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3106},	//5186 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3107},	//5187 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3108},	//5188 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3109},	//5189 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3110},	//5190 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3111},	//5191 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3112},	//5192 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3113},	//5193 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3114},	//5194 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3115},	//5195 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3116},	//5196 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3117},	//5197 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3118},	//5198 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3119},	//5199 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3120},	//5200 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3121},	//5201 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3122},	//5202 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3123},	//5203 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3124},	//5204 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3125},	//5205 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3126},	//5206 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3127},	//5207 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3128},	//5208 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3129},	//5209 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3130},	//5210 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3131},	//5211 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3132},	//5212 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3133},	//5213 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3134},	//5214 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3135},	//5215 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3136},	//5216 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3137},	//5217 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3138},	//5218 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3139},	//5219 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3140},	//5220 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3141},	//5221 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3142},	//5222 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3143},	//5223 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3144},	//5224 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3145},	//5225 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3146},	//5226 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3147},	//5227 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3148},	//5228 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3149},	//5229 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3150},	//5230 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3151},	//5231 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3152},	//5232 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3153},	//5233 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3154},	//5234 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3155},	//5235 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3156},	//5236 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3157},	//5237 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3158},	//5238 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3159},	//5239 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3160},	//5240 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3161},	//5241 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3162},	//5242 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3163},	//5243 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3164},	//5244 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3165},	//5245 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3166},	//5246 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3167},	//5247 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3168},	//5248 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3169},	//5249 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3170},	//5250 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3171},	//5251 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3172},	//5252 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3173},	//5253 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3174},	//5254 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3175},	//5255 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3176},	//5256 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3177},	//5257 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3178},	//5258 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3179},	//5259 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3180},	//5260 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3181},	//5261 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3182},	//5262 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3183},	//5263 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3184},	//5264 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3185},	//5265 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3186},	//5266 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3187},	//5267 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3188},	//5268 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3189},	//5269 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3190},	//5270 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3191},	//5271 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3192},	//5272 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3193},	//5273 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3194},	//5274 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3195},	//5275 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3196},	//5276 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3197},	//5277 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3198},	//5278 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3199},	//5279 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3200},	//5280 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3201},	//5281 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3202},	//5282 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3203},	//5283 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3204},	//5284 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3205},	//5285 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3206},	//5286 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3207},	//5287 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3208},	//5288 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3209},	//5289 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3210},	//5290 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3211},	//5291 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3212},	//5292 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3213},	//5293 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3214},	//5294 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3215},	//5295 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3216},	//5296 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3217},	//5297 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3218},	//5298 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3219},	//5299 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3220},	//5300 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3221},	//5301 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3222},	//5302 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3223},	//5303 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3224},	//5304 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3225},	//5305 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3226},	//5306 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3227},	//5307 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3228},	//5308 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3229},	//5309 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3230},	//5310 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3231},	//5311 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3232},	//5312 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3233},	//5313 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3234},	//5314 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3235},	//5315 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3236},	//5316 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3237},	//5317 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3238},	//5318 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3239},	//5319 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3240},	//5320 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3241},	//5321 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3242},	//5322 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3243},	//5323 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3244},	//5324 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3245},	//5325 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3246},	//5326 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3247},	//5327 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3248},	//5328 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3249},	//5329 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3250},	//5330 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3251},	//5331 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3252},	//5332 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3253},	//5333 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3254},	//5334 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3255},	//5335 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3256},	//5336 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3257},	//5337 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3258},	//5338 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3259},	//5339 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3260},	//5340 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3261},	//5341 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3262},	//5342 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3263},	//5343 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3264},	//5344 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3265},	//5345 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3266},	//5346 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3267},	//5347 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3268},	//5348 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3269},	//5349 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3270},	//5350 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3271},	//5351 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3272},	//5352 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3273},	//5353 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3274},	//5354 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3275},	//5355 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3276},	//5356 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3277},	//5357 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3278},	//5358 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3279},	//5359 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3280},	//5360 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3281},	//5361 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3282},	//5362 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3283},	//5363 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3284},	//5364 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3285},	//5365 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3286},	//5366 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3287},	//5367 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3288},	//5368 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3289},	//5369 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3290},	//5370 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3291},	//5371 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3292},	//5372 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3293},	//5373 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3294},	//5374 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3295},	//5375 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3296},	//5376 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3297},	//5377 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3298},	//5378 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3299},	//5379 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3300},	//5380 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3301},	//5381 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3302},	//5382 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3303},	//5383 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3304},	//5384 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3305},	//5385 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3306},	//5386 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3307},	//5387 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3308},	//5388 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3309},	//5389 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3310},	//5390 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3311},	//5391 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3312},	//5392 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3313},	//5393 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3314},	//5394 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3315},	//5395 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3316},	//5396 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3317},	//5397 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3318},	//5398 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3319},	//5399 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3320},	//5400 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3321},	//5401 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3322},	//5402 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3323},	//5403 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3324},	//5404 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3325},	//5405 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3326},	//5406 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3327},	//5407 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3328},	//5408 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3329},	//5409 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3330},	//5410 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3331},	//5411 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3332},	//5412 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3333},	//5413 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3334},	//5414 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3335},	//5415 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3336},	//5416 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3337},	//5417 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3338},	//5418 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3339},	//5419 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3340},	//5420 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3341},	//5421 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3342},	//5422 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3343},	//5423 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3344},	//5424 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3345},	//5425 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3346},	//5426 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3347},	//5427 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3348},	//5428 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3349},	//5429 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3350},	//5430 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3351},	//5431 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3352},	//5432 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3353},	//5433 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3354},	//5434 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3355},	//5435 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3356},	//5436 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3357},	//5437 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3358},	//5438 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3359},	//5439 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3360},	//5440 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3361},	//5441 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3362},	//5442 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3363},	//5443 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3364},	//5444 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3365},	//5445 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3366},	//5446 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3367},	//5447 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3368},	//5448 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3369},	//5449 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3370},	//5450 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3371},	//5451 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3372},	//5452 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3373},	//5453 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3374},	//5454 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3375},	//5455 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3376},	//5456 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3377},	//5457 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3378},	//5458 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3379},	//5459 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3380},	//5460 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3381},	//5461 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3382},	//5462 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3383},	//5463 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3384},	//5464 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3385},	//5465 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3386},	//5466 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3387},	//5467 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3388},	//5468 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3389},	//5469 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3390},	//5470 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3391},	//5471 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3392},	//5472 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3393},	//5473 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3394},	//5474 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3395},	//5475 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3396},	//5476 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3397},	//5477 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3398},	//5478 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3399},	//5479 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3400},	//5480 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3401},	//5481 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3402},	//5482 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3403},	//5483 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3404},	//5484 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3405},	//5485 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3406},	//5486 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3407},	//5487 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3408},	//5488 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3409},	//5489 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3410},	//5490 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3411},	//5491 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3412},	//5492 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3413},	//5493 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3414},	//5494 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3415},	//5495 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3416},	//5496 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3417},	//5497 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3418},	//5498 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3419},	//5499 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3420},	//5500 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3421},	//5501 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3422},	//5502 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3423},	//5503 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3424},	//5504 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3425},	//5505 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3426},	//5506 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3427},	//5507 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3428},	//5508 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3429},	//5509 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3430},	//5510 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3431},	//5511 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3432},	//5512 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3433},	//5513 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3434},	//5514 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3435},	//5515 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3436},	//5516 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3437},	//5517 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3438},	//5518 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3439},	//5519 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3440},	//5520 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3441},	//5521 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3442},	//5522 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3443},	//5523 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3444},	//5524 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3445},	//5525 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3446},	//5526 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3447},	//5527 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3448},	//5528 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3449},	//5529 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3450},	//5530 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3451},	//5531 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3452},	//5532 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3453},	//5533 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3454},	//5534 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3455},	//5535 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3456},	//5536 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3457},	//5537 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3458},	//5538 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3459},	//5539 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3460},	//5540 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3461},	//5541 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3462},	//5542 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3463},	//5543 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3464},	//5544 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3465},	//5545 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3466},	//5546 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3467},	//5547 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3468},	//5548 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3469},	//5549 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3470},	//5550 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3471},	//5551 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3472},	//5552 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3473},	//5553 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3474},	//5554 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3475},	//5555 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3476},	//5556 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3477},	//5557 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3478},	//5558 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3479},	//5559 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3480},	//5560 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3481},	//5561 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3482},	//5562 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3483},	//5563 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3484},	//5564 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3485},	//5565 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3486},	//5566 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3487},	//5567 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3488},	//5568 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3489},	//5569 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3490},	//5570 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3491},	//5571 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3492},	//5572 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3493},	//5573 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3494},	//5574 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3495},	//5575 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3496},	//5576 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3497},	//5577 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3498},	//5578 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3499},	//5579 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3500},	//5580 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3501},	//5581 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3502},	//5582 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3503},	//5583 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3504},	//5584 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3505},	//5585 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3506},	//5586 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3507},	//5587 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3508},	//5588 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3509},	//5589 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3510},	//5590 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3511},	//5591 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3512},	//5592 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3513},	//5593 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3514},	//5594 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3515},	//5595 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3516},	//5596 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3517},	//5597 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3518},	//5598 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3519},	//5599 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3520},	//5600 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3521},	//5601 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3522},	//5602 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3523},	//5603 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3524},	//5604 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3525},	//5605 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3526},	//5606 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3527},	//5607 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3528},	//5608 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3529},	//5609 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3530},	//5610 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3531},	//5611 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3532},	//5612 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3533},	//5613 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3534},	//5614 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3535},	//5615 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3536},	//5616 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3537},	//5617 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3538},	//5618 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3539},	//5619 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3540},	//5620 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3541},	//5621 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3542},	//5622 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3543},	//5623 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3544},	//5624 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3545},	//5625 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3546},	//5626 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3547},	//5627 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3548},	//5628 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3549},	//5629 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3550},	//5630 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3551},	//5631 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3552},	//5632 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3553},	//5633 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3554},	//5634 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3555},	//5635 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3556},	//5636 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3557},	//5637 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3558},	//5638 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3559},	//5639 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3560},	//5640 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3561},	//5641 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3562},	//5642 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3563},	//5643 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3564},	//5644 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3565},	//5645 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3566},	//5646 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3567},	//5647 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3568},	//5648 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3569},	//5649 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3570},	//5650 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3571},	//5651 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3572},	//5652 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3573},	//5653 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3574},	//5654 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3575},	//5655 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3576},	//5656 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3577},	//5657 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3578},	//5658 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3579},	//5659 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3580},	//5660 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3581},	//5661 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3582},	//5662 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3583},	//5663 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3584},	//5664 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3585},	//5665 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3586},	//5666 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3587},	//5667 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3588},	//5668 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3589},	//5669 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3590},	//5670 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3591},	//5671 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3592},	//5672 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3593},	//5673 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3594},	//5674 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3595},	//5675 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3596},	//5676 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3597},	//5677 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3598},	//5678 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3599},	//5679 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3600},	//5680 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3601},	//5681 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3602},	//5682 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3603},	//5683 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3604},	//5684 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3605},	//5685 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3606},	//5686 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3607},	//5687 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3608},	//5688 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3609},	//5689 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3610},	//5690 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3611},	//5691 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3612},	//5692 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3613},	//5693 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3614},	//5694 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3615},	//5695 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3616},	//5696 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3617},	//5697 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3618},	//5698 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3619},	//5699 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3620},	//5700 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3621},	//5701 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3622},	//5702 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3623},	//5703 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3624},	//5704 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3625},	//5705 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3626},	//5706 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3627},	//5707 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3628},	//5708 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3629},	//5709 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3630},	//5710 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3631},	//5711 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3632},	//5712 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3633},	//5713 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3634},	//5714 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3635},	//5715 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3636},	//5716 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3637},	//5717 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3638},	//5718 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3639},	//5719 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3640},	//5720 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3641},	//5721 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3642},	//5722 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3643},	//5723 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3644},	//5724 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3645},	//5725 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3646},	//5726 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3647},	//5727 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3648},	//5728 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3649},	//5729 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3650},	//5730 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3651},	//5731 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3652},	//5732 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3653},	//5733 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3654},	//5734 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3655},	//5735 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3656},	//5736 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3657},	//5737 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3658},	//5738 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3659},	//5739 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3660},	//5740 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3661},	//5741 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3662},	//5742 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3663},	//5743 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3664},	//5744 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3665},	//5745 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3666},	//5746 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3667},	//5747 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3668},	//5748 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3669},	//5749 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3670},	//5750 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3671},	//5751 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3672},	//5752 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3673},	//5753 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3674},	//5754 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3675},	//5755 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3676},	//5756 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3677},	//5757 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3678},	//5758 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3679},	//5759 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3680},	//5760 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3681},	//5761 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3682},	//5762 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3683},	//5763 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3684},	//5764 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3685},	//5765 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3686},	//5766 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3687},	//5767 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3688},	//5768 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3689},	//5769 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3690},	//5770 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3691},	//5771 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3692},	//5772 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3693},	//5773 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3694},	//5774 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3695},	//5775 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3696},	//5776 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3697},	//5777 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3698},	//5778 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3699},	//5779 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3700},	//5780 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3701},	//5781 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3702},	//5782 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3703},	//5783 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3704},	//5784 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3705},	//5785 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3706},	//5786 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3707},	//5787 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3708},	//5788 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3709},	//5789 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3710},	//5790 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3711},	//5791 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3712},	//5792 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3713},	//5793 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3714},	//5794 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3715},	//5795 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3716},	//5796 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3717},	//5797 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3718},	//5798 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3719},	//5799 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3720},	//5800 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3721},	//5801 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3722},	//5802 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3723},	//5803 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3724},	//5804 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3725},	//5805 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3726},	//5806 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3727},	//5807 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3728},	//5808 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3729},	//5809 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3730},	//5810 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3731},	//5811 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3732},	//5812 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3733},	//5813 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3734},	//5814 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3735},	//5815 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3736},	//5816 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3737},	//5817 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3738},	//5818 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3739},	//5819 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3740},	//5820 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3741},	//5821 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3742},	//5822 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3743},	//5823 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3744},	//5824 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3745},	//5825 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3746},	//5826 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3747},	//5827 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3748},	//5828 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3749},	//5829 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3750},	//5830 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3751},	//5831 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3752},	//5832 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3753},	//5833 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3754},	//5834 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3755},	//5835 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3756},	//5836 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3757},	//5837 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3758},	//5838 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3759},	//5839 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3760},	//5840 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3761},	//5841 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3762},	//5842 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3763},	//5843 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3764},	//5844 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3765},	//5845 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3766},	//5846 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3767},	//5847 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3768},	//5848 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3769},	//5849 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3770},	//5850 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3771},	//5851 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3772},	//5852 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3773},	//5853 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3774},	//5854 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3775},	//5855 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3776},	//5856 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3777},	//5857 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3778},	//5858 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3779},	//5859 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3780},	//5860 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3781},	//5861 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3782},	//5862 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3783},	//5863 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3784},	//5864 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3785},	//5865 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3786},	//5866 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3787},	//5867 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3788},	//5868 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3789},	//5869 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3790},	//5870 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3791},	//5871 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3792},	//5872 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3793},	//5873 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3794},	//5874 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3795},	//5875 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3796},	//5876 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3797},	//5877 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3798},	//5878 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3799},	//5879 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3800},	//5880 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3801},	//5881 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3802},	//5882 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3803},	//5883 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3804},	//5884 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3805},	//5885 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3806},	//5886 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3807},	//5887 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3808},	//5888 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3809},	//5889 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3810},	//5890 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3811},	//5891 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3812},	//5892 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3813},	//5893 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3814},	//5894 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3815},	//5895 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3816},	//5896 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3817},	//5897 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3818},	//5898 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3819},	//5899 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3820},	//5900 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3821},	//5901 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3822},	//5902 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3823},	//5903 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3824},	//5904 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3825},	//5905 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3826},	//5906 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3827},	//5907 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3828},	//5908 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3829},	//5909 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3830},	//5910 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3831},	//5911 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3832},	//5912 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3833},	//5913 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3834},	//5914 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3835},	//5915 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3836},	//5916 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3837},	//5917 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3838},	//5918 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3839},	//5919 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3840},	//5920 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3841},	//5921 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3842},	//5922 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3843},	//5923 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3844},	//5924 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3845},	//5925 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3846},	//5926 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3847},	//5927 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3848},	//5928 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3849},	//5929 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3850},	//5930 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3851},	//5931 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3852},	//5932 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3853},	//5933 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3854},	//5934 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3855},	//5935 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3856},	//5936 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3857},	//5937 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3858},	//5938 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3859},	//5939 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3860},	//5940 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3861},	//5941 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3862},	//5942 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3863},	//5943 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3864},	//5944 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3865},	//5945 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3866},	//5946 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3867},	//5947 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3868},	//5948 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3869},	//5949 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3870},	//5950 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3871},	//5951 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3872},	//5952 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3873},	//5953 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3874},	//5954 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3875},	//5955 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3876},	//5956 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3877},	//5957 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3878},	//5958 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3879},	//5959 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3880},	//5960 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3881},	//5961 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3882},	//5962 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3883},	//5963 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3884},	//5964 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3885},	//5965 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3886},	//5966 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3887},	//5967 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3888},	//5968 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3889},	//5969 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3890},	//5970 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3891},	//5971 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3892},	//5972 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3893},	//5973 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3894},	//5974 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3895},	//5975 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3896},	//5976 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3897},	//5977 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3898},	//5978 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3899},	//5979 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3900},	//5980 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3901},	//5981 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3902},	//5982 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3903},	//5983 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3904},	//5984 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3905},	//5985 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3906},	//5986 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3907},	//5987 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3908},	//5988 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3909},	//5989 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3910},	//5990 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3911},	//5991 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3912},	//5992 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3913},	//5993 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3914},	//5994 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3915},	//5995 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3916},	//5996 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3917},	//5997 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3918},	//5998 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3919},	//5999 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3920},	//6000 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3921},	//6001 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3922},	//6002 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3923},	//6003 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3924},	//6004 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3925},	//6005 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3926},	//6006 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3927},	//6007 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3928},	//6008 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3929},	//6009 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3930},	//6010 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3931},	//6011 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3932},	//6012 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3933},	//6013 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3934},	//6014 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3935},	//6015 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3936},	//6016 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3937},	//6017 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3938},	//6018 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3939},	//6019 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3940},	//6020 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3941},	//6021 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3942},	//6022 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3943},	//6023 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3944},	//6024 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3945},	//6025 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3946},	//6026 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3947},	//6027 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3948},	//6028 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3949},	//6029 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3950},	//6030 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3951},	//6031 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3952},	//6032 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3953},	//6033 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3954},	//6034 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3955},	//6035 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3956},	//6036 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3957},	//6037 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3958},	//6038 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3959},	//6039 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3960},	//6040 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3961},	//6041 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3962},	//6042 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3963},	//6043 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3964},	//6044 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3965},	//6045 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3966},	//6046 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3967},	//6047 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3968},	//6048 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3969},	//6049 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3970},	//6050 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3971},	//6051 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3972},	//6052 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3973},	//6053 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3974},	//6054 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3975},	//6055 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3976},	//6056 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3977},	//6057 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3978},	//6058 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3979},	//6059 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3980},	//6060 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3981},	//6061 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3982},	//6062 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3983},	//6063 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3984},	//6064 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3985},	//6065 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3986},	//6066 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3987},	//6067 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3988},	//6068 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3989},	//6069 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3990},	//6070 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3991},	//6071 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3992},	//6072 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3993},	//6073 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3994},	//6074 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3995},	//6075 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3996},	//6076 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3997},	//6077 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3998},	//6078 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3999},	//6079 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4000},	//6080 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4001},	//6081 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4002},	//6082 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4003},	//6083 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4004},	//6084 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4005},	//6085 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4006},	//6086 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4007},	//6087 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4008},	//6088 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4009},	//6089 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4010},	//6090 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4011},	//6091 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4012},	//6092 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4013},	//6093 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4014},	//6094 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4015},	//6095 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4016},	//6096 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4017},	//6097 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4018},	//6098 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4019},	//6099 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4020},	//6100 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4021},	//6101 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4022},	//6102 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4023},	//6103 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4024},	//6104 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4025},	//6105 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4026},	//6106 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4027},	//6107 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4028},	//6108 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4029},	//6109 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4030},	//6110 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4031},	//6111 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4032},	//6112 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4033},	//6113 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4034},	//6114 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4035},	//6115 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4036},	//6116 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4037},	//6117 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4038},	//6118 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4039},	//6119 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4040},	//6120 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4041},	//6121 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4042},	//6122 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4043},	//6123 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4044},	//6124 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4045},	//6125 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4046},	//6126 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4047},	//6127 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4048},	//6128 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4049},	//6129 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4050},	//6130 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4051},	//6131 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4052},	//6132 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4053},	//6133 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4054},	//6134 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4055},	//6135 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4056},	//6136 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4057},	//6137 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4058},	//6138 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4059},	//6139 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4060},	//6140 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4061},	//6141 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4062},	//6142 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4063},	//6143 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4064},	//6144 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4065},	//6145 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4066},	//6146 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4067},	//6147 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4068},	//6148 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4069},	//6149 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4070},	//6150 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4071},	//6151 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4072},	//6152 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4073},	//6153 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4074},	//6154 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4075},	//6155 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4076},	//6156 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4077},	//6157 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4078},	//6158 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4079},	//6159 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4080},	//6160 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4081},	//6161 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4082},	//6162 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4083},	//6163 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4084},	//6164 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4085},	//6165 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4086},	//6166 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4087},	//6167 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4088},	//6168 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4089},	//6169 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4090},	//6170 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4091},	//6171 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4092},	//6172 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4093},	//6173 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4094},	//6174 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4095},	//6175 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4096},	//6176 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4097},	//6177 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4098},	//6178 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4099},	//6179 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4100},	//6180 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4101},	//6181 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4102},	//6182 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4103},	//6183 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4104},	//6184 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4105},	//6185 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4106},	//6186 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4107},	//6187 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4108},	//6188 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4109},	//6189 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4110},	//6190 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4111},	//6191 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4112},	//6192 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4113},	//6193 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4114},	//6194 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4115},	//6195 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4116},	//6196 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4117},	//6197 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4118},	//6198 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4119},	//6199 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4120},	//6200 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4121},	//6201 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4122},	//6202 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4123},	//6203 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4124},	//6204 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4125},	//6205 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4126},	//6206 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4127},	//6207 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4128},	//6208 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4129},	//6209 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4130},	//6210 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4131},	//6211 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4132},	//6212 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4133},	//6213 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4134},	//6214 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4135},	//6215 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4136},	//6216 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4137},	//6217 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4138},	//6218 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4139},	//6219 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4140},	//6220 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4141},	//6221 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4142},	//6222 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4143},	//6223 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4144},	//6224 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4145},	//6225 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4146},	//6226 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4147},	//6227 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4148},	//6228 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4149},	//6229 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4150},	//6230 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4151},	//6231 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4152},	//6232 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4153},	//6233 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4154},	//6234 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4155},	//6235 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4156},	//6236 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4157},	//6237 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4158},	//6238 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4159},	//6239 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4160},	//6240 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4161},	//6241 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4162},	//6242 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4163},	//6243 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4164},	//6244 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4165},	//6245 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4166},	//6246 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4167},	//6247 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4168},	//6248 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4169},	//6249 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4170},	//6250 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4171},	//6251 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4172},	//6252 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4173},	//6253 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4174},	//6254 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4175},	//6255 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4176},	//6256 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4177},	//6257 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4178},	//6258 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4179},	//6259 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4180},	//6260 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4181},	//6261 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4182},	//6262 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4183},	//6263 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4184},	//6264 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4185},	//6265 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4186},	//6266 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4187},	//6267 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4188},	//6268 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4189},	//6269 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4190},	//6270 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4191},	//6271 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4192},	//6272 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4193},	//6273 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4194},	//6274 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4195},	//6275 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4196},	//6276 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4197},	//6277 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4198},	//6278 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4199},	//6279 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4200},	//6280 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4201},	//6281 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4202},	//6282 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4203},	//6283 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4204},	//6284 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4205},	//6285 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4206},	//6286 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4207},	//6287 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4208},	//6288 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4209},	//6289 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4210},	//6290 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4211},	//6291 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4212},	//6292 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4213},	//6293 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4214},	//6294 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4215},	//6295 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4216},	//6296 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4217},	//6297 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4218},	//6298 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {87, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4219},	//6299 QsciScintillaBase::SCLEX_NULL (enum)
    {87, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4220},	//6300 QsciScintillaBase::SCLEX_PYTHON (enum)
    {87, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4221},	//6301 QsciScintillaBase::SCLEX_CPP (enum)
    {87, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4222},	//6302 QsciScintillaBase::SCLEX_HTML (enum)
    {87, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4223},	//6303 QsciScintillaBase::SCLEX_XML (enum)
    {87, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4224},	//6304 QsciScintillaBase::SCLEX_PERL (enum)
    {87, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4225},	//6305 QsciScintillaBase::SCLEX_SQL (enum)
    {87, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4226},	//6306 QsciScintillaBase::SCLEX_VB (enum)
    {87, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4227},	//6307 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {87, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4228},	//6308 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {87, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4229},	//6309 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4230},	//6310 QsciScintillaBase::SCLEX_BATCH (enum)
    {87, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4231},	//6311 QsciScintillaBase::SCLEX_LATEX (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4232},	//6312 QsciScintillaBase::SCLEX_LUA (enum)
    {87, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4233},	//6313 QsciScintillaBase::SCLEX_DIFF (enum)
    {87, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4234},	//6314 QsciScintillaBase::SCLEX_CONF (enum)
    {87, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4235},	//6315 QsciScintillaBase::SCLEX_PASCAL (enum)
    {87, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4236},	//6316 QsciScintillaBase::SCLEX_AVE (enum)
    {87, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4237},	//6317 QsciScintillaBase::SCLEX_ADA (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4238},	//6318 QsciScintillaBase::SCLEX_LISP (enum)
    {87, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4239},	//6319 QsciScintillaBase::SCLEX_RUBY (enum)
    {87, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4240},	//6320 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {87, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4241},	//6321 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {87, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4242},	//6322 QsciScintillaBase::SCLEX_TCL (enum)
    {87, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4243},	//6323 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {87, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4244},	//6324 QsciScintillaBase::SCLEX_BULLANT (enum)
    {87, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4245},	//6325 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {87, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4246},	//6326 QsciScintillaBase::SCLEX_ASP (enum)
    {87, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4247},	//6327 QsciScintillaBase::SCLEX_PHP (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4248},	//6328 QsciScintillaBase::SCLEX_BAAN (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4249},	//6329 QsciScintillaBase::SCLEX_MATLAB (enum)
    {87, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4250},	//6330 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {87, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4251},	//6331 QsciScintillaBase::SCLEX_ASM (enum)
    {87, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4252},	//6332 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {87, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4253},	//6333 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {87, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4254},	//6334 QsciScintillaBase::SCLEX_F77 (enum)
    {87, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4255},	//6335 QsciScintillaBase::SCLEX_CSS (enum)
    {87, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4256},	//6336 QsciScintillaBase::SCLEX_POV (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4257},	//6337 QsciScintillaBase::SCLEX_LOUT (enum)
    {87, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4258},	//6338 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {87, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4259},	//6339 QsciScintillaBase::SCLEX_PS (enum)
    {87, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4260},	//6340 QsciScintillaBase::SCLEX_NSIS (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4261},	//6341 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {87, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4262},	//6342 QsciScintillaBase::SCLEX_CLW (enum)
    {87, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4263},	//6343 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {87, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4264},	//6344 QsciScintillaBase::SCLEX_LOT (enum)
    {87, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4265},	//6345 QsciScintillaBase::SCLEX_YAML (enum)
    {87, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4266},	//6346 QsciScintillaBase::SCLEX_TEX (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4267},	//6347 QsciScintillaBase::SCLEX_METAPOST (enum)
    {87, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4268},	//6348 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {87, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4269},	//6349 QsciScintillaBase::SCLEX_FORTH (enum)
    {87, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4270},	//6350 QsciScintillaBase::SCLEX_ERLANG (enum)
    {87, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4271},	//6351 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4272},	//6352 QsciScintillaBase::SCLEX_MSSQL (enum)
    {87, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4273},	//6353 QsciScintillaBase::SCLEX_VERILOG (enum)
    {87, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4274},	//6354 QsciScintillaBase::SCLEX_KIX (enum)
    {87, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4275},	//6355 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {87, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4276},	//6356 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {87, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4277},	//6357 QsciScintillaBase::SCLEX_AU3 (enum)
    {87, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4278},	//6358 QsciScintillaBase::SCLEX_APDL (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4279},	//6359 QsciScintillaBase::SCLEX_BASH (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4280},	//6360 QsciScintillaBase::SCLEX_ASN1 (enum)
    {87, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4281},	//6361 QsciScintillaBase::SCLEX_VHDL (enum)
    {87, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4282},	//6362 QsciScintillaBase::SCLEX_CAML (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4283},	//6363 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {87, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4284},	//6364 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {87, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4285},	//6365 QsciScintillaBase::SCLEX_HASKELL (enum)
    {87, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4286},	//6366 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4287},	//6367 QsciScintillaBase::SCLEX_TADS3 (enum)
    {87, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4288},	//6368 QsciScintillaBase::SCLEX_REBOL (enum)
    {87, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4289},	//6369 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {87, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4290},	//6370 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {87, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4291},	//6371 QsciScintillaBase::SCLEX_CSOUND (enum)
    {87, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4292},	//6372 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {87, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4293},	//6373 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {87, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4294},	//6374 QsciScintillaBase::SCLEX_OPAL (enum)
    {87, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4295},	//6375 QsciScintillaBase::SCLEX_SPICE (enum)
    {87, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4296},	//6376 QsciScintillaBase::SCLEX_D (enum)
    {87, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4297},	//6377 QsciScintillaBase::SCLEX_CMAKE (enum)
    {87, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4298},	//6378 QsciScintillaBase::SCLEX_GAP (enum)
    {87, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4299},	//6379 QsciScintillaBase::SCLEX_PLM (enum)
    {87, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4300},	//6380 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {87, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4301},	//6381 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {87, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4302},	//6382 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {87, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4303},	//6383 QsciScintillaBase::SCLEX_R (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4304},	//6384 QsciScintillaBase::SCLEX_MAGIK (enum)
    {87, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4305},	//6385 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4306},	//6386 QsciScintillaBase::SCLEX_MYSQL (enum)
    {87, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4307},	//6387 QsciScintillaBase::SCLEX_PO (enum)
    {87, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4308},	//6388 QsciScintillaBase::SCLEX_TAL (enum)
    {87, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4309},	//6389 QsciScintillaBase::SCLEX_COBOL (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4310},	//6390 QsciScintillaBase::SCLEX_TACL (enum)
    {87, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4311},	//6391 QsciScintillaBase::SCLEX_SORCUS (enum)
    {87, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4312},	//6392 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {87, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4313},	//6393 QsciScintillaBase::SCLEX_NIMROD (enum)
    {87, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4314},	//6394 QsciScintillaBase::SCLEX_SML (enum)
    {87, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4315},	//6395 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {87, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4316},	//6396 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {87, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4317},	//6397 QsciScintillaBase::SCLEX_A68K (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4318},	//6398 QsciScintillaBase::SCLEX_MODULA (enum)
    {87, 1648, 0, 0, Smoke::mf_dtor, 0, 4319 },	//6399 QsciScintillaBase::~QsciScintillaBase()
    {88, 521, 18, 1, Smoke::mf_ctor, 110, 1},	//6400 QsciStyle::QsciStyle(int)
    {88, 521, 424, 6, Smoke::mf_ctor, 110, 2},	//6401 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {88, 878, 125, 1, Smoke::mf_const, 0, 3},	//6402 QsciStyle::apply(QsciScintillaBase*) const
    {88, 1546, 0, 0, Smoke::mf_const, 215, 4},	//6403 QsciStyle::style() const
    {88, 1317, 57, 1, 0, 0, 5},	//6404 QsciStyle::setDescription(const QString&)
    {88, 966, 0, 0, Smoke::mf_const, 40, 6},	//6405 QsciStyle::description() const
    {88, 1304, 82, 1, 0, 0, 7},	//6406 QsciStyle::setColor(const QColor&)
    {88, 936, 0, 0, Smoke::mf_const, 6, 8},	//6407 QsciStyle::color() const
    {88, 1462, 82, 1, 0, 0, 9},	//6408 QsciStyle::setPaper(const QColor&)
    {88, 1184, 0, 0, Smoke::mf_const, 6, 10},	//6409 QsciStyle::paper() const
    {88, 1379, 42, 1, 0, 0, 11},	//6410 QsciStyle::setFont(const QFont&)
    {88, 1042, 0, 0, Smoke::mf_const, 14, 12},	//6411 QsciStyle::font() const
    {88, 1335, 16, 1, 0, 0, 13},	//6412 QsciStyle::setEolFill(bool)
    {88, 993, 0, 0, Smoke::mf_const, 189, 14},	//6413 QsciStyle::eolFill() const
    {88, 1498, 431, 1, 0, 0, 15},	//6414 QsciStyle::setTextCase(QsciStyle::TextCase)
    {88, 1557, 0, 0, Smoke::mf_const, 111, 16},	//6415 QsciStyle::textCase() const
    {88, 1516, 16, 1, 0, 0, 17},	//6416 QsciStyle::setVisible(bool)
    {88, 1586, 0, 0, Smoke::mf_const, 189, 18},	//6417 QsciStyle::visible() const
    {88, 1302, 16, 1, 0, 0, 19},	//6418 QsciStyle::setChangeable(bool)
    {88, 922, 0, 0, Smoke::mf_const, 189, 20},	//6419 QsciStyle::changeable() const
    {88, 1388, 16, 1, 0, 0, 21},	//6420 QsciStyle::setHotspot(bool)
    {88, 1061, 0, 0, Smoke::mf_const, 189, 22},	//6421 QsciStyle::hotspot() const
    {88, 1218, 0, 0, 0, 0, 23},	//6422 QsciStyle::refresh()
    {88, 521, 433, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 110, 24},	//6423 QsciStyle::QsciStyle(const QsciStyle&)
    {88, 521, 0, 0, Smoke::mf_ctor, 110, 25},	//6424 QsciStyle::QsciStyle()
    {88, 521, 435, 5, Smoke::mf_ctor, 110, 26},	//6425 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {88, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 27},	//6426 QsciStyle::OriginalCase (enum)
    {88, 808, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 28},	//6427 QsciStyle::UpperCase (enum)
    {88, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 29},	//6428 QsciStyle::LowerCase (enum)
    {88, 1649, 0, 0, Smoke::mf_dtor, 0, 30 },	//6429 QsciStyle::~QsciStyle()
    {89, 526, 441, 2, Smoke::mf_ctor, 113, 1},	//6430 QsciStyledText::QsciStyledText(const QString&, int)
    {89, 526, 444, 2, Smoke::mf_ctor, 113, 2},	//6431 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {89, 878, 125, 1, Smoke::mf_const, 0, 3},	//6432 QsciStyledText::apply(QsciScintillaBase*) const
    {89, 1555, 0, 0, Smoke::mf_const, 207, 4},	//6433 QsciStyledText::text() const
    {89, 1546, 0, 0, Smoke::mf_const, 215, 5},	//6434 QsciStyledText::style() const
    {89, 526, 447, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 113, 6},	//6435 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {89, 1650, 0, 0, Smoke::mf_dtor, 0, 7 },	//6436 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    6397,  // QsciScintillaBase::SCLEX_A68K
    0,
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    6381,  // QsciScintillaBase::SCLEX_ABAQUS
    0,
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    6317,  // QsciScintillaBase::SCLEX_ADA
    0,
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    6358,  // QsciScintillaBase::SCLEX_APDL
    0,
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    6331,  // QsciScintillaBase::SCLEX_ASM
    0,
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    6360,  // QsciScintillaBase::SCLEX_ASN1
    0,
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    6326,  // QsciScintillaBase::SCLEX_ASP
    0,
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6382,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    0,
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    6357,  // QsciScintillaBase::SCLEX_AU3
    0,
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    6316,  // QsciScintillaBase::SCLEX_AVE
    0,
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    6328,  // QsciScintillaBase::SCLEX_BAAN
    0,
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    6359,  // QsciScintillaBase::SCLEX_BASH
    0,
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    6310,  // QsciScintillaBase::SCLEX_BATCH
    0,
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6363,  // QsciScintillaBase::SCLEX_BLITZBASIC
    0,
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    6324,  // QsciScintillaBase::SCLEX_BULLANT
    0,
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    6362,  // QsciScintillaBase::SCLEX_CAML
    0,
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    6342,  // QsciScintillaBase::SCLEX_CLW
    0,
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6343,  // QsciScintillaBase::SCLEX_CLWNOCASE
    0,
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    6377,  // QsciScintillaBase::SCLEX_CMAKE
    0,
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    6389,  // QsciScintillaBase::SCLEX_COBOL
    0,
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    6314,  // QsciScintillaBase::SCLEX_CONF
    0,
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    6298,  // QsciScintillaBase::SCLEX_CONTAINER
    0,
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    6301,  // QsciScintillaBase::SCLEX_CPP
    0,
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6332,  // QsciScintillaBase::SCLEX_CPPNOCASE
    0,
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    6371,  // QsciScintillaBase::SCLEX_CSOUND
    0,
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    6335,  // QsciScintillaBase::SCLEX_CSS
    0,
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    6376,  // QsciScintillaBase::SCLEX_D
    0,
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    6313,  // QsciScintillaBase::SCLEX_DIFF
    0,
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    6320,  // QsciScintillaBase::SCLEX_EIFFEL
    0,
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    6321,  // QsciScintillaBase::SCLEX_EIFFELKW
    0,
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    6350,  // QsciScintillaBase::SCLEX_ERLANG
    0,
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    6308,  // QsciScintillaBase::SCLEX_ERRORLIST
    0,
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    6338,  // QsciScintillaBase::SCLEX_ESCRIPT
    0,
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    6334,  // QsciScintillaBase::SCLEX_F77
    0,
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6370,  // QsciScintillaBase::SCLEX_FLAGSHIP
    0,
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    6349,  // QsciScintillaBase::SCLEX_FORTH
    0,
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    6333,  // QsciScintillaBase::SCLEX_FORTRAN
    0,
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    6372,  // QsciScintillaBase::SCLEX_FREEBASIC
    0,
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    6378,  // QsciScintillaBase::SCLEX_GAP
    0,
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    6355,  // QsciScintillaBase::SCLEX_GUI4CLI
    0,
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    6365,  // QsciScintillaBase::SCLEX_HASKELL
    0,
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    6302,  // QsciScintillaBase::SCLEX_HTML
    0,
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    6373,  // QsciScintillaBase::SCLEX_INNOSETUP
    0,
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    6354,  // QsciScintillaBase::SCLEX_KIX
    0,
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    6311,  // QsciScintillaBase::SCLEX_LATEX
    0,
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    6318,  // QsciScintillaBase::SCLEX_LISP
    0,
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    6344,  // QsciScintillaBase::SCLEX_LOT
    0,
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    6337,  // QsciScintillaBase::SCLEX_LOUT
    0,
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    6312,  // QsciScintillaBase::SCLEX_LUA
    0,
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    6384,  // QsciScintillaBase::SCLEX_MAGIK
    0,
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    6309,  // QsciScintillaBase::SCLEX_MAKEFILE
    0,
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    6395,  // QsciScintillaBase::SCLEX_MARKDOWN
    0,
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    6329,  // QsciScintillaBase::SCLEX_MATLAB
    0,
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    6347,  // QsciScintillaBase::SCLEX_METAPOST
    0,
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    6341,  // QsciScintillaBase::SCLEX_MMIXAL
    0,
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    6398,  // QsciScintillaBase::SCLEX_MODULA
    0,
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    6352,  // QsciScintillaBase::SCLEX_MSSQL
    0,
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    6386,  // QsciScintillaBase::SCLEX_MYSQL
    0,
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    6393,  // QsciScintillaBase::SCLEX_NIMROD
    0,
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6323,  // QsciScintillaBase::SCLEX_NNCRONTAB
    0,
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    6340,  // QsciScintillaBase::SCLEX_NSIS
    0,
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    6299,  // QsciScintillaBase::SCLEX_NULL
    0,
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    6351,  // QsciScintillaBase::SCLEX_OCTAVE
    0,
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    6374,  // QsciScintillaBase::SCLEX_OPAL
    0,
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    6315,  // QsciScintillaBase::SCLEX_PASCAL
    0,
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    6304,  // QsciScintillaBase::SCLEX_PERL
    0,
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    6327,  // QsciScintillaBase::SCLEX_PHP
    0,
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6366,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    0,
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    6379,  // QsciScintillaBase::SCLEX_PLM
    0,
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    6387,  // QsciScintillaBase::SCLEX_PO
    0,
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    6336,  // QsciScintillaBase::SCLEX_POV
    0,
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    6348,  // QsciScintillaBase::SCLEX_POWERBASIC
    0,
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    6392,  // QsciScintillaBase::SCLEX_POWERPRO
    0,
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    6385,  // QsciScintillaBase::SCLEX_POWERSHELL
    0,
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    6380,  // QsciScintillaBase::SCLEX_PROGRESS
    0,
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    6307,  // QsciScintillaBase::SCLEX_PROPERTIES
    0,
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    6339,  // QsciScintillaBase::SCLEX_PS
    0,
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    6364,  // QsciScintillaBase::SCLEX_PUREBASIC
    0,
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    6300,  // QsciScintillaBase::SCLEX_PYTHON
    0,
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    6383,  // QsciScintillaBase::SCLEX_R
    0,
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    6368,  // QsciScintillaBase::SCLEX_REBOL
    0,
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    6319,  // QsciScintillaBase::SCLEX_RUBY
    0,
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6330,  // QsciScintillaBase::SCLEX_SCRIPTOL
    0,
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    6369,  // QsciScintillaBase::SCLEX_SMALLTALK
    0,
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    6394,  // QsciScintillaBase::SCLEX_SML
    0,
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    6391,  // QsciScintillaBase::SCLEX_SORCUS
    0,
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    6356,  // QsciScintillaBase::SCLEX_SPECMAN
    0,
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    6375,  // QsciScintillaBase::SCLEX_SPICE
    0,
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    6305,  // QsciScintillaBase::SCLEX_SQL
    0,
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    6390,  // QsciScintillaBase::SCLEX_TACL
    0,
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    6367,  // QsciScintillaBase::SCLEX_TADS3
    0,
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    6388,  // QsciScintillaBase::SCLEX_TAL
    0,
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    6322,  // QsciScintillaBase::SCLEX_TCL
    0,
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    6346,  // QsciScintillaBase::SCLEX_TEX
    0,
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6396,  // QsciScintillaBase::SCLEX_TXT2TAGS
    0,
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    6306,  // QsciScintillaBase::SCLEX_VB
    0,
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6325,  // QsciScintillaBase::SCLEX_VBSCRIPT
    0,
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    6353,  // QsciScintillaBase::SCLEX_VERILOG
    0,
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    6361,  // QsciScintillaBase::SCLEX_VHDL
    0,
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    6303,  // QsciScintillaBase::SCLEX_XML
    0,
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    6345,  // QsciScintillaBase::SCLEX_YAML
    0,
    2093,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    2095,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    2096,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    2155,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    2098,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    2101,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    2102,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    0,
    2090,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    2091,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    2092,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    2094,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    2032,  // QsciScintilla::MoNone
    2032,  // QsciScintilla::MoNone
    0,
    2033,  // QsciScintilla::MoSublineSelect
    2033,  // QsciScintilla::MoSublineSelect
    0,
    1969,  // QsciScintilla::markerDefine(const QPixmap&)
    1970,  // QsciScintilla::markerDefine(const QImage&)
    0,
    1790,  // QsciScintilla::markerDefine(const QPixmap&, int)
    1791,  // QsciScintilla::markerDefine(const QImage&, int)
    0,
    1967,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1968,  // QsciScintilla::markerDefine(char)
    0,
    1788,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1789,  // QsciScintilla::markerDefine(char, int)
    0,
    1804,  // QsciScintilla::registerImage(int, const QPixmap&)
    1805,  // QsciScintilla::registerImage(int, const QImage&)
    0,
    1923,  // QsciScintilla::setMarginWidth(int, int)
    1924,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {17, 438, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 439, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 440, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 441, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 442, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {17, 530, 14},	// QGlobalSpace::QtCriticalMsg
    {17, 531, 12},	// QGlobalSpace::QtDebugMsg
    {17, 532, 15},	// QGlobalSpace::QtFatalMsg
    {17, 533, 16},	// QGlobalSpace::QtSystemMsg
    {17, 534, 13},	// QGlobalSpace::QtWarningMsg
    {48, 444, 59},	// QsciAPIs::QsciAPIs#
    {48, 860, 60},	// QsciAPIs::add$
    {48, 872, 75},	// QsciAPIs::apiPreparationCancelled
    {48, 873, 77},	// QsciAPIs::apiPreparationFinished
    {48, 874, 76},	// QsciAPIs::apiPreparationStarted
    {48, 888, 71},	// QsciAPIs::autoCompletionSelected$
    {48, 912, 72},	// QsciAPIs::callTips?$$?
    {48, 918, 65},	// QsciAPIs::cancelPreparation
    {48, 924, 61},	// QsciAPIs::clear
    {48, 964, 66},	// QsciAPIs::defaultPreparedName
    {48, 1000, 73},	// QsciAPIs::event#
    {48, 1088, 74},	// QsciAPIs::installedAPIFiles
    {48, 1092, 80},	// QsciAPIs::isPrepared
    {48, 1093, 67},	// QsciAPIs::isPrepared$
    {48, 1122, 62},	// QsciAPIs::load$
    {48, 1123, 81},	// QsciAPIs::loadPrepared
    {48, 1124, 68},	// QsciAPIs::loadPrepared$
    {48, 1162, 52},	// QsciAPIs::metaObject
    {48, 1193, 64},	// QsciAPIs::prepare
    {48, 1203, 58},	// QsciAPIs::qt_metacall$$?
    {48, 1205, 53},	// QsciAPIs::qt_metacast$
    {48, 1223, 63},	// QsciAPIs::remove$
    {48, 1237, 82},	// QsciAPIs::savePrepared
    {48, 1238, 69},	// QsciAPIs::savePrepared$
    {48, 1544, 83},	// QsciAPIs::staticMetaObject
    {48, 1566, 78},	// QsciAPIs::tr$
    {48, 1567, 54},	// QsciAPIs::tr$$
    {48, 1568, 56},	// QsciAPIs::tr$$$
    {48, 1570, 79},	// QsciAPIs::trUtf8$
    {48, 1571, 55},	// QsciAPIs::trUtf8$$
    {48, 1572, 57},	// QsciAPIs::trUtf8$$$
    {48, 1577, 70},	// QsciAPIs::updateAutoCompletionList??
    {48, 1610, 84},	// QsciAPIs::~QsciAPIs
    {49, 446, 92},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {49, 888, 95},	// QsciAbstractAPIs::autoCompletionSelected$
    {49, 912, 96},	// QsciAbstractAPIs::callTips?$$?
    {49, 1111, 93},	// QsciAbstractAPIs::lexer
    {49, 1162, 85},	// QsciAbstractAPIs::metaObject
    {49, 1203, 91},	// QsciAbstractAPIs::qt_metacall$$?
    {49, 1205, 86},	// QsciAbstractAPIs::qt_metacast$
    {49, 1544, 99},	// QsciAbstractAPIs::staticMetaObject
    {49, 1566, 97},	// QsciAbstractAPIs::tr$
    {49, 1567, 87},	// QsciAbstractAPIs::tr$$
    {49, 1568, 89},	// QsciAbstractAPIs::tr$$$
    {49, 1570, 98},	// QsciAbstractAPIs::trUtf8$
    {49, 1571, 88},	// QsciAbstractAPIs::trUtf8$$
    {49, 1572, 90},	// QsciAbstractAPIs::trUtf8$$$
    {49, 1577, 94},	// QsciAbstractAPIs::updateAutoCompletionList??
    {49, 1611, 100},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {50, 81, 201},	// QsciCommand::Backtab
    {50, 112, 202},	// QsciCommand::Cancel
    {50, 114, 124},	// QsciCommand::CharLeft
    {50, 115, 125},	// QsciCommand::CharLeftExtend
    {50, 116, 126},	// QsciCommand::CharLeftRectExtend
    {50, 117, 127},	// QsciCommand::CharRight
    {50, 118, 128},	// QsciCommand::CharRightExtend
    {50, 119, 129},	// QsciCommand::CharRightRectExtend
    {50, 158, 175},	// QsciCommand::Delete
    {50, 159, 176},	// QsciCommand::DeleteBack
    {50, 160, 177},	// QsciCommand::DeleteBackNotLine
    {50, 161, 181},	// QsciCommand::DeleteLineLeft
    {50, 162, 182},	// QsciCommand::DeleteLineRight
    {50, 163, 178},	// QsciCommand::DeleteWordLeft
    {50, 164, 179},	// QsciCommand::DeleteWordRight
    {50, 165, 180},	// QsciCommand::DeleteWordRightEnd
    {50, 173, 163},	// QsciCommand::DocumentEnd
    {50, 174, 164},	// QsciCommand::DocumentEndExtend
    {50, 175, 161},	// QsciCommand::DocumentStart
    {50, 176, 162},	// QsciCommand::DocumentStartExtend
    {50, 194, 197},	// QsciCommand::EditToggleOvertype
    {50, 214, 199},	// QsciCommand::Formfeed
    {50, 238, 142},	// QsciCommand::Home
    {50, 239, 145},	// QsciCommand::HomeDisplay
    {50, 240, 146},	// QsciCommand::HomeDisplayExtend
    {50, 241, 143},	// QsciCommand::HomeExtend
    {50, 242, 144},	// QsciCommand::HomeRectExtend
    {50, 243, 147},	// QsciCommand::HomeWrap
    {50, 244, 148},	// QsciCommand::HomeWrapExtend
    {50, 316, 185},	// QsciCommand::LineCopy
    {50, 317, 184},	// QsciCommand::LineCut
    {50, 318, 183},	// QsciCommand::LineDelete
    {50, 319, 109},	// QsciCommand::LineDown
    {50, 320, 110},	// QsciCommand::LineDownExtend
    {50, 321, 111},	// QsciCommand::LineDownRectExtend
    {50, 322, 187},	// QsciCommand::LineDuplicate
    {50, 323, 154},	// QsciCommand::LineEnd
    {50, 324, 157},	// QsciCommand::LineEndDisplay
    {50, 325, 158},	// QsciCommand::LineEndDisplayExtend
    {50, 326, 155},	// QsciCommand::LineEndExtend
    {50, 327, 156},	// QsciCommand::LineEndRectExtend
    {50, 328, 159},	// QsciCommand::LineEndWrap
    {50, 329, 160},	// QsciCommand::LineEndWrapExtend
    {50, 331, 112},	// QsciCommand::LineScrollDown
    {50, 332, 116},	// QsciCommand::LineScrollUp
    {50, 333, 186},	// QsciCommand::LineTranspose
    {50, 334, 113},	// QsciCommand::LineUp
    {50, 335, 114},	// QsciCommand::LineUpExtend
    {50, 336, 115},	// QsciCommand::LineUpRectExtend
    {50, 351, 190},	// QsciCommand::MoveSelectedLinesDown
    {50, 352, 189},	// QsciCommand::MoveSelectedLinesUp
    {50, 357, 198},	// QsciCommand::Newline
    {50, 382, 168},	// QsciCommand::PageDown
    {50, 383, 169},	// QsciCommand::PageDownExtend
    {50, 384, 170},	// QsciCommand::PageDownRectExtend
    {50, 386, 165},	// QsciCommand::PageUp
    {50, 387, 166},	// QsciCommand::PageUpExtend
    {50, 388, 167},	// QsciCommand::PageUpRectExtend
    {50, 390, 120},	// QsciCommand::ParaDown
    {50, 391, 121},	// QsciCommand::ParaDownExtend
    {50, 392, 122},	// QsciCommand::ParaUp
    {50, 393, 123},	// QsciCommand::ParaUpExtend
    {50, 395, 196},	// QsciCommand::Paste
    {50, 549, 204},	// QsciCommand::Redo
    {50, 716, 118},	// QsciCommand::ScrollToEnd
    {50, 717, 117},	// QsciCommand::ScrollToStart
    {50, 719, 188},	// QsciCommand::SelectAll
    {50, 721, 195},	// QsciCommand::SelectionCopy
    {50, 722, 194},	// QsciCommand::SelectionCut
    {50, 723, 191},	// QsciCommand::SelectionDuplicate
    {50, 724, 192},	// QsciCommand::SelectionLowerCase
    {50, 725, 193},	// QsciCommand::SelectionUpperCase
    {50, 762, 173},	// QsciCommand::StutteredPageDown
    {50, 763, 174},	// QsciCommand::StutteredPageDownExtend
    {50, 764, 171},	// QsciCommand::StutteredPageUp
    {50, 765, 172},	// QsciCommand::StutteredPageUpExtend
    {50, 780, 200},	// QsciCommand::Tab
    {50, 803, 203},	// QsciCommand::Undo
    {50, 817, 149},	// QsciCommand::VCHome
    {50, 818, 150},	// QsciCommand::VCHomeExtend
    {50, 819, 151},	// QsciCommand::VCHomeRectExtend
    {50, 820, 152},	// QsciCommand::VCHomeWrap
    {50, 821, 153},	// QsciCommand::VCHomeWrapExtend
    {50, 826, 119},	// QsciCommand::VerticalCentreCaret
    {50, 829, 130},	// QsciCommand::WordLeft
    {50, 830, 134},	// QsciCommand::WordLeftEnd
    {50, 831, 135},	// QsciCommand::WordLeftEndExtend
    {50, 832, 131},	// QsciCommand::WordLeftExtend
    {50, 833, 138},	// QsciCommand::WordPartLeft
    {50, 834, 139},	// QsciCommand::WordPartLeftExtend
    {50, 835, 140},	// QsciCommand::WordPartRight
    {50, 836, 141},	// QsciCommand::WordPartRightExtend
    {50, 837, 132},	// QsciCommand::WordRight
    {50, 838, 136},	// QsciCommand::WordRightEnd
    {50, 839, 137},	// QsciCommand::WordRightEndExtend
    {50, 840, 133},	// QsciCommand::WordRightExtend
    {50, 856, 205},	// QsciCommand::ZoomIn
    {50, 857, 206},	// QsciCommand::ZoomOut
    {50, 861, 106},	// QsciCommand::alternateKey
    {50, 940, 101},	// QsciCommand::command
    {50, 966, 108},	// QsciCommand::description
    {50, 1002, 102},	// QsciCommand::execute
    {50, 1100, 105},	// QsciCommand::key
    {50, 1251, 104},	// QsciCommand::setAlternateKey$
    {50, 1416, 103},	// QsciCommand::setKey$
    {50, 1584, 107},	// QsciCommand::validKey$
    {50, 1612, 207},	// QsciCommand::~QsciCommand
    {51, 907, 213},	// QsciCommandSet::boundTo$
    {51, 925, 212},	// QsciCommandSet::clearAlternateKeys
    {51, 931, 211},	// QsciCommandSet::clearKeys
    {51, 941, 210},	// QsciCommandSet::commands
    {51, 1008, 214},	// QsciCommandSet::find$
    {51, 1212, 215},	// QsciCommandSet::readSettings#
    {51, 1213, 208},	// QsciCommandSet::readSettings#$
    {51, 1601, 216},	// QsciCommandSet::writeSettings#
    {51, 1602, 209},	// QsciCommandSet::writeSettings#$
    {52, 447, 217},	// QsciDocument::QsciDocument
    {52, 448, 218},	// QsciDocument::QsciDocument#
    {52, 1179, 219},	// QsciDocument::operator=#
    {52, 1613, 220},	// QsciDocument::~QsciDocument
    {53, 449, 282},	// QsciLexer::QsciLexer
    {53, 450, 228},	// QsciLexer::QsciLexer#
    {53, 875, 232},	// QsciLexer::apis
    {53, 884, 233},	// QsciLexer::autoCompletionFillups
    {53, 893, 234},	// QsciLexer::autoCompletionWordSeparators
    {53, 895, 235},	// QsciLexer::autoIndentStyle
    {53, 899, 283},	// QsciLexer::blockEnd
    {53, 900, 236},	// QsciLexer::blockEnd$
    {53, 901, 237},	// QsciLexer::blockLookback
    {53, 902, 284},	// QsciLexer::blockStart
    {53, 903, 238},	// QsciLexer::blockStart$
    {53, 904, 285},	// QsciLexer::blockStartKeyword
    {53, 905, 239},	// QsciLexer::blockStartKeyword$
    {53, 909, 240},	// QsciLexer::braceStyle
    {53, 919, 241},	// QsciLexer::caseSensitive
    {53, 937, 242},	// QsciLexer::color$
    {53, 939, 273},	// QsciLexer::colorChanged#$
    {53, 956, 250},	// QsciLexer::defaultColor
    {53, 957, 251},	// QsciLexer::defaultColor$
    {53, 959, 252},	// QsciLexer::defaultEolFill$
    {53, 960, 253},	// QsciLexer::defaultFont
    {53, 961, 254},	// QsciLexer::defaultFont$
    {53, 962, 255},	// QsciLexer::defaultPaper
    {53, 963, 256},	// QsciLexer::defaultPaper$
    {53, 965, 247},	// QsciLexer::defaultStyle
    {53, 967, 248},	// QsciLexer::description$
    {53, 985, 257},	// QsciLexer::editor
    {53, 994, 243},	// QsciLexer::eolFill$
    {53, 996, 274},	// QsciLexer::eolFillChanged$$
    {53, 1043, 244},	// QsciLexer::font$
    {53, 1046, 275},	// QsciLexer::fontChanged#$
    {53, 1066, 245},	// QsciLexer::indentationGuideView
    {53, 1105, 246},	// QsciLexer::keywords$
    {53, 1106, 229},	// QsciLexer::language
    {53, 1111, 230},	// QsciLexer::lexer
    {53, 1112, 231},	// QsciLexer::lexerId
    {53, 1162, 221},	// QsciLexer::metaObject
    {53, 1185, 249},	// QsciLexer::paper$
    {53, 1187, 276},	// QsciLexer::paperChanged#$
    {53, 1201, 277},	// QsciLexer::propertyChanged$$
    {53, 1203, 227},	// QsciLexer::qt_metacall$$?
    {53, 1205, 222},	// QsciLexer::qt_metacast$
    {53, 1210, 278},	// QsciLexer::readProperties#$
    {53, 1212, 286},	// QsciLexer::readSettings#
    {53, 1213, 263},	// QsciLexer::readSettings#$
    {53, 1219, 264},	// QsciLexer::refreshProperties
    {53, 1249, 258},	// QsciLexer::setAPIs#
    {53, 1275, 268},	// QsciLexer::setAutoIndentStyle$
    {53, 1305, 288},	// QsciLexer::setColor#
    {53, 1306, 269},	// QsciLexer::setColor#$
    {53, 1312, 259},	// QsciLexer::setDefaultColor#
    {53, 1314, 260},	// QsciLexer::setDefaultFont#
    {53, 1316, 261},	// QsciLexer::setDefaultPaper#
    {53, 1334, 262},	// QsciLexer::setEditor#
    {53, 1336, 289},	// QsciLexer::setEolFill$
    {53, 1337, 270},	// QsciLexer::setEolFill$$
    {53, 1380, 290},	// QsciLexer::setFont#
    {53, 1381, 271},	// QsciLexer::setFont#$
    {53, 1463, 291},	// QsciLexer::setPaper#
    {53, 1464, 272},	// QsciLexer::setPaper#$
    {53, 1544, 292},	// QsciLexer::staticMetaObject
    {53, 1547, 265},	// QsciLexer::styleBitsNeeded
    {53, 1566, 280},	// QsciLexer::tr$
    {53, 1567, 223},	// QsciLexer::tr$$
    {53, 1568, 225},	// QsciLexer::tr$$$
    {53, 1570, 281},	// QsciLexer::trUtf8$
    {53, 1571, 224},	// QsciLexer::trUtf8$$
    {53, 1572, 226},	// QsciLexer::trUtf8$$$
    {53, 1593, 266},	// QsciLexer::wordCharacters
    {53, 1599, 279},	// QsciLexer::writeProperties#$
    {53, 1601, 287},	// QsciLexer::writeSettings#
    {53, 1602, 267},	// QsciLexer::writeSettings#$
    {53, 1614, 293},	// QsciLexer::~QsciLexer
    {54, 84, 334},	// QsciLexerBash::Backticks
    {54, 135, 325},	// QsciLexerBash::Comment
    {54, 156, 323},	// QsciLexerBash::Default
    {54, 182, 328},	// QsciLexerBash::DoubleQuotedString
    {54, 201, 324},	// QsciLexerBash::Error
    {54, 231, 335},	// QsciLexerBash::HereDocumentDelimiter
    {54, 247, 331},	// QsciLexerBash::Identifier
    {54, 292, 327},	// QsciLexerBash::Keyword
    {54, 362, 326},	// QsciLexerBash::Number
    {54, 366, 330},	// QsciLexerBash::Operator
    {54, 394, 333},	// QsciLexerBash::ParameterExpansion
    {54, 451, 321},	// QsciLexerBash::QsciLexerBash
    {54, 452, 301},	// QsciLexerBash::QsciLexerBash#
    {54, 713, 332},	// QsciLexerBash::Scalar
    {54, 738, 336},	// QsciLexerBash::SingleQuotedHereDocument
    {54, 739, 329},	// QsciLexerBash::SingleQuotedString
    {54, 909, 304},	// QsciLexerBash::braceStyle
    {54, 957, 306},	// QsciLexerBash::defaultColor$
    {54, 959, 307},	// QsciLexerBash::defaultEolFill$
    {54, 961, 308},	// QsciLexerBash::defaultFont$
    {54, 963, 309},	// QsciLexerBash::defaultPaper$
    {54, 967, 311},	// QsciLexerBash::description$
    {54, 1029, 313},	// QsciLexerBash::foldComments
    {54, 1030, 314},	// QsciLexerBash::foldCompact
    {54, 1105, 310},	// QsciLexerBash::keywords$
    {54, 1106, 302},	// QsciLexerBash::language
    {54, 1111, 303},	// QsciLexerBash::lexer
    {54, 1162, 294},	// QsciLexerBash::metaObject
    {54, 1203, 300},	// QsciLexerBash::qt_metacall$$?
    {54, 1205, 295},	// QsciLexerBash::qt_metacast$
    {54, 1210, 317},	// QsciLexerBash::readProperties#$
    {54, 1219, 312},	// QsciLexerBash::refreshProperties
    {54, 1355, 315},	// QsciLexerBash::setFoldComments$
    {54, 1357, 316},	// QsciLexerBash::setFoldCompact$
    {54, 1544, 322},	// QsciLexerBash::staticMetaObject
    {54, 1566, 319},	// QsciLexerBash::tr$
    {54, 1567, 296},	// QsciLexerBash::tr$$
    {54, 1568, 298},	// QsciLexerBash::tr$$$
    {54, 1570, 320},	// QsciLexerBash::trUtf8$
    {54, 1571, 297},	// QsciLexerBash::trUtf8$$
    {54, 1572, 299},	// QsciLexerBash::trUtf8$$$
    {54, 1593, 305},	// QsciLexerBash::wordCharacters
    {54, 1599, 318},	// QsciLexerBash::writeProperties#$
    {54, 1615, 337},	// QsciLexerBash::~QsciLexerBash
    {55, 135, 361},	// QsciLexerBatch::Comment
    {55, 156, 360},	// QsciLexerBatch::Default
    {55, 208, 365},	// QsciLexerBatch::ExternalCommand
    {55, 235, 364},	// QsciLexerBatch::HideCommandChar
    {55, 292, 362},	// QsciLexerBatch::Keyword
    {55, 302, 363},	// QsciLexerBatch::Label
    {55, 366, 367},	// QsciLexerBatch::Operator
    {55, 453, 358},	// QsciLexerBatch::QsciLexerBatch
    {55, 454, 345},	// QsciLexerBatch::QsciLexerBatch#
    {55, 824, 366},	// QsciLexerBatch::Variable
    {55, 919, 349},	// QsciLexerBatch::caseSensitive
    {55, 957, 350},	// QsciLexerBatch::defaultColor$
    {55, 959, 351},	// QsciLexerBatch::defaultEolFill$
    {55, 961, 352},	// QsciLexerBatch::defaultFont$
    {55, 963, 353},	// QsciLexerBatch::defaultPaper$
    {55, 967, 355},	// QsciLexerBatch::description$
    {55, 1105, 354},	// QsciLexerBatch::keywords$
    {55, 1106, 346},	// QsciLexerBatch::language
    {55, 1111, 347},	// QsciLexerBatch::lexer
    {55, 1162, 338},	// QsciLexerBatch::metaObject
    {55, 1203, 344},	// QsciLexerBatch::qt_metacall$$?
    {55, 1205, 339},	// QsciLexerBatch::qt_metacast$
    {55, 1544, 359},	// QsciLexerBatch::staticMetaObject
    {55, 1566, 356},	// QsciLexerBatch::tr$
    {55, 1567, 340},	// QsciLexerBatch::tr$$
    {55, 1568, 342},	// QsciLexerBatch::tr$$$
    {55, 1570, 357},	// QsciLexerBatch::trUtf8$
    {55, 1571, 341},	// QsciLexerBatch::trUtf8$$
    {55, 1572, 343},	// QsciLexerBatch::trUtf8$$$
    {55, 1593, 348},	// QsciLexerBatch::wordCharacters
    {55, 1616, 368},	// QsciLexerBatch::~QsciLexerBatch
    {56, 90, 403},	// QsciLexerCMake::BlockForeach
    {56, 91, 404},	// QsciLexerCMake::BlockIf
    {56, 92, 405},	// QsciLexerCMake::BlockMacro
    {56, 93, 402},	// QsciLexerCMake::BlockWhile
    {56, 135, 394},	// QsciLexerCMake::Comment
    {56, 156, 393},	// QsciLexerCMake::Default
    {56, 216, 398},	// QsciLexerCMake::Function
    {56, 296, 401},	// QsciLexerCMake::KeywordSet3
    {56, 302, 400},	// QsciLexerCMake::Label
    {56, 362, 407},	// QsciLexerCMake::Number
    {56, 455, 391},	// QsciLexerCMake::QsciLexerCMake
    {56, 456, 376},	// QsciLexerCMake::QsciLexerCMake#
    {56, 757, 395},	// QsciLexerCMake::String
    {56, 758, 396},	// QsciLexerCMake::StringLeftQuote
    {56, 759, 397},	// QsciLexerCMake::StringRightQuote
    {56, 761, 406},	// QsciLexerCMake::StringVariable
    {56, 824, 399},	// QsciLexerCMake::Variable
    {56, 957, 379},	// QsciLexerCMake::defaultColor$
    {56, 961, 380},	// QsciLexerCMake::defaultFont$
    {56, 963, 381},	// QsciLexerCMake::defaultPaper$
    {56, 967, 383},	// QsciLexerCMake::description$
    {56, 1027, 385},	// QsciLexerCMake::foldAtElse
    {56, 1105, 382},	// QsciLexerCMake::keywords$
    {56, 1106, 377},	// QsciLexerCMake::language
    {56, 1111, 378},	// QsciLexerCMake::lexer
    {56, 1162, 369},	// QsciLexerCMake::metaObject
    {56, 1203, 375},	// QsciLexerCMake::qt_metacall$$?
    {56, 1205, 370},	// QsciLexerCMake::qt_metacast$
    {56, 1210, 387},	// QsciLexerCMake::readProperties#$
    {56, 1219, 384},	// QsciLexerCMake::refreshProperties
    {56, 1351, 386},	// QsciLexerCMake::setFoldAtElse$
    {56, 1544, 392},	// QsciLexerCMake::staticMetaObject
    {56, 1566, 389},	// QsciLexerCMake::tr$
    {56, 1567, 371},	// QsciLexerCMake::tr$$
    {56, 1568, 373},	// QsciLexerCMake::tr$$$
    {56, 1570, 390},	// QsciLexerCMake::trUtf8$
    {56, 1571, 372},	// QsciLexerCMake::trUtf8$$
    {56, 1572, 374},	// QsciLexerCMake::trUtf8$$$
    {56, 1599, 388},	// QsciLexerCMake::writeProperties#$
    {56, 1617, 408},	// QsciLexerCMake::~QsciLexerCMake
    {57, 135, 458},	// QsciLexerCPP::Comment
    {57, 138, 462},	// QsciLexerCPP::CommentDoc
    {57, 139, 490},	// QsciLexerCPP::CommentDocKeyword
    {57, 140, 492},	// QsciLexerCPP::CommentDocKeywordError
    {57, 141, 460},	// QsciLexerCPP::CommentLine
    {57, 142, 486},	// QsciLexerCPP::CommentLineDoc
    {57, 156, 456},	// QsciLexerCPP::Default
    {57, 182, 468},	// QsciLexerCPP::DoubleQuotedString
    {57, 219, 494},	// QsciLexerCPP::GlobalClass
    {57, 247, 478},	// QsciLexerCPP::Identifier
    {57, 252, 459},	// QsciLexerCPP::InactiveComment
    {57, 253, 463},	// QsciLexerCPP::InactiveCommentDoc
    {57, 254, 491},	// QsciLexerCPP::InactiveCommentDocKeyword
    {57, 255, 493},	// QsciLexerCPP::InactiveCommentDocKeywordError
    {57, 256, 461},	// QsciLexerCPP::InactiveCommentLine
    {57, 257, 487},	// QsciLexerCPP::InactiveCommentLineDoc
    {57, 258, 457},	// QsciLexerCPP::InactiveDefault
    {57, 259, 469},	// QsciLexerCPP::InactiveDoubleQuotedString
    {57, 260, 495},	// QsciLexerCPP::InactiveGlobalClass
    {57, 261, 479},	// QsciLexerCPP::InactiveIdentifier
    {57, 262, 467},	// QsciLexerCPP::InactiveKeyword
    {57, 263, 489},	// QsciLexerCPP::InactiveKeywordSet2
    {57, 264, 465},	// QsciLexerCPP::InactiveNumber
    {57, 265, 477},	// QsciLexerCPP::InactiveOperator
    {57, 266, 475},	// QsciLexerCPP::InactivePreProcessor
    {57, 267, 497},	// QsciLexerCPP::InactiveRawString
    {57, 268, 485},	// QsciLexerCPP::InactiveRegex
    {57, 269, 471},	// QsciLexerCPP::InactiveSingleQuotedString
    {57, 270, 473},	// QsciLexerCPP::InactiveUUID
    {57, 271, 481},	// QsciLexerCPP::InactiveUnclosedString
    {57, 272, 483},	// QsciLexerCPP::InactiveVerbatimString
    {57, 292, 466},	// QsciLexerCPP::Keyword
    {57, 295, 488},	// QsciLexerCPP::KeywordSet2
    {57, 362, 464},	// QsciLexerCPP::Number
    {57, 366, 476},	// QsciLexerCPP::Operator
    {57, 414, 474},	// QsciLexerCPP::PreProcessor
    {57, 457, 450},	// QsciLexerCPP::QsciLexerCPP
    {57, 458, 451},	// QsciLexerCPP::QsciLexerCPP#
    {57, 459, 416},	// QsciLexerCPP::QsciLexerCPP#$
    {57, 547, 496},	// QsciLexerCPP::RawString
    {57, 551, 484},	// QsciLexerCPP::Regex
    {57, 739, 470},	// QsciLexerCPP::SingleQuotedString
    {57, 800, 472},	// QsciLexerCPP::UUID
    {57, 801, 480},	// QsciLexerCPP::UnclosedString
    {57, 825, 482},	// QsciLexerCPP::VerbatimString
    {57, 893, 419},	// QsciLexerCPP::autoCompletionWordSeparators
    {57, 899, 452},	// QsciLexerCPP::blockEnd
    {57, 900, 420},	// QsciLexerCPP::blockEnd$
    {57, 902, 453},	// QsciLexerCPP::blockStart
    {57, 903, 421},	// QsciLexerCPP::blockStart$
    {57, 904, 454},	// QsciLexerCPP::blockStartKeyword
    {57, 905, 422},	// QsciLexerCPP::blockStartKeyword$
    {57, 909, 423},	// QsciLexerCPP::braceStyle
    {57, 957, 425},	// QsciLexerCPP::defaultColor$
    {57, 959, 426},	// QsciLexerCPP::defaultEolFill$
    {57, 961, 427},	// QsciLexerCPP::defaultFont$
    {57, 963, 428},	// QsciLexerCPP::defaultPaper$
    {57, 967, 430},	// QsciLexerCPP::description$
    {57, 972, 438},	// QsciLexerCPP::dollarsAllowed
    {57, 1027, 432},	// QsciLexerCPP::foldAtElse
    {57, 1029, 433},	// QsciLexerCPP::foldComments
    {57, 1030, 434},	// QsciLexerCPP::foldCompact
    {57, 1037, 435},	// QsciLexerCPP::foldPreprocessor
    {57, 1060, 440},	// QsciLexerCPP::highlightTripleQuotedStrings
    {57, 1105, 429},	// QsciLexerCPP::keywords$
    {57, 1106, 417},	// QsciLexerCPP::language
    {57, 1111, 418},	// QsciLexerCPP::lexer
    {57, 1162, 409},	// QsciLexerCPP::metaObject
    {57, 1203, 415},	// QsciLexerCPP::qt_metacall$$?
    {57, 1205, 410},	// QsciLexerCPP::qt_metacast$
    {57, 1210, 446},	// QsciLexerCPP::readProperties#$
    {57, 1219, 431},	// QsciLexerCPP::refreshProperties
    {57, 1324, 437},	// QsciLexerCPP::setDollarsAllowed$
    {57, 1351, 441},	// QsciLexerCPP::setFoldAtElse$
    {57, 1355, 442},	// QsciLexerCPP::setFoldComments$
    {57, 1357, 443},	// QsciLexerCPP::setFoldCompact$
    {57, 1369, 444},	// QsciLexerCPP::setFoldPreprocessor$
    {57, 1387, 439},	// QsciLexerCPP::setHighlightTripleQuotedStrings$
    {57, 1488, 445},	// QsciLexerCPP::setStylePreprocessor$
    {57, 1544, 455},	// QsciLexerCPP::staticMetaObject
    {57, 1549, 436},	// QsciLexerCPP::stylePreprocessor
    {57, 1566, 448},	// QsciLexerCPP::tr$
    {57, 1567, 411},	// QsciLexerCPP::tr$$
    {57, 1568, 413},	// QsciLexerCPP::tr$$$
    {57, 1570, 449},	// QsciLexerCPP::trUtf8$
    {57, 1571, 412},	// QsciLexerCPP::trUtf8$$
    {57, 1572, 414},	// QsciLexerCPP::trUtf8$$$
    {57, 1593, 424},	// QsciLexerCPP::wordCharacters
    {57, 1599, 447},	// QsciLexerCPP::writeProperties#$
    {57, 1618, 498},	// QsciLexerCPP::~QsciLexerCPP
    {58, 65, 541},	// QsciLexerCSS::AtRule
    {58, 66, 545},	// QsciLexerCSS::Attribute
    {58, 105, 535},	// QsciLexerCSS::CSS1Property
    {58, 106, 544},	// QsciLexerCSS::CSS2Property
    {58, 107, 546},	// QsciLexerCSS::CSS3Property
    {58, 130, 531},	// QsciLexerCSS::ClassSelector
    {58, 135, 538},	// QsciLexerCSS::Comment
    {58, 156, 529},	// QsciLexerCSS::Default
    {58, 182, 542},	// QsciLexerCSS::DoubleQuotedString
    {58, 204, 548},	// QsciLexerCSS::ExtendedCSSProperty
    {58, 206, 549},	// QsciLexerCSS::ExtendedPseudoClass
    {58, 207, 550},	// QsciLexerCSS::ExtendedPseudoElement
    {58, 245, 539},	// QsciLexerCSS::IDSelector
    {58, 251, 540},	// QsciLexerCSS::Important
    {58, 343, 551},	// QsciLexerCSS::MediaRule
    {58, 366, 534},	// QsciLexerCSS::Operator
    {58, 421, 532},	// QsciLexerCSS::PseudoClass
    {58, 422, 547},	// QsciLexerCSS::PseudoElement
    {58, 460, 525},	// QsciLexerCSS::QsciLexerCSS
    {58, 461, 506},	// QsciLexerCSS::QsciLexerCSS#
    {58, 739, 543},	// QsciLexerCSS::SingleQuotedString
    {58, 784, 530},	// QsciLexerCSS::Tag
    {58, 805, 536},	// QsciLexerCSS::UnknownProperty
    {58, 806, 533},	// QsciLexerCSS::UnknownPseudoClass
    {58, 823, 537},	// QsciLexerCSS::Value
    {58, 899, 526},	// QsciLexerCSS::blockEnd
    {58, 900, 509},	// QsciLexerCSS::blockEnd$
    {58, 902, 527},	// QsciLexerCSS::blockStart
    {58, 903, 510},	// QsciLexerCSS::blockStart$
    {58, 957, 512},	// QsciLexerCSS::defaultColor$
    {58, 961, 513},	// QsciLexerCSS::defaultFont$
    {58, 967, 515},	// QsciLexerCSS::description$
    {58, 1029, 517},	// QsciLexerCSS::foldComments
    {58, 1030, 518},	// QsciLexerCSS::foldCompact
    {58, 1105, 514},	// QsciLexerCSS::keywords$
    {58, 1106, 507},	// QsciLexerCSS::language
    {58, 1111, 508},	// QsciLexerCSS::lexer
    {58, 1162, 499},	// QsciLexerCSS::metaObject
    {58, 1203, 505},	// QsciLexerCSS::qt_metacall$$?
    {58, 1205, 500},	// QsciLexerCSS::qt_metacast$
    {58, 1210, 521},	// QsciLexerCSS::readProperties#$
    {58, 1219, 516},	// QsciLexerCSS::refreshProperties
    {58, 1355, 519},	// QsciLexerCSS::setFoldComments$
    {58, 1357, 520},	// QsciLexerCSS::setFoldCompact$
    {58, 1544, 528},	// QsciLexerCSS::staticMetaObject
    {58, 1566, 523},	// QsciLexerCSS::tr$
    {58, 1567, 501},	// QsciLexerCSS::tr$$
    {58, 1568, 503},	// QsciLexerCSS::tr$$$
    {58, 1570, 524},	// QsciLexerCSS::trUtf8$
    {58, 1571, 502},	// QsciLexerCSS::trUtf8$$
    {58, 1572, 504},	// QsciLexerCSS::trUtf8$$$
    {58, 1593, 511},	// QsciLexerCSS::wordCharacters
    {58, 1599, 522},	// QsciLexerCSS::writeProperties#$
    {58, 1619, 552},	// QsciLexerCSS::~QsciLexerCSS
    {59, 462, 570},	// QsciLexerCSharp::QsciLexerCSharp
    {59, 463, 560},	// QsciLexerCSharp::QsciLexerCSharp#
    {59, 957, 562},	// QsciLexerCSharp::defaultColor$
    {59, 959, 563},	// QsciLexerCSharp::defaultEolFill$
    {59, 961, 564},	// QsciLexerCSharp::defaultFont$
    {59, 963, 565},	// QsciLexerCSharp::defaultPaper$
    {59, 967, 567},	// QsciLexerCSharp::description$
    {59, 1105, 566},	// QsciLexerCSharp::keywords$
    {59, 1106, 561},	// QsciLexerCSharp::language
    {59, 1162, 553},	// QsciLexerCSharp::metaObject
    {59, 1203, 559},	// QsciLexerCSharp::qt_metacall$$?
    {59, 1205, 554},	// QsciLexerCSharp::qt_metacast$
    {59, 1544, 571},	// QsciLexerCSharp::staticMetaObject
    {59, 1566, 568},	// QsciLexerCSharp::tr$
    {59, 1567, 555},	// QsciLexerCSharp::tr$$
    {59, 1568, 557},	// QsciLexerCSharp::tr$$$
    {59, 1570, 569},	// QsciLexerCSharp::trUtf8$
    {59, 1571, 556},	// QsciLexerCSharp::trUtf8$$
    {59, 1572, 558},	// QsciLexerCSharp::trUtf8$$$
    {59, 1620, 572},	// QsciLexerCSharp::~QsciLexerCSharp
    {60, 464, 589},	// QsciLexerCustom::QsciLexerCustom
    {60, 465, 580},	// QsciLexerCustom::QsciLexerCustom#
    {60, 1162, 573},	// QsciLexerCustom::metaObject
    {60, 1203, 579},	// QsciLexerCustom::qt_metacall$$?
    {60, 1205, 574},	// QsciLexerCustom::qt_metacast$
    {60, 1334, 585},	// QsciLexerCustom::setEditor#
    {60, 1490, 582},	// QsciLexerCustom::setStyling$#
    {60, 1491, 581},	// QsciLexerCustom::setStyling$$
    {60, 1542, 590},	// QsciLexerCustom::startStyling$
    {60, 1543, 583},	// QsciLexerCustom::startStyling$$
    {60, 1544, 591},	// QsciLexerCustom::staticMetaObject
    {60, 1547, 586},	// QsciLexerCustom::styleBitsNeeded
    {60, 1551, 584},	// QsciLexerCustom::styleText$$
    {60, 1566, 587},	// QsciLexerCustom::tr$
    {60, 1567, 575},	// QsciLexerCustom::tr$$
    {60, 1568, 577},	// QsciLexerCustom::tr$$$
    {60, 1570, 588},	// QsciLexerCustom::trUtf8$
    {60, 1571, 576},	// QsciLexerCustom::trUtf8$$
    {60, 1572, 578},	// QsciLexerCustom::trUtf8$$$
    {60, 1621, 592},	// QsciLexerCustom::~QsciLexerCustom
    {61, 80, 649},	// QsciLexerD::BackquoteString
    {61, 120, 643},	// QsciLexerD::Character
    {61, 135, 632},	// QsciLexerD::Comment
    {61, 138, 634},	// QsciLexerD::CommentDoc
    {61, 139, 647},	// QsciLexerD::CommentDocKeyword
    {61, 140, 648},	// QsciLexerD::CommentDocKeywordError
    {61, 141, 633},	// QsciLexerD::CommentLine
    {61, 142, 646},	// QsciLexerD::CommentLineDoc
    {61, 144, 635},	// QsciLexerD::CommentNested
    {61, 156, 631},	// QsciLexerD::Default
    {61, 247, 645},	// QsciLexerD::Identifier
    {61, 292, 637},	// QsciLexerD::Keyword
    {61, 293, 639},	// QsciLexerD::KeywordDoc
    {61, 294, 638},	// QsciLexerD::KeywordSecondary
    {61, 297, 651},	// QsciLexerD::KeywordSet5
    {61, 298, 652},	// QsciLexerD::KeywordSet6
    {61, 299, 653},	// QsciLexerD::KeywordSet7
    {61, 362, 636},	// QsciLexerD::Number
    {61, 366, 644},	// QsciLexerD::Operator
    {61, 466, 626},	// QsciLexerD::QsciLexerD
    {61, 467, 600},	// QsciLexerD::QsciLexerD#
    {61, 547, 650},	// QsciLexerD::RawString
    {61, 757, 641},	// QsciLexerD::String
    {61, 798, 640},	// QsciLexerD::Typedefs
    {61, 801, 642},	// QsciLexerD::UnclosedString
    {61, 893, 603},	// QsciLexerD::autoCompletionWordSeparators
    {61, 899, 627},	// QsciLexerD::blockEnd
    {61, 900, 604},	// QsciLexerD::blockEnd$
    {61, 902, 628},	// QsciLexerD::blockStart
    {61, 903, 605},	// QsciLexerD::blockStart$
    {61, 904, 629},	// QsciLexerD::blockStartKeyword
    {61, 905, 606},	// QsciLexerD::blockStartKeyword$
    {61, 909, 607},	// QsciLexerD::braceStyle
    {61, 957, 609},	// QsciLexerD::defaultColor$
    {61, 959, 610},	// QsciLexerD::defaultEolFill$
    {61, 961, 611},	// QsciLexerD::defaultFont$
    {61, 963, 612},	// QsciLexerD::defaultPaper$
    {61, 967, 614},	// QsciLexerD::description$
    {61, 1027, 616},	// QsciLexerD::foldAtElse
    {61, 1029, 617},	// QsciLexerD::foldComments
    {61, 1030, 618},	// QsciLexerD::foldCompact
    {61, 1105, 613},	// QsciLexerD::keywords$
    {61, 1106, 601},	// QsciLexerD::language
    {61, 1111, 602},	// QsciLexerD::lexer
    {61, 1162, 593},	// QsciLexerD::metaObject
    {61, 1203, 599},	// QsciLexerD::qt_metacall$$?
    {61, 1205, 594},	// QsciLexerD::qt_metacast$
    {61, 1210, 622},	// QsciLexerD::readProperties#$
    {61, 1219, 615},	// QsciLexerD::refreshProperties
    {61, 1351, 619},	// QsciLexerD::setFoldAtElse$
    {61, 1355, 620},	// QsciLexerD::setFoldComments$
    {61, 1357, 621},	// QsciLexerD::setFoldCompact$
    {61, 1544, 630},	// QsciLexerD::staticMetaObject
    {61, 1566, 624},	// QsciLexerD::tr$
    {61, 1567, 595},	// QsciLexerD::tr$$
    {61, 1568, 597},	// QsciLexerD::tr$$$
    {61, 1570, 625},	// QsciLexerD::trUtf8$
    {61, 1571, 596},	// QsciLexerD::trUtf8$$
    {61, 1572, 598},	// QsciLexerD::trUtf8$$$
    {61, 1593, 608},	// QsciLexerD::wordCharacters
    {61, 1599, 623},	// QsciLexerD::writeProperties#$
    {61, 1622, 654},	// QsciLexerD::~QsciLexerD
    {62, 134, 674},	// QsciLexerDiff::Command
    {62, 135, 673},	// QsciLexerDiff::Comment
    {62, 156, 672},	// QsciLexerDiff::Default
    {62, 229, 675},	// QsciLexerDiff::Header
    {62, 313, 678},	// QsciLexerDiff::LineAdded
    {62, 314, 679},	// QsciLexerDiff::LineChanged
    {62, 330, 677},	// QsciLexerDiff::LineRemoved
    {62, 412, 676},	// QsciLexerDiff::Position
    {62, 468, 670},	// QsciLexerDiff::QsciLexerDiff
    {62, 469, 662},	// QsciLexerDiff::QsciLexerDiff#
    {62, 957, 666},	// QsciLexerDiff::defaultColor$
    {62, 967, 667},	// QsciLexerDiff::description$
    {62, 1106, 663},	// QsciLexerDiff::language
    {62, 1111, 664},	// QsciLexerDiff::lexer
    {62, 1162, 655},	// QsciLexerDiff::metaObject
    {62, 1203, 661},	// QsciLexerDiff::qt_metacall$$?
    {62, 1205, 656},	// QsciLexerDiff::qt_metacast$
    {62, 1544, 671},	// QsciLexerDiff::staticMetaObject
    {62, 1566, 668},	// QsciLexerDiff::tr$
    {62, 1567, 657},	// QsciLexerDiff::tr$$
    {62, 1568, 659},	// QsciLexerDiff::tr$$$
    {62, 1570, 669},	// QsciLexerDiff::trUtf8$
    {62, 1571, 658},	// QsciLexerDiff::trUtf8$$
    {62, 1572, 660},	// QsciLexerDiff::trUtf8$$$
    {62, 1593, 665},	// QsciLexerDiff::wordCharacters
    {62, 1623, 680},	// QsciLexerDiff::~QsciLexerDiff
    {63, 470, 694},	// QsciLexerFortran::QsciLexerFortran
    {63, 471, 688},	// QsciLexerFortran::QsciLexerFortran#
    {63, 1105, 691},	// QsciLexerFortran::keywords$
    {63, 1106, 689},	// QsciLexerFortran::language
    {63, 1111, 690},	// QsciLexerFortran::lexer
    {63, 1162, 681},	// QsciLexerFortran::metaObject
    {63, 1203, 687},	// QsciLexerFortran::qt_metacall$$?
    {63, 1205, 682},	// QsciLexerFortran::qt_metacast$
    {63, 1544, 695},	// QsciLexerFortran::staticMetaObject
    {63, 1566, 692},	// QsciLexerFortran::tr$
    {63, 1567, 683},	// QsciLexerFortran::tr$$
    {63, 1568, 685},	// QsciLexerFortran::tr$$$
    {63, 1570, 693},	// QsciLexerFortran::trUtf8$
    {63, 1571, 684},	// QsciLexerFortran::trUtf8$$
    {63, 1572, 686},	// QsciLexerFortran::trUtf8$$$
    {63, 1624, 696},	// QsciLexerFortran::~QsciLexerFortran
    {64, 135, 724},	// QsciLexerFortran77::Comment
    {64, 146, 737},	// QsciLexerFortran77::Continuation
    {64, 156, 723},	// QsciLexerFortran77::Default
    {64, 179, 735},	// QsciLexerFortran77::DottedOperator
    {64, 182, 727},	// QsciLexerFortran77::DoubleQuotedString
    {64, 205, 733},	// QsciLexerFortran77::ExtendedFunction
    {64, 247, 730},	// QsciLexerFortran77::Identifier
    {64, 276, 732},	// QsciLexerFortran77::IntrinsicFunction
    {64, 292, 731},	// QsciLexerFortran77::Keyword
    {64, 302, 736},	// QsciLexerFortran77::Label
    {64, 362, 725},	// QsciLexerFortran77::Number
    {64, 366, 729},	// QsciLexerFortran77::Operator
    {64, 414, 734},	// QsciLexerFortran77::PreProcessor
    {64, 472, 721},	// QsciLexerFortran77::QsciLexerFortran77
    {64, 473, 704},	// QsciLexerFortran77::QsciLexerFortran77#
    {64, 739, 726},	// QsciLexerFortran77::SingleQuotedString
    {64, 801, 728},	// QsciLexerFortran77::UnclosedString
    {64, 909, 707},	// QsciLexerFortran77::braceStyle
    {64, 957, 708},	// QsciLexerFortran77::defaultColor$
    {64, 959, 709},	// QsciLexerFortran77::defaultEolFill$
    {64, 961, 710},	// QsciLexerFortran77::defaultFont$
    {64, 963, 711},	// QsciLexerFortran77::defaultPaper$
    {64, 967, 713},	// QsciLexerFortran77::description$
    {64, 1030, 715},	// QsciLexerFortran77::foldCompact
    {64, 1105, 712},	// QsciLexerFortran77::keywords$
    {64, 1106, 705},	// QsciLexerFortran77::language
    {64, 1111, 706},	// QsciLexerFortran77::lexer
    {64, 1162, 697},	// QsciLexerFortran77::metaObject
    {64, 1203, 703},	// QsciLexerFortran77::qt_metacall$$?
    {64, 1205, 698},	// QsciLexerFortran77::qt_metacast$
    {64, 1210, 717},	// QsciLexerFortran77::readProperties#$
    {64, 1219, 714},	// QsciLexerFortran77::refreshProperties
    {64, 1357, 716},	// QsciLexerFortran77::setFoldCompact$
    {64, 1544, 722},	// QsciLexerFortran77::staticMetaObject
    {64, 1566, 719},	// QsciLexerFortran77::tr$
    {64, 1567, 699},	// QsciLexerFortran77::tr$$
    {64, 1568, 701},	// QsciLexerFortran77::tr$$$
    {64, 1570, 720},	// QsciLexerFortran77::trUtf8$
    {64, 1571, 700},	// QsciLexerFortran77::trUtf8$$
    {64, 1572, 702},	// QsciLexerFortran77::trUtf8$$$
    {64, 1599, 718},	// QsciLexerFortran77::writeProperties#$
    {64, 1625, 738},	// QsciLexerFortran77::~QsciLexerFortran77
    {65, 11, 793},	// QsciLexerHTML::ASPAtStart
    {65, 12, 825},	// QsciLexerHTML::ASPJavaScriptComment
    {65, 13, 827},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {65, 14, 826},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {65, 15, 824},	// QsciLexerHTML::ASPJavaScriptDefault
    {65, 16, 831},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {65, 17, 830},	// QsciLexerHTML::ASPJavaScriptKeyword
    {65, 18, 828},	// QsciLexerHTML::ASPJavaScriptNumber
    {65, 19, 835},	// QsciLexerHTML::ASPJavaScriptRegex
    {65, 20, 832},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {65, 21, 823},	// QsciLexerHTML::ASPJavaScriptStart
    {65, 22, 833},	// QsciLexerHTML::ASPJavaScriptSymbol
    {65, 23, 834},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {65, 24, 829},	// QsciLexerHTML::ASPJavaScriptWord
    {65, 25, 874},	// QsciLexerHTML::ASPPythonClassName
    {65, 26, 867},	// QsciLexerHTML::ASPPythonComment
    {65, 27, 866},	// QsciLexerHTML::ASPPythonDefault
    {65, 28, 869},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {65, 29, 875},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {65, 30, 877},	// QsciLexerHTML::ASPPythonIdentifier
    {65, 31, 871},	// QsciLexerHTML::ASPPythonKeyword
    {65, 32, 868},	// QsciLexerHTML::ASPPythonNumber
    {65, 33, 876},	// QsciLexerHTML::ASPPythonOperator
    {65, 34, 870},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {65, 35, 865},	// QsciLexerHTML::ASPPythonStart
    {65, 36, 873},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {65, 37, 872},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {65, 38, 794},	// QsciLexerHTML::ASPStart
    {65, 39, 846},	// QsciLexerHTML::ASPVBScriptComment
    {65, 40, 845},	// QsciLexerHTML::ASPVBScriptDefault
    {65, 41, 850},	// QsciLexerHTML::ASPVBScriptIdentifier
    {65, 42, 848},	// QsciLexerHTML::ASPVBScriptKeyword
    {65, 43, 847},	// QsciLexerHTML::ASPVBScriptNumber
    {65, 44, 844},	// QsciLexerHTML::ASPVBScriptStart
    {65, 45, 849},	// QsciLexerHTML::ASPVBScriptString
    {65, 46, 851},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {65, 47, 798},	// QsciLexerHTML::ASPXCComment
    {65, 66, 781},	// QsciLexerHTML::Attribute
    {65, 104, 795},	// QsciLexerHTML::CDATA
    {65, 156, 778},	// QsciLexerHTML::Default
    {65, 195, 788},	// QsciLexerHTML::Entity
    {65, 223, 787},	// QsciLexerHTML::HTMLComment
    {65, 224, 784},	// QsciLexerHTML::HTMLDoubleQuotedString
    {65, 225, 783},	// QsciLexerHTML::HTMLNumber
    {65, 226, 785},	// QsciLexerHTML::HTMLSingleQuotedString
    {65, 227, 797},	// QsciLexerHTML::HTMLValue
    {65, 278, 812},	// QsciLexerHTML::JavaScriptComment
    {65, 279, 814},	// QsciLexerHTML::JavaScriptCommentDoc
    {65, 280, 813},	// QsciLexerHTML::JavaScriptCommentLine
    {65, 281, 811},	// QsciLexerHTML::JavaScriptDefault
    {65, 282, 818},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {65, 283, 817},	// QsciLexerHTML::JavaScriptKeyword
    {65, 284, 815},	// QsciLexerHTML::JavaScriptNumber
    {65, 285, 822},	// QsciLexerHTML::JavaScriptRegex
    {65, 286, 819},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {65, 287, 810},	// QsciLexerHTML::JavaScriptStart
    {65, 288, 820},	// QsciLexerHTML::JavaScriptSymbol
    {65, 289, 821},	// QsciLexerHTML::JavaScriptUnclosedString
    {65, 290, 816},	// QsciLexerHTML::JavaScriptWord
    {65, 368, 786},	// QsciLexerHTML::OtherInTag
    {65, 369, 884},	// QsciLexerHTML::PHPComment
    {65, 370, 885},	// QsciLexerHTML::PHPCommentLine
    {65, 371, 878},	// QsciLexerHTML::PHPDefault
    {65, 372, 879},	// QsciLexerHTML::PHPDoubleQuotedString
    {65, 373, 886},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {65, 374, 881},	// QsciLexerHTML::PHPKeyword
    {65, 375, 882},	// QsciLexerHTML::PHPNumber
    {65, 376, 887},	// QsciLexerHTML::PHPOperator
    {65, 377, 880},	// QsciLexerHTML::PHPSingleQuotedString
    {65, 378, 796},	// QsciLexerHTML::PHPStart
    {65, 379, 883},	// QsciLexerHTML::PHPVariable
    {65, 423, 861},	// QsciLexerHTML::PythonClassName
    {65, 424, 854},	// QsciLexerHTML::PythonComment
    {65, 425, 853},	// QsciLexerHTML::PythonDefault
    {65, 426, 856},	// QsciLexerHTML::PythonDoubleQuotedString
    {65, 427, 862},	// QsciLexerHTML::PythonFunctionMethodName
    {65, 428, 864},	// QsciLexerHTML::PythonIdentifier
    {65, 429, 858},	// QsciLexerHTML::PythonKeyword
    {65, 430, 855},	// QsciLexerHTML::PythonNumber
    {65, 431, 863},	// QsciLexerHTML::PythonOperator
    {65, 432, 857},	// QsciLexerHTML::PythonSingleQuotedString
    {65, 433, 852},	// QsciLexerHTML::PythonStart
    {65, 434, 860},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {65, 435, 859},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {65, 474, 776},	// QsciLexerHTML::QsciLexerHTML
    {65, 475, 746},	// QsciLexerHTML::QsciLexerHTML#
    {65, 702, 809},	// QsciLexerHTML::SGMLBlockDefault
    {65, 703, 800},	// QsciLexerHTML::SGMLCommand
    {65, 704, 807},	// QsciLexerHTML::SGMLComment
    {65, 705, 799},	// QsciLexerHTML::SGMLDefault
    {65, 706, 802},	// QsciLexerHTML::SGMLDoubleQuotedString
    {65, 707, 806},	// QsciLexerHTML::SGMLEntity
    {65, 708, 804},	// QsciLexerHTML::SGMLError
    {65, 709, 801},	// QsciLexerHTML::SGMLParameter
    {65, 710, 808},	// QsciLexerHTML::SGMLParameterComment
    {65, 711, 803},	// QsciLexerHTML::SGMLSingleQuotedString
    {65, 712, 805},	// QsciLexerHTML::SGMLSpecial
    {65, 715, 792},	// QsciLexerHTML::Script
    {65, 784, 779},	// QsciLexerHTML::Tag
    {65, 804, 782},	// QsciLexerHTML::UnknownAttribute
    {65, 807, 780},	// QsciLexerHTML::UnknownTag
    {65, 809, 838},	// QsciLexerHTML::VBScriptComment
    {65, 810, 837},	// QsciLexerHTML::VBScriptDefault
    {65, 811, 842},	// QsciLexerHTML::VBScriptIdentifier
    {65, 812, 840},	// QsciLexerHTML::VBScriptKeyword
    {65, 813, 839},	// QsciLexerHTML::VBScriptNumber
    {65, 814, 836},	// QsciLexerHTML::VBScriptStart
    {65, 815, 841},	// QsciLexerHTML::VBScriptString
    {65, 816, 843},	// QsciLexerHTML::VBScriptUnclosedString
    {65, 853, 791},	// QsciLexerHTML::XMLEnd
    {65, 854, 790},	// QsciLexerHTML::XMLStart
    {65, 855, 789},	// QsciLexerHTML::XMLTagEnd
    {65, 884, 749},	// QsciLexerHTML::autoCompletionFillups
    {65, 920, 758},	// QsciLexerHTML::caseSensitiveTags
    {65, 957, 751},	// QsciLexerHTML::defaultColor$
    {65, 959, 752},	// QsciLexerHTML::defaultEolFill$
    {65, 961, 753},	// QsciLexerHTML::defaultFont$
    {65, 963, 754},	// QsciLexerHTML::defaultPaper$
    {65, 967, 756},	// QsciLexerHTML::description$
    {65, 970, 760},	// QsciLexerHTML::djangoTemplates
    {65, 1030, 761},	// QsciLexerHTML::foldCompact
    {65, 1037, 762},	// QsciLexerHTML::foldPreprocessor
    {65, 1039, 764},	// QsciLexerHTML::foldScriptComments
    {65, 1040, 766},	// QsciLexerHTML::foldScriptHeredocs
    {65, 1105, 755},	// QsciLexerHTML::keywords$
    {65, 1106, 747},	// QsciLexerHTML::language
    {65, 1111, 748},	// QsciLexerHTML::lexer
    {65, 1126, 768},	// QsciLexerHTML::makoTemplates
    {65, 1162, 739},	// QsciLexerHTML::metaObject
    {65, 1203, 745},	// QsciLexerHTML::qt_metacall$$?
    {65, 1205, 740},	// QsciLexerHTML::qt_metacast$
    {65, 1210, 772},	// QsciLexerHTML::readProperties#$
    {65, 1219, 757},	// QsciLexerHTML::refreshProperties
    {65, 1301, 771},	// QsciLexerHTML::setCaseSensitiveTags$
    {65, 1320, 759},	// QsciLexerHTML::setDjangoTemplates$
    {65, 1357, 769},	// QsciLexerHTML::setFoldCompact$
    {65, 1369, 770},	// QsciLexerHTML::setFoldPreprocessor$
    {65, 1373, 763},	// QsciLexerHTML::setFoldScriptComments$
    {65, 1375, 765},	// QsciLexerHTML::setFoldScriptHeredocs$
    {65, 1424, 767},	// QsciLexerHTML::setMakoTemplates$
    {65, 1544, 777},	// QsciLexerHTML::staticMetaObject
    {65, 1566, 774},	// QsciLexerHTML::tr$
    {65, 1567, 741},	// QsciLexerHTML::tr$$
    {65, 1568, 743},	// QsciLexerHTML::tr$$$
    {65, 1570, 775},	// QsciLexerHTML::trUtf8$
    {65, 1571, 742},	// QsciLexerHTML::trUtf8$$
    {65, 1572, 744},	// QsciLexerHTML::trUtf8$$$
    {65, 1593, 750},	// QsciLexerHTML::wordCharacters
    {65, 1599, 773},	// QsciLexerHTML::writeProperties#$
    {65, 1626, 888},	// QsciLexerHTML::~QsciLexerHTML
    {66, 476, 903},	// QsciLexerIDL::QsciLexerIDL
    {66, 477, 896},	// QsciLexerIDL::QsciLexerIDL#
    {66, 957, 898},	// QsciLexerIDL::defaultColor$
    {66, 967, 900},	// QsciLexerIDL::description$
    {66, 1105, 899},	// QsciLexerIDL::keywords$
    {66, 1106, 897},	// QsciLexerIDL::language
    {66, 1162, 889},	// QsciLexerIDL::metaObject
    {66, 1203, 895},	// QsciLexerIDL::qt_metacall$$?
    {66, 1205, 890},	// QsciLexerIDL::qt_metacast$
    {66, 1544, 904},	// QsciLexerIDL::staticMetaObject
    {66, 1566, 901},	// QsciLexerIDL::tr$
    {66, 1567, 891},	// QsciLexerIDL::tr$$
    {66, 1568, 893},	// QsciLexerIDL::tr$$$
    {66, 1570, 902},	// QsciLexerIDL::trUtf8$
    {66, 1571, 892},	// QsciLexerIDL::trUtf8$$
    {66, 1572, 894},	// QsciLexerIDL::trUtf8$$$
    {66, 1627, 905},	// QsciLexerIDL::~QsciLexerIDL
    {67, 478, 918},	// QsciLexerJava::QsciLexerJava
    {67, 479, 913},	// QsciLexerJava::QsciLexerJava#
    {67, 1105, 915},	// QsciLexerJava::keywords$
    {67, 1106, 914},	// QsciLexerJava::language
    {67, 1162, 906},	// QsciLexerJava::metaObject
    {67, 1203, 912},	// QsciLexerJava::qt_metacall$$?
    {67, 1205, 907},	// QsciLexerJava::qt_metacast$
    {67, 1544, 919},	// QsciLexerJava::staticMetaObject
    {67, 1566, 916},	// QsciLexerJava::tr$
    {67, 1567, 908},	// QsciLexerJava::tr$$
    {67, 1568, 910},	// QsciLexerJava::tr$$$
    {67, 1570, 917},	// QsciLexerJava::trUtf8$
    {67, 1571, 909},	// QsciLexerJava::trUtf8$$
    {67, 1572, 911},	// QsciLexerJava::trUtf8$$$
    {67, 1628, 920},	// QsciLexerJava::~QsciLexerJava
    {68, 480, 938},	// QsciLexerJavaScript::QsciLexerJavaScript
    {68, 481, 928},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {68, 957, 930},	// QsciLexerJavaScript::defaultColor$
    {68, 959, 931},	// QsciLexerJavaScript::defaultEolFill$
    {68, 961, 932},	// QsciLexerJavaScript::defaultFont$
    {68, 963, 933},	// QsciLexerJavaScript::defaultPaper$
    {68, 967, 935},	// QsciLexerJavaScript::description$
    {68, 1105, 934},	// QsciLexerJavaScript::keywords$
    {68, 1106, 929},	// QsciLexerJavaScript::language
    {68, 1162, 921},	// QsciLexerJavaScript::metaObject
    {68, 1203, 927},	// QsciLexerJavaScript::qt_metacall$$?
    {68, 1205, 922},	// QsciLexerJavaScript::qt_metacast$
    {68, 1544, 939},	// QsciLexerJavaScript::staticMetaObject
    {68, 1566, 936},	// QsciLexerJavaScript::tr$
    {68, 1567, 923},	// QsciLexerJavaScript::tr$$
    {68, 1568, 925},	// QsciLexerJavaScript::tr$$$
    {68, 1570, 937},	// QsciLexerJavaScript::trUtf8$
    {68, 1571, 924},	// QsciLexerJavaScript::trUtf8$$
    {68, 1572, 926},	// QsciLexerJavaScript::trUtf8$$$
    {68, 1629, 940},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {69, 89, 982},	// QsciLexerLua::BasicFunctions
    {69, 120, 976},	// QsciLexerLua::Character
    {69, 135, 971},	// QsciLexerLua::Comment
    {69, 147, 984},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {69, 156, 970},	// QsciLexerLua::Default
    {69, 247, 980},	// QsciLexerLua::Identifier
    {69, 292, 974},	// QsciLexerLua::Keyword
    {69, 297, 985},	// QsciLexerLua::KeywordSet5
    {69, 298, 986},	// QsciLexerLua::KeywordSet6
    {69, 299, 987},	// QsciLexerLua::KeywordSet7
    {69, 300, 988},	// QsciLexerLua::KeywordSet8
    {69, 302, 989},	// QsciLexerLua::Label
    {69, 315, 972},	// QsciLexerLua::LineComment
    {69, 338, 977},	// QsciLexerLua::LiteralString
    {69, 362, 973},	// QsciLexerLua::Number
    {69, 366, 979},	// QsciLexerLua::Operator
    {69, 418, 978},	// QsciLexerLua::Preprocessor
    {69, 482, 967},	// QsciLexerLua::QsciLexerLua
    {69, 483, 948},	// QsciLexerLua::QsciLexerLua#
    {69, 757, 975},	// QsciLexerLua::String
    {69, 760, 983},	// QsciLexerLua::StringTableMathsFunctions
    {69, 801, 981},	// QsciLexerLua::UnclosedString
    {69, 893, 951},	// QsciLexerLua::autoCompletionWordSeparators
    {69, 902, 968},	// QsciLexerLua::blockStart
    {69, 903, 952},	// QsciLexerLua::blockStart$
    {69, 909, 953},	// QsciLexerLua::braceStyle
    {69, 957, 954},	// QsciLexerLua::defaultColor$
    {69, 959, 955},	// QsciLexerLua::defaultEolFill$
    {69, 961, 956},	// QsciLexerLua::defaultFont$
    {69, 963, 957},	// QsciLexerLua::defaultPaper$
    {69, 967, 959},	// QsciLexerLua::description$
    {69, 1030, 961},	// QsciLexerLua::foldCompact
    {69, 1105, 958},	// QsciLexerLua::keywords$
    {69, 1106, 949},	// QsciLexerLua::language
    {69, 1111, 950},	// QsciLexerLua::lexer
    {69, 1162, 941},	// QsciLexerLua::metaObject
    {69, 1203, 947},	// QsciLexerLua::qt_metacall$$?
    {69, 1205, 942},	// QsciLexerLua::qt_metacast$
    {69, 1210, 963},	// QsciLexerLua::readProperties#$
    {69, 1219, 960},	// QsciLexerLua::refreshProperties
    {69, 1357, 962},	// QsciLexerLua::setFoldCompact$
    {69, 1544, 969},	// QsciLexerLua::staticMetaObject
    {69, 1566, 965},	// QsciLexerLua::tr$
    {69, 1567, 943},	// QsciLexerLua::tr$$
    {69, 1568, 945},	// QsciLexerLua::tr$$$
    {69, 1570, 966},	// QsciLexerLua::trUtf8$
    {69, 1571, 944},	// QsciLexerLua::trUtf8$$
    {69, 1572, 946},	// QsciLexerLua::trUtf8$$$
    {69, 1599, 964},	// QsciLexerLua::writeProperties#$
    {69, 1630, 990},	// QsciLexerLua::~QsciLexerLua
    {70, 135, 1012},	// QsciLexerMakefile::Comment
    {70, 156, 1011},	// QsciLexerMakefile::Default
    {70, 201, 1017},	// QsciLexerMakefile::Error
    {70, 366, 1015},	// QsciLexerMakefile::Operator
    {70, 418, 1013},	// QsciLexerMakefile::Preprocessor
    {70, 484, 1009},	// QsciLexerMakefile::QsciLexerMakefile
    {70, 485, 998},	// QsciLexerMakefile::QsciLexerMakefile#
    {70, 785, 1016},	// QsciLexerMakefile::Target
    {70, 824, 1014},	// QsciLexerMakefile::Variable
    {70, 957, 1002},	// QsciLexerMakefile::defaultColor$
    {70, 959, 1003},	// QsciLexerMakefile::defaultEolFill$
    {70, 961, 1004},	// QsciLexerMakefile::defaultFont$
    {70, 963, 1005},	// QsciLexerMakefile::defaultPaper$
    {70, 967, 1006},	// QsciLexerMakefile::description$
    {70, 1106, 999},	// QsciLexerMakefile::language
    {70, 1111, 1000},	// QsciLexerMakefile::lexer
    {70, 1162, 991},	// QsciLexerMakefile::metaObject
    {70, 1203, 997},	// QsciLexerMakefile::qt_metacall$$?
    {70, 1205, 992},	// QsciLexerMakefile::qt_metacast$
    {70, 1544, 1010},	// QsciLexerMakefile::staticMetaObject
    {70, 1566, 1007},	// QsciLexerMakefile::tr$
    {70, 1567, 993},	// QsciLexerMakefile::tr$$
    {70, 1568, 995},	// QsciLexerMakefile::tr$$$
    {70, 1570, 1008},	// QsciLexerMakefile::trUtf8$
    {70, 1571, 994},	// QsciLexerMakefile::trUtf8$$
    {70, 1572, 996},	// QsciLexerMakefile::trUtf8$$$
    {70, 1593, 1001},	// QsciLexerMakefile::wordCharacters
    {70, 1631, 1018},	// QsciLexerMakefile::~QsciLexerMakefile
    {71, 86, 1059},	// QsciLexerPOV::BadDirective
    {71, 135, 1051},	// QsciLexerPOV::Comment
    {71, 141, 1052},	// QsciLexerPOV::CommentLine
    {71, 156, 1050},	// QsciLexerPOV::Default
    {71, 171, 1058},	// QsciLexerPOV::Directive
    {71, 247, 1055},	// QsciLexerPOV::Identifier
    {71, 298, 1064},	// QsciLexerPOV::KeywordSet6
    {71, 299, 1065},	// QsciLexerPOV::KeywordSet7
    {71, 300, 1066},	// QsciLexerPOV::KeywordSet8
    {71, 362, 1053},	// QsciLexerPOV::Number
    {71, 364, 1060},	// QsciLexerPOV::ObjectsCSGAppearance
    {71, 366, 1054},	// QsciLexerPOV::Operator
    {71, 416, 1063},	// QsciLexerPOV::PredefinedFunctions
    {71, 417, 1062},	// QsciLexerPOV::PredefinedIdentifiers
    {71, 486, 1048},	// QsciLexerPOV::QsciLexerPOV
    {71, 487, 1026},	// QsciLexerPOV::QsciLexerPOV#
    {71, 757, 1056},	// QsciLexerPOV::String
    {71, 799, 1061},	// QsciLexerPOV::TypesModifiersItems
    {71, 801, 1057},	// QsciLexerPOV::UnclosedString
    {71, 909, 1029},	// QsciLexerPOV::braceStyle
    {71, 957, 1031},	// QsciLexerPOV::defaultColor$
    {71, 959, 1032},	// QsciLexerPOV::defaultEolFill$
    {71, 961, 1033},	// QsciLexerPOV::defaultFont$
    {71, 963, 1034},	// QsciLexerPOV::defaultPaper$
    {71, 967, 1036},	// QsciLexerPOV::description$
    {71, 1029, 1038},	// QsciLexerPOV::foldComments
    {71, 1030, 1039},	// QsciLexerPOV::foldCompact
    {71, 1031, 1040},	// QsciLexerPOV::foldDirectives
    {71, 1105, 1035},	// QsciLexerPOV::keywords$
    {71, 1106, 1027},	// QsciLexerPOV::language
    {71, 1111, 1028},	// QsciLexerPOV::lexer
    {71, 1162, 1019},	// QsciLexerPOV::metaObject
    {71, 1203, 1025},	// QsciLexerPOV::qt_metacall$$?
    {71, 1205, 1020},	// QsciLexerPOV::qt_metacast$
    {71, 1210, 1044},	// QsciLexerPOV::readProperties#$
    {71, 1219, 1037},	// QsciLexerPOV::refreshProperties
    {71, 1355, 1041},	// QsciLexerPOV::setFoldComments$
    {71, 1357, 1042},	// QsciLexerPOV::setFoldCompact$
    {71, 1359, 1043},	// QsciLexerPOV::setFoldDirectives$
    {71, 1544, 1049},	// QsciLexerPOV::staticMetaObject
    {71, 1566, 1046},	// QsciLexerPOV::tr$
    {71, 1567, 1021},	// QsciLexerPOV::tr$$
    {71, 1568, 1023},	// QsciLexerPOV::tr$$$
    {71, 1570, 1047},	// QsciLexerPOV::trUtf8$
    {71, 1571, 1022},	// QsciLexerPOV::trUtf8$$
    {71, 1572, 1024},	// QsciLexerPOV::trUtf8$$$
    {71, 1593, 1030},	// QsciLexerPOV::wordCharacters
    {71, 1599, 1045},	// QsciLexerPOV::writeProperties#$
    {71, 1632, 1067},	// QsciLexerPOV::~QsciLexerPOV
    {72, 63, 1121},	// QsciLexerPascal::Asm
    {72, 120, 1119},	// QsciLexerPascal::Character
    {72, 135, 1109},	// QsciLexerPascal::Comment
    {72, 141, 1111},	// QsciLexerPascal::CommentLine
    {72, 145, 1110},	// QsciLexerPascal::CommentParenthesis
    {72, 156, 1107},	// QsciLexerPascal::Default
    {72, 232, 1115},	// QsciLexerPascal::HexNumber
    {72, 247, 1108},	// QsciLexerPascal::Identifier
    {72, 292, 1116},	// QsciLexerPascal::Keyword
    {72, 362, 1114},	// QsciLexerPascal::Number
    {72, 366, 1120},	// QsciLexerPascal::Operator
    {72, 414, 1112},	// QsciLexerPascal::PreProcessor
    {72, 415, 1113},	// QsciLexerPascal::PreProcessorParenthesis
    {72, 488, 1102},	// QsciLexerPascal::QsciLexerPascal
    {72, 489, 1075},	// QsciLexerPascal::QsciLexerPascal#
    {72, 739, 1117},	// QsciLexerPascal::SingleQuotedString
    {72, 801, 1118},	// QsciLexerPascal::UnclosedString
    {72, 893, 1078},	// QsciLexerPascal::autoCompletionWordSeparators
    {72, 899, 1103},	// QsciLexerPascal::blockEnd
    {72, 900, 1079},	// QsciLexerPascal::blockEnd$
    {72, 902, 1104},	// QsciLexerPascal::blockStart
    {72, 903, 1080},	// QsciLexerPascal::blockStart$
    {72, 904, 1105},	// QsciLexerPascal::blockStartKeyword
    {72, 905, 1081},	// QsciLexerPascal::blockStartKeyword$
    {72, 909, 1082},	// QsciLexerPascal::braceStyle
    {72, 957, 1083},	// QsciLexerPascal::defaultColor$
    {72, 959, 1084},	// QsciLexerPascal::defaultEolFill$
    {72, 961, 1085},	// QsciLexerPascal::defaultFont$
    {72, 963, 1086},	// QsciLexerPascal::defaultPaper$
    {72, 967, 1088},	// QsciLexerPascal::description$
    {72, 1029, 1090},	// QsciLexerPascal::foldComments
    {72, 1030, 1091},	// QsciLexerPascal::foldCompact
    {72, 1037, 1092},	// QsciLexerPascal::foldPreprocessor
    {72, 1105, 1087},	// QsciLexerPascal::keywords$
    {72, 1106, 1076},	// QsciLexerPascal::language
    {72, 1111, 1077},	// QsciLexerPascal::lexer
    {72, 1162, 1068},	// QsciLexerPascal::metaObject
    {72, 1203, 1074},	// QsciLexerPascal::qt_metacall$$?
    {72, 1205, 1069},	// QsciLexerPascal::qt_metacast$
    {72, 1210, 1098},	// QsciLexerPascal::readProperties#$
    {72, 1219, 1089},	// QsciLexerPascal::refreshProperties
    {72, 1355, 1095},	// QsciLexerPascal::setFoldComments$
    {72, 1357, 1096},	// QsciLexerPascal::setFoldCompact$
    {72, 1369, 1097},	// QsciLexerPascal::setFoldPreprocessor$
    {72, 1484, 1093},	// QsciLexerPascal::setSmartHighlighting$
    {72, 1538, 1094},	// QsciLexerPascal::smartHighlighting
    {72, 1544, 1106},	// QsciLexerPascal::staticMetaObject
    {72, 1566, 1100},	// QsciLexerPascal::tr$
    {72, 1567, 1070},	// QsciLexerPascal::tr$$
    {72, 1568, 1072},	// QsciLexerPascal::tr$$$
    {72, 1570, 1101},	// QsciLexerPascal::trUtf8$
    {72, 1571, 1071},	// QsciLexerPascal::trUtf8$$
    {72, 1572, 1073},	// QsciLexerPascal::trUtf8$$$
    {72, 1599, 1099},	// QsciLexerPascal::writeProperties#$
    {72, 1633, 1122},	// QsciLexerPascal::~QsciLexerPascal
    {73, 61, 1170},	// QsciLexerPerl::Array
    {73, 82, 1180},	// QsciLexerPerl::BacktickHereDocument
    {73, 83, 1196},	// QsciLexerPerl::BacktickHereDocumentVar
    {73, 84, 1175},	// QsciLexerPerl::Backticks
    {73, 85, 1194},	// QsciLexerPerl::BackticksVar
    {73, 135, 1161},	// QsciLexerPerl::Comment
    {73, 154, 1176},	// QsciLexerPerl::DataSection
    {73, 156, 1159},	// QsciLexerPerl::Default
    {73, 180, 1179},	// QsciLexerPerl::DoubleQuotedHereDocument
    {73, 181, 1195},	// QsciLexerPerl::DoubleQuotedHereDocumentVar
    {73, 182, 1165},	// QsciLexerPerl::DoubleQuotedString
    {73, 183, 1190},	// QsciLexerPerl::DoubleQuotedStringVar
    {73, 201, 1160},	// QsciLexerPerl::Error
    {73, 212, 1189},	// QsciLexerPerl::FormatBody
    {73, 213, 1188},	// QsciLexerPerl::FormatIdentifier
    {73, 228, 1171},	// QsciLexerPerl::Hash
    {73, 231, 1177},	// QsciLexerPerl::HereDocumentDelimiter
    {73, 247, 1168},	// QsciLexerPerl::Identifier
    {73, 292, 1164},	// QsciLexerPerl::Keyword
    {73, 362, 1163},	// QsciLexerPerl::Number
    {73, 366, 1167},	// QsciLexerPerl::Operator
    {73, 380, 1162},	// QsciLexerPerl::POD
    {73, 381, 1186},	// QsciLexerPerl::PODVerbatim
    {73, 490, 1157},	// QsciLexerPerl::QsciLexerPerl
    {73, 491, 1130},	// QsciLexerPerl::QsciLexerPerl#
    {73, 538, 1181},	// QsciLexerPerl::QuotedStringQ
    {73, 539, 1182},	// QsciLexerPerl::QuotedStringQQ
    {73, 540, 1197},	// QsciLexerPerl::QuotedStringQQVar
    {73, 541, 1184},	// QsciLexerPerl::QuotedStringQR
    {73, 542, 1199},	// QsciLexerPerl::QuotedStringQRVar
    {73, 543, 1185},	// QsciLexerPerl::QuotedStringQW
    {73, 544, 1183},	// QsciLexerPerl::QuotedStringQX
    {73, 545, 1198},	// QsciLexerPerl::QuotedStringQXVar
    {73, 551, 1173},	// QsciLexerPerl::Regex
    {73, 552, 1192},	// QsciLexerPerl::RegexVar
    {73, 713, 1169},	// QsciLexerPerl::Scalar
    {73, 738, 1178},	// QsciLexerPerl::SingleQuotedHereDocument
    {73, 739, 1166},	// QsciLexerPerl::SingleQuotedString
    {73, 767, 1187},	// QsciLexerPerl::SubroutinePrototype
    {73, 768, 1174},	// QsciLexerPerl::Substitution
    {73, 770, 1193},	// QsciLexerPerl::SubstitutionVar
    {73, 776, 1172},	// QsciLexerPerl::SymbolTable
    {73, 795, 1191},	// QsciLexerPerl::Translation
    {73, 893, 1133},	// QsciLexerPerl::autoCompletionWordSeparators
    {73, 909, 1134},	// QsciLexerPerl::braceStyle
    {73, 957, 1136},	// QsciLexerPerl::defaultColor$
    {73, 959, 1137},	// QsciLexerPerl::defaultEolFill$
    {73, 961, 1138},	// QsciLexerPerl::defaultFont$
    {73, 963, 1139},	// QsciLexerPerl::defaultPaper$
    {73, 967, 1141},	// QsciLexerPerl::description$
    {73, 1027, 1144},	// QsciLexerPerl::foldAtElse
    {73, 1029, 1145},	// QsciLexerPerl::foldComments
    {73, 1030, 1146},	// QsciLexerPerl::foldCompact
    {73, 1035, 1150},	// QsciLexerPerl::foldPODBlocks
    {73, 1036, 1148},	// QsciLexerPerl::foldPackages
    {73, 1105, 1140},	// QsciLexerPerl::keywords$
    {73, 1106, 1131},	// QsciLexerPerl::language
    {73, 1111, 1132},	// QsciLexerPerl::lexer
    {73, 1162, 1123},	// QsciLexerPerl::metaObject
    {73, 1203, 1129},	// QsciLexerPerl::qt_metacall$$?
    {73, 1205, 1124},	// QsciLexerPerl::qt_metacast$
    {73, 1210, 1153},	// QsciLexerPerl::readProperties#$
    {73, 1219, 1142},	// QsciLexerPerl::refreshProperties
    {73, 1351, 1143},	// QsciLexerPerl::setFoldAtElse$
    {73, 1355, 1151},	// QsciLexerPerl::setFoldComments$
    {73, 1357, 1152},	// QsciLexerPerl::setFoldCompact$
    {73, 1365, 1149},	// QsciLexerPerl::setFoldPODBlocks$
    {73, 1367, 1147},	// QsciLexerPerl::setFoldPackages$
    {73, 1544, 1158},	// QsciLexerPerl::staticMetaObject
    {73, 1566, 1155},	// QsciLexerPerl::tr$
    {73, 1567, 1125},	// QsciLexerPerl::tr$$
    {73, 1568, 1127},	// QsciLexerPerl::tr$$$
    {73, 1570, 1156},	// QsciLexerPerl::trUtf8$
    {73, 1571, 1126},	// QsciLexerPerl::trUtf8$$
    {73, 1572, 1128},	// QsciLexerPerl::trUtf8$$$
    {73, 1593, 1135},	// QsciLexerPerl::wordCharacters
    {73, 1599, 1154},	// QsciLexerPerl::writeProperties#$
    {73, 1634, 1200},	// QsciLexerPerl::~QsciLexerPerl
    {74, 62, 1241},	// QsciLexerPostScript::ArrayParenthesis
    {74, 87, 1247},	// QsciLexerPostScript::BadStringCharacter
    {74, 88, 1246},	// QsciLexerPostScript::Base85String
    {74, 135, 1233},	// QsciLexerPostScript::Comment
    {74, 151, 1234},	// QsciLexerPostScript::DSCComment
    {74, 152, 1235},	// QsciLexerPostScript::DSCCommentValue
    {74, 156, 1232},	// QsciLexerPostScript::Default
    {74, 169, 1242},	// QsciLexerPostScript::DictionaryParenthesis
    {74, 233, 1245},	// QsciLexerPostScript::HexString
    {74, 250, 1240},	// QsciLexerPostScript::ImmediateEvalLiteral
    {74, 292, 1238},	// QsciLexerPostScript::Keyword
    {74, 337, 1239},	// QsciLexerPostScript::Literal
    {74, 355, 1237},	// QsciLexerPostScript::Name
    {74, 362, 1236},	// QsciLexerPostScript::Number
    {74, 420, 1243},	// QsciLexerPostScript::ProcedureParenthesis
    {74, 492, 1230},	// QsciLexerPostScript::QsciLexerPostScript
    {74, 493, 1208},	// QsciLexerPostScript::QsciLexerPostScript#
    {74, 786, 1244},	// QsciLexerPostScript::Text
    {74, 909, 1211},	// QsciLexerPostScript::braceStyle
    {74, 957, 1212},	// QsciLexerPostScript::defaultColor$
    {74, 961, 1213},	// QsciLexerPostScript::defaultFont$
    {74, 963, 1214},	// QsciLexerPostScript::defaultPaper$
    {74, 967, 1216},	// QsciLexerPostScript::description$
    {74, 1027, 1221},	// QsciLexerPostScript::foldAtElse
    {74, 1030, 1220},	// QsciLexerPostScript::foldCompact
    {74, 1105, 1215},	// QsciLexerPostScript::keywords$
    {74, 1106, 1209},	// QsciLexerPostScript::language
    {74, 1110, 1219},	// QsciLexerPostScript::level
    {74, 1111, 1210},	// QsciLexerPostScript::lexer
    {74, 1162, 1201},	// QsciLexerPostScript::metaObject
    {74, 1203, 1207},	// QsciLexerPostScript::qt_metacall$$?
    {74, 1205, 1202},	// QsciLexerPostScript::qt_metacast$
    {74, 1210, 1226},	// QsciLexerPostScript::readProperties#$
    {74, 1219, 1217},	// QsciLexerPostScript::refreshProperties
    {74, 1351, 1225},	// QsciLexerPostScript::setFoldAtElse$
    {74, 1357, 1224},	// QsciLexerPostScript::setFoldCompact$
    {74, 1418, 1223},	// QsciLexerPostScript::setLevel$
    {74, 1501, 1222},	// QsciLexerPostScript::setTokenize$
    {74, 1544, 1231},	// QsciLexerPostScript::staticMetaObject
    {74, 1564, 1218},	// QsciLexerPostScript::tokenize
    {74, 1566, 1228},	// QsciLexerPostScript::tr$
    {74, 1567, 1203},	// QsciLexerPostScript::tr$$
    {74, 1568, 1205},	// QsciLexerPostScript::tr$$$
    {74, 1570, 1229},	// QsciLexerPostScript::trUtf8$
    {74, 1571, 1204},	// QsciLexerPostScript::trUtf8$$
    {74, 1572, 1206},	// QsciLexerPostScript::trUtf8$$$
    {74, 1599, 1227},	// QsciLexerPostScript::writeProperties#$
    {74, 1635, 1248},	// QsciLexerPostScript::~QsciLexerPostScript
    {75, 64, 1279},	// QsciLexerProperties::Assignment
    {75, 135, 1277},	// QsciLexerProperties::Comment
    {75, 156, 1276},	// QsciLexerProperties::Default
    {75, 157, 1280},	// QsciLexerProperties::DefaultValue
    {75, 291, 1281},	// QsciLexerProperties::Key
    {75, 494, 1274},	// QsciLexerProperties::QsciLexerProperties
    {75, 495, 1256},	// QsciLexerProperties::QsciLexerProperties#
    {75, 718, 1278},	// QsciLexerProperties::Section
    {75, 957, 1260},	// QsciLexerProperties::defaultColor$
    {75, 959, 1261},	// QsciLexerProperties::defaultEolFill$
    {75, 961, 1262},	// QsciLexerProperties::defaultFont$
    {75, 963, 1263},	// QsciLexerProperties::defaultPaper$
    {75, 967, 1264},	// QsciLexerProperties::description$
    {75, 1030, 1266},	// QsciLexerProperties::foldCompact
    {75, 1080, 1268},	// QsciLexerProperties::initialSpaces
    {75, 1106, 1257},	// QsciLexerProperties::language
    {75, 1111, 1258},	// QsciLexerProperties::lexer
    {75, 1162, 1249},	// QsciLexerProperties::metaObject
    {75, 1203, 1255},	// QsciLexerProperties::qt_metacall$$?
    {75, 1205, 1250},	// QsciLexerProperties::qt_metacast$
    {75, 1210, 1270},	// QsciLexerProperties::readProperties#$
    {75, 1219, 1265},	// QsciLexerProperties::refreshProperties
    {75, 1357, 1269},	// QsciLexerProperties::setFoldCompact$
    {75, 1414, 1267},	// QsciLexerProperties::setInitialSpaces$
    {75, 1544, 1275},	// QsciLexerProperties::staticMetaObject
    {75, 1566, 1272},	// QsciLexerProperties::tr$
    {75, 1567, 1251},	// QsciLexerProperties::tr$$
    {75, 1568, 1253},	// QsciLexerProperties::tr$$$
    {75, 1570, 1273},	// QsciLexerProperties::trUtf8$
    {75, 1571, 1252},	// QsciLexerProperties::trUtf8$$
    {75, 1572, 1254},	// QsciLexerProperties::trUtf8$$$
    {75, 1593, 1259},	// QsciLexerProperties::wordCharacters
    {75, 1599, 1271},	// QsciLexerProperties::writeProperties#$
    {75, 1636, 1282},	// QsciLexerProperties::~QsciLexerProperties
    {76, 129, 1338},	// QsciLexerPython::ClassName
    {76, 135, 1331},	// QsciLexerPython::Comment
    {76, 136, 1342},	// QsciLexerPython::CommentBlock
    {76, 155, 1345},	// QsciLexerPython::Decorator
    {76, 156, 1330},	// QsciLexerPython::Default
    {76, 182, 1333},	// QsciLexerPython::DoubleQuotedString
    {76, 217, 1339},	// QsciLexerPython::FunctionMethodName
    {76, 237, 1344},	// QsciLexerPython::HighlightedIdentifier
    {76, 247, 1341},	// QsciLexerPython::Identifier
    {76, 274, 1347},	// QsciLexerPython::Inconsistent
    {76, 292, 1335},	// QsciLexerPython::Keyword
    {76, 361, 1346},	// QsciLexerPython::NoWarning
    {76, 362, 1332},	// QsciLexerPython::Number
    {76, 366, 1340},	// QsciLexerPython::Operator
    {76, 496, 1327},	// QsciLexerPython::QsciLexerPython
    {76, 497, 1290},	// QsciLexerPython::QsciLexerPython#
    {76, 739, 1334},	// QsciLexerPython::SingleQuotedString
    {76, 743, 1349},	// QsciLexerPython::Spaces
    {76, 782, 1350},	// QsciLexerPython::Tabs
    {76, 783, 1348},	// QsciLexerPython::TabsAfterSpaces
    {76, 796, 1337},	// QsciLexerPython::TripleDoubleQuotedString
    {76, 797, 1336},	// QsciLexerPython::TripleSingleQuotedString
    {76, 801, 1343},	// QsciLexerPython::UnclosedString
    {76, 893, 1293},	// QsciLexerPython::autoCompletionWordSeparators
    {76, 901, 1294},	// QsciLexerPython::blockLookback
    {76, 902, 1328},	// QsciLexerPython::blockStart
    {76, 903, 1295},	// QsciLexerPython::blockStart$
    {76, 909, 1296},	// QsciLexerPython::braceStyle
    {76, 957, 1297},	// QsciLexerPython::defaultColor$
    {76, 959, 1298},	// QsciLexerPython::defaultEolFill$
    {76, 961, 1299},	// QsciLexerPython::defaultFont$
    {76, 963, 1300},	// QsciLexerPython::defaultPaper$
    {76, 967, 1303},	// QsciLexerPython::description$
    {76, 1029, 1305},	// QsciLexerPython::foldComments
    {76, 1030, 1307},	// QsciLexerPython::foldCompact
    {76, 1038, 1308},	// QsciLexerPython::foldQuotes
    {76, 1059, 1311},	// QsciLexerPython::highlightSubidentifiers
    {76, 1066, 1301},	// QsciLexerPython::indentationGuideView
    {76, 1068, 1309},	// QsciLexerPython::indentationWarning
    {76, 1105, 1302},	// QsciLexerPython::keywords$
    {76, 1106, 1291},	// QsciLexerPython::language
    {76, 1111, 1292},	// QsciLexerPython::lexer
    {76, 1162, 1283},	// QsciLexerPython::metaObject
    {76, 1203, 1289},	// QsciLexerPython::qt_metacall$$?
    {76, 1205, 1284},	// QsciLexerPython::qt_metacast$
    {76, 1210, 1323},	// QsciLexerPython::readProperties#$
    {76, 1219, 1304},	// QsciLexerPython::refreshProperties
    {76, 1355, 1320},	// QsciLexerPython::setFoldComments$
    {76, 1357, 1306},	// QsciLexerPython::setFoldCompact$
    {76, 1371, 1321},	// QsciLexerPython::setFoldQuotes$
    {76, 1385, 1310},	// QsciLexerPython::setHighlightSubidentifiers$
    {76, 1399, 1322},	// QsciLexerPython::setIndentationWarning$
    {76, 1486, 1312},	// QsciLexerPython::setStringsOverNewlineAllowed$
    {76, 1511, 1314},	// QsciLexerPython::setV2UnicodeAllowed$
    {76, 1513, 1316},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {76, 1515, 1318},	// QsciLexerPython::setV3BytesAllowed$
    {76, 1544, 1329},	// QsciLexerPython::staticMetaObject
    {76, 1545, 1313},	// QsciLexerPython::stringsOverNewlineAllowed
    {76, 1566, 1325},	// QsciLexerPython::tr$
    {76, 1567, 1285},	// QsciLexerPython::tr$$
    {76, 1568, 1287},	// QsciLexerPython::tr$$$
    {76, 1570, 1326},	// QsciLexerPython::trUtf8$
    {76, 1571, 1286},	// QsciLexerPython::trUtf8$$
    {76, 1572, 1288},	// QsciLexerPython::trUtf8$$$
    {76, 1580, 1315},	// QsciLexerPython::v2UnicodeAllowed
    {76, 1581, 1317},	// QsciLexerPython::v3BinaryOctalAllowed
    {76, 1582, 1319},	// QsciLexerPython::v3BytesAllowed
    {76, 1599, 1324},	// QsciLexerPython::writeProperties#$
    {76, 1637, 1351},	// QsciLexerPython::~QsciLexerPython
    {77, 84, 1404},	// QsciLexerRuby::Backticks
    {77, 129, 1394},	// QsciLexerRuby::ClassName
    {77, 131, 1403},	// QsciLexerRuby::ClassVariable
    {77, 135, 1388},	// QsciLexerRuby::Comment
    {77, 154, 1405},	// QsciLexerRuby::DataSection
    {77, 156, 1386},	// QsciLexerRuby::Default
    {77, 166, 1413},	// QsciLexerRuby::DemotedKeyword
    {77, 182, 1392},	// QsciLexerRuby::DoubleQuotedString
    {77, 201, 1387},	// QsciLexerRuby::Error
    {77, 217, 1395},	// QsciLexerRuby::FunctionMethodName
    {77, 218, 1399},	// QsciLexerRuby::Global
    {77, 230, 1407},	// QsciLexerRuby::HereDocument
    {77, 231, 1406},	// QsciLexerRuby::HereDocumentDelimiter
    {77, 247, 1397},	// QsciLexerRuby::Identifier
    {77, 275, 1402},	// QsciLexerRuby::InstanceVariable
    {77, 292, 1391},	// QsciLexerRuby::Keyword
    {77, 350, 1401},	// QsciLexerRuby::ModuleName
    {77, 362, 1390},	// QsciLexerRuby::Number
    {77, 366, 1396},	// QsciLexerRuby::Operator
    {77, 380, 1389},	// QsciLexerRuby::POD
    {77, 397, 1409},	// QsciLexerRuby::PercentStringQ
    {77, 398, 1408},	// QsciLexerRuby::PercentStringq
    {77, 399, 1411},	// QsciLexerRuby::PercentStringr
    {77, 400, 1412},	// QsciLexerRuby::PercentStringw
    {77, 401, 1410},	// QsciLexerRuby::PercentStringx
    {77, 498, 1381},	// QsciLexerRuby::QsciLexerRuby
    {77, 499, 1359},	// QsciLexerRuby::QsciLexerRuby#
    {77, 551, 1398},	// QsciLexerRuby::Regex
    {77, 739, 1393},	// QsciLexerRuby::SingleQuotedString
    {77, 751, 1416},	// QsciLexerRuby::Stderr
    {77, 752, 1414},	// QsciLexerRuby::Stdin
    {77, 753, 1415},	// QsciLexerRuby::Stdout
    {77, 772, 1400},	// QsciLexerRuby::Symbol
    {77, 899, 1382},	// QsciLexerRuby::blockEnd
    {77, 900, 1362},	// QsciLexerRuby::blockEnd$
    {77, 902, 1383},	// QsciLexerRuby::blockStart
    {77, 903, 1363},	// QsciLexerRuby::blockStart$
    {77, 904, 1384},	// QsciLexerRuby::blockStartKeyword
    {77, 905, 1364},	// QsciLexerRuby::blockStartKeyword$
    {77, 909, 1365},	// QsciLexerRuby::braceStyle
    {77, 957, 1366},	// QsciLexerRuby::defaultColor$
    {77, 959, 1367},	// QsciLexerRuby::defaultEolFill$
    {77, 961, 1368},	// QsciLexerRuby::defaultFont$
    {77, 963, 1369},	// QsciLexerRuby::defaultPaper$
    {77, 967, 1371},	// QsciLexerRuby::description$
    {77, 1029, 1374},	// QsciLexerRuby::foldComments
    {77, 1030, 1376},	// QsciLexerRuby::foldCompact
    {77, 1105, 1370},	// QsciLexerRuby::keywords$
    {77, 1106, 1360},	// QsciLexerRuby::language
    {77, 1111, 1361},	// QsciLexerRuby::lexer
    {77, 1162, 1352},	// QsciLexerRuby::metaObject
    {77, 1203, 1358},	// QsciLexerRuby::qt_metacall$$?
    {77, 1205, 1353},	// QsciLexerRuby::qt_metacast$
    {77, 1210, 1377},	// QsciLexerRuby::readProperties#$
    {77, 1219, 1372},	// QsciLexerRuby::refreshProperties
    {77, 1355, 1373},	// QsciLexerRuby::setFoldComments$
    {77, 1357, 1375},	// QsciLexerRuby::setFoldCompact$
    {77, 1544, 1385},	// QsciLexerRuby::staticMetaObject
    {77, 1566, 1379},	// QsciLexerRuby::tr$
    {77, 1567, 1354},	// QsciLexerRuby::tr$$
    {77, 1568, 1356},	// QsciLexerRuby::tr$$$
    {77, 1570, 1380},	// QsciLexerRuby::trUtf8$
    {77, 1571, 1355},	// QsciLexerRuby::trUtf8$$
    {77, 1572, 1357},	// QsciLexerRuby::trUtf8$$$
    {77, 1599, 1378},	// QsciLexerRuby::writeProperties#$
    {77, 1638, 1417},	// QsciLexerRuby::~QsciLexerRuby
    {78, 135, 1459},	// QsciLexerSQL::Comment
    {78, 138, 1461},	// QsciLexerSQL::CommentDoc
    {78, 139, 1472},	// QsciLexerSQL::CommentDocKeyword
    {78, 140, 1473},	// QsciLexerSQL::CommentDocKeywordError
    {78, 141, 1460},	// QsciLexerSQL::CommentLine
    {78, 143, 1471},	// QsciLexerSQL::CommentLineHash
    {78, 156, 1458},	// QsciLexerSQL::Default
    {78, 182, 1464},	// QsciLexerSQL::DoubleQuotedString
    {78, 247, 1469},	// QsciLexerSQL::Identifier
    {78, 292, 1463},	// QsciLexerSQL::Keyword
    {78, 297, 1474},	// QsciLexerSQL::KeywordSet5
    {78, 298, 1475},	// QsciLexerSQL::KeywordSet6
    {78, 299, 1476},	// QsciLexerSQL::KeywordSet7
    {78, 300, 1477},	// QsciLexerSQL::KeywordSet8
    {78, 362, 1462},	// QsciLexerSQL::Number
    {78, 366, 1468},	// QsciLexerSQL::Operator
    {78, 407, 1470},	// QsciLexerSQL::PlusComment
    {78, 408, 1466},	// QsciLexerSQL::PlusKeyword
    {78, 409, 1467},	// QsciLexerSQL::PlusPrompt
    {78, 500, 1456},	// QsciLexerSQL::QsciLexerSQL
    {78, 501, 1425},	// QsciLexerSQL::QsciLexerSQL#
    {78, 535, 1478},	// QsciLexerSQL::QuotedIdentifier
    {78, 739, 1465},	// QsciLexerSQL::SingleQuotedString
    {78, 896, 1436},	// QsciLexerSQL::backslashEscapes
    {78, 909, 1428},	// QsciLexerSQL::braceStyle
    {78, 957, 1429},	// QsciLexerSQL::defaultColor$
    {78, 959, 1430},	// QsciLexerSQL::defaultEolFill$
    {78, 961, 1431},	// QsciLexerSQL::defaultFont$
    {78, 963, 1432},	// QsciLexerSQL::defaultPaper$
    {78, 967, 1434},	// QsciLexerSQL::description$
    {78, 973, 1438},	// QsciLexerSQL::dottedWords
    {78, 1027, 1440},	// QsciLexerSQL::foldAtElse
    {78, 1029, 1441},	// QsciLexerSQL::foldComments
    {78, 1030, 1442},	// QsciLexerSQL::foldCompact
    {78, 1034, 1444},	// QsciLexerSQL::foldOnlyBegin
    {78, 1056, 1446},	// QsciLexerSQL::hashComments
    {78, 1105, 1433},	// QsciLexerSQL::keywords$
    {78, 1106, 1426},	// QsciLexerSQL::language
    {78, 1111, 1427},	// QsciLexerSQL::lexer
    {78, 1162, 1418},	// QsciLexerSQL::metaObject
    {78, 1203, 1424},	// QsciLexerSQL::qt_metacall$$?
    {78, 1205, 1419},	// QsciLexerSQL::qt_metacast$
    {78, 1206, 1448},	// QsciLexerSQL::quotedIdentifiers
    {78, 1210, 1452},	// QsciLexerSQL::readProperties#$
    {78, 1219, 1435},	// QsciLexerSQL::refreshProperties
    {78, 1277, 1449},	// QsciLexerSQL::setBackslashEscapes$
    {78, 1326, 1437},	// QsciLexerSQL::setDottedWords$
    {78, 1351, 1439},	// QsciLexerSQL::setFoldAtElse$
    {78, 1355, 1450},	// QsciLexerSQL::setFoldComments$
    {78, 1357, 1451},	// QsciLexerSQL::setFoldCompact$
    {78, 1363, 1443},	// QsciLexerSQL::setFoldOnlyBegin$
    {78, 1383, 1445},	// QsciLexerSQL::setHashComments$
    {78, 1470, 1447},	// QsciLexerSQL::setQuotedIdentifiers$
    {78, 1544, 1457},	// QsciLexerSQL::staticMetaObject
    {78, 1566, 1454},	// QsciLexerSQL::tr$
    {78, 1567, 1420},	// QsciLexerSQL::tr$$
    {78, 1568, 1422},	// QsciLexerSQL::tr$$$
    {78, 1570, 1455},	// QsciLexerSQL::trUtf8$
    {78, 1571, 1421},	// QsciLexerSQL::trUtf8$$
    {78, 1572, 1423},	// QsciLexerSQL::trUtf8$$$
    {78, 1599, 1453},	// QsciLexerSQL::writeProperties#$
    {78, 1639, 1479},	// QsciLexerSQL::~QsciLexerSQL
    {79, 135, 1507},	// QsciLexerTCL::Comment
    {79, 136, 1527},	// QsciLexerTCL::CommentBlock
    {79, 137, 1526},	// QsciLexerTCL::CommentBox
    {79, 141, 1508},	// QsciLexerTCL::CommentLine
    {79, 156, 1506},	// QsciLexerTCL::Default
    {79, 203, 1517},	// QsciLexerTCL::ExpandKeyword
    {79, 246, 1520},	// QsciLexerTCL::ITCLKeyword
    {79, 247, 1513},	// QsciLexerTCL::Identifier
    {79, 298, 1522},	// QsciLexerTCL::KeywordSet6
    {79, 299, 1523},	// QsciLexerTCL::KeywordSet7
    {79, 300, 1524},	// QsciLexerTCL::KeywordSet8
    {79, 301, 1525},	// QsciLexerTCL::KeywordSet9
    {79, 349, 1516},	// QsciLexerTCL::Modifier
    {79, 362, 1509},	// QsciLexerTCL::Number
    {79, 366, 1512},	// QsciLexerTCL::Operator
    {79, 502, 1504},	// QsciLexerTCL::QsciLexerTCL
    {79, 503, 1487},	// QsciLexerTCL::QsciLexerTCL#
    {79, 536, 1510},	// QsciLexerTCL::QuotedKeyword
    {79, 537, 1511},	// QsciLexerTCL::QuotedString
    {79, 768, 1514},	// QsciLexerTCL::Substitution
    {79, 769, 1515},	// QsciLexerTCL::SubstitutionBrace
    {79, 778, 1518},	// QsciLexerTCL::TCLKeyword
    {79, 792, 1521},	// QsciLexerTCL::TkCommand
    {79, 793, 1519},	// QsciLexerTCL::TkKeyword
    {79, 909, 1490},	// QsciLexerTCL::braceStyle
    {79, 957, 1491},	// QsciLexerTCL::defaultColor$
    {79, 959, 1492},	// QsciLexerTCL::defaultEolFill$
    {79, 961, 1493},	// QsciLexerTCL::defaultFont$
    {79, 963, 1494},	// QsciLexerTCL::defaultPaper$
    {79, 967, 1496},	// QsciLexerTCL::description$
    {79, 1029, 1499},	// QsciLexerTCL::foldComments
    {79, 1105, 1495},	// QsciLexerTCL::keywords$
    {79, 1106, 1488},	// QsciLexerTCL::language
    {79, 1111, 1489},	// QsciLexerTCL::lexer
    {79, 1162, 1480},	// QsciLexerTCL::metaObject
    {79, 1203, 1486},	// QsciLexerTCL::qt_metacall$$?
    {79, 1205, 1481},	// QsciLexerTCL::qt_metacast$
    {79, 1210, 1500},	// QsciLexerTCL::readProperties#$
    {79, 1219, 1497},	// QsciLexerTCL::refreshProperties
    {79, 1355, 1498},	// QsciLexerTCL::setFoldComments$
    {79, 1544, 1505},	// QsciLexerTCL::staticMetaObject
    {79, 1566, 1502},	// QsciLexerTCL::tr$
    {79, 1567, 1482},	// QsciLexerTCL::tr$$
    {79, 1568, 1484},	// QsciLexerTCL::tr$$$
    {79, 1570, 1503},	// QsciLexerTCL::trUtf8$
    {79, 1571, 1483},	// QsciLexerTCL::trUtf8$$
    {79, 1572, 1485},	// QsciLexerTCL::trUtf8$$$
    {79, 1599, 1501},	// QsciLexerTCL::writeProperties#$
    {79, 1640, 1528},	// QsciLexerTCL::~QsciLexerTCL
    {80, 134, 1562},	// QsciLexerTeX::Command
    {80, 156, 1558},	// QsciLexerTeX::Default
    {80, 221, 1560},	// QsciLexerTeX::Group
    {80, 504, 1556},	// QsciLexerTeX::QsciLexerTeX
    {80, 505, 1536},	// QsciLexerTeX::QsciLexerTeX#
    {80, 744, 1559},	// QsciLexerTeX::Special
    {80, 772, 1561},	// QsciLexerTeX::Symbol
    {80, 786, 1563},	// QsciLexerTeX::Text
    {80, 957, 1540},	// QsciLexerTeX::defaultColor$
    {80, 967, 1542},	// QsciLexerTeX::description$
    {80, 1029, 1545},	// QsciLexerTeX::foldComments
    {80, 1030, 1547},	// QsciLexerTeX::foldCompact
    {80, 1105, 1541},	// QsciLexerTeX::keywords$
    {80, 1106, 1537},	// QsciLexerTeX::language
    {80, 1111, 1538},	// QsciLexerTeX::lexer
    {80, 1162, 1529},	// QsciLexerTeX::metaObject
    {80, 1198, 1549},	// QsciLexerTeX::processComments
    {80, 1199, 1551},	// QsciLexerTeX::processIf
    {80, 1203, 1535},	// QsciLexerTeX::qt_metacall$$?
    {80, 1205, 1530},	// QsciLexerTeX::qt_metacast$
    {80, 1210, 1552},	// QsciLexerTeX::readProperties#$
    {80, 1219, 1543},	// QsciLexerTeX::refreshProperties
    {80, 1355, 1544},	// QsciLexerTeX::setFoldComments$
    {80, 1357, 1546},	// QsciLexerTeX::setFoldCompact$
    {80, 1466, 1548},	// QsciLexerTeX::setProcessComments$
    {80, 1468, 1550},	// QsciLexerTeX::setProcessIf$
    {80, 1544, 1557},	// QsciLexerTeX::staticMetaObject
    {80, 1566, 1554},	// QsciLexerTeX::tr$
    {80, 1567, 1531},	// QsciLexerTeX::tr$$
    {80, 1568, 1533},	// QsciLexerTeX::tr$$$
    {80, 1570, 1555},	// QsciLexerTeX::trUtf8$
    {80, 1571, 1532},	// QsciLexerTeX::trUtf8$$
    {80, 1572, 1534},	// QsciLexerTeX::trUtf8$$$
    {80, 1593, 1539},	// QsciLexerTeX::wordCharacters
    {80, 1599, 1553},	// QsciLexerTeX::writeProperties#$
    {80, 1641, 1564},	// QsciLexerTeX::~QsciLexerTeX
    {81, 66, 1609},	// QsciLexerVHDL::Attribute
    {81, 135, 1600},	// QsciLexerVHDL::Comment
    {81, 141, 1601},	// QsciLexerVHDL::CommentLine
    {81, 156, 1599},	// QsciLexerVHDL::Default
    {81, 247, 1605},	// QsciLexerVHDL::Identifier
    {81, 292, 1607},	// QsciLexerVHDL::Keyword
    {81, 299, 1613},	// QsciLexerVHDL::KeywordSet7
    {81, 362, 1602},	// QsciLexerVHDL::Number
    {81, 366, 1604},	// QsciLexerVHDL::Operator
    {81, 506, 1597},	// QsciLexerVHDL::QsciLexerVHDL
    {81, 507, 1572},	// QsciLexerVHDL::QsciLexerVHDL#
    {81, 747, 1610},	// QsciLexerVHDL::StandardFunction
    {81, 748, 1608},	// QsciLexerVHDL::StandardOperator
    {81, 749, 1611},	// QsciLexerVHDL::StandardPackage
    {81, 750, 1612},	// QsciLexerVHDL::StandardType
    {81, 757, 1603},	// QsciLexerVHDL::String
    {81, 801, 1606},	// QsciLexerVHDL::UnclosedString
    {81, 909, 1575},	// QsciLexerVHDL::braceStyle
    {81, 957, 1576},	// QsciLexerVHDL::defaultColor$
    {81, 959, 1577},	// QsciLexerVHDL::defaultEolFill$
    {81, 961, 1578},	// QsciLexerVHDL::defaultFont$
    {81, 963, 1579},	// QsciLexerVHDL::defaultPaper$
    {81, 967, 1581},	// QsciLexerVHDL::description$
    {81, 1026, 1586},	// QsciLexerVHDL::foldAtBegin
    {81, 1027, 1585},	// QsciLexerVHDL::foldAtElse
    {81, 1028, 1587},	// QsciLexerVHDL::foldAtParenthesis
    {81, 1029, 1583},	// QsciLexerVHDL::foldComments
    {81, 1030, 1584},	// QsciLexerVHDL::foldCompact
    {81, 1105, 1580},	// QsciLexerVHDL::keywords$
    {81, 1106, 1573},	// QsciLexerVHDL::language
    {81, 1111, 1574},	// QsciLexerVHDL::lexer
    {81, 1162, 1565},	// QsciLexerVHDL::metaObject
    {81, 1203, 1571},	// QsciLexerVHDL::qt_metacall$$?
    {81, 1205, 1566},	// QsciLexerVHDL::qt_metacast$
    {81, 1210, 1593},	// QsciLexerVHDL::readProperties#$
    {81, 1219, 1582},	// QsciLexerVHDL::refreshProperties
    {81, 1349, 1591},	// QsciLexerVHDL::setFoldAtBegin$
    {81, 1351, 1590},	// QsciLexerVHDL::setFoldAtElse$
    {81, 1353, 1592},	// QsciLexerVHDL::setFoldAtParenthesis$
    {81, 1355, 1588},	// QsciLexerVHDL::setFoldComments$
    {81, 1357, 1589},	// QsciLexerVHDL::setFoldCompact$
    {81, 1544, 1598},	// QsciLexerVHDL::staticMetaObject
    {81, 1566, 1595},	// QsciLexerVHDL::tr$
    {81, 1567, 1567},	// QsciLexerVHDL::tr$$
    {81, 1568, 1569},	// QsciLexerVHDL::tr$$$
    {81, 1570, 1596},	// QsciLexerVHDL::trUtf8$
    {81, 1571, 1568},	// QsciLexerVHDL::trUtf8$$
    {81, 1572, 1570},	// QsciLexerVHDL::trUtf8$$$
    {81, 1599, 1594},	// QsciLexerVHDL::writeProperties#$
    {81, 1642, 1614},	// QsciLexerVHDL::~QsciLexerVHDL
    {82, 508, 1637},	// QsciLexerXML::QsciLexerXML
    {82, 509, 1622},	// QsciLexerXML::QsciLexerXML#
    {82, 957, 1625},	// QsciLexerXML::defaultColor$
    {82, 959, 1626},	// QsciLexerXML::defaultEolFill$
    {82, 961, 1627},	// QsciLexerXML::defaultFont$
    {82, 963, 1628},	// QsciLexerXML::defaultPaper$
    {82, 1105, 1629},	// QsciLexerXML::keywords$
    {82, 1106, 1623},	// QsciLexerXML::language
    {82, 1111, 1624},	// QsciLexerXML::lexer
    {82, 1162, 1615},	// QsciLexerXML::metaObject
    {82, 1203, 1621},	// QsciLexerXML::qt_metacall$$?
    {82, 1205, 1616},	// QsciLexerXML::qt_metacast$
    {82, 1210, 1633},	// QsciLexerXML::readProperties#$
    {82, 1219, 1630},	// QsciLexerXML::refreshProperties
    {82, 1239, 1632},	// QsciLexerXML::scriptsStyled
    {82, 1474, 1631},	// QsciLexerXML::setScriptsStyled$
    {82, 1544, 1638},	// QsciLexerXML::staticMetaObject
    {82, 1566, 1635},	// QsciLexerXML::tr$
    {82, 1567, 1617},	// QsciLexerXML::tr$$
    {82, 1568, 1619},	// QsciLexerXML::tr$$$
    {82, 1570, 1636},	// QsciLexerXML::trUtf8$
    {82, 1571, 1618},	// QsciLexerXML::trUtf8$$
    {82, 1572, 1620},	// QsciLexerXML::trUtf8$$$
    {82, 1599, 1634},	// QsciLexerXML::writeProperties#$
    {82, 1643, 1639},	// QsciLexerXML::~QsciLexerXML
    {83, 135, 1666},	// QsciLexerYAML::Comment
    {83, 156, 1665},	// QsciLexerYAML::Default
    {83, 172, 1671},	// QsciLexerYAML::DocumentDelimiter
    {83, 247, 1667},	// QsciLexerYAML::Identifier
    {83, 292, 1668},	// QsciLexerYAML::Keyword
    {83, 362, 1669},	// QsciLexerYAML::Number
    {83, 366, 1674},	// QsciLexerYAML::Operator
    {83, 510, 1663},	// QsciLexerYAML::QsciLexerYAML
    {83, 511, 1647},	// QsciLexerYAML::QsciLexerYAML#
    {83, 550, 1670},	// QsciLexerYAML::Reference
    {83, 777, 1673},	// QsciLexerYAML::SyntaxErrorMarker
    {83, 787, 1672},	// QsciLexerYAML::TextBlockMarker
    {83, 957, 1650},	// QsciLexerYAML::defaultColor$
    {83, 959, 1651},	// QsciLexerYAML::defaultEolFill$
    {83, 961, 1652},	// QsciLexerYAML::defaultFont$
    {83, 963, 1653},	// QsciLexerYAML::defaultPaper$
    {83, 967, 1655},	// QsciLexerYAML::description$
    {83, 1029, 1657},	// QsciLexerYAML::foldComments
    {83, 1105, 1654},	// QsciLexerYAML::keywords$
    {83, 1106, 1648},	// QsciLexerYAML::language
    {83, 1111, 1649},	// QsciLexerYAML::lexer
    {83, 1162, 1640},	// QsciLexerYAML::metaObject
    {83, 1203, 1646},	// QsciLexerYAML::qt_metacall$$?
    {83, 1205, 1641},	// QsciLexerYAML::qt_metacast$
    {83, 1210, 1659},	// QsciLexerYAML::readProperties#$
    {83, 1219, 1656},	// QsciLexerYAML::refreshProperties
    {83, 1355, 1658},	// QsciLexerYAML::setFoldComments$
    {83, 1544, 1664},	// QsciLexerYAML::staticMetaObject
    {83, 1566, 1661},	// QsciLexerYAML::tr$
    {83, 1567, 1642},	// QsciLexerYAML::tr$$
    {83, 1568, 1644},	// QsciLexerYAML::tr$$$
    {83, 1570, 1662},	// QsciLexerYAML::trUtf8$
    {83, 1571, 1643},	// QsciLexerYAML::trUtf8$$
    {83, 1572, 1645},	// QsciLexerYAML::trUtf8$$$
    {83, 1599, 1660},	// QsciLexerYAML::writeProperties#$
    {83, 1644, 1675},	// QsciLexerYAML::~QsciLexerYAML
    {84, 513, 1683},	// QsciMacro::QsciMacro#
    {84, 514, 1684},	// QsciMacro::QsciMacro$#
    {84, 924, 1685},	// QsciMacro::clear
    {84, 987, 1690},	// QsciMacro::endRecording
    {84, 1122, 1686},	// QsciMacro::load$
    {84, 1162, 1676},	// QsciMacro::metaObject
    {84, 1189, 1688},	// QsciMacro::play
    {84, 1203, 1682},	// QsciMacro::qt_metacall$$?
    {84, 1205, 1677},	// QsciMacro::qt_metacast$
    {84, 1236, 1687},	// QsciMacro::save
    {84, 1540, 1689},	// QsciMacro::startRecording
    {84, 1544, 1693},	// QsciMacro::staticMetaObject
    {84, 1566, 1691},	// QsciMacro::tr$
    {84, 1567, 1678},	// QsciMacro::tr$$
    {84, 1568, 1680},	// QsciMacro::tr$$$
    {84, 1570, 1692},	// QsciMacro::trUtf8$
    {84, 1571, 1679},	// QsciMacro::trUtf8$$
    {84, 1572, 1681},	// QsciMacro::trUtf8$$$
    {84, 1645, 1694},	// QsciMacro::~QsciMacro
    {85, 515, 1702},	// QsciPrinter::QsciPrinter
    {85, 516, 1695},	// QsciPrinter::QsciPrinter$
    {85, 1048, 1696},	// QsciPrinter::formatPage#$#$
    {85, 1125, 1697},	// QsciPrinter::magnification
    {85, 1195, 1703},	// QsciPrinter::printRange#
    {85, 1196, 1704},	// QsciPrinter::printRange#$
    {85, 1197, 1699},	// QsciPrinter::printRange#$$
    {85, 1422, 1698},	// QsciPrinter::setMagnification$
    {85, 1529, 1701},	// QsciPrinter::setWrapMode$
    {85, 1595, 1700},	// QsciPrinter::wrapMode
    {85, 1646, 1705},	// QsciPrinter::~QsciPrinter
    {86, 49, 1999},	// QsciScintilla::AcsAPIs
    {86, 50, 1997},	// QsciScintilla::AcsAll
    {86, 51, 1998},	// QsciScintilla::AcsDocument
    {86, 52, 1996},	// QsciScintilla::AcsNone
    {86, 54, 1995},	// QsciScintilla::AcusAlways
    {86, 55, 1994},	// QsciScintilla::AcusExplicit
    {86, 56, 1993},	// QsciScintilla::AcusNever
    {86, 58, 1992},	// QsciScintilla::AnnotationBoxed
    {86, 59, 1990},	// QsciScintilla::AnnotationHidden
    {86, 60, 1991},	// QsciScintilla::AnnotationStandard
    {86, 79, 2062},	// QsciScintilla::Background
    {86, 94, 2050},	// QsciScintilla::BottomLeftCorner
    {86, 96, 2025},	// QsciScintilla::BoxIndicator
    {86, 97, 2016},	// QsciScintilla::BoxedFoldStyle
    {86, 98, 2054},	// QsciScintilla::BoxedMinus
    {86, 99, 2055},	// QsciScintilla::BoxedMinusConnected
    {86, 100, 2052},	// QsciScintilla::BoxedPlus
    {86, 101, 2053},	// QsciScintilla::BoxedPlusConnected
    {86, 102, 2018},	// QsciScintilla::BoxedTreeFoldStyle
    {86, 108, 2006},	// QsciScintilla::CallTipsContext
    {86, 109, 2005},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {86, 110, 2004},	// QsciScintilla::CallTipsNoContext
    {86, 111, 2003},	// QsciScintilla::CallTipsNone
    {86, 122, 2040},	// QsciScintilla::Circle
    {86, 123, 2015},	// QsciScintilla::CircledFoldStyle
    {86, 124, 2060},	// QsciScintilla::CircledMinus
    {86, 125, 2061},	// QsciScintilla::CircledMinusConnected
    {86, 126, 2058},	// QsciScintilla::CircledPlus
    {86, 127, 2059},	// QsciScintilla::CircledPlusConnected
    {86, 128, 2017},	// QsciScintilla::CircledTreeFoldStyle
    {86, 153, 2028},	// QsciScintilla::DashesIndicator
    {86, 168, 2022},	// QsciScintilla::DiagonalIndicator
    {86, 177, 2031},	// QsciScintilla::DotBoxIndicator
    {86, 178, 2029},	// QsciScintilla::DotsIndicator
    {86, 184, 2046},	// QsciScintilla::DownTriangle
    {86, 191, 2009},	// QsciScintilla::EdgeBackground
    {86, 192, 2008},	// QsciScintilla::EdgeLine
    {86, 193, 2007},	// QsciScintilla::EdgeNone
    {86, 198, 2012},	// QsciScintilla::EolMac
    {86, 199, 2011},	// QsciScintilla::EolUnix
    {86, 200, 2010},	// QsciScintilla::EolWindows
    {86, 215, 2065},	// QsciScintilla::FullRectangle
    {86, 234, 2024},	// QsciScintilla::HiddenIndicator
    {86, 277, 2045},	// QsciScintilla::Invisible
    {86, 308, 2066},	// QsciScintilla::LeftRectangle
    {86, 309, 2057},	// QsciScintilla::LeftSideRoundedSplitter
    {86, 310, 2051},	// QsciScintilla::LeftSideSplitter
    {86, 346, 2047},	// QsciScintilla::Minus
    {86, 347, -4358},	// QsciScintilla::MoNone
    {86, 348, -4361},	// QsciScintilla::MoSublineSelect
    {86, 358, 2000},	// QsciScintilla::NoBraceMatch
    {86, 359, 2013},	// QsciScintilla::NoFoldStyle
    {86, 363, 2037},	// QsciScintilla::NumberMargin
    {86, 404, 2014},	// QsciScintilla::PlainFoldStyle
    {86, 405, 2019},	// QsciScintilla::PlainIndicator
    {86, 406, 2048},	// QsciScintilla::Plus
    {86, 517, 1959},	// QsciScintilla::QsciScintilla
    {86, 518, 1713},	// QsciScintilla::QsciScintilla#
    {86, 548, 2041},	// QsciScintilla::Rectangle
    {86, 553, 2044},	// QsciScintilla::RightArrow
    {86, 554, 2042},	// QsciScintilla::RightTriangle
    {86, 555, 2026},	// QsciScintilla::RoundBoxIndicator
    {86, 556, 2056},	// QsciScintilla::RoundedBottomLeftCorner
    {86, 740, 2002},	// QsciScintilla::SloppyBraceMatch
    {86, 742, 2043},	// QsciScintilla::SmallRectangle
    {86, 745, 2020},	// QsciScintilla::SquiggleIndicator
    {86, 746, 2030},	// QsciScintilla::SquiggleLowIndicator
    {86, 754, 2027},	// QsciScintilla::StraightBoxIndicator
    {86, 755, 2001},	// QsciScintilla::StrictBraceMatch
    {86, 756, 2023},	// QsciScintilla::StrikeIndicator
    {86, 773, 2034},	// QsciScintilla::SymbolMargin
    {86, 774, 2036},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {86, 775, 2035},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {86, 779, 2021},	// QsciScintilla::TTIndicator
    {86, 788, 2038},	// QsciScintilla::TextMargin
    {86, 789, 2039},	// QsciScintilla::TextMarginRightJustified
    {86, 790, 2063},	// QsciScintilla::ThreeDots
    {86, 791, 2064},	// QsciScintilla::ThreeRightArrows
    {86, 802, 2067},	// QsciScintilla::Underline
    {86, 827, 2049},	// QsciScintilla::VerticalLine
    {86, 841, 2073},	// QsciScintilla::WrapCharacter
    {86, 842, 2076},	// QsciScintilla::WrapFlagByBorder
    {86, 843, 2075},	// QsciScintilla::WrapFlagByText
    {86, 844, 2074},	// QsciScintilla::WrapFlagNone
    {86, 845, 2077},	// QsciScintilla::WrapIndentFixed
    {86, 846, 2079},	// QsciScintilla::WrapIndentIndented
    {86, 847, 2078},	// QsciScintilla::WrapIndentSame
    {86, 848, 2071},	// QsciScintilla::WrapNone
    {86, 849, 2072},	// QsciScintilla::WrapWord
    {86, 850, 2068},	// QsciScintilla::WsInvisible
    {86, 851, 2069},	// QsciScintilla::WsVisible
    {86, 852, 2070},	// QsciScintilla::WsVisibleAfterIndent
    {86, 863, 1717},	// QsciScintilla::annotate$#
    {86, 864, 1716},	// QsciScintilla::annotate$$#
    {86, 865, 1715},	// QsciScintilla::annotate$$$
    {86, 866, 1718},	// QsciScintilla::annotate$?
    {86, 868, 1719},	// QsciScintilla::annotation$
    {86, 869, 1720},	// QsciScintilla::annotationDisplay
    {86, 871, 1714},	// QsciScintilla::apiContext$$$
    {86, 877, 1868},	// QsciScintilla::append$
    {86, 880, 1870},	// QsciScintilla::autoCompleteFromAPIs
    {86, 881, 1869},	// QsciScintilla::autoCompleteFromAll
    {86, 882, 1871},	// QsciScintilla::autoCompleteFromDocument
    {86, 883, 1722},	// QsciScintilla::autoCompletionCaseSensitivity
    {86, 885, 1723},	// QsciScintilla::autoCompletionFillupsEnabled
    {86, 886, 1724},	// QsciScintilla::autoCompletionReplaceWord
    {86, 889, 1725},	// QsciScintilla::autoCompletionShowSingle
    {86, 890, 1726},	// QsciScintilla::autoCompletionSource
    {86, 891, 1727},	// QsciScintilla::autoCompletionThreshold
    {86, 892, 1728},	// QsciScintilla::autoCompletionUseSingle
    {86, 894, 1729},	// QsciScintilla::autoIndent
    {86, 897, 1730},	// QsciScintilla::backspaceUnindents
    {86, 898, 1731},	// QsciScintilla::beginUndoAction
    {86, 908, 1732},	// QsciScintilla::braceMatching
    {86, 910, 1872},	// QsciScintilla::callTip
    {86, 913, 1733},	// QsciScintilla::callTipsStyle
    {86, 914, 1734},	// QsciScintilla::callTipsVisible
    {86, 917, 1735},	// QsciScintilla::cancelList
    {86, 919, 1736},	// QsciScintilla::caseSensitive
    {86, 924, 1873},	// QsciScintilla::clear
    {86, 926, 1960},	// QsciScintilla::clearAnnotations
    {86, 927, 1721},	// QsciScintilla::clearAnnotations$
    {86, 928, 1737},	// QsciScintilla::clearFolds
    {86, 930, 1738},	// QsciScintilla::clearIndicatorRange$$$$$
    {86, 932, 1978},	// QsciScintilla::clearMarginText
    {86, 933, 1833},	// QsciScintilla::clearMarginText$
    {86, 934, 1739},	// QsciScintilla::clearRegisteredImages
    {86, 936, 1740},	// QsciScintilla::color
    {86, 944, 1956},	// QsciScintilla::contextMenuEvent#
    {86, 945, 1741},	// QsciScintilla::contractedFolds
    {86, 947, 1742},	// QsciScintilla::convertEols$
    {86, 948, 1874},	// QsciScintilla::copy
    {86, 950, 1945},	// QsciScintilla::copyAvailable$
    {86, 951, 1743},	// QsciScintilla::createStandardContextMenu
    {86, 953, 1944},	// QsciScintilla::cursorPositionChanged$$
    {86, 955, 1875},	// QsciScintilla::cut
    {86, 971, 1744},	// QsciScintilla::document
    {86, 982, 1746},	// QsciScintilla::edgeColor
    {86, 983, 1747},	// QsciScintilla::edgeColumn
    {86, 984, 1748},	// QsciScintilla::edgeMode
    {86, 988, 1745},	// QsciScintilla::endUndoAction
    {86, 989, 1876},	// QsciScintilla::ensureCursorVisible
    {86, 991, 1877},	// QsciScintilla::ensureLineVisible$
    {86, 997, 1750},	// QsciScintilla::eolMode
    {86, 998, 1751},	// QsciScintilla::eolVisibility
    {86, 1000, 1955},	// QsciScintilla::event#
    {86, 1003, 1752},	// QsciScintilla::extraAscent
    {86, 1004, 1753},	// QsciScintilla::extraDescent
    {86, 1006, 1754},	// QsciScintilla::fillIndicatorRange$$$$$
    {86, 1010, 1961},	// QsciScintilla::findFirst$$$$$
    {86, 1011, 1962},	// QsciScintilla::findFirst$$$$$$
    {86, 1012, 1963},	// QsciScintilla::findFirst$$$$$$$
    {86, 1013, 1964},	// QsciScintilla::findFirst$$$$$$$$
    {86, 1014, 1965},	// QsciScintilla::findFirst$$$$$$$$$
    {86, 1015, 1755},	// QsciScintilla::findFirst$$$$$$$$$$
    {86, 1016, 1756},	// QsciScintilla::findNext
    {86, 1017, 1757},	// QsciScintilla::firstVisibleLine
    {86, 1024, 1983},	// QsciScintilla::foldAll
    {86, 1025, 1878},	// QsciScintilla::foldAll$
    {86, 1033, 1879},	// QsciScintilla::foldLine$
    {86, 1041, 1758},	// QsciScintilla::folding
    {86, 1052, 1759},	// QsciScintilla::getCursorPosition$$
    {86, 1054, 1760},	// QsciScintilla::getSelection$$$$
    {86, 1055, 1761},	// QsciScintilla::hasSelectedText
    {86, 1063, 1880},	// QsciScintilla::indent$
    {86, 1065, 1762},	// QsciScintilla::indentation$
    {86, 1067, 1763},	// QsciScintilla::indentationGuides
    {86, 1069, 1765},	// QsciScintilla::indentationWidth
    {86, 1070, 1764},	// QsciScintilla::indentationsUseTabs
    {86, 1072, 1946},	// QsciScintilla::indicatorClicked$$$
    {86, 1074, 1966},	// QsciScintilla::indicatorDefine$
    {86, 1075, 1766},	// QsciScintilla::indicatorDefine$$
    {86, 1077, 1767},	// QsciScintilla::indicatorDrawUnder$
    {86, 1079, 1947},	// QsciScintilla::indicatorReleased$$$
    {86, 1085, 1881},	// QsciScintilla::insert$
    {86, 1087, 1882},	// QsciScintilla::insertAt$$$
    {86, 1089, 1768},	// QsciScintilla::isCallTipActive
    {86, 1090, 1769},	// QsciScintilla::isListActive
    {86, 1091, 1770},	// QsciScintilla::isModified
    {86, 1094, 1771},	// QsciScintilla::isReadOnly
    {86, 1095, 1772},	// QsciScintilla::isRedoAvailable
    {86, 1096, 1773},	// QsciScintilla::isUndoAvailable
    {86, 1097, 1774},	// QsciScintilla::isUtf8
    {86, 1099, 1775},	// QsciScintilla::isWordCharacter$
    {86, 1109, 1780},	// QsciScintilla::length
    {86, 1111, 1781},	// QsciScintilla::lexer
    {86, 1114, 1776},	// QsciScintilla::lineAt#
    {86, 1116, 1777},	// QsciScintilla::lineIndexFromPosition$$$
    {86, 1118, 1778},	// QsciScintilla::lineLength$
    {86, 1119, 1779},	// QsciScintilla::lines
    {86, 1120, 1948},	// QsciScintilla::linesChanged
    {86, 1128, 1949},	// QsciScintilla::marginClicked$$$
    {86, 1130, 1782},	// QsciScintilla::marginLineNumbers$
    {86, 1132, 1783},	// QsciScintilla::marginMarkerMask$
    {86, 1133, 1784},	// QsciScintilla::marginOptions
    {86, 1135, 1785},	// QsciScintilla::marginSensitivity$
    {86, 1137, 1786},	// QsciScintilla::marginType$
    {86, 1139, 1787},	// QsciScintilla::marginWidth$
    {86, 1141, 1792},	// QsciScintilla::markerAdd$$
    {86, 1143, -4364},	// QsciScintilla::markerDefine#
    {86, 1144, -4367},	// QsciScintilla::markerDefine#$
    {86, 1145, -4370},	// QsciScintilla::markerDefine$
    {86, 1146, -4373},	// QsciScintilla::markerDefine$$
    {86, 1148, 1971},	// QsciScintilla::markerDelete$
    {86, 1149, 1794},	// QsciScintilla::markerDelete$$
    {86, 1150, 1972},	// QsciScintilla::markerDeleteAll
    {86, 1151, 1795},	// QsciScintilla::markerDeleteAll$
    {86, 1153, 1796},	// QsciScintilla::markerDeleteHandle$
    {86, 1155, 1798},	// QsciScintilla::markerFindNext$$
    {86, 1157, 1799},	// QsciScintilla::markerFindPrevious$$
    {86, 1159, 1797},	// QsciScintilla::markerLine$
    {86, 1161, 1793},	// QsciScintilla::markersAtLine$
    {86, 1162, 1706},	// QsciScintilla::metaObject
    {86, 1165, 1950},	// QsciScintilla::modificationAttempted
    {86, 1167, 1951},	// QsciScintilla::modificationChanged$
    {86, 1177, 1883},	// QsciScintilla::moveToMatchingBrace
    {86, 1184, 1800},	// QsciScintilla::paper
    {86, 1188, 1884},	// QsciScintilla::paste
    {86, 1192, 1801},	// QsciScintilla::positionFromLineIndex$$
    {86, 1203, 1712},	// QsciScintilla::qt_metacall$$?
    {86, 1205, 1707},	// QsciScintilla::qt_metacast$
    {86, 1208, 1802},	// QsciScintilla::read#
    {86, 1214, 1973},	// QsciScintilla::recolor
    {86, 1215, 1974},	// QsciScintilla::recolor$
    {86, 1216, 1803},	// QsciScintilla::recolor$$
    {86, 1217, 1885},	// QsciScintilla::redo
    {86, 1221, -4376},	// QsciScintilla::registerImage$#
    {86, 1224, 1886},	// QsciScintilla::removeSelectedText
    {86, 1226, 1806},	// QsciScintilla::replace$
    {86, 1228, 1887},	// QsciScintilla::replaceSelectedText$
    {86, 1229, 1807},	// QsciScintilla::resetFoldMarginColors
    {86, 1230, 1839},	// QsciScintilla::resetMatchedBraceIndicator
    {86, 1231, 1888},	// QsciScintilla::resetSelectionBackgroundColor
    {86, 1232, 1889},	// QsciScintilla::resetSelectionForegroundColor
    {86, 1233, 1843},	// QsciScintilla::resetUnmatchedBraceIndicator
    {86, 1242, 1984},	// QsciScintilla::selectAll
    {86, 1243, 1890},	// QsciScintilla::selectAll$
    {86, 1244, 1891},	// QsciScintilla::selectToMatchingBrace
    {86, 1245, 1845},	// QsciScintilla::selectedText
    {86, 1246, 1952},	// QsciScintilla::selectionChanged
    {86, 1247, 1846},	// QsciScintilla::selectionToEol
    {86, 1253, 1809},	// QsciScintilla::setAnnotationDisplay$
    {86, 1255, 1892},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {86, 1257, 1811},	// QsciScintilla::setAutoCompletionFillups$
    {86, 1259, 1810},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {86, 1261, 1893},	// QsciScintilla::setAutoCompletionReplaceWord$
    {86, 1263, 1894},	// QsciScintilla::setAutoCompletionShowSingle$
    {86, 1265, 1895},	// QsciScintilla::setAutoCompletionSource$
    {86, 1267, 1896},	// QsciScintilla::setAutoCompletionThreshold$
    {86, 1269, 1897},	// QsciScintilla::setAutoCompletionUseSingle$
    {86, 1271, 1812},	// QsciScintilla::setAutoCompletionWordSeparators?
    {86, 1273, 1898},	// QsciScintilla::setAutoIndent$
    {86, 1279, 1900},	// QsciScintilla::setBackspaceUnindents$
    {86, 1281, 1899},	// QsciScintilla::setBraceMatching$
    {86, 1283, 1813},	// QsciScintilla::setCallTipsBackgroundColor#
    {86, 1285, 1814},	// QsciScintilla::setCallTipsForegroundColor#
    {86, 1287, 1815},	// QsciScintilla::setCallTipsHighlightColor#
    {86, 1289, 1816},	// QsciScintilla::setCallTipsStyle$
    {86, 1291, 1817},	// QsciScintilla::setCallTipsVisible$
    {86, 1293, 1901},	// QsciScintilla::setCaretForegroundColor#
    {86, 1295, 1902},	// QsciScintilla::setCaretLineBackgroundColor#
    {86, 1297, 1903},	// QsciScintilla::setCaretLineVisible$
    {86, 1299, 1904},	// QsciScintilla::setCaretWidth$
    {86, 1305, 1905},	// QsciScintilla::setColor#
    {86, 1308, 1818},	// QsciScintilla::setContractedFolds?
    {86, 1310, 1906},	// QsciScintilla::setCursorPosition$$
    {86, 1322, 1819},	// QsciScintilla::setDocument#
    {86, 1328, 1820},	// QsciScintilla::setEdgeColor#
    {86, 1330, 1821},	// QsciScintilla::setEdgeColumn$
    {86, 1332, 1822},	// QsciScintilla::setEdgeMode$
    {86, 1339, 1907},	// QsciScintilla::setEolMode$
    {86, 1341, 1908},	// QsciScintilla::setEolVisibility$
    {86, 1343, 1848},	// QsciScintilla::setExtraAscent$
    {86, 1345, 1849},	// QsciScintilla::setExtraDescent$
    {86, 1347, 1823},	// QsciScintilla::setFirstVisibleLine$
    {86, 1361, 1808},	// QsciScintilla::setFoldMarginColors##
    {86, 1377, 1985},	// QsciScintilla::setFolding$
    {86, 1378, 1909},	// QsciScintilla::setFolding$$
    {86, 1380, 1749},	// QsciScintilla::setFont#
    {86, 1391, 1910},	// QsciScintilla::setIndentation$$
    {86, 1393, 1911},	// QsciScintilla::setIndentationGuides$
    {86, 1395, 1912},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {86, 1397, 1913},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {86, 1401, 1915},	// QsciScintilla::setIndentationWidth$
    {86, 1403, 1914},	// QsciScintilla::setIndentationsUseTabs$
    {86, 1405, 1975},	// QsciScintilla::setIndicatorDrawUnder$
    {86, 1406, 1824},	// QsciScintilla::setIndicatorDrawUnder$$
    {86, 1408, 1976},	// QsciScintilla::setIndicatorForegroundColor#
    {86, 1409, 1825},	// QsciScintilla::setIndicatorForegroundColor#$
    {86, 1411, 1977},	// QsciScintilla::setIndicatorOutlineColor#
    {86, 1412, 1826},	// QsciScintilla::setIndicatorOutlineColor#$
    {86, 1419, 1986},	// QsciScintilla::setLexer
    {86, 1420, 1916},	// QsciScintilla::setLexer#
    {86, 1426, 1920},	// QsciScintilla::setMarginLineNumbers$$
    {86, 1428, 1921},	// QsciScintilla::setMarginMarkerMask$$
    {86, 1430, 1827},	// QsciScintilla::setMarginOptions$
    {86, 1432, 1922},	// QsciScintilla::setMarginSensitivity$$
    {86, 1434, 1830},	// QsciScintilla::setMarginText$#
    {86, 1435, 1829},	// QsciScintilla::setMarginText$$#
    {86, 1436, 1828},	// QsciScintilla::setMarginText$$$
    {86, 1437, 1831},	// QsciScintilla::setMarginText$?
    {86, 1439, 1832},	// QsciScintilla::setMarginType$$
    {86, 1441, -4379},	// QsciScintilla::setMarginWidth$$
    {86, 1443, 1917},	// QsciScintilla::setMarginsBackgroundColor#
    {86, 1445, 1918},	// QsciScintilla::setMarginsFont#
    {86, 1447, 1919},	// QsciScintilla::setMarginsForegroundColor#
    {86, 1449, 1979},	// QsciScintilla::setMarkerBackgroundColor#
    {86, 1450, 1834},	// QsciScintilla::setMarkerBackgroundColor#$
    {86, 1452, 1980},	// QsciScintilla::setMarkerForegroundColor#
    {86, 1453, 1835},	// QsciScintilla::setMarkerForegroundColor#$
    {86, 1455, 1836},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {86, 1457, 1837},	// QsciScintilla::setMatchedBraceForegroundColor#
    {86, 1459, 1838},	// QsciScintilla::setMatchedBraceIndicator$
    {86, 1461, 1925},	// QsciScintilla::setModified$
    {86, 1463, 1926},	// QsciScintilla::setPaper#
    {86, 1472, 1927},	// QsciScintilla::setReadOnly$
    {86, 1476, 1928},	// QsciScintilla::setSelection$$$$
    {86, 1478, 1929},	// QsciScintilla::setSelectionBackgroundColor#
    {86, 1480, 1930},	// QsciScintilla::setSelectionForegroundColor#
    {86, 1482, 1847},	// QsciScintilla::setSelectionToEol$
    {86, 1493, 1931},	// QsciScintilla::setTabIndents$
    {86, 1495, 1932},	// QsciScintilla::setTabWidth$
    {86, 1497, 1933},	// QsciScintilla::setText$
    {86, 1503, 1840},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {86, 1505, 1841},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {86, 1507, 1842},	// QsciScintilla::setUnmatchedBraceIndicator$
    {86, 1509, 1934},	// QsciScintilla::setUtf8$
    {86, 1519, 1850},	// QsciScintilla::setWhitespaceBackgroundColor#
    {86, 1521, 1851},	// QsciScintilla::setWhitespaceForegroundColor#
    {86, 1523, 1852},	// QsciScintilla::setWhitespaceSize$
    {86, 1525, 1935},	// QsciScintilla::setWhitespaceVisibility$
    {86, 1527, 1853},	// QsciScintilla::setWrapIndentMode$
    {86, 1529, 1936},	// QsciScintilla::setWrapMode$
    {86, 1531, 1981},	// QsciScintilla::setWrapVisualFlags$
    {86, 1532, 1982},	// QsciScintilla::setWrapVisualFlags$$
    {86, 1533, 1844},	// QsciScintilla::setWrapVisualFlags$$$
    {86, 1536, 1854},	// QsciScintilla::showUserList$?
    {86, 1539, 1855},	// QsciScintilla::standardCommands
    {86, 1544, 1987},	// QsciScintilla::staticMetaObject
    {86, 1552, 1856},	// QsciScintilla::tabIndents
    {86, 1553, 1857},	// QsciScintilla::tabWidth
    {86, 1555, 1858},	// QsciScintilla::text
    {86, 1556, 1859},	// QsciScintilla::text$
    {86, 1558, 1953},	// QsciScintilla::textChanged
    {86, 1560, 1860},	// QsciScintilla::textHeight$
    {86, 1566, 1957},	// QsciScintilla::tr$
    {86, 1567, 1708},	// QsciScintilla::tr$$
    {86, 1568, 1710},	// QsciScintilla::tr$$$
    {86, 1570, 1958},	// QsciScintilla::trUtf8$
    {86, 1571, 1709},	// QsciScintilla::trUtf8$$
    {86, 1572, 1711},	// QsciScintilla::trUtf8$$$
    {86, 1573, 1937},	// QsciScintilla::undo
    {86, 1575, 1938},	// QsciScintilla::unindent$
    {86, 1579, 1954},	// QsciScintilla::userListActivated$$
    {86, 1588, 1861},	// QsciScintilla::whitespaceSize
    {86, 1589, 1862},	// QsciScintilla::whitespaceVisibility
    {86, 1592, 1863},	// QsciScintilla::wordAtPoint#
    {86, 1593, 1864},	// QsciScintilla::wordCharacters
    {86, 1594, 1866},	// QsciScintilla::wrapIndentMode
    {86, 1595, 1865},	// QsciScintilla::wrapMode
    {86, 1597, 1867},	// QsciScintilla::write#
    {86, 1604, 1940},	// QsciScintilla::zoomIn
    {86, 1605, 1939},	// QsciScintilla::zoomIn$
    {86, 1606, 1942},	// QsciScintilla::zoomOut
    {86, 1607, 1941},	// QsciScintilla::zoomOut$
    {86, 1609, 1943},	// QsciScintilla::zoomTo$
    {86, 1647, 2080},	// QsciScintilla::~QsciScintilla
    {87, 437, 2104},	// QsciScintillaBase::QSCN_SELCHANGED$
    {87, 519, 2153},	// QsciScintillaBase::QsciScintillaBase
    {87, 520, 2088},	// QsciScintillaBase::QsciScintillaBase#
    {87, 557, 2108},	// QsciScintillaBase::SCEN_CHANGE
    {87, 558, -1},	// QsciScintillaBase::SCLEX_A68K
    {87, 559, -44},	// QsciScintillaBase::SCLEX_ABAQUS
    {87, 560, -87},	// QsciScintillaBase::SCLEX_ADA
    {87, 561, -130},	// QsciScintillaBase::SCLEX_APDL
    {87, 562, -173},	// QsciScintillaBase::SCLEX_ASM
    {87, 563, -216},	// QsciScintillaBase::SCLEX_ASN1
    {87, 564, -259},	// QsciScintillaBase::SCLEX_ASP
    {87, 565, -302},	// QsciScintillaBase::SCLEX_ASYMPTOTE
    {87, 566, -345},	// QsciScintillaBase::SCLEX_AU3
    {87, 567, -388},	// QsciScintillaBase::SCLEX_AVE
    {87, 568, -431},	// QsciScintillaBase::SCLEX_BAAN
    {87, 569, -474},	// QsciScintillaBase::SCLEX_BASH
    {87, 570, -517},	// QsciScintillaBase::SCLEX_BATCH
    {87, 571, -560},	// QsciScintillaBase::SCLEX_BLITZBASIC
    {87, 572, -603},	// QsciScintillaBase::SCLEX_BULLANT
    {87, 573, -646},	// QsciScintillaBase::SCLEX_CAML
    {87, 574, -689},	// QsciScintillaBase::SCLEX_CLW
    {87, 575, -732},	// QsciScintillaBase::SCLEX_CLWNOCASE
    {87, 576, -775},	// QsciScintillaBase::SCLEX_CMAKE
    {87, 577, -818},	// QsciScintillaBase::SCLEX_COBOL
    {87, 578, -861},	// QsciScintillaBase::SCLEX_CONF
    {87, 579, -904},	// QsciScintillaBase::SCLEX_CONTAINER
    {87, 580, -947},	// QsciScintillaBase::SCLEX_CPP
    {87, 581, -990},	// QsciScintillaBase::SCLEX_CPPNOCASE
    {87, 582, -1033},	// QsciScintillaBase::SCLEX_CSOUND
    {87, 583, -1076},	// QsciScintillaBase::SCLEX_CSS
    {87, 584, -1119},	// QsciScintillaBase::SCLEX_D
    {87, 585, -1162},	// QsciScintillaBase::SCLEX_DIFF
    {87, 586, -1205},	// QsciScintillaBase::SCLEX_EIFFEL
    {87, 587, -1248},	// QsciScintillaBase::SCLEX_EIFFELKW
    {87, 588, -1291},	// QsciScintillaBase::SCLEX_ERLANG
    {87, 589, -1334},	// QsciScintillaBase::SCLEX_ERRORLIST
    {87, 590, -1377},	// QsciScintillaBase::SCLEX_ESCRIPT
    {87, 591, -1420},	// QsciScintillaBase::SCLEX_F77
    {87, 592, -1463},	// QsciScintillaBase::SCLEX_FLAGSHIP
    {87, 593, -1506},	// QsciScintillaBase::SCLEX_FORTH
    {87, 594, -1549},	// QsciScintillaBase::SCLEX_FORTRAN
    {87, 595, -1592},	// QsciScintillaBase::SCLEX_FREEBASIC
    {87, 596, -1635},	// QsciScintillaBase::SCLEX_GAP
    {87, 597, -1678},	// QsciScintillaBase::SCLEX_GUI4CLI
    {87, 598, -1721},	// QsciScintillaBase::SCLEX_HASKELL
    {87, 599, -1764},	// QsciScintillaBase::SCLEX_HTML
    {87, 600, -1807},	// QsciScintillaBase::SCLEX_INNOSETUP
    {87, 601, -1850},	// QsciScintillaBase::SCLEX_KIX
    {87, 602, -1893},	// QsciScintillaBase::SCLEX_LATEX
    {87, 603, -1936},	// QsciScintillaBase::SCLEX_LISP
    {87, 604, -1979},	// QsciScintillaBase::SCLEX_LOT
    {87, 605, -2022},	// QsciScintillaBase::SCLEX_LOUT
    {87, 606, -2065},	// QsciScintillaBase::SCLEX_LUA
    {87, 607, -2108},	// QsciScintillaBase::SCLEX_MAGIK
    {87, 608, -2151},	// QsciScintillaBase::SCLEX_MAKEFILE
    {87, 609, -2194},	// QsciScintillaBase::SCLEX_MARKDOWN
    {87, 610, -2237},	// QsciScintillaBase::SCLEX_MATLAB
    {87, 611, -2280},	// QsciScintillaBase::SCLEX_METAPOST
    {87, 612, -2323},	// QsciScintillaBase::SCLEX_MMIXAL
    {87, 613, -2366},	// QsciScintillaBase::SCLEX_MODULA
    {87, 614, -2409},	// QsciScintillaBase::SCLEX_MSSQL
    {87, 615, -2452},	// QsciScintillaBase::SCLEX_MYSQL
    {87, 616, -2495},	// QsciScintillaBase::SCLEX_NIMROD
    {87, 617, -2538},	// QsciScintillaBase::SCLEX_NNCRONTAB
    {87, 618, -2581},	// QsciScintillaBase::SCLEX_NSIS
    {87, 619, -2624},	// QsciScintillaBase::SCLEX_NULL
    {87, 620, -2667},	// QsciScintillaBase::SCLEX_OCTAVE
    {87, 621, -2710},	// QsciScintillaBase::SCLEX_OPAL
    {87, 622, -2753},	// QsciScintillaBase::SCLEX_PASCAL
    {87, 623, -2796},	// QsciScintillaBase::SCLEX_PERL
    {87, 624, -2839},	// QsciScintillaBase::SCLEX_PHP
    {87, 625, -2882},	// QsciScintillaBase::SCLEX_PHPSCRIPT
    {87, 626, -2925},	// QsciScintillaBase::SCLEX_PLM
    {87, 627, -2968},	// QsciScintillaBase::SCLEX_PO
    {87, 628, -3011},	// QsciScintillaBase::SCLEX_POV
    {87, 629, -3054},	// QsciScintillaBase::SCLEX_POWERBASIC
    {87, 630, -3097},	// QsciScintillaBase::SCLEX_POWERPRO
    {87, 631, -3140},	// QsciScintillaBase::SCLEX_POWERSHELL
    {87, 632, -3183},	// QsciScintillaBase::SCLEX_PROGRESS
    {87, 633, -3226},	// QsciScintillaBase::SCLEX_PROPERTIES
    {87, 634, -3269},	// QsciScintillaBase::SCLEX_PS
    {87, 635, -3312},	// QsciScintillaBase::SCLEX_PUREBASIC
    {87, 636, -3355},	// QsciScintillaBase::SCLEX_PYTHON
    {87, 637, -3398},	// QsciScintillaBase::SCLEX_R
    {87, 638, -3441},	// QsciScintillaBase::SCLEX_REBOL
    {87, 639, -3484},	// QsciScintillaBase::SCLEX_RUBY
    {87, 640, -3527},	// QsciScintillaBase::SCLEX_SCRIPTOL
    {87, 641, -3570},	// QsciScintillaBase::SCLEX_SMALLTALK
    {87, 642, -3613},	// QsciScintillaBase::SCLEX_SML
    {87, 643, -3656},	// QsciScintillaBase::SCLEX_SORCUS
    {87, 644, -3699},	// QsciScintillaBase::SCLEX_SPECMAN
    {87, 645, -3742},	// QsciScintillaBase::SCLEX_SPICE
    {87, 646, -3785},	// QsciScintillaBase::SCLEX_SQL
    {87, 647, -3828},	// QsciScintillaBase::SCLEX_TACL
    {87, 648, -3871},	// QsciScintillaBase::SCLEX_TADS3
    {87, 649, -3914},	// QsciScintillaBase::SCLEX_TAL
    {87, 650, -3957},	// QsciScintillaBase::SCLEX_TCL
    {87, 651, -4000},	// QsciScintillaBase::SCLEX_TEX
    {87, 652, -4043},	// QsciScintillaBase::SCLEX_TXT2TAGS
    {87, 653, -4086},	// QsciScintillaBase::SCLEX_VB
    {87, 654, -4129},	// QsciScintillaBase::SCLEX_VBSCRIPT
    {87, 655, -4172},	// QsciScintillaBase::SCLEX_VERILOG
    {87, 656, -4215},	// QsciScintillaBase::SCLEX_VHDL
    {87, 657, -4258},	// QsciScintillaBase::SCLEX_XML
    {87, 658, -4301},	// QsciScintillaBase::SCLEX_YAML
    {87, 659, 2105},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {87, 660, 2106},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {87, 662, 2107},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {87, 664, 2109},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {87, 666, 2110},	// QsciScintillaBase::SCN_CHARADDED$
    {87, 668, 2111},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {87, 670, 2112},	// QsciScintillaBase::SCN_DWELLEND$$$
    {87, 672, 2113},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {87, 674, 2114},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {87, 676, 2115},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {87, 678, 2116},	// QsciScintillaBase::SCN_HOTSPOTRELEASECLICK$$
    {87, 680, 2117},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {87, 682, 2118},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {87, 684, 2119},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {87, 686, 2120},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {87, 688, 2121},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {87, 689, 2122},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {87, 691, 2123},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {87, 692, 2124},	// QsciScintillaBase::SCN_PAINTED
    {87, 693, 2125},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {87, 694, 2126},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {87, 696, 2127},	// QsciScintillaBase::SCN_STYLENEEDED$
    {87, 698, 2128},	// QsciScintillaBase::SCN_UPDATEUI$
    {87, 700, 2129},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {87, 701, 2130},	// QsciScintillaBase::SCN_ZOOM
    {87, 727, 2154},	// QsciScintillaBase::SendScintilla$
    {87, 728, 2099},	// QsciScintillaBase::SendScintilla$#
    {87, 729, -4344},	// QsciScintillaBase::SendScintilla$$
    {87, 730, -4349},	// QsciScintillaBase::SendScintilla$$#
    {87, 731, 2100},	// QsciScintillaBase::SendScintilla$$##$$
    {87, 732, -4353},	// QsciScintillaBase::SendScintilla$$$
    {87, 733, 2097},	// QsciScintillaBase::SendScintilla$$$$
    {87, 735, 2103},	// QsciScintillaBase::SendScintillaPtrResult$
    {87, 916, 2131},	// QsciScintillaBase::canInsertFromMimeData#
    {87, 944, 2134},	// QsciScintillaBase::contextMenuEvent#
    {87, 975, 2135},	// QsciScintillaBase::dragEnterEvent#
    {87, 977, 2136},	// QsciScintillaBase::dragLeaveEvent#
    {87, 979, 2137},	// QsciScintillaBase::dragMoveEvent#
    {87, 981, 2138},	// QsciScintillaBase::dropEvent#
    {87, 1019, 2139},	// QsciScintillaBase::focusInEvent#
    {87, 1021, 2141},	// QsciScintillaBase::focusNextPrevChild$
    {87, 1023, 2140},	// QsciScintillaBase::focusOutEvent#
    {87, 1050, 2132},	// QsciScintillaBase::fromMimeData#$
    {87, 1082, 2143},	// QsciScintillaBase::inputMethodEvent#
    {87, 1102, 2142},	// QsciScintillaBase::keyPressEvent#
    {87, 1162, 2081},	// QsciScintillaBase::metaObject
    {87, 1169, 2144},	// QsciScintillaBase::mouseDoubleClickEvent#
    {87, 1171, 2145},	// QsciScintillaBase::mouseMoveEvent#
    {87, 1173, 2146},	// QsciScintillaBase::mousePressEvent#
    {87, 1175, 2147},	// QsciScintillaBase::mouseReleaseEvent#
    {87, 1182, 2148},	// QsciScintillaBase::paintEvent#
    {87, 1190, 2089},	// QsciScintillaBase::pool
    {87, 1203, 2087},	// QsciScintillaBase::qt_metacall$$?
    {87, 1205, 2082},	// QsciScintillaBase::qt_metacast$
    {87, 1235, 2149},	// QsciScintillaBase::resizeEvent#
    {87, 1241, 2150},	// QsciScintillaBase::scrollContentsBy$$
    {87, 1544, 2156},	// QsciScintillaBase::staticMetaObject
    {87, 1563, 2133},	// QsciScintillaBase::toMimeData#$
    {87, 1566, 2151},	// QsciScintillaBase::tr$
    {87, 1567, 2083},	// QsciScintillaBase::tr$$
    {87, 1568, 2085},	// QsciScintillaBase::tr$$$
    {87, 1570, 2152},	// QsciScintillaBase::trUtf8$
    {87, 1571, 2084},	// QsciScintillaBase::trUtf8$$
    {87, 1572, 2086},	// QsciScintillaBase::trUtf8$$$
    {87, 1648, 6399},	// QsciScintillaBase::~QsciScintillaBase
    {88, 340, 6428},	// QsciStyle::LowerCase
    {88, 367, 6426},	// QsciStyle::OriginalCase
    {88, 521, 6424},	// QsciStyle::QsciStyle
    {88, 522, 6423},	// QsciStyle::QsciStyle#
    {88, 523, 6400},	// QsciStyle::QsciStyle$
    {88, 524, 6425},	// QsciStyle::QsciStyle$$###
    {88, 525, 6401},	// QsciStyle::QsciStyle$$###$
    {88, 808, 6427},	// QsciStyle::UpperCase
    {88, 879, 6402},	// QsciStyle::apply#
    {88, 922, 6419},	// QsciStyle::changeable
    {88, 936, 6407},	// QsciStyle::color
    {88, 966, 6405},	// QsciStyle::description
    {88, 993, 6413},	// QsciStyle::eolFill
    {88, 1042, 6411},	// QsciStyle::font
    {88, 1061, 6421},	// QsciStyle::hotspot
    {88, 1184, 6409},	// QsciStyle::paper
    {88, 1218, 6422},	// QsciStyle::refresh
    {88, 1303, 6418},	// QsciStyle::setChangeable$
    {88, 1305, 6406},	// QsciStyle::setColor#
    {88, 1318, 6404},	// QsciStyle::setDescription$
    {88, 1336, 6412},	// QsciStyle::setEolFill$
    {88, 1380, 6410},	// QsciStyle::setFont#
    {88, 1389, 6420},	// QsciStyle::setHotspot$
    {88, 1463, 6408},	// QsciStyle::setPaper#
    {88, 1499, 6414},	// QsciStyle::setTextCase$
    {88, 1517, 6416},	// QsciStyle::setVisible$
    {88, 1546, 6403},	// QsciStyle::style
    {88, 1557, 6415},	// QsciStyle::textCase
    {88, 1586, 6417},	// QsciStyle::visible
    {88, 1649, 6429},	// QsciStyle::~QsciStyle
    {89, 527, 6435},	// QsciStyledText::QsciStyledText#
    {89, 528, 6431},	// QsciStyledText::QsciStyledText$#
    {89, 529, 6430},	// QsciStyledText::QsciStyledText$$
    {89, 879, 6432},	// QsciStyledText::apply#
    {89, 1546, 6434},	// QsciStyledText::style
    {89, 1555, 6433},	// QsciStyledText::text
    {89, 1650, 6436},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 89,
        __smokeqsci::methods, 6437,
        __smokeqsci::methodMaps, 2239,
        __smokeqsci::methodNames, 1650,
        __smokeqsci::types, 223,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
