#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGLBuffer
      switch(to) {
        case 27: return (void*)(QGLBuffer*)xptr;
        default: return xptr;
      }
    case 28:   //QGLColormap
      switch(to) {
        case 28: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 29:   //QGLContext
      switch(to) {
        case 29: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFormat
      switch(to) {
        case 30: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObject
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 32:   //QGLFramebufferObjectFormat
      switch(to) {
        case 32: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 33:   //QGLPixelBuffer
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShader
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShader*)xptr;
        case 34: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 35:   //QGLShaderProgram
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 35: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 36:   //QGLWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 61: return (void*)(QObject*)(QGLWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 36: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsItem
      switch(to) {
        case 38: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 39:   //QGraphicsObject
      switch(to) {
        case 61: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 39: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 40:   //QHashDummyValue
      switch(to) {
        case 40: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 41:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 41: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QIcon
      switch(to) {
        case 42: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 43:   //QImage
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 43: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 44:   //QIncompatibleFlag
      switch(to) {
        case 44: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 45:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 45: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QItemSelectionRange
      switch(to) {
        case 46: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 47:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 47: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QKeySequence
      switch(to) {
        case 48: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 49:   //QLatin1String
      switch(to) {
        case 49: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 50:   //QLine
      switch(to) {
        case 50: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 51:   //QLineF
      switch(to) {
        case 51: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 52:   //QListWidgetItem
      switch(to) {
        case 52: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 53:   //QLocale
      switch(to) {
        case 53: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 54:   //QMargins
      switch(to) {
        case 54: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix
      switch(to) {
        case 55: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 56:   //QMatrix4x4
      switch(to) {
        case 56: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 36: return (void*)(QGLWidget*)(QObject*)xptr;
        case 34: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintDevice
      switch(to) {
        case 62: return (void*)(QPaintDevice*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 36: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPainter
      switch(to) {
        case 65: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 66:   //QPainterPath
      switch(to) {
        case 66: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 67:   //QPalette
      switch(to) {
        case 67: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 68:   //QPen
      switch(to) {
        case 68: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 69:   //QPersistentModelIndex
      switch(to) {
        case 69: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 70:   //QPicture
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 70: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 71:   //QPixmap
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 71: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 72:   //QPoint
      switch(to) {
        case 72: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 73:   //QPointF
      switch(to) {
        case 73: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygon
      switch(to) {
        case 74: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 75:   //QPolygonF
      switch(to) {
        case 75: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 76:   //QQuaternion
      switch(to) {
        case 76: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 77:   //QRect
      switch(to) {
        case 77: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 78:   //QRectF
      switch(to) {
        case 78: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 79:   //QRegExp
      switch(to) {
        case 79: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 80:   //QRegion
      switch(to) {
        case 80: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 81:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 81: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 82: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QSize
      switch(to) {
        case 83: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 84:   //QSizeF
      switch(to) {
        case 84: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 85:   //QSizePolicy
      switch(to) {
        case 85: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 86:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 61: return (void*)(QObject*)(QSplitter*)xptr;
        case 62: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 86: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 87:   //QStandardItem
      switch(to) {
        case 87: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 88:   //QString::Null
      switch(to) {
        case 88: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 89:   //QStringRef
      switch(to) {
        case 89: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 90:   //QStyle
      switch(to) {
        case 61: return (void*)(QObject*)(QStyle*)xptr;
        case 90: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 91:   //QStyleOption
      switch(to) {
        case 91: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 36: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QPaintDevice
    61, 0,	// 3: QObject
    112, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGLBuffer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//26
    { "QGLBuffer", false, 0, xcall_QGLBuffer, xenum_QGLBuffer, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLBuffer) },	//27
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//28
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//29
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//30
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//31
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//32
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//33
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//34
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//35
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//36
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//37
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//38
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//39
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//40
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QIcon", true, 0, 0, 0, 0, 0 },	//42
    { "QImage", true, 0, 0, 0, 0, 0 },	//43
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//44
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//46
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//48
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//49
    { "QLine", true, 0, 0, 0, 0, 0 },	//50
    { "QLineF", true, 0, 0, 0, 0, 0 },	//51
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//52
    { "QLocale", true, 0, 0, 0, 0, 0 },	//53
    { "QMargins", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//55
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPainter", true, 0, 0, 0, 0, 0 },	//65
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//66
    { "QPalette", true, 0, 0, 0, 0, 0 },	//67
    { "QPen", true, 0, 0, 0, 0, 0 },	//68
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//69
    { "QPicture", true, 0, 0, 0, 0, 0 },	//70
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//71
    { "QPoint", true, 0, 0, 0, 0, 0 },	//72
    { "QPointF", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//74
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//75
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//76
    { "QRect", true, 0, 0, 0, 0, 0 },	//77
    { "QRectF", true, 0, 0, 0, 0, 0 },	//78
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//79
    { "QRegion", true, 0, 0, 0, 0, 0 },	//80
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QSize", true, 0, 0, 0, 0, 0 },	//83
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//84
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//85
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//86
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//87
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//88
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//89
    { "QStyle", true, 0, 0, 0, 0, 0 },	//90
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "2", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "3", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "4", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//16
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//17
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//18
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//19
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//20
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//21
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//22
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//23
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//26
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//27
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//31
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//32
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//35
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//46
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QGLFunctions::OpenGLFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//131
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//133
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//135
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QGL::FormatOption", 26, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref },	//139
    { "QGLBuffer*", 27, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGLBuffer::Access", 27, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QGLBuffer::Type", 27, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QGLBuffer::UsagePattern", 27, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref },	//144
    { "QGLColormap*", 28, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QGLContext::BindOption", 29, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QGLFormat", 30, Smoke::t_class|Smoke::tf_stack },	//148
    { "QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//149
    { "QGLFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QGLFormat::OpenGLContextProfile", 30, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QGLFormat::OpenGLVersionFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QGLFramebufferObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QGLFramebufferObject::Attachment", 31, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QGLFramebufferObjectFormat", 32, Smoke::t_class|Smoke::tf_stack },	//155
    { "QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref },	//156
    { "QGLFramebufferObjectFormat*", 32, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QGLFunctions::OpenGLFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QGLPixelBuffer*", 33, Smoke::t_class|Smoke::tf_ptr },	//159
    { "QGLShader*", 34, Smoke::t_class|Smoke::tf_ptr },	//160
    { "QGLShader::ShaderTypeBit", 34, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QGLShaderProgram*", 35, Smoke::t_class|Smoke::tf_ptr },	//162
    { "QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QGraphicsItem*", 38, Smoke::t_class|Smoke::tf_ptr },	//167
    { "QGraphicsItem::GraphicsItemChange", 38, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QGraphicsItem::GraphicsItemFlag", 38, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QGraphicsObject*", 39, Smoke::t_class|Smoke::tf_ptr },	//170
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QHideEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//174
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QIcon&", 42, Smoke::t_class|Smoke::tf_ref },	//176
    { "QImage", 43, Smoke::t_class|Smoke::tf_stack },	//177
    { "QImage&", 43, Smoke::t_class|Smoke::tf_ref },	//178
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QIncompatibleFlag", 44, Smoke::t_class|Smoke::tf_stack },	//180
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QInputMethodEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QKeyEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref },	//185
    { "QKeySequence::StandardKey", 48, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QLine", 50, Smoke::t_class|Smoke::tf_stack },	//188
    { "QLine&", 50, Smoke::t_class|Smoke::tf_ref },	//189
    { "QLineF", 51, Smoke::t_class|Smoke::tf_stack },	//190
    { "QLineF&", 51, Smoke::t_class|Smoke::tf_ref },	//191
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//192
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//193
    { "QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref },	//194
    { "QLocale&", 53, Smoke::t_class|Smoke::tf_ref },	//195
    { "QLocale::NumberOption", 53, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QMatrix&", 55, Smoke::t_class|Smoke::tf_ref },	//198
    { "QMatrix4x4", 56, Smoke::t_class|Smoke::tf_stack },	//199
    { "QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref },	//200
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QObject*(*)()", 61, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QPaintDevice*", 62, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QPaintDevice::PaintDeviceMetric", 62, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QPaintEngine::DirtyFlag", 63, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QPaintEngine::PaintEngineFeature", 63, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QPaintEngine::Type", 63, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//215
    { "QPainter*", 65, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QPainter::RenderHint", 65, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QPainterPath", 66, Smoke::t_class|Smoke::tf_stack },	//218
    { "QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref },	//219
    { "QPalette&", 67, Smoke::t_class|Smoke::tf_ref },	//220
    { "QPen&", 68, Smoke::t_class|Smoke::tf_ref },	//221
    { "QPicture&", 70, Smoke::t_class|Smoke::tf_ref },	//222
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QPixmap", 71, Smoke::t_class|Smoke::tf_stack },	//224
    { "QPixmap&", 71, Smoke::t_class|Smoke::tf_ref },	//225
    { "QPoint", 72, Smoke::t_class|Smoke::tf_stack },	//226
    { "QPoint&", 72, Smoke::t_class|Smoke::tf_ref },	//227
    { "QPointF", 73, Smoke::t_class|Smoke::tf_stack },	//228
    { "QPointF&", 73, Smoke::t_class|Smoke::tf_ref },	//229
    { "QPolygon", 74, Smoke::t_class|Smoke::tf_stack },	//230
    { "QPolygon&", 74, Smoke::t_class|Smoke::tf_ref },	//231
    { "QPolygonF", 75, Smoke::t_class|Smoke::tf_stack },	//232
    { "QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref },	//233
    { "QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref },	//234
    { "QRect&", 77, Smoke::t_class|Smoke::tf_ref },	//235
    { "QRectF&", 78, Smoke::t_class|Smoke::tf_ref },	//236
    { "QRegExp&", 79, Smoke::t_class|Smoke::tf_ref },	//237
    { "QRegion", 80, Smoke::t_class|Smoke::tf_stack },	//238
    { "QRegion&", 80, Smoke::t_class|Smoke::tf_ref },	//239
    { "QResizeEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QShowEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//241
    { "QSize", 83, Smoke::t_class|Smoke::tf_stack },	//242
    { "QSize&", 83, Smoke::t_class|Smoke::tf_ref },	//243
    { "QSizeF&", 84, Smoke::t_class|Smoke::tf_ref },	//244
    { "QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref },	//245
    { "QSizePolicy::ControlType", 85, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QSplitter&", 86, Smoke::t_class|Smoke::tf_ref },	//247
    { "QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref },	//248
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//250
    { "QString::Null", 88, Smoke::t_class|Smoke::tf_stack },	//251
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//253
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//254
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//255
    { "QStyle&", 90, Smoke::t_class|Smoke::tf_ref },	//256
    { "QStyle::StateFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QStyle::SubControl", 90, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//266
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//272
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//275
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//277
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//278
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//280
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//281
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//282
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//283
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//284
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//285
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//287
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//288
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//289
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//290
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//291
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//292
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//293
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//294
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//295
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//296
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//297
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//298
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//299
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//300
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//301
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtMsgType", 37, Smoke::t_enum|Smoke::tf_stack },	//379
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//380
    { "__codecvt_result", 37, Smoke::t_enum|Smoke::tf_stack },	//381
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//382
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//383
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//384
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//387
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//388
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//397
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//401
    { "const QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//404
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//410
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//412
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//414
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//416
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//418
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//420
    { "const QHashDummyValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QIcon&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QImage&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QItemSelectionRange&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QLatin1String&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QLine&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QLineF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QLocale&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QMargins&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QMatrix&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QMatrix4x4*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//434
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//436
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//438
    { "const QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QPalette&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QPen&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QPersistentModelIndex&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QPicture&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QPixmap&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QPoint", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//445
    { "const QPoint&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QPointF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//447
    { "const QPointF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QPolygon&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QQuaternion", 76, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//451
    { "const QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QRect&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QRectF&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QRegExp&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QRegExp*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//456
    { "const QRegion&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QSize", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//458
    { "const QSize&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QSizeF", 84, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//460
    { "const QSizeF&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QSplitter&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//465
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//468
    { "const QStringRef&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QStyleOption&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QStyleOption::OptionType&", 91, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//482
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//484
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const QVector2D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//486
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//487
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const QVector3D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//489
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//490
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const QVector4D*", 110, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//492
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//493
    { "const float*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//494
    { "const float[2][2]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//495
    { "const float[3][3]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//496
    { "const float[4][4]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//497
    { "const int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//498
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//499
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//500
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//501
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//502
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//503
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//504
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//505
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//506
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//507
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//508
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//509
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//510
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//511
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//512
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//513
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//514
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//515
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//516
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//517
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//518
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//519
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//520
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//521
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//522
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//523
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//524
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    214, 0,	//1  QPaintEngine::Type
    142, 0,	//3  QGLBuffer::Type
    399, 0,	//5  const QGLBuffer&
    143, 0,	//7  QGLBuffer::UsagePattern
    504, 522, 504, 0,	//9  int, void*, int
    504, 501, 504, 0,	//13  int, const void*, int
    501, 504, 0,	//17  const void*, int
    504, 0,	//20  int
    141, 0,	//22  QGLBuffer::Access
    400, 0,	//24  const QGLColormap&
    504, 500, 504, 0,	//26  int, const unsigned int*, int
    504, 515, 0,	//30  int, unsigned int
    504, 391, 0,	//33  int, const QColor&
    515, 0,	//36  unsigned int
    516, 0,	//38  unsigned long
    504, 500, 0,	//40  int, const unsigned int*
    402, 209, 0,	//43  const QGLFormat&, QPaintDevice*
    402, 0,	//46  const QGLFormat&
    401, 0,	//48  const QGLContext*
    401, 401, 0,	//50  const QGLContext*, const QGLContext*
    423, 515, 504, 71, 0,	//53  const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>
    444, 515, 504, 71, 0,	//58  const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>
    423, 515, 504, 0,	//63  const QImage&, unsigned int, int
    444, 515, 504, 0,	//67  const QPixmap&, unsigned int, int
    466, 0,	//71  const QString&
    454, 515, 515, 0,	//73  const QRectF&, unsigned int, unsigned int
    448, 515, 515, 0,	//77  const QPointF&, unsigned int, unsigned int
    402, 504, 0,	//81  const QGLFormat&, int
    382, 0,	//84  bool
    398, 504, 0,	//86  const QFont&, int
    391, 0,	//89  const QColor&
    209, 0,	//91  QPaintDevice*
    423, 0,	//93  const QImage&
    423, 515, 0,	//95  const QImage&, unsigned int
    444, 0,	//98  const QPixmap&
    444, 515, 0,	//100  const QPixmap&, unsigned int
    454, 515, 0,	//103  const QRectF&, unsigned int
    448, 515, 0,	//106  const QPointF&, unsigned int
    146, 0,	//109  QGLContext*
    70, 504, 0,	//111  QFlags<QGL::FormatOption>, int
    70, 0,	//114  QFlags<QGL::FormatOption>
    504, 504, 0,	//116  int, int
    151, 0,	//119  QGLFormat::OpenGLContextProfile
    459, 515, 0,	//121  const QSize&, unsigned int
    504, 504, 515, 0,	//124  int, int, unsigned int
    459, 154, 515, 515, 0,	//128  const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    504, 504, 154, 515, 515, 0,	//133  int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    459, 403, 0,	//139  const QSize&, const QGLFramebufferObjectFormat&
    504, 504, 403, 0,	//142  int, int, const QGLFramebufferObjectFormat&
    153, 453, 153, 453, 515, 515, 0,	//146  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int
    210, 0,	//153  QPaintDevice::PaintDeviceMetric
    459, 0,	//155  const QSize&
    459, 154, 0,	//157  const QSize&, QGLFramebufferObject::Attachment
    459, 154, 515, 0,	//160  const QSize&, QGLFramebufferObject::Attachment, unsigned int
    504, 504, 154, 0,	//164  int, int, QGLFramebufferObject::Attachment
    504, 504, 154, 515, 0,	//168  int, int, QGLFramebufferObject::Attachment, unsigned int
    153, 453, 153, 453, 0,	//173  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    153, 453, 153, 453, 515, 0,	//178  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int
    403, 0,	//184  const QGLFramebufferObjectFormat&
    154, 0,	//186  QGLFramebufferObject::Attachment
    459, 402, 163, 0,	//188  const QSize&, const QGLFormat&, QGLWidget*
    504, 504, 402, 163, 0,	//192  int, int, const QGLFormat&, QGLWidget*
    459, 402, 0,	//197  const QSize&, const QGLFormat&
    504, 504, 402, 0,	//200  int, int, const QGLFormat&
    493, 0,	//204  const char*
    493, 493, 0,	//206  const char*, const char*
    493, 493, 504, 0,	//209  const char*, const char*, int
    204, 504, 523, 0,	//213  QMetaObject::Call, int, void**
    74, 207, 0,	//217  QFlags<QGLShader::ShaderTypeBit>, QObject*
    74, 401, 207, 0,	//220  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    389, 0,	//224  const QByteArray&
    74, 401, 0,	//226  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    74, 0,	//229  QFlags<QGLShader::ShaderTypeBit>
    207, 0,	//231  QObject*
    401, 207, 0,	//233  const QGLContext*, QObject*
    160, 0,	//236  QGLShader*
    74, 493, 0,	//238  QFlags<QGLShader::ShaderTypeBit>, const char*
    74, 389, 0,	//241  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    74, 466, 0,	//244  QFlags<QGLShader::ShaderTypeBit>, const QString&
    493, 504, 0,	//247  const char*, int
    389, 504, 0,	//250  const QByteArray&, int
    466, 504, 0,	//253  const QString&, int
    504, 503, 0,	//256  int, float
    504, 503, 503, 0,	//259  int, float, float
    504, 503, 503, 503, 0,	//263  int, float, float, float
    504, 503, 503, 503, 503, 0,	//268  int, float, float, float, float
    504, 485, 0,	//274  int, const QVector2D&
    504, 488, 0,	//277  int, const QVector3D&
    504, 491, 0,	//280  int, const QVector4D&
    504, 494, 504, 504, 0,	//283  int, const float*, int, int
    493, 503, 0,	//288  const char*, float
    493, 503, 503, 0,	//291  const char*, float, float
    493, 503, 503, 503, 0,	//295  const char*, float, float, float
    493, 503, 503, 503, 503, 0,	//300  const char*, float, float, float, float
    493, 485, 0,	//306  const char*, const QVector2D&
    493, 488, 0,	//309  const char*, const QVector3D&
    493, 491, 0,	//312  const char*, const QVector4D&
    493, 391, 0,	//315  const char*, const QColor&
    493, 494, 504, 504, 0,	//318  const char*, const float*, int, int
    504, 486, 504, 0,	//323  int, const QVector2D*, int
    504, 489, 504, 0,	//327  int, const QVector3D*, int
    504, 492, 504, 0,	//331  int, const QVector4D*, int
    504, 515, 501, 504, 504, 0,	//335  int, unsigned int, const void*, int, int
    493, 486, 504, 0,	//341  const char*, const QVector2D*, int
    493, 489, 504, 0,	//345  const char*, const QVector3D*, int
    493, 492, 504, 0,	//349  const char*, const QVector4D*, int
    493, 515, 501, 504, 504, 0,	//353  const char*, unsigned int, const void*, int, int
    504, 515, 504, 504, 504, 0,	//359  int, unsigned int, int, int, int
    493, 515, 504, 504, 504, 0,	//365  const char*, unsigned int, int, int, int
    504, 446, 0,	//371  int, const QPoint&
    504, 448, 0,	//374  int, const QPointF&
    504, 459, 0,	//377  int, const QSize&
    504, 461, 0,	//380  int, const QSizeF&
    504, 405, 0,	//383  int, const QGenericMatrix<2,2,double>&
    504, 407, 0,	//386  int, const QGenericMatrix<2,3,double>&
    504, 409, 0,	//389  int, const QGenericMatrix<2,4,double>&
    504, 411, 0,	//392  int, const QGenericMatrix<3,2,double>&
    504, 413, 0,	//395  int, const QGenericMatrix<3,3,double>&
    504, 415, 0,	//398  int, const QGenericMatrix<3,4,double>&
    504, 417, 0,	//401  int, const QGenericMatrix<4,2,double>&
    504, 419, 0,	//404  int, const QGenericMatrix<4,3,double>&
    504, 433, 0,	//407  int, const QMatrix4x4&
    504, 495, 0,	//410  int, const float[2][2]
    504, 496, 0,	//413  int, const float[3][3]
    504, 497, 0,	//416  int, const float[4][4]
    504, 477, 0,	//419  int, const QTransform&
    493, 515, 0,	//422  const char*, unsigned int
    493, 446, 0,	//425  const char*, const QPoint&
    493, 448, 0,	//428  const char*, const QPointF&
    493, 459, 0,	//431  const char*, const QSize&
    493, 461, 0,	//434  const char*, const QSizeF&
    493, 405, 0,	//437  const char*, const QGenericMatrix<2,2,double>&
    493, 407, 0,	//440  const char*, const QGenericMatrix<2,3,double>&
    493, 409, 0,	//443  const char*, const QGenericMatrix<2,4,double>&
    493, 411, 0,	//446  const char*, const QGenericMatrix<3,2,double>&
    493, 413, 0,	//449  const char*, const QGenericMatrix<3,3,double>&
    493, 415, 0,	//452  const char*, const QGenericMatrix<3,4,double>&
    493, 417, 0,	//455  const char*, const QGenericMatrix<4,2,double>&
    493, 419, 0,	//458  const char*, const QGenericMatrix<4,3,double>&
    493, 433, 0,	//461  const char*, const QMatrix4x4&
    493, 495, 0,	//464  const char*, const float[2][2]
    493, 496, 0,	//467  const char*, const float[3][3]
    493, 497, 0,	//470  const char*, const float[4][4]
    493, 477, 0,	//473  const char*, const QTransform&
    504, 498, 504, 0,	//476  int, const int*, int
    504, 406, 504, 0,	//480  int, const QGenericMatrix<2,2,double>*, int
    504, 408, 504, 0,	//484  int, const QGenericMatrix<2,3,double>*, int
    504, 410, 504, 0,	//488  int, const QGenericMatrix<2,4,double>*, int
    504, 412, 504, 0,	//492  int, const QGenericMatrix<3,2,double>*, int
    504, 414, 504, 0,	//496  int, const QGenericMatrix<3,3,double>*, int
    504, 416, 504, 0,	//500  int, const QGenericMatrix<3,4,double>*, int
    504, 418, 504, 0,	//504  int, const QGenericMatrix<4,2,double>*, int
    504, 420, 504, 0,	//508  int, const QGenericMatrix<4,3,double>*, int
    504, 434, 504, 0,	//512  int, const QMatrix4x4*, int
    493, 498, 504, 0,	//516  const char*, const int*, int
    493, 500, 504, 0,	//520  const char*, const unsigned int*, int
    493, 406, 504, 0,	//524  const char*, const QGenericMatrix<2,2,double>*, int
    493, 408, 504, 0,	//528  const char*, const QGenericMatrix<2,3,double>*, int
    493, 410, 504, 0,	//532  const char*, const QGenericMatrix<2,4,double>*, int
    493, 412, 504, 0,	//536  const char*, const QGenericMatrix<3,2,double>*, int
    493, 414, 504, 0,	//540  const char*, const QGenericMatrix<3,3,double>*, int
    493, 416, 504, 0,	//544  const char*, const QGenericMatrix<3,4,double>*, int
    493, 418, 504, 0,	//548  const char*, const QGenericMatrix<4,2,double>*, int
    493, 420, 504, 0,	//552  const char*, const QGenericMatrix<4,3,double>*, int
    493, 434, 504, 0,	//556  const char*, const QMatrix4x4*, int
    504, 494, 504, 0,	//560  int, const float*, int
    504, 486, 0,	//564  int, const QVector2D*
    504, 489, 0,	//567  int, const QVector3D*
    504, 492, 0,	//570  int, const QVector4D*
    504, 515, 501, 504, 0,	//573  int, unsigned int, const void*, int
    493, 494, 504, 0,	//578  const char*, const float*, int
    493, 486, 0,	//582  const char*, const QVector2D*
    493, 489, 0,	//585  const char*, const QVector3D*
    493, 492, 0,	//588  const char*, const QVector4D*
    493, 515, 501, 504, 0,	//591  const char*, unsigned int, const void*, int
    504, 515, 504, 504, 0,	//596  int, unsigned int, int, int
    493, 515, 504, 504, 0,	//601  const char*, unsigned int, int, int
    300, 404, 133, 0,	//606  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    146, 300, 404, 133, 0,	//610  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    402, 300, 404, 133, 0,	//615  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    146, 401, 382, 0,	//620  QGLContext*, const QGLContext*, bool
    504, 504, 382, 0,	//624  int, int, bool
    504, 504, 466, 398, 504, 0,	//628  int, int, const QString&, const QFont&, int
    502, 502, 502, 466, 398, 504, 0,	//634  double, double, double, const QString&, const QFont&, int
    47, 0,	//641  QEvent*
    215, 0,	//643  QPaintEvent*
    240, 0,	//645  QResizeEvent*
    300, 0,	//647  QWidget*
    300, 404, 0,	//649  QWidget*, const QGLWidget*
    146, 300, 0,	//652  QGLContext*, QWidget*
    146, 300, 404, 0,	//655  QGLContext*, QWidget*, const QGLWidget*
    402, 300, 0,	//659  const QGLFormat&, QWidget*
    402, 300, 404, 0,	//662  const QGLFormat&, QWidget*, const QGLWidget*
    146, 401, 0,	//666  QGLContext*, const QGLContext*
    504, 504, 466, 0,	//669  int, int, const QString&
    504, 504, 466, 398, 0,	//673  int, int, const QString&, const QFont&
    502, 502, 502, 466, 0,	//678  double, double, double, const QString&
    502, 502, 502, 466, 398, 0,	//683  double, double, double, const QString&, const QFont&
    398, 0,	//689  const QFont&
    34, 504, 0,	//691  QDateTimeEdit::Section, int
    469, 469, 0,	//694  const QStringRef&, const QStringRef&
    517, 0,	//697  unsigned long long
    502, 0,	//699  double
    269, 504, 0,	//701  QTextCodec::ConversionFlag, int
    433, 433, 0,	//704  const QMatrix4x4&, const QMatrix4x4&
    335, 504, 0,	//707  Qt::ImageConversionFlag, int
    488, 488, 0,	//710  const QVector3D&, const QVector3D&
    485, 485, 0,	//713  const QVector2D&, const QVector2D&
    522, 501, 512, 0,	//716  void*, const void*, size_t
    35, 82, 0,	//720  QDebug, QFlags<QIODevice::OpenModeFlag>
    31, 176, 0,	//723  QDataStream&, QIcon&
    448, 432, 0,	//726  const QPointF&, const QMatrix&
    212, 92, 0,	//729  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    469, 466, 0,	//732  const QStringRef&, const QString&
    459, 459, 0,	//735  const QSize&, const QSize&
    31, 425, 0,	//738  QDataStream&, const QKeySequence&
    271, 271, 0,	//741  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    493, 389, 0,	//744  const char*, const QByteArray&
    31, 248, 0,	//747  QDataStream&, QStandardItem&
    259, 259, 0,	//750  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    201, 89, 0,	//753  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    49, 66, 0,	//756  QFile::Permission, QFlags<QFile::Permission>
    31, 234, 0,	//759  QDataStream&, QQuaternion&
    448, 448, 0,	//762  const QPointF&, const QPointF&
    31, 450, 0,	//765  QDataStream&, const QPolygonF&
    502, 502, 0,	//768  double, double
    31, 244, 0,	//771  QDataStream&, QSizeF&
    389, 493, 0,	//774  const QByteArray&, const char*
    503, 0,	//777  float
    511, 0,	//779  signed char
    166, 504, 0,	//781  QGraphicsEffect::ChangeFlag, int
    466, 469, 0,	//784  const QString&, const QStringRef&
    50, 504, 0,	//787  QFileDialog::Option, int
    22, 0,	//790  QChar
    31, 457, 0,	//792  QDataStream&, const QRegion&
    203, 203, 0,	//795  QMessageBox::StandardButton, QMessageBox::StandardButton
    258, 99, 0,	//798  QStyle::SubControl, QFlags<QStyle::SubControl>
    433, 446, 0,	//801  const QMatrix4x4&, const QPoint&
    31, 474, 0,	//804  QDataStream&, const QTextLength&
    35, 386, 0,	//807  QDebug, const QBrush&
    164, 164, 0,	//810  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    469, 426, 0,	//813  const QStringRef&, const QLatin1String&
    433, 491, 0,	//816  const QMatrix4x4&, const QVector4D&
    22, 22, 0,	//819  QChar, QChar
    35, 452, 0,	//822  QDebug, const QQuaternion&
    368, 368, 0,	//825  Qt::TouchPointState, Qt::TouchPointState
    433, 0,	//828  const QMatrix4x4&
    479, 0,	//830  const QUrl&
    301, 504, 0,	//832  QWidget::RenderFlag, int
    433, 502, 0,	//835  const QMatrix4x4&, double
    31, 440, 0,	//838  QDataStream&, const QPalette&
    35, 479, 0,	//841  QDebug, const QUrl&
    31, 27, 0,	//844  QDataStream&, QColor&
    31, 266, 0,	//847  QDataStream&, QTableWidgetItem&
    197, 88, 0,	//850  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    251, 466, 0,	//853  QString::Null, const QString&
    35, 169, 0,	//856  QDebug, QGraphicsItem::GraphicsItemFlag
    35, 402, 0,	//859  QDebug, const QGLFormat&
    301, 116, 0,	//862  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    365, 365, 0,	//865  Qt::ToolBarArea, Qt::ToolBarArea
    173, 504, 0,	//868  QGraphicsView::OptimizationFlag, int
    196, 196, 0,	//871  QLocale::NumberOption, QLocale::NumberOption
    376, 376, 0,	//874  Qt::WindowType, Qt::WindowType
    502, 461, 0,	//877  double, const QSizeF&
    452, 452, 0,	//880  const QQuaternion&, const QQuaternion&
    37, 504, 0,	//883  QDir::Filter, int
    258, 258, 0,	//886  QStyle::SubControl, QStyle::SubControl
    446, 446, 0,	//889  const QPoint&, const QPoint&
    31, 454, 0,	//892  QDataStream&, const QRectF&
    343, 504, 0,	//895  Qt::KeyboardModifier, int
    362, 129, 0,	//898  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    201, 504, 0,	//901  QMdiArea::AreaOption, int
    477, 502, 0,	//904  const QTransform&, double
    5, 52, 0,	//907  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    383, 0,	//910  char
    302, 302, 0,	//912  QWizard::WizardOption, QWizard::WizardOption
    279, 113, 0,	//915  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    276, 504, 0,	//918  QTextOption::Flag, int
    35, 431, 0,	//921  QDebug, const QMargins&
    288, 504, 0,	//924  QUrl::FormattingOption, int
    49, 504, 0,	//927  QFile::Permission, int
    164, 75, 0,	//930  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    446, 502, 0,	//933  const QPoint&, double
    216, 504, 504, 504, 504, 440, 382, 387, 0,	//936  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    216, 504, 504, 504, 504, 440, 0,	//945  QPainter*, int, int, int, int, const QPalette&
    216, 504, 504, 504, 504, 440, 382, 0,	//952  QPainter*, int, int, int, int, const QPalette&, bool
    31, 477, 0,	//960  QDataStream&, const QTransform&
    39, 62, 0,	//963  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    461, 461, 0,	//966  const QSizeF&, const QSizeF&
    488, 433, 0,	//969  const QVector3D&, const QMatrix4x4&
    491, 491, 0,	//972  const QVector4D&, const QVector4D&
    35, 448, 0,	//975  QDebug, const QPointF&
    508, 504, 506, 506, 0,	//978  long double, int, int*, int*
    50, 67, 0,	//983  QFileDialog::Option, QFlags<QFileDialog::Option>
    31, 444, 0,	//986  QDataStream&, const QPixmap&
    343, 125, 0,	//989  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    302, 504, 0,	//992  QWizard::WizardOption, int
    35, 428, 0,	//995  QDebug, const QLineF&
    35, 394, 0,	//998  QDebug, const QDateTime&
    40, 63, 0,	//1001  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    504, 504, 504, 0,	//1004  int, int, int
    172, 172, 0,	//1008  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    147, 71, 0,	//1011  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    31, 443, 0,	//1014  QDataStream&, const QPicture&
    288, 288, 0,	//1017  QUrl::FormattingOption, QUrl::FormattingOption
    368, 131, 0,	//1020  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    335, 335, 0,	//1023  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    213, 504, 0,	//1026  QPaintEngine::PaintEngineFeature, int
    5, 5, 0,	//1029  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    196, 504, 0,	//1032  QLocale::NumberOption, int
    499, 504, 0,	//1035  const unsigned char*, int
    493, 493, 515, 0,	//1038  const char*, const char*, unsigned int
    426, 469, 0,	//1042  const QLatin1String&, const QStringRef&
    184, 186, 0,	//1045  QKeyEvent*, QKeySequence::StandardKey
    261, 261, 0,	//1048  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    277, 247, 0,	//1051  QTextStream&, QSplitter&
    424, 0,	//1054  const QItemSelectionRange&
    325, 325, 0,	//1056  Qt::DropAction, Qt::DropAction
    217, 94, 0,	//1059  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    35, 446, 0,	//1062  QDebug, const QPoint&
    31, 195, 0,	//1065  QDataStream&, QLocale&
    466, 22, 0,	//1068  const QString&, QChar
    251, 251, 0,	//1071  QString::Null, QString::Null
    13, 55, 0,	//1074  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    161, 504, 0,	//1077  QGLShader::ShaderTypeBit, int
    499, 514, 504, 0,	//1080  const unsigned char*, unsigned char*, int
    260, 101, 0,	//1084  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    269, 269, 0,	//1087  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    350, 350, 0,	//1090  Qt::Orientation, Qt::Orientation
    158, 158, 0,	//1093  QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature
    522, 512, 512, 512, 0,	//1096  void*, size_t, size_t, size_t
    31, 220, 0,	//1101  QDataStream&, QPalette&
    31, 392, 0,	//1104  QDataStream&, const QCursor&
    365, 130, 0,	//1107  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    271, 109, 0,	//1110  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    453, 453, 0,	//1113  const QRect&, const QRect&
    48, 65, 0,	//1116  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    385, 385, 0,	//1119  const QBitArray&, const QBitArray&
    389, 389, 0,	//1122  const QByteArray&, const QByteArray&
    203, 91, 0,	//1125  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    522, 512, 0,	//1128  void*, size_t
    223, 95, 0,	//1131  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    31, 432, 0,	//1134  QDataStream&, const QMatrix&
    31, 430, 0,	//1137  QDataStream&, const QLocale&
    35, 396, 0,	//1140  QDebug, const QEasingCurve&
    521, 0,	//1143  void(*)(QtMsgType,const char*)
    6, 504, 0,	//1145  QAbstractPrintDialog::PrintDialogOption, int
    437, 0,	//1148  const QModelIndex&
    34, 34, 0,	//1150  QDateTimeEdit::Section, QDateTimeEdit::Section
    265, 106, 0,	//1153  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    31, 33, 0,	//1156  QDataStream&, QDateTime&
    35, 397, 0,	//1159  QDebug, const QEvent*
    18, 18, 0,	//1162  QBool, QBool
    166, 166, 0,	//1165  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    493, 469, 0,	//1168  const char*, const QStringRef&
    136, 504, 0,	//1171  QFontComboBox::FontFilter, int
    365, 504, 0,	//1174  Qt::ToolBarArea, int
    164, 504, 0,	//1177  QGestureRecognizer::ResultFlag, int
    179, 179, 0,	//1180  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    138, 70, 0,	//1183  QGL::FormatOption, QFlags<QGL::FormatOption>
    31, 221, 0,	//1186  QDataStream&, QPen&
    427, 477, 0,	//1189  const QLine&, const QTransform&
    35, 450, 0,	//1192  QDebug, const QPolygonF&
    337, 504, 0,	//1195  Qt::InputMethodHint, int
    22, 466, 0,	//1198  QChar, const QString&
    262, 103, 0,	//1201  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    252, 504, 0,	//1204  QString::SectionFlag, int
    147, 504, 0,	//1207  QGLContext::BindOption, int
    165, 76, 0,	//1210  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    187, 504, 0,	//1213  QLibrary::LoadHint, int
    35, 168, 0,	//1216  QDebug, QGraphicsItem::GraphicsItemChange
    31, 287, 0,	//1219  QDataStream&, QUrl&
    509, 0,	//1222  long long
    452, 0,	//1224  const QQuaternion&
    466, 251, 0,	//1226  const QString&, QString::Null
    137, 137, 0,	//1229  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    477, 477, 0,	//1232  const QTransform&, const QTransform&
    197, 504, 0,	//1235  QMainWindow::DockOption, int
    31, 19, 0,	//1238  QDataStream&, QBrush&
    4, 504, 0,	//1241  QAbstractFileEngine::FileFlag, int
    269, 107, 0,	//1244  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    439, 432, 0,	//1247  const QPainterPath&, const QMatrix&
    337, 123, 0,	//1250  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    152, 504, 0,	//1253  QGLFormat::OpenGLVersionFlag, int
    197, 197, 0,	//1256  QMainWindow::DockOption, QMainWindow::DockOption
    302, 117, 0,	//1259  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    31, 245, 0,	//1262  QDataStream&, QSizePolicy&
    376, 133, 0,	//1265  Qt::WindowType, QFlags<Qt::WindowType>
    216, 504, 504, 504, 504, 391, 504, 387, 0,	//1268  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    216, 504, 504, 504, 504, 391, 0,	//1277  QPainter*, int, int, int, int, const QColor&
    216, 504, 504, 504, 504, 391, 504, 0,	//1284  QPainter*, int, int, int, int, const QColor&, int
    452, 502, 0,	//1292  const QQuaternion&, double
    348, 348, 0,	//1295  Qt::MouseButton, Qt::MouseButton
    384, 493, 0,	//1298  char*, const char*
    223, 223, 0,	//1301  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    457, 432, 0,	//1304  const QRegion&, const QMatrix&
    303, 303, 0,	//1307  Qt::AlignmentFlag, Qt::AlignmentFlag
    446, 0,	//1310  const QPoint&
    325, 504, 0,	//1312  Qt::DropAction, int
    31, 476, 0,	//1315  QDataStream&, const QTime&
    38, 504, 0,	//1318  QDir::SortFlag, int
    431, 431, 0,	//1321  const QMargins&, const QMargins&
    216, 453, 440, 382, 504, 504, 387, 0,	//1324  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    216, 453, 440, 0,	//1332  QPainter*, const QRect&, const QPalette&
    216, 453, 440, 382, 0,	//1336  QPainter*, const QRect&, const QPalette&, bool
    216, 453, 440, 382, 504, 0,	//1341  QPainter*, const QRect&, const QPalette&, bool, int
    216, 453, 440, 382, 504, 504, 0,	//1347  QPainter*, const QRect&, const QPalette&, bool, int, int
    31, 439, 0,	//1354  QDataStream&, const QPainterPath&
    491, 433, 0,	//1357  const QVector4D&, const QMatrix4x4&
    270, 504, 0,	//1360  QTextDocument::FindFlag, int
    208, 0,	//1363  QObject*(*)()
    35, 424, 0,	//1365  QDebug, const QItemSelectionRange&
    35, 425, 0,	//1368  QDebug, const QKeySequence&
    40, 40, 0,	//1371  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    216, 453, 431, 444, 0,	//1374  QPainter*, const QRect&, const QMargins&, const QPixmap&
    491, 502, 0,	//1379  const QVector4D&, double
    277, 463, 0,	//1382  QTextStream&, const QSplitter&
    346, 346, 0,	//1385  Qt::MatchFlag, Qt::MatchFlag
    512, 0,	//1388  size_t
    323, 119, 0,	//1390  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    31, 254, 0,	//1393  QDataStream&, QStringList&
    263, 263, 0,	//1396  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    183, 85, 0,	//1399  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    31, 488, 0,	//1402  QDataStream&, const QVector3D&
    35, 482, 0,	//1405  QDebug, const QVariant::Type
    323, 504, 0,	//1408  Qt::DockWidgetArea, int
    274, 111, 0,	//1411  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    31, 485, 0,	//1414  QDataStream&, const QVector2D&
    31, 386, 0,	//1417  QDataStream&, const QBrush&
    216, 453, 440, 382, 387, 0,	//1420  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    202, 504, 0,	//1426  QMdiSubWindow::SubWindowOption, int
    507, 0,	//1429  long
    31, 478, 0,	//1431  QDataStream&, const QTreeWidgetItem&
    518, 0,	//1434  unsigned short
    273, 273, 0,	//1436  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    31, 191, 0,	//1439  QDataStream&, QLineF&
    212, 212, 0,	//1442  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    31, 423, 0,	//1445  QDataStream&, const QImage&
    49, 49, 0,	//1448  QFile::Permission, QFile::Permission
    181, 84, 0,	//1451  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    216, 453, 440, 382, 504, 387, 0,	//1454  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    31, 243, 0,	//1461  QDataStream&, QSize&
    31, 185, 0,	//1464  QDataStream&, QKeySequence&
    262, 262, 0,	//1467  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    36, 504, 0,	//1470  QDialogButtonBox::StandardButton, int
    273, 110, 0,	//1473  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    442, 0,	//1476  const QPersistentModelIndex&
    35, 457, 0,	//1478  QDebug, const QRegion&
    31, 491, 0,	//1481  QDataStream&, const QVector4D&
    31, 422, 0,	//1484  QDataStream&, const QIcon&
    31, 466, 0,	//1487  QDataStream&, const QString&
    31, 394, 0,	//1490  QDataStream&, const QDateTime&
    31, 296, 0,	//1493  QDataStream&, QVector3D&
    161, 74, 0,	//1496  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    438, 466, 435, 0,	//1499  const QObject*, const QString&, const QMetaObject&
    216, 504, 504, 504, 504, 440, 382, 504, 387, 0,	//1503  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    216, 504, 504, 504, 504, 440, 382, 504, 0,	//1513  QPainter*, int, int, int, int, const QPalette&, bool, int
    252, 252, 0,	//1522  QString::SectionFlag, QString::SectionFlag
    31, 294, 0,	//1525  QDataStream&, QVector2D&
    203, 504, 0,	//1528  QMessageBox::StandardButton, int
    485, 502, 0,	//1531  const QVector2D&, double
    260, 260, 0,	//1534  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    448, 502, 0,	//1537  const QPointF&, double
    382, 18, 0,	//1540  bool, QBool
    173, 173, 0,	//1543  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    183, 183, 0,	//1546  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    488, 502, 0,	//1549  const QVector3D&, double
    181, 181, 0,	//1552  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    384, 493, 515, 0,	//1555  char*, const char*, unsigned int
    502, 485, 0,	//1559  double, const QVector2D&
    491, 0,	//1562  const QVector4D&
    286, 114, 0,	//1564  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    31, 200, 0,	//1567  QDataStream&, QMatrix4x4&
    263, 104, 0,	//1570  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    271, 504, 0,	//1573  QTextEdit::AutoFormattingFlag, int
    262, 504, 0,	//1576  QStyleOptionTab::CornerWidget, int
    31, 446, 0,	//1579  QDataStream&, const QPoint&
    31, 291, 0,	//1582  QDataStream&, QVariant&
    448, 433, 0,	//1585  const QPointF&, const QMatrix4x4&
    348, 504, 0,	//1588  Qt::MouseButton, int
    31, 178, 0,	//1591  QDataStream&, QImage&
    448, 0,	//1594  const QPointF&
    35, 470, 0,	//1596  QDebug, const QStyleOption&
    6, 53, 0,	//1599  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    31, 222, 0,	//1602  QDataStream&, QPicture&
    28, 504, 0,	//1605  QColorDialog::ColorDialogOption, int
    138, 504, 0,	//1608  QGL::FormatOption, int
    35, 442, 0,	//1611  QDebug, const QPersistentModelIndex&
    450, 432, 0,	//1614  const QPolygonF&, const QMatrix&
    31, 298, 0,	//1617  QDataStream&, QVector4D&
    28, 28, 0,	//1620  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    493, 493, 493, 504, 0,	//1623  const char*, const char*, const char*, int
    503, 446, 0,	//1628  float, const QPoint&
    50, 50, 0,	//1631  QFileDialog::Option, QFileDialog::Option
    276, 276, 0,	//1634  QTextOption::Flag, QTextOption::Flag
    350, 128, 0,	//1637  Qt::Orientation, QFlags<Qt::Orientation>
    31, 433, 0,	//1640  QDataStream&, const QMatrix4x4&
    432, 432, 0,	//1643  const QMatrix&, const QMatrix&
    48, 504, 0,	//1646  QEventLoop::ProcessEventsFlag, int
    454, 454, 0,	//1649  const QRectF&, const QRectF&
    504, 504, 504, 504, 0,	//1652  int, int, int, int
    31, 284, 0,	//1657  QDataStream&, QTransform&
    31, 464, 0,	//1660  QDataStream&, const QStandardItem&
    35, 170, 0,	//1663  QDebug, QGraphicsObject*
    335, 122, 0,	//1666  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    502, 491, 0,	//1669  double, const QVector4D&
    13, 504, 0,	//1672  QAccessible::RelationFlag, int
    202, 90, 0,	//1675  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    31, 467, 0,	//1678  QDataStream&, const QStringList&
    35, 433, 0,	//1681  QDebug, const QMatrix4x4&
    389, 383, 0,	//1684  const QByteArray&, char
    39, 39, 0,	//1687  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    37, 60, 0,	//1690  QDir::Filter, QFlags<QDir::Filter>
    31, 227, 0,	//1693  QDataStream&, QPoint&
    461, 502, 0,	//1696  const QSizeF&, double
    31, 393, 0,	//1699  QDataStream&, const QDate&
    265, 504, 0,	//1702  QStyleOptionViewItemV2::ViewItemFeature, int
    520, 0,	//1705  void(*)()
    499, 504, 504, 0,	//1707  const unsigned char*, int, int
    246, 246, 0,	//1711  QSizePolicy::ControlType, QSizePolicy::ControlType
    31, 427, 0,	//1714  QDataStream&, const QLine&
    31, 198, 0,	//1717  QDataStream&, QMatrix&
    36, 36, 0,	//1720  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    31, 250, 0,	//1723  QDataStream&, QString&
    257, 257, 0,	//1726  QStyle::StateFlag, QStyle::StateFlag
    31, 429, 0,	//1729  QDataStream&, const QListWidgetItem&
    260, 504, 0,	//1732  QStyleOptionFrameV2::FrameFeature, int
    158, 73, 0,	//1735  QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>
    522, 0,	//1738  void*
    35, 78, 0,	//1740  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    428, 432, 0,	//1743  const QLineF&, const QMatrix&
    31, 473, 0,	//1746  QDataStream&, const QTextFormat&
    340, 504, 0,	//1749  Qt::ItemFlag, int
    31, 285, 0,	//1752  QDataStream&, QTreeWidgetItem&
    35, 395, 0,	//1755  QDebug, const QDir&
    277, 278, 0,	//1758  QTextStream&, QTextStream&(*)(QTextStream&)
    35, 441, 0,	//1761  QDebug, const QPen&
    502, 452, 0,	//1764  double, const QQuaternion&
    402, 402, 0,	//1767  const QGLFormat&, const QGLFormat&
    35, 437, 0,	//1770  QDebug, const QModelIndex&
    169, 78, 0,	//1773  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    35, 488, 0,	//1776  QDebug, const QVector3D&
    274, 274, 0,	//1779  QTextItem::RenderFlag, QTextItem::RenderFlag
    48, 48, 0,	//1782  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    385, 0,	//1785  const QBitArray&
    35, 485, 0,	//1787  QDebug, const QVector2D&
    179, 83, 0,	//1790  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    35, 476, 0,	//1793  QDebug, const QTime&
    277, 280, 0,	//1796  QTextStream&, QTextStreamManipulator
    35, 491, 0,	//1799  QDebug, const QVector4D&
    31, 272, 0,	//1802  QDataStream&, QTextFormat&
    330, 121, 0,	//1805  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    469, 493, 0,	//1808  const QStringRef&, const char*
    264, 504, 0,	//1811  QStyleOptionToolButton::ToolButtonFeature, int
    246, 96, 0,	//1814  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    301, 301, 0,	//1817  QWidget::RenderFlag, QWidget::RenderFlag
    31, 17, 0,	//1820  QDataStream&, QBitArray&
    31, 231, 0,	//1823  QDataStream&, QPolygon&
    31, 239, 0,	//1826  QDataStream&, QRegion&
    7, 7, 0,	//1829  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    31, 462, 0,	//1832  QDataStream&, const QSizePolicy&
    264, 264, 0,	//1835  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    40, 504, 0,	//1838  QDockWidget::DockWidgetFeature, int
    512, 512, 0,	//1841  size_t, size_t
    171, 79, 0,	//1844  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    147, 147, 0,	//1847  QGLContext::BindOption, QGLContext::BindOption
    446, 477, 0,	//1850  const QPoint&, const QTransform&
    508, 504, 506, 506, 384, 512, 0,	//1853  long double, int, int*, int*, char*, size_t
    35, 461, 0,	//1860  QDebug, const QSizeF&
    330, 504, 0,	//1863  Qt::GestureFlag, int
    383, 389, 0,	//1866  char, const QByteArray&
    257, 504, 0,	//1869  QStyle::StateFlag, int
    31, 481, 0,	//1872  QDataStream&, const QVariant&
    264, 105, 0,	//1875  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    35, 481, 0,	//1878  QDebug, const QVariant&
    14, 14, 0,	//1881  QAccessible::StateFlag, QAccessible::StateFlag
    217, 217, 0,	//1884  QPainter::RenderHint, QPainter::RenderHint
    375, 504, 0,	//1887  Qt::WindowState, int
    31, 281, 0,	//1890  QDataStream&, QTime&
    31, 225, 0,	//1893  QDataStream&, QPixmap&
    34, 58, 0,	//1896  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    276, 112, 0,	//1899  QTextOption::Flag, QFlags<QTextOption::Flag>
    35, 60, 0,	//1902  QDebug, QFlags<QDir::Filter>
    343, 343, 0,	//1905  Qt::KeyboardModifier, Qt::KeyboardModifier
    502, 448, 0,	//1908  double, const QPointF&
    31, 46, 0,	//1911  QDataStream&, QEasingCurve&
    325, 120, 0,	//1914  Qt::DropAction, QFlags<Qt::DropAction>
    457, 477, 0,	//1917  const QRegion&, const QTransform&
    152, 72, 0,	//1920  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    459, 502, 0,	//1923  const QSize&, double
    35, 393, 0,	//1926  QDebug, const QDate&
    439, 477, 0,	//1929  const QPainterPath&, const QTransform&
    14, 56, 0,	//1932  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    37, 37, 0,	//1935  QDir::Filter, QDir::Filter
    384, 512, 493, 519, 0,	//1938  char*, size_t, const char*, va_list
    502, 446, 0,	//1943  double, const QPoint&
    450, 477, 0,	//1946  const QPolygonF&, const QTransform&
    522, 504, 512, 0,	//1949  void*, int, size_t
    31, 428, 0,	//1953  QDataStream&, const QLineF&
    510, 0,	//1956  short
    202, 202, 0,	//1958  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    175, 175, 0,	//1961  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    323, 323, 0,	//1964  Qt::DockWidgetArea, Qt::DockWidgetArea
    38, 61, 0,	//1967  QDir::SortFlag, QFlags<QDir::SortFlag>
    503, 503, 0,	//1970  float, float
    481, 483, 0,	//1973  const QVariant&, const QVariantComparisonHelper&
    181, 504, 0,	//1976  QInputDialog::InputDialogOption, int
    187, 187, 0,	//1979  QLibrary::LoadHint, QLibrary::LoadHint
    508, 504, 384, 0,	//1982  long double, int, char*
    522, 512, 512, 505, 0,	//1986  void*, size_t, size_t, int(*)(const void*,const void*)
    286, 286, 0,	//1991  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    261, 102, 0,	//1994  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    173, 81, 0,	//1997  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    39, 504, 0,	//2000  QDirIterator::IteratorFlag, int
    337, 337, 0,	//2003  Qt::InputMethodHint, Qt::InputMethodHint
    171, 504, 0,	//2006  QGraphicsScene::SceneLayer, int
    31, 441, 0,	//2009  QDataStream&, const QPen&
    158, 504, 0,	//2012  QGLFunctions::OpenGLFeature, int
    213, 213, 0,	//2015  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    31, 219, 0,	//2018  QDataStream&, QPainterPath&
    35, 427, 0,	//2021  QDebug, const QLine&
    362, 362, 0,	//2024  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    216, 504, 504, 504, 504, 440, 382, 504, 504, 387, 0,	//2027  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    216, 504, 504, 504, 504, 440, 382, 504, 504, 0,	//2038  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    368, 504, 0,	//2048  Qt::TouchPointState, int
    31, 275, 0,	//2051  QDataStream&, QTextLength&
    35, 477, 0,	//2054  QDebug, const QTransform&
    286, 504, 0,	//2057  QTreeWidgetItemIterator::IteratorFlag, int
    35, 449, 0,	//2060  QDebug, const QPolygon&
    288, 115, 0,	//2063  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    7, 504, 0,	//2066  QAbstractSpinBox::StepEnabledFlag, int
    246, 504, 0,	//2069  QSizePolicy::ControlType, int
    171, 171, 0,	//2072  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    362, 504, 0,	//2075  Qt::TextInteractionFlag, int
    375, 375, 0,	//2078  Qt::WindowState, Qt::WindowState
    273, 504, 0,	//2081  QTextFormat::PageBreakFlag, int
    485, 0,	//2084  const QVector2D&
    4, 51, 0,	//2086  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    31, 391, 0,	//2089  QDataStream&, const QColor&
    502, 433, 0,	//2092  double, const QMatrix4x4&
    31, 389, 0,	//2095  QDataStream&, const QByteArray&
    13, 13, 0,	//2098  QAccessible::RelationFlag, QAccessible::RelationFlag
    31, 396, 0,	//2101  QDataStream&, const QEasingCurve&
    427, 432, 0,	//2104  const QLine&, const QMatrix&
    31, 479, 0,	//2107  QDataStream&, const QUrl&
    35, 453, 0,	//2110  QDebug, const QRect&
    35, 398, 0,	//2113  QDebug, const QFont&
    38, 38, 0,	//2116  QDir::SortFlag, QDir::SortFlag
    28, 57, 0,	//2119  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    172, 504, 0,	//2122  QGraphicsView::CacheModeFlag, int
    279, 504, 0,	//2125  QTextStream::NumberFlag, int
    31, 235, 0,	//2128  QDataStream&, QRect&
    201, 201, 0,	//2131  QMdiArea::AreaOption, QMdiArea::AreaOption
    31, 459, 0,	//2134  QDataStream&, const QSize&
    31, 390, 0,	//2137  QDataStream&, const QChar&
    136, 68, 0,	//2140  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    186, 184, 0,	//2143  QKeySequence::StandardKey, QKeyEvent*
    137, 69, 0,	//2146  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    257, 98, 0,	//2149  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    303, 504, 0,	//2152  Qt::AlignmentFlag, int
    31, 194, 0,	//2155  QDataStream&, QListWidgetItem&
    31, 455, 0,	//2158  QDataStream&, const QRegExp&
    179, 504, 0,	//2161  QImageIOPlugin::Capability, int
    270, 108, 0,	//2164  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    488, 0,	//2167  const QVector3D&
    35, 454, 0,	//2169  QDebug, const QRectF&
    375, 132, 0,	//2172  Qt::WindowState, QFlags<Qt::WindowState>
    166, 77, 0,	//2175  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    340, 340, 0,	//2178  Qt::ItemFlag, Qt::ItemFlag
    31, 289, 0,	//2181  QDataStream&, QUuid&
    31, 135, 0,	//2184  QDataStream&, QFont&
    216, 453, 391, 504, 387, 0,	//2187  QPainter*, const QRect&, const QColor&, int, const QBrush*
    216, 453, 391, 0,	//2193  QPainter*, const QRect&, const QColor&
    216, 453, 391, 504, 0,	//2197  QPainter*, const QRect&, const QColor&, int
    31, 233, 0,	//2202  QDataStream&, QPolygonF&
    169, 169, 0,	//2205  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    161, 161, 0,	//2208  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    263, 504, 0,	//2211  QStyleOptionToolBar::ToolBarFeature, int
    446, 504, 0,	//2214  const QPoint&, int
    31, 293, 0,	//2217  QDataStream&, QVariant::Type&
    217, 504, 0,	//2220  QPainter::RenderHint, int
    481, 292, 522, 0,	//2223  const QVariant&, QVariant::Type, void*
    35, 98, 0,	//2227  QDebug, QFlags<QStyle::StateFlag>
    5, 504, 0,	//2230  QAbstractItemView::EditTrigger, int
    446, 433, 0,	//2233  const QPoint&, const QMatrix4x4&
    446, 432, 0,	//2236  const QPoint&, const QMatrix&
    6, 6, 0,	//2239  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    438, 466, 456, 435, 193, 0,	//2242  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    421, 421, 0,	//2248  const QHashDummyValue&, const QHashDummyValue&
    31, 229, 0,	//2251  QDataStream&, QPointF&
    350, 504, 0,	//2254  Qt::Orientation, int
    265, 265, 0,	//2257  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    433, 488, 0,	//2260  const QMatrix4x4&, const QVector3D&
    31, 472, 0,	//2263  QDataStream&, const QTableWidgetItem&
    35, 167, 0,	//2266  QDebug, QGraphicsItem*
    216, 446, 446, 440, 382, 504, 504, 0,	//2269  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    216, 446, 446, 440, 0,	//2277  QPainter*, const QPoint&, const QPoint&, const QPalette&
    216, 446, 446, 440, 382, 0,	//2282  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    216, 446, 446, 440, 382, 504, 0,	//2288  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    330, 330, 0,	//2295  Qt::GestureFlag, Qt::GestureFlag
    175, 82, 0,	//2298  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    165, 504, 0,	//2301  QGraphicsBlurEffect::BlurHint, int
    433, 448, 0,	//2304  const QMatrix4x4&, const QPointF&
    213, 93, 0,	//2307  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    31, 398, 0,	//2310  QDataStream&, const QFont&
    165, 165, 0,	//2313  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    449, 477, 0,	//2316  const QPolygon&, const QTransform&
    152, 152, 0,	//2319  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    212, 504, 0,	//2322  QPaintEngine::DirtyFlag, int
    446, 503, 0,	//2325  const QPoint&, float
    502, 459, 0,	//2328  double, const QSize&
    183, 504, 0,	//2331  QItemSelectionModel::SelectionFlag, int
    18, 382, 0,	//2334  QBool, bool
    36, 59, 0,	//2337  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    31, 189, 0,	//2340  QDataStream&, QLine&
    35, 459, 0,	//2343  QDebug, const QSize&
    258, 504, 0,	//2346  QStyle::SubControl, int
    279, 279, 0,	//2349  QTextStream::NumberFlag, QTextStream::NumberFlag
    428, 477, 0,	//2352  const QLineF&, const QTransform&
    137, 504, 0,	//2355  QFontDialog::FontDialogOption, int
    348, 127, 0,	//2358  Qt::MouseButton, QFlags<Qt::MouseButton>
    31, 482, 0,	//2361  QDataStream&, const QVariant::Type
    270, 270, 0,	//2364  QTextDocument::FindFlag, QTextDocument::FindFlag
    261, 504, 0,	//2367  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    340, 124, 0,	//2370  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    448, 477, 0,	//2373  const QPointF&, const QTransform&
    35, 391, 0,	//2376  QDebug, const QColor&
    35, 432, 0,	//2379  QDebug, const QMatrix&
    31, 480, 0,	//2382  QDataStream&, const QUuid&
    187, 86, 0,	//2385  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    376, 504, 0,	//2388  Qt::WindowType, int
    259, 504, 0,	//2391  QStyleOptionButton::ButtonFeature, int
    31, 236, 0,	//2394  QDataStream&, QRectF&
    259, 100, 0,	//2397  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    172, 80, 0,	//2400  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    31, 30, 0,	//2403  QDataStream&, QCursor&
    169, 504, 0,	//2406  QGraphicsItem::GraphicsItemFlag, int
    31, 453, 0,	//2409  QDataStream&, const QRect&
    346, 126, 0,	//2412  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    303, 118, 0,	//2415  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    31, 23, 0,	//2418  QDataStream&, QChar&
    31, 237, 0,	//2421  QDataStream&, QRegExp&
    31, 452, 0,	//2424  QDataStream&, const QQuaternion&
    14, 504, 0,	//2427  QAccessible::StateFlag, int
    31, 448, 0,	//2430  QDataStream&, const QPointF&
    138, 138, 0,	//2433  QGL::FormatOption, QGL::FormatOption
    223, 504, 0,	//2436  QPinchGesture::ChangeFlag, int
    31, 461, 0,	//2439  QDataStream&, const QSizeF&
    196, 87, 0,	//2442  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    274, 504, 0,	//2445  QTextItem::RenderFlag, int
    216, 453, 431, 444, 453, 431, 475, 64, 0,	//2448  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    216, 453, 431, 444, 453, 431, 0,	//2457  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    216, 453, 431, 444, 453, 431, 475, 0,	//2464  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    252, 97, 0,	//2472  QString::SectionFlag, QFlags<QString::SectionFlag>
    466, 466, 0,	//2475  const QString&, const QString&
    4, 4, 0,	//2478  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    379, 493, 0,	//2481  QtMsgType, const char*
    35, 439, 0,	//2484  QDebug, const QPainterPath&
    502, 488, 0,	//2487  double, const QVector3D&
    469, 0,	//2490  const QStringRef&
    175, 504, 0,	//2492  QIODevice::OpenModeFlag, int
    7, 54, 0,	//2495  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    513, 0,	//2498  unsigned char
    31, 21, 0,	//2500  QDataStream&, QByteArray&
    136, 136, 0,	//2503  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    449, 432, 0,	//2506  const QPolygon&, const QMatrix&
    35, 471, 0,	//2509  QDebug, const QStyleOption::OptionType&
    35, 438, 0,	//2512  QDebug, const QObject*
    346, 504, 0,	//2515  Qt::MatchFlag, int
    31, 449, 0,	//2518  QDataStream&, const QPolygon&
    31, 32, 0,	//2521  QDataStream&, QDate&
    31, 385, 0,	//2524  QDataStream&, const QBitArray&
    207, 47, 0,	//2527  QObject*, QEvent*
    282, 0,	//2530  QTimerEvent*
    24, 0,	//2532  QChildEvent*
    205, 0,	//2534  QMouseEvent*
    299, 0,	//2536  QWheelEvent*
    184, 0,	//2538  QKeyEvent*
    134, 0,	//2540  QFocusEvent*
    206, 0,	//2542  QMoveEvent*
    25, 0,	//2544  QCloseEvent*
    29, 0,	//2546  QContextMenuEvent*
    267, 0,	//2548  QTabletEvent*
    15, 0,	//2550  QActionEvent*
    41, 0,	//2552  QDragEnterEvent*
    43, 0,	//2554  QDragMoveEvent*
    42, 0,	//2556  QDragLeaveEvent*
    45, 0,	//2558  QDropEvent*
    241, 0,	//2560  QShowEvent*
    174, 0,	//2562  QHideEvent*
    380, 0,	//2564  _XEvent*
    182, 0,	//2566  QInputMethodEvent*
    338, 0,	//2568  Qt::InputMethodQuery
    256, 0,	//2570  QStyle&
    440, 0,	//2572  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "CompatibilityProfile",	//6
    "CoreProfile",	//7
    "DefaultBindOption",	//8
    "DeprecatedFunctions",	//9
    "Depth",	//10
    "DepthBuffer",	//11
    "DirectRendering",	//12
    "DoubleBuffer",	//13
    "DrawChildren",	//14
    "DrawWindowBackground",	//15
    "DynamicCopy",	//16
    "DynamicDraw",	//17
    "DynamicRead",	//18
    "Fragment",	//19
    "Geometry",	//20
    "HasOverlay",	//21
    "IgnoreMask",	//22
    "IndexBuffer",	//23
    "IndirectRendering",	//24
    "InternalBindOption",	//25
    "InvertedYBindOption",	//26
    "LinearFilteringBindOption",	//27
    "MemoryManagedBindOption",	//28
    "MipmapBindOption",	//29
    "NoAccumBuffer",	//30
    "NoAlphaChannel",	//31
    "NoAttachment",	//32
    "NoBindOption",	//33
    "NoDeprecatedFunctions",	//34
    "NoDepthBuffer",	//35
    "NoOverlay",	//36
    "NoProfile",	//37
    "NoSampleBuffers",	//38
    "NoStencilBuffer",	//39
    "NoStereoBuffers",	//40
    "OpenGL_ES_CommonLite_Version_1_0",	//41
    "OpenGL_ES_CommonLite_Version_1_1",	//42
    "OpenGL_ES_Common_Version_1_0",	//43
    "OpenGL_ES_Common_Version_1_1",	//44
    "OpenGL_ES_Version_2_0",	//45
    "OpenGL_Version_1_1",	//46
    "OpenGL_Version_1_2",	//47
    "OpenGL_Version_1_3",	//48
    "OpenGL_Version_1_4",	//49
    "OpenGL_Version_1_5",	//50
    "OpenGL_Version_2_0",	//51
    "OpenGL_Version_2_1",	//52
    "OpenGL_Version_3_0",	//53
    "OpenGL_Version_3_1",	//54
    "OpenGL_Version_3_2",	//55
    "OpenGL_Version_3_3",	//56
    "OpenGL_Version_4_0",	//57
    "OpenGL_Version_None",	//58
    "PixelPackBuffer",	//59
    "PixelUnpackBuffer",	//60
    "PremultipliedAlphaBindOption",	//61
    "QGLBuffer",	//62
    "QGLBuffer#",	//63
    "QGLBuffer$",	//64
    "QGLColormap",	//65
    "QGLColormap#",	//66
    "QGLContext",	//67
    "QGLContext#",	//68
    "QGLContext##",	//69
    "QGLFormat",	//70
    "QGLFormat#",	//71
    "QGLFormat$",	//72
    "QGLFormat$$",	//73
    "QGLFramebufferObject",	//74
    "QGLFramebufferObject#",	//75
    "QGLFramebufferObject##",	//76
    "QGLFramebufferObject#$",	//77
    "QGLFramebufferObject#$$",	//78
    "QGLFramebufferObject#$$$",	//79
    "QGLFramebufferObject$$",	//80
    "QGLFramebufferObject$$#",	//81
    "QGLFramebufferObject$$$",	//82
    "QGLFramebufferObject$$$$",	//83
    "QGLFramebufferObject$$$$$",	//84
    "QGLFramebufferObjectFormat",	//85
    "QGLFramebufferObjectFormat#",	//86
    "QGLPixelBuffer",	//87
    "QGLPixelBuffer#",	//88
    "QGLPixelBuffer##",	//89
    "QGLPixelBuffer###",	//90
    "QGLPixelBuffer$$",	//91
    "QGLPixelBuffer$$#",	//92
    "QGLPixelBuffer$$##",	//93
    "QGLShader",	//94
    "QGLShader$",	//95
    "QGLShader$#",	//96
    "QGLShader$##",	//97
    "QGLShaderProgram",	//98
    "QGLShaderProgram#",	//99
    "QGLShaderProgram##",	//100
    "QGLWidget",	//101
    "QGLWidget#",	//102
    "QGLWidget##",	//103
    "QGLWidget###",	//104
    "QGLWidget###$",	//105
    "QGLWidget##$",	//106
    "QtCriticalMsg",	//107
    "QtDebugMsg",	//108
    "QtFatalMsg",	//109
    "QtSystemMsg",	//110
    "QtWarningMsg",	//111
    "ReadOnly",	//112
    "ReadWrite",	//113
    "Rgba",	//114
    "SP_CustomCameraCaptureButton",	//115
    "SP_CustomCameraCaptureButtonPressed",	//116
    "SP_CustomCameraPauseButton",	//117
    "SP_CustomCameraPauseButtonPressed",	//118
    "SP_CustomCameraPlayButton",	//119
    "SP_CustomCameraPlayButtonPressed",	//120
    "SP_CustomCameraRecButton",	//121
    "SP_CustomCameraRecButtonPressed",	//122
    "SP_CustomCameraStopButton",	//123
    "SP_CustomCameraStopButtonPressed",	//124
    "SP_CustomTabAll",	//125
    "SP_CustomTabArtist",	//126
    "SP_CustomTabFavourite",	//127
    "SP_CustomTabGenre",	//128
    "SP_CustomTabLanguage",	//129
    "SP_CustomTabMusicAlbum",	//130
    "SP_CustomTabPhotosAlbum",	//131
    "SP_CustomTabPhotosAll",	//132
    "SP_CustomTabPlaylist",	//133
    "SP_CustomTabServices",	//134
    "SP_CustomTabSongs",	//135
    "SP_CustomTabVideos",	//136
    "SP_CustomToolBarAdd",	//137
    "SP_CustomToolBarAddDetail",	//138
    "SP_CustomToolBarAgain",	//139
    "SP_CustomToolBarAgenda",	//140
    "SP_CustomToolBarAudioOff",	//141
    "SP_CustomToolBarAudioOn",	//142
    "SP_CustomToolBarBack",	//143
    "SP_CustomToolBarBluetoothOff",	//144
    "SP_CustomToolBarBluetoothOn",	//145
    "SP_CustomToolBarCancel",	//146
    "SP_CustomToolBarDelete",	//147
    "SP_CustomToolBarDone",	//148
    "SP_CustomToolBarEdit",	//149
    "SP_CustomToolBarEditDisabled",	//150
    "SP_CustomToolBarEmailSend",	//151
    "SP_CustomToolBarEmergencyCall",	//152
    "SP_CustomToolBarFavouriteAdd",	//153
    "SP_CustomToolBarFavouriteRemove",	//154
    "SP_CustomToolBarFavourites",	//155
    "SP_CustomToolBarGo",	//156
    "SP_CustomToolBarHome",	//157
    "SP_CustomToolBarImageTools",	//158
    "SP_CustomToolBarList",	//159
    "SP_CustomToolBarLock",	//160
    "SP_CustomToolBarLogs",	//161
    "SP_CustomToolBarMenu",	//162
    "SP_CustomToolBarNewContact",	//163
    "SP_CustomToolBarNewGroup",	//164
    "SP_CustomToolBarNextFrame",	//165
    "SP_CustomToolBarNowPlay",	//166
    "SP_CustomToolBarOptions",	//167
    "SP_CustomToolBarOther",	//168
    "SP_CustomToolBarOvi",	//169
    "SP_CustomToolBarPreviousFrame",	//170
    "SP_CustomToolBarRead",	//171
    "SP_CustomToolBarRedo",	//172
    "SP_CustomToolBarRedoDisabled",	//173
    "SP_CustomToolBarRefresh",	//174
    "SP_CustomToolBarRemoveDetail",	//175
    "SP_CustomToolBarRemoveDisabled",	//176
    "SP_CustomToolBarRepeat",	//177
    "SP_CustomToolBarRepeatOff",	//178
    "SP_CustomToolBarRepeatOne",	//179
    "SP_CustomToolBarSearch",	//180
    "SP_CustomToolBarSearchDisabled",	//181
    "SP_CustomToolBarSelectContent",	//182
    "SP_CustomToolBarSelfTimer",	//183
    "SP_CustomToolBarSend",	//184
    "SP_CustomToolBarSendDimmed",	//185
    "SP_CustomToolBarShare",	//186
    "SP_CustomToolBarShift",	//187
    "SP_CustomToolBarShuffle",	//188
    "SP_CustomToolBarShuffleOff",	//189
    "SP_CustomToolBarSignalOff",	//190
    "SP_CustomToolBarSignalOn",	//191
    "SP_CustomToolBarSync",	//192
    "SP_CustomToolBarTools",	//193
    "SP_CustomToolBarTrim",	//194
    "SP_CustomToolBarUnlock",	//195
    "SP_CustomToolBarUnmark",	//196
    "SP_CustomToolBarView",	//197
    "SP_CustomToolBarWlanOff",	//198
    "SP_CustomToolBarWlanOn",	//199
    "SampleBuffers",	//200
    "SingleBuffer",	//201
    "StaticCopy",	//202
    "StaticDraw",	//203
    "StaticRead",	//204
    "StencilBuffer",	//205
    "StereoBuffers",	//206
    "StreamCopy",	//207
    "StreamDraw",	//208
    "StreamRead",	//209
    "Vertex",	//210
    "VertexBuffer",	//211
    "WriteOnly",	//212
    "__codecvt_error",	//213
    "__codecvt_noconv",	//214
    "__codecvt_ok",	//215
    "__codecvt_partial",	//216
    "accum",	//217
    "accumBufferSize",	//218
    "actionEvent",	//219
    "addShader",	//220
    "addShader#",	//221
    "addShaderFromSourceCode",	//222
    "addShaderFromSourceCode$#",	//223
    "addShaderFromSourceCode$$",	//224
    "addShaderFromSourceFile",	//225
    "addShaderFromSourceFile$$",	//226
    "allocate",	//227
    "allocate$",	//228
    "allocate$$",	//229
    "alpha",	//230
    "alphaBufferSize",	//231
    "areSharing",	//232
    "areSharing##",	//233
    "attachment",	//234
    "attributeLocation",	//235
    "attributeLocation#",	//236
    "attributeLocation$",	//237
    "autoBufferSwap",	//238
    "bind",	//239
    "bindAttributeLocation",	//240
    "bindAttributeLocation#$",	//241
    "bindAttributeLocation$$",	//242
    "bindDefault",	//243
    "bindTexture",	//244
    "bindTexture#",	//245
    "bindTexture#$",	//246
    "bindTexture#$$",	//247
    "bindTexture#$$$",	//248
    "bindTexture$",	//249
    "bindToDynamicTexture",	//250
    "bindToDynamicTexture$",	//251
    "blitFramebuffer",	//252
    "blitFramebuffer####",	//253
    "blitFramebuffer####$",	//254
    "blitFramebuffer####$$",	//255
    "blueBufferSize",	//256
    "bufferId",	//257
    "changeEvent",	//258
    "childEvent",	//259
    "chooseContext",	//260
    "chooseContext#",	//261
    "chooseVisual",	//262
    "closeEvent",	//263
    "colorIndex",	//264
    "colorIndex#",	//265
    "colormap",	//266
    "compileSourceCode",	//267
    "compileSourceCode#",	//268
    "compileSourceCode$",	//269
    "compileSourceFile",	//270
    "compileSourceFile$",	//271
    "connectNotify",	//272
    "context",	//273
    "contextMenuEvent",	//274
    "convertToGLFormat",	//275
    "convertToGLFormat#",	//276
    "create",	//277
    "create#",	//278
    "currentContext",	//279
    "currentCtx",	//280
    "customEvent",	//281
    "defaultFormat",	//282
    "defaultOverlayFormat",	//283
    "deleteTexture",	//284
    "deleteTexture$",	//285
    "depth",	//286
    "depthBufferSize",	//287
    "destroy",	//288
    "detach",	//289
    "devType",	//290
    "device",	//291
    "deviceIsPixmap",	//292
    "directRendering",	//293
    "disableAttributeArray",	//294
    "disableAttributeArray$",	//295
    "disconnectNotify",	//296
    "doneCurrent",	//297
    "doubleBuffer",	//298
    "dragEnterEvent",	//299
    "dragLeaveEvent",	//300
    "dragMoveEvent",	//301
    "drawTexture",	//302
    "drawTexture#$",	//303
    "drawTexture#$$",	//304
    "dropEvent",	//305
    "enableAttributeArray",	//306
    "enableAttributeArray$",	//307
    "enabledChange",	//308
    "enterEvent",	//309
    "entryColor",	//310
    "entryColor$",	//311
    "entryRgb",	//312
    "entryRgb$",	//313
    "event",	//314
    "event#",	//315
    "eventFilter",	//316
    "find",	//317
    "find$",	//318
    "findNearest",	//319
    "findNearest$",	//320
    "focusInEvent",	//321
    "focusNextPrevChild",	//322
    "focusOutEvent",	//323
    "fontChange",	//324
    "fontDisplayListBase",	//325
    "fontDisplayListBase#",	//326
    "fontDisplayListBase#$",	//327
    "format",	//328
    "generateDynamicTexture",	//329
    "generateFontDisplayLists",	//330
    "generateFontDisplayLists#$",	//331
    "geometryInputType",	//332
    "geometryOutputType",	//333
    "geometryOutputVertexCount",	//334
    "getProcAddress",	//335
    "getProcAddress$",	//336
    "glDraw",	//337
    "glInit",	//338
    "grabFrameBuffer",	//339
    "grabFrameBuffer$",	//340
    "greenBufferSize",	//341
    "handle",	//342
    "hasOpenGL",	//343
    "hasOpenGLFramebufferBlit",	//344
    "hasOpenGLFramebufferObjects",	//345
    "hasOpenGLOverlays",	//346
    "hasOpenGLPbuffers",	//347
    "hasOpenGLShaderPrograms",	//348
    "hasOpenGLShaderPrograms#",	//349
    "hasOpenGLShaders",	//350
    "hasOpenGLShaders$",	//351
    "hasOpenGLShaders$#",	//352
    "hasOverlay",	//353
    "heightForWidth",	//354
    "hideEvent",	//355
    "initializeGL",	//356
    "initializeOverlayGL",	//357
    "initialized",	//358
    "inputMethodEvent",	//359
    "inputMethodQuery",	//360
    "internalTextureFormat",	//361
    "isBound",	//362
    "isCompiled",	//363
    "isCreated",	//364
    "isEmpty",	//365
    "isLinked",	//366
    "isSharing",	//367
    "isValid",	//368
    "keyPressEvent",	//369
    "keyReleaseEvent",	//370
    "languageChange",	//371
    "leaveEvent",	//372
    "link",	//373
    "log",	//374
    "majorVersion",	//375
    "makeCurrent",	//376
    "makeOverlayCurrent",	//377
    "map",	//378
    "map$",	//379
    "maxGeometryOutputVertices",	//380
    "metaObject",	//381
    "metric",	//382
    "metric$",	//383
    "minimumSizeHint",	//384
    "minorVersion",	//385
    "mipmap",	//386
    "mouseDoubleClickEvent",	//387
    "mouseMoveEvent",	//388
    "mousePressEvent",	//389
    "mouseReleaseEvent",	//390
    "moveEvent",	//391
    "openGLVersionFlags",	//392
    "operator!=",	//393
    "operator!=#",	//394
    "operator!=##",	//395
    "operator!=#$",	//396
    "operator!=$#",	//397
    "operator&",	//398
    "operator&##",	//399
    "operator*",	//400
    "operator*##",	//401
    "operator*#$",	//402
    "operator*$#",	//403
    "operator+",	//404
    "operator+##",	//405
    "operator+#$",	//406
    "operator+$#",	//407
    "operator+$$",	//408
    "operator-",	//409
    "operator-#",	//410
    "operator-##",	//411
    "operator-#$",	//412
    "operator/",	//413
    "operator/#$",	//414
    "operator<",	//415
    "operator<##",	//416
    "operator<#$",	//417
    "operator<$#",	//418
    "operator<<",	//419
    "operator<<##",	//420
    "operator<<#$",	//421
    "operator<<#?",	//422
    "operator<=",	//423
    "operator<=##",	//424
    "operator<=#$",	//425
    "operator<=$#",	//426
    "operator=",	//427
    "operator=#",	//428
    "operator==",	//429
    "operator==#",	//430
    "operator==##",	//431
    "operator==#$",	//432
    "operator==$#",	//433
    "operator>",	//434
    "operator>##",	//435
    "operator>#$",	//436
    "operator>$#",	//437
    "operator>=",	//438
    "operator>=##",	//439
    "operator>=#$",	//440
    "operator>=$#",	//441
    "operator>>",	//442
    "operator>>##",	//443
    "operator>>#$",	//444
    "operator>>#?",	//445
    "operator^",	//446
    "operator^##",	//447
    "operator|",	//448
    "operator|##",	//449
    "operator|$$",	//450
    "overlayContext",	//451
    "overlayTransparentColor",	//452
    "paintEngine",	//453
    "paintEvent",	//454
    "paintEvent#",	//455
    "paintGL",	//456
    "paintOverlayGL",	//457
    "paletteChange",	//458
    "plane",	//459
    "profile",	//460
    "programId",	//461
    "qAccessibleActionCastHelper",	//462
    "qAccessibleEditableTextCastHelper",	//463
    "qAccessibleImageCastHelper",	//464
    "qAccessibleTable2CastHelper",	//465
    "qAccessibleTableCastHelper",	//466
    "qAccessibleTextCastHelper",	//467
    "qAccessibleValueCastHelper",	//468
    "qAcos",	//469
    "qAcos$",	//470
    "qAddPostRoutine",	//471
    "qAddPostRoutine$",	//472
    "qAlpha",	//473
    "qAlpha$",	//474
    "qAppName",	//475
    "qAsin",	//476
    "qAsin$",	//477
    "qAtan",	//478
    "qAtan$",	//479
    "qAtan2",	//480
    "qAtan2$$",	//481
    "qBadAlloc",	//482
    "qBlue",	//483
    "qBlue$",	//484
    "qCeil",	//485
    "qCeil$",	//486
    "qChecksum",	//487
    "qChecksum$$",	//488
    "qCompress",	//489
    "qCompress#",	//490
    "qCompress#$",	//491
    "qCompress$$",	//492
    "qCompress$$$",	//493
    "qCos",	//494
    "qCos$",	//495
    "qCritical",	//496
    "qDebug",	//497
    "qDrawBorderPixmap",	//498
    "qDrawBorderPixmap####",	//499
    "qDrawBorderPixmap######",	//500
    "qDrawBorderPixmap#######",	//501
    "qDrawBorderPixmap#######$",	//502
    "qDrawPlainRect",	//503
    "qDrawPlainRect###",	//504
    "qDrawPlainRect###$",	//505
    "qDrawPlainRect###$#",	//506
    "qDrawPlainRect#$$$$#",	//507
    "qDrawPlainRect#$$$$#$",	//508
    "qDrawPlainRect#$$$$#$#",	//509
    "qDrawShadeLine",	//510
    "qDrawShadeLine####",	//511
    "qDrawShadeLine####$",	//512
    "qDrawShadeLine####$$",	//513
    "qDrawShadeLine####$$$",	//514
    "qDrawShadeLine#$$$$#",	//515
    "qDrawShadeLine#$$$$#$",	//516
    "qDrawShadeLine#$$$$#$$",	//517
    "qDrawShadeLine#$$$$#$$$",	//518
    "qDrawShadePanel",	//519
    "qDrawShadePanel###",	//520
    "qDrawShadePanel###$",	//521
    "qDrawShadePanel###$$",	//522
    "qDrawShadePanel###$$#",	//523
    "qDrawShadePanel#$$$$#",	//524
    "qDrawShadePanel#$$$$#$",	//525
    "qDrawShadePanel#$$$$#$$",	//526
    "qDrawShadePanel#$$$$#$$#",	//527
    "qDrawShadeRect",	//528
    "qDrawShadeRect###",	//529
    "qDrawShadeRect###$",	//530
    "qDrawShadeRect###$$",	//531
    "qDrawShadeRect###$$$",	//532
    "qDrawShadeRect###$$$#",	//533
    "qDrawShadeRect#$$$$#",	//534
    "qDrawShadeRect#$$$$#$",	//535
    "qDrawShadeRect#$$$$#$$",	//536
    "qDrawShadeRect#$$$$#$$$",	//537
    "qDrawShadeRect#$$$$#$$$#",	//538
    "qDrawWinButton",	//539
    "qDrawWinButton###",	//540
    "qDrawWinButton###$",	//541
    "qDrawWinButton###$#",	//542
    "qDrawWinButton#$$$$#",	//543
    "qDrawWinButton#$$$$#$",	//544
    "qDrawWinButton#$$$$#$#",	//545
    "qDrawWinPanel",	//546
    "qDrawWinPanel###",	//547
    "qDrawWinPanel###$",	//548
    "qDrawWinPanel###$#",	//549
    "qDrawWinPanel#$$$$#",	//550
    "qDrawWinPanel#$$$$#$",	//551
    "qDrawWinPanel#$$$$#$#",	//552
    "qExp",	//553
    "qExp$",	//554
    "qFabs",	//555
    "qFabs$",	//556
    "qFastCos",	//557
    "qFastCos$",	//558
    "qFastSin",	//559
    "qFastSin$",	//560
    "qFlagLocation",	//561
    "qFlagLocation$",	//562
    "qFloor",	//563
    "qFloor$",	//564
    "qFree",	//565
    "qFree$",	//566
    "qFreeAligned",	//567
    "qFreeAligned$",	//568
    "qFuzzyCompare",	//569
    "qFuzzyCompare##",	//570
    "qFuzzyCompare$$",	//571
    "qFuzzyIsNull",	//572
    "qFuzzyIsNull$",	//573
    "qGray",	//574
    "qGray$",	//575
    "qGray$$$",	//576
    "qGreen",	//577
    "qGreen$",	//578
    "qHash",	//579
    "qHash#",	//580
    "qHash$",	//581
    "qInf",	//582
    "qInstallMsgHandler",	//583
    "qInstallMsgHandler$",	//584
    "qIntCast",	//585
    "qIntCast$",	//586
    "qIsFinite",	//587
    "qIsFinite$",	//588
    "qIsGray",	//589
    "qIsGray$",	//590
    "qIsInf",	//591
    "qIsInf$",	//592
    "qIsNaN",	//593
    "qIsNaN$",	//594
    "qIsNull",	//595
    "qIsNull$",	//596
    "qLn",	//597
    "qLn$",	//598
    "qMalloc",	//599
    "qMalloc$",	//600
    "qMallocAligned",	//601
    "qMallocAligned$$",	//602
    "qMemCopy",	//603
    "qMemCopy$$$",	//604
    "qMemSet",	//605
    "qMemSet$$$",	//606
    "qPow",	//607
    "qPow$$",	//608
    "qQNaN",	//609
    "qRealloc",	//610
    "qRealloc$$",	//611
    "qReallocAligned",	//612
    "qReallocAligned$$$$",	//613
    "qRed",	//614
    "qRed$",	//615
    "qRegisterStaticPluginInstanceFunction",	//616
    "qRegisterStaticPluginInstanceFunction#",	//617
    "qRemovePostRoutine",	//618
    "qRemovePostRoutine$",	//619
    "qRgb",	//620
    "qRgb$$$",	//621
    "qRgba",	//622
    "qRgba$$$$",	//623
    "qRound",	//624
    "qRound$",	//625
    "qRound64",	//626
    "qRound64$",	//627
    "qSNaN",	//628
    "qSetFieldWidth",	//629
    "qSetFieldWidth$",	//630
    "qSetPadChar",	//631
    "qSetPadChar#",	//632
    "qSetRealNumberPrecision",	//633
    "qSetRealNumberPrecision$",	//634
    "qSharedBuild",	//635
    "qSin",	//636
    "qSin$",	//637
    "qSqrt",	//638
    "qSqrt$",	//639
    "qStringComparisonHelper",	//640
    "qStringComparisonHelper#$",	//641
    "qTan",	//642
    "qTan$",	//643
    "qUncompress",	//644
    "qUncompress#",	//645
    "qUncompress$$",	//646
    "qVersion",	//647
    "qWarning",	//648
    "qbswap_helper",	//649
    "qbswap_helper$$$",	//650
    "qecvt",	//651
    "qecvt$$$$",	//652
    "qecvt_r",	//653
    "qecvt_r$$$$$$",	//654
    "qfcvt",	//655
    "qfcvt$$$$",	//656
    "qfcvt_r",	//657
    "qfcvt_r$$$$$$",	//658
    "qgcvt",	//659
    "qgcvt$$$",	//660
    "qgetenv",	//661
    "qgetenv$",	//662
    "qglClearColor",	//663
    "qglClearColor#",	//664
    "qglColor",	//665
    "qglColor#",	//666
    "qputenv",	//667
    "qputenv$#",	//668
    "qrand",	//669
    "qsort",	//670
    "qsort$$$$",	//671
    "qsrand",	//672
    "qsrand$",	//673
    "qstrcmp",	//674
    "qstrcmp##",	//675
    "qstrcmp#$",	//676
    "qstrcmp$#",	//677
    "qstrcmp$$",	//678
    "qstrcpy",	//679
    "qstrcpy$$",	//680
    "qstrdup",	//681
    "qstrdup$",	//682
    "qstricmp",	//683
    "qstricmp$$",	//684
    "qstrlen",	//685
    "qstrlen$",	//686
    "qstrncmp",	//687
    "qstrncmp$$$",	//688
    "qstrncpy",	//689
    "qstrncpy$$$",	//690
    "qstrnicmp",	//691
    "qstrnicmp$$$",	//692
    "qstrnlen",	//693
    "qstrnlen$$",	//694
    "qtTrId",	//695
    "qtTrId$",	//696
    "qtTrId$$",	//697
    "qt_assert",	//698
    "qt_assert$$$",	//699
    "qt_assert_x",	//700
    "qt_assert_x$$$$",	//701
    "qt_check_pointer",	//702
    "qt_check_pointer$$",	//703
    "qt_error_string",	//704
    "qt_error_string$",	//705
    "qt_message_output",	//706
    "qt_message_output$$",	//707
    "qt_metacall",	//708
    "qt_metacall$$?",	//709
    "qt_metacast",	//710
    "qt_metacast$",	//711
    "qt_noop",	//712
    "qt_qFindChild_helper",	//713
    "qt_qFindChild_helper#$#",	//714
    "qt_qFindChildren_helper",	//715
    "qt_qFindChildren_helper#$##?",	//716
    "quick_exit",	//717
    "quick_exit$",	//718
    "qvariant_cast_helper",	//719
    "qvariant_cast_helper#$$",	//720
    "qvsnprintf",	//721
    "qvsnprintf$$$?",	//722
    "read",	//723
    "read$$$",	//724
    "redBufferSize",	//725
    "release",	//726
    "release$",	//727
    "releaseFromDynamicTexture",	//728
    "removeAllShaders",	//729
    "removeShader",	//730
    "removeShader#",	//731
    "renderPixmap",	//732
    "renderPixmap$",	//733
    "renderPixmap$$",	//734
    "renderPixmap$$$",	//735
    "renderText",	//736
    "renderText$$$",	//737
    "renderText$$$#",	//738
    "renderText$$$#$",	//739
    "renderText$$$$",	//740
    "renderText$$$$#",	//741
    "renderText$$$$#$",	//742
    "requestedFormat",	//743
    "reset",	//744
    "resizeEvent",	//745
    "resizeEvent#",	//746
    "resizeGL",	//747
    "resizeGL$$",	//748
    "resizeOverlayGL",	//749
    "resizeOverlayGL$$",	//750
    "rgba",	//751
    "sampleBuffers",	//752
    "samples",	//753
    "setAccum",	//754
    "setAccum$",	//755
    "setAccumBufferSize",	//756
    "setAccumBufferSize$",	//757
    "setAlpha",	//758
    "setAlpha$",	//759
    "setAlphaBufferSize",	//760
    "setAlphaBufferSize$",	//761
    "setAttachment",	//762
    "setAttachment$",	//763
    "setAttributeArray",	//764
    "setAttributeArray$#",	//765
    "setAttributeArray$#$",	//766
    "setAttributeArray$$$",	//767
    "setAttributeArray$$$$",	//768
    "setAttributeArray$$$$$",	//769
    "setAttributeBuffer",	//770
    "setAttributeBuffer$$$$",	//771
    "setAttributeBuffer$$$$$",	//772
    "setAttributeValue",	//773
    "setAttributeValue$#",	//774
    "setAttributeValue$$",	//775
    "setAttributeValue$$$",	//776
    "setAttributeValue$$$$",	//777
    "setAttributeValue$$$$$",	//778
    "setAutoBufferSwap",	//779
    "setAutoBufferSwap$",	//780
    "setBlueBufferSize",	//781
    "setBlueBufferSize$",	//782
    "setColormap",	//783
    "setColormap#",	//784
    "setContext",	//785
    "setContext#",	//786
    "setContext##",	//787
    "setContext##$",	//788
    "setCurrentCtx",	//789
    "setCurrentCtx#",	//790
    "setDefaultFormat",	//791
    "setDefaultFormat#",	//792
    "setDefaultOverlayFormat",	//793
    "setDefaultOverlayFormat#",	//794
    "setDepth",	//795
    "setDepth$",	//796
    "setDepthBufferSize",	//797
    "setDepthBufferSize$",	//798
    "setDevice",	//799
    "setDevice#",	//800
    "setDirectRendering",	//801
    "setDirectRendering$",	//802
    "setDoubleBuffer",	//803
    "setDoubleBuffer$",	//804
    "setEntries",	//805
    "setEntries$$",	//806
    "setEntries$$$",	//807
    "setEntry",	//808
    "setEntry$#",	//809
    "setEntry$$",	//810
    "setFormat",	//811
    "setFormat#",	//812
    "setGeometryInputType",	//813
    "setGeometryInputType$",	//814
    "setGeometryOutputType",	//815
    "setGeometryOutputType$",	//816
    "setGeometryOutputVertexCount",	//817
    "setGeometryOutputVertexCount$",	//818
    "setGreenBufferSize",	//819
    "setGreenBufferSize$",	//820
    "setHandle",	//821
    "setHandle$",	//822
    "setInitialized",	//823
    "setInitialized$",	//824
    "setInternalTextureFormat",	//825
    "setInternalTextureFormat$",	//826
    "setMipmap",	//827
    "setMipmap$",	//828
    "setMouseTracking",	//829
    "setMouseTracking$",	//830
    "setOption",	//831
    "setOption$",	//832
    "setOverlay",	//833
    "setOverlay$",	//834
    "setPlane",	//835
    "setPlane$",	//836
    "setPreferredPaintEngine",	//837
    "setPreferredPaintEngine$",	//838
    "setProfile",	//839
    "setProfile$",	//840
    "setRedBufferSize",	//841
    "setRedBufferSize$",	//842
    "setRgba",	//843
    "setRgba$",	//844
    "setSampleBuffers",	//845
    "setSampleBuffers$",	//846
    "setSamples",	//847
    "setSamples$",	//848
    "setStencil",	//849
    "setStencil$",	//850
    "setStencilBufferSize",	//851
    "setStencilBufferSize$",	//852
    "setStereo",	//853
    "setStereo$",	//854
    "setSwapInterval",	//855
    "setSwapInterval$",	//856
    "setTextureCacheLimit",	//857
    "setTextureCacheLimit$",	//858
    "setTextureTarget",	//859
    "setTextureTarget$",	//860
    "setUniformValue",	//861
    "setUniformValue$#",	//862
    "setUniformValue$$",	//863
    "setUniformValue$$$",	//864
    "setUniformValue$$$$",	//865
    "setUniformValue$$$$$",	//866
    "setUniformValue$?",	//867
    "setUniformValueArray",	//868
    "setUniformValueArray$#$",	//869
    "setUniformValueArray$$$",	//870
    "setUniformValueArray$$$$",	//871
    "setUniformValueArray$?$",	//872
    "setUsagePattern",	//873
    "setUsagePattern$",	//874
    "setValid",	//875
    "setValid$",	//876
    "setVersion",	//877
    "setVersion$$",	//878
    "setVisible",	//879
    "setWindowCreated",	//880
    "setWindowCreated$",	//881
    "shaderId",	//882
    "shaderType",	//883
    "shaders",	//884
    "showEvent",	//885
    "size",	//886
    "sizeHint",	//887
    "sourceCode",	//888
    "staticMetaObject",	//889
    "stencil",	//890
    "stencilBufferSize",	//891
    "stereo",	//892
    "styleChange",	//893
    "swapBuffers",	//894
    "swapInterval",	//895
    "tabletEvent",	//896
    "testOption",	//897
    "testOption$",	//898
    "texture",	//899
    "textureCacheLimit",	//900
    "textureTarget",	//901
    "timerEvent",	//902
    "toImage",	//903
    "tr",	//904
    "tr$",	//905
    "tr$$",	//906
    "tr$$$",	//907
    "trUtf8",	//908
    "trUtf8$",	//909
    "trUtf8$$",	//910
    "trUtf8$$$",	//911
    "tryVisual",	//912
    "tryVisual#",	//913
    "tryVisual#$",	//914
    "type",	//915
    "uniformLocation",	//916
    "uniformLocation#",	//917
    "uniformLocation$",	//918
    "unmap",	//919
    "updateDynamicTexture",	//920
    "updateDynamicTexture$",	//921
    "updateGL",	//922
    "updateOverlayGL",	//923
    "usagePattern",	//924
    "wheelEvent",	//925
    "windowActivationChange",	//926
    "windowCreated",	//927
    "write",	//928
    "write$$$",	//929
    "x11Event",	//930
    "~QGLBuffer",	//931
    "~QGLColormap",	//932
    "~QGLContext",	//933
    "~QGLFormat",	//934
    "~QGLFramebufferObject",	//935
    "~QGLFramebufferObjectFormat",	//936
    "~QGLPixelBuffer",	//937
    "~QGLShader",	//938
    "~QGLShaderProgram",	//939
    "~QGLWidget",	//940
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 837, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {26, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 2},	//2 QGL::DoubleBuffer (enum)
    {26, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 3},	//3 QGL::DepthBuffer (enum)
    {26, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 4},	//4 QGL::Rgba (enum)
    {26, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 5},	//5 QGL::AlphaChannel (enum)
    {26, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 6},	//6 QGL::AccumBuffer (enum)
    {26, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 7},	//7 QGL::StencilBuffer (enum)
    {26, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 8},	//8 QGL::StereoBuffers (enum)
    {26, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 9},	//9 QGL::DirectRendering (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 10},	//10 QGL::HasOverlay (enum)
    {26, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 11},	//11 QGL::SampleBuffers (enum)
    {26, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 12},	//12 QGL::DeprecatedFunctions (enum)
    {26, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 13},	//13 QGL::SingleBuffer (enum)
    {26, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 14},	//14 QGL::NoDepthBuffer (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 15},	//15 QGL::ColorIndex (enum)
    {26, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 16},	//16 QGL::NoAlphaChannel (enum)
    {26, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 17},	//17 QGL::NoAccumBuffer (enum)
    {26, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 18},	//18 QGL::NoStencilBuffer (enum)
    {26, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 19},	//19 QGL::NoStereoBuffers (enum)
    {26, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 20},	//20 QGL::IndirectRendering (enum)
    {26, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 21},	//21 QGL::NoOverlay (enum)
    {26, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 22},	//22 QGL::NoSampleBuffers (enum)
    {26, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 23},	//23 QGL::NoDeprecatedFunctions (enum)
    {27, 62, 0, 0, Smoke::mf_ctor, 140, 1},	//24 QGLBuffer::QGLBuffer()
    {27, 62, 3, 1, Smoke::mf_ctor, 140, 2},	//25 QGLBuffer::QGLBuffer(QGLBuffer::Type)
    {27, 62, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 140, 3},	//26 QGLBuffer::QGLBuffer(const QGLBuffer&)
    {27, 427, 5, 1, 0, 139, 4},	//27 QGLBuffer::operator=(const QGLBuffer&)
    {27, 915, 0, 0, Smoke::mf_const, 142, 5},	//28 QGLBuffer::type() const
    {27, 924, 0, 0, Smoke::mf_const, 143, 6},	//29 QGLBuffer::usagePattern() const
    {27, 873, 7, 1, 0, 0, 7},	//30 QGLBuffer::setUsagePattern(QGLBuffer::UsagePattern)
    {27, 277, 0, 0, 0, 382, 8},	//31 QGLBuffer::create()
    {27, 364, 0, 0, Smoke::mf_const, 382, 9},	//32 QGLBuffer::isCreated() const
    {27, 288, 0, 0, 0, 0, 10},	//33 QGLBuffer::destroy()
    {27, 239, 0, 0, 0, 382, 11},	//34 QGLBuffer::bind()
    {27, 726, 0, 0, 0, 0, 12},	//35 QGLBuffer::release()
    {27, 726, 3, 1, Smoke::mf_static, 0, 13},	//36 QGLBuffer::release(QGLBuffer::Type)
    {27, 257, 0, 0, Smoke::mf_const, 515, 14},	//37 QGLBuffer::bufferId() const
    {27, 886, 0, 0, Smoke::mf_const, 504, 15},	//38 QGLBuffer::size() const
    {27, 723, 9, 3, 0, 382, 16},	//39 QGLBuffer::read(int, void*, int)
    {27, 928, 13, 3, 0, 0, 17},	//40 QGLBuffer::write(int, const void*, int)
    {27, 227, 17, 2, 0, 0, 18},	//41 QGLBuffer::allocate(const void*, int)
    {27, 227, 20, 1, 0, 0, 19},	//42 QGLBuffer::allocate(int)
    {27, 378, 22, 1, 0, 522, 20},	//43 QGLBuffer::map(QGLBuffer::Access)
    {27, 919, 0, 0, 0, 382, 21},	//44 QGLBuffer::unmap()
    {27, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 22},	//45 QGLBuffer::VertexBuffer (enum)
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 23},	//46 QGLBuffer::IndexBuffer (enum)
    {27, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 24},	//47 QGLBuffer::PixelPackBuffer (enum)
    {27, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 25},	//48 QGLBuffer::PixelUnpackBuffer (enum)
    {27, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 26},	//49 QGLBuffer::StreamDraw (enum)
    {27, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 27},	//50 QGLBuffer::StreamRead (enum)
    {27, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 28},	//51 QGLBuffer::StreamCopy (enum)
    {27, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 29},	//52 QGLBuffer::StaticDraw (enum)
    {27, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 30},	//53 QGLBuffer::StaticRead (enum)
    {27, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 31},	//54 QGLBuffer::StaticCopy (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 32},	//55 QGLBuffer::DynamicDraw (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 33},	//56 QGLBuffer::DynamicRead (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 34},	//57 QGLBuffer::DynamicCopy (enum)
    {27, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 35},	//58 QGLBuffer::ReadOnly (enum)
    {27, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 36},	//59 QGLBuffer::WriteOnly (enum)
    {27, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 37},	//60 QGLBuffer::ReadWrite (enum)
    {27, 931, 0, 0, Smoke::mf_dtor, 0, 38 },	//61 QGLBuffer::~QGLBuffer()
    {28, 65, 0, 0, Smoke::mf_ctor, 145, 1},	//62 QGLColormap::QGLColormap()
    {28, 65, 24, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 2},	//63 QGLColormap::QGLColormap(const QGLColormap&)
    {28, 427, 24, 1, 0, 144, 3},	//64 QGLColormap::operator=(const QGLColormap&)
    {28, 365, 0, 0, Smoke::mf_const, 382, 4},	//65 QGLColormap::isEmpty() const
    {28, 886, 0, 0, Smoke::mf_const, 504, 5},	//66 QGLColormap::size() const
    {28, 289, 0, 0, 0, 0, 6},	//67 QGLColormap::detach()
    {28, 805, 26, 3, 0, 0, 7},	//68 QGLColormap::setEntries(int, const unsigned int*, int)
    {28, 808, 30, 2, 0, 0, 8},	//69 QGLColormap::setEntry(int, unsigned int)
    {28, 808, 33, 2, 0, 0, 9},	//70 QGLColormap::setEntry(int, const QColor&)
    {28, 312, 20, 1, Smoke::mf_const, 515, 10},	//71 QGLColormap::entryRgb(int) const
    {28, 310, 20, 1, Smoke::mf_const, 26, 11},	//72 QGLColormap::entryColor(int) const
    {28, 317, 36, 1, Smoke::mf_const, 504, 12},	//73 QGLColormap::find(unsigned int) const
    {28, 319, 36, 1, Smoke::mf_const, 504, 13},	//74 QGLColormap::findNearest(unsigned int) const
    {28, 342, 0, 0, Smoke::mf_protected, 516, 14},	//75 QGLColormap::handle()
    {28, 821, 38, 1, Smoke::mf_protected, 0, 15},	//76 QGLColormap::setHandle(unsigned long)
    {28, 805, 40, 2, 0, 0, 16},	//77 QGLColormap::setEntries(int, const unsigned int*)
    {28, 932, 0, 0, Smoke::mf_dtor, 0, 17 },	//78 QGLColormap::~QGLColormap()
    {29, 67, 43, 2, Smoke::mf_ctor, 146, 1},	//79 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {29, 67, 46, 1, Smoke::mf_ctor, 146, 2},	//80 QGLContext::QGLContext(const QGLFormat&)
    {29, 277, 48, 1, Smoke::mf_virtual, 382, 3},	//81 QGLContext::create(const QGLContext*)
    {29, 368, 0, 0, Smoke::mf_const, 382, 4},	//82 QGLContext::isValid() const
    {29, 367, 0, 0, Smoke::mf_const, 382, 5},	//83 QGLContext::isSharing() const
    {29, 744, 0, 0, 0, 0, 6},	//84 QGLContext::reset()
    {29, 232, 50, 2, Smoke::mf_static, 382, 7},	//85 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {29, 328, 0, 0, Smoke::mf_const, 148, 8},	//86 QGLContext::format() const
    {29, 743, 0, 0, Smoke::mf_const, 148, 9},	//87 QGLContext::requestedFormat() const
    {29, 811, 46, 1, 0, 0, 10},	//88 QGLContext::setFormat(const QGLFormat&)
    {29, 376, 0, 0, Smoke::mf_virtual, 0, 11},	//89 QGLContext::makeCurrent()
    {29, 297, 0, 0, Smoke::mf_virtual, 0, 12},	//90 QGLContext::doneCurrent()
    {29, 894, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//91 QGLContext::swapBuffers() const
    {29, 244, 53, 4, 0, 515, 14},	//92 QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {29, 244, 58, 4, 0, 515, 15},	//93 QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {29, 244, 63, 3, 0, 515, 16},	//94 QGLContext::bindTexture(const QImage&, unsigned int, int)
    {29, 244, 67, 3, 0, 515, 17},	//95 QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    {29, 244, 71, 1, 0, 515, 18},	//96 QGLContext::bindTexture(const QString&)
    {29, 284, 36, 1, 0, 0, 19},	//97 QGLContext::deleteTexture(unsigned int)
    {29, 302, 73, 3, 0, 0, 20},	//98 QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    {29, 302, 77, 3, 0, 0, 21},	//99 QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    {29, 857, 20, 1, Smoke::mf_static, 0, 22},	//100 QGLContext::setTextureCacheLimit(int)
    {29, 900, 0, 0, Smoke::mf_static, 504, 23},	//101 QGLContext::textureCacheLimit()
    {29, 335, 71, 1, Smoke::mf_const, 522, 24},	//102 QGLContext::getProcAddress(const QString&) const
    {29, 291, 0, 0, Smoke::mf_const, 209, 25},	//103 QGLContext::device() const
    {29, 452, 0, 0, Smoke::mf_const, 26, 26},	//104 QGLContext::overlayTransparentColor() const
    {29, 279, 0, 0, Smoke::mf_static, 401, 27},	//105 QGLContext::currentContext()
    {29, 260, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 28},	//106 QGLContext::chooseContext(const QGLContext*)
    {29, 912, 81, 2, Smoke::mf_protected|Smoke::mf_virtual, 522, 29},	//107 QGLContext::tryVisual(const QGLFormat&, int)
    {29, 262, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 522, 30},	//108 QGLContext::chooseVisual()
    {29, 292, 0, 0, Smoke::mf_const|Smoke::mf_protected, 382, 31},	//109 QGLContext::deviceIsPixmap() const
    {29, 927, 0, 0, Smoke::mf_const|Smoke::mf_protected, 382, 32},	//110 QGLContext::windowCreated() const
    {29, 880, 84, 1, Smoke::mf_protected, 0, 33},	//111 QGLContext::setWindowCreated(bool)
    {29, 358, 0, 0, Smoke::mf_const|Smoke::mf_protected, 382, 34},	//112 QGLContext::initialized() const
    {29, 823, 84, 1, Smoke::mf_protected, 0, 35},	//113 QGLContext::setInitialized(bool)
    {29, 330, 86, 2, Smoke::mf_protected, 0, 36},	//114 QGLContext::generateFontDisplayLists(const QFont&, int)
    {29, 264, 89, 1, Smoke::mf_const|Smoke::mf_protected, 515, 37},	//115 QGLContext::colorIndex(const QColor&) const
    {29, 875, 84, 1, Smoke::mf_protected, 0, 38},	//116 QGLContext::setValid(bool)
    {29, 799, 91, 1, Smoke::mf_protected, 0, 39},	//117 QGLContext::setDevice(QPaintDevice*)
    {29, 277, 0, 0, 0, 382, 40},	//118 QGLContext::create()
    {29, 244, 93, 1, 0, 515, 41},	//119 QGLContext::bindTexture(const QImage&)
    {29, 244, 95, 2, 0, 515, 42},	//120 QGLContext::bindTexture(const QImage&, unsigned int)
    {29, 244, 98, 1, 0, 515, 43},	//121 QGLContext::bindTexture(const QPixmap&)
    {29, 244, 100, 2, 0, 515, 44},	//122 QGLContext::bindTexture(const QPixmap&, unsigned int)
    {29, 302, 103, 2, 0, 0, 45},	//123 QGLContext::drawTexture(const QRectF&, unsigned int)
    {29, 302, 106, 2, 0, 0, 46},	//124 QGLContext::drawTexture(const QPointF&, unsigned int)
    {29, 260, 0, 0, Smoke::mf_protected, 382, 47},	//125 QGLContext::chooseContext()
    {29, 912, 46, 1, Smoke::mf_protected, 522, 48},	//126 QGLContext::tryVisual(const QGLFormat&)
    {29, 280, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 146, 49},	//127 QGLContext::currentCtx() const
    {29, 789, 109, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//128 QGLContext::setCurrentCtx(QGLContext*)
    {29, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 51},	//129 QGLContext::NoBindOption (enum)
    {29, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 52},	//130 QGLContext::InvertedYBindOption (enum)
    {29, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 53},	//131 QGLContext::MipmapBindOption (enum)
    {29, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 54},	//132 QGLContext::PremultipliedAlphaBindOption (enum)
    {29, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 55},	//133 QGLContext::LinearFilteringBindOption (enum)
    {29, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 56},	//134 QGLContext::MemoryManagedBindOption (enum)
    {29, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 57},	//135 QGLContext::CanFlipNativePixmapBindOption (enum)
    {29, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 58},	//136 QGLContext::DefaultBindOption (enum)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 59},	//137 QGLContext::InternalBindOption (enum)
    {29, 933, 0, 0, Smoke::mf_dtor, 0, 60 },	//138 QGLContext::~QGLContext()
    {30, 70, 0, 0, Smoke::mf_ctor, 150, 1},	//139 QGLFormat::QGLFormat()
    {30, 70, 111, 2, Smoke::mf_ctor, 150, 2},	//140 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {30, 70, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 3},	//141 QGLFormat::QGLFormat(const QGLFormat&)
    {30, 427, 46, 1, 0, 149, 4},	//142 QGLFormat::operator=(const QGLFormat&)
    {30, 797, 20, 1, 0, 0, 5},	//143 QGLFormat::setDepthBufferSize(int)
    {30, 287, 0, 0, Smoke::mf_const, 504, 6},	//144 QGLFormat::depthBufferSize() const
    {30, 756, 20, 1, 0, 0, 7},	//145 QGLFormat::setAccumBufferSize(int)
    {30, 218, 0, 0, Smoke::mf_const, 504, 8},	//146 QGLFormat::accumBufferSize() const
    {30, 841, 20, 1, 0, 0, 9},	//147 QGLFormat::setRedBufferSize(int)
    {30, 725, 0, 0, Smoke::mf_const, 504, 10},	//148 QGLFormat::redBufferSize() const
    {30, 819, 20, 1, 0, 0, 11},	//149 QGLFormat::setGreenBufferSize(int)
    {30, 341, 0, 0, Smoke::mf_const, 504, 12},	//150 QGLFormat::greenBufferSize() const
    {30, 781, 20, 1, 0, 0, 13},	//151 QGLFormat::setBlueBufferSize(int)
    {30, 256, 0, 0, Smoke::mf_const, 504, 14},	//152 QGLFormat::blueBufferSize() const
    {30, 760, 20, 1, 0, 0, 15},	//153 QGLFormat::setAlphaBufferSize(int)
    {30, 231, 0, 0, Smoke::mf_const, 504, 16},	//154 QGLFormat::alphaBufferSize() const
    {30, 851, 20, 1, 0, 0, 17},	//155 QGLFormat::setStencilBufferSize(int)
    {30, 891, 0, 0, Smoke::mf_const, 504, 18},	//156 QGLFormat::stencilBufferSize() const
    {30, 845, 84, 1, 0, 0, 19},	//157 QGLFormat::setSampleBuffers(bool)
    {30, 752, 0, 0, Smoke::mf_const, 382, 20},	//158 QGLFormat::sampleBuffers() const
    {30, 847, 20, 1, 0, 0, 21},	//159 QGLFormat::setSamples(int)
    {30, 753, 0, 0, Smoke::mf_const, 504, 22},	//160 QGLFormat::samples() const
    {30, 855, 20, 1, 0, 0, 23},	//161 QGLFormat::setSwapInterval(int)
    {30, 895, 0, 0, Smoke::mf_const, 504, 24},	//162 QGLFormat::swapInterval() const
    {30, 298, 0, 0, Smoke::mf_const, 382, 25},	//163 QGLFormat::doubleBuffer() const
    {30, 803, 84, 1, 0, 0, 26},	//164 QGLFormat::setDoubleBuffer(bool)
    {30, 286, 0, 0, Smoke::mf_const, 382, 27},	//165 QGLFormat::depth() const
    {30, 795, 84, 1, 0, 0, 28},	//166 QGLFormat::setDepth(bool)
    {30, 751, 0, 0, Smoke::mf_const, 382, 29},	//167 QGLFormat::rgba() const
    {30, 843, 84, 1, 0, 0, 30},	//168 QGLFormat::setRgba(bool)
    {30, 230, 0, 0, Smoke::mf_const, 382, 31},	//169 QGLFormat::alpha() const
    {30, 758, 84, 1, 0, 0, 32},	//170 QGLFormat::setAlpha(bool)
    {30, 217, 0, 0, Smoke::mf_const, 382, 33},	//171 QGLFormat::accum() const
    {30, 754, 84, 1, 0, 0, 34},	//172 QGLFormat::setAccum(bool)
    {30, 890, 0, 0, Smoke::mf_const, 382, 35},	//173 QGLFormat::stencil() const
    {30, 849, 84, 1, 0, 0, 36},	//174 QGLFormat::setStencil(bool)
    {30, 892, 0, 0, Smoke::mf_const, 382, 37},	//175 QGLFormat::stereo() const
    {30, 853, 84, 1, 0, 0, 38},	//176 QGLFormat::setStereo(bool)
    {30, 293, 0, 0, Smoke::mf_const, 382, 39},	//177 QGLFormat::directRendering() const
    {30, 801, 84, 1, 0, 0, 40},	//178 QGLFormat::setDirectRendering(bool)
    {30, 353, 0, 0, Smoke::mf_const, 382, 41},	//179 QGLFormat::hasOverlay() const
    {30, 833, 84, 1, 0, 0, 42},	//180 QGLFormat::setOverlay(bool)
    {30, 459, 0, 0, Smoke::mf_const, 504, 43},	//181 QGLFormat::plane() const
    {30, 835, 20, 1, 0, 0, 44},	//182 QGLFormat::setPlane(int)
    {30, 831, 114, 1, 0, 0, 45},	//183 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {30, 897, 114, 1, Smoke::mf_const, 382, 46},	//184 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {30, 282, 0, 0, Smoke::mf_static, 148, 47},	//185 QGLFormat::defaultFormat()
    {30, 791, 46, 1, Smoke::mf_static, 0, 48},	//186 QGLFormat::setDefaultFormat(const QGLFormat&)
    {30, 283, 0, 0, Smoke::mf_static, 148, 49},	//187 QGLFormat::defaultOverlayFormat()
    {30, 793, 46, 1, Smoke::mf_static, 0, 50},	//188 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {30, 343, 0, 0, Smoke::mf_static, 382, 51},	//189 QGLFormat::hasOpenGL()
    {30, 346, 0, 0, Smoke::mf_static, 382, 52},	//190 QGLFormat::hasOpenGLOverlays()
    {30, 877, 116, 2, 0, 0, 53},	//191 QGLFormat::setVersion(int, int)
    {30, 375, 0, 0, Smoke::mf_const, 504, 54},	//192 QGLFormat::majorVersion() const
    {30, 385, 0, 0, Smoke::mf_const, 504, 55},	//193 QGLFormat::minorVersion() const
    {30, 839, 119, 1, 0, 0, 56},	//194 QGLFormat::setProfile(QGLFormat::OpenGLContextProfile)
    {30, 460, 0, 0, Smoke::mf_const, 151, 57},	//195 QGLFormat::profile() const
    {30, 392, 0, 0, Smoke::mf_static, 72, 58},	//196 QGLFormat::openGLVersionFlags()
    {30, 70, 114, 1, Smoke::mf_ctor, 150, 59},	//197 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {30, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 60},	//198 QGLFormat::NoProfile (enum)
    {30, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 61},	//199 QGLFormat::CoreProfile (enum)
    {30, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 62},	//200 QGLFormat::CompatibilityProfile (enum)
    {30, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 63},	//201 QGLFormat::OpenGL_Version_None (enum)
    {30, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 64},	//202 QGLFormat::OpenGL_Version_1_1 (enum)
    {30, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 65},	//203 QGLFormat::OpenGL_Version_1_2 (enum)
    {30, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 66},	//204 QGLFormat::OpenGL_Version_1_3 (enum)
    {30, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 67},	//205 QGLFormat::OpenGL_Version_1_4 (enum)
    {30, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 68},	//206 QGLFormat::OpenGL_Version_1_5 (enum)
    {30, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 69},	//207 QGLFormat::OpenGL_Version_2_0 (enum)
    {30, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 70},	//208 QGLFormat::OpenGL_Version_2_1 (enum)
    {30, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 71},	//209 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {30, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 72},	//210 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {30, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 73},	//211 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {30, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 74},	//212 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {30, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 75},	//213 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {30, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 76},	//214 QGLFormat::OpenGL_Version_3_0 (enum)
    {30, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 77},	//215 QGLFormat::OpenGL_Version_3_1 (enum)
    {30, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 78},	//216 QGLFormat::OpenGL_Version_3_2 (enum)
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 79},	//217 QGLFormat::OpenGL_Version_3_3 (enum)
    {30, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 80},	//218 QGLFormat::OpenGL_Version_4_0 (enum)
    {30, 934, 0, 0, Smoke::mf_dtor, 0, 81 },	//219 QGLFormat::~QGLFormat()
    {31, 74, 121, 2, Smoke::mf_ctor, 153, 1},	//220 QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    {31, 74, 124, 3, Smoke::mf_ctor, 153, 2},	//221 QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    {31, 74, 128, 4, Smoke::mf_ctor, 153, 3},	//222 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 74, 133, 5, Smoke::mf_ctor, 153, 4},	//223 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 74, 139, 2, Smoke::mf_ctor, 153, 5},	//224 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {31, 74, 142, 3, Smoke::mf_ctor, 153, 6},	//225 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {31, 328, 0, 0, Smoke::mf_const, 155, 7},	//226 QGLFramebufferObject::format() const
    {31, 368, 0, 0, Smoke::mf_const, 382, 8},	//227 QGLFramebufferObject::isValid() const
    {31, 362, 0, 0, Smoke::mf_const, 382, 9},	//228 QGLFramebufferObject::isBound() const
    {31, 239, 0, 0, 0, 382, 10},	//229 QGLFramebufferObject::bind()
    {31, 726, 0, 0, 0, 382, 11},	//230 QGLFramebufferObject::release()
    {31, 899, 0, 0, Smoke::mf_const, 515, 12},	//231 QGLFramebufferObject::texture() const
    {31, 886, 0, 0, Smoke::mf_const, 242, 13},	//232 QGLFramebufferObject::size() const
    {31, 903, 0, 0, Smoke::mf_const, 177, 14},	//233 QGLFramebufferObject::toImage() const
    {31, 234, 0, 0, Smoke::mf_const, 154, 15},	//234 QGLFramebufferObject::attachment() const
    {31, 453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 211, 16},	//235 QGLFramebufferObject::paintEngine() const
    {31, 342, 0, 0, Smoke::mf_const, 515, 17},	//236 QGLFramebufferObject::handle() const
    {31, 243, 0, 0, Smoke::mf_static, 382, 18},	//237 QGLFramebufferObject::bindDefault()
    {31, 345, 0, 0, Smoke::mf_static, 382, 19},	//238 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {31, 302, 73, 3, 0, 0, 20},	//239 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    {31, 302, 77, 3, 0, 0, 21},	//240 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    {31, 344, 0, 0, Smoke::mf_static, 382, 22},	//241 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {31, 252, 146, 6, Smoke::mf_static, 0, 23},	//242 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int)
    {31, 382, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 504, 24},	//243 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 290, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 504, 25},	//244 QGLFramebufferObject::devType() const
    {31, 74, 155, 1, Smoke::mf_ctor, 153, 26},	//245 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {31, 74, 116, 2, Smoke::mf_ctor, 153, 27},	//246 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {31, 74, 157, 2, Smoke::mf_ctor, 153, 28},	//247 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {31, 74, 160, 3, Smoke::mf_ctor, 153, 29},	//248 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int)
    {31, 74, 164, 3, Smoke::mf_ctor, 153, 30},	//249 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {31, 74, 168, 4, Smoke::mf_ctor, 153, 31},	//250 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int)
    {31, 302, 103, 2, 0, 0, 32},	//251 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    {31, 302, 106, 2, 0, 0, 33},	//252 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    {31, 252, 173, 4, Smoke::mf_static, 0, 34},	//253 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {31, 252, 178, 5, Smoke::mf_static, 0, 35},	//254 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int)
    {31, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 36},	//255 QGLFramebufferObject::NoAttachment (enum)
    {31, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 37},	//256 QGLFramebufferObject::CombinedDepthStencil (enum)
    {31, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 38},	//257 QGLFramebufferObject::Depth (enum)
    {31, 935, 0, 0, Smoke::mf_dtor, 0, 39 },	//258 QGLFramebufferObject::~QGLFramebufferObject()
    {32, 85, 0, 0, Smoke::mf_ctor, 157, 1},	//259 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {32, 85, 184, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 157, 2},	//260 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {32, 427, 184, 1, 0, 156, 3},	//261 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {32, 847, 20, 1, 0, 0, 4},	//262 QGLFramebufferObjectFormat::setSamples(int)
    {32, 753, 0, 0, Smoke::mf_const, 504, 5},	//263 QGLFramebufferObjectFormat::samples() const
    {32, 827, 84, 1, 0, 0, 6},	//264 QGLFramebufferObjectFormat::setMipmap(bool)
    {32, 386, 0, 0, Smoke::mf_const, 382, 7},	//265 QGLFramebufferObjectFormat::mipmap() const
    {32, 762, 186, 1, 0, 0, 8},	//266 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {32, 234, 0, 0, Smoke::mf_const, 154, 9},	//267 QGLFramebufferObjectFormat::attachment() const
    {32, 859, 36, 1, 0, 0, 10},	//268 QGLFramebufferObjectFormat::setTextureTarget(unsigned int)
    {32, 901, 0, 0, Smoke::mf_const, 515, 11},	//269 QGLFramebufferObjectFormat::textureTarget() const
    {32, 825, 36, 1, 0, 0, 12},	//270 QGLFramebufferObjectFormat::setInternalTextureFormat(unsigned int)
    {32, 361, 0, 0, Smoke::mf_const, 515, 13},	//271 QGLFramebufferObjectFormat::internalTextureFormat() const
    {32, 429, 184, 1, Smoke::mf_const, 382, 14},	//272 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {32, 393, 184, 1, Smoke::mf_const, 382, 15},	//273 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {32, 936, 0, 0, Smoke::mf_dtor, 0, 16 },	//274 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {33, 87, 188, 3, Smoke::mf_ctor, 159, 1},	//275 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {33, 87, 192, 4, Smoke::mf_ctor, 159, 2},	//276 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {33, 368, 0, 0, Smoke::mf_const, 382, 3},	//277 QGLPixelBuffer::isValid() const
    {33, 376, 0, 0, 0, 382, 4},	//278 QGLPixelBuffer::makeCurrent()
    {33, 297, 0, 0, 0, 382, 5},	//279 QGLPixelBuffer::doneCurrent()
    {33, 329, 0, 0, Smoke::mf_const, 515, 6},	//280 QGLPixelBuffer::generateDynamicTexture() const
    {33, 250, 36, 1, 0, 382, 7},	//281 QGLPixelBuffer::bindToDynamicTexture(unsigned int)
    {33, 728, 0, 0, 0, 0, 8},	//282 QGLPixelBuffer::releaseFromDynamicTexture()
    {33, 920, 36, 1, Smoke::mf_const, 0, 9},	//283 QGLPixelBuffer::updateDynamicTexture(unsigned int) const
    {33, 244, 95, 2, 0, 515, 10},	//284 QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    {33, 244, 100, 2, 0, 515, 11},	//285 QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    {33, 244, 71, 1, 0, 515, 12},	//286 QGLPixelBuffer::bindTexture(const QString&)
    {33, 284, 36, 1, 0, 0, 13},	//287 QGLPixelBuffer::deleteTexture(unsigned int)
    {33, 302, 73, 3, 0, 0, 14},	//288 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    {33, 302, 77, 3, 0, 0, 15},	//289 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    {33, 886, 0, 0, Smoke::mf_const, 242, 16},	//290 QGLPixelBuffer::size() const
    {33, 342, 0, 0, Smoke::mf_const, 516, 17},	//291 QGLPixelBuffer::handle() const
    {33, 903, 0, 0, Smoke::mf_const, 177, 18},	//292 QGLPixelBuffer::toImage() const
    {33, 453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 211, 19},	//293 QGLPixelBuffer::paintEngine() const
    {33, 328, 0, 0, Smoke::mf_const, 148, 20},	//294 QGLPixelBuffer::format() const
    {33, 347, 0, 0, Smoke::mf_static, 382, 21},	//295 QGLPixelBuffer::hasOpenGLPbuffers()
    {33, 382, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 504, 22},	//296 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {33, 290, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 504, 23},	//297 QGLPixelBuffer::devType() const
    {33, 87, 155, 1, Smoke::mf_ctor, 159, 24},	//298 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {33, 87, 197, 2, Smoke::mf_ctor, 159, 25},	//299 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {33, 87, 116, 2, Smoke::mf_ctor, 159, 26},	//300 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {33, 87, 200, 3, Smoke::mf_ctor, 159, 27},	//301 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {33, 244, 93, 1, 0, 515, 28},	//302 QGLPixelBuffer::bindTexture(const QImage&)
    {33, 244, 98, 1, 0, 515, 29},	//303 QGLPixelBuffer::bindTexture(const QPixmap&)
    {33, 302, 103, 2, 0, 0, 30},	//304 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    {33, 302, 106, 2, 0, 0, 31},	//305 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    {33, 937, 0, 0, Smoke::mf_dtor, 0, 32 },	//306 QGLPixelBuffer::~QGLPixelBuffer()
    {34, 381, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//307 QGLShader::metaObject() const
    {34, 710, 204, 1, Smoke::mf_virtual, 522, 2},	//308 QGLShader::qt_metacast(const char*)
    {34, 904, 206, 2, Smoke::mf_static, 249, 3},	//309 QGLShader::tr(const char*, const char*)
    {34, 908, 206, 2, Smoke::mf_static, 249, 4},	//310 QGLShader::trUtf8(const char*, const char*)
    {34, 904, 209, 3, Smoke::mf_static, 249, 5},	//311 QGLShader::tr(const char*, const char*, int)
    {34, 908, 209, 3, Smoke::mf_static, 249, 6},	//312 QGLShader::trUtf8(const char*, const char*, int)
    {34, 708, 213, 3, Smoke::mf_virtual, 504, 7},	//313 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {34, 94, 217, 2, Smoke::mf_ctor, 160, 8},	//314 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {34, 94, 220, 3, Smoke::mf_ctor, 160, 9},	//315 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {34, 883, 0, 0, Smoke::mf_const, 74, 10},	//316 QGLShader::shaderType() const
    {34, 267, 204, 1, 0, 382, 11},	//317 QGLShader::compileSourceCode(const char*)
    {34, 267, 224, 1, 0, 382, 12},	//318 QGLShader::compileSourceCode(const QByteArray&)
    {34, 267, 71, 1, 0, 382, 13},	//319 QGLShader::compileSourceCode(const QString&)
    {34, 270, 71, 1, 0, 382, 14},	//320 QGLShader::compileSourceFile(const QString&)
    {34, 888, 0, 0, Smoke::mf_const, 20, 15},	//321 QGLShader::sourceCode() const
    {34, 363, 0, 0, Smoke::mf_const, 382, 16},	//322 QGLShader::isCompiled() const
    {34, 374, 0, 0, Smoke::mf_const, 249, 17},	//323 QGLShader::log() const
    {34, 882, 0, 0, Smoke::mf_const, 515, 18},	//324 QGLShader::shaderId() const
    {34, 350, 226, 2, Smoke::mf_static, 382, 19},	//325 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 904, 204, 1, Smoke::mf_static, 249, 20},	//326 QGLShader::tr(const char*)
    {34, 908, 204, 1, Smoke::mf_static, 249, 21},	//327 QGLShader::trUtf8(const char*)
    {34, 94, 229, 1, Smoke::mf_ctor, 160, 22},	//328 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {34, 94, 226, 2, Smoke::mf_ctor, 160, 23},	//329 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 350, 229, 1, Smoke::mf_static, 382, 24},	//330 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>)
    {34, 889, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 25},	//331 QGLShader::staticMetaObject() const
    {34, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 26},	//332 QGLShader::Vertex (enum)
    {34, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 27},	//333 QGLShader::Fragment (enum)
    {34, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 28},	//334 QGLShader::Geometry (enum)
    {34, 938, 0, 0, Smoke::mf_dtor, 0, 29 },	//335 QGLShader::~QGLShader()
    {35, 381, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//336 QGLShaderProgram::metaObject() const
    {35, 710, 204, 1, Smoke::mf_virtual, 522, 2},	//337 QGLShaderProgram::qt_metacast(const char*)
    {35, 904, 206, 2, Smoke::mf_static, 249, 3},	//338 QGLShaderProgram::tr(const char*, const char*)
    {35, 908, 206, 2, Smoke::mf_static, 249, 4},	//339 QGLShaderProgram::trUtf8(const char*, const char*)
    {35, 904, 209, 3, Smoke::mf_static, 249, 5},	//340 QGLShaderProgram::tr(const char*, const char*, int)
    {35, 908, 209, 3, Smoke::mf_static, 249, 6},	//341 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {35, 708, 213, 3, Smoke::mf_virtual, 504, 7},	//342 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {35, 98, 231, 1, Smoke::mf_ctor, 162, 8},	//343 QGLShaderProgram::QGLShaderProgram(QObject*)
    {35, 98, 233, 2, Smoke::mf_ctor, 162, 9},	//344 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {35, 220, 236, 1, 0, 382, 10},	//345 QGLShaderProgram::addShader(QGLShader*)
    {35, 730, 236, 1, 0, 0, 11},	//346 QGLShaderProgram::removeShader(QGLShader*)
    {35, 884, 0, 0, Smoke::mf_const, 192, 12},	//347 QGLShaderProgram::shaders() const
    {35, 222, 238, 2, 0, 382, 13},	//348 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {35, 222, 241, 2, 0, 382, 14},	//349 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {35, 222, 244, 2, 0, 382, 15},	//350 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 225, 244, 2, 0, 382, 16},	//351 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 729, 0, 0, 0, 0, 17},	//352 QGLShaderProgram::removeAllShaders()
    {35, 373, 0, 0, Smoke::mf_virtual, 382, 18},	//353 QGLShaderProgram::link()
    {35, 366, 0, 0, Smoke::mf_const, 382, 19},	//354 QGLShaderProgram::isLinked() const
    {35, 374, 0, 0, Smoke::mf_const, 249, 20},	//355 QGLShaderProgram::log() const
    {35, 239, 0, 0, 0, 382, 21},	//356 QGLShaderProgram::bind()
    {35, 726, 0, 0, 0, 0, 22},	//357 QGLShaderProgram::release()
    {35, 461, 0, 0, Smoke::mf_const, 515, 23},	//358 QGLShaderProgram::programId() const
    {35, 380, 0, 0, Smoke::mf_const, 504, 24},	//359 QGLShaderProgram::maxGeometryOutputVertices() const
    {35, 817, 20, 1, 0, 0, 25},	//360 QGLShaderProgram::setGeometryOutputVertexCount(int)
    {35, 334, 0, 0, Smoke::mf_const, 504, 26},	//361 QGLShaderProgram::geometryOutputVertexCount() const
    {35, 813, 36, 1, 0, 0, 27},	//362 QGLShaderProgram::setGeometryInputType(unsigned int)
    {35, 332, 0, 0, Smoke::mf_const, 515, 28},	//363 QGLShaderProgram::geometryInputType() const
    {35, 815, 36, 1, 0, 0, 29},	//364 QGLShaderProgram::setGeometryOutputType(unsigned int)
    {35, 333, 0, 0, Smoke::mf_const, 515, 30},	//365 QGLShaderProgram::geometryOutputType() const
    {35, 240, 247, 2, 0, 0, 31},	//366 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {35, 240, 250, 2, 0, 0, 32},	//367 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {35, 240, 253, 2, 0, 0, 33},	//368 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {35, 235, 204, 1, Smoke::mf_const, 504, 34},	//369 QGLShaderProgram::attributeLocation(const char*) const
    {35, 235, 224, 1, Smoke::mf_const, 504, 35},	//370 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {35, 235, 71, 1, Smoke::mf_const, 504, 36},	//371 QGLShaderProgram::attributeLocation(const QString&) const
    {35, 773, 256, 2, 0, 0, 37},	//372 QGLShaderProgram::setAttributeValue(int, float)
    {35, 773, 259, 3, 0, 0, 38},	//373 QGLShaderProgram::setAttributeValue(int, float, float)
    {35, 773, 263, 4, 0, 0, 39},	//374 QGLShaderProgram::setAttributeValue(int, float, float, float)
    {35, 773, 268, 5, 0, 0, 40},	//375 QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    {35, 773, 274, 2, 0, 0, 41},	//376 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {35, 773, 277, 2, 0, 0, 42},	//377 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {35, 773, 280, 2, 0, 0, 43},	//378 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {35, 773, 33, 2, 0, 0, 44},	//379 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {35, 773, 283, 4, 0, 0, 45},	//380 QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    {35, 773, 288, 2, 0, 0, 46},	//381 QGLShaderProgram::setAttributeValue(const char*, float)
    {35, 773, 291, 3, 0, 0, 47},	//382 QGLShaderProgram::setAttributeValue(const char*, float, float)
    {35, 773, 295, 4, 0, 0, 48},	//383 QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    {35, 773, 300, 5, 0, 0, 49},	//384 QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    {35, 773, 306, 2, 0, 0, 50},	//385 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {35, 773, 309, 2, 0, 0, 51},	//386 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {35, 773, 312, 2, 0, 0, 52},	//387 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {35, 773, 315, 2, 0, 0, 53},	//388 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {35, 773, 318, 4, 0, 0, 54},	//389 QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    {35, 764, 283, 4, 0, 0, 55},	//390 QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    {35, 764, 323, 3, 0, 0, 56},	//391 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {35, 764, 327, 3, 0, 0, 57},	//392 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {35, 764, 331, 3, 0, 0, 58},	//393 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {35, 764, 335, 5, 0, 0, 59},	//394 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    {35, 764, 318, 4, 0, 0, 60},	//395 QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    {35, 764, 341, 3, 0, 0, 61},	//396 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {35, 764, 345, 3, 0, 0, 62},	//397 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {35, 764, 349, 3, 0, 0, 63},	//398 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {35, 764, 353, 5, 0, 0, 64},	//399 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    {35, 770, 359, 5, 0, 0, 65},	//400 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    {35, 770, 365, 5, 0, 0, 66},	//401 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    {35, 306, 20, 1, 0, 0, 67},	//402 QGLShaderProgram::enableAttributeArray(int)
    {35, 306, 204, 1, 0, 0, 68},	//403 QGLShaderProgram::enableAttributeArray(const char*)
    {35, 294, 20, 1, 0, 0, 69},	//404 QGLShaderProgram::disableAttributeArray(int)
    {35, 294, 204, 1, 0, 0, 70},	//405 QGLShaderProgram::disableAttributeArray(const char*)
    {35, 916, 204, 1, Smoke::mf_const, 504, 71},	//406 QGLShaderProgram::uniformLocation(const char*) const
    {35, 916, 224, 1, Smoke::mf_const, 504, 72},	//407 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {35, 916, 71, 1, Smoke::mf_const, 504, 73},	//408 QGLShaderProgram::uniformLocation(const QString&) const
    {35, 861, 256, 2, 0, 0, 74},	//409 QGLShaderProgram::setUniformValue(int, float)
    {35, 861, 116, 2, 0, 0, 75},	//410 QGLShaderProgram::setUniformValue(int, int)
    {35, 861, 30, 2, 0, 0, 76},	//411 QGLShaderProgram::setUniformValue(int, unsigned int)
    {35, 861, 259, 3, 0, 0, 77},	//412 QGLShaderProgram::setUniformValue(int, float, float)
    {35, 861, 263, 4, 0, 0, 78},	//413 QGLShaderProgram::setUniformValue(int, float, float, float)
    {35, 861, 268, 5, 0, 0, 79},	//414 QGLShaderProgram::setUniformValue(int, float, float, float, float)
    {35, 861, 274, 2, 0, 0, 80},	//415 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {35, 861, 277, 2, 0, 0, 81},	//416 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {35, 861, 280, 2, 0, 0, 82},	//417 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {35, 861, 33, 2, 0, 0, 83},	//418 QGLShaderProgram::setUniformValue(int, const QColor&)
    {35, 861, 371, 2, 0, 0, 84},	//419 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {35, 861, 374, 2, 0, 0, 85},	//420 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {35, 861, 377, 2, 0, 0, 86},	//421 QGLShaderProgram::setUniformValue(int, const QSize&)
    {35, 861, 380, 2, 0, 0, 87},	//422 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {35, 861, 383, 2, 0, 0, 88},	//423 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {35, 861, 386, 2, 0, 0, 89},	//424 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {35, 861, 389, 2, 0, 0, 90},	//425 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {35, 861, 392, 2, 0, 0, 91},	//426 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {35, 861, 395, 2, 0, 0, 92},	//427 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {35, 861, 398, 2, 0, 0, 93},	//428 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {35, 861, 401, 2, 0, 0, 94},	//429 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {35, 861, 404, 2, 0, 0, 95},	//430 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {35, 861, 407, 2, 0, 0, 96},	//431 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {35, 861, 410, 2, 0, 0, 97},	//432 QGLShaderProgram::setUniformValue(int, const float[2][2])
    {35, 861, 413, 2, 0, 0, 98},	//433 QGLShaderProgram::setUniformValue(int, const float[3][3])
    {35, 861, 416, 2, 0, 0, 99},	//434 QGLShaderProgram::setUniformValue(int, const float[4][4])
    {35, 861, 419, 2, 0, 0, 100},	//435 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {35, 861, 288, 2, 0, 0, 101},	//436 QGLShaderProgram::setUniformValue(const char*, float)
    {35, 861, 247, 2, 0, 0, 102},	//437 QGLShaderProgram::setUniformValue(const char*, int)
    {35, 861, 422, 2, 0, 0, 103},	//438 QGLShaderProgram::setUniformValue(const char*, unsigned int)
    {35, 861, 291, 3, 0, 0, 104},	//439 QGLShaderProgram::setUniformValue(const char*, float, float)
    {35, 861, 295, 4, 0, 0, 105},	//440 QGLShaderProgram::setUniformValue(const char*, float, float, float)
    {35, 861, 300, 5, 0, 0, 106},	//441 QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    {35, 861, 306, 2, 0, 0, 107},	//442 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {35, 861, 309, 2, 0, 0, 108},	//443 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {35, 861, 312, 2, 0, 0, 109},	//444 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {35, 861, 315, 2, 0, 0, 110},	//445 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {35, 861, 425, 2, 0, 0, 111},	//446 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {35, 861, 428, 2, 0, 0, 112},	//447 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {35, 861, 431, 2, 0, 0, 113},	//448 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {35, 861, 434, 2, 0, 0, 114},	//449 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {35, 861, 437, 2, 0, 0, 115},	//450 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {35, 861, 440, 2, 0, 0, 116},	//451 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {35, 861, 443, 2, 0, 0, 117},	//452 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {35, 861, 446, 2, 0, 0, 118},	//453 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {35, 861, 449, 2, 0, 0, 119},	//454 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {35, 861, 452, 2, 0, 0, 120},	//455 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {35, 861, 455, 2, 0, 0, 121},	//456 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {35, 861, 458, 2, 0, 0, 122},	//457 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {35, 861, 461, 2, 0, 0, 123},	//458 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {35, 861, 464, 2, 0, 0, 124},	//459 QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    {35, 861, 467, 2, 0, 0, 125},	//460 QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    {35, 861, 470, 2, 0, 0, 126},	//461 QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    {35, 861, 473, 2, 0, 0, 127},	//462 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {35, 868, 283, 4, 0, 0, 128},	//463 QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    {35, 868, 476, 3, 0, 0, 129},	//464 QGLShaderProgram::setUniformValueArray(int, const int*, int)
    {35, 868, 26, 3, 0, 0, 130},	//465 QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    {35, 868, 323, 3, 0, 0, 131},	//466 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {35, 868, 327, 3, 0, 0, 132},	//467 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {35, 868, 331, 3, 0, 0, 133},	//468 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {35, 868, 480, 3, 0, 0, 134},	//469 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {35, 868, 484, 3, 0, 0, 135},	//470 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {35, 868, 488, 3, 0, 0, 136},	//471 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {35, 868, 492, 3, 0, 0, 137},	//472 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {35, 868, 496, 3, 0, 0, 138},	//473 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {35, 868, 500, 3, 0, 0, 139},	//474 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {35, 868, 504, 3, 0, 0, 140},	//475 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {35, 868, 508, 3, 0, 0, 141},	//476 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {35, 868, 512, 3, 0, 0, 142},	//477 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {35, 868, 318, 4, 0, 0, 143},	//478 QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    {35, 868, 516, 3, 0, 0, 144},	//479 QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    {35, 868, 520, 3, 0, 0, 145},	//480 QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    {35, 868, 341, 3, 0, 0, 146},	//481 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {35, 868, 345, 3, 0, 0, 147},	//482 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {35, 868, 349, 3, 0, 0, 148},	//483 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {35, 868, 524, 3, 0, 0, 149},	//484 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {35, 868, 528, 3, 0, 0, 150},	//485 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {35, 868, 532, 3, 0, 0, 151},	//486 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {35, 868, 536, 3, 0, 0, 152},	//487 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {35, 868, 540, 3, 0, 0, 153},	//488 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {35, 868, 544, 3, 0, 0, 154},	//489 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {35, 868, 548, 3, 0, 0, 155},	//490 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {35, 868, 552, 3, 0, 0, 156},	//491 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {35, 868, 556, 3, 0, 0, 157},	//492 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {35, 348, 48, 1, Smoke::mf_static, 382, 158},	//493 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {35, 904, 204, 1, Smoke::mf_static, 249, 159},	//494 QGLShaderProgram::tr(const char*)
    {35, 908, 204, 1, Smoke::mf_static, 249, 160},	//495 QGLShaderProgram::trUtf8(const char*)
    {35, 98, 0, 0, Smoke::mf_ctor, 162, 161},	//496 QGLShaderProgram::QGLShaderProgram()
    {35, 98, 48, 1, Smoke::mf_ctor, 162, 162},	//497 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {35, 764, 560, 3, 0, 0, 163},	//498 QGLShaderProgram::setAttributeArray(int, const float*, int)
    {35, 764, 564, 2, 0, 0, 164},	//499 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {35, 764, 567, 2, 0, 0, 165},	//500 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {35, 764, 570, 2, 0, 0, 166},	//501 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {35, 764, 573, 4, 0, 0, 167},	//502 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    {35, 764, 578, 3, 0, 0, 168},	//503 QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    {35, 764, 582, 2, 0, 0, 169},	//504 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {35, 764, 585, 2, 0, 0, 170},	//505 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {35, 764, 588, 2, 0, 0, 171},	//506 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {35, 764, 591, 4, 0, 0, 172},	//507 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    {35, 770, 596, 4, 0, 0, 173},	//508 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    {35, 770, 601, 4, 0, 0, 174},	//509 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    {35, 348, 0, 0, Smoke::mf_static, 382, 175},	//510 QGLShaderProgram::hasOpenGLShaderPrograms()
    {35, 889, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 176},	//511 QGLShaderProgram::staticMetaObject() const
    {35, 939, 0, 0, Smoke::mf_dtor, 0, 177 },	//512 QGLShaderProgram::~QGLShaderProgram()
    {36, 381, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//513 QGLWidget::metaObject() const
    {36, 710, 204, 1, Smoke::mf_virtual, 522, 2},	//514 QGLWidget::qt_metacast(const char*)
    {36, 904, 206, 2, Smoke::mf_static, 249, 3},	//515 QGLWidget::tr(const char*, const char*)
    {36, 908, 206, 2, Smoke::mf_static, 249, 4},	//516 QGLWidget::trUtf8(const char*, const char*)
    {36, 904, 209, 3, Smoke::mf_static, 249, 5},	//517 QGLWidget::tr(const char*, const char*, int)
    {36, 908, 209, 3, Smoke::mf_static, 249, 6},	//518 QGLWidget::trUtf8(const char*, const char*, int)
    {36, 708, 213, 3, Smoke::mf_virtual, 504, 7},	//519 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {36, 101, 606, 3, Smoke::mf_ctor, 163, 8},	//520 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 101, 610, 4, Smoke::mf_ctor, 163, 9},	//521 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 101, 615, 4, Smoke::mf_ctor, 163, 10},	//522 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 665, 89, 1, Smoke::mf_const, 0, 11},	//523 QGLWidget::qglColor(const QColor&) const
    {36, 663, 89, 1, Smoke::mf_const, 0, 12},	//524 QGLWidget::qglClearColor(const QColor&) const
    {36, 368, 0, 0, Smoke::mf_const, 382, 13},	//525 QGLWidget::isValid() const
    {36, 367, 0, 0, Smoke::mf_const, 382, 14},	//526 QGLWidget::isSharing() const
    {36, 376, 0, 0, 0, 0, 15},	//527 QGLWidget::makeCurrent()
    {36, 297, 0, 0, 0, 0, 16},	//528 QGLWidget::doneCurrent()
    {36, 298, 0, 0, Smoke::mf_const, 382, 17},	//529 QGLWidget::doubleBuffer() const
    {36, 894, 0, 0, 0, 0, 18},	//530 QGLWidget::swapBuffers()
    {36, 328, 0, 0, Smoke::mf_const, 148, 19},	//531 QGLWidget::format() const
    {36, 811, 46, 1, 0, 0, 20},	//532 QGLWidget::setFormat(const QGLFormat&)
    {36, 273, 0, 0, Smoke::mf_const, 401, 21},	//533 QGLWidget::context() const
    {36, 785, 620, 3, 0, 0, 22},	//534 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {36, 732, 624, 3, 0, 224, 23},	//535 QGLWidget::renderPixmap(int, int, bool)
    {36, 339, 84, 1, 0, 177, 24},	//536 QGLWidget::grabFrameBuffer(bool)
    {36, 377, 0, 0, 0, 0, 25},	//537 QGLWidget::makeOverlayCurrent()
    {36, 451, 0, 0, Smoke::mf_const, 401, 26},	//538 QGLWidget::overlayContext() const
    {36, 275, 93, 1, Smoke::mf_static, 177, 27},	//539 QGLWidget::convertToGLFormat(const QImage&)
    {36, 829, 84, 1, 0, 0, 28},	//540 QGLWidget::setMouseTracking(bool)
    {36, 266, 0, 0, Smoke::mf_const, 400, 29},	//541 QGLWidget::colormap() const
    {36, 783, 24, 1, 0, 0, 30},	//542 QGLWidget::setColormap(const QGLColormap&)
    {36, 736, 628, 5, 0, 0, 31},	//543 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {36, 736, 634, 6, 0, 0, 32},	//544 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {36, 453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 211, 33},	//545 QGLWidget::paintEngine() const
    {36, 244, 53, 4, 0, 515, 34},	//546 QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {36, 244, 58, 4, 0, 515, 35},	//547 QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {36, 244, 63, 3, 0, 515, 36},	//548 QGLWidget::bindTexture(const QImage&, unsigned int, int)
    {36, 244, 67, 3, 0, 515, 37},	//549 QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    {36, 244, 71, 1, 0, 515, 38},	//550 QGLWidget::bindTexture(const QString&)
    {36, 284, 36, 1, 0, 0, 39},	//551 QGLWidget::deleteTexture(unsigned int)
    {36, 302, 73, 3, 0, 0, 40},	//552 QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    {36, 302, 77, 3, 0, 0, 41},	//553 QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    {36, 922, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//554 QGLWidget::updateGL()
    {36, 923, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//555 QGLWidget::updateOverlayGL()
    {36, 314, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 44},	//556 QGLWidget::event(QEvent*)
    {36, 356, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//557 QGLWidget::initializeGL()
    {36, 747, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//558 QGLWidget::resizeGL(int, int)
    {36, 456, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//559 QGLWidget::paintGL()
    {36, 357, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//560 QGLWidget::initializeOverlayGL()
    {36, 749, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//561 QGLWidget::resizeOverlayGL(int, int)
    {36, 457, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//562 QGLWidget::paintOverlayGL()
    {36, 779, 84, 1, Smoke::mf_protected, 0, 51},	//563 QGLWidget::setAutoBufferSwap(bool)
    {36, 238, 0, 0, Smoke::mf_const|Smoke::mf_protected, 382, 52},	//564 QGLWidget::autoBufferSwap() const
    {36, 454, 643, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//565 QGLWidget::paintEvent(QPaintEvent*)
    {36, 745, 645, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//566 QGLWidget::resizeEvent(QResizeEvent*)
    {36, 338, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//567 QGLWidget::glInit()
    {36, 337, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//568 QGLWidget::glDraw()
    {36, 325, 86, 2, Smoke::mf_protected, 504, 57},	//569 QGLWidget::fontDisplayListBase(const QFont&, int)
    {36, 904, 204, 1, Smoke::mf_static, 249, 58},	//570 QGLWidget::tr(const char*)
    {36, 908, 204, 1, Smoke::mf_static, 249, 59},	//571 QGLWidget::trUtf8(const char*)
    {36, 101, 0, 0, Smoke::mf_ctor, 163, 60},	//572 QGLWidget::QGLWidget()
    {36, 101, 647, 1, Smoke::mf_ctor, 163, 61},	//573 QGLWidget::QGLWidget(QWidget*)
    {36, 101, 649, 2, Smoke::mf_ctor, 163, 62},	//574 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {36, 101, 109, 1, Smoke::mf_ctor, 163, 63},	//575 QGLWidget::QGLWidget(QGLContext*)
    {36, 101, 652, 2, Smoke::mf_ctor, 163, 64},	//576 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {36, 101, 655, 3, Smoke::mf_ctor, 163, 65},	//577 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {36, 101, 46, 1, Smoke::mf_ctor, 163, 66},	//578 QGLWidget::QGLWidget(const QGLFormat&)
    {36, 101, 659, 2, Smoke::mf_ctor, 163, 67},	//579 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {36, 101, 662, 3, Smoke::mf_ctor, 163, 68},	//580 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {36, 785, 109, 1, 0, 0, 69},	//581 QGLWidget::setContext(QGLContext*)
    {36, 785, 666, 2, 0, 0, 70},	//582 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {36, 732, 0, 0, 0, 224, 71},	//583 QGLWidget::renderPixmap()
    {36, 732, 20, 1, 0, 224, 72},	//584 QGLWidget::renderPixmap(int)
    {36, 732, 116, 2, 0, 224, 73},	//585 QGLWidget::renderPixmap(int, int)
    {36, 339, 0, 0, 0, 177, 74},	//586 QGLWidget::grabFrameBuffer()
    {36, 736, 669, 3, 0, 0, 75},	//587 QGLWidget::renderText(int, int, const QString&)
    {36, 736, 673, 4, 0, 0, 76},	//588 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {36, 736, 678, 4, 0, 0, 77},	//589 QGLWidget::renderText(double, double, double, const QString&)
    {36, 736, 683, 5, 0, 0, 78},	//590 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {36, 244, 93, 1, 0, 515, 79},	//591 QGLWidget::bindTexture(const QImage&)
    {36, 244, 95, 2, 0, 515, 80},	//592 QGLWidget::bindTexture(const QImage&, unsigned int)
    {36, 244, 98, 1, 0, 515, 81},	//593 QGLWidget::bindTexture(const QPixmap&)
    {36, 244, 100, 2, 0, 515, 82},	//594 QGLWidget::bindTexture(const QPixmap&, unsigned int)
    {36, 302, 103, 2, 0, 0, 83},	//595 QGLWidget::drawTexture(const QRectF&, unsigned int)
    {36, 302, 106, 2, 0, 0, 84},	//596 QGLWidget::drawTexture(const QPointF&, unsigned int)
    {36, 325, 689, 1, Smoke::mf_protected, 504, 85},	//597 QGLWidget::fontDisplayListBase(const QFont&)
    {36, 889, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 86},	//598 QGLWidget::staticMetaObject() const
    {36, 940, 0, 0, Smoke::mf_dtor, 0, 87 },	//599 QGLWidget::~QGLWidget()
    {37, 448, 691, 2, Smoke::mf_static, 180, 1},	//600 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {37, 468, 0, 0, Smoke::mf_static, 12, 2},	//601 QGlobalSpace::qAccessibleValueCastHelper()
    {37, 438, 694, 2, Smoke::mf_static, 382, 3},	//602 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {37, 579, 697, 1, Smoke::mf_static, 515, 4},	//603 QGlobalSpace::qHash(unsigned long long)
    {37, 591, 699, 1, Smoke::mf_static, 382, 5},	//604 QGlobalSpace::qIsInf(double)
    {37, 448, 701, 2, Smoke::mf_static, 180, 6},	//605 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {37, 409, 704, 2, Smoke::mf_static, 199, 7},	//606 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {37, 448, 707, 2, Smoke::mf_static, 180, 8},	//607 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {37, 429, 710, 2, Smoke::mf_static, 382, 9},	//608 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {37, 393, 713, 2, Smoke::mf_static, 382, 10},	//609 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {37, 693, 422, 2, Smoke::mf_static, 515, 11},	//610 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {37, 603, 716, 3, Smoke::mf_static, 522, 12},	//611 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {37, 712, 0, 0, Smoke::mf_static, 0, 13},	//612 QGlobalSpace::qt_noop()
    {37, 419, 720, 2, Smoke::mf_static, 35, 14},	//613 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {37, 442, 723, 2, Smoke::mf_static, 31, 15},	//614 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {37, 400, 726, 2, Smoke::mf_static, 228, 16},	//615 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {37, 448, 729, 2, Smoke::mf_static, 92, 17},	//616 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {37, 429, 732, 2, Smoke::mf_static, 382, 18},	//617 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {37, 429, 735, 2, Smoke::mf_static, 382, 19},	//618 QGlobalSpace::operator==(const QSize&, const QSize&)
    {37, 419, 738, 2, Smoke::mf_static, 31, 20},	//619 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {37, 448, 741, 2, Smoke::mf_static, 109, 21},	//620 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {37, 404, 744, 2, Smoke::mf_static, 388, 22},	//621 QGlobalSpace::operator+(const char*, const QByteArray&)
    {37, 442, 747, 2, Smoke::mf_static, 31, 23},	//622 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {37, 448, 750, 2, Smoke::mf_static, 100, 24},	//623 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {37, 448, 753, 2, Smoke::mf_static, 89, 25},	//624 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {37, 448, 756, 2, Smoke::mf_static, 66, 26},	//625 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {37, 442, 759, 2, Smoke::mf_static, 31, 27},	//626 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {37, 674, 744, 2, Smoke::mf_static, 504, 28},	//627 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {37, 429, 762, 2, Smoke::mf_static, 382, 29},	//628 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {37, 419, 765, 2, Smoke::mf_static, 31, 30},	//629 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {37, 480, 768, 2, Smoke::mf_static, 502, 31},	//630 QGlobalSpace::qAtan2(double, double)
    {37, 442, 771, 2, Smoke::mf_static, 31, 32},	//631 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {37, 438, 774, 2, Smoke::mf_static, 382, 33},	//632 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {37, 591, 777, 1, Smoke::mf_static, 382, 34},	//633 QGlobalSpace::qIsInf(float)
    {37, 661, 204, 1, Smoke::mf_static, 20, 35},	//634 QGlobalSpace::qgetenv(const char*)
    {37, 579, 779, 1, Smoke::mf_static, 515, 36},	//635 QGlobalSpace::qHash(signed char)
    {37, 448, 781, 2, Smoke::mf_static, 180, 37},	//636 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {37, 429, 784, 2, Smoke::mf_static, 382, 38},	//637 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {37, 434, 744, 2, Smoke::mf_static, 382, 39},	//638 QGlobalSpace::operator>(const char*, const QByteArray&)
    {37, 448, 787, 2, Smoke::mf_static, 180, 40},	//639 QGlobalSpace::operator|(QFileDialog::Option, int)
    {37, 404, 704, 2, Smoke::mf_static, 199, 41},	//640 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {37, 585, 699, 1, Smoke::mf_static, 504, 42},	//641 QGlobalSpace::qIntCast(double)
    {37, 631, 790, 1, Smoke::mf_static, 280, 43},	//642 QGlobalSpace::qSetPadChar(QChar)
    {37, 419, 792, 2, Smoke::mf_static, 31, 44},	//643 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {37, 448, 795, 2, Smoke::mf_static, 91, 45},	//644 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {37, 448, 798, 2, Smoke::mf_static, 99, 46},	//645 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {37, 400, 801, 2, Smoke::mf_static, 226, 47},	//646 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {37, 419, 804, 2, Smoke::mf_static, 31, 48},	//647 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {37, 419, 807, 2, Smoke::mf_static, 35, 49},	//648 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {37, 448, 810, 2, Smoke::mf_static, 75, 50},	//649 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {37, 429, 813, 2, Smoke::mf_static, 382, 51},	//650 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {37, 400, 816, 2, Smoke::mf_static, 297, 52},	//651 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {37, 429, 819, 2, Smoke::mf_static, 382, 53},	//652 QGlobalSpace::operator==(QChar, QChar)
    {37, 419, 822, 2, Smoke::mf_static, 35, 54},	//653 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {37, 400, 704, 2, Smoke::mf_static, 199, 55},	//654 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {37, 448, 825, 2, Smoke::mf_static, 131, 56},	//655 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {37, 409, 828, 1, Smoke::mf_static, 199, 57},	//656 QGlobalSpace::operator-(const QMatrix4x4&)
    {37, 579, 830, 1, Smoke::mf_static, 515, 58},	//657 QGlobalSpace::qHash(const QUrl&)
    {37, 579, 224, 1, Smoke::mf_static, 515, 59},	//658 QGlobalSpace::qHash(const QByteArray&)
    {37, 448, 832, 2, Smoke::mf_static, 180, 60},	//659 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {37, 400, 835, 2, Smoke::mf_static, 199, 61},	//660 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {37, 419, 838, 2, Smoke::mf_static, 31, 62},	//661 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {37, 419, 841, 2, Smoke::mf_static, 35, 63},	//662 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {37, 442, 844, 2, Smoke::mf_static, 31, 64},	//663 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {37, 415, 819, 2, Smoke::mf_static, 382, 65},	//664 QGlobalSpace::operator<(QChar, QChar)
    {37, 442, 847, 2, Smoke::mf_static, 31, 66},	//665 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {37, 448, 850, 2, Smoke::mf_static, 88, 67},	//666 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {37, 438, 819, 2, Smoke::mf_static, 382, 68},	//667 QGlobalSpace::operator>=(QChar, QChar)
    {37, 393, 853, 2, Smoke::mf_static, 382, 69},	//668 QGlobalSpace::operator!=(QString::Null, const QString&)
    {37, 419, 856, 2, Smoke::mf_static, 35, 70},	//669 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {37, 415, 744, 2, Smoke::mf_static, 382, 71},	//670 QGlobalSpace::operator<(const char*, const QByteArray&)
    {37, 419, 859, 2, Smoke::mf_static, 35, 72},	//671 QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    {37, 448, 862, 2, Smoke::mf_static, 116, 73},	//672 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {37, 448, 865, 2, Smoke::mf_static, 130, 74},	//673 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {37, 674, 206, 2, Smoke::mf_static, 504, 75},	//674 QGlobalSpace::qstrcmp(const char*, const char*)
    {37, 448, 868, 2, Smoke::mf_static, 180, 76},	//675 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {37, 404, 710, 2, Smoke::mf_static, 487, 77},	//676 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {37, 494, 699, 1, Smoke::mf_static, 502, 78},	//677 QGlobalSpace::qCos(double)
    {37, 448, 871, 2, Smoke::mf_static, 87, 79},	//678 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {37, 434, 819, 2, Smoke::mf_static, 382, 80},	//679 QGlobalSpace::operator>(QChar, QChar)
    {37, 448, 874, 2, Smoke::mf_static, 133, 81},	//680 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {37, 400, 877, 2, Smoke::mf_static, 460, 82},	//681 QGlobalSpace::operator*(double, const QSizeF&)
    {37, 635, 0, 0, Smoke::mf_static, 382, 83},	//682 QGlobalSpace::qSharedBuild()
    {37, 429, 880, 2, Smoke::mf_static, 382, 84},	//683 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {37, 448, 883, 2, Smoke::mf_static, 180, 85},	//684 QGlobalSpace::operator|(QDir::Filter, int)
    {37, 448, 886, 2, Smoke::mf_static, 99, 86},	//685 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {37, 393, 694, 2, Smoke::mf_static, 382, 87},	//686 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {37, 409, 889, 2, Smoke::mf_static, 445, 88},	//687 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {37, 463, 0, 0, Smoke::mf_static, 12, 89},	//688 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {37, 419, 892, 2, Smoke::mf_static, 31, 90},	//689 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {37, 448, 895, 2, Smoke::mf_static, 180, 91},	//690 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {37, 448, 898, 2, Smoke::mf_static, 129, 92},	//691 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {37, 448, 901, 2, Smoke::mf_static, 180, 93},	//692 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {37, 409, 904, 2, Smoke::mf_static, 283, 94},	//693 QGlobalSpace::operator-(const QTransform&, double)
    {37, 448, 907, 2, Smoke::mf_static, 52, 95},	//694 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {37, 579, 910, 1, Smoke::mf_static, 515, 96},	//695 QGlobalSpace::qHash(char)
    {37, 400, 710, 2, Smoke::mf_static, 487, 97},	//696 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {37, 448, 912, 2, Smoke::mf_static, 117, 98},	//697 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {37, 393, 732, 2, Smoke::mf_static, 382, 99},	//698 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {37, 448, 915, 2, Smoke::mf_static, 113, 100},	//699 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {37, 448, 918, 2, Smoke::mf_static, 180, 101},	//700 QGlobalSpace::operator|(QTextOption::Flag, int)
    {37, 419, 921, 2, Smoke::mf_static, 35, 102},	//701 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {37, 448, 924, 2, Smoke::mf_static, 180, 103},	//702 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {37, 448, 927, 2, Smoke::mf_static, 180, 104},	//703 QGlobalSpace::operator|(QFile::Permission, int)
    {37, 448, 930, 2, Smoke::mf_static, 75, 105},	//704 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {37, 413, 933, 2, Smoke::mf_static, 445, 106},	//705 QGlobalSpace::operator/(const QPoint&, double)
    {37, 546, 936, 8, Smoke::mf_static, 0, 107},	//706 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 546, 945, 6, Smoke::mf_static, 0, 108},	//707 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 546, 952, 7, Smoke::mf_static, 0, 109},	//708 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 404, 889, 2, Smoke::mf_static, 445, 110},	//709 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {37, 419, 960, 2, Smoke::mf_static, 31, 111},	//710 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {37, 448, 963, 2, Smoke::mf_static, 62, 112},	//711 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {37, 409, 966, 2, Smoke::mf_static, 460, 113},	//712 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {37, 400, 969, 2, Smoke::mf_static, 295, 114},	//713 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {37, 569, 972, 2, Smoke::mf_static, 382, 115},	//714 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {37, 419, 975, 2, Smoke::mf_static, 35, 116},	//715 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {37, 409, 710, 2, Smoke::mf_static, 487, 117},	//716 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {37, 587, 699, 1, Smoke::mf_static, 382, 118},	//717 QGlobalSpace::qIsFinite(double)
    {37, 651, 978, 4, Smoke::mf_static, 384, 119},	//718 QGlobalSpace::qecvt(long double, int, int*, int*)
    {37, 448, 983, 2, Smoke::mf_static, 67, 120},	//719 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {37, 393, 774, 2, Smoke::mf_static, 382, 121},	//720 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {37, 419, 986, 2, Smoke::mf_static, 31, 122},	//721 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {37, 448, 989, 2, Smoke::mf_static, 125, 123},	//722 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {37, 448, 992, 2, Smoke::mf_static, 180, 124},	//723 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {37, 419, 995, 2, Smoke::mf_static, 35, 125},	//724 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {37, 473, 36, 1, Smoke::mf_static, 504, 126},	//725 QGlobalSpace::qAlpha(unsigned int)
    {37, 419, 998, 2, Smoke::mf_static, 35, 127},	//726 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {37, 448, 1001, 2, Smoke::mf_static, 63, 128},	//727 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {37, 574, 1004, 3, Smoke::mf_static, 504, 129},	//728 QGlobalSpace::qGray(int, int, int)
    {37, 448, 1008, 2, Smoke::mf_static, 80, 130},	//729 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {37, 448, 1011, 2, Smoke::mf_static, 71, 131},	//730 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {37, 419, 1014, 2, Smoke::mf_static, 31, 132},	//731 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {37, 448, 1017, 2, Smoke::mf_static, 115, 133},	//732 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {37, 404, 735, 2, Smoke::mf_static, 458, 134},	//733 QGlobalSpace::operator+(const QSize&, const QSize&)
    {37, 448, 1020, 2, Smoke::mf_static, 131, 135},	//734 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {37, 448, 1023, 2, Smoke::mf_static, 122, 136},	//735 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {37, 704, 20, 1, Smoke::mf_static, 249, 137},	//736 QGlobalSpace::qt_error_string(int)
    {37, 704, 0, 0, Smoke::mf_static, 249, 138},	//737 QGlobalSpace::qt_error_string()
    {37, 404, 966, 2, Smoke::mf_static, 460, 139},	//738 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {37, 413, 835, 2, Smoke::mf_static, 199, 140},	//739 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {37, 448, 1026, 2, Smoke::mf_static, 180, 141},	//740 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {37, 448, 1029, 2, Smoke::mf_static, 52, 142},	//741 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {37, 448, 1032, 2, Smoke::mf_static, 180, 143},	//742 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {37, 409, 972, 2, Smoke::mf_static, 490, 144},	//743 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {37, 644, 1035, 2, Smoke::mf_static, 20, 145},	//744 QGlobalSpace::qUncompress(const unsigned char*, int)
    {37, 687, 1038, 3, Smoke::mf_static, 504, 146},	//745 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {37, 642, 699, 1, Smoke::mf_static, 502, 147},	//746 QGlobalSpace::qTan(double)
    {37, 393, 1042, 2, Smoke::mf_static, 382, 148},	//747 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {37, 629, 20, 1, Smoke::mf_static, 280, 149},	//748 QGlobalSpace::qSetFieldWidth(int)
    {37, 429, 1045, 2, Smoke::mf_static, 382, 150},	//749 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {37, 448, 1048, 2, Smoke::mf_static, 102, 151},	//750 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {37, 442, 1051, 2, Smoke::mf_static, 277, 152},	//751 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {37, 579, 1054, 1, Smoke::mf_static, 515, 153},	//752 QGlobalSpace::qHash(const QItemSelectionRange&)
    {37, 448, 1056, 2, Smoke::mf_static, 120, 154},	//753 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {37, 614, 36, 1, Smoke::mf_static, 504, 155},	//754 QGlobalSpace::qRed(unsigned int)
    {37, 400, 904, 2, Smoke::mf_static, 283, 156},	//755 QGlobalSpace::operator*(const QTransform&, double)
    {37, 563, 699, 1, Smoke::mf_static, 504, 157},	//756 QGlobalSpace::qFloor(double)
    {37, 448, 1059, 2, Smoke::mf_static, 94, 158},	//757 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {37, 419, 1062, 2, Smoke::mf_static, 35, 159},	//758 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {37, 442, 1065, 2, Smoke::mf_static, 31, 160},	//759 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {37, 587, 777, 1, Smoke::mf_static, 382, 161},	//760 QGlobalSpace::qIsFinite(float)
    {37, 404, 1068, 2, Smoke::mf_static, 465, 162},	//761 QGlobalSpace::operator+(const QString&, QChar)
    {37, 393, 1071, 2, Smoke::mf_static, 382, 163},	//762 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {37, 400, 972, 2, Smoke::mf_static, 490, 164},	//763 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {37, 448, 1074, 2, Smoke::mf_static, 55, 165},	//764 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {37, 448, 1077, 2, Smoke::mf_static, 180, 166},	//765 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {37, 649, 1080, 3, Smoke::mf_static, 0, 167},	//766 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {37, 404, 774, 2, Smoke::mf_static, 388, 168},	//767 QGlobalSpace::operator+(const QByteArray&, const char*)
    {37, 467, 0, 0, Smoke::mf_static, 12, 169},	//768 QGlobalSpace::qAccessibleTextCastHelper()
    {37, 448, 1084, 2, Smoke::mf_static, 101, 170},	//769 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {37, 448, 1087, 2, Smoke::mf_static, 107, 171},	//770 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {37, 448, 1090, 2, Smoke::mf_static, 128, 172},	//771 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {37, 448, 1093, 2, Smoke::mf_static, 73, 173},	//772 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    {37, 612, 1096, 4, Smoke::mf_static, 522, 174},	//773 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {37, 442, 1101, 2, Smoke::mf_static, 31, 175},	//774 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {37, 419, 1104, 2, Smoke::mf_static, 31, 176},	//775 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {37, 579, 36, 1, Smoke::mf_static, 515, 177},	//776 QGlobalSpace::qHash(unsigned int)
    {37, 569, 880, 2, Smoke::mf_static, 382, 178},	//777 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {37, 448, 1107, 2, Smoke::mf_static, 130, 179},	//778 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {37, 579, 790, 1, Smoke::mf_static, 515, 180},	//779 QGlobalSpace::qHash(QChar)
    {37, 448, 1110, 2, Smoke::mf_static, 109, 181},	//780 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {37, 423, 774, 2, Smoke::mf_static, 382, 182},	//781 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {37, 585, 777, 1, Smoke::mf_static, 504, 183},	//782 QGlobalSpace::qIntCast(float)
    {37, 429, 1113, 2, Smoke::mf_static, 382, 184},	//783 QGlobalSpace::operator==(const QRect&, const QRect&)
    {37, 448, 1116, 2, Smoke::mf_static, 65, 185},	//784 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {37, 446, 1119, 2, Smoke::mf_static, 16, 186},	//785 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {37, 434, 1122, 2, Smoke::mf_static, 382, 187},	//786 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {37, 448, 1125, 2, Smoke::mf_static, 91, 188},	//787 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {37, 610, 1128, 2, Smoke::mf_static, 522, 189},	//788 QGlobalSpace::qRealloc(void*, size_t)
    {37, 579, 71, 1, Smoke::mf_static, 515, 190},	//789 QGlobalSpace::qHash(const QString&)
    {37, 404, 972, 2, Smoke::mf_static, 490, 191},	//790 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {37, 448, 1131, 2, Smoke::mf_static, 95, 192},	//791 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {37, 419, 1134, 2, Smoke::mf_static, 31, 193},	//792 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {37, 419, 1137, 2, Smoke::mf_static, 31, 194},	//793 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {37, 419, 1140, 2, Smoke::mf_static, 35, 195},	//794 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {37, 626, 699, 1, Smoke::mf_static, 509, 196},	//795 QGlobalSpace::qRound64(double)
    {37, 583, 1143, 1, Smoke::mf_static, 521, 197},	//796 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {37, 638, 699, 1, Smoke::mf_static, 502, 198},	//797 QGlobalSpace::qSqrt(double)
    {37, 448, 1145, 2, Smoke::mf_static, 180, 199},	//798 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {37, 579, 1148, 1, Smoke::mf_static, 515, 200},	//799 QGlobalSpace::qHash(const QModelIndex&)
    {37, 448, 1150, 2, Smoke::mf_static, 58, 201},	//800 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {37, 557, 699, 1, Smoke::mf_static, 502, 202},	//801 QGlobalSpace::qFastCos(double)
    {37, 448, 1153, 2, Smoke::mf_static, 106, 203},	//802 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {37, 442, 1156, 2, Smoke::mf_static, 31, 204},	//803 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {37, 419, 1159, 2, Smoke::mf_static, 35, 205},	//804 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {37, 429, 1162, 2, Smoke::mf_static, 382, 206},	//805 QGlobalSpace::operator==(QBool, QBool)
    {37, 448, 1165, 2, Smoke::mf_static, 77, 207},	//806 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {37, 429, 1168, 2, Smoke::mf_static, 382, 208},	//807 QGlobalSpace::operator==(const char*, const QStringRef&)
    {37, 448, 1171, 2, Smoke::mf_static, 180, 209},	//808 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {37, 448, 1174, 2, Smoke::mf_static, 180, 210},	//809 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {37, 593, 777, 1, Smoke::mf_static, 382, 211},	//810 QGlobalSpace::qIsNaN(float)
    {37, 448, 1177, 2, Smoke::mf_static, 180, 212},	//811 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {37, 448, 1180, 2, Smoke::mf_static, 83, 213},	//812 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {37, 448, 1183, 2, Smoke::mf_static, 70, 214},	//813 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {37, 423, 1122, 2, Smoke::mf_static, 382, 215},	//814 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {37, 442, 1186, 2, Smoke::mf_static, 31, 216},	//815 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {37, 561, 204, 1, Smoke::mf_static, 493, 217},	//816 QGlobalSpace::qFlagLocation(const char*)
    {37, 404, 904, 2, Smoke::mf_static, 283, 218},	//817 QGlobalSpace::operator+(const QTransform&, double)
    {37, 400, 1189, 2, Smoke::mf_static, 188, 219},	//818 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {37, 419, 1192, 2, Smoke::mf_static, 35, 220},	//819 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {37, 448, 1195, 2, Smoke::mf_static, 180, 221},	//820 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {37, 593, 699, 1, Smoke::mf_static, 382, 222},	//821 QGlobalSpace::qIsNaN(double)
    {37, 574, 36, 1, Smoke::mf_static, 504, 223},	//822 QGlobalSpace::qGray(unsigned int)
    {37, 404, 1198, 2, Smoke::mf_static, 465, 224},	//823 QGlobalSpace::operator+(QChar, const QString&)
    {37, 448, 1201, 2, Smoke::mf_static, 103, 225},	//824 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {37, 448, 1204, 2, Smoke::mf_static, 180, 226},	//825 QGlobalSpace::operator|(QString::SectionFlag, int)
    {37, 448, 1207, 2, Smoke::mf_static, 180, 227},	//826 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {37, 448, 1210, 2, Smoke::mf_static, 76, 228},	//827 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {37, 448, 1213, 2, Smoke::mf_static, 180, 229},	//828 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {37, 419, 1216, 2, Smoke::mf_static, 35, 230},	//829 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {37, 442, 1219, 2, Smoke::mf_static, 31, 231},	//830 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {37, 698, 209, 3, Smoke::mf_static, 0, 232},	//831 QGlobalSpace::qt_assert(const char*, const char*, int)
    {37, 579, 1222, 1, Smoke::mf_static, 515, 233},	//832 QGlobalSpace::qHash(long long)
    {37, 409, 1224, 1, Smoke::mf_static, 451, 234},	//833 QGlobalSpace::operator-(const QQuaternion&)
    {37, 393, 1226, 2, Smoke::mf_static, 382, 235},	//834 QGlobalSpace::operator!=(const QString&, QString::Null)
    {37, 655, 978, 4, Smoke::mf_static, 384, 236},	//835 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {37, 448, 1229, 2, Smoke::mf_static, 69, 237},	//836 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {37, 569, 1232, 2, Smoke::mf_static, 382, 238},	//837 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {37, 448, 1235, 2, Smoke::mf_static, 180, 239},	//838 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {37, 442, 1238, 2, Smoke::mf_static, 31, 240},	//839 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {37, 448, 1241, 2, Smoke::mf_static, 180, 241},	//840 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {37, 620, 1004, 3, Smoke::mf_static, 515, 242},	//841 QGlobalSpace::qRgb(int, int, int)
    {37, 448, 1244, 2, Smoke::mf_static, 107, 243},	//842 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {37, 393, 813, 2, Smoke::mf_static, 382, 244},	//843 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {37, 400, 1247, 2, Smoke::mf_static, 218, 245},	//844 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {37, 409, 762, 2, Smoke::mf_static, 447, 246},	//845 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {37, 429, 1071, 2, Smoke::mf_static, 382, 247},	//846 QGlobalSpace::operator==(QString::Null, QString::Null)
    {37, 448, 1250, 2, Smoke::mf_static, 123, 248},	//847 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {37, 448, 1253, 2, Smoke::mf_static, 180, 249},	//848 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {37, 448, 1256, 2, Smoke::mf_static, 88, 250},	//849 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {37, 448, 1259, 2, Smoke::mf_static, 117, 251},	//850 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {37, 442, 1262, 2, Smoke::mf_static, 31, 252},	//851 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {37, 415, 1122, 2, Smoke::mf_static, 382, 253},	//852 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {37, 466, 0, 0, Smoke::mf_static, 12, 254},	//853 QGlobalSpace::qAccessibleTableCastHelper()
    {37, 448, 1265, 2, Smoke::mf_static, 133, 255},	//854 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {37, 503, 1268, 8, Smoke::mf_static, 0, 256},	//855 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {37, 503, 1277, 6, Smoke::mf_static, 0, 257},	//856 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {37, 503, 1284, 7, Smoke::mf_static, 0, 258},	//857 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {37, 572, 777, 1, Smoke::mf_static, 382, 259},	//858 QGlobalSpace::qFuzzyIsNull(float)
    {37, 400, 1292, 2, Smoke::mf_static, 451, 260},	//859 QGlobalSpace::operator*(const QQuaternion&, double)
    {37, 448, 1295, 2, Smoke::mf_static, 127, 261},	//860 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {37, 679, 1298, 2, Smoke::mf_static, 384, 262},	//861 QGlobalSpace::qstrcpy(char*, const char*)
    {37, 579, 20, 1, Smoke::mf_static, 515, 263},	//862 QGlobalSpace::qHash(int)
    {37, 448, 1301, 2, Smoke::mf_static, 95, 264},	//863 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {37, 404, 762, 2, Smoke::mf_static, 447, 265},	//864 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {37, 400, 1304, 2, Smoke::mf_static, 238, 266},	//865 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {37, 448, 1307, 2, Smoke::mf_static, 118, 267},	//866 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {37, 429, 966, 2, Smoke::mf_static, 382, 268},	//867 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {37, 409, 1310, 1, Smoke::mf_static, 445, 269},	//868 QGlobalSpace::operator-(const QPoint&)
    {37, 448, 1312, 2, Smoke::mf_static, 180, 270},	//869 QGlobalSpace::operator|(Qt::DropAction, int)
    {37, 419, 1315, 2, Smoke::mf_static, 31, 271},	//870 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {37, 448, 1318, 2, Smoke::mf_static, 180, 272},	//871 QGlobalSpace::operator|(QDir::SortFlag, int)
    {37, 633, 20, 1, Smoke::mf_static, 280, 273},	//872 QGlobalSpace::qSetRealNumberPrecision(int)
    {37, 553, 699, 1, Smoke::mf_static, 502, 274},	//873 QGlobalSpace::qExp(double)
    {37, 429, 1321, 2, Smoke::mf_static, 382, 275},	//874 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {37, 597, 699, 1, Smoke::mf_static, 502, 276},	//875 QGlobalSpace::qLn(double)
    {37, 404, 713, 2, Smoke::mf_static, 484, 277},	//876 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {37, 528, 1324, 7, Smoke::mf_static, 0, 278},	//877 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {37, 528, 1332, 3, Smoke::mf_static, 0, 279},	//878 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {37, 528, 1336, 4, Smoke::mf_static, 0, 280},	//879 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {37, 528, 1341, 5, Smoke::mf_static, 0, 281},	//880 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 528, 1347, 6, Smoke::mf_static, 0, 282},	//881 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {37, 717, 20, 1, Smoke::mf_static, 0, 283},	//882 QGlobalSpace::quick_exit(int)
    {37, 419, 1354, 2, Smoke::mf_static, 31, 284},	//883 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {37, 400, 1357, 2, Smoke::mf_static, 297, 285},	//884 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {37, 448, 1360, 2, Smoke::mf_static, 180, 286},	//885 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {37, 393, 966, 2, Smoke::mf_static, 382, 287},	//886 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {37, 616, 1363, 1, Smoke::mf_static, 0, 288},	//887 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {37, 419, 1365, 2, Smoke::mf_static, 35, 289},	//888 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {37, 419, 1368, 2, Smoke::mf_static, 35, 290},	//889 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {37, 448, 1371, 2, Smoke::mf_static, 63, 291},	//890 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {37, 487, 422, 2, Smoke::mf_static, 518, 292},	//891 QGlobalSpace::qChecksum(const char*, unsigned int)
    {37, 498, 1374, 4, Smoke::mf_static, 0, 293},	//892 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {37, 413, 1379, 2, Smoke::mf_static, 490, 294},	//893 QGlobalSpace::operator/(const QVector4D&, double)
    {37, 419, 1382, 2, Smoke::mf_static, 277, 295},	//894 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {37, 465, 0, 0, Smoke::mf_static, 12, 296},	//895 QGlobalSpace::qAccessibleTable2CastHelper()
    {37, 448, 1385, 2, Smoke::mf_static, 126, 297},	//896 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {37, 599, 1388, 1, Smoke::mf_static, 522, 298},	//897 QGlobalSpace::qMalloc(size_t)
    {37, 609, 0, 0, Smoke::mf_static, 502, 299},	//898 QGlobalSpace::qQNaN()
    {37, 448, 1390, 2, Smoke::mf_static, 119, 300},	//899 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {37, 442, 1393, 2, Smoke::mf_static, 31, 301},	//900 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {37, 667, 744, 2, Smoke::mf_static, 382, 302},	//901 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {37, 448, 1396, 2, Smoke::mf_static, 104, 303},	//902 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {37, 448, 1399, 2, Smoke::mf_static, 85, 304},	//903 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {37, 419, 1402, 2, Smoke::mf_static, 31, 305},	//904 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {37, 419, 1405, 2, Smoke::mf_static, 35, 306},	//905 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {37, 448, 1408, 2, Smoke::mf_static, 180, 307},	//906 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {37, 483, 36, 1, Smoke::mf_static, 504, 308},	//907 QGlobalSpace::qBlue(unsigned int)
    {37, 448, 1411, 2, Smoke::mf_static, 111, 309},	//908 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {37, 400, 713, 2, Smoke::mf_static, 484, 310},	//909 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {37, 419, 1414, 2, Smoke::mf_static, 31, 311},	//910 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {37, 419, 1417, 2, Smoke::mf_static, 31, 312},	//911 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {37, 539, 1420, 5, Smoke::mf_static, 0, 313},	//912 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 539, 1332, 3, Smoke::mf_static, 0, 314},	//913 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {37, 539, 1336, 4, Smoke::mf_static, 0, 315},	//914 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {37, 672, 36, 1, Smoke::mf_static, 0, 316},	//915 QGlobalSpace::qsrand(unsigned int)
    {37, 393, 880, 2, Smoke::mf_static, 382, 317},	//916 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {37, 448, 1426, 2, Smoke::mf_static, 180, 318},	//917 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {37, 579, 1429, 1, Smoke::mf_static, 515, 319},	//918 QGlobalSpace::qHash(long)
    {37, 419, 1431, 2, Smoke::mf_static, 31, 320},	//919 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {37, 400, 371, 2, Smoke::mf_static, 445, 321},	//920 QGlobalSpace::operator*(int, const QPoint&)
    {37, 434, 694, 2, Smoke::mf_static, 382, 322},	//921 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {37, 579, 1434, 1, Smoke::mf_static, 515, 323},	//922 QGlobalSpace::qHash(unsigned short)
    {37, 448, 1436, 2, Smoke::mf_static, 110, 324},	//923 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {37, 442, 1439, 2, Smoke::mf_static, 31, 325},	//924 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {37, 393, 762, 2, Smoke::mf_static, 382, 326},	//925 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {37, 448, 1442, 2, Smoke::mf_static, 92, 327},	//926 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {37, 419, 1445, 2, Smoke::mf_static, 31, 328},	//927 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {37, 448, 1448, 2, Smoke::mf_static, 66, 329},	//928 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {37, 448, 1451, 2, Smoke::mf_static, 84, 330},	//929 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {37, 409, 713, 2, Smoke::mf_static, 484, 331},	//930 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {37, 519, 1454, 6, Smoke::mf_static, 0, 332},	//931 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {37, 519, 1332, 3, Smoke::mf_static, 0, 333},	//932 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {37, 519, 1336, 4, Smoke::mf_static, 0, 334},	//933 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 519, 1341, 5, Smoke::mf_static, 0, 335},	//934 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 691, 1038, 3, Smoke::mf_static, 504, 336},	//935 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {37, 442, 1461, 2, Smoke::mf_static, 31, 337},	//936 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {37, 429, 853, 2, Smoke::mf_static, 382, 338},	//937 QGlobalSpace::operator==(QString::Null, const QString&)
    {37, 442, 1464, 2, Smoke::mf_static, 31, 339},	//938 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {37, 429, 1042, 2, Smoke::mf_static, 382, 340},	//939 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {37, 448, 1467, 2, Smoke::mf_static, 103, 341},	//940 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {37, 448, 1470, 2, Smoke::mf_static, 180, 342},	//941 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {37, 404, 1122, 2, Smoke::mf_static, 388, 343},	//942 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {37, 448, 1473, 2, Smoke::mf_static, 110, 344},	//943 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {37, 579, 1476, 1, Smoke::mf_static, 515, 345},	//944 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {37, 419, 1478, 2, Smoke::mf_static, 35, 346},	//945 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {37, 419, 1481, 2, Smoke::mf_static, 31, 347},	//946 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {37, 419, 1484, 2, Smoke::mf_static, 31, 348},	//947 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {37, 419, 1487, 2, Smoke::mf_static, 31, 349},	//948 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {37, 419, 1490, 2, Smoke::mf_static, 31, 350},	//949 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {37, 442, 1493, 2, Smoke::mf_static, 31, 351},	//950 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {37, 448, 1496, 2, Smoke::mf_static, 74, 352},	//951 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {37, 713, 1499, 3, Smoke::mf_static, 207, 353},	//952 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {37, 519, 1503, 9, Smoke::mf_static, 0, 354},	//953 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {37, 519, 945, 6, Smoke::mf_static, 0, 355},	//954 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 519, 952, 7, Smoke::mf_static, 0, 356},	//955 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 519, 1513, 8, Smoke::mf_static, 0, 357},	//956 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 448, 1522, 2, Smoke::mf_static, 97, 358},	//957 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {37, 442, 1525, 2, Smoke::mf_static, 31, 359},	//958 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {37, 448, 1528, 2, Smoke::mf_static, 180, 360},	//959 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {37, 413, 1531, 2, Smoke::mf_static, 484, 361},	//960 QGlobalSpace::operator/(const QVector2D&, double)
    {37, 448, 1534, 2, Smoke::mf_static, 101, 362},	//961 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {37, 413, 1537, 2, Smoke::mf_static, 447, 363},	//962 QGlobalSpace::operator/(const QPointF&, double)
    {37, 393, 1540, 2, Smoke::mf_static, 382, 364},	//963 QGlobalSpace::operator!=(bool, QBool)
    {37, 448, 1543, 2, Smoke::mf_static, 81, 365},	//964 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {37, 448, 1546, 2, Smoke::mf_static, 85, 366},	//965 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {37, 413, 1549, 2, Smoke::mf_static, 487, 367},	//966 QGlobalSpace::operator/(const QVector3D&, double)
    {37, 448, 1552, 2, Smoke::mf_static, 84, 368},	//967 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {37, 689, 1555, 3, Smoke::mf_static, 384, 369},	//968 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {37, 400, 1559, 2, Smoke::mf_static, 484, 370},	//969 QGlobalSpace::operator*(double, const QVector2D&)
    {37, 409, 1562, 1, Smoke::mf_static, 490, 371},	//970 QGlobalSpace::operator-(const QVector4D&)
    {37, 448, 1564, 2, Smoke::mf_static, 114, 372},	//971 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {37, 442, 1567, 2, Smoke::mf_static, 31, 373},	//972 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {37, 644, 224, 1, Smoke::mf_static, 20, 374},	//973 QGlobalSpace::qUncompress(const QByteArray&)
    {37, 448, 1570, 2, Smoke::mf_static, 104, 375},	//974 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {37, 413, 904, 2, Smoke::mf_static, 283, 376},	//975 QGlobalSpace::operator/(const QTransform&, double)
    {37, 448, 1573, 2, Smoke::mf_static, 180, 377},	//976 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {37, 569, 704, 2, Smoke::mf_static, 382, 378},	//977 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {37, 448, 1576, 2, Smoke::mf_static, 180, 379},	//978 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {37, 419, 1579, 2, Smoke::mf_static, 31, 380},	//979 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {37, 442, 1582, 2, Smoke::mf_static, 31, 381},	//980 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {37, 462, 0, 0, Smoke::mf_static, 12, 382},	//981 QGlobalSpace::qAccessibleActionCastHelper()
    {37, 400, 1585, 2, Smoke::mf_static, 228, 383},	//982 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {37, 448, 1588, 2, Smoke::mf_static, 180, 384},	//983 QGlobalSpace::operator|(Qt::MouseButton, int)
    {37, 442, 1591, 2, Smoke::mf_static, 31, 385},	//984 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {37, 409, 1594, 1, Smoke::mf_static, 447, 386},	//985 QGlobalSpace::operator-(const QPointF&)
    {37, 419, 1596, 2, Smoke::mf_static, 35, 387},	//986 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {37, 448, 1599, 2, Smoke::mf_static, 53, 388},	//987 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {37, 429, 1540, 2, Smoke::mf_static, 382, 389},	//988 QGlobalSpace::operator==(bool, QBool)
    {37, 442, 1602, 2, Smoke::mf_static, 31, 390},	//989 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {37, 448, 1605, 2, Smoke::mf_static, 180, 391},	//990 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {37, 669, 0, 0, Smoke::mf_static, 504, 392},	//991 QGlobalSpace::qrand()
    {37, 448, 1608, 2, Smoke::mf_static, 180, 393},	//992 QGlobalSpace::operator|(QGL::FormatOption, int)
    {37, 419, 1611, 2, Smoke::mf_static, 35, 394},	//993 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {37, 400, 1614, 2, Smoke::mf_static, 232, 395},	//994 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {37, 442, 1617, 2, Smoke::mf_static, 31, 396},	//995 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {37, 448, 1620, 2, Smoke::mf_static, 57, 397},	//996 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {37, 700, 1623, 4, Smoke::mf_static, 0, 398},	//997 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {37, 400, 1628, 2, Smoke::mf_static, 445, 399},	//998 QGlobalSpace::operator*(float, const QPoint&)
    {37, 398, 1119, 2, Smoke::mf_static, 16, 400},	//999 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {37, 438, 744, 2, Smoke::mf_static, 382, 401},	//1000 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {37, 448, 1631, 2, Smoke::mf_static, 67, 402},	//1001 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {37, 448, 1634, 2, Smoke::mf_static, 112, 403},	//1002 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {37, 448, 1637, 2, Smoke::mf_static, 128, 404},	//1003 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {37, 419, 1640, 2, Smoke::mf_static, 31, 405},	//1004 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {37, 569, 1643, 2, Smoke::mf_static, 382, 406},	//1005 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {37, 448, 1646, 2, Smoke::mf_static, 180, 407},	//1006 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {37, 393, 1649, 2, Smoke::mf_static, 382, 408},	//1007 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {37, 622, 1652, 4, Smoke::mf_static, 515, 409},	//1008 QGlobalSpace::qRgba(int, int, int, int)
    {37, 496, 0, 0, Smoke::mf_static, 35, 410},	//1009 QGlobalSpace::qCritical()
    {37, 400, 1379, 2, Smoke::mf_static, 490, 411},	//1010 QGlobalSpace::operator*(const QVector4D&, double)
    {37, 442, 1657, 2, Smoke::mf_static, 31, 412},	//1011 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {37, 419, 1660, 2, Smoke::mf_static, 31, 413},	//1012 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {37, 419, 1663, 2, Smoke::mf_static, 35, 414},	//1013 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {37, 448, 1666, 2, Smoke::mf_static, 122, 415},	//1014 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {37, 393, 744, 2, Smoke::mf_static, 382, 416},	//1015 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {37, 393, 889, 2, Smoke::mf_static, 382, 417},	//1016 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {37, 400, 1669, 2, Smoke::mf_static, 490, 418},	//1017 QGlobalSpace::operator*(double, const QVector4D&)
    {37, 448, 1672, 2, Smoke::mf_static, 180, 419},	//1018 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {37, 448, 1675, 2, Smoke::mf_static, 90, 420},	//1019 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {37, 429, 1649, 2, Smoke::mf_static, 382, 421},	//1020 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {37, 419, 1678, 2, Smoke::mf_static, 31, 422},	//1021 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {37, 419, 1681, 2, Smoke::mf_static, 35, 423},	//1022 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {37, 404, 1684, 2, Smoke::mf_static, 388, 424},	//1023 QGlobalSpace::operator+(const QByteArray&, char)
    {37, 448, 1687, 2, Smoke::mf_static, 62, 425},	//1024 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {37, 448, 1690, 2, Smoke::mf_static, 60, 426},	//1025 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {37, 442, 1693, 2, Smoke::mf_static, 31, 427},	//1026 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {37, 413, 1696, 2, Smoke::mf_static, 460, 428},	//1027 QGlobalSpace::operator/(const QSizeF&, double)
    {37, 429, 972, 2, Smoke::mf_static, 382, 429},	//1028 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {37, 419, 1699, 2, Smoke::mf_static, 31, 430},	//1029 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {37, 448, 1702, 2, Smoke::mf_static, 180, 431},	//1030 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {37, 429, 889, 2, Smoke::mf_static, 382, 432},	//1031 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {37, 471, 1705, 1, Smoke::mf_static, 0, 433},	//1032 QGlobalSpace::qAddPostRoutine(void(*)())
    {37, 489, 1707, 3, Smoke::mf_static, 20, 434},	//1033 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {37, 489, 1035, 2, Smoke::mf_static, 20, 435},	//1034 QGlobalSpace::qCompress(const unsigned char*, int)
    {37, 448, 1711, 2, Smoke::mf_static, 96, 436},	//1035 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {37, 423, 744, 2, Smoke::mf_static, 382, 437},	//1036 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {37, 559, 699, 1, Smoke::mf_static, 502, 438},	//1037 QGlobalSpace::qFastSin(double)
    {37, 423, 694, 2, Smoke::mf_static, 382, 439},	//1038 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {37, 419, 1714, 2, Smoke::mf_static, 31, 440},	//1039 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {37, 442, 1717, 2, Smoke::mf_static, 31, 441},	//1040 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {37, 448, 1720, 2, Smoke::mf_static, 59, 442},	//1041 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {37, 442, 1723, 2, Smoke::mf_static, 31, 443},	//1042 QGlobalSpace::operator>>(QDataStream&, QString&)
    {37, 413, 1292, 2, Smoke::mf_static, 451, 444},	//1043 QGlobalSpace::operator/(const QQuaternion&, double)
    {37, 475, 0, 0, Smoke::mf_static, 249, 445},	//1044 QGlobalSpace::qAppName()
    {37, 647, 0, 0, Smoke::mf_static, 493, 446},	//1045 QGlobalSpace::qVersion()
    {37, 448, 1726, 2, Smoke::mf_static, 98, 447},	//1046 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {37, 419, 1729, 2, Smoke::mf_static, 31, 448},	//1047 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {37, 448, 1732, 2, Smoke::mf_static, 180, 449},	//1048 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {37, 448, 1735, 2, Smoke::mf_static, 73, 450},	//1049 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    {37, 565, 1738, 1, Smoke::mf_static, 0, 451},	//1050 QGlobalSpace::qFree(void*)
    {37, 419, 1740, 2, Smoke::mf_static, 35, 452},	//1051 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 400, 1743, 2, Smoke::mf_static, 190, 453},	//1052 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {37, 419, 1746, 2, Smoke::mf_static, 31, 454},	//1053 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {37, 448, 1749, 2, Smoke::mf_static, 180, 455},	//1054 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {37, 567, 1738, 1, Smoke::mf_static, 0, 456},	//1055 QGlobalSpace::qFreeAligned(void*)
    {37, 442, 1752, 2, Smoke::mf_static, 31, 457},	//1056 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {37, 429, 1226, 2, Smoke::mf_static, 382, 458},	//1057 QGlobalSpace::operator==(const QString&, QString::Null)
    {37, 419, 1755, 2, Smoke::mf_static, 35, 459},	//1058 QGlobalSpace::operator<<(QDebug, const QDir&)
    {37, 419, 1758, 2, Smoke::mf_static, 277, 460},	//1059 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 415, 774, 2, Smoke::mf_static, 382, 461},	//1060 QGlobalSpace::operator<(const QByteArray&, const char*)
    {37, 419, 1761, 2, Smoke::mf_static, 35, 462},	//1061 QGlobalSpace::operator<<(QDebug, const QPen&)
    {37, 400, 1764, 2, Smoke::mf_static, 451, 463},	//1062 QGlobalSpace::operator*(double, const QQuaternion&)
    {37, 400, 1531, 2, Smoke::mf_static, 484, 464},	//1063 QGlobalSpace::operator*(const QVector2D&, double)
    {37, 393, 1767, 2, Smoke::mf_static, 382, 465},	//1064 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {37, 419, 1770, 2, Smoke::mf_static, 35, 466},	//1065 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {37, 393, 972, 2, Smoke::mf_static, 382, 467},	//1066 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {37, 448, 1773, 2, Smoke::mf_static, 78, 468},	//1067 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 419, 1776, 2, Smoke::mf_static, 35, 469},	//1068 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {37, 448, 1779, 2, Smoke::mf_static, 111, 470},	//1069 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {37, 448, 1782, 2, Smoke::mf_static, 65, 471},	//1070 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {37, 400, 1549, 2, Smoke::mf_static, 487, 472},	//1071 QGlobalSpace::operator*(const QVector3D&, double)
    {37, 579, 1785, 1, Smoke::mf_static, 515, 473},	//1072 QGlobalSpace::qHash(const QBitArray&)
    {37, 419, 1787, 2, Smoke::mf_static, 35, 474},	//1073 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {37, 448, 1790, 2, Smoke::mf_static, 83, 475},	//1074 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {37, 419, 1793, 2, Smoke::mf_static, 35, 476},	//1075 QGlobalSpace::operator<<(QDebug, const QTime&)
    {37, 419, 1796, 2, Smoke::mf_static, 277, 477},	//1076 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {37, 485, 699, 1, Smoke::mf_static, 504, 478},	//1077 QGlobalSpace::qCeil(double)
    {37, 419, 1799, 2, Smoke::mf_static, 35, 479},	//1078 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {37, 442, 1802, 2, Smoke::mf_static, 31, 480},	//1079 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {37, 393, 819, 2, Smoke::mf_static, 382, 481},	//1080 QGlobalSpace::operator!=(QChar, QChar)
    {37, 448, 1805, 2, Smoke::mf_static, 121, 482},	//1081 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {37, 640, 1808, 2, Smoke::mf_static, 382, 483},	//1082 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {37, 681, 204, 1, Smoke::mf_static, 384, 484},	//1083 QGlobalSpace::qstrdup(const char*)
    {37, 448, 1811, 2, Smoke::mf_static, 180, 485},	//1084 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {37, 448, 1814, 2, Smoke::mf_static, 96, 486},	//1085 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {37, 464, 0, 0, Smoke::mf_static, 12, 487},	//1086 QGlobalSpace::qAccessibleImageCastHelper()
    {37, 448, 1817, 2, Smoke::mf_static, 116, 488},	//1087 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {37, 442, 1820, 2, Smoke::mf_static, 31, 489},	//1088 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {37, 442, 1823, 2, Smoke::mf_static, 31, 490},	//1089 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {37, 393, 1168, 2, Smoke::mf_static, 382, 491},	//1090 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {37, 442, 1826, 2, Smoke::mf_static, 31, 492},	//1091 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {37, 448, 1829, 2, Smoke::mf_static, 54, 493},	//1092 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {37, 419, 1832, 2, Smoke::mf_static, 31, 494},	//1093 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {37, 448, 1835, 2, Smoke::mf_static, 105, 495},	//1094 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {37, 448, 1838, 2, Smoke::mf_static, 180, 496},	//1095 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {37, 497, 0, 0, Smoke::mf_static, 35, 497},	//1096 QGlobalSpace::qDebug()
    {37, 601, 1841, 2, Smoke::mf_static, 522, 498},	//1097 QGlobalSpace::qMallocAligned(size_t, size_t)
    {37, 448, 1844, 2, Smoke::mf_static, 79, 499},	//1098 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {37, 448, 1847, 2, Smoke::mf_static, 71, 500},	//1099 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {37, 400, 1850, 2, Smoke::mf_static, 226, 501},	//1100 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {37, 393, 1808, 2, Smoke::mf_static, 382, 502},	//1101 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {37, 653, 1853, 6, Smoke::mf_static, 504, 503},	//1102 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {37, 577, 36, 1, Smoke::mf_static, 504, 504},	//1103 QGlobalSpace::qGreen(unsigned int)
    {37, 607, 768, 2, Smoke::mf_static, 502, 505},	//1104 QGlobalSpace::qPow(double, double)
    {37, 419, 1860, 2, Smoke::mf_static, 35, 506},	//1105 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {37, 448, 1863, 2, Smoke::mf_static, 180, 507},	//1106 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {37, 442, 1758, 2, Smoke::mf_static, 277, 508},	//1107 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 404, 1866, 2, Smoke::mf_static, 388, 509},	//1108 QGlobalSpace::operator+(char, const QByteArray&)
    {37, 448, 1869, 2, Smoke::mf_static, 180, 510},	//1109 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {37, 429, 744, 2, Smoke::mf_static, 382, 511},	//1110 QGlobalSpace::operator==(const char*, const QByteArray&)
    {37, 419, 1872, 2, Smoke::mf_static, 31, 512},	//1111 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {37, 448, 1875, 2, Smoke::mf_static, 105, 513},	//1112 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {37, 409, 735, 2, Smoke::mf_static, 458, 514},	//1113 QGlobalSpace::operator-(const QSize&, const QSize&)
    {37, 419, 1878, 2, Smoke::mf_static, 35, 515},	//1114 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {37, 448, 1881, 2, Smoke::mf_static, 56, 516},	//1115 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {37, 448, 1884, 2, Smoke::mf_static, 94, 517},	//1116 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {37, 448, 1887, 2, Smoke::mf_static, 180, 518},	//1117 QGlobalSpace::operator|(Qt::WindowState, int)
    {37, 442, 1890, 2, Smoke::mf_static, 31, 519},	//1118 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {37, 442, 1893, 2, Smoke::mf_static, 31, 520},	//1119 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {37, 448, 1896, 2, Smoke::mf_static, 58, 521},	//1120 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {37, 393, 1321, 2, Smoke::mf_static, 382, 522},	//1121 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {37, 448, 1899, 2, Smoke::mf_static, 112, 523},	//1122 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {37, 419, 1902, 2, Smoke::mf_static, 35, 524},	//1123 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {37, 448, 1905, 2, Smoke::mf_static, 125, 525},	//1124 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {37, 400, 1908, 2, Smoke::mf_static, 447, 526},	//1125 QGlobalSpace::operator*(double, const QPointF&)
    {37, 442, 1911, 2, Smoke::mf_static, 31, 527},	//1126 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {37, 448, 1914, 2, Smoke::mf_static, 120, 528},	//1127 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {37, 400, 1917, 2, Smoke::mf_static, 238, 529},	//1128 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {37, 448, 1920, 2, Smoke::mf_static, 72, 530},	//1129 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {37, 429, 694, 2, Smoke::mf_static, 382, 531},	//1130 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {37, 400, 1923, 2, Smoke::mf_static, 458, 532},	//1131 QGlobalSpace::operator*(const QSize&, double)
    {37, 419, 1926, 2, Smoke::mf_static, 35, 533},	//1132 QGlobalSpace::operator<<(QDebug, const QDate&)
    {37, 569, 713, 2, Smoke::mf_static, 382, 534},	//1133 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {37, 400, 1929, 2, Smoke::mf_static, 218, 535},	//1134 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {37, 448, 1932, 2, Smoke::mf_static, 56, 536},	//1135 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {37, 448, 1935, 2, Smoke::mf_static, 60, 537},	//1136 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {37, 721, 1938, 4, Smoke::mf_static, 504, 538},	//1137 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {37, 429, 1767, 2, Smoke::mf_static, 382, 539},	//1138 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {37, 400, 1943, 2, Smoke::mf_static, 445, 540},	//1139 QGlobalSpace::operator*(double, const QPoint&)
    {37, 400, 1946, 2, Smoke::mf_static, 232, 541},	//1140 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {37, 605, 1949, 3, Smoke::mf_static, 522, 542},	//1141 QGlobalSpace::qMemSet(void*, int, size_t)
    {37, 419, 1953, 2, Smoke::mf_static, 31, 543},	//1142 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {37, 702, 247, 2, Smoke::mf_static, 0, 544},	//1143 QGlobalSpace::qt_check_pointer(const char*, int)
    {37, 546, 1420, 5, Smoke::mf_static, 0, 545},	//1144 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 546, 1332, 3, Smoke::mf_static, 0, 546},	//1145 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {37, 546, 1336, 4, Smoke::mf_static, 0, 547},	//1146 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 579, 1956, 1, Smoke::mf_static, 515, 548},	//1147 QGlobalSpace::qHash(short)
    {37, 448, 1958, 2, Smoke::mf_static, 90, 549},	//1148 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {37, 448, 1961, 2, Smoke::mf_static, 82, 550},	//1149 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {37, 555, 699, 1, Smoke::mf_static, 502, 551},	//1150 QGlobalSpace::qFabs(double)
    {37, 448, 1964, 2, Smoke::mf_static, 119, 552},	//1151 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {37, 448, 1967, 2, Smoke::mf_static, 61, 553},	//1152 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {37, 674, 1122, 2, Smoke::mf_static, 504, 554},	//1153 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {37, 569, 1970, 2, Smoke::mf_static, 382, 555},	//1154 QGlobalSpace::qFuzzyCompare(float, float)
    {37, 429, 1973, 2, Smoke::mf_static, 382, 556},	//1155 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {37, 448, 1976, 2, Smoke::mf_static, 180, 557},	//1156 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {37, 448, 1979, 2, Smoke::mf_static, 86, 558},	//1157 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {37, 657, 1853, 6, Smoke::mf_static, 504, 559},	//1158 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {37, 659, 1982, 3, Smoke::mf_static, 384, 560},	//1159 QGlobalSpace::qgcvt(long double, int, char*)
    {37, 670, 1986, 4, Smoke::mf_static, 0, 561},	//1160 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {37, 448, 1991, 2, Smoke::mf_static, 114, 562},	//1161 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {37, 448, 1994, 2, Smoke::mf_static, 102, 563},	//1162 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {37, 448, 1997, 2, Smoke::mf_static, 81, 564},	//1163 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {37, 469, 699, 1, Smoke::mf_static, 502, 565},	//1164 QGlobalSpace::qAcos(double)
    {37, 448, 2000, 2, Smoke::mf_static, 180, 566},	//1165 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {37, 448, 2003, 2, Smoke::mf_static, 123, 567},	//1166 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {37, 448, 2006, 2, Smoke::mf_static, 180, 568},	//1167 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {37, 419, 2009, 2, Smoke::mf_static, 31, 569},	//1168 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {37, 438, 1122, 2, Smoke::mf_static, 382, 570},	//1169 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {37, 448, 2012, 2, Smoke::mf_static, 180, 571},	//1170 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    {37, 448, 2015, 2, Smoke::mf_static, 93, 572},	//1171 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {37, 442, 2018, 2, Smoke::mf_static, 31, 573},	//1172 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {37, 482, 0, 0, Smoke::mf_static, 0, 574},	//1173 QGlobalSpace::qBadAlloc()
    {37, 419, 2021, 2, Smoke::mf_static, 35, 575},	//1174 QGlobalSpace::operator<<(QDebug, const QLine&)
    {37, 448, 2024, 2, Smoke::mf_static, 129, 576},	//1175 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {37, 528, 2027, 10, Smoke::mf_static, 0, 577},	//1176 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {37, 528, 945, 6, Smoke::mf_static, 0, 578},	//1177 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {37, 528, 952, 7, Smoke::mf_static, 0, 579},	//1178 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 528, 1513, 8, Smoke::mf_static, 0, 580},	//1179 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 528, 2038, 9, Smoke::mf_static, 0, 581},	//1180 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 448, 2048, 2, Smoke::mf_static, 180, 582},	//1181 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {37, 442, 2051, 2, Smoke::mf_static, 31, 583},	//1182 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {37, 419, 2054, 2, Smoke::mf_static, 35, 584},	//1183 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {37, 448, 2057, 2, Smoke::mf_static, 180, 585},	//1184 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {37, 572, 699, 1, Smoke::mf_static, 382, 586},	//1185 QGlobalSpace::qFuzzyIsNull(double)
    {37, 489, 250, 2, Smoke::mf_static, 20, 587},	//1186 QGlobalSpace::qCompress(const QByteArray&, int)
    {37, 489, 224, 1, Smoke::mf_static, 20, 588},	//1187 QGlobalSpace::qCompress(const QByteArray&)
    {37, 419, 2060, 2, Smoke::mf_static, 35, 589},	//1188 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {37, 448, 2063, 2, Smoke::mf_static, 115, 590},	//1189 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {37, 448, 2066, 2, Smoke::mf_static, 180, 591},	//1190 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {37, 448, 2069, 2, Smoke::mf_static, 180, 592},	//1191 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {37, 448, 2072, 2, Smoke::mf_static, 79, 593},	//1192 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {37, 448, 2075, 2, Smoke::mf_static, 180, 594},	//1193 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {37, 448, 2078, 2, Smoke::mf_static, 132, 595},	//1194 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {37, 448, 2081, 2, Smoke::mf_static, 180, 596},	//1195 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {37, 409, 2084, 1, Smoke::mf_static, 484, 597},	//1196 QGlobalSpace::operator-(const QVector2D&)
    {37, 448, 2086, 2, Smoke::mf_static, 51, 598},	//1197 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {37, 419, 2089, 2, Smoke::mf_static, 31, 599},	//1198 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {37, 400, 2092, 2, Smoke::mf_static, 199, 600},	//1199 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {37, 419, 2095, 2, Smoke::mf_static, 31, 601},	//1200 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {37, 510, 2038, 9, Smoke::mf_static, 0, 602},	//1201 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 510, 945, 6, Smoke::mf_static, 0, 603},	//1202 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {37, 510, 952, 7, Smoke::mf_static, 0, 604},	//1203 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 510, 1513, 8, Smoke::mf_static, 0, 605},	//1204 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 448, 2098, 2, Smoke::mf_static, 55, 606},	//1205 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {37, 419, 2101, 2, Smoke::mf_static, 31, 607},	//1206 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {37, 400, 2104, 2, Smoke::mf_static, 188, 608},	//1207 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {37, 419, 2107, 2, Smoke::mf_static, 31, 609},	//1208 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {37, 476, 699, 1, Smoke::mf_static, 502, 610},	//1209 QGlobalSpace::qAsin(double)
    {37, 419, 2110, 2, Smoke::mf_static, 35, 611},	//1210 QGlobalSpace::operator<<(QDebug, const QRect&)
    {37, 419, 2113, 2, Smoke::mf_static, 35, 612},	//1211 QGlobalSpace::operator<<(QDebug, const QFont&)
    {37, 448, 2116, 2, Smoke::mf_static, 61, 613},	//1212 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {37, 448, 2119, 2, Smoke::mf_static, 57, 614},	//1213 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {37, 448, 2122, 2, Smoke::mf_static, 180, 615},	//1214 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {37, 393, 1113, 2, Smoke::mf_static, 382, 616},	//1215 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {37, 636, 699, 1, Smoke::mf_static, 502, 617},	//1216 QGlobalSpace::qSin(double)
    {37, 448, 2125, 2, Smoke::mf_static, 180, 618},	//1217 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {37, 429, 1122, 2, Smoke::mf_static, 382, 619},	//1218 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {37, 442, 2128, 2, Smoke::mf_static, 31, 620},	//1219 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {37, 448, 2131, 2, Smoke::mf_static, 89, 621},	//1220 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {37, 448, 1119, 2, Smoke::mf_static, 16, 622},	//1221 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {37, 419, 2134, 2, Smoke::mf_static, 31, 623},	//1222 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {37, 569, 710, 2, Smoke::mf_static, 382, 624},	//1223 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {37, 539, 936, 8, Smoke::mf_static, 0, 625},	//1224 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 539, 945, 6, Smoke::mf_static, 0, 626},	//1225 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {37, 539, 952, 7, Smoke::mf_static, 0, 627},	//1226 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 419, 2137, 2, Smoke::mf_static, 31, 628},	//1227 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {37, 448, 2140, 2, Smoke::mf_static, 68, 629},	//1228 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {37, 429, 2143, 2, Smoke::mf_static, 382, 630},	//1229 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {37, 448, 2146, 2, Smoke::mf_static, 69, 631},	//1230 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {37, 448, 2149, 2, Smoke::mf_static, 98, 632},	//1231 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {37, 448, 2152, 2, Smoke::mf_static, 180, 633},	//1232 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {37, 442, 2155, 2, Smoke::mf_static, 31, 634},	//1233 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {37, 419, 2158, 2, Smoke::mf_static, 31, 635},	//1234 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {37, 695, 247, 2, Smoke::mf_static, 249, 636},	//1235 QGlobalSpace::qtTrId(const char*, int)
    {37, 695, 204, 1, Smoke::mf_static, 249, 637},	//1236 QGlobalSpace::qtTrId(const char*)
    {37, 448, 2161, 2, Smoke::mf_static, 180, 638},	//1237 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {37, 448, 2164, 2, Smoke::mf_static, 108, 639},	//1238 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {37, 409, 2167, 1, Smoke::mf_static, 487, 640},	//1239 QGlobalSpace::operator-(const QVector3D&)
    {37, 419, 2169, 2, Smoke::mf_static, 35, 641},	//1240 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {37, 423, 819, 2, Smoke::mf_static, 382, 642},	//1241 QGlobalSpace::operator<=(QChar, QChar)
    {37, 448, 2172, 2, Smoke::mf_static, 132, 643},	//1242 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {37, 589, 36, 1, Smoke::mf_static, 382, 644},	//1243 QGlobalSpace::qIsGray(unsigned int)
    {37, 448, 2175, 2, Smoke::mf_static, 77, 645},	//1244 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {37, 393, 1973, 2, Smoke::mf_static, 382, 646},	//1245 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {37, 448, 2178, 2, Smoke::mf_static, 124, 647},	//1246 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {37, 442, 2181, 2, Smoke::mf_static, 31, 648},	//1247 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {37, 442, 2184, 2, Smoke::mf_static, 31, 649},	//1248 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {37, 503, 2187, 5, Smoke::mf_static, 0, 650},	//1249 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {37, 503, 2193, 3, Smoke::mf_static, 0, 651},	//1250 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {37, 503, 2197, 4, Smoke::mf_static, 0, 652},	//1251 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {37, 442, 2202, 2, Smoke::mf_static, 31, 653},	//1252 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {37, 448, 2205, 2, Smoke::mf_static, 78, 654},	//1253 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {37, 448, 2208, 2, Smoke::mf_static, 74, 655},	//1254 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {37, 448, 2211, 2, Smoke::mf_static, 180, 656},	//1255 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {37, 400, 2214, 2, Smoke::mf_static, 445, 657},	//1256 QGlobalSpace::operator*(const QPoint&, int)
    {37, 442, 2217, 2, Smoke::mf_static, 31, 658},	//1257 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {37, 448, 2220, 2, Smoke::mf_static, 180, 659},	//1258 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {37, 719, 2223, 3, Smoke::mf_static, 382, 660},	//1259 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {37, 419, 2227, 2, Smoke::mf_static, 35, 661},	//1260 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {37, 448, 2230, 2, Smoke::mf_static, 180, 662},	//1261 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {37, 400, 2233, 2, Smoke::mf_static, 226, 663},	//1262 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {37, 413, 1923, 2, Smoke::mf_static, 458, 664},	//1263 QGlobalSpace::operator/(const QSize&, double)
    {37, 400, 2236, 2, Smoke::mf_static, 226, 665},	//1264 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {37, 595, 777, 1, Smoke::mf_static, 382, 666},	//1265 QGlobalSpace::qIsNull(float)
    {37, 448, 2239, 2, Smoke::mf_static, 53, 667},	//1266 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {37, 715, 2242, 5, Smoke::mf_static, 0, 668},	//1267 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {37, 429, 2248, 2, Smoke::mf_static, 382, 669},	//1268 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {37, 478, 699, 1, Smoke::mf_static, 502, 670},	//1269 QGlobalSpace::qAtan(double)
    {37, 442, 2251, 2, Smoke::mf_static, 31, 671},	//1270 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {37, 448, 2254, 2, Smoke::mf_static, 180, 672},	//1271 QGlobalSpace::operator|(Qt::Orientation, int)
    {37, 448, 2257, 2, Smoke::mf_static, 106, 673},	//1272 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {37, 569, 768, 2, Smoke::mf_static, 382, 674},	//1273 QGlobalSpace::qFuzzyCompare(double, double)
    {37, 400, 2260, 2, Smoke::mf_static, 295, 675},	//1274 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {37, 419, 2263, 2, Smoke::mf_static, 31, 676},	//1275 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {37, 419, 2266, 2, Smoke::mf_static, 35, 677},	//1276 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {37, 510, 2269, 7, Smoke::mf_static, 0, 678},	//1277 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {37, 510, 2277, 4, Smoke::mf_static, 0, 679},	//1278 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {37, 510, 2282, 5, Smoke::mf_static, 0, 680},	//1279 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {37, 510, 2288, 6, Smoke::mf_static, 0, 681},	//1280 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {37, 400, 933, 2, Smoke::mf_static, 445, 682},	//1281 QGlobalSpace::operator*(const QPoint&, double)
    {37, 448, 2295, 2, Smoke::mf_static, 121, 683},	//1282 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {37, 448, 2298, 2, Smoke::mf_static, 82, 684},	//1283 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {37, 628, 0, 0, Smoke::mf_static, 502, 685},	//1284 QGlobalSpace::qSNaN()
    {37, 448, 2301, 2, Smoke::mf_static, 180, 686},	//1285 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {37, 400, 2304, 2, Smoke::mf_static, 228, 687},	//1286 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {37, 429, 774, 2, Smoke::mf_static, 382, 688},	//1287 QGlobalSpace::operator==(const QByteArray&, const char*)
    {37, 448, 2307, 2, Smoke::mf_static, 93, 689},	//1288 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {37, 419, 2310, 2, Smoke::mf_static, 31, 690},	//1289 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {37, 400, 1696, 2, Smoke::mf_static, 460, 691},	//1290 QGlobalSpace::operator*(const QSizeF&, double)
    {37, 448, 2313, 2, Smoke::mf_static, 76, 692},	//1291 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {37, 429, 1808, 2, Smoke::mf_static, 382, 693},	//1292 QGlobalSpace::operator==(const QStringRef&, const char*)
    {37, 393, 710, 2, Smoke::mf_static, 382, 694},	//1293 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {37, 429, 713, 2, Smoke::mf_static, 382, 695},	//1294 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {37, 400, 2316, 2, Smoke::mf_static, 230, 696},	//1295 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {37, 448, 2319, 2, Smoke::mf_static, 72, 697},	//1296 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {37, 448, 2322, 2, Smoke::mf_static, 180, 698},	//1297 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {37, 400, 2325, 2, Smoke::mf_static, 445, 699},	//1298 QGlobalSpace::operator*(const QPoint&, float)
    {37, 400, 2328, 2, Smoke::mf_static, 458, 700},	//1299 QGlobalSpace::operator*(double, const QSize&)
    {37, 448, 2331, 2, Smoke::mf_static, 180, 701},	//1300 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {37, 415, 694, 2, Smoke::mf_static, 382, 702},	//1301 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {37, 393, 2334, 2, Smoke::mf_static, 382, 703},	//1302 QGlobalSpace::operator!=(QBool, bool)
    {37, 448, 2337, 2, Smoke::mf_static, 59, 704},	//1303 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {37, 393, 735, 2, Smoke::mf_static, 382, 705},	//1304 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {37, 442, 2340, 2, Smoke::mf_static, 31, 706},	//1305 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {37, 419, 2343, 2, Smoke::mf_static, 35, 707},	//1306 QGlobalSpace::operator<<(QDebug, const QSize&)
    {37, 448, 2346, 2, Smoke::mf_static, 180, 708},	//1307 QGlobalSpace::operator|(QStyle::SubControl, int)
    {37, 448, 2349, 2, Smoke::mf_static, 113, 709},	//1308 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {37, 400, 2352, 2, Smoke::mf_static, 190, 710},	//1309 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {37, 409, 880, 2, Smoke::mf_static, 451, 711},	//1310 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {37, 400, 1537, 2, Smoke::mf_static, 447, 712},	//1311 QGlobalSpace::operator*(const QPointF&, double)
    {37, 683, 206, 2, Smoke::mf_static, 504, 713},	//1312 QGlobalSpace::qstricmp(const char*, const char*)
    {37, 448, 2355, 2, Smoke::mf_static, 180, 714},	//1313 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {37, 448, 2358, 2, Smoke::mf_static, 127, 715},	//1314 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {37, 393, 784, 2, Smoke::mf_static, 382, 716},	//1315 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {37, 624, 699, 1, Smoke::mf_static, 504, 717},	//1316 QGlobalSpace::qRound(double)
    {37, 582, 0, 0, Smoke::mf_static, 502, 718},	//1317 QGlobalSpace::qInf()
    {37, 419, 2361, 2, Smoke::mf_static, 31, 719},	//1318 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {37, 448, 2364, 2, Smoke::mf_static, 108, 720},	//1319 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {37, 400, 880, 2, Smoke::mf_static, 451, 721},	//1320 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {37, 448, 2367, 2, Smoke::mf_static, 180, 722},	//1321 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {37, 448, 2370, 2, Smoke::mf_static, 124, 723},	//1322 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {37, 400, 2373, 2, Smoke::mf_static, 228, 724},	//1323 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {37, 419, 2376, 2, Smoke::mf_static, 35, 725},	//1324 QGlobalSpace::operator<<(QDebug, const QColor&)
    {37, 419, 2379, 2, Smoke::mf_static, 35, 726},	//1325 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {37, 419, 2382, 2, Smoke::mf_static, 31, 727},	//1326 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {37, 448, 2385, 2, Smoke::mf_static, 86, 728},	//1327 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {37, 448, 2388, 2, Smoke::mf_static, 180, 729},	//1328 QGlobalSpace::operator|(Qt::WindowType, int)
    {37, 674, 774, 2, Smoke::mf_static, 504, 730},	//1329 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {37, 448, 2391, 2, Smoke::mf_static, 180, 731},	//1330 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {37, 618, 1705, 1, Smoke::mf_static, 0, 732},	//1331 QGlobalSpace::qRemovePostRoutine(void(*)())
    {37, 404, 880, 2, Smoke::mf_static, 451, 733},	//1332 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {37, 442, 2394, 2, Smoke::mf_static, 31, 734},	//1333 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {37, 448, 2397, 2, Smoke::mf_static, 100, 735},	//1334 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {37, 448, 2400, 2, Smoke::mf_static, 80, 736},	//1335 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {37, 442, 2403, 2, Smoke::mf_static, 31, 737},	//1336 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {37, 448, 2406, 2, Smoke::mf_static, 180, 738},	//1337 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {37, 419, 2409, 2, Smoke::mf_static, 31, 739},	//1338 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {37, 448, 2412, 2, Smoke::mf_static, 126, 740},	//1339 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {37, 448, 2415, 2, Smoke::mf_static, 118, 741},	//1340 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {37, 648, 0, 0, Smoke::mf_static, 35, 742},	//1341 QGlobalSpace::qWarning()
    {37, 685, 204, 1, Smoke::mf_static, 515, 743},	//1342 QGlobalSpace::qstrlen(const char*)
    {37, 429, 2334, 2, Smoke::mf_static, 382, 744},	//1343 QGlobalSpace::operator==(QBool, bool)
    {37, 442, 2418, 2, Smoke::mf_static, 31, 745},	//1344 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {37, 442, 2421, 2, Smoke::mf_static, 31, 746},	//1345 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {37, 579, 38, 1, Smoke::mf_static, 515, 747},	//1346 QGlobalSpace::qHash(unsigned long)
    {37, 419, 2424, 2, Smoke::mf_static, 31, 748},	//1347 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {37, 448, 2427, 2, Smoke::mf_static, 180, 749},	//1348 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {37, 419, 2430, 2, Smoke::mf_static, 31, 750},	//1349 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {37, 448, 2433, 2, Smoke::mf_static, 70, 751},	//1350 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {37, 448, 2436, 2, Smoke::mf_static, 180, 752},	//1351 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {37, 419, 2439, 2, Smoke::mf_static, 31, 753},	//1352 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {37, 448, 2442, 2, Smoke::mf_static, 87, 754},	//1353 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {37, 448, 2445, 2, Smoke::mf_static, 180, 755},	//1354 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {37, 498, 2448, 8, Smoke::mf_static, 0, 756},	//1355 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {37, 498, 2457, 6, Smoke::mf_static, 0, 757},	//1356 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {37, 498, 2464, 7, Smoke::mf_static, 0, 758},	//1357 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {37, 448, 2472, 2, Smoke::mf_static, 97, 759},	//1358 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {37, 404, 2475, 2, Smoke::mf_static, 465, 760},	//1359 QGlobalSpace::operator+(const QString&, const QString&)
    {37, 393, 1162, 2, Smoke::mf_static, 382, 761},	//1360 QGlobalSpace::operator!=(QBool, QBool)
    {37, 448, 2478, 2, Smoke::mf_static, 51, 762},	//1361 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {37, 706, 2481, 2, Smoke::mf_static, 0, 763},	//1362 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {37, 419, 2484, 2, Smoke::mf_static, 35, 764},	//1363 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {37, 400, 2487, 2, Smoke::mf_static, 487, 765},	//1364 QGlobalSpace::operator*(double, const QVector3D&)
    {37, 579, 2490, 1, Smoke::mf_static, 515, 766},	//1365 QGlobalSpace::qHash(const QStringRef&)
    {37, 595, 699, 1, Smoke::mf_static, 382, 767},	//1366 QGlobalSpace::qIsNull(double)
    {37, 448, 2492, 2, Smoke::mf_static, 180, 768},	//1367 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {37, 448, 2495, 2, Smoke::mf_static, 54, 769},	//1368 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {37, 434, 774, 2, Smoke::mf_static, 382, 770},	//1369 QGlobalSpace::operator>(const QByteArray&, const char*)
    {37, 579, 2498, 1, Smoke::mf_static, 515, 771},	//1370 QGlobalSpace::qHash(unsigned char)
    {37, 442, 2500, 2, Smoke::mf_static, 31, 772},	//1371 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {37, 448, 2503, 2, Smoke::mf_static, 68, 773},	//1372 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {37, 400, 2506, 2, Smoke::mf_static, 230, 774},	//1373 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {37, 419, 2509, 2, Smoke::mf_static, 35, 775},	//1374 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {37, 419, 2512, 2, Smoke::mf_static, 35, 776},	//1375 QGlobalSpace::operator<<(QDebug, const QObject*)
    {37, 448, 2515, 2, Smoke::mf_static, 180, 777},	//1376 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {37, 393, 1122, 2, Smoke::mf_static, 382, 778},	//1377 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {37, 419, 2518, 2, Smoke::mf_static, 31, 779},	//1378 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {37, 442, 2521, 2, Smoke::mf_static, 31, 780},	//1379 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {37, 419, 2524, 2, Smoke::mf_static, 31, 781},	//1380 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {37, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 782},	//1381 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {37, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 783},	//1382 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {37, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 784},	//1383 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {37, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 785},	//1384 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {37, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 786},	//1385 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {37, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 787},	//1386 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {37, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 788},	//1387 QGlobalSpace::SP_CustomToolBarBack (enum)
    {37, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 789},	//1388 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {37, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 790},	//1389 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {37, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 791},	//1390 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {37, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 792},	//1391 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {37, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 793},	//1392 QGlobalSpace::SP_CustomToolBarDone (enum)
    {37, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 794},	//1393 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {37, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 795},	//1394 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {37, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 796},	//1395 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {37, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 797},	//1396 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {37, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 798},	//1397 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {37, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 799},	//1398 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {37, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 800},	//1399 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {37, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 801},	//1400 QGlobalSpace::SP_CustomToolBarGo (enum)
    {37, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 802},	//1401 QGlobalSpace::SP_CustomToolBarHome (enum)
    {37, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 803},	//1402 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {37, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 804},	//1403 QGlobalSpace::SP_CustomToolBarList (enum)
    {37, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 805},	//1404 QGlobalSpace::SP_CustomToolBarLock (enum)
    {37, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 806},	//1405 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {37, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 807},	//1406 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {37, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 808},	//1407 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {37, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 809},	//1408 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {37, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 810},	//1409 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {37, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 811},	//1410 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {37, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 812},	//1411 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {37, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 813},	//1412 QGlobalSpace::SP_CustomToolBarOther (enum)
    {37, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 814},	//1413 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {37, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 815},	//1414 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {37, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 816},	//1415 QGlobalSpace::SP_CustomToolBarRead (enum)
    {37, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 817},	//1416 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {37, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 818},	//1417 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {37, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 819},	//1418 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {37, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 820},	//1419 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {37, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 821},	//1420 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {37, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 822},	//1421 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {37, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 823},	//1422 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {37, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 824},	//1423 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {37, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 825},	//1424 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {37, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 826},	//1425 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {37, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 827},	//1426 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {37, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 828},	//1427 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {37, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 829},	//1428 QGlobalSpace::SP_CustomToolBarSend (enum)
    {37, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 830},	//1429 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {37, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 831},	//1430 QGlobalSpace::SP_CustomToolBarShare (enum)
    {37, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 832},	//1431 QGlobalSpace::SP_CustomToolBarShift (enum)
    {37, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 833},	//1432 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {37, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 834},	//1433 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {37, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 835},	//1434 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {37, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 836},	//1435 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {37, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 837},	//1436 QGlobalSpace::SP_CustomToolBarSync (enum)
    {37, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 838},	//1437 QGlobalSpace::SP_CustomToolBarTools (enum)
    {37, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 839},	//1438 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {37, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 840},	//1439 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {37, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 841},	//1440 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {37, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 842},	//1441 QGlobalSpace::SP_CustomToolBarView (enum)
    {37, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 843},	//1442 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {37, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 844},	//1443 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {37, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 845},	//1444 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {37, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 846},	//1445 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {37, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 847},	//1446 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {37, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 848},	//1447 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {37, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 849},	//1448 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {37, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 850},	//1449 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {37, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 851},	//1450 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {37, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 852},	//1451 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {37, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 853},	//1452 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {37, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 854},	//1453 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {37, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 855},	//1454 QGlobalSpace::SP_CustomTabAll (enum)
    {37, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 856},	//1455 QGlobalSpace::SP_CustomTabArtist (enum)
    {37, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 857},	//1456 QGlobalSpace::SP_CustomTabFavourite (enum)
    {37, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 858},	//1457 QGlobalSpace::SP_CustomTabGenre (enum)
    {37, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 859},	//1458 QGlobalSpace::SP_CustomTabLanguage (enum)
    {37, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 860},	//1459 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {37, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 861},	//1460 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {37, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 862},	//1461 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {37, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 863},	//1462 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {37, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 864},	//1463 QGlobalSpace::SP_CustomTabServices (enum)
    {37, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 865},	//1464 QGlobalSpace::SP_CustomTabSongs (enum)
    {37, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 507, 866},	//1465 QGlobalSpace::SP_CustomTabVideos (enum)
    {37, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 867},	//1466 QGlobalSpace::QtDebugMsg (enum)
    {37, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 868},	//1467 QGlobalSpace::QtWarningMsg (enum)
    {37, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 869},	//1468 QGlobalSpace::QtCriticalMsg (enum)
    {37, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 870},	//1469 QGlobalSpace::QtFatalMsg (enum)
    {37, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 871},	//1470 QGlobalSpace::QtSystemMsg (enum)
    {37, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 872},	//1471 QGlobalSpace::__codecvt_ok (enum)
    {37, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 873},	//1472 QGlobalSpace::__codecvt_partial (enum)
    {37, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 874},	//1473 QGlobalSpace::__codecvt_error (enum)
    {37, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 875},	//1474 QGlobalSpace::__codecvt_noconv (enum)
    {61, 314, 641, 1, Smoke::mf_virtual, 382, 0},	//1475 QObject::event(QEvent*)
    {61, 316, 2527, 2, Smoke::mf_virtual, 382, 0},	//1476 QObject::eventFilter(QObject*, QEvent*)
    {61, 902, 2530, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1477 QObject::timerEvent(QTimerEvent*)
    {61, 259, 2532, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1478 QObject::childEvent(QChildEvent*)
    {61, 281, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1479 QObject::customEvent(QEvent*)
    {61, 272, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1480 QObject::connectNotify(const char*)
    {61, 296, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1481 QObject::disconnectNotify(const char*)
    {112, 290, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 504, 0},	//1482 QWidget::devType() const
    {112, 879, 84, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1483 QWidget::setVisible(bool)
    {112, 887, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 242, 0},	//1484 QWidget::sizeHint() const
    {112, 384, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 242, 0},	//1485 QWidget::minimumSizeHint() const
    {112, 354, 20, 1, Smoke::mf_const|Smoke::mf_virtual, 504, 0},	//1486 QWidget::heightForWidth(int) const
    {112, 389, 2534, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1487 QWidget::mousePressEvent(QMouseEvent*)
    {112, 390, 2534, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1488 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 387, 2534, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1489 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 388, 2534, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1490 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 925, 2536, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1491 QWidget::wheelEvent(QWheelEvent*)
    {112, 369, 2538, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1492 QWidget::keyPressEvent(QKeyEvent*)
    {112, 370, 2538, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1493 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 321, 2540, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1494 QWidget::focusInEvent(QFocusEvent*)
    {112, 323, 2540, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1495 QWidget::focusOutEvent(QFocusEvent*)
    {112, 309, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1496 QWidget::enterEvent(QEvent*)
    {112, 372, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1497 QWidget::leaveEvent(QEvent*)
    {112, 391, 2542, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1498 QWidget::moveEvent(QMoveEvent*)
    {112, 263, 2544, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1499 QWidget::closeEvent(QCloseEvent*)
    {112, 274, 2546, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1500 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 896, 2548, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1501 QWidget::tabletEvent(QTabletEvent*)
    {112, 219, 2550, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1502 QWidget::actionEvent(QActionEvent*)
    {112, 299, 2552, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1503 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 301, 2554, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1504 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 300, 2556, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1505 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 305, 2558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1506 QWidget::dropEvent(QDropEvent*)
    {112, 885, 2560, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1507 QWidget::showEvent(QShowEvent*)
    {112, 355, 2562, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1508 QWidget::hideEvent(QHideEvent*)
    {112, 930, 2564, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//1509 QWidget::x11Event(_XEvent*)
    {112, 258, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1510 QWidget::changeEvent(QEvent*)
    {112, 382, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 504, 0},	//1511 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 359, 2566, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1512 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 360, 2568, 1, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//1513 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 322, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//1514 QWidget::focusNextPrevChild(bool)
    {112, 893, 2570, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1515 QWidget::styleChange(QStyle&)
    {112, 308, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1516 QWidget::enabledChange(bool)
    {112, 458, 2572, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1517 QWidget::paletteChange(const QPalette&)
    {112, 324, 689, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1518 QWidget::fontChange(const QFont&)
    {112, 926, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1519 QWidget::windowActivationChange(bool)
    {112, 371, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1520 QWidget::languageChange()
    {112, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 40},	//1521 QWidget::DrawWindowBackground (enum)
    {112, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 41},	//1522 QWidget::DrawChildren (enum)
    {112, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 42},	//1523 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    343,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    497,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    348,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    350,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    369,  // QGLShaderProgram::attributeLocation(const char*) const
    371,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    366,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    368,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    404,  // QGLShaderProgram::disableAttributeArray(int)
    405,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    402,  // QGLShaderProgram::enableAttributeArray(int)
    403,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    499,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    500,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    501,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    504,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    505,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    506,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    391,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    392,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    393,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    396,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    397,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    398,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    498,  // QGLShaderProgram::setAttributeArray(int, const float*, int)
    503,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    0,
    390,  // QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    395,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    502,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    507,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    0,
    394,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    399,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    0,
    508,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    509,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    0,
    400,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    401,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    0,
    376,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    377,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    378,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    379,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    385,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    386,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    387,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    388,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    372,  // QGLShaderProgram::setAttributeValue(int, float)
    381,  // QGLShaderProgram::setAttributeValue(const char*, float)
    0,
    373,  // QGLShaderProgram::setAttributeValue(int, float, float)
    382,  // QGLShaderProgram::setAttributeValue(const char*, float, float)
    0,
    374,  // QGLShaderProgram::setAttributeValue(int, float, float, float)
    380,  // QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    383,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    389,  // QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    0,
    375,  // QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    384,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    0,
    415,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    416,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    417,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    418,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    419,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    420,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    421,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    422,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    431,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    435,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    442,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    443,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    444,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    445,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    446,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    447,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    448,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    449,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    458,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    462,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    409,  // QGLShaderProgram::setUniformValue(int, float)
    410,  // QGLShaderProgram::setUniformValue(int, int)
    411,  // QGLShaderProgram::setUniformValue(int, unsigned int)
    432,  // QGLShaderProgram::setUniformValue(int, const float[2][2])
    433,  // QGLShaderProgram::setUniformValue(int, const float[3][3])
    434,  // QGLShaderProgram::setUniformValue(int, const float[4][4])
    436,  // QGLShaderProgram::setUniformValue(const char*, float)
    437,  // QGLShaderProgram::setUniformValue(const char*, int)
    438,  // QGLShaderProgram::setUniformValue(const char*, unsigned int)
    459,  // QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    460,  // QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    461,  // QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    0,
    412,  // QGLShaderProgram::setUniformValue(int, float, float)
    439,  // QGLShaderProgram::setUniformValue(const char*, float, float)
    0,
    413,  // QGLShaderProgram::setUniformValue(int, float, float, float)
    440,  // QGLShaderProgram::setUniformValue(const char*, float, float, float)
    0,
    414,  // QGLShaderProgram::setUniformValue(int, float, float, float, float)
    441,  // QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    0,
    423,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    424,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    425,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    426,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    427,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    428,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    429,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    430,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    450,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    451,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    452,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    453,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    454,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    455,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    456,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    457,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    0,
    466,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    467,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    468,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    477,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    481,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    482,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    483,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    492,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    464,  // QGLShaderProgram::setUniformValueArray(int, const int*, int)
    465,  // QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    479,  // QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    480,  // QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    0,
    463,  // QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    478,  // QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    0,
    469,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    470,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    471,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    472,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    473,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    474,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    475,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    476,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    484,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    485,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    486,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    487,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    488,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    489,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    490,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    491,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    406,  // QGLShaderProgram::uniformLocation(const char*) const
    408,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    573,  // QGLWidget::QGLWidget(QWidget*)
    575,  // QGLWidget::QGLWidget(QGLContext*)
    578,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    574,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    576,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    579,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    577,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    580,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    521,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    522,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    591,  // QGLWidget::bindTexture(const QImage&)
    593,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    592,  // QGLWidget::bindTexture(const QImage&, unsigned int)
    594,  // QGLWidget::bindTexture(const QPixmap&, unsigned int)
    0,
    548,  // QGLWidget::bindTexture(const QImage&, unsigned int, int)
    549,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    0,
    546,  // QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    547,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    595,  // QGLWidget::drawTexture(const QRectF&, unsigned int)
    596,  // QGLWidget::drawTexture(const QPointF&, unsigned int)
    0,
    552,  // QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    553,  // QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    220,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    247,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    0,
    221,  // QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    249,  // QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    0,
    251,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    252,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    0,
    239,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    240,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    609,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    686,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    747,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    762,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    843,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    886,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    916,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    925,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    1007,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    1016,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    1064,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    1066,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1080,  // QGlobalSpace::operator!=(QChar, QChar)
    1121,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    1215,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    1245,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    1293,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    1304,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    1360,  // QGlobalSpace::operator!=(QBool, QBool)
    1377,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    668,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    698,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    720,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    1101,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1302,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    834,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    963,  // QGlobalSpace::operator!=(bool, QBool)
    1015,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    1090,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1315,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    615,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    646,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    651,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    654,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    696,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    713,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    763,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    818,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    844,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    865,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    884,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    909,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    982,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    994,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    1052,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    1100,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1128,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1134,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    1140,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    1207,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    1262,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1264,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    1274,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1286,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    1295,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1309,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1320,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    1323,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    1373,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    660,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    755,  // QGlobalSpace::operator*(const QTransform&, double)
    859,  // QGlobalSpace::operator*(const QQuaternion&, double)
    1010,  // QGlobalSpace::operator*(const QVector4D&, double)
    1063,  // QGlobalSpace::operator*(const QVector2D&, double)
    1071,  // QGlobalSpace::operator*(const QVector3D&, double)
    1131,  // QGlobalSpace::operator*(const QSize&, double)
    1256,  // QGlobalSpace::operator*(const QPoint&, int)
    1281,  // QGlobalSpace::operator*(const QPoint&, double)
    1290,  // QGlobalSpace::operator*(const QSizeF&, double)
    1298,  // QGlobalSpace::operator*(const QPoint&, float)
    1311,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    681,  // QGlobalSpace::operator*(double, const QSizeF&)
    920,  // QGlobalSpace::operator*(int, const QPoint&)
    969,  // QGlobalSpace::operator*(double, const QVector2D&)
    998,  // QGlobalSpace::operator*(float, const QPoint&)
    1017,  // QGlobalSpace::operator*(double, const QVector4D&)
    1062,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1125,  // QGlobalSpace::operator*(double, const QPointF&)
    1139,  // QGlobalSpace::operator*(double, const QPoint&)
    1199,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1299,  // QGlobalSpace::operator*(double, const QSize&)
    1364,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    640,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    676,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    709,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    733,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    738,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    790,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    864,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    876,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    942,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1332,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    767,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    817,  // QGlobalSpace::operator+(const QTransform&, double)
    823,  // QGlobalSpace::operator+(QChar, const QString&)
    1023,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    621,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    761,  // QGlobalSpace::operator+(const QString&, QChar)
    1108,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    656,  // QGlobalSpace::operator-(const QMatrix4x4&)
    833,  // QGlobalSpace::operator-(const QQuaternion&)
    868,  // QGlobalSpace::operator-(const QPoint&)
    970,  // QGlobalSpace::operator-(const QVector4D&)
    985,  // QGlobalSpace::operator-(const QPointF&)
    1196,  // QGlobalSpace::operator-(const QVector2D&)
    1239,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    606,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    687,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    712,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    716,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    743,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    845,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    930,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1113,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    1310,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    705,  // QGlobalSpace::operator/(const QPoint&, double)
    739,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    893,  // QGlobalSpace::operator/(const QVector4D&, double)
    960,  // QGlobalSpace::operator/(const QVector2D&, double)
    962,  // QGlobalSpace::operator/(const QPointF&, double)
    966,  // QGlobalSpace::operator/(const QVector3D&, double)
    975,  // QGlobalSpace::operator/(const QTransform&, double)
    1027,  // QGlobalSpace::operator/(const QSizeF&, double)
    1043,  // QGlobalSpace::operator/(const QQuaternion&, double)
    1263,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    664,  // QGlobalSpace::operator<(QChar, QChar)
    852,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    1301,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    619,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    629,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    643,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    647,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    648,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    653,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    661,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    662,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    671,  // QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    689,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    701,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    710,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    715,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    721,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    724,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    726,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    731,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    758,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    775,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    792,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    793,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    794,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    804,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    819,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    870,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    883,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    888,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    889,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    894,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    904,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    910,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    911,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    919,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    927,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    945,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    946,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    947,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    949,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    979,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    986,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    993,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    1004,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    1012,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    1013,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    1022,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    1029,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    1039,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    1047,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    1053,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    1058,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    1059,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    1061,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    1065,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    1068,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    1073,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    1075,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    1076,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1078,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    1093,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    1105,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    1111,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    1114,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1132,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    1142,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    1168,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    1174,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1183,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    1188,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    1198,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1200,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    1206,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1208,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    1210,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1211,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    1222,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1227,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1234,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    1240,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1275,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    1276,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1289,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1306,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    1324,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    1325,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1326,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1338,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1347,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1349,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    1352,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1363,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    1375,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1378,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    1380,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    613,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    669,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    829,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    905,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    948,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1051,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1123,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    1260,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    1318,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    1374,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    814,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    1038,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1241,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    608,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    618,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    628,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    650,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    652,  // QGlobalSpace::operator==(QChar, QChar)
    683,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    783,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    805,  // QGlobalSpace::operator==(QBool, QBool)
    846,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    867,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    874,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    939,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    1020,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    1028,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    1031,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1130,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1138,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    1155,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    1218,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1268,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    1294,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    617,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    749,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    937,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1287,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1292,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1343,  // QGlobalSpace::operator==(QBool, bool)
    0,
    637,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    807,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    988,  // QGlobalSpace::operator==(bool, QBool)
    1057,  // QGlobalSpace::operator==(const QString&, QString::Null)
    1110,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    1229,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    679,  // QGlobalSpace::operator>(QChar, QChar)
    786,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    921,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    602,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    667,  // QGlobalSpace::operator>=(QChar, QChar)
    1169,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    614,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    622,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    626,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    631,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    663,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    665,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    751,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    759,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    774,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    803,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    815,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    830,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    839,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    851,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    924,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    936,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    938,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    950,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    958,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    972,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    980,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    984,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    989,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    995,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    1011,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    1026,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    1040,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    1056,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1079,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    1088,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    1089,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1091,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    1107,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    1118,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1119,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1126,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    1172,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1182,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1219,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1233,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    1247,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    1248,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1252,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1270,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    1305,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    1333,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1336,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    1344,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1345,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    1371,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    1379,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    1042,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    1257,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    600,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    605,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    607,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    616,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    620,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    623,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    624,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    625,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    636,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    639,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    644,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    645,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    649,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    655,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    659,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    666,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    672,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    673,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    675,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    678,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    680,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    684,  // QGlobalSpace::operator|(QDir::Filter, int)
    685,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    690,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    691,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    692,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    694,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    697,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    699,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    700,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    702,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    703,  // QGlobalSpace::operator|(QFile::Permission, int)
    704,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    711,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    719,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    722,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    723,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    727,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    729,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    730,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    732,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    734,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    735,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    740,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    741,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    742,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    750,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    753,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    757,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    764,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    765,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    769,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    770,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    771,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    772,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    778,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    780,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    784,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    787,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    791,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    798,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    800,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    802,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    806,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    808,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    809,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    811,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    812,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    813,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    820,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    824,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    825,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    826,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    827,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    828,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    836,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    838,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    840,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    842,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    847,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    848,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    849,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    850,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    854,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    860,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    863,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    866,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    869,  // QGlobalSpace::operator|(Qt::DropAction, int)
    871,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    885,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    890,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    896,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    899,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    902,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    903,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    906,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    908,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    917,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    923,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    926,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    928,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    929,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    940,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    941,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    943,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    951,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    957,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    959,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    961,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    964,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    965,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    967,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    971,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    974,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    976,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    978,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    983,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    987,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    990,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    992,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    996,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    1001,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    1002,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    1003,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    1006,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    1014,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    1018,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    1019,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    1024,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    1025,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    1030,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    1035,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    1041,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    1046,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    1048,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    1049,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    1054,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    1067,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1069,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    1070,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1074,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    1081,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1084,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    1085,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    1087,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    1092,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    1094,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    1095,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    1098,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    1099,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    1106,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    1109,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    1112,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    1115,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    1116,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    1117,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1120,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    1122,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    1124,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    1127,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1129,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    1135,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    1136,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    1148,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    1149,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    1151,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1152,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1156,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    1157,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1161,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    1162,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    1163,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    1165,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    1166,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1167,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    1170,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    1171,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    1175,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1181,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    1184,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    1189,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1190,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    1191,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    1192,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    1193,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1194,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1195,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    1197,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    1205,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    1212,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1213,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    1214,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    1217,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1220,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    1228,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    1230,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    1231,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    1232,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    1237,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    1238,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    1242,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    1244,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    1246,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    1253,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    1254,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    1255,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    1258,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    1261,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    1266,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    1271,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1272,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1282,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    1283,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    1285,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    1288,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    1291,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    1296,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    1297,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    1300,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    1303,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    1307,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    1308,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1313,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    1314,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    1319,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    1321,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    1322,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    1327,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1328,  // QGlobalSpace::operator|(Qt::WindowType, int)
    1330,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    1334,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1335,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    1337,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    1339,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    1340,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    1348,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    1350,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    1351,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    1353,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1354,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    1358,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1361,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    1367,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1368,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    1372,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    1376,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    714,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    777,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    837,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    977,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    1005,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1133,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    1223,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    1154,  // QGlobalSpace::qFuzzyCompare(float, float)
    1273,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    858,  // QGlobalSpace::qFuzzyIsNull(float)
    1185,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    657,  // QGlobalSpace::qHash(const QUrl&)
    658,  // QGlobalSpace::qHash(const QByteArray&)
    752,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    779,  // QGlobalSpace::qHash(QChar)
    799,  // QGlobalSpace::qHash(const QModelIndex&)
    944,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    1072,  // QGlobalSpace::qHash(const QBitArray&)
    1365,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    603,  // QGlobalSpace::qHash(unsigned long long)
    635,  // QGlobalSpace::qHash(signed char)
    695,  // QGlobalSpace::qHash(char)
    776,  // QGlobalSpace::qHash(unsigned int)
    789,  // QGlobalSpace::qHash(const QString&)
    832,  // QGlobalSpace::qHash(long long)
    862,  // QGlobalSpace::qHash(int)
    918,  // QGlobalSpace::qHash(long)
    922,  // QGlobalSpace::qHash(unsigned short)
    1147,  // QGlobalSpace::qHash(short)
    1346,  // QGlobalSpace::qHash(unsigned long)
    1370,  // QGlobalSpace::qHash(unsigned char)
    0,
    641,  // QGlobalSpace::qIntCast(double)
    782,  // QGlobalSpace::qIntCast(float)
    0,
    717,  // QGlobalSpace::qIsFinite(double)
    760,  // QGlobalSpace::qIsFinite(float)
    0,
    604,  // QGlobalSpace::qIsInf(double)
    633,  // QGlobalSpace::qIsInf(float)
    0,
    810,  // QGlobalSpace::qIsNaN(float)
    821,  // QGlobalSpace::qIsNaN(double)
    0,
    1265,  // QGlobalSpace::qIsNull(float)
    1366,  // QGlobalSpace::qIsNull(double)
    0,
    119,  // QGLContext::bindTexture(const QImage&)
    121,  // QGLContext::bindTexture(const QPixmap&)
    0,
    120,  // QGLContext::bindTexture(const QImage&, unsigned int)
    122,  // QGLContext::bindTexture(const QPixmap&, unsigned int)
    0,
    94,  // QGLContext::bindTexture(const QImage&, unsigned int, int)
    95,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    0,
    92,  // QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    93,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    123,  // QGLContext::drawTexture(const QRectF&, unsigned int)
    124,  // QGLContext::drawTexture(const QPointF&, unsigned int)
    0,
    98,  // QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    99,  // QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    302,  // QGLPixelBuffer::bindTexture(const QImage&)
    303,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    284,  // QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    285,  // QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    0,
    304,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    305,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    0,
    288,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    289,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    314,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    329,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    317,  // QGLShader::compileSourceCode(const char*)
    319,  // QGLShader::compileSourceCode(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 1, 6},	// QGL::AccumBuffer
    {26, 2, 5},	// QGL::AlphaChannel
    {26, 4, 15},	// QGL::ColorIndex
    {26, 9, 12},	// QGL::DeprecatedFunctions
    {26, 11, 3},	// QGL::DepthBuffer
    {26, 12, 9},	// QGL::DirectRendering
    {26, 13, 2},	// QGL::DoubleBuffer
    {26, 21, 10},	// QGL::HasOverlay
    {26, 24, 20},	// QGL::IndirectRendering
    {26, 30, 17},	// QGL::NoAccumBuffer
    {26, 31, 16},	// QGL::NoAlphaChannel
    {26, 34, 23},	// QGL::NoDeprecatedFunctions
    {26, 35, 14},	// QGL::NoDepthBuffer
    {26, 36, 21},	// QGL::NoOverlay
    {26, 38, 22},	// QGL::NoSampleBuffers
    {26, 39, 18},	// QGL::NoStencilBuffer
    {26, 40, 19},	// QGL::NoStereoBuffers
    {26, 114, 4},	// QGL::Rgba
    {26, 200, 11},	// QGL::SampleBuffers
    {26, 201, 13},	// QGL::SingleBuffer
    {26, 205, 7},	// QGL::StencilBuffer
    {26, 206, 8},	// QGL::StereoBuffers
    {26, 838, 1},	// QGL::setPreferredPaintEngine$
    {27, 16, 57},	// QGLBuffer::DynamicCopy
    {27, 17, 55},	// QGLBuffer::DynamicDraw
    {27, 18, 56},	// QGLBuffer::DynamicRead
    {27, 23, 46},	// QGLBuffer::IndexBuffer
    {27, 59, 47},	// QGLBuffer::PixelPackBuffer
    {27, 60, 48},	// QGLBuffer::PixelUnpackBuffer
    {27, 62, 24},	// QGLBuffer::QGLBuffer
    {27, 63, 26},	// QGLBuffer::QGLBuffer#
    {27, 64, 25},	// QGLBuffer::QGLBuffer$
    {27, 112, 58},	// QGLBuffer::ReadOnly
    {27, 113, 60},	// QGLBuffer::ReadWrite
    {27, 202, 54},	// QGLBuffer::StaticCopy
    {27, 203, 52},	// QGLBuffer::StaticDraw
    {27, 204, 53},	// QGLBuffer::StaticRead
    {27, 207, 51},	// QGLBuffer::StreamCopy
    {27, 208, 49},	// QGLBuffer::StreamDraw
    {27, 209, 50},	// QGLBuffer::StreamRead
    {27, 211, 45},	// QGLBuffer::VertexBuffer
    {27, 212, 59},	// QGLBuffer::WriteOnly
    {27, 228, 42},	// QGLBuffer::allocate$
    {27, 229, 41},	// QGLBuffer::allocate$$
    {27, 239, 34},	// QGLBuffer::bind
    {27, 257, 37},	// QGLBuffer::bufferId
    {27, 277, 31},	// QGLBuffer::create
    {27, 288, 33},	// QGLBuffer::destroy
    {27, 364, 32},	// QGLBuffer::isCreated
    {27, 379, 43},	// QGLBuffer::map$
    {27, 428, 27},	// QGLBuffer::operator=#
    {27, 724, 39},	// QGLBuffer::read$$$
    {27, 726, 35},	// QGLBuffer::release
    {27, 727, 36},	// QGLBuffer::release$
    {27, 874, 30},	// QGLBuffer::setUsagePattern$
    {27, 886, 38},	// QGLBuffer::size
    {27, 915, 28},	// QGLBuffer::type
    {27, 919, 44},	// QGLBuffer::unmap
    {27, 924, 29},	// QGLBuffer::usagePattern
    {27, 929, 40},	// QGLBuffer::write$$$
    {27, 931, 61},	// QGLBuffer::~QGLBuffer
    {28, 65, 62},	// QGLColormap::QGLColormap
    {28, 66, 63},	// QGLColormap::QGLColormap#
    {28, 289, 67},	// QGLColormap::detach
    {28, 311, 72},	// QGLColormap::entryColor$
    {28, 313, 71},	// QGLColormap::entryRgb$
    {28, 318, 73},	// QGLColormap::find$
    {28, 320, 74},	// QGLColormap::findNearest$
    {28, 342, 75},	// QGLColormap::handle
    {28, 365, 65},	// QGLColormap::isEmpty
    {28, 428, 64},	// QGLColormap::operator=#
    {28, 806, 77},	// QGLColormap::setEntries$$
    {28, 807, 68},	// QGLColormap::setEntries$$$
    {28, 809, 70},	// QGLColormap::setEntry$#
    {28, 810, 69},	// QGLColormap::setEntry$$
    {28, 822, 76},	// QGLColormap::setHandle$
    {28, 886, 66},	// QGLColormap::size
    {28, 932, 78},	// QGLColormap::~QGLColormap
    {29, 3, 135},	// QGLContext::CanFlipNativePixmapBindOption
    {29, 8, 136},	// QGLContext::DefaultBindOption
    {29, 25, 137},	// QGLContext::InternalBindOption
    {29, 26, 130},	// QGLContext::InvertedYBindOption
    {29, 27, 133},	// QGLContext::LinearFilteringBindOption
    {29, 28, 134},	// QGLContext::MemoryManagedBindOption
    {29, 29, 131},	// QGLContext::MipmapBindOption
    {29, 33, 129},	// QGLContext::NoBindOption
    {29, 61, 132},	// QGLContext::PremultipliedAlphaBindOption
    {29, 68, 80},	// QGLContext::QGLContext#
    {29, 69, 79},	// QGLContext::QGLContext##
    {29, 233, 85},	// QGLContext::areSharing##
    {29, 245, -861},	// QGLContext::bindTexture#
    {29, 246, -864},	// QGLContext::bindTexture#$
    {29, 247, -867},	// QGLContext::bindTexture#$$
    {29, 248, -870},	// QGLContext::bindTexture#$$$
    {29, 249, 96},	// QGLContext::bindTexture$
    {29, 260, 125},	// QGLContext::chooseContext
    {29, 261, 106},	// QGLContext::chooseContext#
    {29, 262, 108},	// QGLContext::chooseVisual
    {29, 265, 115},	// QGLContext::colorIndex#
    {29, 277, 118},	// QGLContext::create
    {29, 278, 81},	// QGLContext::create#
    {29, 279, 105},	// QGLContext::currentContext
    {29, 280, 127},	// QGLContext::currentCtx
    {29, 285, 97},	// QGLContext::deleteTexture$
    {29, 291, 103},	// QGLContext::device
    {29, 292, 109},	// QGLContext::deviceIsPixmap
    {29, 297, 90},	// QGLContext::doneCurrent
    {29, 303, -873},	// QGLContext::drawTexture#$
    {29, 304, -876},	// QGLContext::drawTexture#$$
    {29, 328, 86},	// QGLContext::format
    {29, 331, 114},	// QGLContext::generateFontDisplayLists#$
    {29, 336, 102},	// QGLContext::getProcAddress$
    {29, 358, 112},	// QGLContext::initialized
    {29, 367, 83},	// QGLContext::isSharing
    {29, 368, 82},	// QGLContext::isValid
    {29, 376, 89},	// QGLContext::makeCurrent
    {29, 452, 104},	// QGLContext::overlayTransparentColor
    {29, 743, 87},	// QGLContext::requestedFormat
    {29, 744, 84},	// QGLContext::reset
    {29, 790, 128},	// QGLContext::setCurrentCtx#
    {29, 800, 117},	// QGLContext::setDevice#
    {29, 812, 88},	// QGLContext::setFormat#
    {29, 824, 113},	// QGLContext::setInitialized$
    {29, 858, 100},	// QGLContext::setTextureCacheLimit$
    {29, 876, 116},	// QGLContext::setValid$
    {29, 881, 111},	// QGLContext::setWindowCreated$
    {29, 894, 91},	// QGLContext::swapBuffers
    {29, 900, 101},	// QGLContext::textureCacheLimit
    {29, 913, 126},	// QGLContext::tryVisual#
    {29, 914, 107},	// QGLContext::tryVisual#$
    {29, 927, 110},	// QGLContext::windowCreated
    {29, 933, 138},	// QGLContext::~QGLContext
    {30, 6, 200},	// QGLFormat::CompatibilityProfile
    {30, 7, 199},	// QGLFormat::CoreProfile
    {30, 37, 198},	// QGLFormat::NoProfile
    {30, 41, 210},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {30, 42, 212},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {30, 43, 209},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {30, 44, 211},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {30, 45, 213},	// QGLFormat::OpenGL_ES_Version_2_0
    {30, 46, 202},	// QGLFormat::OpenGL_Version_1_1
    {30, 47, 203},	// QGLFormat::OpenGL_Version_1_2
    {30, 48, 204},	// QGLFormat::OpenGL_Version_1_3
    {30, 49, 205},	// QGLFormat::OpenGL_Version_1_4
    {30, 50, 206},	// QGLFormat::OpenGL_Version_1_5
    {30, 51, 207},	// QGLFormat::OpenGL_Version_2_0
    {30, 52, 208},	// QGLFormat::OpenGL_Version_2_1
    {30, 53, 214},	// QGLFormat::OpenGL_Version_3_0
    {30, 54, 215},	// QGLFormat::OpenGL_Version_3_1
    {30, 55, 216},	// QGLFormat::OpenGL_Version_3_2
    {30, 56, 217},	// QGLFormat::OpenGL_Version_3_3
    {30, 57, 218},	// QGLFormat::OpenGL_Version_4_0
    {30, 58, 201},	// QGLFormat::OpenGL_Version_None
    {30, 70, 139},	// QGLFormat::QGLFormat
    {30, 71, 141},	// QGLFormat::QGLFormat#
    {30, 72, 197},	// QGLFormat::QGLFormat$
    {30, 73, 140},	// QGLFormat::QGLFormat$$
    {30, 217, 171},	// QGLFormat::accum
    {30, 218, 146},	// QGLFormat::accumBufferSize
    {30, 230, 169},	// QGLFormat::alpha
    {30, 231, 154},	// QGLFormat::alphaBufferSize
    {30, 256, 152},	// QGLFormat::blueBufferSize
    {30, 282, 185},	// QGLFormat::defaultFormat
    {30, 283, 187},	// QGLFormat::defaultOverlayFormat
    {30, 286, 165},	// QGLFormat::depth
    {30, 287, 144},	// QGLFormat::depthBufferSize
    {30, 293, 177},	// QGLFormat::directRendering
    {30, 298, 163},	// QGLFormat::doubleBuffer
    {30, 341, 150},	// QGLFormat::greenBufferSize
    {30, 343, 189},	// QGLFormat::hasOpenGL
    {30, 346, 190},	// QGLFormat::hasOpenGLOverlays
    {30, 353, 179},	// QGLFormat::hasOverlay
    {30, 375, 192},	// QGLFormat::majorVersion
    {30, 385, 193},	// QGLFormat::minorVersion
    {30, 392, 196},	// QGLFormat::openGLVersionFlags
    {30, 428, 142},	// QGLFormat::operator=#
    {30, 459, 181},	// QGLFormat::plane
    {30, 460, 195},	// QGLFormat::profile
    {30, 725, 148},	// QGLFormat::redBufferSize
    {30, 751, 167},	// QGLFormat::rgba
    {30, 752, 158},	// QGLFormat::sampleBuffers
    {30, 753, 160},	// QGLFormat::samples
    {30, 755, 172},	// QGLFormat::setAccum$
    {30, 757, 145},	// QGLFormat::setAccumBufferSize$
    {30, 759, 170},	// QGLFormat::setAlpha$
    {30, 761, 153},	// QGLFormat::setAlphaBufferSize$
    {30, 782, 151},	// QGLFormat::setBlueBufferSize$
    {30, 792, 186},	// QGLFormat::setDefaultFormat#
    {30, 794, 188},	// QGLFormat::setDefaultOverlayFormat#
    {30, 796, 166},	// QGLFormat::setDepth$
    {30, 798, 143},	// QGLFormat::setDepthBufferSize$
    {30, 802, 178},	// QGLFormat::setDirectRendering$
    {30, 804, 164},	// QGLFormat::setDoubleBuffer$
    {30, 820, 149},	// QGLFormat::setGreenBufferSize$
    {30, 832, 183},	// QGLFormat::setOption$
    {30, 834, 180},	// QGLFormat::setOverlay$
    {30, 836, 182},	// QGLFormat::setPlane$
    {30, 840, 194},	// QGLFormat::setProfile$
    {30, 842, 147},	// QGLFormat::setRedBufferSize$
    {30, 844, 168},	// QGLFormat::setRgba$
    {30, 846, 157},	// QGLFormat::setSampleBuffers$
    {30, 848, 159},	// QGLFormat::setSamples$
    {30, 850, 174},	// QGLFormat::setStencil$
    {30, 852, 155},	// QGLFormat::setStencilBufferSize$
    {30, 854, 176},	// QGLFormat::setStereo$
    {30, 856, 161},	// QGLFormat::setSwapInterval$
    {30, 878, 191},	// QGLFormat::setVersion$$
    {30, 890, 173},	// QGLFormat::stencil
    {30, 891, 156},	// QGLFormat::stencilBufferSize
    {30, 892, 175},	// QGLFormat::stereo
    {30, 895, 162},	// QGLFormat::swapInterval
    {30, 898, 184},	// QGLFormat::testOption$
    {30, 934, 219},	// QGLFormat::~QGLFormat
    {31, 5, 256},	// QGLFramebufferObject::CombinedDepthStencil
    {31, 10, 257},	// QGLFramebufferObject::Depth
    {31, 32, 255},	// QGLFramebufferObject::NoAttachment
    {31, 75, 245},	// QGLFramebufferObject::QGLFramebufferObject#
    {31, 76, 224},	// QGLFramebufferObject::QGLFramebufferObject##
    {31, 77, -202},	// QGLFramebufferObject::QGLFramebufferObject#$
    {31, 78, 248},	// QGLFramebufferObject::QGLFramebufferObject#$$
    {31, 79, 222},	// QGLFramebufferObject::QGLFramebufferObject#$$$
    {31, 80, 246},	// QGLFramebufferObject::QGLFramebufferObject$$
    {31, 81, 225},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {31, 82, -205},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {31, 83, 250},	// QGLFramebufferObject::QGLFramebufferObject$$$$
    {31, 84, 223},	// QGLFramebufferObject::QGLFramebufferObject$$$$$
    {31, 234, 234},	// QGLFramebufferObject::attachment
    {31, 239, 229},	// QGLFramebufferObject::bind
    {31, 243, 237},	// QGLFramebufferObject::bindDefault
    {31, 253, 253},	// QGLFramebufferObject::blitFramebuffer####
    {31, 254, 254},	// QGLFramebufferObject::blitFramebuffer####$
    {31, 255, 242},	// QGLFramebufferObject::blitFramebuffer####$$
    {31, 290, 244},	// QGLFramebufferObject::devType
    {31, 303, -208},	// QGLFramebufferObject::drawTexture#$
    {31, 304, -211},	// QGLFramebufferObject::drawTexture#$$
    {31, 328, 226},	// QGLFramebufferObject::format
    {31, 342, 236},	// QGLFramebufferObject::handle
    {31, 344, 241},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {31, 345, 238},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {31, 362, 228},	// QGLFramebufferObject::isBound
    {31, 368, 227},	// QGLFramebufferObject::isValid
    {31, 383, 243},	// QGLFramebufferObject::metric$
    {31, 453, 235},	// QGLFramebufferObject::paintEngine
    {31, 726, 230},	// QGLFramebufferObject::release
    {31, 886, 232},	// QGLFramebufferObject::size
    {31, 899, 231},	// QGLFramebufferObject::texture
    {31, 903, 233},	// QGLFramebufferObject::toImage
    {31, 935, 258},	// QGLFramebufferObject::~QGLFramebufferObject
    {32, 85, 259},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {32, 86, 260},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {32, 234, 267},	// QGLFramebufferObjectFormat::attachment
    {32, 361, 271},	// QGLFramebufferObjectFormat::internalTextureFormat
    {32, 386, 265},	// QGLFramebufferObjectFormat::mipmap
    {32, 394, 273},	// QGLFramebufferObjectFormat::operator!=#
    {32, 428, 261},	// QGLFramebufferObjectFormat::operator=#
    {32, 430, 272},	// QGLFramebufferObjectFormat::operator==#
    {32, 753, 263},	// QGLFramebufferObjectFormat::samples
    {32, 763, 266},	// QGLFramebufferObjectFormat::setAttachment$
    {32, 826, 270},	// QGLFramebufferObjectFormat::setInternalTextureFormat$
    {32, 828, 264},	// QGLFramebufferObjectFormat::setMipmap$
    {32, 848, 262},	// QGLFramebufferObjectFormat::setSamples$
    {32, 860, 268},	// QGLFramebufferObjectFormat::setTextureTarget$
    {32, 901, 269},	// QGLFramebufferObjectFormat::textureTarget
    {32, 936, 274},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {33, 88, 298},	// QGLPixelBuffer::QGLPixelBuffer#
    {33, 89, 299},	// QGLPixelBuffer::QGLPixelBuffer##
    {33, 90, 275},	// QGLPixelBuffer::QGLPixelBuffer###
    {33, 91, 300},	// QGLPixelBuffer::QGLPixelBuffer$$
    {33, 92, 301},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {33, 93, 276},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {33, 245, -879},	// QGLPixelBuffer::bindTexture#
    {33, 246, -882},	// QGLPixelBuffer::bindTexture#$
    {33, 249, 286},	// QGLPixelBuffer::bindTexture$
    {33, 251, 281},	// QGLPixelBuffer::bindToDynamicTexture$
    {33, 285, 287},	// QGLPixelBuffer::deleteTexture$
    {33, 290, 297},	// QGLPixelBuffer::devType
    {33, 297, 279},	// QGLPixelBuffer::doneCurrent
    {33, 303, -885},	// QGLPixelBuffer::drawTexture#$
    {33, 304, -888},	// QGLPixelBuffer::drawTexture#$$
    {33, 328, 294},	// QGLPixelBuffer::format
    {33, 329, 280},	// QGLPixelBuffer::generateDynamicTexture
    {33, 342, 291},	// QGLPixelBuffer::handle
    {33, 347, 295},	// QGLPixelBuffer::hasOpenGLPbuffers
    {33, 368, 277},	// QGLPixelBuffer::isValid
    {33, 376, 278},	// QGLPixelBuffer::makeCurrent
    {33, 383, 296},	// QGLPixelBuffer::metric$
    {33, 453, 293},	// QGLPixelBuffer::paintEngine
    {33, 728, 282},	// QGLPixelBuffer::releaseFromDynamicTexture
    {33, 886, 290},	// QGLPixelBuffer::size
    {33, 903, 292},	// QGLPixelBuffer::toImage
    {33, 921, 283},	// QGLPixelBuffer::updateDynamicTexture$
    {33, 937, 306},	// QGLPixelBuffer::~QGLPixelBuffer
    {34, 19, 333},	// QGLShader::Fragment
    {34, 20, 334},	// QGLShader::Geometry
    {34, 95, 328},	// QGLShader::QGLShader$
    {34, 96, -891},	// QGLShader::QGLShader$#
    {34, 97, 315},	// QGLShader::QGLShader$##
    {34, 210, 332},	// QGLShader::Vertex
    {34, 268, 318},	// QGLShader::compileSourceCode#
    {34, 269, -894},	// QGLShader::compileSourceCode$
    {34, 271, 320},	// QGLShader::compileSourceFile$
    {34, 351, 330},	// QGLShader::hasOpenGLShaders$
    {34, 352, 325},	// QGLShader::hasOpenGLShaders$#
    {34, 363, 322},	// QGLShader::isCompiled
    {34, 374, 323},	// QGLShader::log
    {34, 381, 307},	// QGLShader::metaObject
    {34, 709, 313},	// QGLShader::qt_metacall$$?
    {34, 711, 308},	// QGLShader::qt_metacast$
    {34, 882, 324},	// QGLShader::shaderId
    {34, 883, 316},	// QGLShader::shaderType
    {34, 888, 321},	// QGLShader::sourceCode
    {34, 889, 331},	// QGLShader::staticMetaObject
    {34, 905, 326},	// QGLShader::tr$
    {34, 906, 309},	// QGLShader::tr$$
    {34, 907, 311},	// QGLShader::tr$$$
    {34, 909, 327},	// QGLShader::trUtf8$
    {34, 910, 310},	// QGLShader::trUtf8$$
    {34, 911, 312},	// QGLShader::trUtf8$$$
    {34, 938, 335},	// QGLShader::~QGLShader
    {35, 98, 496},	// QGLShaderProgram::QGLShaderProgram
    {35, 99, -1},	// QGLShaderProgram::QGLShaderProgram#
    {35, 100, 344},	// QGLShaderProgram::QGLShaderProgram##
    {35, 221, 345},	// QGLShaderProgram::addShader#
    {35, 223, 349},	// QGLShaderProgram::addShaderFromSourceCode$#
    {35, 224, -4},	// QGLShaderProgram::addShaderFromSourceCode$$
    {35, 226, 351},	// QGLShaderProgram::addShaderFromSourceFile$$
    {35, 236, 370},	// QGLShaderProgram::attributeLocation#
    {35, 237, -7},	// QGLShaderProgram::attributeLocation$
    {35, 239, 356},	// QGLShaderProgram::bind
    {35, 241, 367},	// QGLShaderProgram::bindAttributeLocation#$
    {35, 242, -10},	// QGLShaderProgram::bindAttributeLocation$$
    {35, 295, -13},	// QGLShaderProgram::disableAttributeArray$
    {35, 307, -16},	// QGLShaderProgram::enableAttributeArray$
    {35, 332, 363},	// QGLShaderProgram::geometryInputType
    {35, 333, 365},	// QGLShaderProgram::geometryOutputType
    {35, 334, 361},	// QGLShaderProgram::geometryOutputVertexCount
    {35, 348, 510},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {35, 349, 493},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {35, 366, 354},	// QGLShaderProgram::isLinked
    {35, 373, 353},	// QGLShaderProgram::link
    {35, 374, 355},	// QGLShaderProgram::log
    {35, 380, 359},	// QGLShaderProgram::maxGeometryOutputVertices
    {35, 381, 336},	// QGLShaderProgram::metaObject
    {35, 461, 358},	// QGLShaderProgram::programId
    {35, 709, 342},	// QGLShaderProgram::qt_metacall$$?
    {35, 711, 337},	// QGLShaderProgram::qt_metacast$
    {35, 726, 357},	// QGLShaderProgram::release
    {35, 729, 352},	// QGLShaderProgram::removeAllShaders
    {35, 731, 346},	// QGLShaderProgram::removeShader#
    {35, 765, -19},	// QGLShaderProgram::setAttributeArray$#
    {35, 766, -26},	// QGLShaderProgram::setAttributeArray$#$
    {35, 767, -33},	// QGLShaderProgram::setAttributeArray$$$
    {35, 768, -36},	// QGLShaderProgram::setAttributeArray$$$$
    {35, 769, -41},	// QGLShaderProgram::setAttributeArray$$$$$
    {35, 771, -44},	// QGLShaderProgram::setAttributeBuffer$$$$
    {35, 772, -47},	// QGLShaderProgram::setAttributeBuffer$$$$$
    {35, 774, -50},	// QGLShaderProgram::setAttributeValue$#
    {35, 775, -59},	// QGLShaderProgram::setAttributeValue$$
    {35, 776, -62},	// QGLShaderProgram::setAttributeValue$$$
    {35, 777, -65},	// QGLShaderProgram::setAttributeValue$$$$
    {35, 778, -70},	// QGLShaderProgram::setAttributeValue$$$$$
    {35, 814, 362},	// QGLShaderProgram::setGeometryInputType$
    {35, 816, 364},	// QGLShaderProgram::setGeometryOutputType$
    {35, 818, 360},	// QGLShaderProgram::setGeometryOutputVertexCount$
    {35, 862, -73},	// QGLShaderProgram::setUniformValue$#
    {35, 863, -94},	// QGLShaderProgram::setUniformValue$$
    {35, 864, -107},	// QGLShaderProgram::setUniformValue$$$
    {35, 865, -110},	// QGLShaderProgram::setUniformValue$$$$
    {35, 866, -113},	// QGLShaderProgram::setUniformValue$$$$$
    {35, 867, -116},	// QGLShaderProgram::setUniformValue$?
    {35, 869, -133},	// QGLShaderProgram::setUniformValueArray$#$
    {35, 870, -142},	// QGLShaderProgram::setUniformValueArray$$$
    {35, 871, -147},	// QGLShaderProgram::setUniformValueArray$$$$
    {35, 872, -150},	// QGLShaderProgram::setUniformValueArray$?$
    {35, 884, 347},	// QGLShaderProgram::shaders
    {35, 889, 511},	// QGLShaderProgram::staticMetaObject
    {35, 905, 494},	// QGLShaderProgram::tr$
    {35, 906, 338},	// QGLShaderProgram::tr$$
    {35, 907, 340},	// QGLShaderProgram::tr$$$
    {35, 909, 495},	// QGLShaderProgram::trUtf8$
    {35, 910, 339},	// QGLShaderProgram::trUtf8$$
    {35, 911, 341},	// QGLShaderProgram::trUtf8$$$
    {35, 917, 407},	// QGLShaderProgram::uniformLocation#
    {35, 918, -167},	// QGLShaderProgram::uniformLocation$
    {35, 939, 512},	// QGLShaderProgram::~QGLShaderProgram
    {36, 101, 572},	// QGLWidget::QGLWidget
    {36, 102, -170},	// QGLWidget::QGLWidget#
    {36, 103, -174},	// QGLWidget::QGLWidget##
    {36, 104, -178},	// QGLWidget::QGLWidget###
    {36, 105, -181},	// QGLWidget::QGLWidget###$
    {36, 106, 520},	// QGLWidget::QGLWidget##$
    {36, 238, 564},	// QGLWidget::autoBufferSwap
    {36, 245, -184},	// QGLWidget::bindTexture#
    {36, 246, -187},	// QGLWidget::bindTexture#$
    {36, 247, -190},	// QGLWidget::bindTexture#$$
    {36, 248, -193},	// QGLWidget::bindTexture#$$$
    {36, 249, 550},	// QGLWidget::bindTexture$
    {36, 266, 541},	// QGLWidget::colormap
    {36, 273, 533},	// QGLWidget::context
    {36, 276, 539},	// QGLWidget::convertToGLFormat#
    {36, 285, 551},	// QGLWidget::deleteTexture$
    {36, 297, 528},	// QGLWidget::doneCurrent
    {36, 298, 529},	// QGLWidget::doubleBuffer
    {36, 303, -196},	// QGLWidget::drawTexture#$
    {36, 304, -199},	// QGLWidget::drawTexture#$$
    {36, 315, 556},	// QGLWidget::event#
    {36, 326, 597},	// QGLWidget::fontDisplayListBase#
    {36, 327, 569},	// QGLWidget::fontDisplayListBase#$
    {36, 328, 531},	// QGLWidget::format
    {36, 337, 568},	// QGLWidget::glDraw
    {36, 338, 567},	// QGLWidget::glInit
    {36, 339, 586},	// QGLWidget::grabFrameBuffer
    {36, 340, 536},	// QGLWidget::grabFrameBuffer$
    {36, 356, 557},	// QGLWidget::initializeGL
    {36, 357, 560},	// QGLWidget::initializeOverlayGL
    {36, 367, 526},	// QGLWidget::isSharing
    {36, 368, 525},	// QGLWidget::isValid
    {36, 376, 527},	// QGLWidget::makeCurrent
    {36, 377, 537},	// QGLWidget::makeOverlayCurrent
    {36, 381, 513},	// QGLWidget::metaObject
    {36, 451, 538},	// QGLWidget::overlayContext
    {36, 453, 545},	// QGLWidget::paintEngine
    {36, 455, 565},	// QGLWidget::paintEvent#
    {36, 456, 559},	// QGLWidget::paintGL
    {36, 457, 562},	// QGLWidget::paintOverlayGL
    {36, 664, 524},	// QGLWidget::qglClearColor#
    {36, 666, 523},	// QGLWidget::qglColor#
    {36, 709, 519},	// QGLWidget::qt_metacall$$?
    {36, 711, 514},	// QGLWidget::qt_metacast$
    {36, 732, 583},	// QGLWidget::renderPixmap
    {36, 733, 584},	// QGLWidget::renderPixmap$
    {36, 734, 585},	// QGLWidget::renderPixmap$$
    {36, 735, 535},	// QGLWidget::renderPixmap$$$
    {36, 737, 587},	// QGLWidget::renderText$$$
    {36, 738, 588},	// QGLWidget::renderText$$$#
    {36, 739, 543},	// QGLWidget::renderText$$$#$
    {36, 740, 589},	// QGLWidget::renderText$$$$
    {36, 741, 590},	// QGLWidget::renderText$$$$#
    {36, 742, 544},	// QGLWidget::renderText$$$$#$
    {36, 746, 566},	// QGLWidget::resizeEvent#
    {36, 748, 558},	// QGLWidget::resizeGL$$
    {36, 750, 561},	// QGLWidget::resizeOverlayGL$$
    {36, 780, 563},	// QGLWidget::setAutoBufferSwap$
    {36, 784, 542},	// QGLWidget::setColormap#
    {36, 786, 581},	// QGLWidget::setContext#
    {36, 787, 582},	// QGLWidget::setContext##
    {36, 788, 534},	// QGLWidget::setContext##$
    {36, 812, 532},	// QGLWidget::setFormat#
    {36, 830, 540},	// QGLWidget::setMouseTracking$
    {36, 889, 598},	// QGLWidget::staticMetaObject
    {36, 894, 530},	// QGLWidget::swapBuffers
    {36, 905, 570},	// QGLWidget::tr$
    {36, 906, 515},	// QGLWidget::tr$$
    {36, 907, 517},	// QGLWidget::tr$$$
    {36, 909, 571},	// QGLWidget::trUtf8$
    {36, 910, 516},	// QGLWidget::trUtf8$$
    {36, 911, 518},	// QGLWidget::trUtf8$$$
    {36, 922, 554},	// QGLWidget::updateGL
    {36, 923, 555},	// QGLWidget::updateOverlayGL
    {36, 940, 599},	// QGLWidget::~QGLWidget
    {37, 107, 1468},	// QGlobalSpace::QtCriticalMsg
    {37, 108, 1466},	// QGlobalSpace::QtDebugMsg
    {37, 109, 1469},	// QGlobalSpace::QtFatalMsg
    {37, 110, 1470},	// QGlobalSpace::QtSystemMsg
    {37, 111, 1467},	// QGlobalSpace::QtWarningMsg
    {37, 115, 1444},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {37, 116, 1445},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {37, 117, 1446},	// QGlobalSpace::SP_CustomCameraPauseButton
    {37, 118, 1447},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {37, 119, 1448},	// QGlobalSpace::SP_CustomCameraPlayButton
    {37, 120, 1449},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {37, 121, 1450},	// QGlobalSpace::SP_CustomCameraRecButton
    {37, 122, 1451},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {37, 123, 1452},	// QGlobalSpace::SP_CustomCameraStopButton
    {37, 124, 1453},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {37, 125, 1454},	// QGlobalSpace::SP_CustomTabAll
    {37, 126, 1455},	// QGlobalSpace::SP_CustomTabArtist
    {37, 127, 1456},	// QGlobalSpace::SP_CustomTabFavourite
    {37, 128, 1457},	// QGlobalSpace::SP_CustomTabGenre
    {37, 129, 1458},	// QGlobalSpace::SP_CustomTabLanguage
    {37, 130, 1459},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {37, 131, 1460},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {37, 132, 1461},	// QGlobalSpace::SP_CustomTabPhotosAll
    {37, 133, 1462},	// QGlobalSpace::SP_CustomTabPlaylist
    {37, 134, 1463},	// QGlobalSpace::SP_CustomTabServices
    {37, 135, 1464},	// QGlobalSpace::SP_CustomTabSongs
    {37, 136, 1465},	// QGlobalSpace::SP_CustomTabVideos
    {37, 137, 1381},	// QGlobalSpace::SP_CustomToolBarAdd
    {37, 138, 1382},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {37, 139, 1383},	// QGlobalSpace::SP_CustomToolBarAgain
    {37, 140, 1384},	// QGlobalSpace::SP_CustomToolBarAgenda
    {37, 141, 1385},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {37, 142, 1386},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {37, 143, 1387},	// QGlobalSpace::SP_CustomToolBarBack
    {37, 144, 1388},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {37, 145, 1389},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {37, 146, 1390},	// QGlobalSpace::SP_CustomToolBarCancel
    {37, 147, 1391},	// QGlobalSpace::SP_CustomToolBarDelete
    {37, 148, 1392},	// QGlobalSpace::SP_CustomToolBarDone
    {37, 149, 1393},	// QGlobalSpace::SP_CustomToolBarEdit
    {37, 150, 1394},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {37, 151, 1395},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {37, 152, 1396},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {37, 153, 1397},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {37, 154, 1398},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {37, 155, 1399},	// QGlobalSpace::SP_CustomToolBarFavourites
    {37, 156, 1400},	// QGlobalSpace::SP_CustomToolBarGo
    {37, 157, 1401},	// QGlobalSpace::SP_CustomToolBarHome
    {37, 158, 1402},	// QGlobalSpace::SP_CustomToolBarImageTools
    {37, 159, 1403},	// QGlobalSpace::SP_CustomToolBarList
    {37, 160, 1404},	// QGlobalSpace::SP_CustomToolBarLock
    {37, 161, 1405},	// QGlobalSpace::SP_CustomToolBarLogs
    {37, 162, 1406},	// QGlobalSpace::SP_CustomToolBarMenu
    {37, 163, 1407},	// QGlobalSpace::SP_CustomToolBarNewContact
    {37, 164, 1408},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {37, 165, 1409},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {37, 166, 1410},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {37, 167, 1411},	// QGlobalSpace::SP_CustomToolBarOptions
    {37, 168, 1412},	// QGlobalSpace::SP_CustomToolBarOther
    {37, 169, 1413},	// QGlobalSpace::SP_CustomToolBarOvi
    {37, 170, 1414},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {37, 171, 1415},	// QGlobalSpace::SP_CustomToolBarRead
    {37, 172, 1417},	// QGlobalSpace::SP_CustomToolBarRedo
    {37, 173, 1416},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {37, 174, 1418},	// QGlobalSpace::SP_CustomToolBarRefresh
    {37, 175, 1419},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {37, 176, 1420},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {37, 177, 1421},	// QGlobalSpace::SP_CustomToolBarRepeat
    {37, 178, 1422},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {37, 179, 1423},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {37, 180, 1424},	// QGlobalSpace::SP_CustomToolBarSearch
    {37, 181, 1425},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {37, 182, 1426},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {37, 183, 1427},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {37, 184, 1428},	// QGlobalSpace::SP_CustomToolBarSend
    {37, 185, 1429},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {37, 186, 1430},	// QGlobalSpace::SP_CustomToolBarShare
    {37, 187, 1431},	// QGlobalSpace::SP_CustomToolBarShift
    {37, 188, 1432},	// QGlobalSpace::SP_CustomToolBarShuffle
    {37, 189, 1433},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {37, 190, 1434},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {37, 191, 1435},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {37, 192, 1436},	// QGlobalSpace::SP_CustomToolBarSync
    {37, 193, 1437},	// QGlobalSpace::SP_CustomToolBarTools
    {37, 194, 1438},	// QGlobalSpace::SP_CustomToolBarTrim
    {37, 195, 1439},	// QGlobalSpace::SP_CustomToolBarUnlock
    {37, 196, 1440},	// QGlobalSpace::SP_CustomToolBarUnmark
    {37, 197, 1441},	// QGlobalSpace::SP_CustomToolBarView
    {37, 198, 1442},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {37, 199, 1443},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {37, 213, 1473},	// QGlobalSpace::__codecvt_error
    {37, 214, 1474},	// QGlobalSpace::__codecvt_noconv
    {37, 215, 1471},	// QGlobalSpace::__codecvt_ok
    {37, 216, 1472},	// QGlobalSpace::__codecvt_partial
    {37, 395, -214},	// QGlobalSpace::operator!=##
    {37, 396, -235},	// QGlobalSpace::operator!=#$
    {37, 397, -241},	// QGlobalSpace::operator!=$#
    {37, 399, 999},	// QGlobalSpace::operator&##
    {37, 401, -247},	// QGlobalSpace::operator*##
    {37, 402, -277},	// QGlobalSpace::operator*#$
    {37, 403, -290},	// QGlobalSpace::operator*$#
    {37, 405, -302},	// QGlobalSpace::operator+##
    {37, 406, -313},	// QGlobalSpace::operator+#$
    {37, 407, -318},	// QGlobalSpace::operator+$#
    {37, 408, 1359},	// QGlobalSpace::operator+$$
    {37, 410, -322},	// QGlobalSpace::operator-#
    {37, 411, -330},	// QGlobalSpace::operator-##
    {37, 412, 693},	// QGlobalSpace::operator-#$
    {37, 414, -340},	// QGlobalSpace::operator/#$
    {37, 416, -351},	// QGlobalSpace::operator<##
    {37, 417, 1060},	// QGlobalSpace::operator<#$
    {37, 418, 670},	// QGlobalSpace::operator<$#
    {37, 420, -355},	// QGlobalSpace::operator<<##
    {37, 421, -449},	// QGlobalSpace::operator<<#$
    {37, 422, 1021},	// QGlobalSpace::operator<<#?
    {37, 424, -460},	// QGlobalSpace::operator<=##
    {37, 425, 781},	// QGlobalSpace::operator<=#$
    {37, 426, 1036},	// QGlobalSpace::operator<=$#
    {37, 431, -464},	// QGlobalSpace::operator==##
    {37, 432, -486},	// QGlobalSpace::operator==#$
    {37, 433, -493},	// QGlobalSpace::operator==$#
    {37, 435, -500},	// QGlobalSpace::operator>##
    {37, 436, 1369},	// QGlobalSpace::operator>#$
    {37, 437, 638},	// QGlobalSpace::operator>$#
    {37, 439, -504},	// QGlobalSpace::operator>=##
    {37, 440, 632},	// QGlobalSpace::operator>=#$
    {37, 441, 1000},	// QGlobalSpace::operator>=$#
    {37, 443, -508},	// QGlobalSpace::operator>>##
    {37, 444, -560},	// QGlobalSpace::operator>>#$
    {37, 445, 900},	// QGlobalSpace::operator>>#?
    {37, 447, 785},	// QGlobalSpace::operator^##
    {37, 449, 1221},	// QGlobalSpace::operator|##
    {37, 450, -563},	// QGlobalSpace::operator|$$
    {37, 462, 981},	// QGlobalSpace::qAccessibleActionCastHelper
    {37, 463, 688},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {37, 464, 1086},	// QGlobalSpace::qAccessibleImageCastHelper
    {37, 465, 895},	// QGlobalSpace::qAccessibleTable2CastHelper
    {37, 466, 853},	// QGlobalSpace::qAccessibleTableCastHelper
    {37, 467, 768},	// QGlobalSpace::qAccessibleTextCastHelper
    {37, 468, 601},	// QGlobalSpace::qAccessibleValueCastHelper
    {37, 470, 1164},	// QGlobalSpace::qAcos$
    {37, 472, 1032},	// QGlobalSpace::qAddPostRoutine$
    {37, 474, 725},	// QGlobalSpace::qAlpha$
    {37, 475, 1044},	// QGlobalSpace::qAppName
    {37, 477, 1209},	// QGlobalSpace::qAsin$
    {37, 479, 1269},	// QGlobalSpace::qAtan$
    {37, 481, 630},	// QGlobalSpace::qAtan2$$
    {37, 482, 1173},	// QGlobalSpace::qBadAlloc
    {37, 484, 907},	// QGlobalSpace::qBlue$
    {37, 486, 1077},	// QGlobalSpace::qCeil$
    {37, 488, 891},	// QGlobalSpace::qChecksum$$
    {37, 490, 1187},	// QGlobalSpace::qCompress#
    {37, 491, 1186},	// QGlobalSpace::qCompress#$
    {37, 492, 1034},	// QGlobalSpace::qCompress$$
    {37, 493, 1033},	// QGlobalSpace::qCompress$$$
    {37, 495, 677},	// QGlobalSpace::qCos$
    {37, 496, 1009},	// QGlobalSpace::qCritical
    {37, 497, 1096},	// QGlobalSpace::qDebug
    {37, 499, 892},	// QGlobalSpace::qDrawBorderPixmap####
    {37, 500, 1356},	// QGlobalSpace::qDrawBorderPixmap######
    {37, 501, 1357},	// QGlobalSpace::qDrawBorderPixmap#######
    {37, 502, 1355},	// QGlobalSpace::qDrawBorderPixmap#######$
    {37, 504, 1250},	// QGlobalSpace::qDrawPlainRect###
    {37, 505, 1251},	// QGlobalSpace::qDrawPlainRect###$
    {37, 506, 1249},	// QGlobalSpace::qDrawPlainRect###$#
    {37, 507, 856},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {37, 508, 857},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {37, 509, 855},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {37, 511, 1278},	// QGlobalSpace::qDrawShadeLine####
    {37, 512, 1279},	// QGlobalSpace::qDrawShadeLine####$
    {37, 513, 1280},	// QGlobalSpace::qDrawShadeLine####$$
    {37, 514, 1277},	// QGlobalSpace::qDrawShadeLine####$$$
    {37, 515, 1202},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {37, 516, 1203},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {37, 517, 1204},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {37, 518, 1201},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {37, 520, 932},	// QGlobalSpace::qDrawShadePanel###
    {37, 521, 933},	// QGlobalSpace::qDrawShadePanel###$
    {37, 522, 934},	// QGlobalSpace::qDrawShadePanel###$$
    {37, 523, 931},	// QGlobalSpace::qDrawShadePanel###$$#
    {37, 524, 954},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {37, 525, 955},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {37, 526, 956},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {37, 527, 953},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {37, 529, 878},	// QGlobalSpace::qDrawShadeRect###
    {37, 530, 879},	// QGlobalSpace::qDrawShadeRect###$
    {37, 531, 880},	// QGlobalSpace::qDrawShadeRect###$$
    {37, 532, 881},	// QGlobalSpace::qDrawShadeRect###$$$
    {37, 533, 877},	// QGlobalSpace::qDrawShadeRect###$$$#
    {37, 534, 1177},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {37, 535, 1178},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {37, 536, 1179},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {37, 537, 1180},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {37, 538, 1176},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {37, 540, 913},	// QGlobalSpace::qDrawWinButton###
    {37, 541, 914},	// QGlobalSpace::qDrawWinButton###$
    {37, 542, 912},	// QGlobalSpace::qDrawWinButton###$#
    {37, 543, 1225},	// QGlobalSpace::qDrawWinButton#$$$$#
    {37, 544, 1226},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {37, 545, 1224},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {37, 547, 1145},	// QGlobalSpace::qDrawWinPanel###
    {37, 548, 1146},	// QGlobalSpace::qDrawWinPanel###$
    {37, 549, 1144},	// QGlobalSpace::qDrawWinPanel###$#
    {37, 550, 707},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {37, 551, 708},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {37, 552, 706},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {37, 554, 873},	// QGlobalSpace::qExp$
    {37, 556, 1150},	// QGlobalSpace::qFabs$
    {37, 558, 801},	// QGlobalSpace::qFastCos$
    {37, 560, 1037},	// QGlobalSpace::qFastSin$
    {37, 562, 816},	// QGlobalSpace::qFlagLocation$
    {37, 564, 756},	// QGlobalSpace::qFloor$
    {37, 566, 1050},	// QGlobalSpace::qFree$
    {37, 568, 1055},	// QGlobalSpace::qFreeAligned$
    {37, 570, -810},	// QGlobalSpace::qFuzzyCompare##
    {37, 571, -818},	// QGlobalSpace::qFuzzyCompare$$
    {37, 573, -821},	// QGlobalSpace::qFuzzyIsNull$
    {37, 575, 822},	// QGlobalSpace::qGray$
    {37, 576, 728},	// QGlobalSpace::qGray$$$
    {37, 578, 1103},	// QGlobalSpace::qGreen$
    {37, 580, -824},	// QGlobalSpace::qHash#
    {37, 581, -833},	// QGlobalSpace::qHash$
    {37, 582, 1317},	// QGlobalSpace::qInf
    {37, 584, 796},	// QGlobalSpace::qInstallMsgHandler$
    {37, 586, -846},	// QGlobalSpace::qIntCast$
    {37, 588, -849},	// QGlobalSpace::qIsFinite$
    {37, 590, 1243},	// QGlobalSpace::qIsGray$
    {37, 592, -852},	// QGlobalSpace::qIsInf$
    {37, 594, -855},	// QGlobalSpace::qIsNaN$
    {37, 596, -858},	// QGlobalSpace::qIsNull$
    {37, 598, 875},	// QGlobalSpace::qLn$
    {37, 600, 897},	// QGlobalSpace::qMalloc$
    {37, 602, 1097},	// QGlobalSpace::qMallocAligned$$
    {37, 604, 611},	// QGlobalSpace::qMemCopy$$$
    {37, 606, 1141},	// QGlobalSpace::qMemSet$$$
    {37, 608, 1104},	// QGlobalSpace::qPow$$
    {37, 609, 898},	// QGlobalSpace::qQNaN
    {37, 611, 788},	// QGlobalSpace::qRealloc$$
    {37, 613, 773},	// QGlobalSpace::qReallocAligned$$$$
    {37, 615, 754},	// QGlobalSpace::qRed$
    {37, 617, 887},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {37, 619, 1331},	// QGlobalSpace::qRemovePostRoutine$
    {37, 621, 841},	// QGlobalSpace::qRgb$$$
    {37, 623, 1008},	// QGlobalSpace::qRgba$$$$
    {37, 625, 1316},	// QGlobalSpace::qRound$
    {37, 627, 795},	// QGlobalSpace::qRound64$
    {37, 628, 1284},	// QGlobalSpace::qSNaN
    {37, 630, 748},	// QGlobalSpace::qSetFieldWidth$
    {37, 632, 642},	// QGlobalSpace::qSetPadChar#
    {37, 634, 872},	// QGlobalSpace::qSetRealNumberPrecision$
    {37, 635, 682},	// QGlobalSpace::qSharedBuild
    {37, 637, 1216},	// QGlobalSpace::qSin$
    {37, 639, 797},	// QGlobalSpace::qSqrt$
    {37, 641, 1082},	// QGlobalSpace::qStringComparisonHelper#$
    {37, 643, 746},	// QGlobalSpace::qTan$
    {37, 645, 973},	// QGlobalSpace::qUncompress#
    {37, 646, 744},	// QGlobalSpace::qUncompress$$
    {37, 647, 1045},	// QGlobalSpace::qVersion
    {37, 648, 1341},	// QGlobalSpace::qWarning
    {37, 650, 766},	// QGlobalSpace::qbswap_helper$$$
    {37, 652, 718},	// QGlobalSpace::qecvt$$$$
    {37, 654, 1102},	// QGlobalSpace::qecvt_r$$$$$$
    {37, 656, 835},	// QGlobalSpace::qfcvt$$$$
    {37, 658, 1158},	// QGlobalSpace::qfcvt_r$$$$$$
    {37, 660, 1159},	// QGlobalSpace::qgcvt$$$
    {37, 662, 634},	// QGlobalSpace::qgetenv$
    {37, 668, 901},	// QGlobalSpace::qputenv$#
    {37, 669, 991},	// QGlobalSpace::qrand
    {37, 671, 1160},	// QGlobalSpace::qsort$$$$
    {37, 673, 915},	// QGlobalSpace::qsrand$
    {37, 675, 1153},	// QGlobalSpace::qstrcmp##
    {37, 676, 1329},	// QGlobalSpace::qstrcmp#$
    {37, 677, 627},	// QGlobalSpace::qstrcmp$#
    {37, 678, 674},	// QGlobalSpace::qstrcmp$$
    {37, 680, 861},	// QGlobalSpace::qstrcpy$$
    {37, 682, 1083},	// QGlobalSpace::qstrdup$
    {37, 684, 1312},	// QGlobalSpace::qstricmp$$
    {37, 686, 1342},	// QGlobalSpace::qstrlen$
    {37, 688, 745},	// QGlobalSpace::qstrncmp$$$
    {37, 690, 968},	// QGlobalSpace::qstrncpy$$$
    {37, 692, 935},	// QGlobalSpace::qstrnicmp$$$
    {37, 694, 610},	// QGlobalSpace::qstrnlen$$
    {37, 696, 1236},	// QGlobalSpace::qtTrId$
    {37, 697, 1235},	// QGlobalSpace::qtTrId$$
    {37, 699, 831},	// QGlobalSpace::qt_assert$$$
    {37, 701, 997},	// QGlobalSpace::qt_assert_x$$$$
    {37, 703, 1143},	// QGlobalSpace::qt_check_pointer$$
    {37, 704, 737},	// QGlobalSpace::qt_error_string
    {37, 705, 736},	// QGlobalSpace::qt_error_string$
    {37, 707, 1362},	// QGlobalSpace::qt_message_output$$
    {37, 712, 612},	// QGlobalSpace::qt_noop
    {37, 714, 952},	// QGlobalSpace::qt_qFindChild_helper#$#
    {37, 716, 1267},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {37, 718, 882},	// QGlobalSpace::quick_exit$
    {37, 720, 1259},	// QGlobalSpace::qvariant_cast_helper#$$
    {37, 722, 1137},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 112,
        __smokeqtopengl::methods, 1524,
        __smokeqtopengl::methodMaps, 757,
        __smokeqtopengl::methodNames, 940,
        __smokeqtopengl::types, 524,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
