#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 19: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 20: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QMenu
      switch(to) {
        case 21: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 22:   //QMetaObject
      switch(to) {
        case 22: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 23:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 23: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 24: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QNetworkAccessManager
      switch(to) {
        case 28: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 25: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkReply
      switch(to) {
        case 26: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkRequest
      switch(to) {
        case 27: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 28:   //QObject
      switch(to) {
        case 28: return (void*)(QObject*)xptr;
        case 55: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebPage*)(QObject*)xptr;
        case 68: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 76: return (void*)(QWebView*)(QObject*)xptr;
        case 58: return (void*)(QWebInspector*)(QObject*)xptr;
        case 53: return (void*)(QWebFrame*)(QObject*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEngine
      switch(to) {
        case 29: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 30: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QPainter
      switch(to) {
        case 31: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 32:   //QPalette
      switch(to) {
        case 32: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 33:   //QPixmap
      switch(to) {
        case 33: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 34:   //QPoint
      switch(to) {
        case 34: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 35:   //QPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 36:   //QRect
      switch(to) {
        case 36: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 37:   //QRegExp
      switch(to) {
        case 37: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 38:   //QRegion
      switch(to) {
        case 38: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 39:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 39: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 40: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QSize
      switch(to) {
        case 41: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 42:   //QStyle
      switch(to) {
        case 42: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 43:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 43: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 44: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QUndoStack
      switch(to) {
        case 45: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 46:   //QUrl
      switch(to) {
        case 46: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 47:   //QVariant
      switch(to) {
        case 47: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 48:   //QWebDatabase
      switch(to) {
        case 48: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 49:   //QWebElement
      switch(to) {
        case 49: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElementCollection
      switch(to) {
        case 50: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection::const_iterator
      switch(to) {
        case 51: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebFrame
      switch(to) {
        case 28: return (void*)(QObject*)(QWebFrame*)xptr;
        case 53: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 54:   //QWebHistory
      switch(to) {
        case 54: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistoryInterface
      switch(to) {
        case 28: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 55: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryItem
      switch(to) {
        case 56: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHitTestResult
      switch(to) {
        case 57: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 58:   //QWebInspector
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 28: return (void*)(QObject*)(QWebInspector*)xptr;
        case 58: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 59:   //QWebPage
      switch(to) {
        case 28: return (void*)(QObject*)(QWebPage*)xptr;
        case 59: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 60: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 62: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 62: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 60: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ViewportAttributes
      switch(to) {
        case 66: return (void*)(QWebPage::ViewportAttributes*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPagePrivate
      switch(to) {
        case 67: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPluginFactory
      switch(to) {
        case 28: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 68: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 69: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::MimeType
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::Plugin
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 73:   //QWebSecurityOrigin
      switch(to) {
        case 73: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSettings
      switch(to) {
        case 74: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettingsPrivate
      switch(to) {
        case 75: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 76:   //QWebView
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebView*)xptr;
        case 28: return (void*)(QObject*)(QWebView*)xptr;
        case 76: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 77:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 77: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QWidget
      switch(to) {
        case 28: return (void*)(QObject*)(QWidget*)xptr;
        case 78: return (void*)(QWidget*)xptr;
        case 76: return (void*)(QWebView*)(QWidget*)xptr;
        case 58: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QObject
    78, 0,	// 3: QWidget
    64, 0,	// 5: QWebPage::ExtensionOption
    65, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ViewportAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QMenu", true, 0, 0, 0, 0, 0 },	//21
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//22
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//27
    { "QObject", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QPainter", true, 0, 0, 0, 0, 0 },	//31
    { "QPalette", true, 0, 0, 0, 0, 0 },	//32
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//33
    { "QPoint", true, 0, 0, 0, 0, 0 },	//34
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//35
    { "QRect", true, 0, 0, 0, 0, 0 },	//36
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//37
    { "QRegion", true, 0, 0, 0, 0, 0 },	//38
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QSize", true, 0, 0, 0, 0, 0 },	//41
    { "QStyle", true, 0, 0, 0, 0, 0 },	//42
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//45
    { "QUrl", true, 0, 0, 0, 0, 0 },	//46
    { "QVariant", true, 0, 0, 0, 0, 0 },	//47
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//48
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//49
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//50
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//51
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//52
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//53
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//54
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//55
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//56
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//57
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//58
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//59
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//61
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//62
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//63
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//64
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//65
    { "QWebPage::ViewportAttributes", false, 0, xcall_QWebPage__ViewportAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ViewportAttributes) },	//66
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//67
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//68
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//69
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//70
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//71
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//72
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//73
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//74
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//75
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//76
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QWidget", true, 0, 0, 0, 0, 0 },	//78
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//19
    { "QInputMethodEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//22
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//23
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//26
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//28
    { "QMenu*", 21, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QMetaObject::Call", 22, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QMouseEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMoveEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//33
    { "QNetworkAccessManager*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QNetworkAccessManager::Operation", 25, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QNetworkReply*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkRequest", 27, Smoke::t_class|Smoke::tf_stack },	//37
    { "QObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QPaintEngine*", 29, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QPaintEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QPainter*", 31, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPainter::RenderHint", 31, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QPalette", 32, Smoke::t_class|Smoke::tf_stack },	//44
    { "QPixmap", 33, Smoke::t_class|Smoke::tf_stack },	//45
    { "QPoint", 34, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPrinter*", 35, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QRect", 36, Smoke::t_class|Smoke::tf_stack },	//48
    { "QRegExp&", 37, Smoke::t_class|Smoke::tf_ref },	//49
    { "QResizeEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QShowEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QSize", 41, Smoke::t_class|Smoke::tf_stack },	//53
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//55
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//56
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//58
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//59
    { "QStyle&", 42, Smoke::t_class|Smoke::tf_ref },	//60
    { "QTabletEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QTimerEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QUndoStack*", 45, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QUrl", 46, Smoke::t_class|Smoke::tf_stack },	//64
    { "QUrl&", 46, Smoke::t_class|Smoke::tf_ref },	//65
    { "QVariant", 47, Smoke::t_class|Smoke::tf_stack },	//66
    { "QWebDatabase", 48, Smoke::t_class|Smoke::tf_stack },	//67
    { "QWebDatabase&", 48, Smoke::t_class|Smoke::tf_ref },	//68
    { "QWebDatabase*", 48, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QWebElement", 49, Smoke::t_class|Smoke::tf_stack },	//70
    { "QWebElement&", 49, Smoke::t_class|Smoke::tf_ref },	//71
    { "QWebElement*", 49, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QWebElement::StyleResolveStrategy", 49, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QWebElementCollection", 50, Smoke::t_class|Smoke::tf_stack },	//74
    { "QWebElementCollection&", 50, Smoke::t_class|Smoke::tf_ref },	//75
    { "QWebElementCollection*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QWebElementCollection::const_iterator", 51, Smoke::t_class|Smoke::tf_stack },	//77
    { "QWebElementCollection::const_iterator&", 51, Smoke::t_class|Smoke::tf_ref },	//78
    { "QWebElementCollection::const_iterator*", 51, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QWebElementCollection::iterator", 52, Smoke::t_class|Smoke::tf_stack },	//80
    { "QWebElementCollection::iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//81
    { "QWebElementCollection::iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QWebFrame*", 53, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QWebFrame::RenderLayer", 53, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QWebHistory*", 54, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QWebHistoryInterface*", 55, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QWebHistoryItem", 56, Smoke::t_class|Smoke::tf_stack },	//87
    { "QWebHistoryItem&", 56, Smoke::t_class|Smoke::tf_ref },	//88
    { "QWebHistoryItem*", 56, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QWebHitTestResult", 57, Smoke::t_class|Smoke::tf_stack },	//90
    { "QWebHitTestResult&", 57, Smoke::t_class|Smoke::tf_ref },	//91
    { "QWebHitTestResult*", 57, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QWebInspector*", 58, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QWebPage*", 59, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 60, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 61, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QWebPage::ErrorDomain", 59, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QWebPage::ErrorPageExtensionOption*", 62, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWebPage::ErrorPageExtensionReturn*", 63, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebPage::Extension", 59, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QWebPage::ExtensionOption*", 64, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ExtensionReturn*", 65, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QWebPage::Feature", 59, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QWebPage::FindFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QWebPage::LinkDelegationPolicy", 59, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QWebPage::NavigationType", 59, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QWebPage::PermissionPolicy", 59, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QWebPage::ViewportAttributes", 66, Smoke::t_class|Smoke::tf_stack },	//108
    { "QWebPage::ViewportAttributes&", 66, Smoke::t_class|Smoke::tf_ref },	//109
    { "QWebPage::ViewportAttributes*", 66, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QWebPage::WebAction", 59, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::WebWindowType", 59, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPagePrivate*", 67, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QWebPluginFactory*", 68, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QWebPluginFactory::Extension", 68, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QWebPluginFactory::ExtensionReturn*", 70, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPluginFactory::MimeType", 71, Smoke::t_class|Smoke::tf_stack },	//118
    { "QWebPluginFactory::MimeType*", 71, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QWebPluginFactory::Plugin", 72, Smoke::t_class|Smoke::tf_stack },	//120
    { "QWebPluginFactory::Plugin*", 72, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QWebSecurityOrigin", 73, Smoke::t_class|Smoke::tf_stack },	//122
    { "QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref },	//123
    { "QWebSecurityOrigin*", 73, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QWebSettings*", 74, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QWebSettings::FontFamily", 74, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QWebSettings::FontSize", 74, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWebSettings::ThirdPartyCookiePolicy", 74, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QWebSettings::WebAttribute", 74, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QWebSettings::WebGraphic", 74, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QWebSettingsPrivate*", 75, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QWebView*", 76, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QWheelEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QWidget*", 78, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//207
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//208
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//209
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//210
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QMetaObject&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QMetaObject*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "const QNetworkRequest&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QPalette&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QPixmap&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QPoint&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QRect&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QRegExp&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QRegion&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QSize&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//226
    { "const QUrl&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QVariant&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QWebDatabase&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QWebElement", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//230
    { "const QWebElement&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QWebElementCollection&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QWebElementCollection*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//233
    { "const QWebElementCollection::const_iterator&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QWebElementCollection::iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QWebHistoryItem&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QWebHitTestResult&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QWebPage::ErrorPageExtensionOption&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QWebPage::ErrorPageExtensionReturn&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QWebPage::ExtensionOption&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QWebPage::ExtensionOption*", 64, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//243
    { "const QWebPage::ExtensionReturn&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QWebPage::ViewportAttributes&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QWebPluginFactory::ExtensionOption&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//247
    { "const QWebPluginFactory::ExtensionReturn&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QWebPluginFactory::MimeType&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QWebPluginFactory::Plugin&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//252
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//253
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//254
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//255
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//256
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "quint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//260
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//261
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//262
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    38, 14, 0,	//3  QObject*, QEvent*
    62, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    252, 0,	//10  const char*
    229, 0,	//12  const QWebDatabase&
    231, 0,	//14  const QWebElement&
    224, 0,	//16  const QString&
    224, 224, 0,	//18  const QString&, const QString&
    224, 224, 224, 0,	//21  const QString&, const QString&, const QString&
    224, 73, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    42, 0,	//28  QPainter*
    42, 220, 0,	//30  QPainter*, const QRect&
    231, 224, 0,	//33  const QWebElement&, const QString&
    232, 0,	//36  const QWebElementCollection&
    255, 0,	//38  int
    233, 255, 0,	//40  const QWebElementCollection*, int
    234, 0,	//43  const QWebElementCollection::const_iterator&
    77, 0,	//45  QWebElementCollection::const_iterator
    235, 0,	//47  const QWebElementCollection::iterator&
    80, 0,	//49  QWebElementCollection::iterator
    252, 252, 0,	//51  const char*, const char*
    252, 252, 255, 0,	//54  const char*, const char*, int
    30, 255, 261, 0,	//58  QMetaObject::Call, int, void**
    227, 0,	//62  const QUrl&
    216, 35, 211, 0,	//64  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    224, 227, 0,	//68  const QString&, const QUrl&
    211, 224, 227, 0,	//71  const QByteArray&, const QString&, const QUrl&
    224, 38, 0,	//75  const QString&, QObject*
    224, 38, 51, 0,	//78  const QString&, QObject*, QScriptEngine::ValueOwnership
    181, 0,	//82  Qt::Orientation
    181, 185, 0,	//84  Qt::Orientation, Qt::ScrollBarPolicy
    181, 255, 0,	//87  Qt::Orientation, int
    255, 255, 0,	//90  int, int
    219, 0,	//93  const QPoint&
    42, 222, 0,	//95  QPainter*, const QRegion&
    42, 84, 222, 0,	//98  QPainter*, QWebFrame::RenderLayer, const QRegion&
    254, 0,	//102  double
    47, 0,	//104  QPrinter*
    223, 0,	//106  const QSize&
    210, 0,	//108  bool
    216, 0,	//110  const QNetworkRequest&
    216, 35, 0,	//112  const QNetworkRequest&, QNetworkAccessManager::Operation
    211, 0,	//115  const QByteArray&
    211, 224, 0,	//117  const QByteArray&, const QString&
    42, 84, 0,	//120  QPainter*, QWebFrame::RenderLayer
    236, 0,	//123  const QWebHistoryItem&
    38, 0,	//125  QObject*
    86, 0,	//127  QWebHistoryInterface*
    228, 0,	//129  const QVariant&
    237, 0,	//131  const QWebHitTestResult&
    134, 0,	//133  QWidget*
    94, 0,	//135  QWebPage*
    50, 0,	//137  QResizeEvent*
    52, 0,	//139  QShowEvent*
    18, 0,	//141  QHideEvent*
    6, 0,	//143  QCloseEvent*
    34, 0,	//145  QNetworkAccessManager*
    114, 0,	//147  QWebPluginFactory*
    111, 0,	//149  QWebPage::WebAction
    111, 210, 0,	//151  QWebPage::WebAction, bool
    220, 0,	//154  const QRect&
    169, 0,	//156  Qt::InputMethodQuery
    224, 16, 0,	//158  const QString&, QFlags<QWebPage::FindFlag>
    105, 0,	//161  QWebPage::LinkDelegationPolicy
    217, 0,	//163  const QPalette&
    7, 0,	//165  QContextMenuEvent*
    83, 103, 107, 0,	//167  QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy
    100, 243, 102, 0,	//171  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    100, 0,	//175  QWebPage::Extension
    83, 0,	//177  QWebFrame*
    255, 255, 220, 0,	//179  int, int, const QRect&
    36, 0,	//183  QNetworkReply*
    83, 54, 0,	//185  QWebFrame*, QString
    124, 258, 0,	//188  QWebSecurityOrigin*, quint64
    124, 258, 258, 0,	//191  QWebSecurityOrigin*, quint64, quint64
    83, 89, 0,	//195  QWebFrame*, QWebHistoryItem*
    83, 103, 0,	//198  QWebFrame*, QWebPage::Feature
    112, 0,	//201  QWebPage::WebWindowType
    224, 227, 225, 225, 0,	//203  const QString&, const QUrl&, const QStringList&, const QStringList&
    83, 216, 106, 0,	//208  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    83, 224, 0,	//212  QWebFrame*, const QString&
    83, 224, 224, 56, 0,	//215  QWebFrame*, const QString&, const QString&, QString*
    224, 255, 224, 0,	//220  const QString&, int, const QString&
    100, 243, 0,	//224  QWebPage::Extension, const QWebPage::ExtensionOption*
    238, 0,	//227  const QWebPage::ChooseMultipleFilesExtensionOption&
    225, 0,	//229  const QStringList&
    239, 0,	//231  const QWebPage::ChooseMultipleFilesExtensionReturn&
    240, 0,	//233  const QWebPage::ErrorPageExtensionOption&
    97, 0,	//235  QWebPage::ErrorDomain
    241, 0,	//237  const QWebPage::ErrorPageExtensionReturn&
    242, 0,	//239  const QWebPage::ExtensionOption&
    244, 0,	//241  const QWebPage::ExtensionReturn&
    245, 0,	//243  const QWebPage::ViewportAttributes&
    115, 247, 117, 0,	//245  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    115, 0,	//249  QWebPluginFactory::Extension
    115, 247, 0,	//251  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    246, 0,	//254  const QWebPluginFactory::ExtensionOption&
    248, 0,	//256  const QWebPluginFactory::ExtensionReturn&
    249, 0,	//258  const QWebPluginFactory::MimeType&
    250, 0,	//260  const QWebPluginFactory::Plugin&
    213, 0,	//262  const QList<QWebPluginFactory::MimeType>&
    257, 0,	//264  long long
    251, 0,	//266  const QWebSecurityOrigin&
    126, 224, 0,	//268  QWebSettings::FontFamily, const QString&
    126, 0,	//271  QWebSettings::FontFamily
    127, 255, 0,	//273  QWebSettings::FontSize, int
    127, 0,	//276  QWebSettings::FontSize
    129, 210, 0,	//278  QWebSettings::WebAttribute, bool
    129, 0,	//281  QWebSettings::WebAttribute
    130, 218, 0,	//283  QWebSettings::WebGraphic, const QPixmap&
    130, 0,	//286  QWebSettings::WebGraphic
    255, 255, 255, 0,	//288  int, int, int
    128, 0,	//292  QWebSettings::ThirdPartyCookiePolicy
    15, 0,	//294  QFlags<QPainter::RenderHint>
    43, 210, 0,	//296  QPainter::RenderHint, bool
    41, 0,	//299  QPaintEvent*
    31, 0,	//301  QMouseEvent*
    133, 0,	//303  QWheelEvent*
    21, 0,	//305  QKeyEvent*
    9, 0,	//307  QDragEnterEvent*
    10, 0,	//309  QDragLeaveEvent*
    11, 0,	//311  QDragMoveEvent*
    13, 0,	//313  QDropEvent*
    17, 0,	//315  QFocusEvent*
    20, 0,	//317  QInputMethodEvent*
    43, 0,	//319  QPainter::RenderHint
    32, 0,	//321  QMoveEvent*
    61, 0,	//323  QTabletEvent*
    2, 0,	//325  QActionEvent*
    208, 0,	//327  _XEvent*
    39, 0,	//329  QPaintDevice::PaintDeviceMetric
    60, 0,	//331  QStyle&
    212, 0,	//333  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AllowThirdPartyWithExistingCookies",	//7
    "AlwaysAllowThirdPartyCookies",	//8
    "AlwaysBlockThirdPartyCookies",	//9
    "AutoLoadImages",	//10
    "Back",	//11
    "CSSGridLayoutEnabled",	//12
    "CSSRegionsEnabled",	//13
    "CaretBrowsingEnabled",	//14
    "CascadedStyle",	//15
    "ChooseMultipleFilesExtension",	//16
    "ChooseMultipleFilesExtensionOption",	//17
    "ChooseMultipleFilesExtensionOption#",	//18
    "ChooseMultipleFilesExtensionReturn",	//19
    "ChooseMultipleFilesExtensionReturn#",	//20
    "ComputedStyle",	//21
    "ContentsLayer",	//22
    "Copy",	//23
    "CopyImageToClipboard",	//24
    "CopyImageUrlToClipboard",	//25
    "CopyLinkToClipboard",	//26
    "CursiveFont",	//27
    "Cut",	//28
    "DefaultFixedFontSize",	//29
    "DefaultFontSize",	//30
    "DefaultFrameIconGraphic",	//31
    "DelegateAllLinks",	//32
    "DelegateExternalLinks",	//33
    "DeleteButtonGraphic",	//34
    "DeleteEndOfWord",	//35
    "DeleteStartOfWord",	//36
    "DeveloperExtrasEnabled",	//37
    "DnsPrefetchEnabled",	//38
    "DontDelegateLinks",	//39
    "DownloadImageToDisk",	//40
    "DownloadLinkToDisk",	//41
    "DrawChildren",	//42
    "DrawWindowBackground",	//43
    "ErrorPageExtension",	//44
    "ErrorPageExtensionOption",	//45
    "ErrorPageExtensionOption#",	//46
    "ErrorPageExtensionReturn",	//47
    "ErrorPageExtensionReturn#",	//48
    "ExtensionOption",	//49
    "ExtensionOption#",	//50
    "ExtensionReturn",	//51
    "ExtensionReturn#",	//52
    "FantasyFont",	//53
    "FindBackward",	//54
    "FindCaseSensitively",	//55
    "FindWrapsAroundDocument",	//56
    "FixedFont",	//57
    "Forward",	//58
    "FrameFlatteningEnabled",	//59
    "Geolocation",	//60
    "HighlightAllOccurrences",	//61
    "Http",	//62
    "HyperlinkAuditingEnabled",	//63
    "IgnoreMask",	//64
    "Indent",	//65
    "InlineStyle",	//66
    "InputSpeechButtonGraphic",	//67
    "InsertLineSeparator",	//68
    "InsertOrderedList",	//69
    "InsertParagraphSeparator",	//70
    "InsertUnorderedList",	//71
    "InspectElement",	//72
    "JavaEnabled",	//73
    "JavascriptCanAccessClipboard",	//74
    "JavascriptCanCloseWindows",	//75
    "JavascriptCanOpenWindows",	//76
    "JavascriptEnabled",	//77
    "LinksIncludedInFocusChain",	//78
    "LocalContentCanAccessFileUrls",	//79
    "LocalContentCanAccessRemoteUrls",	//80
    "LocalStorageDatabaseEnabled",	//81
    "LocalStorageEnabled",	//82
    "MimeType",	//83
    "MimeType#",	//84
    "MinimumFontSize",	//85
    "MinimumLogicalFontSize",	//86
    "MissingImageGraphic",	//87
    "MissingPluginGraphic",	//88
    "MoveToEndOfBlock",	//89
    "MoveToEndOfDocument",	//90
    "MoveToEndOfLine",	//91
    "MoveToNextChar",	//92
    "MoveToNextLine",	//93
    "MoveToNextWord",	//94
    "MoveToPreviousChar",	//95
    "MoveToPreviousLine",	//96
    "MoveToPreviousWord",	//97
    "MoveToStartOfBlock",	//98
    "MoveToStartOfDocument",	//99
    "MoveToStartOfLine",	//100
    "NavigationTypeBackOrForward",	//101
    "NavigationTypeFormResubmitted",	//102
    "NavigationTypeFormSubmitted",	//103
    "NavigationTypeLinkClicked",	//104
    "NavigationTypeOther",	//105
    "NavigationTypeReload",	//106
    "NoWebAction",	//107
    "Notifications",	//108
    "NotificationsEnabled",	//109
    "OfflineStorageDatabaseEnabled",	//110
    "OfflineWebApplicationCacheEnabled",	//111
    "OpenFrameInNewWindow",	//112
    "OpenImageInNewWindow",	//113
    "OpenLink",	//114
    "OpenLinkInNewWindow",	//115
    "OpenLinkInThisWindow",	//116
    "Outdent",	//117
    "PanIconLayer",	//118
    "Paste",	//119
    "PasteAndMatchStyle",	//120
    "PermissionDeniedByUser",	//121
    "PermissionGrantedByUser",	//122
    "PermissionUnknown",	//123
    "Plugin",	//124
    "Plugin#",	//125
    "PluginsEnabled",	//126
    "PrintElementBackgrounds",	//127
    "PrivateBrowsingEnabled",	//128
    "QWebDatabase",	//129
    "QWebDatabase#",	//130
    "QWebElement",	//131
    "QWebElement#",	//132
    "QWebElementCollection",	//133
    "QWebElementCollection#",	//134
    "QWebElementCollection#$",	//135
    "QWebHistoryInterface",	//136
    "QWebHistoryInterface#",	//137
    "QWebHistoryItem",	//138
    "QWebHistoryItem#",	//139
    "QWebHitTestResult",	//140
    "QWebHitTestResult#",	//141
    "QWebInspector",	//142
    "QWebInspector#",	//143
    "QWebPage",	//144
    "QWebPage#",	//145
    "QWebPluginFactory",	//146
    "QWebPluginFactory#",	//147
    "QWebSecurityOrigin",	//148
    "QWebSecurityOrigin#",	//149
    "QWebView",	//150
    "QWebView#",	//151
    "Q_COMPLEX_TYPE",	//152
    "Q_DUMMY_TYPE",	//153
    "Q_MOVABLE_TYPE",	//154
    "Q_PRIMITIVE_TYPE",	//155
    "Q_STATIC_TYPE",	//156
    "QtCriticalMsg",	//157
    "QtDebugMsg",	//158
    "QtFatalMsg",	//159
    "QtNetwork",	//160
    "QtSystemMsg",	//161
    "QtWarningMsg",	//162
    "Redo",	//163
    "Reload",	//164
    "ReloadAndBypassCache",	//165
    "RemoveFormat",	//166
    "SansSerifFont",	//167
    "ScrollAnimatorEnabled",	//168
    "ScrollBarLayer",	//169
    "SearchCancelButtonGraphic",	//170
    "SearchCancelButtonPressedGraphic",	//171
    "SelectAll",	//172
    "SelectEndOfBlock",	//173
    "SelectEndOfDocument",	//174
    "SelectEndOfLine",	//175
    "SelectNextChar",	//176
    "SelectNextLine",	//177
    "SelectNextWord",	//178
    "SelectPreviousChar",	//179
    "SelectPreviousLine",	//180
    "SelectPreviousWord",	//181
    "SelectStartOfBlock",	//182
    "SelectStartOfDocument",	//183
    "SelectStartOfLine",	//184
    "SerifFont",	//185
    "SetTextDirectionDefault",	//186
    "SetTextDirectionLeftToRight",	//187
    "SetTextDirectionRightToLeft",	//188
    "SiteSpecificQuirksEnabled",	//189
    "SpatialNavigationEnabled",	//190
    "StandardFont",	//191
    "Stop",	//192
    "StopScheduledPageRefresh",	//193
    "TextAreaSizeGripCornerGraphic",	//194
    "TiledBackingStoreEnabled",	//195
    "ToggleBold",	//196
    "ToggleItalic",	//197
    "ToggleStrikethrough",	//198
    "ToggleSubscript",	//199
    "ToggleSuperscript",	//200
    "ToggleUnderline",	//201
    "Undo",	//202
    "ViewportAttributes",	//203
    "ViewportAttributes#",	//204
    "WebActionCount",	//205
    "WebBrowserWindow",	//206
    "WebGLEnabled",	//207
    "WebKit",	//208
    "WebModalDialog",	//209
    "XSSAuditingEnabled",	//210
    "ZoomTextOnly",	//211
    "__codecvt_error",	//212
    "__codecvt_noconv",	//213
    "__codecvt_ok",	//214
    "__codecvt_partial",	//215
    "acceptNavigationRequest",	//216
    "acceptNavigationRequest##$",	//217
    "action",	//218
    "action$",	//219
    "actionEvent",	//220
    "addClass",	//221
    "addClass$",	//222
    "addHistoryEntry",	//223
    "addHistoryEntry$",	//224
    "addLocalScheme",	//225
    "addLocalScheme$",	//226
    "addToJavaScriptWindowObject",	//227
    "addToJavaScriptWindowObject$#",	//228
    "addToJavaScriptWindowObject$#$",	//229
    "allOrigins",	//230
    "alternateText",	//231
    "append",	//232
    "append#",	//233
    "appendInside",	//234
    "appendInside#",	//235
    "appendInside$",	//236
    "appendOutside",	//237
    "appendOutside#",	//238
    "appendOutside$",	//239
    "applicationCacheQuotaExceeded",	//240
    "applicationCacheQuotaExceeded#$",	//241
    "applicationCacheQuotaExceeded#$$",	//242
    "at",	//243
    "at$",	//244
    "attribute",	//245
    "attribute$",	//246
    "attribute$$",	//247
    "attributeNS",	//248
    "attributeNS$$",	//249
    "attributeNS$$$",	//250
    "attributeNames",	//251
    "attributeNames$",	//252
    "back",	//253
    "backItem",	//254
    "backItems",	//255
    "backItems$",	//256
    "baseUrl",	//257
    "begin",	//258
    "boundingRect",	//259
    "bytesReceived",	//260
    "canGoBack",	//261
    "canGoForward",	//262
    "changeEvent",	//263
    "changeEvent#",	//264
    "childEvent",	//265
    "childFrames",	//266
    "chooseFile",	//267
    "chooseFile#$",	//268
    "classes",	//269
    "clear",	//270
    "clearIconDatabase",	//271
    "clearMemoryCaches",	//272
    "clone",	//273
    "closeEvent",	//274
    "closeEvent#",	//275
    "connectNotify",	//276
    "constBegin",	//277
    "constEnd",	//278
    "const_iterator",	//279
    "const_iterator#",	//280
    "const_iterator#$",	//281
    "content",	//282
    "contentType",	//283
    "contentsChanged",	//284
    "contentsSize",	//285
    "contentsSizeChanged",	//286
    "contentsSizeChanged#",	//287
    "contextMenuEvent",	//288
    "contextMenuEvent#",	//289
    "count",	//290
    "create",	//291
    "create$#??",	//292
    "createPlugin",	//293
    "createPlugin$#??",	//294
    "createStandardContextMenu",	//295
    "createWindow",	//296
    "createWindow$",	//297
    "currentFrame",	//298
    "currentItem",	//299
    "currentItemIndex",	//300
    "customEvent",	//301
    "databaseQuota",	//302
    "databaseQuotaExceeded",	//303
    "databaseQuotaExceeded#$",	//304
    "databaseUsage",	//305
    "databases",	//306
    "defaultInterface",	//307
    "defaultTextEncoding",	//308
    "description",	//309
    "devType",	//310
    "devicePixelRatio",	//311
    "disconnectNotify",	//312
    "displayName",	//313
    "document",	//314
    "documentElement",	//315
    "domain",	//316
    "downloadRequested",	//317
    "downloadRequested#",	//318
    "dragEnterEvent",	//319
    "dragEnterEvent#",	//320
    "dragLeaveEvent",	//321
    "dragLeaveEvent#",	//322
    "dragMoveEvent",	//323
    "dragMoveEvent#",	//324
    "dropEvent",	//325
    "dropEvent#",	//326
    "element",	//327
    "enablePersistentStorage",	//328
    "enablePersistentStorage$",	//329
    "enabledChange",	//330
    "encloseContentsWith",	//331
    "encloseContentsWith#",	//332
    "encloseContentsWith$",	//333
    "encloseWith",	//334
    "encloseWith#",	//335
    "encloseWith$",	//336
    "enclosingBlockElement",	//337
    "encoding",	//338
    "end",	//339
    "enterEvent",	//340
    "error",	//341
    "errorString",	//342
    "evaluateJavaScript",	//343
    "evaluateJavaScript$",	//344
    "event",	//345
    "event#",	//346
    "eventFilter",	//347
    "expectedSize",	//348
    "extension",	//349
    "extension$",	//350
    "extension$#",	//351
    "extension$##",	//352
    "featurePermissionRequestCanceled",	//353
    "featurePermissionRequestCanceled#$",	//354
    "featurePermissionRequested",	//355
    "featurePermissionRequested#$",	//356
    "fileExtensions",	//357
    "fileName",	//358
    "fileNames",	//359
    "findAll",	//360
    "findAll$",	//361
    "findAllElements",	//362
    "findAllElements$",	//363
    "findFirst",	//364
    "findFirst$",	//365
    "findFirstElement",	//366
    "findFirstElement$",	//367
    "findText",	//368
    "findText$",	//369
    "findText$$",	//370
    "first",	//371
    "firstChild",	//372
    "focusInEvent",	//373
    "focusInEvent#",	//374
    "focusNextPrevChild",	//375
    "focusNextPrevChild$",	//376
    "focusOutEvent",	//377
    "focusOutEvent#",	//378
    "fontChange",	//379
    "fontFamily",	//380
    "fontFamily$",	//381
    "fontSize",	//382
    "fontSize$",	//383
    "forward",	//384
    "forwardItem",	//385
    "forwardItems",	//386
    "forwardItems$",	//387
    "forwardUnsupportedContent",	//388
    "frame",	//389
    "frameAt",	//390
    "frameAt#",	//391
    "frameCreated",	//392
    "frameCreated#",	//393
    "frameName",	//394
    "geometry",	//395
    "geometryChangeRequested",	//396
    "geometryChangeRequested#",	//397
    "globalSettings",	//398
    "goToItem",	//399
    "goToItem#",	//400
    "handle",	//401
    "hasAttribute",	//402
    "hasAttribute$",	//403
    "hasAttributeNS",	//404
    "hasAttributeNS$$",	//405
    "hasAttributes",	//406
    "hasClass",	//407
    "hasClass$",	//408
    "hasFocus",	//409
    "hasSelection",	//410
    "heightForWidth",	//411
    "hideEvent",	//412
    "hideEvent#",	//413
    "history",	//414
    "historyContains",	//415
    "historyContains$",	//416
    "hitTestContent",	//417
    "hitTestContent#",	//418
    "host",	//419
    "icon",	//420
    "iconChanged",	//421
    "iconDatabasePath",	//422
    "iconForUrl",	//423
    "iconForUrl#",	//424
    "imageUrl",	//425
    "initialLayoutCompleted",	//426
    "initialScaleFactor",	//427
    "inputMethodEvent",	//428
    "inputMethodEvent#",	//429
    "inputMethodQuery",	//430
    "inputMethodQuery$",	//431
    "isContentEditable",	//432
    "isContentSelected",	//433
    "isModified",	//434
    "isNull",	//435
    "isUserScalable",	//436
    "isValid",	//437
    "itemAt",	//438
    "itemAt$",	//439
    "items",	//440
    "iterator",	//441
    "iterator#",	//442
    "iterator#$",	//443
    "javaScriptAlert",	//444
    "javaScriptAlert#$",	//445
    "javaScriptConfirm",	//446
    "javaScriptConfirm#$",	//447
    "javaScriptConsoleMessage",	//448
    "javaScriptConsoleMessage$$$",	//449
    "javaScriptPrompt",	//450
    "javaScriptPrompt#$$$",	//451
    "javaScriptWindowObjectCleared",	//452
    "keyPressEvent",	//453
    "keyPressEvent#",	//454
    "keyReleaseEvent",	//455
    "keyReleaseEvent#",	//456
    "languageChange",	//457
    "last",	//458
    "lastChild",	//459
    "lastVisited",	//460
    "leaveEvent",	//461
    "linkClicked",	//462
    "linkClicked#",	//463
    "linkDelegationPolicy",	//464
    "linkElement",	//465
    "linkHovered",	//466
    "linkHovered$$$",	//467
    "linkTargetFrame",	//468
    "linkText",	//469
    "linkTitle",	//470
    "linkUrl",	//471
    "load",	//472
    "load#",	//473
    "load#$",	//474
    "load#$#",	//475
    "loadFinished",	//476
    "loadFinished$",	//477
    "loadProgress",	//478
    "loadProgress$",	//479
    "loadStarted",	//480
    "localName",	//481
    "localSchemes",	//482
    "localStoragePath",	//483
    "mainFrame",	//484
    "maximumItemCount",	//485
    "maximumPagesInCache",	//486
    "maximumScaleFactor",	//487
    "menuBarVisibilityChangeRequested",	//488
    "menuBarVisibilityChangeRequested$",	//489
    "metaData",	//490
    "metaObject",	//491
    "metric",	//492
    "microFocusChanged",	//493
    "mimeTypes",	//494
    "minimumScaleFactor",	//495
    "minimumSizeHint",	//496
    "mouseDoubleClickEvent",	//497
    "mouseDoubleClickEvent#",	//498
    "mouseMoveEvent",	//499
    "mouseMoveEvent#",	//500
    "mousePressEvent",	//501
    "mousePressEvent#",	//502
    "mouseReleaseEvent",	//503
    "mouseReleaseEvent#",	//504
    "moveEvent",	//505
    "name",	//506
    "namespaceUri",	//507
    "networkAccessManager",	//508
    "nextSibling",	//509
    "offlineStorageDefaultQuota",	//510
    "offlineStoragePath",	//511
    "offlineWebApplicationCachePath",	//512
    "offlineWebApplicationCacheQuota",	//513
    "operator!=",	//514
    "operator!=#",	//515
    "operator*",	//516
    "operator+",	//517
    "operator+#",	//518
    "operator+$",	//519
    "operator++",	//520
    "operator++$",	//521
    "operator+=",	//522
    "operator+=#",	//523
    "operator+=$",	//524
    "operator-",	//525
    "operator-#",	//526
    "operator-$",	//527
    "operator--",	//528
    "operator--$",	//529
    "operator-=",	//530
    "operator-=$",	//531
    "operator<",	//532
    "operator<#",	//533
    "operator<=",	//534
    "operator<=#",	//535
    "operator=",	//536
    "operator=#",	//537
    "operator==",	//538
    "operator==#",	//539
    "operator>",	//540
    "operator>#",	//541
    "operator>=",	//542
    "operator>=#",	//543
    "operator[]",	//544
    "operator[]$",	//545
    "origin",	//546
    "originalUrl",	//547
    "page",	//548
    "pageAction",	//549
    "pageAction$",	//550
    "pageChanged",	//551
    "paintEngine",	//552
    "paintEvent",	//553
    "paintEvent#",	//554
    "palette",	//555
    "paletteChange",	//556
    "parent",	//557
    "parentFrame",	//558
    "pixmap",	//559
    "pluginFactory",	//560
    "plugins",	//561
    "port",	//562
    "pos",	//563
    "preferredContentsSize",	//564
    "prefix",	//565
    "prependInside",	//566
    "prependInside#",	//567
    "prependInside$",	//568
    "prependOutside",	//569
    "prependOutside#",	//570
    "prependOutside$",	//571
    "previousSibling",	//572
    "print",	//573
    "print#",	//574
    "printRequested",	//575
    "printRequested#",	//576
    "provisionalLoad",	//577
    "qt_metacall",	//578
    "qt_metacall$$?",	//579
    "qt_metacast",	//580
    "qt_metacast$",	//581
    "refreshPlugins",	//582
    "reload",	//583
    "removeAllChildren",	//584
    "removeAllDatabases",	//585
    "removeAttribute",	//586
    "removeAttribute$",	//587
    "removeAttributeNS",	//588
    "removeAttributeNS$$",	//589
    "removeClass",	//590
    "removeClass$",	//591
    "removeDatabase",	//592
    "removeDatabase#",	//593
    "removeFromDocument",	//594
    "removeLocalScheme",	//595
    "removeLocalScheme$",	//596
    "render",	//597
    "render#",	//598
    "render##",	//599
    "render#$",	//600
    "render#$#",	//601
    "renderHints",	//602
    "renderTreeDump",	//603
    "repaintRequested",	//604
    "repaintRequested#",	//605
    "replace",	//606
    "replace#",	//607
    "replace$",	//608
    "requestedUrl",	//609
    "resetAttribute",	//610
    "resetAttribute$",	//611
    "resetFontFamily",	//612
    "resetFontFamily$",	//613
    "resetFontSize",	//614
    "resetFontSize$",	//615
    "resizeEvent",	//616
    "resizeEvent#",	//617
    "restoreFrameStateRequested",	//618
    "restoreFrameStateRequested#",	//619
    "saveFrameStateRequested",	//620
    "saveFrameStateRequested##",	//621
    "scheme",	//622
    "scroll",	//623
    "scroll$$",	//624
    "scrollBarGeometry",	//625
    "scrollBarGeometry$",	//626
    "scrollBarMaximum",	//627
    "scrollBarMaximum$",	//628
    "scrollBarMinimum",	//629
    "scrollBarMinimum$",	//630
    "scrollBarPolicy",	//631
    "scrollBarPolicy$",	//632
    "scrollBarValue",	//633
    "scrollBarValue$",	//634
    "scrollPosition",	//635
    "scrollRequested",	//636
    "scrollRequested$$#",	//637
    "scrollToAnchor",	//638
    "scrollToAnchor$",	//639
    "securityOrigin",	//640
    "selectedHtml",	//641
    "selectedText",	//642
    "selectionChanged",	//643
    "setActualVisibleContentRect",	//644
    "setActualVisibleContentRect#",	//645
    "setApplicationCacheQuota",	//646
    "setApplicationCacheQuota$",	//647
    "setAttribute",	//648
    "setAttribute$$",	//649
    "setAttributeNS",	//650
    "setAttributeNS$$$",	//651
    "setBaseUrl",	//652
    "setBaseUrl#",	//653
    "setContent",	//654
    "setContent#",	//655
    "setContent#$",	//656
    "setContent#$#",	//657
    "setContentEditable",	//658
    "setContentEditable$",	//659
    "setContentType",	//660
    "setContentType$",	//661
    "setDatabaseQuota",	//662
    "setDatabaseQuota$",	//663
    "setDefaultInterface",	//664
    "setDefaultInterface#",	//665
    "setDefaultTextEncoding",	//666
    "setDefaultTextEncoding$",	//667
    "setDescription",	//668
    "setDescription$",	//669
    "setDomain",	//670
    "setDomain$",	//671
    "setEncoding",	//672
    "setEncoding$",	//673
    "setError",	//674
    "setError$",	//675
    "setErrorString",	//676
    "setErrorString$",	//677
    "setFeaturePermission",	//678
    "setFeaturePermission#$$",	//679
    "setFileExtensions",	//680
    "setFileExtensions?",	//681
    "setFileNames",	//682
    "setFileNames?",	//683
    "setFocus",	//684
    "setFontFamily",	//685
    "setFontFamily$$",	//686
    "setFontSize",	//687
    "setFontSize$$",	//688
    "setForwardUnsupportedContent",	//689
    "setForwardUnsupportedContent$",	//690
    "setFrame",	//691
    "setFrame#",	//692
    "setHtml",	//693
    "setHtml$",	//694
    "setHtml$#",	//695
    "setIconDatabasePath",	//696
    "setIconDatabasePath$",	//697
    "setInnerXml",	//698
    "setInnerXml$",	//699
    "setLinkDelegationPolicy",	//700
    "setLinkDelegationPolicy$",	//701
    "setLocalStoragePath",	//702
    "setLocalStoragePath$",	//703
    "setMaximumItemCount",	//704
    "setMaximumItemCount$",	//705
    "setMaximumPagesInCache",	//706
    "setMaximumPagesInCache$",	//707
    "setMimeTypes",	//708
    "setMimeTypes?",	//709
    "setName",	//710
    "setName$",	//711
    "setNetworkAccessManager",	//712
    "setNetworkAccessManager#",	//713
    "setObjectCacheCapacities",	//714
    "setObjectCacheCapacities$$$",	//715
    "setOfflineStorageDefaultQuota",	//716
    "setOfflineStorageDefaultQuota$",	//717
    "setOfflineStoragePath",	//718
    "setOfflineStoragePath$",	//719
    "setOfflineWebApplicationCachePath",	//720
    "setOfflineWebApplicationCachePath$",	//721
    "setOfflineWebApplicationCacheQuota",	//722
    "setOfflineWebApplicationCacheQuota$",	//723
    "setOuterXml",	//724
    "setOuterXml$",	//725
    "setPage",	//726
    "setPage#",	//727
    "setPalette",	//728
    "setPalette#",	//729
    "setParentFrame",	//730
    "setParentFrame#",	//731
    "setPlainText",	//732
    "setPlainText$",	//733
    "setPluginFactory",	//734
    "setPluginFactory#",	//735
    "setPreferredContentsSize",	//736
    "setPreferredContentsSize#",	//737
    "setRenderHint",	//738
    "setRenderHint$",	//739
    "setRenderHint$$",	//740
    "setRenderHints",	//741
    "setRenderHints$",	//742
    "setScrollBarPolicy",	//743
    "setScrollBarPolicy$$",	//744
    "setScrollBarValue",	//745
    "setScrollBarValue$$",	//746
    "setScrollPosition",	//747
    "setScrollPosition#",	//748
    "setStyleProperty",	//749
    "setStyleProperty$$",	//750
    "setSuggestedFileNames",	//751
    "setSuggestedFileNames?",	//752
    "setTextSizeMultiplier",	//753
    "setTextSizeMultiplier$",	//754
    "setThirdPartyCookiePolicy",	//755
    "setThirdPartyCookiePolicy$",	//756
    "setUrl",	//757
    "setUrl#",	//758
    "setUserData",	//759
    "setUserData#",	//760
    "setUserStyleSheetUrl",	//761
    "setUserStyleSheetUrl#",	//762
    "setView",	//763
    "setView#",	//764
    "setViewportSize",	//765
    "setViewportSize#",	//766
    "setVisible",	//767
    "setWebGraphic",	//768
    "setWebGraphic$#",	//769
    "setZoomFactor",	//770
    "setZoomFactor$",	//771
    "settings",	//772
    "shouldInterruptJavaScript",	//773
    "showEvent",	//774
    "showEvent#",	//775
    "size",	//776
    "sizeHint",	//777
    "staticMetaObject",	//778
    "statusBarMessage",	//779
    "statusBarMessage$",	//780
    "statusBarVisibilityChangeRequested",	//781
    "statusBarVisibilityChangeRequested$",	//782
    "stop",	//783
    "styleChange",	//784
    "styleProperty",	//785
    "styleProperty$$",	//786
    "suggestedFileNames",	//787
    "supportedContentTypes",	//788
    "supportsContentType",	//789
    "supportsContentType$",	//790
    "supportsExtension",	//791
    "supportsExtension$",	//792
    "swallowContextMenuEvent",	//793
    "swallowContextMenuEvent#",	//794
    "tabletEvent",	//795
    "tagName",	//796
    "takeFromDocument",	//797
    "testAttribute",	//798
    "testAttribute$",	//799
    "textSizeMultiplier",	//800
    "thirdPartyCookiePolicy",	//801
    "timerEvent",	//802
    "title",	//803
    "titleChanged",	//804
    "titleChanged$",	//805
    "toHtml",	//806
    "toInnerXml",	//807
    "toList",	//808
    "toOuterXml",	//809
    "toPlainText",	//810
    "toggleClass",	//811
    "toggleClass$",	//812
    "toolBarVisibilityChangeRequested",	//813
    "toolBarVisibilityChangeRequested$",	//814
    "totalBytes",	//815
    "tr",	//816
    "tr$",	//817
    "tr$$",	//818
    "tr$$$",	//819
    "trUtf8",	//820
    "trUtf8$",	//821
    "trUtf8$$",	//822
    "trUtf8$$$",	//823
    "triggerAction",	//824
    "triggerAction$",	//825
    "triggerAction$$",	//826
    "triggerPageAction",	//827
    "triggerPageAction$",	//828
    "triggerPageAction$$",	//829
    "undoStack",	//830
    "unsupportedContent",	//831
    "unsupportedContent#",	//832
    "updatePositionDependentActions",	//833
    "updatePositionDependentActions#",	//834
    "url",	//835
    "urlChanged",	//836
    "urlChanged#",	//837
    "userAgentForUrl",	//838
    "userAgentForUrl#",	//839
    "userData",	//840
    "userStyleSheetUrl",	//841
    "view",	//842
    "viewportAttributesForSize",	//843
    "viewportAttributesForSize#",	//844
    "viewportChangeRequested",	//845
    "viewportSize",	//846
    "webFrame",	//847
    "webGraphic",	//848
    "webGraphic$",	//849
    "wheelEvent",	//850
    "wheelEvent#",	//851
    "windowActivationChange",	//852
    "windowCloseRequested",	//853
    "x11Event",	//854
    "zoomFactor",	//855
    "~ChooseMultipleFilesExtensionOption",	//856
    "~ChooseMultipleFilesExtensionReturn",	//857
    "~ErrorPageExtensionOption",	//858
    "~ErrorPageExtensionReturn",	//859
    "~ExtensionOption",	//860
    "~ExtensionReturn",	//861
    "~MimeType",	//862
    "~Plugin",	//863
    "~QWebDatabase",	//864
    "~QWebElement",	//865
    "~QWebElementCollection",	//866
    "~QWebHistoryInterface",	//867
    "~QWebHistoryItem",	//868
    "~QWebHitTestResult",	//869
    "~QWebInspector",	//870
    "~QWebPage",	//871
    "~QWebPluginFactory",	//872
    "~QWebSecurityOrigin",	//873
    "~QWebView",	//874
    "~ViewportAttributes",	//875
    "~const_iterator",	//876
    "~iterator",	//877
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {16, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {16, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {16, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {16, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {16, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 11},	//11 QGlobalSpace::__codecvt_ok (enum)
    {16, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 12},	//12 QGlobalSpace::__codecvt_partial (enum)
    {16, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 13},	//13 QGlobalSpace::__codecvt_error (enum)
    {16, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 14},	//14 QGlobalSpace::__codecvt_noconv (enum)
    {28, 345, 1, 1, Smoke::mf_virtual, 210, 0},	//15 QObject::event(QEvent*)
    {28, 347, 3, 2, Smoke::mf_virtual, 210, 0},	//16 QObject::eventFilter(QObject*, QEvent*)
    {28, 802, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::timerEvent(QTimerEvent*)
    {28, 265, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::childEvent(QChildEvent*)
    {28, 301, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::customEvent(QEvent*)
    {28, 276, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::connectNotify(const char*)
    {28, 312, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::disconnectNotify(const char*)
    {48, 129, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 1},	//22 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {48, 536, 12, 1, 0, 68, 2},	//23 QWebDatabase::operator=(const QWebDatabase&)
    {48, 506, 0, 0, Smoke::mf_const, 54, 3},	//24 QWebDatabase::name() const
    {48, 313, 0, 0, Smoke::mf_const, 54, 4},	//25 QWebDatabase::displayName() const
    {48, 348, 0, 0, Smoke::mf_const, 257, 5},	//26 QWebDatabase::expectedSize() const
    {48, 776, 0, 0, Smoke::mf_const, 257, 6},	//27 QWebDatabase::size() const
    {48, 358, 0, 0, Smoke::mf_const, 54, 7},	//28 QWebDatabase::fileName() const
    {48, 546, 0, 0, Smoke::mf_const, 122, 8},	//29 QWebDatabase::origin() const
    {48, 592, 12, 1, Smoke::mf_static, 0, 9},	//30 QWebDatabase::removeDatabase(const QWebDatabase&)
    {48, 585, 0, 0, Smoke::mf_static, 0, 10},	//31 QWebDatabase::removeAllDatabases()
    {48, 864, 0, 0, Smoke::mf_dtor, 0, 11 },	//32 QWebDatabase::~QWebDatabase()
    {49, 131, 0, 0, Smoke::mf_ctor, 72, 1},	//33 QWebElement::QWebElement()
    {49, 131, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//34 QWebElement::QWebElement(const QWebElement&)
    {49, 536, 14, 1, 0, 71, 3},	//35 QWebElement::operator=(const QWebElement&)
    {49, 538, 14, 1, Smoke::mf_const, 210, 4},	//36 QWebElement::operator==(const QWebElement&) const
    {49, 514, 14, 1, Smoke::mf_const, 210, 5},	//37 QWebElement::operator!=(const QWebElement&) const
    {49, 435, 0, 0, Smoke::mf_const, 210, 6},	//38 QWebElement::isNull() const
    {49, 360, 16, 1, Smoke::mf_const, 74, 7},	//39 QWebElement::findAll(const QString&) const
    {49, 364, 16, 1, Smoke::mf_const, 70, 8},	//40 QWebElement::findFirst(const QString&) const
    {49, 732, 16, 1, 0, 0, 9},	//41 QWebElement::setPlainText(const QString&)
    {49, 810, 0, 0, Smoke::mf_const, 54, 10},	//42 QWebElement::toPlainText() const
    {49, 724, 16, 1, 0, 0, 11},	//43 QWebElement::setOuterXml(const QString&)
    {49, 809, 0, 0, Smoke::mf_const, 54, 12},	//44 QWebElement::toOuterXml() const
    {49, 698, 16, 1, 0, 0, 13},	//45 QWebElement::setInnerXml(const QString&)
    {49, 807, 0, 0, Smoke::mf_const, 54, 14},	//46 QWebElement::toInnerXml() const
    {49, 648, 18, 2, 0, 0, 15},	//47 QWebElement::setAttribute(const QString&, const QString&)
    {49, 650, 21, 3, 0, 0, 16},	//48 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {49, 245, 18, 2, Smoke::mf_const, 54, 17},	//49 QWebElement::attribute(const QString&, const QString&) const
    {49, 248, 21, 3, Smoke::mf_const, 54, 18},	//50 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {49, 402, 16, 1, Smoke::mf_const, 210, 19},	//51 QWebElement::hasAttribute(const QString&) const
    {49, 404, 18, 2, Smoke::mf_const, 210, 20},	//52 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {49, 586, 16, 1, 0, 0, 21},	//53 QWebElement::removeAttribute(const QString&)
    {49, 588, 18, 2, 0, 0, 22},	//54 QWebElement::removeAttributeNS(const QString&, const QString&)
    {49, 406, 0, 0, Smoke::mf_const, 210, 23},	//55 QWebElement::hasAttributes() const
    {49, 251, 16, 1, Smoke::mf_const, 57, 24},	//56 QWebElement::attributeNames(const QString&) const
    {49, 269, 0, 0, Smoke::mf_const, 57, 25},	//57 QWebElement::classes() const
    {49, 407, 16, 1, Smoke::mf_const, 210, 26},	//58 QWebElement::hasClass(const QString&) const
    {49, 221, 16, 1, 0, 0, 27},	//59 QWebElement::addClass(const QString&)
    {49, 590, 16, 1, 0, 0, 28},	//60 QWebElement::removeClass(const QString&)
    {49, 811, 16, 1, 0, 0, 29},	//61 QWebElement::toggleClass(const QString&)
    {49, 409, 0, 0, Smoke::mf_const, 210, 30},	//62 QWebElement::hasFocus() const
    {49, 684, 0, 0, 0, 0, 31},	//63 QWebElement::setFocus()
    {49, 395, 0, 0, Smoke::mf_const, 48, 32},	//64 QWebElement::geometry() const
    {49, 796, 0, 0, Smoke::mf_const, 54, 33},	//65 QWebElement::tagName() const
    {49, 565, 0, 0, Smoke::mf_const, 54, 34},	//66 QWebElement::prefix() const
    {49, 481, 0, 0, Smoke::mf_const, 54, 35},	//67 QWebElement::localName() const
    {49, 507, 0, 0, Smoke::mf_const, 54, 36},	//68 QWebElement::namespaceUri() const
    {49, 557, 0, 0, Smoke::mf_const, 70, 37},	//69 QWebElement::parent() const
    {49, 372, 0, 0, Smoke::mf_const, 70, 38},	//70 QWebElement::firstChild() const
    {49, 459, 0, 0, Smoke::mf_const, 70, 39},	//71 QWebElement::lastChild() const
    {49, 509, 0, 0, Smoke::mf_const, 70, 40},	//72 QWebElement::nextSibling() const
    {49, 572, 0, 0, Smoke::mf_const, 70, 41},	//73 QWebElement::previousSibling() const
    {49, 314, 0, 0, Smoke::mf_const, 70, 42},	//74 QWebElement::document() const
    {49, 847, 0, 0, Smoke::mf_const, 83, 43},	//75 QWebElement::webFrame() const
    {49, 234, 16, 1, 0, 0, 44},	//76 QWebElement::appendInside(const QString&)
    {49, 234, 14, 1, 0, 0, 45},	//77 QWebElement::appendInside(const QWebElement&)
    {49, 566, 16, 1, 0, 0, 46},	//78 QWebElement::prependInside(const QString&)
    {49, 566, 14, 1, 0, 0, 47},	//79 QWebElement::prependInside(const QWebElement&)
    {49, 237, 16, 1, 0, 0, 48},	//80 QWebElement::appendOutside(const QString&)
    {49, 237, 14, 1, 0, 0, 49},	//81 QWebElement::appendOutside(const QWebElement&)
    {49, 569, 16, 1, 0, 0, 50},	//82 QWebElement::prependOutside(const QString&)
    {49, 569, 14, 1, 0, 0, 51},	//83 QWebElement::prependOutside(const QWebElement&)
    {49, 331, 14, 1, 0, 0, 52},	//84 QWebElement::encloseContentsWith(const QWebElement&)
    {49, 331, 16, 1, 0, 0, 53},	//85 QWebElement::encloseContentsWith(const QString&)
    {49, 334, 16, 1, 0, 0, 54},	//86 QWebElement::encloseWith(const QString&)
    {49, 334, 14, 1, 0, 0, 55},	//87 QWebElement::encloseWith(const QWebElement&)
    {49, 606, 16, 1, 0, 0, 56},	//88 QWebElement::replace(const QString&)
    {49, 606, 14, 1, 0, 0, 57},	//89 QWebElement::replace(const QWebElement&)
    {49, 273, 0, 0, Smoke::mf_const, 70, 58},	//90 QWebElement::clone() const
    {49, 797, 0, 0, 0, 71, 59},	//91 QWebElement::takeFromDocument()
    {49, 594, 0, 0, 0, 0, 60},	//92 QWebElement::removeFromDocument()
    {49, 584, 0, 0, 0, 0, 61},	//93 QWebElement::removeAllChildren()
    {49, 343, 16, 1, 0, 66, 62},	//94 QWebElement::evaluateJavaScript(const QString&)
    {49, 785, 25, 2, Smoke::mf_const, 54, 63},	//95 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {49, 749, 18, 2, 0, 0, 64},	//96 QWebElement::setStyleProperty(const QString&, const QString&)
    {49, 597, 28, 1, 0, 0, 65},	//97 QWebElement::render(QPainter*)
    {49, 597, 30, 2, 0, 0, 66},	//98 QWebElement::render(QPainter*, const QRect&)
    {49, 245, 16, 1, Smoke::mf_const, 54, 67},	//99 QWebElement::attribute(const QString&) const
    {49, 248, 18, 2, Smoke::mf_const, 54, 68},	//100 QWebElement::attributeNS(const QString&, const QString&) const
    {49, 251, 0, 0, Smoke::mf_const, 57, 69},	//101 QWebElement::attributeNames() const
    {49, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 70},	//102 QWebElement::InlineStyle (enum)
    {49, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 71},	//103 QWebElement::CascadedStyle (enum)
    {49, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 72},	//104 QWebElement::ComputedStyle (enum)
    {49, 865, 0, 0, Smoke::mf_dtor, 0, 73 },	//105 QWebElement::~QWebElement()
    {50, 133, 0, 0, Smoke::mf_ctor, 76, 1},	//106 QWebElementCollection::QWebElementCollection()
    {50, 133, 33, 2, Smoke::mf_ctor, 76, 2},	//107 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {50, 133, 36, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 3},	//108 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {50, 536, 36, 1, 0, 75, 4},	//109 QWebElementCollection::operator=(const QWebElementCollection&)
    {50, 517, 36, 1, Smoke::mf_const, 74, 5},	//110 QWebElementCollection::operator+(const QWebElementCollection&) const
    {50, 522, 36, 1, 0, 75, 6},	//111 QWebElementCollection::operator+=(const QWebElementCollection&)
    {50, 232, 36, 1, 0, 0, 7},	//112 QWebElementCollection::append(const QWebElementCollection&)
    {50, 290, 0, 0, Smoke::mf_const, 255, 8},	//113 QWebElementCollection::count() const
    {50, 243, 38, 1, Smoke::mf_const, 70, 9},	//114 QWebElementCollection::at(int) const
    {50, 544, 38, 1, Smoke::mf_const, 70, 10},	//115 QWebElementCollection::operator[](int) const
    {50, 371, 0, 0, Smoke::mf_const, 70, 11},	//116 QWebElementCollection::first() const
    {50, 458, 0, 0, Smoke::mf_const, 70, 12},	//117 QWebElementCollection::last() const
    {50, 808, 0, 0, Smoke::mf_const, 23, 13},	//118 QWebElementCollection::toList() const
    {50, 258, 0, 0, Smoke::mf_const, 77, 14},	//119 QWebElementCollection::begin() const
    {50, 339, 0, 0, Smoke::mf_const, 77, 15},	//120 QWebElementCollection::end() const
    {50, 277, 0, 0, Smoke::mf_const, 77, 16},	//121 QWebElementCollection::constBegin() const
    {50, 278, 0, 0, Smoke::mf_const, 77, 17},	//122 QWebElementCollection::constEnd() const
    {50, 258, 0, 0, 0, 80, 18},	//123 QWebElementCollection::begin()
    {50, 339, 0, 0, 0, 80, 19},	//124 QWebElementCollection::end()
    {50, 866, 0, 0, Smoke::mf_dtor, 0, 20 },	//125 QWebElementCollection::~QWebElementCollection()
    {51, 279, 40, 2, Smoke::mf_ctor, 79, 1},	//126 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {51, 279, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//127 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {51, 516, 0, 0, Smoke::mf_const, 230, 3},	//128 QWebElementCollection::const_iterator::operator*() const
    {51, 538, 43, 1, Smoke::mf_const, 210, 4},	//129 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {51, 514, 43, 1, Smoke::mf_const, 210, 5},	//130 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {51, 532, 43, 1, Smoke::mf_const, 210, 6},	//131 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {51, 534, 43, 1, Smoke::mf_const, 210, 7},	//132 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {51, 540, 43, 1, Smoke::mf_const, 210, 8},	//133 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {51, 542, 43, 1, Smoke::mf_const, 210, 9},	//134 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {51, 520, 0, 0, 0, 78, 10},	//135 QWebElementCollection::const_iterator::operator++()
    {51, 520, 38, 1, 0, 77, 11},	//136 QWebElementCollection::const_iterator::operator++(int)
    {51, 528, 0, 0, 0, 78, 12},	//137 QWebElementCollection::const_iterator::operator--()
    {51, 528, 38, 1, 0, 77, 13},	//138 QWebElementCollection::const_iterator::operator--(int)
    {51, 522, 38, 1, 0, 78, 14},	//139 QWebElementCollection::const_iterator::operator+=(int)
    {51, 530, 38, 1, 0, 78, 15},	//140 QWebElementCollection::const_iterator::operator-=(int)
    {51, 517, 38, 1, Smoke::mf_const, 77, 16},	//141 QWebElementCollection::const_iterator::operator+(int) const
    {51, 525, 38, 1, Smoke::mf_const, 77, 17},	//142 QWebElementCollection::const_iterator::operator-(int) const
    {51, 525, 45, 1, Smoke::mf_const, 255, 18},	//143 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {51, 876, 0, 0, Smoke::mf_dtor, 0, 19 },	//144 QWebElementCollection::const_iterator::~const_iterator()
    {52, 441, 40, 2, Smoke::mf_ctor, 82, 1},	//145 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {52, 441, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 82, 2},	//146 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {52, 516, 0, 0, Smoke::mf_const, 70, 3},	//147 QWebElementCollection::iterator::operator*() const
    {52, 538, 47, 1, Smoke::mf_const, 210, 4},	//148 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {52, 514, 47, 1, Smoke::mf_const, 210, 5},	//149 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {52, 532, 47, 1, Smoke::mf_const, 210, 6},	//150 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {52, 534, 47, 1, Smoke::mf_const, 210, 7},	//151 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {52, 540, 47, 1, Smoke::mf_const, 210, 8},	//152 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {52, 542, 47, 1, Smoke::mf_const, 210, 9},	//153 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {52, 520, 0, 0, 0, 81, 10},	//154 QWebElementCollection::iterator::operator++()
    {52, 520, 38, 1, 0, 80, 11},	//155 QWebElementCollection::iterator::operator++(int)
    {52, 528, 0, 0, 0, 81, 12},	//156 QWebElementCollection::iterator::operator--()
    {52, 528, 38, 1, 0, 80, 13},	//157 QWebElementCollection::iterator::operator--(int)
    {52, 522, 38, 1, 0, 81, 14},	//158 QWebElementCollection::iterator::operator+=(int)
    {52, 530, 38, 1, 0, 81, 15},	//159 QWebElementCollection::iterator::operator-=(int)
    {52, 517, 38, 1, Smoke::mf_const, 80, 16},	//160 QWebElementCollection::iterator::operator+(int) const
    {52, 525, 38, 1, Smoke::mf_const, 80, 17},	//161 QWebElementCollection::iterator::operator-(int) const
    {52, 525, 49, 1, Smoke::mf_const, 255, 18},	//162 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {52, 877, 0, 0, Smoke::mf_dtor, 0, 19 },	//163 QWebElementCollection::iterator::~iterator()
    {53, 491, 0, 0, Smoke::mf_const, 215, 1},	//164 QWebFrame::metaObject() const
    {53, 580, 10, 1, 0, 260, 2},	//165 QWebFrame::qt_metacast(const char*)
    {53, 816, 51, 2, Smoke::mf_static, 54, 3},	//166 QWebFrame::tr(const char*, const char*)
    {53, 820, 51, 2, Smoke::mf_static, 54, 4},	//167 QWebFrame::trUtf8(const char*, const char*)
    {53, 816, 54, 3, Smoke::mf_static, 54, 5},	//168 QWebFrame::tr(const char*, const char*, int)
    {53, 820, 54, 3, Smoke::mf_static, 54, 6},	//169 QWebFrame::trUtf8(const char*, const char*, int)
    {53, 578, 58, 3, 0, 255, 7},	//170 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {53, 548, 0, 0, Smoke::mf_const, 94, 8},	//171 QWebFrame::page() const
    {53, 472, 62, 1, 0, 0, 9},	//172 QWebFrame::load(const QUrl&)
    {53, 472, 64, 3, 0, 0, 10},	//173 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {53, 693, 68, 2, 0, 0, 11},	//174 QWebFrame::setHtml(const QString&, const QUrl&)
    {53, 654, 71, 3, 0, 0, 12},	//175 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {53, 227, 75, 2, 0, 0, 13},	//176 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {53, 227, 78, 3, 0, 0, 14},	//177 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {53, 806, 0, 0, Smoke::mf_const, 54, 15},	//178 QWebFrame::toHtml() const
    {53, 810, 0, 0, Smoke::mf_const, 54, 16},	//179 QWebFrame::toPlainText() const
    {53, 603, 0, 0, Smoke::mf_const, 54, 17},	//180 QWebFrame::renderTreeDump() const
    {53, 803, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 18},	//181 QWebFrame::title() const
    {53, 757, 62, 1, Smoke::mf_property, 0, 19},	//182 QWebFrame::setUrl(const QUrl&)
    {53, 835, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 20},	//183 QWebFrame::url() const
    {53, 609, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 21},	//184 QWebFrame::requestedUrl() const
    {53, 257, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 22},	//185 QWebFrame::baseUrl() const
    {53, 420, 0, 0, Smoke::mf_const|Smoke::mf_property, 19, 23},	//186 QWebFrame::icon() const
    {53, 490, 0, 0, Smoke::mf_const, 33, 24},	//187 QWebFrame::metaData() const
    {53, 394, 0, 0, Smoke::mf_const, 54, 25},	//188 QWebFrame::frameName() const
    {53, 558, 0, 0, Smoke::mf_const, 83, 26},	//189 QWebFrame::parentFrame() const
    {53, 266, 0, 0, Smoke::mf_const, 24, 27},	//190 QWebFrame::childFrames() const
    {53, 631, 82, 1, Smoke::mf_const, 185, 28},	//191 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {53, 743, 84, 2, 0, 0, 29},	//192 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {53, 745, 87, 2, 0, 0, 30},	//193 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {53, 633, 82, 1, Smoke::mf_const, 255, 31},	//194 QWebFrame::scrollBarValue(Qt::Orientation) const
    {53, 629, 82, 1, Smoke::mf_const, 255, 32},	//195 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {53, 627, 82, 1, Smoke::mf_const, 255, 33},	//196 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {53, 625, 82, 1, Smoke::mf_const, 48, 34},	//197 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {53, 623, 90, 2, 0, 0, 35},	//198 QWebFrame::scroll(int, int)
    {53, 635, 0, 0, Smoke::mf_const|Smoke::mf_property, 46, 36},	//199 QWebFrame::scrollPosition() const
    {53, 747, 93, 1, Smoke::mf_property, 0, 37},	//200 QWebFrame::setScrollPosition(const QPoint&)
    {53, 638, 16, 1, 0, 0, 38},	//201 QWebFrame::scrollToAnchor(const QString&)
    {53, 597, 28, 1, 0, 0, 39},	//202 QWebFrame::render(QPainter*)
    {53, 597, 95, 2, 0, 0, 40},	//203 QWebFrame::render(QPainter*, const QRegion&)
    {53, 597, 98, 3, 0, 0, 41},	//204 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {53, 753, 102, 1, 0, 0, 42},	//205 QWebFrame::setTextSizeMultiplier(double)
    {53, 800, 0, 0, Smoke::mf_const, 254, 43},	//206 QWebFrame::textSizeMultiplier() const
    {53, 855, 0, 0, Smoke::mf_const, 254, 44},	//207 QWebFrame::zoomFactor() const
    {53, 770, 102, 1, 0, 0, 45},	//208 QWebFrame::setZoomFactor(double)
    {53, 409, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 46},	//209 QWebFrame::hasFocus() const
    {53, 684, 0, 0, 0, 0, 47},	//210 QWebFrame::setFocus()
    {53, 563, 0, 0, Smoke::mf_const, 46, 48},	//211 QWebFrame::pos() const
    {53, 395, 0, 0, Smoke::mf_const, 48, 49},	//212 QWebFrame::geometry() const
    {53, 285, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 50},	//213 QWebFrame::contentsSize() const
    {53, 315, 0, 0, Smoke::mf_const, 70, 51},	//214 QWebFrame::documentElement() const
    {53, 362, 16, 1, Smoke::mf_const, 74, 52},	//215 QWebFrame::findAllElements(const QString&) const
    {53, 366, 16, 1, Smoke::mf_const, 70, 53},	//216 QWebFrame::findFirstElement(const QString&) const
    {53, 417, 93, 1, Smoke::mf_const, 90, 54},	//217 QWebFrame::hitTestContent(const QPoint&) const
    {53, 345, 1, 1, 0, 210, 55},	//218 QWebFrame::event(QEvent*)
    {53, 640, 0, 0, Smoke::mf_const, 122, 56},	//219 QWebFrame::securityOrigin() const
    {53, 343, 16, 1, Smoke::mf_slot, 66, 57},	//220 QWebFrame::evaluateJavaScript(const QString&)
    {53, 573, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//221 QWebFrame::print(QPrinter*) const
    {53, 452, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//222 QWebFrame::javaScriptWindowObjectCleared()
    {53, 577, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//223 QWebFrame::provisionalLoad()
    {53, 804, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//224 QWebFrame::titleChanged(const QString&)
    {53, 836, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//225 QWebFrame::urlChanged(const QUrl&)
    {53, 426, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//226 QWebFrame::initialLayoutCompleted()
    {53, 421, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//227 QWebFrame::iconChanged()
    {53, 286, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//228 QWebFrame::contentsSizeChanged(const QSize&)
    {53, 480, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//229 QWebFrame::loadStarted()
    {53, 476, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//230 QWebFrame::loadFinished(bool)
    {53, 551, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//231 QWebFrame::pageChanged()
    {53, 816, 10, 1, Smoke::mf_static, 54, 69},	//232 QWebFrame::tr(const char*)
    {53, 820, 10, 1, Smoke::mf_static, 54, 70},	//233 QWebFrame::trUtf8(const char*)
    {53, 472, 110, 1, 0, 0, 71},	//234 QWebFrame::load(const QNetworkRequest&)
    {53, 472, 112, 2, 0, 0, 72},	//235 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {53, 693, 16, 1, 0, 0, 73},	//236 QWebFrame::setHtml(const QString&)
    {53, 654, 115, 1, 0, 0, 74},	//237 QWebFrame::setContent(const QByteArray&)
    {53, 654, 117, 2, 0, 0, 75},	//238 QWebFrame::setContent(const QByteArray&, const QString&)
    {53, 597, 120, 2, 0, 0, 76},	//239 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {53, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 77},	//240 QWebFrame::staticMetaObject() const
    {53, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 78},	//241 QWebFrame::ContentsLayer (enum)
    {53, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 79},	//242 QWebFrame::ScrollBarLayer (enum)
    {53, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 80},	//243 QWebFrame::PanIconLayer (enum)
    {53, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 81},	//244 QWebFrame::AllLayers (enum)
    {54, 270, 0, 0, 0, 0, 1},	//245 QWebHistory::clear()
    {54, 440, 0, 0, Smoke::mf_const, 25, 2},	//246 QWebHistory::items() const
    {54, 255, 38, 1, Smoke::mf_const, 25, 3},	//247 QWebHistory::backItems(int) const
    {54, 386, 38, 1, Smoke::mf_const, 25, 4},	//248 QWebHistory::forwardItems(int) const
    {54, 261, 0, 0, Smoke::mf_const, 210, 5},	//249 QWebHistory::canGoBack() const
    {54, 262, 0, 0, Smoke::mf_const, 210, 6},	//250 QWebHistory::canGoForward() const
    {54, 253, 0, 0, 0, 0, 7},	//251 QWebHistory::back()
    {54, 384, 0, 0, 0, 0, 8},	//252 QWebHistory::forward()
    {54, 399, 123, 1, 0, 0, 9},	//253 QWebHistory::goToItem(const QWebHistoryItem&)
    {54, 254, 0, 0, Smoke::mf_const, 87, 10},	//254 QWebHistory::backItem() const
    {54, 299, 0, 0, Smoke::mf_const, 87, 11},	//255 QWebHistory::currentItem() const
    {54, 385, 0, 0, Smoke::mf_const, 87, 12},	//256 QWebHistory::forwardItem() const
    {54, 438, 38, 1, Smoke::mf_const, 87, 13},	//257 QWebHistory::itemAt(int) const
    {54, 300, 0, 0, Smoke::mf_const, 255, 14},	//258 QWebHistory::currentItemIndex() const
    {54, 290, 0, 0, Smoke::mf_const, 255, 15},	//259 QWebHistory::count() const
    {54, 485, 0, 0, Smoke::mf_const, 255, 16},	//260 QWebHistory::maximumItemCount() const
    {54, 704, 38, 1, 0, 0, 17},	//261 QWebHistory::setMaximumItemCount(int)
    {55, 491, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//262 QWebHistoryInterface::metaObject() const
    {55, 580, 10, 1, Smoke::mf_virtual, 260, 2},	//263 QWebHistoryInterface::qt_metacast(const char*)
    {55, 816, 51, 2, Smoke::mf_static, 54, 3},	//264 QWebHistoryInterface::tr(const char*, const char*)
    {55, 820, 51, 2, Smoke::mf_static, 54, 4},	//265 QWebHistoryInterface::trUtf8(const char*, const char*)
    {55, 816, 54, 3, Smoke::mf_static, 54, 5},	//266 QWebHistoryInterface::tr(const char*, const char*, int)
    {55, 820, 54, 3, Smoke::mf_static, 54, 6},	//267 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {55, 578, 58, 3, Smoke::mf_virtual, 255, 7},	//268 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {55, 136, 125, 1, Smoke::mf_ctor, 86, 8},	//269 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {55, 664, 127, 1, Smoke::mf_static, 0, 9},	//270 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {55, 307, 0, 0, Smoke::mf_static, 86, 10},	//271 QWebHistoryInterface::defaultInterface()
    {55, 415, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 210, 11},	//272 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {55, 223, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//273 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {55, 816, 10, 1, Smoke::mf_static, 54, 13},	//274 QWebHistoryInterface::tr(const char*)
    {55, 820, 10, 1, Smoke::mf_static, 54, 14},	//275 QWebHistoryInterface::trUtf8(const char*)
    {55, 136, 0, 0, Smoke::mf_ctor, 86, 15},	//276 QWebHistoryInterface::QWebHistoryInterface()
    {55, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 16},	//277 QWebHistoryInterface::staticMetaObject() const
    {55, 867, 0, 0, Smoke::mf_dtor, 0, 17 },	//278 QWebHistoryInterface::~QWebHistoryInterface()
    {56, 138, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 1},	//279 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {56, 536, 123, 1, 0, 88, 2},	//280 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {56, 547, 0, 0, Smoke::mf_const, 64, 3},	//281 QWebHistoryItem::originalUrl() const
    {56, 835, 0, 0, Smoke::mf_const, 64, 4},	//282 QWebHistoryItem::url() const
    {56, 803, 0, 0, Smoke::mf_const, 54, 5},	//283 QWebHistoryItem::title() const
    {56, 460, 0, 0, Smoke::mf_const, 8, 6},	//284 QWebHistoryItem::lastVisited() const
    {56, 420, 0, 0, Smoke::mf_const, 19, 7},	//285 QWebHistoryItem::icon() const
    {56, 840, 0, 0, Smoke::mf_const, 66, 8},	//286 QWebHistoryItem::userData() const
    {56, 759, 129, 1, 0, 0, 9},	//287 QWebHistoryItem::setUserData(const QVariant&)
    {56, 437, 0, 0, Smoke::mf_const, 210, 10},	//288 QWebHistoryItem::isValid() const
    {56, 868, 0, 0, Smoke::mf_dtor, 0, 11 },	//289 QWebHistoryItem::~QWebHistoryItem()
    {57, 140, 0, 0, Smoke::mf_ctor, 92, 1},	//290 QWebHitTestResult::QWebHitTestResult()
    {57, 140, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 92, 2},	//291 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {57, 536, 131, 1, 0, 91, 3},	//292 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {57, 435, 0, 0, Smoke::mf_const, 210, 4},	//293 QWebHitTestResult::isNull() const
    {57, 563, 0, 0, Smoke::mf_const, 46, 5},	//294 QWebHitTestResult::pos() const
    {57, 259, 0, 0, Smoke::mf_const, 48, 6},	//295 QWebHitTestResult::boundingRect() const
    {57, 337, 0, 0, Smoke::mf_const, 70, 7},	//296 QWebHitTestResult::enclosingBlockElement() const
    {57, 803, 0, 0, Smoke::mf_const, 54, 8},	//297 QWebHitTestResult::title() const
    {57, 469, 0, 0, Smoke::mf_const, 54, 9},	//298 QWebHitTestResult::linkText() const
    {57, 471, 0, 0, Smoke::mf_const, 64, 10},	//299 QWebHitTestResult::linkUrl() const
    {57, 470, 0, 0, Smoke::mf_const, 64, 11},	//300 QWebHitTestResult::linkTitle() const
    {57, 468, 0, 0, Smoke::mf_const, 83, 12},	//301 QWebHitTestResult::linkTargetFrame() const
    {57, 465, 0, 0, Smoke::mf_const, 70, 13},	//302 QWebHitTestResult::linkElement() const
    {57, 231, 0, 0, Smoke::mf_const, 54, 14},	//303 QWebHitTestResult::alternateText() const
    {57, 425, 0, 0, Smoke::mf_const, 64, 15},	//304 QWebHitTestResult::imageUrl() const
    {57, 559, 0, 0, Smoke::mf_const, 45, 16},	//305 QWebHitTestResult::pixmap() const
    {57, 432, 0, 0, Smoke::mf_const, 210, 17},	//306 QWebHitTestResult::isContentEditable() const
    {57, 433, 0, 0, Smoke::mf_const, 210, 18},	//307 QWebHitTestResult::isContentSelected() const
    {57, 327, 0, 0, Smoke::mf_const, 70, 19},	//308 QWebHitTestResult::element() const
    {57, 389, 0, 0, Smoke::mf_const, 83, 20},	//309 QWebHitTestResult::frame() const
    {57, 869, 0, 0, Smoke::mf_dtor, 0, 21 },	//310 QWebHitTestResult::~QWebHitTestResult()
    {58, 491, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//311 QWebInspector::metaObject() const
    {58, 580, 10, 1, Smoke::mf_virtual, 260, 2},	//312 QWebInspector::qt_metacast(const char*)
    {58, 816, 51, 2, Smoke::mf_static, 54, 3},	//313 QWebInspector::tr(const char*, const char*)
    {58, 820, 51, 2, Smoke::mf_static, 54, 4},	//314 QWebInspector::trUtf8(const char*, const char*)
    {58, 816, 54, 3, Smoke::mf_static, 54, 5},	//315 QWebInspector::tr(const char*, const char*, int)
    {58, 820, 54, 3, Smoke::mf_static, 54, 6},	//316 QWebInspector::trUtf8(const char*, const char*, int)
    {58, 578, 58, 3, Smoke::mf_virtual, 255, 7},	//317 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {58, 142, 133, 1, Smoke::mf_ctor, 93, 8},	//318 QWebInspector::QWebInspector(QWidget*)
    {58, 726, 135, 1, 0, 0, 9},	//319 QWebInspector::setPage(QWebPage*)
    {58, 548, 0, 0, Smoke::mf_const, 94, 10},	//320 QWebInspector::page() const
    {58, 777, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 53, 11},	//321 QWebInspector::sizeHint() const
    {58, 345, 1, 1, Smoke::mf_virtual, 210, 12},	//322 QWebInspector::event(QEvent*)
    {58, 616, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//323 QWebInspector::resizeEvent(QResizeEvent*)
    {58, 774, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//324 QWebInspector::showEvent(QShowEvent*)
    {58, 412, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//325 QWebInspector::hideEvent(QHideEvent*)
    {58, 274, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//326 QWebInspector::closeEvent(QCloseEvent*)
    {58, 816, 10, 1, Smoke::mf_static, 54, 17},	//327 QWebInspector::tr(const char*)
    {58, 820, 10, 1, Smoke::mf_static, 54, 18},	//328 QWebInspector::trUtf8(const char*)
    {58, 142, 0, 0, Smoke::mf_ctor, 93, 19},	//329 QWebInspector::QWebInspector()
    {58, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 20},	//330 QWebInspector::staticMetaObject() const
    {58, 870, 0, 0, Smoke::mf_dtor, 0, 21 },	//331 QWebInspector::~QWebInspector()
    {59, 491, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//332 QWebPage::metaObject() const
    {59, 580, 10, 1, Smoke::mf_virtual, 260, 2},	//333 QWebPage::qt_metacast(const char*)
    {59, 816, 51, 2, Smoke::mf_static, 54, 3},	//334 QWebPage::tr(const char*, const char*)
    {59, 820, 51, 2, Smoke::mf_static, 54, 4},	//335 QWebPage::trUtf8(const char*, const char*)
    {59, 816, 54, 3, Smoke::mf_static, 54, 5},	//336 QWebPage::tr(const char*, const char*, int)
    {59, 820, 54, 3, Smoke::mf_static, 54, 6},	//337 QWebPage::trUtf8(const char*, const char*, int)
    {59, 578, 58, 3, Smoke::mf_virtual, 255, 7},	//338 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {59, 144, 125, 1, Smoke::mf_ctor, 94, 8},	//339 QWebPage::QWebPage(QObject*)
    {59, 484, 0, 0, Smoke::mf_const, 83, 9},	//340 QWebPage::mainFrame() const
    {59, 298, 0, 0, Smoke::mf_const, 83, 10},	//341 QWebPage::currentFrame() const
    {59, 390, 93, 1, Smoke::mf_const, 83, 11},	//342 QWebPage::frameAt(const QPoint&) const
    {59, 414, 0, 0, Smoke::mf_const, 85, 12},	//343 QWebPage::history() const
    {59, 772, 0, 0, Smoke::mf_const, 125, 13},	//344 QWebPage::settings() const
    {59, 763, 133, 1, 0, 0, 14},	//345 QWebPage::setView(QWidget*)
    {59, 842, 0, 0, Smoke::mf_const, 134, 15},	//346 QWebPage::view() const
    {59, 434, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 16},	//347 QWebPage::isModified() const
    {59, 830, 0, 0, Smoke::mf_const, 63, 17},	//348 QWebPage::undoStack() const
    {59, 712, 145, 1, 0, 0, 18},	//349 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {59, 508, 0, 0, Smoke::mf_const, 34, 19},	//350 QWebPage::networkAccessManager() const
    {59, 734, 147, 1, 0, 0, 20},	//351 QWebPage::setPluginFactory(QWebPluginFactory*)
    {59, 560, 0, 0, Smoke::mf_const, 114, 21},	//352 QWebPage::pluginFactory() const
    {59, 815, 0, 0, Smoke::mf_const, 259, 22},	//353 QWebPage::totalBytes() const
    {59, 260, 0, 0, Smoke::mf_const, 259, 23},	//354 QWebPage::bytesReceived() const
    {59, 410, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 24},	//355 QWebPage::hasSelection() const
    {59, 642, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 25},	//356 QWebPage::selectedText() const
    {59, 641, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 26},	//357 QWebPage::selectedHtml() const
    {59, 218, 149, 1, Smoke::mf_const, 1, 27},	//358 QWebPage::action(QWebPage::WebAction) const
    {59, 824, 151, 2, Smoke::mf_virtual, 0, 28},	//359 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {59, 846, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 29},	//360 QWebPage::viewportSize() const
    {59, 765, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//361 QWebPage::setViewportSize(const QSize&) const
    {59, 843, 106, 1, Smoke::mf_const, 108, 31},	//362 QWebPage::viewportAttributesForSize(const QSize&) const
    {59, 564, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 32},	//363 QWebPage::preferredContentsSize() const
    {59, 736, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 33},	//364 QWebPage::setPreferredContentsSize(const QSize&) const
    {59, 644, 154, 1, Smoke::mf_const, 0, 34},	//365 QWebPage::setActualVisibleContentRect(const QRect&) const
    {59, 345, 1, 1, Smoke::mf_virtual, 210, 35},	//366 QWebPage::event(QEvent*)
    {59, 375, 108, 1, 0, 210, 36},	//367 QWebPage::focusNextPrevChild(bool)
    {59, 430, 156, 1, Smoke::mf_const, 66, 37},	//368 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {59, 368, 158, 2, 0, 210, 38},	//369 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {59, 689, 108, 1, Smoke::mf_property, 0, 39},	//370 QWebPage::setForwardUnsupportedContent(bool)
    {59, 388, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 40},	//371 QWebPage::forwardUnsupportedContent() const
    {59, 700, 161, 1, Smoke::mf_property, 0, 41},	//372 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {59, 464, 0, 0, Smoke::mf_const|Smoke::mf_property, 105, 42},	//373 QWebPage::linkDelegationPolicy() const
    {59, 728, 163, 1, Smoke::mf_property, 0, 43},	//374 QWebPage::setPalette(const QPalette&)
    {59, 555, 0, 0, Smoke::mf_const|Smoke::mf_property, 44, 44},	//375 QWebPage::palette() const
    {59, 658, 108, 1, Smoke::mf_property, 0, 45},	//376 QWebPage::setContentEditable(bool)
    {59, 432, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 46},	//377 QWebPage::isContentEditable() const
    {59, 793, 165, 1, 0, 210, 47},	//378 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {59, 833, 93, 1, 0, 0, 48},	//379 QWebPage::updatePositionDependentActions(const QPoint&)
    {59, 295, 0, 0, 0, 29, 49},	//380 QWebPage::createStandardContextMenu()
    {59, 678, 167, 3, 0, 0, 50},	//381 QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)
    {59, 788, 0, 0, Smoke::mf_const, 57, 51},	//382 QWebPage::supportedContentTypes() const
    {59, 789, 16, 1, Smoke::mf_const, 210, 52},	//383 QWebPage::supportsContentType(const QString&) const
    {59, 349, 171, 3, Smoke::mf_virtual, 210, 53},	//384 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {59, 791, 175, 1, Smoke::mf_const|Smoke::mf_virtual, 210, 54},	//385 QWebPage::supportsExtension(QWebPage::Extension) const
    {59, 401, 0, 0, Smoke::mf_const, 113, 55},	//386 QWebPage::handle() const
    {59, 773, 0, 0, Smoke::mf_slot, 210, 56},	//387 QWebPage::shouldInterruptJavaScript()
    {59, 480, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//388 QWebPage::loadStarted()
    {59, 478, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//389 QWebPage::loadProgress(int)
    {59, 476, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//390 QWebPage::loadFinished(bool)
    {59, 466, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//391 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {59, 779, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//392 QWebPage::statusBarMessage(const QString&)
    {59, 643, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//393 QWebPage::selectionChanged()
    {59, 392, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//394 QWebPage::frameCreated(QWebFrame*)
    {59, 396, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//395 QWebPage::geometryChangeRequested(const QRect&)
    {59, 604, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//396 QWebPage::repaintRequested(const QRect&)
    {59, 636, 179, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//397 QWebPage::scrollRequested(int, int, const QRect&)
    {59, 853, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//398 QWebPage::windowCloseRequested()
    {59, 575, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//399 QWebPage::printRequested(QWebFrame*)
    {59, 462, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//400 QWebPage::linkClicked(const QUrl&)
    {59, 813, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//401 QWebPage::toolBarVisibilityChangeRequested(bool)
    {59, 781, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//402 QWebPage::statusBarVisibilityChangeRequested(bool)
    {59, 488, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//403 QWebPage::menuBarVisibilityChangeRequested(bool)
    {59, 831, 183, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//404 QWebPage::unsupportedContent(QNetworkReply*)
    {59, 317, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//405 QWebPage::downloadRequested(const QNetworkRequest&)
    {59, 493, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//406 QWebPage::microFocusChanged()
    {59, 284, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//407 QWebPage::contentsChanged()
    {59, 303, 185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//408 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {59, 240, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//409 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64)
    {59, 240, 191, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//410 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64, quint64)
    {59, 620, 195, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//411 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {59, 618, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//412 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {59, 845, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//413 QWebPage::viewportChangeRequested()
    {59, 355, 198, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//414 QWebPage::featurePermissionRequested(QWebFrame*, QWebPage::Feature)
    {59, 353, 198, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 84},	//415 QWebPage::featurePermissionRequestCanceled(QWebFrame*, QWebPage::Feature)
    {59, 296, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 94, 85},	//416 QWebPage::createWindow(QWebPage::WebWindowType)
    {59, 293, 203, 4, Smoke::mf_protected|Smoke::mf_virtual, 38, 86},	//417 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {59, 216, 208, 3, Smoke::mf_protected|Smoke::mf_virtual, 210, 87},	//418 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {59, 267, 212, 2, Smoke::mf_protected|Smoke::mf_virtual, 54, 88},	//419 QWebPage::chooseFile(QWebFrame*, const QString&)
    {59, 444, 212, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 89},	//420 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {59, 446, 212, 2, Smoke::mf_protected|Smoke::mf_virtual, 210, 90},	//421 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {59, 450, 215, 4, Smoke::mf_protected|Smoke::mf_virtual, 210, 91},	//422 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {59, 448, 220, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 92},	//423 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {59, 838, 62, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 54, 93},	//424 QWebPage::userAgentForUrl(const QUrl&) const
    {59, 816, 10, 1, Smoke::mf_static, 54, 94},	//425 QWebPage::tr(const char*)
    {59, 820, 10, 1, Smoke::mf_static, 54, 95},	//426 QWebPage::trUtf8(const char*)
    {59, 144, 0, 0, Smoke::mf_ctor, 94, 96},	//427 QWebPage::QWebPage()
    {59, 824, 149, 1, 0, 0, 97},	//428 QWebPage::triggerAction(QWebPage::WebAction)
    {59, 368, 16, 1, 0, 210, 98},	//429 QWebPage::findText(const QString&)
    {59, 349, 175, 1, 0, 210, 99},	//430 QWebPage::extension(QWebPage::Extension)
    {59, 349, 224, 2, 0, 210, 100},	//431 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {59, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 101},	//432 QWebPage::staticMetaObject() const
    {59, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 102},	//433 QWebPage::NavigationTypeLinkClicked (enum)
    {59, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 103},	//434 QWebPage::NavigationTypeFormSubmitted (enum)
    {59, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 104},	//435 QWebPage::NavigationTypeBackOrForward (enum)
    {59, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 105},	//436 QWebPage::NavigationTypeReload (enum)
    {59, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 106},	//437 QWebPage::NavigationTypeFormResubmitted (enum)
    {59, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 107},	//438 QWebPage::NavigationTypeOther (enum)
    {59, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 108},	//439 QWebPage::NoWebAction (enum)
    {59, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 109},	//440 QWebPage::OpenLink (enum)
    {59, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 110},	//441 QWebPage::OpenLinkInNewWindow (enum)
    {59, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 111},	//442 QWebPage::OpenFrameInNewWindow (enum)
    {59, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 112},	//443 QWebPage::DownloadLinkToDisk (enum)
    {59, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 113},	//444 QWebPage::CopyLinkToClipboard (enum)
    {59, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 114},	//445 QWebPage::OpenImageInNewWindow (enum)
    {59, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 115},	//446 QWebPage::DownloadImageToDisk (enum)
    {59, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 116},	//447 QWebPage::CopyImageToClipboard (enum)
    {59, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 117},	//448 QWebPage::Back (enum)
    {59, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 118},	//449 QWebPage::Forward (enum)
    {59, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 119},	//450 QWebPage::Stop (enum)
    {59, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 120},	//451 QWebPage::Reload (enum)
    {59, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 121},	//452 QWebPage::Cut (enum)
    {59, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 122},	//453 QWebPage::Copy (enum)
    {59, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 123},	//454 QWebPage::Paste (enum)
    {59, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 124},	//455 QWebPage::Undo (enum)
    {59, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 125},	//456 QWebPage::Redo (enum)
    {59, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 126},	//457 QWebPage::MoveToNextChar (enum)
    {59, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 127},	//458 QWebPage::MoveToPreviousChar (enum)
    {59, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 128},	//459 QWebPage::MoveToNextWord (enum)
    {59, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 129},	//460 QWebPage::MoveToPreviousWord (enum)
    {59, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 130},	//461 QWebPage::MoveToNextLine (enum)
    {59, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 131},	//462 QWebPage::MoveToPreviousLine (enum)
    {59, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 132},	//463 QWebPage::MoveToStartOfLine (enum)
    {59, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 133},	//464 QWebPage::MoveToEndOfLine (enum)
    {59, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 134},	//465 QWebPage::MoveToStartOfBlock (enum)
    {59, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 135},	//466 QWebPage::MoveToEndOfBlock (enum)
    {59, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 136},	//467 QWebPage::MoveToStartOfDocument (enum)
    {59, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 137},	//468 QWebPage::MoveToEndOfDocument (enum)
    {59, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 138},	//469 QWebPage::SelectNextChar (enum)
    {59, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 139},	//470 QWebPage::SelectPreviousChar (enum)
    {59, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 140},	//471 QWebPage::SelectNextWord (enum)
    {59, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 141},	//472 QWebPage::SelectPreviousWord (enum)
    {59, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 142},	//473 QWebPage::SelectNextLine (enum)
    {59, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 143},	//474 QWebPage::SelectPreviousLine (enum)
    {59, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 144},	//475 QWebPage::SelectStartOfLine (enum)
    {59, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 145},	//476 QWebPage::SelectEndOfLine (enum)
    {59, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 146},	//477 QWebPage::SelectStartOfBlock (enum)
    {59, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 147},	//478 QWebPage::SelectEndOfBlock (enum)
    {59, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 148},	//479 QWebPage::SelectStartOfDocument (enum)
    {59, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 149},	//480 QWebPage::SelectEndOfDocument (enum)
    {59, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 150},	//481 QWebPage::DeleteStartOfWord (enum)
    {59, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 151},	//482 QWebPage::DeleteEndOfWord (enum)
    {59, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 152},	//483 QWebPage::SetTextDirectionDefault (enum)
    {59, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 153},	//484 QWebPage::SetTextDirectionLeftToRight (enum)
    {59, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 154},	//485 QWebPage::SetTextDirectionRightToLeft (enum)
    {59, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 155},	//486 QWebPage::ToggleBold (enum)
    {59, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 156},	//487 QWebPage::ToggleItalic (enum)
    {59, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 157},	//488 QWebPage::ToggleUnderline (enum)
    {59, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 158},	//489 QWebPage::InspectElement (enum)
    {59, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 159},	//490 QWebPage::InsertParagraphSeparator (enum)
    {59, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 160},	//491 QWebPage::InsertLineSeparator (enum)
    {59, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 161},	//492 QWebPage::SelectAll (enum)
    {59, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 162},	//493 QWebPage::ReloadAndBypassCache (enum)
    {59, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 163},	//494 QWebPage::PasteAndMatchStyle (enum)
    {59, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 164},	//495 QWebPage::RemoveFormat (enum)
    {59, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 165},	//496 QWebPage::ToggleStrikethrough (enum)
    {59, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 166},	//497 QWebPage::ToggleSubscript (enum)
    {59, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 167},	//498 QWebPage::ToggleSuperscript (enum)
    {59, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 168},	//499 QWebPage::InsertUnorderedList (enum)
    {59, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 169},	//500 QWebPage::InsertOrderedList (enum)
    {59, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 170},	//501 QWebPage::Indent (enum)
    {59, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 171},	//502 QWebPage::Outdent (enum)
    {59, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 172},	//503 QWebPage::AlignCenter (enum)
    {59, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 173},	//504 QWebPage::AlignJustified (enum)
    {59, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 174},	//505 QWebPage::AlignLeft (enum)
    {59, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 175},	//506 QWebPage::AlignRight (enum)
    {59, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 176},	//507 QWebPage::StopScheduledPageRefresh (enum)
    {59, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 177},	//508 QWebPage::CopyImageUrlToClipboard (enum)
    {59, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 178},	//509 QWebPage::OpenLinkInThisWindow (enum)
    {59, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 179},	//510 QWebPage::WebActionCount (enum)
    {59, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 180},	//511 QWebPage::FindBackward (enum)
    {59, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 181},	//512 QWebPage::FindCaseSensitively (enum)
    {59, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 182},	//513 QWebPage::FindWrapsAroundDocument (enum)
    {59, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 183},	//514 QWebPage::HighlightAllOccurrences (enum)
    {59, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 184},	//515 QWebPage::DontDelegateLinks (enum)
    {59, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 185},	//516 QWebPage::DelegateExternalLinks (enum)
    {59, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 186},	//517 QWebPage::DelegateAllLinks (enum)
    {59, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 187},	//518 QWebPage::WebBrowserWindow (enum)
    {59, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 188},	//519 QWebPage::WebModalDialog (enum)
    {59, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 189},	//520 QWebPage::PermissionUnknown (enum)
    {59, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 190},	//521 QWebPage::PermissionGrantedByUser (enum)
    {59, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 191},	//522 QWebPage::PermissionDeniedByUser (enum)
    {59, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 192},	//523 QWebPage::Notifications (enum)
    {59, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 193},	//524 QWebPage::Geolocation (enum)
    {59, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 194},	//525 QWebPage::ChooseMultipleFilesExtension (enum)
    {59, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 195},	//526 QWebPage::ErrorPageExtension (enum)
    {59, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 196},	//527 QWebPage::QtNetwork (enum)
    {59, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 197},	//528 QWebPage::Http (enum)
    {59, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 198},	//529 QWebPage::WebKit (enum)
    {59, 871, 0, 0, Smoke::mf_dtor, 0, 199 },	//530 QWebPage::~QWebPage()
    {60, 17, 0, 0, Smoke::mf_ctor, 95, 1},	//531 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {60, 17, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 2},	//532 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {60, 558, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 83, 3},	//533 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {60, 730, 177, 1, Smoke::mf_attribute, 0, 4},	//534 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {60, 787, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 5},	//535 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {60, 751, 229, 1, Smoke::mf_attribute, 0, 6},	//536 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {60, 856, 0, 0, Smoke::mf_dtor, 0, 7 },	//537 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {61, 19, 0, 0, Smoke::mf_ctor, 96, 1},	//538 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {61, 19, 231, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 2},	//539 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {61, 359, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 3},	//540 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {61, 682, 229, 1, Smoke::mf_attribute, 0, 4},	//541 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {61, 857, 0, 0, Smoke::mf_dtor, 0, 5 },	//542 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {62, 45, 0, 0, Smoke::mf_ctor, 98, 1},	//543 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {62, 45, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//544 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {62, 835, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 3},	//545 QWebPage::ErrorPageExtensionOption::url() const
    {62, 757, 62, 1, Smoke::mf_attribute, 0, 4},	//546 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {62, 389, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 83, 5},	//547 QWebPage::ErrorPageExtensionOption::frame() const
    {62, 691, 177, 1, Smoke::mf_attribute, 0, 6},	//548 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {62, 316, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 97, 7},	//549 QWebPage::ErrorPageExtensionOption::domain() const
    {62, 670, 235, 1, Smoke::mf_attribute, 0, 8},	//550 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {62, 341, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 255, 9},	//551 QWebPage::ErrorPageExtensionOption::error() const
    {62, 674, 38, 1, Smoke::mf_attribute, 0, 10},	//552 QWebPage::ErrorPageExtensionOption::setError(int)
    {62, 342, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 11},	//553 QWebPage::ErrorPageExtensionOption::errorString() const
    {62, 676, 16, 1, Smoke::mf_attribute, 0, 12},	//554 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {62, 858, 0, 0, Smoke::mf_dtor, 0, 13 },	//555 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {63, 47, 0, 0, Smoke::mf_ctor, 99, 1},	//556 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {63, 47, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//557 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {63, 283, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 3},	//558 QWebPage::ErrorPageExtensionReturn::contentType() const
    {63, 660, 16, 1, Smoke::mf_attribute, 0, 4},	//559 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {63, 338, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//560 QWebPage::ErrorPageExtensionReturn::encoding() const
    {63, 672, 16, 1, Smoke::mf_attribute, 0, 6},	//561 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {63, 257, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 7},	//562 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {63, 652, 62, 1, Smoke::mf_attribute, 0, 8},	//563 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {63, 282, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//564 QWebPage::ErrorPageExtensionReturn::content() const
    {63, 654, 115, 1, Smoke::mf_attribute, 0, 10},	//565 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {63, 859, 0, 0, Smoke::mf_dtor, 0, 11 },	//566 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {64, 49, 0, 0, Smoke::mf_ctor, 101, 1},	//567 QWebPage::ExtensionOption::ExtensionOption()
    {64, 49, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 2},	//568 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {64, 860, 0, 0, Smoke::mf_dtor, 0, 3 },	//569 QWebPage::ExtensionOption::~ExtensionOption()
    {65, 51, 0, 0, Smoke::mf_ctor, 102, 1},	//570 QWebPage::ExtensionReturn::ExtensionReturn()
    {65, 51, 241, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//571 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {65, 861, 0, 0, Smoke::mf_dtor, 0, 3 },	//572 QWebPage::ExtensionReturn::~ExtensionReturn()
    {66, 203, 0, 0, Smoke::mf_ctor, 110, 1},	//573 QWebPage::ViewportAttributes::ViewportAttributes()
    {66, 203, 243, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 110, 2},	//574 QWebPage::ViewportAttributes::ViewportAttributes(const QWebPage::ViewportAttributes&)
    {66, 536, 243, 1, 0, 109, 3},	//575 QWebPage::ViewportAttributes::operator=(const QWebPage::ViewportAttributes&)
    {66, 427, 0, 0, Smoke::mf_const, 254, 4},	//576 QWebPage::ViewportAttributes::initialScaleFactor() const
    {66, 495, 0, 0, Smoke::mf_const, 254, 5},	//577 QWebPage::ViewportAttributes::minimumScaleFactor() const
    {66, 487, 0, 0, Smoke::mf_const, 254, 6},	//578 QWebPage::ViewportAttributes::maximumScaleFactor() const
    {66, 311, 0, 0, Smoke::mf_const, 254, 7},	//579 QWebPage::ViewportAttributes::devicePixelRatio() const
    {66, 436, 0, 0, Smoke::mf_const, 210, 8},	//580 QWebPage::ViewportAttributes::isUserScalable() const
    {66, 437, 0, 0, Smoke::mf_const, 210, 9},	//581 QWebPage::ViewportAttributes::isValid() const
    {66, 776, 0, 0, Smoke::mf_const, 53, 10},	//582 QWebPage::ViewportAttributes::size() const
    {66, 875, 0, 0, Smoke::mf_dtor, 0, 11 },	//583 QWebPage::ViewportAttributes::~ViewportAttributes()
    {68, 491, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//584 QWebPluginFactory::metaObject() const
    {68, 580, 10, 1, Smoke::mf_virtual, 260, 2},	//585 QWebPluginFactory::qt_metacast(const char*)
    {68, 816, 51, 2, Smoke::mf_static, 54, 3},	//586 QWebPluginFactory::tr(const char*, const char*)
    {68, 820, 51, 2, Smoke::mf_static, 54, 4},	//587 QWebPluginFactory::trUtf8(const char*, const char*)
    {68, 816, 54, 3, Smoke::mf_static, 54, 5},	//588 QWebPluginFactory::tr(const char*, const char*, int)
    {68, 820, 54, 3, Smoke::mf_static, 54, 6},	//589 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {68, 578, 58, 3, Smoke::mf_virtual, 255, 7},	//590 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {68, 146, 125, 1, Smoke::mf_ctor, 114, 8},	//591 QWebPluginFactory::QWebPluginFactory(QObject*)
    {68, 561, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 9},	//592 QWebPluginFactory::plugins() const [pure virtual]
    {68, 582, 0, 0, Smoke::mf_virtual, 0, 10},	//593 QWebPluginFactory::refreshPlugins()
    {68, 291, 203, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 38, 11},	//594 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {68, 349, 245, 3, Smoke::mf_virtual, 210, 12},	//595 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {68, 791, 249, 1, Smoke::mf_const|Smoke::mf_virtual, 210, 13},	//596 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {68, 816, 10, 1, Smoke::mf_static, 54, 14},	//597 QWebPluginFactory::tr(const char*)
    {68, 820, 10, 1, Smoke::mf_static, 54, 15},	//598 QWebPluginFactory::trUtf8(const char*)
    {68, 146, 0, 0, Smoke::mf_ctor, 114, 16},	//599 QWebPluginFactory::QWebPluginFactory()
    {68, 349, 249, 1, 0, 210, 17},	//600 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {68, 349, 251, 2, 0, 210, 18},	//601 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {68, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 19},	//602 QWebPluginFactory::staticMetaObject() const
    {68, 872, 0, 0, Smoke::mf_dtor, 0, 20 },	//603 QWebPluginFactory::~QWebPluginFactory()
    {69, 49, 0, 0, Smoke::mf_ctor, 116, 1},	//604 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {69, 49, 254, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 2},	//605 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {69, 860, 0, 0, Smoke::mf_dtor, 0, 3 },	//606 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {70, 51, 0, 0, Smoke::mf_ctor, 117, 1},	//607 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {70, 51, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//608 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {70, 861, 0, 0, Smoke::mf_dtor, 0, 3 },	//609 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {71, 538, 258, 1, Smoke::mf_const, 210, 1},	//610 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {71, 514, 258, 1, Smoke::mf_const, 210, 2},	//611 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {71, 83, 0, 0, Smoke::mf_ctor, 119, 3},	//612 QWebPluginFactory::MimeType::MimeType()
    {71, 83, 258, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 4},	//613 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {71, 506, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//614 QWebPluginFactory::MimeType::name() const
    {71, 710, 16, 1, Smoke::mf_attribute, 0, 6},	//615 QWebPluginFactory::MimeType::setName(const QString&)
    {71, 309, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 7},	//616 QWebPluginFactory::MimeType::description() const
    {71, 668, 16, 1, Smoke::mf_attribute, 0, 8},	//617 QWebPluginFactory::MimeType::setDescription(const QString&)
    {71, 357, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 9},	//618 QWebPluginFactory::MimeType::fileExtensions() const
    {71, 680, 229, 1, Smoke::mf_attribute, 0, 10},	//619 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {71, 862, 0, 0, Smoke::mf_dtor, 0, 11 },	//620 QWebPluginFactory::MimeType::~MimeType()
    {72, 124, 0, 0, Smoke::mf_ctor, 121, 1},	//621 QWebPluginFactory::Plugin::Plugin()
    {72, 124, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 2},	//622 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {72, 506, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 3},	//623 QWebPluginFactory::Plugin::name() const
    {72, 710, 16, 1, Smoke::mf_attribute, 0, 4},	//624 QWebPluginFactory::Plugin::setName(const QString&)
    {72, 309, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//625 QWebPluginFactory::Plugin::description() const
    {72, 668, 16, 1, Smoke::mf_attribute, 0, 6},	//626 QWebPluginFactory::Plugin::setDescription(const QString&)
    {72, 494, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 26, 7},	//627 QWebPluginFactory::Plugin::mimeTypes() const
    {72, 708, 262, 1, Smoke::mf_attribute, 0, 8},	//628 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {72, 863, 0, 0, Smoke::mf_dtor, 0, 9 },	//629 QWebPluginFactory::Plugin::~Plugin()
    {73, 230, 0, 0, Smoke::mf_static, 28, 1},	//630 QWebSecurityOrigin::allOrigins()
    {73, 225, 16, 1, Smoke::mf_static, 0, 2},	//631 QWebSecurityOrigin::addLocalScheme(const QString&)
    {73, 595, 16, 1, Smoke::mf_static, 0, 3},	//632 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {73, 482, 0, 0, Smoke::mf_static, 57, 4},	//633 QWebSecurityOrigin::localSchemes()
    {73, 622, 0, 0, Smoke::mf_const, 54, 5},	//634 QWebSecurityOrigin::scheme() const
    {73, 419, 0, 0, Smoke::mf_const, 54, 6},	//635 QWebSecurityOrigin::host() const
    {73, 562, 0, 0, Smoke::mf_const, 255, 7},	//636 QWebSecurityOrigin::port() const
    {73, 305, 0, 0, Smoke::mf_const, 257, 8},	//637 QWebSecurityOrigin::databaseUsage() const
    {73, 302, 0, 0, Smoke::mf_const, 257, 9},	//638 QWebSecurityOrigin::databaseQuota() const
    {73, 662, 264, 1, 0, 0, 10},	//639 QWebSecurityOrigin::setDatabaseQuota(long long)
    {73, 646, 264, 1, 0, 0, 11},	//640 QWebSecurityOrigin::setApplicationCacheQuota(long long)
    {73, 306, 0, 0, Smoke::mf_const, 22, 12},	//641 QWebSecurityOrigin::databases() const
    {73, 148, 266, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 13},	//642 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {73, 536, 266, 1, 0, 123, 14},	//643 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {73, 873, 0, 0, Smoke::mf_dtor, 0, 15 },	//644 QWebSecurityOrigin::~QWebSecurityOrigin()
    {74, 398, 0, 0, Smoke::mf_static, 125, 1},	//645 QWebSettings::globalSettings()
    {74, 685, 268, 2, 0, 0, 2},	//646 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {74, 380, 271, 1, Smoke::mf_const, 54, 3},	//647 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {74, 612, 271, 1, 0, 0, 4},	//648 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {74, 687, 273, 2, 0, 0, 5},	//649 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {74, 382, 276, 1, Smoke::mf_const, 255, 6},	//650 QWebSettings::fontSize(QWebSettings::FontSize) const
    {74, 614, 276, 1, 0, 0, 7},	//651 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {74, 648, 278, 2, 0, 0, 8},	//652 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {74, 798, 281, 1, Smoke::mf_const, 210, 9},	//653 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {74, 610, 281, 1, 0, 0, 10},	//654 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {74, 761, 62, 1, 0, 0, 11},	//655 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {74, 841, 0, 0, Smoke::mf_const, 64, 12},	//656 QWebSettings::userStyleSheetUrl() const
    {74, 666, 16, 1, 0, 0, 13},	//657 QWebSettings::setDefaultTextEncoding(const QString&)
    {74, 308, 0, 0, Smoke::mf_const, 54, 14},	//658 QWebSettings::defaultTextEncoding() const
    {74, 696, 16, 1, Smoke::mf_static, 0, 15},	//659 QWebSettings::setIconDatabasePath(const QString&)
    {74, 422, 0, 0, Smoke::mf_static, 54, 16},	//660 QWebSettings::iconDatabasePath()
    {74, 271, 0, 0, Smoke::mf_static, 0, 17},	//661 QWebSettings::clearIconDatabase()
    {74, 423, 62, 1, Smoke::mf_static, 19, 18},	//662 QWebSettings::iconForUrl(const QUrl&)
    {74, 768, 283, 2, Smoke::mf_static, 0, 19},	//663 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {74, 848, 286, 1, Smoke::mf_static, 45, 20},	//664 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {74, 706, 38, 1, Smoke::mf_static, 0, 21},	//665 QWebSettings::setMaximumPagesInCache(int)
    {74, 486, 0, 0, Smoke::mf_static, 255, 22},	//666 QWebSettings::maximumPagesInCache()
    {74, 714, 288, 3, Smoke::mf_static, 0, 23},	//667 QWebSettings::setObjectCacheCapacities(int, int, int)
    {74, 718, 16, 1, Smoke::mf_static, 0, 24},	//668 QWebSettings::setOfflineStoragePath(const QString&)
    {74, 511, 0, 0, Smoke::mf_static, 54, 25},	//669 QWebSettings::offlineStoragePath()
    {74, 716, 264, 1, Smoke::mf_static, 0, 26},	//670 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {74, 510, 0, 0, Smoke::mf_static, 257, 27},	//671 QWebSettings::offlineStorageDefaultQuota()
    {74, 720, 16, 1, Smoke::mf_static, 0, 28},	//672 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {74, 512, 0, 0, Smoke::mf_static, 54, 29},	//673 QWebSettings::offlineWebApplicationCachePath()
    {74, 722, 264, 1, Smoke::mf_static, 0, 30},	//674 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {74, 513, 0, 0, Smoke::mf_static, 257, 31},	//675 QWebSettings::offlineWebApplicationCacheQuota()
    {74, 702, 16, 1, 0, 0, 32},	//676 QWebSettings::setLocalStoragePath(const QString&)
    {74, 483, 0, 0, Smoke::mf_const, 54, 33},	//677 QWebSettings::localStoragePath() const
    {74, 272, 0, 0, Smoke::mf_static, 0, 34},	//678 QWebSettings::clearMemoryCaches()
    {74, 328, 16, 1, Smoke::mf_static, 0, 35},	//679 QWebSettings::enablePersistentStorage(const QString&)
    {74, 755, 292, 1, 0, 0, 36},	//680 QWebSettings::setThirdPartyCookiePolicy(QWebSettings::ThirdPartyCookiePolicy)
    {74, 801, 0, 0, Smoke::mf_const, 128, 37},	//681 QWebSettings::thirdPartyCookiePolicy() const
    {74, 401, 0, 0, Smoke::mf_const, 131, 38},	//682 QWebSettings::handle() const
    {74, 328, 0, 0, Smoke::mf_static, 0, 39},	//683 QWebSettings::enablePersistentStorage()
    {74, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 40},	//684 QWebSettings::StandardFont (enum)
    {74, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 41},	//685 QWebSettings::FixedFont (enum)
    {74, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 42},	//686 QWebSettings::SerifFont (enum)
    {74, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 43},	//687 QWebSettings::SansSerifFont (enum)
    {74, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 44},	//688 QWebSettings::CursiveFont (enum)
    {74, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 45},	//689 QWebSettings::FantasyFont (enum)
    {74, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 46},	//690 QWebSettings::AutoLoadImages (enum)
    {74, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 47},	//691 QWebSettings::JavascriptEnabled (enum)
    {74, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 48},	//692 QWebSettings::JavaEnabled (enum)
    {74, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 49},	//693 QWebSettings::PluginsEnabled (enum)
    {74, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 50},	//694 QWebSettings::PrivateBrowsingEnabled (enum)
    {74, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 51},	//695 QWebSettings::JavascriptCanOpenWindows (enum)
    {74, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 52},	//696 QWebSettings::JavascriptCanAccessClipboard (enum)
    {74, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 53},	//697 QWebSettings::DeveloperExtrasEnabled (enum)
    {74, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 54},	//698 QWebSettings::LinksIncludedInFocusChain (enum)
    {74, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 55},	//699 QWebSettings::ZoomTextOnly (enum)
    {74, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 56},	//700 QWebSettings::PrintElementBackgrounds (enum)
    {74, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 57},	//701 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {74, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 58},	//702 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {74, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 59},	//703 QWebSettings::LocalStorageEnabled (enum)
    {74, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 60},	//704 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {74, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 61},	//705 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {74, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 62},	//706 QWebSettings::DnsPrefetchEnabled (enum)
    {74, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 63},	//707 QWebSettings::XSSAuditingEnabled (enum)
    {74, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 64},	//708 QWebSettings::AcceleratedCompositingEnabled (enum)
    {74, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 65},	//709 QWebSettings::SpatialNavigationEnabled (enum)
    {74, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 66},	//710 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {74, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 67},	//711 QWebSettings::TiledBackingStoreEnabled (enum)
    {74, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 68},	//712 QWebSettings::FrameFlatteningEnabled (enum)
    {74, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 69},	//713 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {74, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 70},	//714 QWebSettings::JavascriptCanCloseWindows (enum)
    {74, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 71},	//715 QWebSettings::WebGLEnabled (enum)
    {74, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 72},	//716 QWebSettings::CSSRegionsEnabled (enum)
    {74, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 73},	//717 QWebSettings::HyperlinkAuditingEnabled (enum)
    {74, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 74},	//718 QWebSettings::CSSGridLayoutEnabled (enum)
    {74, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 75},	//719 QWebSettings::ScrollAnimatorEnabled (enum)
    {74, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 76},	//720 QWebSettings::CaretBrowsingEnabled (enum)
    {74, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 77},	//721 QWebSettings::NotificationsEnabled (enum)
    {74, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 78},	//722 QWebSettings::MissingImageGraphic (enum)
    {74, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 79},	//723 QWebSettings::MissingPluginGraphic (enum)
    {74, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 80},	//724 QWebSettings::DefaultFrameIconGraphic (enum)
    {74, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 81},	//725 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {74, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 82},	//726 QWebSettings::DeleteButtonGraphic (enum)
    {74, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 83},	//727 QWebSettings::InputSpeechButtonGraphic (enum)
    {74, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 84},	//728 QWebSettings::SearchCancelButtonGraphic (enum)
    {74, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 85},	//729 QWebSettings::SearchCancelButtonPressedGraphic (enum)
    {74, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 86},	//730 QWebSettings::MinimumFontSize (enum)
    {74, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 87},	//731 QWebSettings::MinimumLogicalFontSize (enum)
    {74, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 88},	//732 QWebSettings::DefaultFontSize (enum)
    {74, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 89},	//733 QWebSettings::DefaultFixedFontSize (enum)
    {74, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 90},	//734 QWebSettings::AlwaysAllowThirdPartyCookies (enum)
    {74, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 91},	//735 QWebSettings::AlwaysBlockThirdPartyCookies (enum)
    {74, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 92},	//736 QWebSettings::AllowThirdPartyWithExistingCookies (enum)
    {76, 491, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//737 QWebView::metaObject() const
    {76, 580, 10, 1, Smoke::mf_virtual, 260, 2},	//738 QWebView::qt_metacast(const char*)
    {76, 816, 51, 2, Smoke::mf_static, 54, 3},	//739 QWebView::tr(const char*, const char*)
    {76, 820, 51, 2, Smoke::mf_static, 54, 4},	//740 QWebView::trUtf8(const char*, const char*)
    {76, 816, 54, 3, Smoke::mf_static, 54, 5},	//741 QWebView::tr(const char*, const char*, int)
    {76, 820, 54, 3, Smoke::mf_static, 54, 6},	//742 QWebView::trUtf8(const char*, const char*, int)
    {76, 578, 58, 3, Smoke::mf_virtual, 255, 7},	//743 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {76, 150, 133, 1, Smoke::mf_ctor, 132, 8},	//744 QWebView::QWebView(QWidget*)
    {76, 548, 0, 0, Smoke::mf_const, 94, 9},	//745 QWebView::page() const
    {76, 726, 135, 1, 0, 0, 10},	//746 QWebView::setPage(QWebPage*)
    {76, 472, 62, 1, 0, 0, 11},	//747 QWebView::load(const QUrl&)
    {76, 472, 64, 3, 0, 0, 12},	//748 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {76, 693, 68, 2, 0, 0, 13},	//749 QWebView::setHtml(const QString&, const QUrl&)
    {76, 654, 71, 3, 0, 0, 14},	//750 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {76, 414, 0, 0, Smoke::mf_const, 85, 15},	//751 QWebView::history() const
    {76, 772, 0, 0, Smoke::mf_const, 125, 16},	//752 QWebView::settings() const
    {76, 803, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 17},	//753 QWebView::title() const
    {76, 757, 62, 1, Smoke::mf_property, 0, 18},	//754 QWebView::setUrl(const QUrl&)
    {76, 835, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 19},	//755 QWebView::url() const
    {76, 420, 0, 0, Smoke::mf_const|Smoke::mf_property, 19, 20},	//756 QWebView::icon() const
    {76, 410, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 21},	//757 QWebView::hasSelection() const
    {76, 642, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 22},	//758 QWebView::selectedText() const
    {76, 641, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 23},	//759 QWebView::selectedHtml() const
    {76, 549, 149, 1, Smoke::mf_const, 1, 24},	//760 QWebView::pageAction(QWebPage::WebAction) const
    {76, 827, 151, 2, 0, 0, 25},	//761 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {76, 434, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 26},	//762 QWebView::isModified() const
    {76, 430, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 66, 27},	//763 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 777, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 53, 28},	//764 QWebView::sizeHint() const
    {76, 855, 0, 0, Smoke::mf_const, 254, 29},	//765 QWebView::zoomFactor() const
    {76, 770, 102, 1, 0, 0, 30},	//766 QWebView::setZoomFactor(double)
    {76, 753, 102, 1, 0, 0, 31},	//767 QWebView::setTextSizeMultiplier(double)
    {76, 800, 0, 0, Smoke::mf_const, 254, 32},	//768 QWebView::textSizeMultiplier() const
    {76, 602, 0, 0, Smoke::mf_const, 15, 33},	//769 QWebView::renderHints() const
    {76, 741, 294, 1, 0, 0, 34},	//770 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {76, 738, 296, 2, 0, 0, 35},	//771 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {76, 368, 158, 2, 0, 210, 36},	//772 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {76, 345, 1, 1, Smoke::mf_virtual, 210, 37},	//773 QWebView::event(QEvent*)
    {76, 783, 0, 0, Smoke::mf_slot, 0, 38},	//774 QWebView::stop()
    {76, 253, 0, 0, Smoke::mf_slot, 0, 39},	//775 QWebView::back()
    {76, 384, 0, 0, Smoke::mf_slot, 0, 40},	//776 QWebView::forward()
    {76, 583, 0, 0, Smoke::mf_slot, 0, 41},	//777 QWebView::reload()
    {76, 573, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 42},	//778 QWebView::print(QPrinter*) const
    {76, 480, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//779 QWebView::loadStarted()
    {76, 478, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//780 QWebView::loadProgress(int)
    {76, 476, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//781 QWebView::loadFinished(bool)
    {76, 804, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//782 QWebView::titleChanged(const QString&)
    {76, 779, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//783 QWebView::statusBarMessage(const QString&)
    {76, 462, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//784 QWebView::linkClicked(const QUrl&)
    {76, 643, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//785 QWebView::selectionChanged()
    {76, 421, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//786 QWebView::iconChanged()
    {76, 836, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//787 QWebView::urlChanged(const QUrl&)
    {76, 616, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//788 QWebView::resizeEvent(QResizeEvent*)
    {76, 553, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//789 QWebView::paintEvent(QPaintEvent*)
    {76, 296, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 132, 54},	//790 QWebView::createWindow(QWebPage::WebWindowType)
    {76, 263, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//791 QWebView::changeEvent(QEvent*)
    {76, 499, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//792 QWebView::mouseMoveEvent(QMouseEvent*)
    {76, 501, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//793 QWebView::mousePressEvent(QMouseEvent*)
    {76, 497, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//794 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {76, 503, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//795 QWebView::mouseReleaseEvent(QMouseEvent*)
    {76, 288, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//796 QWebView::contextMenuEvent(QContextMenuEvent*)
    {76, 850, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//797 QWebView::wheelEvent(QWheelEvent*)
    {76, 453, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//798 QWebView::keyPressEvent(QKeyEvent*)
    {76, 455, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//799 QWebView::keyReleaseEvent(QKeyEvent*)
    {76, 319, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//800 QWebView::dragEnterEvent(QDragEnterEvent*)
    {76, 321, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//801 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {76, 323, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//802 QWebView::dragMoveEvent(QDragMoveEvent*)
    {76, 325, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//803 QWebView::dropEvent(QDropEvent*)
    {76, 373, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//804 QWebView::focusInEvent(QFocusEvent*)
    {76, 377, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//805 QWebView::focusOutEvent(QFocusEvent*)
    {76, 428, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//806 QWebView::inputMethodEvent(QInputMethodEvent*)
    {76, 375, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 210, 71},	//807 QWebView::focusNextPrevChild(bool)
    {76, 816, 10, 1, Smoke::mf_static, 54, 72},	//808 QWebView::tr(const char*)
    {76, 820, 10, 1, Smoke::mf_static, 54, 73},	//809 QWebView::trUtf8(const char*)
    {76, 150, 0, 0, Smoke::mf_ctor, 132, 74},	//810 QWebView::QWebView()
    {76, 472, 110, 1, 0, 0, 75},	//811 QWebView::load(const QNetworkRequest&)
    {76, 472, 112, 2, 0, 0, 76},	//812 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {76, 693, 16, 1, 0, 0, 77},	//813 QWebView::setHtml(const QString&)
    {76, 654, 115, 1, 0, 0, 78},	//814 QWebView::setContent(const QByteArray&)
    {76, 654, 117, 2, 0, 0, 79},	//815 QWebView::setContent(const QByteArray&, const QString&)
    {76, 827, 149, 1, 0, 0, 80},	//816 QWebView::triggerPageAction(QWebPage::WebAction)
    {76, 738, 319, 1, 0, 0, 81},	//817 QWebView::setRenderHint(QPainter::RenderHint)
    {76, 368, 16, 1, 0, 210, 82},	//818 QWebView::findText(const QString&)
    {76, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 83},	//819 QWebView::staticMetaObject() const
    {76, 874, 0, 0, Smoke::mf_dtor, 0, 84 },	//820 QWebView::~QWebView()
    {78, 310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 255, 0},	//821 QWidget::devType() const
    {78, 767, 108, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//822 QWidget::setVisible(bool)
    {78, 496, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 53, 0},	//823 QWidget::minimumSizeHint() const
    {78, 411, 38, 1, Smoke::mf_const|Smoke::mf_virtual, 255, 0},	//824 QWidget::heightForWidth(int) const
    {78, 552, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 0},	//825 QWidget::paintEngine() const
    {78, 501, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//826 QWidget::mousePressEvent(QMouseEvent*)
    {78, 503, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//827 QWidget::mouseReleaseEvent(QMouseEvent*)
    {78, 497, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//828 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {78, 499, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//829 QWidget::mouseMoveEvent(QMouseEvent*)
    {78, 850, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//830 QWidget::wheelEvent(QWheelEvent*)
    {78, 453, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//831 QWidget::keyPressEvent(QKeyEvent*)
    {78, 455, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//832 QWidget::keyReleaseEvent(QKeyEvent*)
    {78, 373, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//833 QWidget::focusInEvent(QFocusEvent*)
    {78, 377, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//834 QWidget::focusOutEvent(QFocusEvent*)
    {78, 340, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//835 QWidget::enterEvent(QEvent*)
    {78, 461, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//836 QWidget::leaveEvent(QEvent*)
    {78, 553, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//837 QWidget::paintEvent(QPaintEvent*)
    {78, 505, 321, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//838 QWidget::moveEvent(QMoveEvent*)
    {78, 274, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//839 QWidget::closeEvent(QCloseEvent*)
    {78, 288, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//840 QWidget::contextMenuEvent(QContextMenuEvent*)
    {78, 795, 323, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//841 QWidget::tabletEvent(QTabletEvent*)
    {78, 220, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//842 QWidget::actionEvent(QActionEvent*)
    {78, 319, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//843 QWidget::dragEnterEvent(QDragEnterEvent*)
    {78, 323, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//844 QWidget::dragMoveEvent(QDragMoveEvent*)
    {78, 321, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//845 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {78, 325, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//846 QWidget::dropEvent(QDropEvent*)
    {78, 774, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//847 QWidget::showEvent(QShowEvent*)
    {78, 412, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//848 QWidget::hideEvent(QHideEvent*)
    {78, 854, 327, 1, Smoke::mf_protected|Smoke::mf_virtual, 210, 0},	//849 QWidget::x11Event(_XEvent*)
    {78, 263, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//850 QWidget::changeEvent(QEvent*)
    {78, 492, 329, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 255, 0},	//851 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {78, 428, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//852 QWidget::inputMethodEvent(QInputMethodEvent*)
    {78, 430, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 66, 0},	//853 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {78, 375, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 210, 0},	//854 QWidget::focusNextPrevChild(bool)
    {78, 784, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//855 QWidget::styleChange(QStyle&)
    {78, 330, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//856 QWidget::enabledChange(bool)
    {78, 556, 163, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//857 QWidget::paletteChange(const QPalette&)
    {78, 379, 333, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//858 QWidget::fontChange(const QFont&)
    {78, 852, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//859 QWidget::windowActivationChange(bool)
    {78, 457, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//860 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    172,  // QWebFrame::load(const QUrl&)
    234,  // QWebFrame::load(const QNetworkRequest&)
    0,
    119,  // QWebElementCollection::begin() const
    123,  // QWebElementCollection::begin()
    0,
    120,  // QWebElementCollection::end() const
    124,  // QWebElementCollection::end()
    0,
    747,  // QWebView::load(const QUrl&)
    811,  // QWebView::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 152, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 153, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 154, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 155, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 156, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 157, 8},	// QGlobalSpace::QtCriticalMsg
    {16, 158, 6},	// QGlobalSpace::QtDebugMsg
    {16, 159, 9},	// QGlobalSpace::QtFatalMsg
    {16, 161, 10},	// QGlobalSpace::QtSystemMsg
    {16, 162, 7},	// QGlobalSpace::QtWarningMsg
    {16, 212, 13},	// QGlobalSpace::__codecvt_error
    {16, 213, 14},	// QGlobalSpace::__codecvt_noconv
    {16, 214, 11},	// QGlobalSpace::__codecvt_ok
    {16, 215, 12},	// QGlobalSpace::__codecvt_partial
    {48, 130, 22},	// QWebDatabase::QWebDatabase#
    {48, 313, 25},	// QWebDatabase::displayName
    {48, 348, 26},	// QWebDatabase::expectedSize
    {48, 358, 28},	// QWebDatabase::fileName
    {48, 506, 24},	// QWebDatabase::name
    {48, 537, 23},	// QWebDatabase::operator=#
    {48, 546, 29},	// QWebDatabase::origin
    {48, 585, 31},	// QWebDatabase::removeAllDatabases
    {48, 593, 30},	// QWebDatabase::removeDatabase#
    {48, 776, 27},	// QWebDatabase::size
    {48, 864, 32},	// QWebDatabase::~QWebDatabase
    {49, 15, 103},	// QWebElement::CascadedStyle
    {49, 21, 104},	// QWebElement::ComputedStyle
    {49, 66, 102},	// QWebElement::InlineStyle
    {49, 131, 33},	// QWebElement::QWebElement
    {49, 132, 34},	// QWebElement::QWebElement#
    {49, 222, 59},	// QWebElement::addClass$
    {49, 235, 77},	// QWebElement::appendInside#
    {49, 236, 76},	// QWebElement::appendInside$
    {49, 238, 81},	// QWebElement::appendOutside#
    {49, 239, 80},	// QWebElement::appendOutside$
    {49, 246, 99},	// QWebElement::attribute$
    {49, 247, 49},	// QWebElement::attribute$$
    {49, 249, 100},	// QWebElement::attributeNS$$
    {49, 250, 50},	// QWebElement::attributeNS$$$
    {49, 251, 101},	// QWebElement::attributeNames
    {49, 252, 56},	// QWebElement::attributeNames$
    {49, 269, 57},	// QWebElement::classes
    {49, 273, 90},	// QWebElement::clone
    {49, 314, 74},	// QWebElement::document
    {49, 332, 84},	// QWebElement::encloseContentsWith#
    {49, 333, 85},	// QWebElement::encloseContentsWith$
    {49, 335, 87},	// QWebElement::encloseWith#
    {49, 336, 86},	// QWebElement::encloseWith$
    {49, 344, 94},	// QWebElement::evaluateJavaScript$
    {49, 361, 39},	// QWebElement::findAll$
    {49, 365, 40},	// QWebElement::findFirst$
    {49, 372, 70},	// QWebElement::firstChild
    {49, 395, 64},	// QWebElement::geometry
    {49, 403, 51},	// QWebElement::hasAttribute$
    {49, 405, 52},	// QWebElement::hasAttributeNS$$
    {49, 406, 55},	// QWebElement::hasAttributes
    {49, 408, 58},	// QWebElement::hasClass$
    {49, 409, 62},	// QWebElement::hasFocus
    {49, 435, 38},	// QWebElement::isNull
    {49, 459, 71},	// QWebElement::lastChild
    {49, 481, 67},	// QWebElement::localName
    {49, 507, 68},	// QWebElement::namespaceUri
    {49, 509, 72},	// QWebElement::nextSibling
    {49, 515, 37},	// QWebElement::operator!=#
    {49, 537, 35},	// QWebElement::operator=#
    {49, 539, 36},	// QWebElement::operator==#
    {49, 557, 69},	// QWebElement::parent
    {49, 565, 66},	// QWebElement::prefix
    {49, 567, 79},	// QWebElement::prependInside#
    {49, 568, 78},	// QWebElement::prependInside$
    {49, 570, 83},	// QWebElement::prependOutside#
    {49, 571, 82},	// QWebElement::prependOutside$
    {49, 572, 73},	// QWebElement::previousSibling
    {49, 584, 93},	// QWebElement::removeAllChildren
    {49, 587, 53},	// QWebElement::removeAttribute$
    {49, 589, 54},	// QWebElement::removeAttributeNS$$
    {49, 591, 60},	// QWebElement::removeClass$
    {49, 594, 92},	// QWebElement::removeFromDocument
    {49, 598, 97},	// QWebElement::render#
    {49, 599, 98},	// QWebElement::render##
    {49, 607, 89},	// QWebElement::replace#
    {49, 608, 88},	// QWebElement::replace$
    {49, 649, 47},	// QWebElement::setAttribute$$
    {49, 651, 48},	// QWebElement::setAttributeNS$$$
    {49, 684, 63},	// QWebElement::setFocus
    {49, 699, 45},	// QWebElement::setInnerXml$
    {49, 725, 43},	// QWebElement::setOuterXml$
    {49, 733, 41},	// QWebElement::setPlainText$
    {49, 750, 96},	// QWebElement::setStyleProperty$$
    {49, 786, 95},	// QWebElement::styleProperty$$
    {49, 796, 65},	// QWebElement::tagName
    {49, 797, 91},	// QWebElement::takeFromDocument
    {49, 807, 46},	// QWebElement::toInnerXml
    {49, 809, 44},	// QWebElement::toOuterXml
    {49, 810, 42},	// QWebElement::toPlainText
    {49, 812, 61},	// QWebElement::toggleClass$
    {49, 847, 75},	// QWebElement::webFrame
    {49, 865, 105},	// QWebElement::~QWebElement
    {50, 133, 106},	// QWebElementCollection::QWebElementCollection
    {50, 134, 108},	// QWebElementCollection::QWebElementCollection#
    {50, 135, 107},	// QWebElementCollection::QWebElementCollection#$
    {50, 233, 112},	// QWebElementCollection::append#
    {50, 244, 114},	// QWebElementCollection::at$
    {50, 258, -4},	// QWebElementCollection::begin
    {50, 277, 121},	// QWebElementCollection::constBegin
    {50, 278, 122},	// QWebElementCollection::constEnd
    {50, 290, 113},	// QWebElementCollection::count
    {50, 339, -7},	// QWebElementCollection::end
    {50, 371, 116},	// QWebElementCollection::first
    {50, 458, 117},	// QWebElementCollection::last
    {50, 518, 110},	// QWebElementCollection::operator+#
    {50, 523, 111},	// QWebElementCollection::operator+=#
    {50, 537, 109},	// QWebElementCollection::operator=#
    {50, 545, 115},	// QWebElementCollection::operator[]$
    {50, 808, 118},	// QWebElementCollection::toList
    {50, 866, 125},	// QWebElementCollection::~QWebElementCollection
    {51, 280, 127},	// QWebElementCollection::const_iterator::const_iterator#
    {51, 281, 126},	// QWebElementCollection::const_iterator::const_iterator#$
    {51, 515, 130},	// QWebElementCollection::const_iterator::operator!=#
    {51, 516, 128},	// QWebElementCollection::const_iterator::operator*
    {51, 519, 141},	// QWebElementCollection::const_iterator::operator+$
    {51, 520, 135},	// QWebElementCollection::const_iterator::operator++
    {51, 521, 136},	// QWebElementCollection::const_iterator::operator++$
    {51, 524, 139},	// QWebElementCollection::const_iterator::operator+=$
    {51, 526, 143},	// QWebElementCollection::const_iterator::operator-#
    {51, 527, 142},	// QWebElementCollection::const_iterator::operator-$
    {51, 528, 137},	// QWebElementCollection::const_iterator::operator--
    {51, 529, 138},	// QWebElementCollection::const_iterator::operator--$
    {51, 531, 140},	// QWebElementCollection::const_iterator::operator-=$
    {51, 533, 131},	// QWebElementCollection::const_iterator::operator<#
    {51, 535, 132},	// QWebElementCollection::const_iterator::operator<=#
    {51, 539, 129},	// QWebElementCollection::const_iterator::operator==#
    {51, 541, 133},	// QWebElementCollection::const_iterator::operator>#
    {51, 543, 134},	// QWebElementCollection::const_iterator::operator>=#
    {51, 876, 144},	// QWebElementCollection::const_iterator::~const_iterator
    {52, 442, 146},	// QWebElementCollection::iterator::iterator#
    {52, 443, 145},	// QWebElementCollection::iterator::iterator#$
    {52, 515, 149},	// QWebElementCollection::iterator::operator!=#
    {52, 516, 147},	// QWebElementCollection::iterator::operator*
    {52, 519, 160},	// QWebElementCollection::iterator::operator+$
    {52, 520, 154},	// QWebElementCollection::iterator::operator++
    {52, 521, 155},	// QWebElementCollection::iterator::operator++$
    {52, 524, 158},	// QWebElementCollection::iterator::operator+=$
    {52, 526, 162},	// QWebElementCollection::iterator::operator-#
    {52, 527, 161},	// QWebElementCollection::iterator::operator-$
    {52, 528, 156},	// QWebElementCollection::iterator::operator--
    {52, 529, 157},	// QWebElementCollection::iterator::operator--$
    {52, 531, 159},	// QWebElementCollection::iterator::operator-=$
    {52, 533, 150},	// QWebElementCollection::iterator::operator<#
    {52, 535, 151},	// QWebElementCollection::iterator::operator<=#
    {52, 539, 148},	// QWebElementCollection::iterator::operator==#
    {52, 541, 152},	// QWebElementCollection::iterator::operator>#
    {52, 543, 153},	// QWebElementCollection::iterator::operator>=#
    {52, 877, 163},	// QWebElementCollection::iterator::~iterator
    {53, 6, 244},	// QWebFrame::AllLayers
    {53, 22, 241},	// QWebFrame::ContentsLayer
    {53, 118, 243},	// QWebFrame::PanIconLayer
    {53, 169, 242},	// QWebFrame::ScrollBarLayer
    {53, 228, 176},	// QWebFrame::addToJavaScriptWindowObject$#
    {53, 229, 177},	// QWebFrame::addToJavaScriptWindowObject$#$
    {53, 257, 185},	// QWebFrame::baseUrl
    {53, 266, 190},	// QWebFrame::childFrames
    {53, 285, 213},	// QWebFrame::contentsSize
    {53, 287, 228},	// QWebFrame::contentsSizeChanged#
    {53, 315, 214},	// QWebFrame::documentElement
    {53, 344, 220},	// QWebFrame::evaluateJavaScript$
    {53, 346, 218},	// QWebFrame::event#
    {53, 363, 215},	// QWebFrame::findAllElements$
    {53, 367, 216},	// QWebFrame::findFirstElement$
    {53, 394, 188},	// QWebFrame::frameName
    {53, 395, 212},	// QWebFrame::geometry
    {53, 409, 209},	// QWebFrame::hasFocus
    {53, 418, 217},	// QWebFrame::hitTestContent#
    {53, 420, 186},	// QWebFrame::icon
    {53, 421, 227},	// QWebFrame::iconChanged
    {53, 426, 226},	// QWebFrame::initialLayoutCompleted
    {53, 452, 222},	// QWebFrame::javaScriptWindowObjectCleared
    {53, 473, -1},	// QWebFrame::load#
    {53, 474, 235},	// QWebFrame::load#$
    {53, 475, 173},	// QWebFrame::load#$#
    {53, 477, 230},	// QWebFrame::loadFinished$
    {53, 480, 229},	// QWebFrame::loadStarted
    {53, 490, 187},	// QWebFrame::metaData
    {53, 491, 164},	// QWebFrame::metaObject
    {53, 548, 171},	// QWebFrame::page
    {53, 551, 231},	// QWebFrame::pageChanged
    {53, 558, 189},	// QWebFrame::parentFrame
    {53, 563, 211},	// QWebFrame::pos
    {53, 574, 221},	// QWebFrame::print#
    {53, 577, 223},	// QWebFrame::provisionalLoad
    {53, 579, 170},	// QWebFrame::qt_metacall$$?
    {53, 581, 165},	// QWebFrame::qt_metacast$
    {53, 598, 202},	// QWebFrame::render#
    {53, 599, 203},	// QWebFrame::render##
    {53, 600, 239},	// QWebFrame::render#$
    {53, 601, 204},	// QWebFrame::render#$#
    {53, 603, 180},	// QWebFrame::renderTreeDump
    {53, 609, 184},	// QWebFrame::requestedUrl
    {53, 624, 198},	// QWebFrame::scroll$$
    {53, 626, 197},	// QWebFrame::scrollBarGeometry$
    {53, 628, 196},	// QWebFrame::scrollBarMaximum$
    {53, 630, 195},	// QWebFrame::scrollBarMinimum$
    {53, 632, 191},	// QWebFrame::scrollBarPolicy$
    {53, 634, 194},	// QWebFrame::scrollBarValue$
    {53, 635, 199},	// QWebFrame::scrollPosition
    {53, 639, 201},	// QWebFrame::scrollToAnchor$
    {53, 640, 219},	// QWebFrame::securityOrigin
    {53, 655, 237},	// QWebFrame::setContent#
    {53, 656, 238},	// QWebFrame::setContent#$
    {53, 657, 175},	// QWebFrame::setContent#$#
    {53, 684, 210},	// QWebFrame::setFocus
    {53, 694, 236},	// QWebFrame::setHtml$
    {53, 695, 174},	// QWebFrame::setHtml$#
    {53, 744, 192},	// QWebFrame::setScrollBarPolicy$$
    {53, 746, 193},	// QWebFrame::setScrollBarValue$$
    {53, 748, 200},	// QWebFrame::setScrollPosition#
    {53, 754, 205},	// QWebFrame::setTextSizeMultiplier$
    {53, 758, 182},	// QWebFrame::setUrl#
    {53, 771, 208},	// QWebFrame::setZoomFactor$
    {53, 778, 240},	// QWebFrame::staticMetaObject
    {53, 800, 206},	// QWebFrame::textSizeMultiplier
    {53, 803, 181},	// QWebFrame::title
    {53, 805, 224},	// QWebFrame::titleChanged$
    {53, 806, 178},	// QWebFrame::toHtml
    {53, 810, 179},	// QWebFrame::toPlainText
    {53, 817, 232},	// QWebFrame::tr$
    {53, 818, 166},	// QWebFrame::tr$$
    {53, 819, 168},	// QWebFrame::tr$$$
    {53, 821, 233},	// QWebFrame::trUtf8$
    {53, 822, 167},	// QWebFrame::trUtf8$$
    {53, 823, 169},	// QWebFrame::trUtf8$$$
    {53, 835, 183},	// QWebFrame::url
    {53, 837, 225},	// QWebFrame::urlChanged#
    {53, 855, 207},	// QWebFrame::zoomFactor
    {54, 253, 251},	// QWebHistory::back
    {54, 254, 254},	// QWebHistory::backItem
    {54, 256, 247},	// QWebHistory::backItems$
    {54, 261, 249},	// QWebHistory::canGoBack
    {54, 262, 250},	// QWebHistory::canGoForward
    {54, 270, 245},	// QWebHistory::clear
    {54, 290, 259},	// QWebHistory::count
    {54, 299, 255},	// QWebHistory::currentItem
    {54, 300, 258},	// QWebHistory::currentItemIndex
    {54, 384, 252},	// QWebHistory::forward
    {54, 385, 256},	// QWebHistory::forwardItem
    {54, 387, 248},	// QWebHistory::forwardItems$
    {54, 400, 253},	// QWebHistory::goToItem#
    {54, 439, 257},	// QWebHistory::itemAt$
    {54, 440, 246},	// QWebHistory::items
    {54, 485, 260},	// QWebHistory::maximumItemCount
    {54, 705, 261},	// QWebHistory::setMaximumItemCount$
    {55, 136, 276},	// QWebHistoryInterface::QWebHistoryInterface
    {55, 137, 269},	// QWebHistoryInterface::QWebHistoryInterface#
    {55, 224, 273},	// QWebHistoryInterface::addHistoryEntry$
    {55, 307, 271},	// QWebHistoryInterface::defaultInterface
    {55, 416, 272},	// QWebHistoryInterface::historyContains$
    {55, 491, 262},	// QWebHistoryInterface::metaObject
    {55, 579, 268},	// QWebHistoryInterface::qt_metacall$$?
    {55, 581, 263},	// QWebHistoryInterface::qt_metacast$
    {55, 665, 270},	// QWebHistoryInterface::setDefaultInterface#
    {55, 778, 277},	// QWebHistoryInterface::staticMetaObject
    {55, 817, 274},	// QWebHistoryInterface::tr$
    {55, 818, 264},	// QWebHistoryInterface::tr$$
    {55, 819, 266},	// QWebHistoryInterface::tr$$$
    {55, 821, 275},	// QWebHistoryInterface::trUtf8$
    {55, 822, 265},	// QWebHistoryInterface::trUtf8$$
    {55, 823, 267},	// QWebHistoryInterface::trUtf8$$$
    {55, 867, 278},	// QWebHistoryInterface::~QWebHistoryInterface
    {56, 139, 279},	// QWebHistoryItem::QWebHistoryItem#
    {56, 420, 285},	// QWebHistoryItem::icon
    {56, 437, 288},	// QWebHistoryItem::isValid
    {56, 460, 284},	// QWebHistoryItem::lastVisited
    {56, 537, 280},	// QWebHistoryItem::operator=#
    {56, 547, 281},	// QWebHistoryItem::originalUrl
    {56, 760, 287},	// QWebHistoryItem::setUserData#
    {56, 803, 283},	// QWebHistoryItem::title
    {56, 835, 282},	// QWebHistoryItem::url
    {56, 840, 286},	// QWebHistoryItem::userData
    {56, 868, 289},	// QWebHistoryItem::~QWebHistoryItem
    {57, 140, 290},	// QWebHitTestResult::QWebHitTestResult
    {57, 141, 291},	// QWebHitTestResult::QWebHitTestResult#
    {57, 231, 303},	// QWebHitTestResult::alternateText
    {57, 259, 295},	// QWebHitTestResult::boundingRect
    {57, 327, 308},	// QWebHitTestResult::element
    {57, 337, 296},	// QWebHitTestResult::enclosingBlockElement
    {57, 389, 309},	// QWebHitTestResult::frame
    {57, 425, 304},	// QWebHitTestResult::imageUrl
    {57, 432, 306},	// QWebHitTestResult::isContentEditable
    {57, 433, 307},	// QWebHitTestResult::isContentSelected
    {57, 435, 293},	// QWebHitTestResult::isNull
    {57, 465, 302},	// QWebHitTestResult::linkElement
    {57, 468, 301},	// QWebHitTestResult::linkTargetFrame
    {57, 469, 298},	// QWebHitTestResult::linkText
    {57, 470, 300},	// QWebHitTestResult::linkTitle
    {57, 471, 299},	// QWebHitTestResult::linkUrl
    {57, 537, 292},	// QWebHitTestResult::operator=#
    {57, 559, 305},	// QWebHitTestResult::pixmap
    {57, 563, 294},	// QWebHitTestResult::pos
    {57, 803, 297},	// QWebHitTestResult::title
    {57, 869, 310},	// QWebHitTestResult::~QWebHitTestResult
    {58, 142, 329},	// QWebInspector::QWebInspector
    {58, 143, 318},	// QWebInspector::QWebInspector#
    {58, 275, 326},	// QWebInspector::closeEvent#
    {58, 346, 322},	// QWebInspector::event#
    {58, 413, 325},	// QWebInspector::hideEvent#
    {58, 491, 311},	// QWebInspector::metaObject
    {58, 548, 320},	// QWebInspector::page
    {58, 579, 317},	// QWebInspector::qt_metacall$$?
    {58, 581, 312},	// QWebInspector::qt_metacast$
    {58, 617, 323},	// QWebInspector::resizeEvent#
    {58, 727, 319},	// QWebInspector::setPage#
    {58, 775, 324},	// QWebInspector::showEvent#
    {58, 777, 321},	// QWebInspector::sizeHint
    {58, 778, 330},	// QWebInspector::staticMetaObject
    {58, 817, 327},	// QWebInspector::tr$
    {58, 818, 313},	// QWebInspector::tr$$
    {58, 819, 315},	// QWebInspector::tr$$$
    {58, 821, 328},	// QWebInspector::trUtf8$
    {58, 822, 314},	// QWebInspector::trUtf8$$
    {58, 823, 316},	// QWebInspector::trUtf8$$$
    {58, 870, 331},	// QWebInspector::~QWebInspector
    {59, 2, 503},	// QWebPage::AlignCenter
    {59, 3, 504},	// QWebPage::AlignJustified
    {59, 4, 505},	// QWebPage::AlignLeft
    {59, 5, 506},	// QWebPage::AlignRight
    {59, 11, 448},	// QWebPage::Back
    {59, 16, 525},	// QWebPage::ChooseMultipleFilesExtension
    {59, 23, 453},	// QWebPage::Copy
    {59, 24, 447},	// QWebPage::CopyImageToClipboard
    {59, 25, 508},	// QWebPage::CopyImageUrlToClipboard
    {59, 26, 444},	// QWebPage::CopyLinkToClipboard
    {59, 28, 452},	// QWebPage::Cut
    {59, 32, 517},	// QWebPage::DelegateAllLinks
    {59, 33, 516},	// QWebPage::DelegateExternalLinks
    {59, 35, 482},	// QWebPage::DeleteEndOfWord
    {59, 36, 481},	// QWebPage::DeleteStartOfWord
    {59, 39, 515},	// QWebPage::DontDelegateLinks
    {59, 40, 446},	// QWebPage::DownloadImageToDisk
    {59, 41, 443},	// QWebPage::DownloadLinkToDisk
    {59, 44, 526},	// QWebPage::ErrorPageExtension
    {59, 54, 511},	// QWebPage::FindBackward
    {59, 55, 512},	// QWebPage::FindCaseSensitively
    {59, 56, 513},	// QWebPage::FindWrapsAroundDocument
    {59, 58, 449},	// QWebPage::Forward
    {59, 60, 524},	// QWebPage::Geolocation
    {59, 61, 514},	// QWebPage::HighlightAllOccurrences
    {59, 62, 528},	// QWebPage::Http
    {59, 65, 501},	// QWebPage::Indent
    {59, 68, 491},	// QWebPage::InsertLineSeparator
    {59, 69, 500},	// QWebPage::InsertOrderedList
    {59, 70, 490},	// QWebPage::InsertParagraphSeparator
    {59, 71, 499},	// QWebPage::InsertUnorderedList
    {59, 72, 489},	// QWebPage::InspectElement
    {59, 89, 466},	// QWebPage::MoveToEndOfBlock
    {59, 90, 468},	// QWebPage::MoveToEndOfDocument
    {59, 91, 464},	// QWebPage::MoveToEndOfLine
    {59, 92, 457},	// QWebPage::MoveToNextChar
    {59, 93, 461},	// QWebPage::MoveToNextLine
    {59, 94, 459},	// QWebPage::MoveToNextWord
    {59, 95, 458},	// QWebPage::MoveToPreviousChar
    {59, 96, 462},	// QWebPage::MoveToPreviousLine
    {59, 97, 460},	// QWebPage::MoveToPreviousWord
    {59, 98, 465},	// QWebPage::MoveToStartOfBlock
    {59, 99, 467},	// QWebPage::MoveToStartOfDocument
    {59, 100, 463},	// QWebPage::MoveToStartOfLine
    {59, 101, 435},	// QWebPage::NavigationTypeBackOrForward
    {59, 102, 437},	// QWebPage::NavigationTypeFormResubmitted
    {59, 103, 434},	// QWebPage::NavigationTypeFormSubmitted
    {59, 104, 433},	// QWebPage::NavigationTypeLinkClicked
    {59, 105, 438},	// QWebPage::NavigationTypeOther
    {59, 106, 436},	// QWebPage::NavigationTypeReload
    {59, 107, 439},	// QWebPage::NoWebAction
    {59, 108, 523},	// QWebPage::Notifications
    {59, 112, 442},	// QWebPage::OpenFrameInNewWindow
    {59, 113, 445},	// QWebPage::OpenImageInNewWindow
    {59, 114, 440},	// QWebPage::OpenLink
    {59, 115, 441},	// QWebPage::OpenLinkInNewWindow
    {59, 116, 509},	// QWebPage::OpenLinkInThisWindow
    {59, 117, 502},	// QWebPage::Outdent
    {59, 119, 454},	// QWebPage::Paste
    {59, 120, 494},	// QWebPage::PasteAndMatchStyle
    {59, 121, 522},	// QWebPage::PermissionDeniedByUser
    {59, 122, 521},	// QWebPage::PermissionGrantedByUser
    {59, 123, 520},	// QWebPage::PermissionUnknown
    {59, 144, 427},	// QWebPage::QWebPage
    {59, 145, 339},	// QWebPage::QWebPage#
    {59, 160, 527},	// QWebPage::QtNetwork
    {59, 163, 456},	// QWebPage::Redo
    {59, 164, 451},	// QWebPage::Reload
    {59, 165, 493},	// QWebPage::ReloadAndBypassCache
    {59, 166, 495},	// QWebPage::RemoveFormat
    {59, 172, 492},	// QWebPage::SelectAll
    {59, 173, 478},	// QWebPage::SelectEndOfBlock
    {59, 174, 480},	// QWebPage::SelectEndOfDocument
    {59, 175, 476},	// QWebPage::SelectEndOfLine
    {59, 176, 469},	// QWebPage::SelectNextChar
    {59, 177, 473},	// QWebPage::SelectNextLine
    {59, 178, 471},	// QWebPage::SelectNextWord
    {59, 179, 470},	// QWebPage::SelectPreviousChar
    {59, 180, 474},	// QWebPage::SelectPreviousLine
    {59, 181, 472},	// QWebPage::SelectPreviousWord
    {59, 182, 477},	// QWebPage::SelectStartOfBlock
    {59, 183, 479},	// QWebPage::SelectStartOfDocument
    {59, 184, 475},	// QWebPage::SelectStartOfLine
    {59, 186, 483},	// QWebPage::SetTextDirectionDefault
    {59, 187, 484},	// QWebPage::SetTextDirectionLeftToRight
    {59, 188, 485},	// QWebPage::SetTextDirectionRightToLeft
    {59, 192, 450},	// QWebPage::Stop
    {59, 193, 507},	// QWebPage::StopScheduledPageRefresh
    {59, 196, 486},	// QWebPage::ToggleBold
    {59, 197, 487},	// QWebPage::ToggleItalic
    {59, 198, 496},	// QWebPage::ToggleStrikethrough
    {59, 199, 497},	// QWebPage::ToggleSubscript
    {59, 200, 498},	// QWebPage::ToggleSuperscript
    {59, 201, 488},	// QWebPage::ToggleUnderline
    {59, 202, 455},	// QWebPage::Undo
    {59, 205, 510},	// QWebPage::WebActionCount
    {59, 206, 518},	// QWebPage::WebBrowserWindow
    {59, 208, 529},	// QWebPage::WebKit
    {59, 209, 519},	// QWebPage::WebModalDialog
    {59, 217, 418},	// QWebPage::acceptNavigationRequest##$
    {59, 219, 358},	// QWebPage::action$
    {59, 241, 409},	// QWebPage::applicationCacheQuotaExceeded#$
    {59, 242, 410},	// QWebPage::applicationCacheQuotaExceeded#$$
    {59, 260, 354},	// QWebPage::bytesReceived
    {59, 268, 419},	// QWebPage::chooseFile#$
    {59, 284, 407},	// QWebPage::contentsChanged
    {59, 294, 417},	// QWebPage::createPlugin$#??
    {59, 295, 380},	// QWebPage::createStandardContextMenu
    {59, 297, 416},	// QWebPage::createWindow$
    {59, 298, 341},	// QWebPage::currentFrame
    {59, 304, 408},	// QWebPage::databaseQuotaExceeded#$
    {59, 318, 405},	// QWebPage::downloadRequested#
    {59, 346, 366},	// QWebPage::event#
    {59, 350, 430},	// QWebPage::extension$
    {59, 351, 431},	// QWebPage::extension$#
    {59, 352, 384},	// QWebPage::extension$##
    {59, 354, 415},	// QWebPage::featurePermissionRequestCanceled#$
    {59, 356, 414},	// QWebPage::featurePermissionRequested#$
    {59, 369, 429},	// QWebPage::findText$
    {59, 370, 369},	// QWebPage::findText$$
    {59, 376, 367},	// QWebPage::focusNextPrevChild$
    {59, 388, 371},	// QWebPage::forwardUnsupportedContent
    {59, 391, 342},	// QWebPage::frameAt#
    {59, 393, 394},	// QWebPage::frameCreated#
    {59, 397, 395},	// QWebPage::geometryChangeRequested#
    {59, 401, 386},	// QWebPage::handle
    {59, 410, 355},	// QWebPage::hasSelection
    {59, 414, 343},	// QWebPage::history
    {59, 431, 368},	// QWebPage::inputMethodQuery$
    {59, 432, 377},	// QWebPage::isContentEditable
    {59, 434, 347},	// QWebPage::isModified
    {59, 445, 420},	// QWebPage::javaScriptAlert#$
    {59, 447, 421},	// QWebPage::javaScriptConfirm#$
    {59, 449, 423},	// QWebPage::javaScriptConsoleMessage$$$
    {59, 451, 422},	// QWebPage::javaScriptPrompt#$$$
    {59, 463, 400},	// QWebPage::linkClicked#
    {59, 464, 373},	// QWebPage::linkDelegationPolicy
    {59, 467, 391},	// QWebPage::linkHovered$$$
    {59, 477, 390},	// QWebPage::loadFinished$
    {59, 479, 389},	// QWebPage::loadProgress$
    {59, 480, 388},	// QWebPage::loadStarted
    {59, 484, 340},	// QWebPage::mainFrame
    {59, 489, 403},	// QWebPage::menuBarVisibilityChangeRequested$
    {59, 491, 332},	// QWebPage::metaObject
    {59, 493, 406},	// QWebPage::microFocusChanged
    {59, 508, 350},	// QWebPage::networkAccessManager
    {59, 555, 375},	// QWebPage::palette
    {59, 560, 352},	// QWebPage::pluginFactory
    {59, 564, 363},	// QWebPage::preferredContentsSize
    {59, 576, 399},	// QWebPage::printRequested#
    {59, 579, 338},	// QWebPage::qt_metacall$$?
    {59, 581, 333},	// QWebPage::qt_metacast$
    {59, 605, 396},	// QWebPage::repaintRequested#
    {59, 619, 412},	// QWebPage::restoreFrameStateRequested#
    {59, 621, 411},	// QWebPage::saveFrameStateRequested##
    {59, 637, 397},	// QWebPage::scrollRequested$$#
    {59, 641, 357},	// QWebPage::selectedHtml
    {59, 642, 356},	// QWebPage::selectedText
    {59, 643, 393},	// QWebPage::selectionChanged
    {59, 645, 365},	// QWebPage::setActualVisibleContentRect#
    {59, 659, 376},	// QWebPage::setContentEditable$
    {59, 679, 381},	// QWebPage::setFeaturePermission#$$
    {59, 690, 370},	// QWebPage::setForwardUnsupportedContent$
    {59, 701, 372},	// QWebPage::setLinkDelegationPolicy$
    {59, 713, 349},	// QWebPage::setNetworkAccessManager#
    {59, 729, 374},	// QWebPage::setPalette#
    {59, 735, 351},	// QWebPage::setPluginFactory#
    {59, 737, 364},	// QWebPage::setPreferredContentsSize#
    {59, 764, 345},	// QWebPage::setView#
    {59, 766, 361},	// QWebPage::setViewportSize#
    {59, 772, 344},	// QWebPage::settings
    {59, 773, 387},	// QWebPage::shouldInterruptJavaScript
    {59, 778, 432},	// QWebPage::staticMetaObject
    {59, 780, 392},	// QWebPage::statusBarMessage$
    {59, 782, 402},	// QWebPage::statusBarVisibilityChangeRequested$
    {59, 788, 382},	// QWebPage::supportedContentTypes
    {59, 790, 383},	// QWebPage::supportsContentType$
    {59, 792, 385},	// QWebPage::supportsExtension$
    {59, 794, 378},	// QWebPage::swallowContextMenuEvent#
    {59, 814, 401},	// QWebPage::toolBarVisibilityChangeRequested$
    {59, 815, 353},	// QWebPage::totalBytes
    {59, 817, 425},	// QWebPage::tr$
    {59, 818, 334},	// QWebPage::tr$$
    {59, 819, 336},	// QWebPage::tr$$$
    {59, 821, 426},	// QWebPage::trUtf8$
    {59, 822, 335},	// QWebPage::trUtf8$$
    {59, 823, 337},	// QWebPage::trUtf8$$$
    {59, 825, 428},	// QWebPage::triggerAction$
    {59, 826, 359},	// QWebPage::triggerAction$$
    {59, 830, 348},	// QWebPage::undoStack
    {59, 832, 404},	// QWebPage::unsupportedContent#
    {59, 834, 379},	// QWebPage::updatePositionDependentActions#
    {59, 839, 424},	// QWebPage::userAgentForUrl#
    {59, 842, 346},	// QWebPage::view
    {59, 844, 362},	// QWebPage::viewportAttributesForSize#
    {59, 845, 413},	// QWebPage::viewportChangeRequested
    {59, 846, 360},	// QWebPage::viewportSize
    {59, 853, 398},	// QWebPage::windowCloseRequested
    {59, 871, 530},	// QWebPage::~QWebPage
    {60, 17, 531},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {60, 18, 532},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {60, 558, 533},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {60, 731, 534},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {60, 752, 536},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {60, 787, 535},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {60, 856, 537},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {61, 19, 538},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {61, 20, 539},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {61, 359, 540},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {61, 683, 541},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {61, 857, 542},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {62, 45, 543},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {62, 46, 544},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {62, 316, 549},	// QWebPage::ErrorPageExtensionOption::domain
    {62, 341, 551},	// QWebPage::ErrorPageExtensionOption::error
    {62, 342, 553},	// QWebPage::ErrorPageExtensionOption::errorString
    {62, 389, 547},	// QWebPage::ErrorPageExtensionOption::frame
    {62, 671, 550},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {62, 675, 552},	// QWebPage::ErrorPageExtensionOption::setError$
    {62, 677, 554},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {62, 692, 548},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {62, 758, 546},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {62, 835, 545},	// QWebPage::ErrorPageExtensionOption::url
    {62, 858, 555},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {63, 47, 556},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {63, 48, 557},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {63, 257, 562},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {63, 282, 564},	// QWebPage::ErrorPageExtensionReturn::content
    {63, 283, 558},	// QWebPage::ErrorPageExtensionReturn::contentType
    {63, 338, 560},	// QWebPage::ErrorPageExtensionReturn::encoding
    {63, 653, 563},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {63, 655, 565},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {63, 661, 559},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {63, 673, 561},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {63, 859, 566},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {64, 49, 567},	// QWebPage::ExtensionOption::ExtensionOption
    {64, 50, 568},	// QWebPage::ExtensionOption::ExtensionOption#
    {64, 860, 569},	// QWebPage::ExtensionOption::~ExtensionOption
    {65, 51, 570},	// QWebPage::ExtensionReturn::ExtensionReturn
    {65, 52, 571},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {65, 861, 572},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {66, 203, 573},	// QWebPage::ViewportAttributes::ViewportAttributes
    {66, 204, 574},	// QWebPage::ViewportAttributes::ViewportAttributes#
    {66, 311, 579},	// QWebPage::ViewportAttributes::devicePixelRatio
    {66, 427, 576},	// QWebPage::ViewportAttributes::initialScaleFactor
    {66, 436, 580},	// QWebPage::ViewportAttributes::isUserScalable
    {66, 437, 581},	// QWebPage::ViewportAttributes::isValid
    {66, 487, 578},	// QWebPage::ViewportAttributes::maximumScaleFactor
    {66, 495, 577},	// QWebPage::ViewportAttributes::minimumScaleFactor
    {66, 537, 575},	// QWebPage::ViewportAttributes::operator=#
    {66, 776, 582},	// QWebPage::ViewportAttributes::size
    {66, 875, 583},	// QWebPage::ViewportAttributes::~ViewportAttributes
    {68, 146, 599},	// QWebPluginFactory::QWebPluginFactory
    {68, 147, 591},	// QWebPluginFactory::QWebPluginFactory#
    {68, 292, 594},	// QWebPluginFactory::create$#??
    {68, 350, 600},	// QWebPluginFactory::extension$
    {68, 351, 601},	// QWebPluginFactory::extension$#
    {68, 352, 595},	// QWebPluginFactory::extension$##
    {68, 491, 584},	// QWebPluginFactory::metaObject
    {68, 561, 592},	// QWebPluginFactory::plugins
    {68, 579, 590},	// QWebPluginFactory::qt_metacall$$?
    {68, 581, 585},	// QWebPluginFactory::qt_metacast$
    {68, 582, 593},	// QWebPluginFactory::refreshPlugins
    {68, 778, 602},	// QWebPluginFactory::staticMetaObject
    {68, 792, 596},	// QWebPluginFactory::supportsExtension$
    {68, 817, 597},	// QWebPluginFactory::tr$
    {68, 818, 586},	// QWebPluginFactory::tr$$
    {68, 819, 588},	// QWebPluginFactory::tr$$$
    {68, 821, 598},	// QWebPluginFactory::trUtf8$
    {68, 822, 587},	// QWebPluginFactory::trUtf8$$
    {68, 823, 589},	// QWebPluginFactory::trUtf8$$$
    {68, 872, 603},	// QWebPluginFactory::~QWebPluginFactory
    {69, 49, 604},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {69, 50, 605},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {69, 860, 606},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {70, 51, 607},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {70, 52, 608},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {70, 861, 609},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {71, 83, 612},	// QWebPluginFactory::MimeType::MimeType
    {71, 84, 613},	// QWebPluginFactory::MimeType::MimeType#
    {71, 309, 616},	// QWebPluginFactory::MimeType::description
    {71, 357, 618},	// QWebPluginFactory::MimeType::fileExtensions
    {71, 506, 614},	// QWebPluginFactory::MimeType::name
    {71, 515, 611},	// QWebPluginFactory::MimeType::operator!=#
    {71, 539, 610},	// QWebPluginFactory::MimeType::operator==#
    {71, 669, 617},	// QWebPluginFactory::MimeType::setDescription$
    {71, 681, 619},	// QWebPluginFactory::MimeType::setFileExtensions?
    {71, 711, 615},	// QWebPluginFactory::MimeType::setName$
    {71, 862, 620},	// QWebPluginFactory::MimeType::~MimeType
    {72, 124, 621},	// QWebPluginFactory::Plugin::Plugin
    {72, 125, 622},	// QWebPluginFactory::Plugin::Plugin#
    {72, 309, 625},	// QWebPluginFactory::Plugin::description
    {72, 494, 627},	// QWebPluginFactory::Plugin::mimeTypes
    {72, 506, 623},	// QWebPluginFactory::Plugin::name
    {72, 669, 626},	// QWebPluginFactory::Plugin::setDescription$
    {72, 709, 628},	// QWebPluginFactory::Plugin::setMimeTypes?
    {72, 711, 624},	// QWebPluginFactory::Plugin::setName$
    {72, 863, 629},	// QWebPluginFactory::Plugin::~Plugin
    {73, 149, 642},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {73, 226, 631},	// QWebSecurityOrigin::addLocalScheme$
    {73, 230, 630},	// QWebSecurityOrigin::allOrigins
    {73, 302, 638},	// QWebSecurityOrigin::databaseQuota
    {73, 305, 637},	// QWebSecurityOrigin::databaseUsage
    {73, 306, 641},	// QWebSecurityOrigin::databases
    {73, 419, 635},	// QWebSecurityOrigin::host
    {73, 482, 633},	// QWebSecurityOrigin::localSchemes
    {73, 537, 643},	// QWebSecurityOrigin::operator=#
    {73, 562, 636},	// QWebSecurityOrigin::port
    {73, 596, 632},	// QWebSecurityOrigin::removeLocalScheme$
    {73, 622, 634},	// QWebSecurityOrigin::scheme
    {73, 647, 640},	// QWebSecurityOrigin::setApplicationCacheQuota$
    {73, 663, 639},	// QWebSecurityOrigin::setDatabaseQuota$
    {73, 873, 644},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {74, 1, 708},	// QWebSettings::AcceleratedCompositingEnabled
    {74, 7, 736},	// QWebSettings::AllowThirdPartyWithExistingCookies
    {74, 8, 734},	// QWebSettings::AlwaysAllowThirdPartyCookies
    {74, 9, 735},	// QWebSettings::AlwaysBlockThirdPartyCookies
    {74, 10, 690},	// QWebSettings::AutoLoadImages
    {74, 12, 718},	// QWebSettings::CSSGridLayoutEnabled
    {74, 13, 716},	// QWebSettings::CSSRegionsEnabled
    {74, 14, 720},	// QWebSettings::CaretBrowsingEnabled
    {74, 27, 688},	// QWebSettings::CursiveFont
    {74, 29, 733},	// QWebSettings::DefaultFixedFontSize
    {74, 30, 732},	// QWebSettings::DefaultFontSize
    {74, 31, 724},	// QWebSettings::DefaultFrameIconGraphic
    {74, 34, 726},	// QWebSettings::DeleteButtonGraphic
    {74, 37, 697},	// QWebSettings::DeveloperExtrasEnabled
    {74, 38, 706},	// QWebSettings::DnsPrefetchEnabled
    {74, 53, 689},	// QWebSettings::FantasyFont
    {74, 57, 685},	// QWebSettings::FixedFont
    {74, 59, 712},	// QWebSettings::FrameFlatteningEnabled
    {74, 63, 717},	// QWebSettings::HyperlinkAuditingEnabled
    {74, 67, 727},	// QWebSettings::InputSpeechButtonGraphic
    {74, 73, 692},	// QWebSettings::JavaEnabled
    {74, 74, 696},	// QWebSettings::JavascriptCanAccessClipboard
    {74, 75, 714},	// QWebSettings::JavascriptCanCloseWindows
    {74, 76, 695},	// QWebSettings::JavascriptCanOpenWindows
    {74, 77, 691},	// QWebSettings::JavascriptEnabled
    {74, 78, 698},	// QWebSettings::LinksIncludedInFocusChain
    {74, 79, 710},	// QWebSettings::LocalContentCanAccessFileUrls
    {74, 80, 705},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {74, 81, 704},	// QWebSettings::LocalStorageDatabaseEnabled
    {74, 82, 703},	// QWebSettings::LocalStorageEnabled
    {74, 85, 730},	// QWebSettings::MinimumFontSize
    {74, 86, 731},	// QWebSettings::MinimumLogicalFontSize
    {74, 87, 722},	// QWebSettings::MissingImageGraphic
    {74, 88, 723},	// QWebSettings::MissingPluginGraphic
    {74, 109, 721},	// QWebSettings::NotificationsEnabled
    {74, 110, 701},	// QWebSettings::OfflineStorageDatabaseEnabled
    {74, 111, 702},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {74, 126, 693},	// QWebSettings::PluginsEnabled
    {74, 127, 700},	// QWebSettings::PrintElementBackgrounds
    {74, 128, 694},	// QWebSettings::PrivateBrowsingEnabled
    {74, 167, 687},	// QWebSettings::SansSerifFont
    {74, 168, 719},	// QWebSettings::ScrollAnimatorEnabled
    {74, 170, 728},	// QWebSettings::SearchCancelButtonGraphic
    {74, 171, 729},	// QWebSettings::SearchCancelButtonPressedGraphic
    {74, 185, 686},	// QWebSettings::SerifFont
    {74, 189, 713},	// QWebSettings::SiteSpecificQuirksEnabled
    {74, 190, 709},	// QWebSettings::SpatialNavigationEnabled
    {74, 191, 684},	// QWebSettings::StandardFont
    {74, 194, 725},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {74, 195, 711},	// QWebSettings::TiledBackingStoreEnabled
    {74, 207, 715},	// QWebSettings::WebGLEnabled
    {74, 210, 707},	// QWebSettings::XSSAuditingEnabled
    {74, 211, 699},	// QWebSettings::ZoomTextOnly
    {74, 271, 661},	// QWebSettings::clearIconDatabase
    {74, 272, 678},	// QWebSettings::clearMemoryCaches
    {74, 308, 658},	// QWebSettings::defaultTextEncoding
    {74, 328, 683},	// QWebSettings::enablePersistentStorage
    {74, 329, 679},	// QWebSettings::enablePersistentStorage$
    {74, 381, 647},	// QWebSettings::fontFamily$
    {74, 383, 650},	// QWebSettings::fontSize$
    {74, 398, 645},	// QWebSettings::globalSettings
    {74, 401, 682},	// QWebSettings::handle
    {74, 422, 660},	// QWebSettings::iconDatabasePath
    {74, 424, 662},	// QWebSettings::iconForUrl#
    {74, 483, 677},	// QWebSettings::localStoragePath
    {74, 486, 666},	// QWebSettings::maximumPagesInCache
    {74, 510, 671},	// QWebSettings::offlineStorageDefaultQuota
    {74, 511, 669},	// QWebSettings::offlineStoragePath
    {74, 512, 673},	// QWebSettings::offlineWebApplicationCachePath
    {74, 513, 675},	// QWebSettings::offlineWebApplicationCacheQuota
    {74, 611, 654},	// QWebSettings::resetAttribute$
    {74, 613, 648},	// QWebSettings::resetFontFamily$
    {74, 615, 651},	// QWebSettings::resetFontSize$
    {74, 649, 652},	// QWebSettings::setAttribute$$
    {74, 667, 657},	// QWebSettings::setDefaultTextEncoding$
    {74, 686, 646},	// QWebSettings::setFontFamily$$
    {74, 688, 649},	// QWebSettings::setFontSize$$
    {74, 697, 659},	// QWebSettings::setIconDatabasePath$
    {74, 703, 676},	// QWebSettings::setLocalStoragePath$
    {74, 707, 665},	// QWebSettings::setMaximumPagesInCache$
    {74, 715, 667},	// QWebSettings::setObjectCacheCapacities$$$
    {74, 717, 670},	// QWebSettings::setOfflineStorageDefaultQuota$
    {74, 719, 668},	// QWebSettings::setOfflineStoragePath$
    {74, 721, 672},	// QWebSettings::setOfflineWebApplicationCachePath$
    {74, 723, 674},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {74, 756, 680},	// QWebSettings::setThirdPartyCookiePolicy$
    {74, 762, 655},	// QWebSettings::setUserStyleSheetUrl#
    {74, 769, 663},	// QWebSettings::setWebGraphic$#
    {74, 799, 653},	// QWebSettings::testAttribute$
    {74, 801, 681},	// QWebSettings::thirdPartyCookiePolicy
    {74, 841, 656},	// QWebSettings::userStyleSheetUrl
    {74, 849, 664},	// QWebSettings::webGraphic$
    {76, 150, 810},	// QWebView::QWebView
    {76, 151, 744},	// QWebView::QWebView#
    {76, 253, 775},	// QWebView::back
    {76, 264, 791},	// QWebView::changeEvent#
    {76, 289, 796},	// QWebView::contextMenuEvent#
    {76, 297, 790},	// QWebView::createWindow$
    {76, 320, 800},	// QWebView::dragEnterEvent#
    {76, 322, 801},	// QWebView::dragLeaveEvent#
    {76, 324, 802},	// QWebView::dragMoveEvent#
    {76, 326, 803},	// QWebView::dropEvent#
    {76, 346, 773},	// QWebView::event#
    {76, 369, 818},	// QWebView::findText$
    {76, 370, 772},	// QWebView::findText$$
    {76, 374, 804},	// QWebView::focusInEvent#
    {76, 376, 807},	// QWebView::focusNextPrevChild$
    {76, 378, 805},	// QWebView::focusOutEvent#
    {76, 384, 776},	// QWebView::forward
    {76, 410, 757},	// QWebView::hasSelection
    {76, 414, 751},	// QWebView::history
    {76, 420, 756},	// QWebView::icon
    {76, 421, 786},	// QWebView::iconChanged
    {76, 429, 806},	// QWebView::inputMethodEvent#
    {76, 431, 763},	// QWebView::inputMethodQuery$
    {76, 434, 762},	// QWebView::isModified
    {76, 454, 798},	// QWebView::keyPressEvent#
    {76, 456, 799},	// QWebView::keyReleaseEvent#
    {76, 463, 784},	// QWebView::linkClicked#
    {76, 473, -10},	// QWebView::load#
    {76, 474, 812},	// QWebView::load#$
    {76, 475, 748},	// QWebView::load#$#
    {76, 477, 781},	// QWebView::loadFinished$
    {76, 479, 780},	// QWebView::loadProgress$
    {76, 480, 779},	// QWebView::loadStarted
    {76, 491, 737},	// QWebView::metaObject
    {76, 498, 794},	// QWebView::mouseDoubleClickEvent#
    {76, 500, 792},	// QWebView::mouseMoveEvent#
    {76, 502, 793},	// QWebView::mousePressEvent#
    {76, 504, 795},	// QWebView::mouseReleaseEvent#
    {76, 548, 745},	// QWebView::page
    {76, 550, 760},	// QWebView::pageAction$
    {76, 554, 789},	// QWebView::paintEvent#
    {76, 574, 778},	// QWebView::print#
    {76, 579, 743},	// QWebView::qt_metacall$$?
    {76, 581, 738},	// QWebView::qt_metacast$
    {76, 583, 777},	// QWebView::reload
    {76, 602, 769},	// QWebView::renderHints
    {76, 617, 788},	// QWebView::resizeEvent#
    {76, 641, 759},	// QWebView::selectedHtml
    {76, 642, 758},	// QWebView::selectedText
    {76, 643, 785},	// QWebView::selectionChanged
    {76, 655, 814},	// QWebView::setContent#
    {76, 656, 815},	// QWebView::setContent#$
    {76, 657, 750},	// QWebView::setContent#$#
    {76, 694, 813},	// QWebView::setHtml$
    {76, 695, 749},	// QWebView::setHtml$#
    {76, 727, 746},	// QWebView::setPage#
    {76, 739, 817},	// QWebView::setRenderHint$
    {76, 740, 771},	// QWebView::setRenderHint$$
    {76, 742, 770},	// QWebView::setRenderHints$
    {76, 754, 767},	// QWebView::setTextSizeMultiplier$
    {76, 758, 754},	// QWebView::setUrl#
    {76, 771, 766},	// QWebView::setZoomFactor$
    {76, 772, 752},	// QWebView::settings
    {76, 777, 764},	// QWebView::sizeHint
    {76, 778, 819},	// QWebView::staticMetaObject
    {76, 780, 783},	// QWebView::statusBarMessage$
    {76, 783, 774},	// QWebView::stop
    {76, 800, 768},	// QWebView::textSizeMultiplier
    {76, 803, 753},	// QWebView::title
    {76, 805, 782},	// QWebView::titleChanged$
    {76, 817, 808},	// QWebView::tr$
    {76, 818, 739},	// QWebView::tr$$
    {76, 819, 741},	// QWebView::tr$$$
    {76, 821, 809},	// QWebView::trUtf8$
    {76, 822, 740},	// QWebView::trUtf8$$
    {76, 823, 742},	// QWebView::trUtf8$$$
    {76, 828, 816},	// QWebView::triggerPageAction$
    {76, 829, 761},	// QWebView::triggerPageAction$$
    {76, 835, 755},	// QWebView::url
    {76, 837, 787},	// QWebView::urlChanged#
    {76, 851, 797},	// QWebView::wheelEvent#
    {76, 855, 765},	// QWebView::zoomFactor
    {76, 874, 820},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 78,
        __smokeqtwebkit::methods, 861,
        __smokeqtwebkit::methodMaps, 810,
        __smokeqtwebkit::methodNames, 877,
        __smokeqtwebkit::types, 262,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
